DROP TABLE IF EXISTS `armor_ex`;
CREATE TABLE `armor_ex` (
  `item_id` smallint(4) NOT NULL DEFAULT '0',
  `name` varchar(128) NOT NULL DEFAULT '',
  `crystal_type` enum('none','d','c','b','a','s','s80','s84') NOT NULL DEFAULT 'none',
  `uns1` int(11) NOT NULL DEFAULT '0' COMMENT 'unsealed 1',
  `uns2` int(11) NOT NULL DEFAULT '0' COMMENT 'unsealed 2',
  `uns3` int(11) NOT NULL DEFAULT '0' COMMENT 'unsealed 3',
  `foundation` int(11) NOT NULL DEFAULT '0' COMMENT 'unfinished rare',
  `srare1` int(11) NOT NULL DEFAULT '0' COMMENT 'sealed rare 1',
  `srare2` int(11) NOT NULL DEFAULT '0' COMMENT 'sealed rare 2',
  `srare3` int(11) NOT NULL DEFAULT '0' COMMENT 'sealed rare 3',
  `rare1` int(11) NOT NULL DEFAULT '0' COMMENT 'unsealed rare 1',
  `rare2` int(11) NOT NULL DEFAULT '0' COMMENT 'unsealed rare 2',
  `rare3` int(11) NOT NULL DEFAULT '0' COMMENT 'unsealed rare 3',
  `pvp` int(11) NOT NULL DEFAULT '0' COMMENT 'pvp variation',
  `common` int(11) NOT NULL DEFAULT '0' COMMENT 'common variation',
  `unsc1` int(11) NOT NULL DEFAULT '0' COMMENT 'unsealed common 1',
  `unsc2` int(11) NOT NULL DEFAULT '0' COMMENT 'unsealed common 2',
  `unsc3` int(11) NOT NULL DEFAULT '0' COMMENT 'unsealed common 3',
  `varnish` int(11) NOT NULL DEFAULT '0' COMMENT 'foundation finish varnish',
  `unseal` int(11) NOT NULL DEFAULT '0' COMMENT 'unseal price in AA',
  `reseal` int(11) NOT NULL DEFAULT '0' COMMENT 'reseal price in AA',
  PRIMARY KEY (`item_id`),
  KEY `Index 2` (`uns1`),
  KEY `Index 3` (`uns2`),
  KEY `Index 4` (`uns3`),
  KEY `Index 5` (`foundation`),
  KEY `Index 6` (`srare1`),
  KEY `Index 7` (`srare2`),
  KEY `Index 8` (`srare3`),
  KEY `Index 9` (`rare1`),
  KEY `Index 10` (`rare2`),
  KEY `Index 11` (`rare3`),
  KEY `Index 12` (`pvp`),
  KEY `Index 13` (`common`),
  KEY `Index 14` (`unsc1`),
  KEY `Index 15` (`unsc2`),
  KEY `Index 16` (`unsc3`),
  KEY `Index 17` (`varnish`),
  KEY `Index 18` (`unseal`),
  KEY `Index 19` (`reseal`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `armor_ex` (`item_id`, `name`, `crystal_type`, `uns1`, `uns2`, `uns3`, `foundation`, `srare1`, `srare2`, `srare3`, `rare1`, `rare2`, `rare3`, `pvp`, `common`, `unsc1`, `unsc2`, `unsc3`, `varnish`, `unseal`, `reseal`) VALUES
	(112,'Apprentice\'s Earring','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(461,'Apprentice\'s Stockings','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(425,'Apprentice\'s Tunic','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(909,'Blue Diamond Necklace','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(24,'Bone Breastplate','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(31,'Bone Gaiters','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(625,'Bone Shield','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(39,'Boots','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(51,'Bracer','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(26,'Bronze Breastplate','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(34,'Bronze Gaiters','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(20,'Buckler','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(41,'Cloth Cap','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(35,'Cloth Shoes','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(412,'Cotton Pants','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(427,'Cotton Robe','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(390,'Cotton Shirt','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(9577,'Cotton Shirt','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(4222,'Dream Shield','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(114,'Earring of Strength','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(115,'Earring of Wisdom','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(463,'Feriotic Stockings','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(428,'Feriotic Tunic','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(49,'Gloves','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(33,'Hard Leather Gaiters','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(30,'Hard Leather Pants','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(27,'Hard Leather Shirt','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(1332,'Knight\'s Shield','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(42,'Leather Cap','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(50,'Leather Gloves','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(44,'Leather Helmet','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(29,'Leather Pants','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(36,'Leather Sandals','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(18,'Leather Shield','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(22,'Leather Shirt','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(37,'Leather Shoes','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(464,'Leather Stockings','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(429,'Leather Tunic','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(38,'Low Boots','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(116,'Magic Ring','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(113,'Mystic\'s Earring','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(907,'Necklace of Anguish','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(118,'Necklace of Magic','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(908,'Necklace of Wisdom','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(1331,'Otherworldly Shield','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(28,'Pants','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(25,'Piece Bone Breastplate','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(32,'Piece Bone Gaiters','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(6902,'Pledge Shield','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(430,'Robe of Devotion','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(431,'Robe of Magic','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(102,'Round Shield','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(7015,'Shield of Castle Pledge','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(1328,'Shield of Grace','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(1329,'Shield of Victory','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(21,'Shirt','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(48,'Short Gloves','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(945,'Skeleton Buckler','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(19,'Small Shield','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(462,'Stockings','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(9583,'Striped Cotton Shirt','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(426,'Tunic','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(4223,'Ubiquitous Shield','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(23,'Wooden Breastplate','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(43,'Wooden Helmet','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(627,'Aspis','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12025,-1,-1,-1,-1,-1,-1),
	(1125,'Assault Boots','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12071,-1,-1,-1,-1,-1,-1),
	(880,'Black Pearl Ring','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12319,-1,-1,-1,-1,-1,-1),
	(351,'Blast Plate','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12044,-1,-1,-1,-1,-1,-1),
	(1123,'Blue Buckskin Boots','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12029,-1,-1,-1,-1,-1,-1),
	(45,'Bone Helmet','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12009,-1,-1,-1,-1,-1,-1),
	(2423,'Boots of Knowledge','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12045,-1,-1,-1,-1,-1,-1),
	(1124,'Boots of Power','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12070,-1,-1,-1,-1,-1,-1),
	(2425,'Brigandine Boots','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12062,-1,-1,-1,-1,-1,-1),
	(2378,'Brigandine Gaiters','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12060,-1,-1,-1,-1,-1,-1),
	(2449,'Brigandine Gauntlets','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12061,-1,-1,-1,-1,-1,-1),
	(2411,'Brigandine Helmet','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12064,-1,-1,-1,-1,-1,-1),
	(2493,'Brigandine Shield','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12063,-1,-1,-1,-1,-1,-1),
	(352,'Brigandine Tunic','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12059,-1,-1,-1,-1,-1,-1),
	(46,'Bronze Helmet','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12028,-1,-1,-1,-1,-1,-1),
	(626,'Bronze Shield','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12013,-1,-1,-1,-1,-1,-1),
	(378,'Compound Scale Gaiters','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12049,-1,-1,-1,-1,-1,-1),
	(349,'Compound Scale Mail','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12032,-1,-1,-1,-1,-1,-1),
	(604,'Crafted Leather Gloves','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12007,-1,-1,-1,-1,-1,-1),
	(465,'Cursed Stockings','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12011,-1,-1,-1,-1,-1,-1),
	(432,'Cursed Tunic','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12010,-1,-1,-1,-1,-1,-1),
	(467,'Dark Stockings','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12017,-1,-1,-1,-1,-1,-1),
	(379,'Dwarven Scale Gaiters','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12039,-1,-1,-1,-1,-1,-1),
	(350,'Dwarven Scale Mail','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12030,-1,-1,-1,-1,-1,-1),
	(850,'Elven Earring','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12322,-1,-1,-1,-1,-1,-1),
	(2426,'Elven Mithril Boots','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12066,-1,-1,-1,-1,-1,-1),
	(2401,'Elven Mithril Stockings','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(2396,'Elven Mithril Tunic','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(913,'Elven Necklace','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12320,-1,-1,-1,-1,-1,-1),
	(881,'Elven Ring','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12321,-1,-1,-1,-1,-1,-1),
	(466,'Elven Stockings','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12027,-1,-1,-1,-1,-1,-1),
	(433,'Elven Tunic','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12026,-1,-1,-1,-1,-1,-1),
	(848,'Enchanted Earring','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12314,-1,-1,-1,-1,-1,-1),
	(911,'Enchanted Necklace','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12315,-1,-1,-1,-1,-1,-1),
	(879,'Enchanted Ring','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12316,-1,-1,-1,-1,-1,-1),
	(63,'Gauntlets','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12038,-1,-1,-1,-1,-1,-1),
	(2447,'Gloves of Knowledge','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12046,-1,-1,-1,-1,-1,-1),
	(353,'Half Plate Armor','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12081,-1,-1,-1,-1,-1,-1),
	(47,'Helmet','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12050,-1,-1,-1,-1,-1,-1),
	(628,'Hoplon','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12051,-1,-1,-1,-1,-1,-1),
	(553,'Iron Boots','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12033,-1,-1,-1,-1,-1,-1),
	(376,'Iron Plate Gaiters','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12012,-1,-1,-1,-1,-1,-1),
	(629,'Kite Shield','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12069,-1,-1,-1,-1,-1,-1),
	(40,'Leather Boots','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12006,-1,-1,-1,-1,-1,-1),
	(605,'Leather Gauntlets','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12016,-1,-1,-1,-1,-1,-1),
	(9578,'Linen Shirt','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12040,-1,-1,-1,-1,-1,-1),
	(414,'Lion Skin Gaiters','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12020,-1,-1,-1,-1,-1,-1),
	(392,'Lion Skin Shirt','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12021,-1,-1,-1,-1,-1,-1),
	(2424,'Manticore Skin Boots','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12053,-1,-1,-1,-1,-1,-1),
	(417,'Manticore Skin Gaiters','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12052,-1,-1,-1,-1,-1,-1),
	(2448,'Manticore Skin Gloves','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12055,-1,-1,-1,-1,-1,-1),
	(395,'Manticore Skin Shirt','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12054,-1,-1,-1,-1,-1,-1),
	(415,'Mithril Banded Gaiters','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12042,-1,-1,-1,-1,-1,-1),
	(393,'Mithril Banded Mail','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12043,-1,-1,-1,-1,-1,-1),
	(58,'Mithril Breastplate','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12031,-1,-1,-1,-1,-1,-1),
	(59,'Mithril Gaiters','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12041,-1,-1,-1,-1,-1,-1),
	(2450,'Mithril Gloves','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12065,-1,-1,-1,-1,-1,-1),
	(61,'Mithril Plate Gloves','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12072,-1,-1,-1,-1,-1,-1),
	(882,'Mithril Ring','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12323,-1,-1,-1,-1,-1,-1),
	(2377,'Mithril Scale Gaiters','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12056,-1,-1,-1,-1,-1,-1),
	(470,'Mithril Stockings','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12058,-1,-1,-1,-1,-1,-1),
	(437,'Mithril Tunic','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12057,-1,-1,-1,-1,-1,-1),
	(468,'Mystic\'s Stockings','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12019,-1,-1,-1,-1,-1,-1),
	(435,'Mystic\'s Tunic','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12018,-1,-1,-1,-1,-1,-1),
	(912,'Near Forest Necklace','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12317,-1,-1,-1,-1,-1,-1),
	(914,'Necklace of Darkness','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12324,-1,-1,-1,-1,-1,-1),
	(910,'Necklace of Devotion','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12312,-1,-1,-1,-1,-1,-1),
	(607,'Ogre Power Gauntlets','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12076,-1,-1,-1,-1,-1,-1),
	(851,'Omen Beast\'s Eye Earring','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12325,-1,-1,-1,-1,-1,-1),
	(2428,'Plate Boots','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12077,-1,-1,-1,-1,-1,-1),
	(380,'Plate Gaiters','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12080,-1,-1,-1,-1,-1,-1),
	(2412,'Plate Helmet','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12079,-1,-1,-1,-1,-1,-1),
	(2494,'Plate Shield','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12078,-1,-1,-1,-1,-1,-1),
	(413,'Puma Skin Gaiters','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12014,-1,-1,-1,-1,-1,-1),
	(391,'Puma Skin Shirt','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12015,-1,-1,-1,-1,-1,-1),
	(847,'Red Crescent Earring','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12311,-1,-1,-1,-1,-1,-1),
	(2422,'Reinforced Leather Boots','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12035,-1,-1,-1,-1,-1,-1),
	(416,'Reinforced Leather Gaiters','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12034,-1,-1,-1,-1,-1,-1),
	(2446,'Reinforced Leather Gloves','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12037,-1,-1,-1,-1,-1,-1),
	(394,'Reinforced Leather Shirt','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12036,-1,-1,-1,-1,-1,-1),
	(347,'Ring Mail Breastplate','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12008,-1,-1,-1,-1,-1,-1),
	(890,'Ring of Devotion','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12313,-1,-1,-1,-1,-1,-1),
	(606,'Rip Gauntlets','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12068,-1,-1,-1,-1,-1,-1),
	(438,'Sage\'s Rag','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12083,-1,-1,-1,-1,-1,-1),
	(2451,'Sage\'s Worn Gloves','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12082,-1,-1,-1,-1,-1,-1),
	(2427,'Salamander Skin Boots','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12075,-1,-1,-1,-1,-1,-1),
	(396,'Salamander Skin Mail','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12074,-1,-1,-1,-1,-1,-1),
	(377,'Scale Gaiters','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12023,-1,-1,-1,-1,-1,-1),
	(348,'Scale Mail','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12024,-1,-1,-1,-1,-1,-1),
	(630,'Square Shield','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12073,-1,-1,-1,-1,-1,-1),
	(469,'Stockings of Knowledge','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12048,-1,-1,-1,-1,-1,-1),
	(9584,'Striped Linen Shirt','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12067,-1,-1,-1,-1,-1,-1),
	(849,'Tiger\'s Eye Earring','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12318,-1,-1,-1,-1,-1,-1),
	(436,'Tunic of Knowledge','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12047,-1,-1,-1,-1,-1,-1),
	(434,'White Tunic','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12022,-1,-1,-1,-1,-1,-1),
	(1128,'Adamantite Boots','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(915,'Aquastone Necklace','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12327,-1,-1,-1,-1,-1,-1),
	(883,'Aquastone Ring','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12328,-1,-1,-1,-1,-1,-1),
	(2468,'Blessed Gloves','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(2433,'Boots of Seal','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12089,-1,-1,-1,-1,-1,-1),
	(529,'Cap of Mana','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(2429,'Chain Boots','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12093,-1,-1,-1,-1,-1,-1),
	(381,'Chain Gaiters','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12094,-1,-1,-1,-1,-1,-1),
	(2453,'Chain Gloves','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12092,-1,-1,-1,-1,-1,-1),
	(497,'Chain Helmet','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(2413,'Chain Hood','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12090,-1,-1,-1,-1,-1,-1),
	(354,'Chain Mail Shirt','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12095,-1,-1,-1,-1,-1,-1),
	(2495,'Chain Shield','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12096,-1,-1,-1,-1,-1,-1),
	(60,'Composite Armor','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12128,-1,-1,-1,-1,-1,-1),
	(64,'Composite Boots','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12125,-1,-1,-1,-1,-1,-1),
	(517,'Composite Helmet','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12127,-1,-1,-1,-1,-1,-1),
	(107,'Composite Shield','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12126,-1,-1,-1,-1,-1,-1),
	(1126,'Crimson Boots','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12118,-1,-1,-1,-1,-1,-1),
	(2435,'Demon\'s Boots','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12121,-1,-1,-1,-1,-1,-1),
	(2459,'Demon\'s Gloves','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12122,-1,-1,-1,-1,-1,-1),
	(472,'Demon\'s Stockings','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12124,-1,-1,-1,-1,-1,-1),
	(441,'Demon\'s Tunic','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12123,-1,-1,-1,-1,-1,-1),
	(603,'Divine Boots','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(2463,'Divine Gloves','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12137,-1,-1,-1,-1,-1,-1),
	(473,'Divine Stockings','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12139,-1,-1,-1,-1,-1,-1),
	(442,'Divine Tunic','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12138,-1,-1,-1,-1,-1,-1),
	(401,'Drake Leather Armor','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12135,-1,-1,-1,-1,-1,-1),
	(2437,'Drake Leather Boots','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12136,-1,-1,-1,-1,-1,-1),
	(2461,'Drake Leather Gloves','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12134,-1,-1,-1,-1,-1,-1),
	(2432,'Dwarven Chain Boots','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12088,-1,-1,-1,-1,-1,-1),
	(382,'Dwarven Chain Gaiters','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12109,-1,-1,-1,-1,-1,-1),
	(2456,'Dwarven Chain Gloves','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12108,-1,-1,-1,-1,-1,-1),
	(355,'Dwarven Chain Mail Shirt','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12110,-1,-1,-1,-1,-1,-1),
	(2496,'Dwarven Chain Shield','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12102,-1,-1,-1,-1,-1,-1),
	(854,'Earring of Binding','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12332,-1,-1,-1,-1,-1,-1),
	(853,'Earring of Protection','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12329,-1,-1,-1,-1,-1,-1),
	(631,'Eldarake','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12091,-1,-1,-1,-1,-1,-1),
	(537,'Elemental Hood','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(545,'Flame Helm','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(1127,'Forgotten Boots','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(356,'Full Plate Armor','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12144,-1,-1,-1,-1,-1,-1),
	(2438,'Full Plate Boots','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12142,-1,-1,-1,-1,-1,-1),
	(2462,'Full Plate Gauntlets','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12141,-1,-1,-1,-1,-1,-1),
	(2414,'Full Plate Helmet','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12145,-1,-1,-1,-1,-1,-1),
	(2497,'Full Plate Shield','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12143,-1,-1,-1,-1,-1,-1),
	(609,'Gauntlets of Ghost','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(2457,'Gloves of Seal','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12116,-1,-1,-1,-1,-1,-1),
	(500,'Great Helmet','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12106,-1,-1,-1,-1,-1,-1),
	(549,'Helm of Avadon','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(551,'Helmet of Pledge','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(543,'Hood of Aid','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(539,'Hood of Grace','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(533,'Hood of Solar Eclipse','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(535,'Hood of Summoning','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(2430,'Karmian Boots','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12098,-1,-1,-1,-1,-1,-1),
	(2454,'Karmian Gloves','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12097,-1,-1,-1,-1,-1,-1),
	(471,'Karmian Stockings','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12100,-1,-1,-1,-1,-1,-1),
	(439,'Karmian Tunic','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12099,-1,-1,-1,-1,-1,-1),
	(632,'Knight\'s Shield','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12107,-1,-1,-1,-1,-1,-1),
	(62,'Mithril Boots','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12085,-1,-1,-1,-1,-1,-1),
	(608,'Mithril Gauntlets','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12119,-1,-1,-1,-1,-1,-1),
	(499,'Mithril Helmet','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(397,'Mithril Shirt','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12086,-1,-1,-1,-1,-1,-1),
	(852,'Moonstone Earring','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12326,-1,-1,-1,-1,-1,-1),
	(855,'Nassen\'s Earring','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12335,-1,-1,-1,-1,-1,-1),
	(119,'Necklace of Binding','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12336,-1,-1,-1,-1,-1,-1),
	(917,'Necklace of Mermaid','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12334,-1,-1,-1,-1,-1,-1),
	(916,'Necklace of Protection','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12330,-1,-1,-1,-1,-1,-1),
	(1120,'Pa\'agrian Hand','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(531,'Paradia Hood','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(541,'Phoenix Hood','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(398,'Plated Leather','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12105,-1,-1,-1,-1,-1,-1),
	(2431,'Plated Leather Boots','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12101,-1,-1,-1,-1,-1,-1),
	(418,'Plated Leather Gaiters','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12103,-1,-1,-1,-1,-1,-1),
	(2455,'Plated Leather Gloves','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12104,-1,-1,-1,-1,-1,-1),
	(2452,'Reinforced Mithril Gloves','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12087,-1,-1,-1,-1,-1,-1),
	(399,'Rind Leather Armor','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12113,-1,-1,-1,-1,-1,-1),
	(2434,'Rind Leather Boots','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12114,-1,-1,-1,-1,-1,-1),
	(419,'Rind Leather Gaiters','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12111,-1,-1,-1,-1,-1,-1),
	(2458,'Rind Leather Gloves','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12112,-1,-1,-1,-1,-1,-1),
	(885,'Ring of Ages','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12333,-1,-1,-1,-1,-1,-1),
	(886,'Ring of Binding','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12337,-1,-1,-1,-1,-1,-1),
	(884,'Ring of Protection','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12331,-1,-1,-1,-1,-1,-1),
	(440,'Robe of Seal','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12115,-1,-1,-1,-1,-1,-1),
	(1149,'Shining Circlet','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12120,-1,-1,-1,-1,-1,-1),
	(9579,'Silk Shirt','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12117,-1,-1,-1,-1,-1,-1),
	(498,'Steel Plate Helmet','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(9585,'Striped Silk Shirt','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12140,-1,-1,-1,-1,-1,-1),
	(2387,'Tempered Mithril Gaiters','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12084,-1,-1,-1,-1,-1,-1),
	(400,'Theca Leather Armor','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12133,-1,-1,-1,-1,-1,-1),
	(2436,'Theca Leather Boots','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12132,-1,-1,-1,-1,-1,-1),
	(420,'Theca Leather Gaiters','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12130,-1,-1,-1,-1,-1,-1),
	(2460,'Theca Leather Gloves','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12131,-1,-1,-1,-1,-1,-1),
	(103,'Tower Shield','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12129,-1,-1,-1,-1,-1,-1),
	(672,'Absolute Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(651,'Ace\'s Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(856,'Adamantite Earring','b',-1,-1,-1,12710,11575,-1,-1,-1,-1,-1,-1,12338,-1,-1,-1,1,-1,-1),
	(918,'Adamantite Necklace','b',-1,-1,-1,12711,11576,-1,-1,-1,-1,-1,-1,12339,-1,-1,-1,1,-1,-1),
	(887,'Adamantite Ring','b',-1,-1,-1,12712,11577,-1,-1,-1,-1,-1,-1,12340,-1,-1,-1,1,-1,-1),
	(645,'Art of Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(600,'Avadon Boots','b',5730,5731,5732,12489,11352,-1,-1,11370,11371,11372,-1,12149,12167,12168,12169,1,0,0),
	(2376,'Avadon Breastplate','b',-1,-1,-1,12513,11376,-1,-1,-1,-1,-1,-1,12173,-1,-1,-1,1,-1,-1),
	(2415,'Avadon Circlet','b',-1,-1,-1,12510,-1,-1,-1,11373,12980,12981,-1,12170,-1,-1,-1,1,-1,0),
	(2379,'Avadon Gaiters','b',-1,-1,-1,12512,11375,-1,-1,-1,-1,-1,-1,12172,-1,-1,-1,1,-1,-1),
	(2464,'Avadon Gloves','b',5714,5715,5716,12488,11351,-1,-1,11365,11366,11367,-1,12148,12162,12163,12164,1,0,0),
	(2390,'Avadon Leather Armor','b',-1,-1,-1,12505,11368,-1,-1,-1,-1,-1,-1,12165,-1,-1,-1,1,-1,-1),
	(2406,'Avadon Robe','b',-1,-1,-1,12506,11369,-1,-1,-1,-1,-1,-1,12166,-1,-1,-1,1,-1,-1),
	(673,'Avadon Shield','b',-1,-1,-1,12511,-1,-1,-1,11374,-1,-1,-1,12171,-1,-1,-1,1,-1,-1),
	(671,'Blood Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(2439,'Blue Wolf Boots','b',5734,5735,5736,12528,11391,-1,-1,11396,11397,11398,-1,12189,12195,12196,12197,1,0,0),
	(358,'Blue Wolf Breastplate','b',-1,-1,-1,12542,11405,-1,-1,-1,-1,-1,-1,12204,-1,-1,-1,1,-1,-1),
	(2380,'Blue Wolf Gaiters','b',-1,-1,-1,12531,11394,-1,-1,-1,-1,-1,-1,12193,-1,-1,-1,1,-1,-1),
	(2487,'Blue Wolf Gloves','b',5718,5719,5720,12529,11392,-1,-1,11399,11400,11401,-1,12190,12198,12199,12200,1,0,0),
	(2416,'Blue Wolf Helmet','b',-1,-1,-1,12540,-1,-1,-1,11403,12984,12985,-1,12202,-1,-1,-1,1,-1,0),
	(2391,'Blue Wolf Leather Armor','b',-1,-1,-1,12532,11395,-1,-1,-1,-1,-1,-1,12194,-1,-1,-1,1,-1,-1),
	(2403,'Blue Wolf Stockings','b',-1,-1,-1,12541,11404,-1,-1,-1,-1,-1,-1,12203,-1,-1,-1,1,-1,-1),
	(2398,'Blue Wolf Tunic','b',-1,-1,-1,12539,11402,-1,-1,-1,-1,-1,-1,12201,-1,-1,-1,1,-1,-1),
	(595,'Boots of Blessing','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(601,'Boots of Doom','b',5738,5739,5740,12527,11390,-1,-1,11382,11383,11384,-1,12188,12180,12181,12182,1,0,0),
	(590,'Boots of Grace','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(572,'Boots of Silence','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(666,'Cerberus Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(2465,'Chain Gloves of Silence','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(106,'Dark Dragon Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(643,'Dark Vagian Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(674,'Divine Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(2475,'Doom Gloves','b',5722,5723,5724,12526,11389,-1,-1,11379,11380,11381,-1,12187,12177,12178,12179,1,0,0),
	(2417,'Doom Helmet','b',-1,-1,-1,12524,-1,-1,-1,11387,12982,12983,-1,12185,-1,-1,-1,1,-1,0),
	(2381,'Doom Plate Armor','b',-1,-1,-1,12523,11386,-1,-1,-1,-1,-1,-1,12184,-1,-1,-1,1,-1,-1),
	(110,'Doom Shield','b',-1,-1,-1,12522,-1,-1,-1,11385,-1,-1,-1,12183,-1,-1,-1,1,-1,-1),
	(864,'Earring of Black Ore','b',-1,-1,-1,12713,11578,-1,-1,-1,-1,-1,-1,12341,-1,-1,-1,1,-1,-1),
	(588,'Elemental Boots','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(2480,'Elemental Gloves','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(661,'Elemental Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(640,'Elven Crystal Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(642,'Elven Vagian Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(669,'Flame Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(638,'Glorious Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(2467,'Gloves of Blessing','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(2481,'Gloves of Grace','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(578,'Guardian\'s Boots','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(2466,'Guardian\'s Gloves','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(652,'Guardian\'s Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(647,'Gust Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(644,'Hell Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(564,'Implosion Boots','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(2485,'Implosion Gauntlets','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(105,'Implosion Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(657,'Inferno Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(2392,'Leather Armor of Doom','b',-1,-1,-1,12525,11388,-1,-1,-1,-1,-1,-1,12186,-1,-1,-1,1,-1,-1),
	(653,'Marksman Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(108,'Masterpiece Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(926,'Necklace of Black Ore','b',-1,-1,-1,12714,11579,-1,-1,-1,-1,-1,-1,12342,-1,-1,-1,1,-1,-1),
	(660,'Otherworldly Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(582,'Paradia Boots','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(2486,'Paradia Gloves','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(656,'Paradia Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(665,'Phoenix Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(648,'Prairie Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(639,'Red Flame Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(895,'Ring of Black Ore','b',-1,-1,-1,12715,11580,-1,-1,-1,-1,-1,-1,12343,-1,-1,-1,1,-1,-1),
	(922,'Sage\'s Necklace','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(891,'Sage\'s Ring','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(655,'Sage\'s Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(667,'Shield of Aid','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(658,'Shield of Black Ore','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(668,'Shield of Blessing','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(670,'Shield of Bravery','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(650,'Shield of Concentration','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(663,'Shield of Grace','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(664,'Shield of Holy Spirit','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(654,'Shield of Mana','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(662,'Shield of Phantom','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(111,'Shield of Pledge','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(646,'Shield of Silence','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(109,'Shield of Solar Eclipse','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(659,'Shield of Summoning','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(649,'Shield of the Underworld','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(637,'Shield of Valor','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(104,'Shield of Victory','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(636,'Shining Dragon Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(2404,'Stockings of Doom','b',-1,-1,-1,12543,11406,-1,-1,-1,-1,-1,-1,12205,-1,-1,-1,1,-1,-1),
	(2402,'Stockings of Zubei','b',-1,-1,-1,12515,11378,-1,-1,-1,-1,-1,-1,12176,-1,-1,-1,1,-1,-1),
	(9580,'Thin Leather Shirt','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12174,-1,-1,-1,-1,-1,-1),
	(9586,'Thin Striped Leather Shirt','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12191,-1,-1,-1,-1,-1,-1),
	(2399,'Tunic of Doom','b',-1,-1,-1,12530,11393,-1,-1,-1,-1,-1,-1,12192,-1,-1,-1,1,-1,-1),
	(2397,'Tunic of Zubei','b',-1,-1,-1,12514,11377,-1,-1,-1,-1,-1,-1,12175,-1,-1,-1,1,-1,-1),
	(635,'Wolf Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(554,'Zubei\'s Boots','b',5726,5727,5728,12487,11350,-1,-1,11359,11360,11361,-1,12147,12156,12157,12158,1,0,0),
	(357,'Zubei\'s Breastplate','b',-1,-1,-1,12501,11364,-1,-1,-1,-1,-1,-1,12161,-1,-1,-1,1,-1,-1),
	(383,'Zubei\'s Gaiters','b',-1,-1,-1,12492,11355,-1,-1,-1,-1,-1,-1,12152,-1,-1,-1,1,-1,-1),
	(612,'Zubei\'s Gauntlets','b',5710,5711,5712,12486,11349,-1,-1,11356,11357,11358,-1,12146,12153,12154,12155,1,0,0),
	(503,'Zubei\'s Helmet','b',-1,-1,-1,12500,-1,-1,-1,11363,12978,12979,-1,12160,-1,-1,-1,1,-1,0),
	(2388,'Zubei\'s Leather Gaiters','b',-1,-1,-1,12490,11353,-1,-1,-1,-1,-1,-1,12150,-1,-1,-1,1,-1,-1),
	(2384,'Zubei\'s Leather Shirt','b',-1,-1,-1,12491,11354,-1,-1,-1,-1,-1,-1,12151,-1,-1,-1,1,-1,-1),
	(633,'Zubei\'s Shield','b',-1,-1,-1,12499,-1,-1,-1,11362,-1,-1,-1,12159,-1,-1,-1,1,-1,-1),
	(9581,'Scale Shirt','a',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12219,-1,-1,-1,-1,-1,-1),
	(7876,'Sealed Apella Boots','a',7866,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,87000,-1),
	(7874,'Sealed Apella Brigandine','a',7864,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,507750,-1),
	(7877,'Sealed Apella Doublet','a',7867,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,381000,-1),
	(7872,'Sealed Apella Gauntlet','a',7862,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,87000,-1),
	(7870,'Sealed Apella Helm','a',7860,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,130500,-1),
	(7875,'Sealed Apella Leather Gloves','a',7865,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,87000,-1),
	(7871,'Sealed Apella Plate Armor','a',7861,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,507750,-1),
	(7879,'Sealed Apella Sandals','a',7869,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,87000,-1),
	(7878,'Sealed Apella Silk Gloves','a',7868,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,87000,-1),
	(7873,'Sealed Apella Solleret','a',7863,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,87000,-1),
	(5311,'Sealed Armor of Nightmare','a',374,-1,-1,12601,11464,-1,-1,11471,-1,-1,10793,12263,12270,-1,-1,2,772500,-1),
	(5314,'Sealed Boots of Nightmare','a',5783,5784,5785,12605,11468,-1,-1,11477,11478,11479,-1,12267,12276,12277,12278,2,132000,6600),
	(5291,'Sealed Dark Crystal Boots','a',5777,5778,5779,12561,11424,-1,-1,11413,11414,11415,-1,12224,12212,12213,12214,2,87000,4350),
	(5287,'Sealed Dark Crystal breastplate','a',365,-1,-1,12564,11427,-1,-1,11418,-1,-1,-1,12227,12217,-1,-1,2,347250,-1),
	(5288,'Sealed Dark Crystal Gaiters','a',388,-1,-1,12557,11420,-1,-1,11407,-1,-1,-1,12220,12206,-1,-1,2,216750,-1),
	(5290,'Sealed Dark Crystal Gloves','a',5765,5766,5767,12558,11421,-1,-1,11408,11409,11410,-1,12221,12207,12208,12209,2,87000,4350),
	(5289,'Sealed Dark Crystal Helmet','a',512,-1,-1,12563,11426,12994,12995,11417,12986,12987,-1,12226,12216,-1,-1,2,130500,6600),
	(5297,'Sealed Dark Crystal Leather Armor','a',2385,-1,-1,12559,11422,-1,-1,11411,-1,-1,-1,12222,12210,-1,-1,2,260250,-1),
	(5298,'Sealed Dark Crystal Leggings','a',2389,-1,-1,12565,11428,-1,-1,11419,-1,-1,-1,12228,12218,-1,-1,2,162750,-1),
	(5308,'Sealed Dark Crystal Robe','a',2407,-1,-1,12560,11423,-1,-1,11412,-1,-1,-1,12223,12211,-1,-1,2,381000,-1),
	(5292,'Sealed Dark Crystal Shield','a',641,-1,-1,12562,11425,-1,-1,11416,-1,-1,-1,12225,12215,-1,-1,2,91500,-1),
	(5313,'Sealed Gauntlets of Nightmare','a',5771,5772,5773,12602,11465,-1,-1,11472,11473,11474,-1,12264,12271,12272,12273,2,132000,6600),
	(5312,'Sealed Helm of Nightmare','a',2418,-1,-1,12607,11470,13000,13001,11481,12992,12993,-1,12269,12280,-1,-1,2,198000,7600),
	(5320,'Sealed Leather Armor of Nightmare','a',2394,-1,-1,12603,11466,-1,-1,11475,-1,-1,10795,12265,12274,-1,-1,2,579750,-1),
	(5319,'Sealed Majestic Boots','a',5786,5787,5788,12598,11461,-1,-1,11453,11454,11455,-1,12260,12252,12253,12254,2,132000,6600),
	(5317,'Sealed Majestic Circlet','a',2419,-1,-1,12599,11462,12998,12999,11456,12990,12991,-1,12261,12255,-1,-1,2,198000,7600),
	(6327,'Sealed Majestic Earring','a',862,-1,-1,12727,11592,-1,-1,11589,-1,-1,-1,12352,12355,-1,-1,2,640251,-1),
	(5318,'Sealed Majestic Gauntlets','a',5774,5775,5776,12595,11458,-1,-1,11448,11449,11450,-1,12257,12247,12248,12249,2,132000,6600),
	(5323,'Sealed Majestic Leather Armor','a',2395,-1,-1,12596,11459,-1,-1,11451,-1,-1,10796,12258,12250,-1,-1,2,579750,-1),
	(6326,'Sealed Majestic Necklace','a',924,-1,-1,12725,11590,-1,-1,11587,-1,-1,-1,12350,12353,-1,-1,2,853669,-1),
	(5316,'Sealed Majestic Plate Armor','a',2383,-1,-1,12600,11463,-1,-1,11457,-1,-1,10794,12262,12256,-1,-1,2,772500,-1),
	(6328,'Sealed Majestic Ring','a',893,-1,-1,12726,11591,-1,-1,11588,-1,-1,-1,12351,12354,-1,-1,2,426834,-1),
	(5329,'Sealed Majestic Robe','a',2409,-1,-1,12597,11460,-1,-1,11452,-1,-1,10798,12259,12251,-1,-1,2,579750,-1),
	(5326,'Sealed Nightmare Robe','a',2408,-1,-1,12604,11467,-1,-1,11476,-1,-1,10797,12266,12275,-1,-1,2,579750,-1),
	(6324,'Sealed Phoenix Earring','a',871,-1,-1,12718,11583,-1,-1,11586,-1,-1,-1,12345,12349,-1,-1,2,641644,-1),
	(6323,'Sealed Phoenix Necklace','a',933,-1,-1,12716,11581,-1,-1,11584,-1,-1,-1,12344,12347,-1,-1,2,855525,-1),
	(6325,'Sealed Phoenix Ring','a',902,-1,-1,12717,11582,-1,-1,11585,-1,-1,-1,12346,12348,-1,-1,2,427763,-1),
	(5315,'Sealed Shield of Nightmare','a',2498,-1,-1,12606,11469,-1,-1,11480,-1,-1,-1,12268,12279,-1,-1,2,138750,-1),
	(5296,'Sealed Tallum Boots','a',5780,5781,5782,12568,11431,-1,-1,11441,11442,11443,-1,12231,12240,12241,12242,2,87000,4350),
	(5295,'Sealed Tallum Gloves','a',5768,5769,5770,12566,11429,-1,-1,11437,11438,11439,-1,12229,12236,12237,12238,2,87000,4350),
	(5294,'Sealed Tallum Helmet','a',547,-1,-1,12571,11434,12996,12997,11446,12988,12989,-1,12234,12245,-1,-1,2,130500,6600),
	(5301,'Sealed Tallum Leather Armor','a',2393,-1,-1,12567,11430,-1,-1,11440,-1,-1,-1,12230,12239,-1,-1,2,381000,-1),
	(5293,'Sealed Tallum Plate Armor','a',2382,-1,-1,12570,11433,-1,-1,11445,-1,-1,-1,12233,12244,-1,-1,2,507750,-1),
	(5305,'Sealed Tallum Stockings','a',2405,-1,-1,12572,11435,-1,-1,11447,-1,-1,-1,12235,12246,-1,-1,2,162750,-1),
	(5304,'Sealed Tallum Tunic','a',2400,-1,-1,12569,11432,-1,-1,11444,-1,-1,-1,12232,12243,-1,-1,2,260250,-1),
	(9587,'Striped Scale Shirt','a',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12281,-1,-1,-1,-1,-1,-1),
	(634,'Dragon Shield','s',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(9582,'Mithril Shirt','s',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12290,-1,-1,-1,-1,-1,-1),
	(6680,'Sealed Draconic Leather Armor','s',6379,-1,-1,12629,11493,-1,-1,11485,-1,-1,10800,12293,12284,-1,-1,4,1305000,-1),
	(6682,'Sealed Draconic Leather Boots','s',6381,-1,-1,12628,11492,-1,-1,11484,-1,-1,-1,12292,12283,-1,-1,4,268500,-1),
	(6681,'Sealed Draconic Leather Glove','s',6380,-1,-1,12627,11491,-1,-1,11483,-1,-1,-1,12291,12282,-1,-1,4,268500,-1),
	(6683,'Sealed Draconic Leather Helmet','s',6382,-1,-1,12630,11494,-1,-1,11486,-1,-1,-1,12294,12285,-1,-1,4,402750,-1),
	(6677,'Sealed Imperial Crusader Boots','s',6376,-1,-1,12637,11501,-1,-1,11507,-1,-1,-1,12301,12307,-1,-1,4,268500,-1),
	(6674,'Sealed Imperial Crusader Breastplate','s',6373,-1,-1,12640,11504,-1,-1,11510,-1,-1,10799,12304,12310,-1,-1,4,1072500,-1),
	(6675,'Sealed Imperial Crusader Gaiters','s',6374,-1,-1,12635,11499,-1,-1,11505,-1,-1,-1,12299,12305,-1,-1,4,672000,-1),
	(6676,'Sealed Imperial Crusader Gauntlet','s',6375,-1,-1,12636,11500,-1,-1,11506,-1,-1,-1,12300,12306,-1,-1,4,268500,-1),
	(6679,'Sealed Imperial Crusader Helmet','s',6378,-1,-1,12639,11503,-1,-1,11509,-1,-1,-1,12303,12309,-1,-1,4,402750,-1),
	(6678,'Sealed Imperial Crusader Shield','s',6377,-1,-1,12638,11502,-1,-1,11508,-1,-1,-1,12302,12308,-1,-1,4,282000,-1),
	(6686,'Sealed Major Arcana Boots','s',6385,-1,-1,12633,11497,-1,-1,11489,-1,-1,-1,12297,12288,-1,-1,4,268500,-1),
	(6687,'Sealed Major Arcana Circlet','s',6386,-1,-1,12634,11498,-1,-1,11490,-1,-1,-1,12298,12289,-1,-1,4,402750,-1),
	(6685,'Sealed Major Arcana Glove','s',6384,-1,-1,12631,11495,-1,-1,11487,-1,-1,-1,12295,12286,-1,-1,4,268500,-1),
	(6684,'Sealed Major Arcana Robe','s',6383,-1,-1,12632,11496,-1,-1,11488,-1,-1,10801,12296,12287,-1,-1,4,1305000,-1),
	(6724,'Sealed Tateossian Earring','s',858,-1,-1,12730,11595,-1,-1,11598,-1,-1,-1,12358,12361,-1,-1,3,731441,-1),
	(6726,'Sealed Tateossian Necklace','s',920,-1,-1,12728,11593,-1,-1,11596,-1,-1,-1,12356,12359,-1,-1,3,975255,-1),
	(6725,'Sealed Tateossian Ring','s',889,-1,-1,12729,11594,-1,-1,11597,-1,-1,-1,12357,12360,-1,-1,3,487627,-1),
	(9420,'Dynasty Breast Plate - Bard','s80',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,10806,-1,-1,-1,-1,-1,-1,-1),
	(9419,'Dynasty Breast Plate - Force Master','s80',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,10805,-1,-1,-1,-1,-1,-1,-1),
	(9417,'Dynasty Breast Plate - Shield Master','s80',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,10803,-1,-1,-1,-1,-1,-1,-1),
	(9418,'Dynasty Breast Plate - Weapon Master','s80',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,10804,-1,-1,-1,-1,-1,-1,-1),
	(10232,'Dynasty Jewel Leather Mail','s80',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,10824,-1,-1,-1,-1,-1,-1,-1),
	(10234,'Dynasty Jewel Leather Mail - Bow Master','s80',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,10826,-1,-1,-1,-1,-1,-1,-1),
	(10233,'Dynasty Jewel Leather Mail - Dagger Master','s80',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,10825,-1,-1,-1,-1,-1,-1,-1),
	(10489,'Dynasty Jeweled Leather Armor - Enchanter','s80',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,10834,-1,-1,-1,-1,-1,-1,-1),
	(10487,'Dynasty Jeweled Leather Armor - Force Master','s80',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,10832,-1,-1,-1,-1,-1,-1,-1),
	(10490,'Dynasty Jeweled Leather Armor - Summoner','s80',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,10835,-1,-1,-1,-1,-1,-1,-1),
	(10488,'Dynasty Jeweled Leather Armor - Weapon Master','s80',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,10833,-1,-1,-1,-1,-1,-1,-1),
	(9427,'Dynasty Leather Armor - Bow Master','s80',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,10809,-1,-1,-1,-1,-1,-1,-1),
	(9426,'Dynasty Leather Armor - Dagger Master','s80',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,10808,-1,-1,-1,-1,-1,-1,-1),
	(10168,'Dynasty Leather Armor - Enchanter','s80',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,10817,-1,-1,-1,-1,-1,-1,-1),
	(10126,'Dynasty Leather Armor - Force Master','s80',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,10815,-1,-1,-1,-1,-1,-1,-1),
	(10214,'Dynasty Leather Armor - Summoner','s80',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,10818,-1,-1,-1,-1,-1,-1,-1),
	(10127,'Dynasty Leather Armor - Weapon Master','s80',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,10816,-1,-1,-1,-1,-1,-1,-1),
	(10227,'Dynasty Platinum Plate','s80',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,10819,-1,-1,-1,-1,-1,-1,-1),
	(10231,'Dynasty Platinum Plate - Bard','s80',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,10823,-1,-1,-1,-1,-1,-1,-1),
	(10230,'Dynasty Platinum Plate - Force Master','s80',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,10822,-1,-1,-1,-1,-1,-1,-1),
	(10228,'Dynasty Platinum Plate - Shield Master','s80',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,10820,-1,-1,-1,-1,-1,-1,-1),
	(10229,'Dynasty Platinum Plate - Weapon Master','s80',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,10821,-1,-1,-1,-1,-1,-1,-1),
	(10235,'Dynasty Silver Satin Tunic','s80',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,10827,-1,-1,-1,-1,-1,-1,-1),
	(10237,'Dynasty Silver Satin Tunic - Enchanter','s80',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,10829,-1,-1,-1,-1,-1,-1,-1),
	(10236,'Dynasty Silver Satin Tunic - Healer','s80',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,10828,-1,-1,-1,-1,-1,-1,-1),
	(10239,'Dynasty Silver Satin Tunic - Human Wizard','s80',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,10831,-1,-1,-1,-1,-1,-1,-1),
	(10238,'Dynasty Silver Satin Tunic - Summoner','s80',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,10830,-1,-1,-1,-1,-1,-1,-1),
	(9434,'Dynasty Tunic - Enchanter','s80',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,10812,-1,-1,-1,-1,-1,-1,-1),
	(9433,'Dynasty Tunic - Healer','s80',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,10811,-1,-1,-1,-1,-1,-1,-1),
	(9435,'Dynasty Tunic - Summoner','s80',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,10813,-1,-1,-1,-1,-1,-1,-1),
	(9436,'Dynasty Tunic - Wizard','s80',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,10814,-1,-1,-1,-1,-1,-1,-1),
	(9518,'Sealed Dynasty Boots','s80',9424,-1,-1,12702,11567,-1,-1,11526,-1,-1,-1,-1,-1,-1,-1,7,457000,-1),
	(9514,'Sealed Dynasty Breast Plate','s80',9416,-1,-1,12703,11568,-1,-1,11527,-1,-1,10802,-1,-1,-1,-1,7,1830000,-1),
	(9526,'Sealed Dynasty Circlet','s80',9438,-1,-1,12706,11571,-1,-1,11539,-1,-1,-1,-1,-1,-1,-1,7,686000,-1),
	(9452,'Sealed Dynasty Earring','s80',9455,-1,-1,12739,11604,-1,-1,11601,-1,-1,-1,-1,-1,-1,-1,3,1924000,-1),
	(9515,'Sealed Dynasty Gaiter','s80',9421,-1,-1,12694,11559,-1,-1,11512,-1,-1,-1,-1,-1,-1,-1,7,1144000,-1),
	(9517,'Sealed Dynasty Gauntlets','s80',9423,-1,-1,12695,11560,-1,-1,11513,-1,-1,-1,-1,-1,-1,-1,7,457000,-1),
	(9527,'Sealed Dynasty Gloves','s80',9439,-1,-1,12696,11561,-1,-1,11514,-1,-1,-1,-1,-1,-1,-1,7,457000,-1),
	(9516,'Sealed Dynasty Helmet','s80',9422,-1,-1,12708,11573,-1,-1,11557,-1,-1,-1,-1,-1,-1,-1,7,686000,-1),
	(9519,'Sealed Dynasty Leather Armor','s80',9425,-1,-1,12699,11564,-1,-1,11517,-1,-1,10807,-1,-1,-1,-1,7,1372000,-1),
	(9523,'Sealed Dynasty Leather Boots','s80',9431,-1,-1,12700,11565,-1,-1,11524,-1,-1,-1,-1,-1,-1,-1,7,457000,-1),
	(9522,'Sealed Dynasty Leather Gloves','s80',9430,-1,-1,12697,11562,-1,-1,11515,-1,-1,-1,-1,-1,-1,-1,7,457000,-1),
	(9521,'Sealed Dynasty Leather Helmet','s80',9429,-1,-1,12701,11566,-1,-1,11525,-1,-1,-1,-1,-1,-1,-1,7,686000,-1),
	(9520,'Sealed Dynasty Leather Leggings','s80',9428,-1,-1,12698,11563,-1,-1,11516,-1,-1,-1,-1,-1,-1,-1,7,858000,-1),
	(9453,'Sealed Dynasty Necklace','s80',9456,-1,-1,12737,11602,-1,-1,11599,-1,-1,-1,-1,-1,-1,-1,3,2566000,-1),
	(9454,'Sealed Dynasty Ring','s80',9457,-1,-1,12738,11603,-1,-1,11600,-1,-1,-1,-1,-1,-1,-1,3,1283000,-1),
	(9529,'Sealed Dynasty Shield','s80',9441,-1,-1,12704,11569,-1,-1,11532,-1,-1,-1,-1,-1,-1,-1,7,480000,-1),
	(9528,'Sealed Dynasty Shoes','s80',9440,-1,-1,12705,11570,-1,-1,11533,-1,-1,-1,-1,-1,-1,-1,7,457000,-1),
	(9525,'Sealed Dynasty Stockings','s80',9437,-1,-1,12709,11574,-1,-1,11558,-1,-1,-1,-1,-1,-1,-1,7,858000,-1),
	(9524,'Sealed Dynasty Tunic','s80',9432,-1,-1,12707,11572,-1,-1,11547,-1,-1,10810,-1,-1,-1,-1,7,1372000,-1),
	(14111,'Sealed Vesper Shield','s84',13471,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,3062500,-1),
	(13887,'Sealed Vesper Sigil','s84',12813,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,3062500,-1),
	(14162,'Sealed Vesper Ring','s84',14165,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,2938000,-1),
	(14160,'Sealed Vesper Earring','s84',14163,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,4408000,-1),
	(14161,'Sealed Vesper Necklace','s84',14164,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,5877000,-1),
	(13148,'Sealed Vesper Noble Circlet','s84',13142,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,0,-1),
	(13147,'Sealed Vesper Noble Leather Helmet','s84',13141,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,0,-1),
	(13146,'Sealed Vesper Noble Helmet','s84',13140,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,0,-1),
	(13145,'Sealed Vesper Circlet','s84',13139,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,4375000,-1),
	(13144,'Sealed Vesper Leather Helmet','s84',13138,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,4375000,-1),
	(13143,'Sealed Vesper Helmet','s84',13137,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,4375000,-1),
	(14116,'Sealed Vesper Gloves','s84',13445,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,2916750,-1),
	(14113,'Sealed Vesper Leather Gloves','s84',13442,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,2916750,-1),
	(14109,'Sealed Vesper Gauntlet','s84',13439,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,2916750,-1),
	(14117,'Sealed Vesper Shoes','s84',13446,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,2916750,-1),
	(14114,'Sealed Vesper Leather Boots','s84',13443,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,2916750,-1),
	(14110,'Sealed Vesper Boots','s84',13440,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,2916750,-1),
	(14115,'Sealed Vesper Stockings','s84',13444,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,5469000,-1),
	(14107,'Sealed Vesper Tunic','s84',13434,-1,-1,-1,-1,-1,-1,-1,-1,-1,14522,-1,-1,-1,-1,-1,8750000,-1),
	(14112,'Sealed Vesper Leather Leggings','s84',13441,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,5469000,-1),
	(14106,'Sealed Vesper Leather Breastplate','s84',13433,-1,-1,-1,-1,-1,-1,-1,-1,-1,14521,-1,-1,-1,-1,-1,8750000,-1),
	(14108,'Sealed Vesper Gaiters','s84',13438,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,7292000,-1),
	(14105,'Sealed Vesper Breastplate','s84',13432,-1,-1,-1,-1,-1,-1,-1,-1,-1,14520,-1,-1,-1,-1,-1,11667000,-1),
	(13435,'Vesper Noble Breastplate','s84',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,14523,-1,-1,-1,-1,-1,-1,-1),
	(13436,'Vesper Noble Leather Breastplate','s84',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,14524,-1,-1,-1,-1,-1,-1,-1),
	(13437,'Vesper Noble Tunic','s84',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,14525,-1,-1,-1,-1,-1,-1,-1),
	(13885,'Sealed Arcana Sigil','s',12811,-1,-1,13102,10121,-1,-1,13078,-1,-1,-1,-1,-1,-1,-1,4,282000,-1),
	(13886,'Sealed Dynasty Sigil','s80',12812,-1,-1,10117,10120,-1,-1,10119,-1,-1,-1,-1,-1,-1,-1,7,480000,-1);
