DROP TABLE IF EXISTS `weapon_ex`;
CREATE TABLE `weapon_ex` (
  `item_id` smallint(4) NOT NULL DEFAULT '0',
  `name` varchar(128) NOT NULL DEFAULT '',
  `crystal_type` enum('none','d','c','b','a','s','s80','s84') NOT NULL DEFAULT 'none',
  `foundation` int(10) NOT NULL DEFAULT '0' COMMENT 'foundation id',
  `rare` int(10) NOT NULL DEFAULT '0' COMMENT 'default rare id',
  `sa1` int(10) NOT NULL DEFAULT '0' COMMENT 'sa for weapons',
  `sa2` int(10) NOT NULL DEFAULT '0' COMMENT 'sa for weapons',
  `sa3` int(10) NOT NULL DEFAULT '0' COMMENT 'sa for weapons',
  `raresa1` int(10) NOT NULL DEFAULT '0' COMMENT 'sa for rare weapons',
  `raresa2` int(10) NOT NULL DEFAULT '0' COMMENT 'sa for rare weapons',
  `raresa3` int(10) NOT NULL DEFAULT '0' COMMENT 'sa for rare weapons',
  `pvp1` int(10) NOT NULL DEFAULT '0' COMMENT 'pvp modification for weapons',
  `pvp2` int(10) NOT NULL DEFAULT '0' COMMENT 'pvp modification for weapons',
  `pvp3` int(10) NOT NULL DEFAULT '0' COMMENT 'pvp modification for weapons',
  `rarepvp1` int(10) NOT NULL DEFAULT '0' COMMENT 'rare pvp modification for weapons',
  `rarepvp2` int(10) NOT NULL DEFAULT '0' COMMENT 'rare pvp modification for weapons',
  `rarepvp3` int(10) NOT NULL DEFAULT '0' COMMENT 'rare pvp modification for weapons',
  `common` int(10) NOT NULL DEFAULT '0' COMMENT 'common item variation',
  `kamaex` int(11) NOT NULL DEFAULT '-1' COMMENT 'kamael exchange skill target',
  `sacry1` int(11) NOT NULL DEFAULT '-1' COMMENT 'sa insertion crystal 1',
  `sacry2` int(11) NOT NULL DEFAULT '-1' COMMENT 'sa insertion crystal 2',
  `sacry3` int(11) NOT NULL DEFAULT '-1' COMMENT 'sa insertion crystal 3',
  `varnish` int(11) NOT NULL DEFAULT '-1' COMMENT 'item 12374 count to finish foundation',
  PRIMARY KEY (`item_id`),
  KEY `crystal_type` (`crystal_type`),
  KEY `name` (`name`),
  KEY `Index 4` (`foundation`),
  KEY `Index 5` (`rare`),
  KEY `Index 6` (`sa1`),
  KEY `Index 7` (`sa2`),
  KEY `Index 8` (`sa3`),
  KEY `Index 9` (`raresa1`),
  KEY `Index 10` (`raresa2`),
  KEY `Index 11` (`raresa3`),
  KEY `Index 12` (`pvp1`),
  KEY `Index 13` (`pvp2`),
  KEY `Index 14` (`pvp3`),
  KEY `Index 15` (`rarepvp1`),
  KEY `Index 16` (`rarepvp2`),
  KEY `Index 17` (`rarepvp3`),
  KEY `Index 18` (`common`),
  KEY `Index 19` (`kamaex`),
  KEY `Index 20` (`sacry1`),
  KEY `Index 21` (`sacry2`),
  KEY `Index 22` (`sacry3`),
  KEY `Index 23` (`varnish`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `weapon_ex` (`item_id`, `name`, `crystal_type`, `foundation`, `rare`, `sa1`, `sa2`, `sa3`, `raresa1`, `raresa2`, `raresa3`, `pvp1`, `pvp2`, `pvp3`, `rarepvp1`, `rarepvp2`, `rarepvp3`, `common`, `kamaex`, `sacry1`, `sacry2`, `sacry3`, `varnish`) VALUES
	(1,'Short Sword','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(2,'Long Sword','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(3,'Broadsword','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(4,'Club','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(5,'Mace','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(6,'Apprentice\'s Wand','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(7,'Apprentice\'s Rod','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(8,'Willow Staff','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(9,'Cedar Staff','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(10,'Dagger','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(11,'Bone Dagger','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(12,'Knife','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(13,'Short Bow','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(14,'Bow','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(15,'Short Spear','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(16,'Great Spear','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(18,'Leather Shield','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(19,'Small Shield','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(20,'Buckler','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(66,'Gladius','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(67,'Orcish Sword','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(68,'Falchion','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(87,'Iron Hammer','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(99,'Apprentice\'s Spellbook','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(100,'Voodoo Doll','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(102,'Round Shield','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(120,'Sword of Reflection','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(121,'Sword of Watershadow','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(122,'Handmade Sword','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(152,'Heavy Chisel','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(153,'Sickle','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(154,'Dwarven Mace','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(155,'Flanged Mace','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(176,'Journeyman\'s Staff','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(177,'Mage Staff','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(215,'Doom Dagger','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(216,'Dirk','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(217,'Shining Knife','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(218,'Throwing Knife','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(219,'Sword Breaker','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(253,'Spiked Gloves','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(254,'Iron Gloves','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(255,'Fox Claw Gloves','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(256,'Cestus','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(257,'Viper Fang','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(271,'Hunting Bow','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(272,'Forest Bow','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(273,'Composite Bow','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(308,'Buffalo\'s Horn','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(309,'Tears of Eva','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(310,'Relic of the Saints','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(311,'Crucifix of Blessing','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(625,'Bone Shield','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(738,'Sword of Solidarity','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(743,'Sword of Sentinel','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(744,'Staff of Sentinel','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(747,'Wand of Adept','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(754,'Red Sunset Staff','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(945,'Skeleton Buckler','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(946,'Skeleton Dagger','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(975,'Blood Saber','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(981,'Red Sunset Sword','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(989,'Eldritch Dagger','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(1213,'Guard\'s Bow','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(1295,'Long Sword','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(1296,'Gladius','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(1297,'Bastard Sword','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(1298,'Caliburs','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(1299,'Great Sword','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(1300,'Apprentice\'s Rod','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(1301,'Big Hammer','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(1302,'Bec de Corbin','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(1303,'Lance','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(1304,'Conjuror\'s Staff','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(1305,'Knife','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(1306,'Crafted Dagger','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(1307,'Bow','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(1328,'Shield of Grace','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(1329,'Shield of Victory','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(1330,'Zubei\'s Shield','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(1331,'Otherworldly Shield','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(1332,'Knight\'s Shield','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(1333,'Brandish','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(1510,'Butcher\'s Sword','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(1511,'Silversmith Hammer','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(2368,'Training Gloves','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(2369,'Squire\'s Sword','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(2370,'Guild Member\'s Club','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(2371,'Fist of Butcher','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(2372,'Dagger of Adept','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(2373,'Eldritch Staff','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(2374,'Red Sunset Dagger','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(2501,'Bone Club','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(2915,'Old Knight Sword','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(4219,'Dream Sword','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(4220,'Dream Knife','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(4221,'Ubiquitous Axe','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(4222,'Dream Shield','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(4223,'Ubiquitous Shield','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(5284,'Zweihander','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(6902,'Pledge Shield','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(7015,'Shield of Castle Pledge','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(9720,'Warrior\'s Sword','none',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(69,'Bastard Sword','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11635,9213,-1,-1,-1,-1),
	(70,'Claymore','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11736,9226,-1,-1,-1,-1),
	(83,'Sword of Magic','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11655,-1,-1,-1,-1,-1),
	(86,'Tomahawk','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11645,-1,-1,-1,-1,-1),
	(88,'Morning Star','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11686,-1,-1,-1,-1,-1),
	(90,'Goat Head Staff','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11693,-1,-1,-1,-1,-1),
	(93,'Winged Spear','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11703,-1,-1,-1,-1,-1),
	(101,'Scroll of Wisdom','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11619,-1,-1,-1,-1,-1),
	(123,'Saber','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11614,9209,-1,-1,-1,-1),
	(124,'Two-Handed Sword','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11667,9220,-1,-1,-1,-1),
	(125,'Spinebone Sword','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11636,9214,-1,-1,-1,-1),
	(126,'Artisan\'s Sword','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11643,9215,-1,-1,-1,-1),
	(127,'Crimson Sword','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11675,9218,-1,-1,-1,-1),
	(128,'Knight\'s Sword','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11628,-1,-1,-1,-1,-1),
	(129,'Sword of Revolution','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11714,9222,-1,-1,-1,-1),
	(130,'Elven Sword','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11670,9219,-1,-1,-1,-1),
	(143,'Sword of Mystic','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11656,-1,-1,-1,-1,-1),
	(144,'Sword of Occult','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11657,-1,-1,-1,-1,-1),
	(156,'Hand Axe','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11623,-1,-1,-1,-1,-1),
	(157,'Spiked Club','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11666,-1,-1,-1,-1,-1),
	(158,'Tarbar','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11708,-1,-1,-1,-1,-1),
	(159,'Bonebreaker','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11727,-1,-1,-1,-1,-1),
	(166,'Heavy Mace','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11626,-1,-1,-1,-1,-1),
	(167,'Scalpel','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11615,-1,-1,-1,-1,-1),
	(168,'Work Hammer','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11618,-1,-1,-1,-1,-1),
	(169,'Skull Breaker','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11697,-1,-1,-1,-1,-1),
	(172,'Heavy Bone Club','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11713,-1,-1,-1,-1,-1),
	(178,'Bone Staff','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11610,-1,-1,-1,-1,-1),
	(179,'Mace of Prayer','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11627,-1,-1,-1,-1,-1),
	(180,'Mace of Judgment','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11638,-1,-1,-1,-1,-1),
	(181,'Mace of Miracle','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11641,-1,-1,-1,-1,-1),
	(182,'Doom Hammer','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11630,-1,-1,-1,-1,-1),
	(183,'Mystic Staff','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11634,-1,-1,-1,-1,-1),
	(184,'Conjuror\'s Staff','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11644,-1,-1,-1,-1,-1),
	(185,'Staff of Mana','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11633,-1,-1,-1,-1,-1),
	(186,'Staff of Magic','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11663,-1,-1,-1,-1,-1),
	(187,'Atuba Hammer','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11732,-1,-1,-1,-1,-1),
	(188,'Ghost Staff','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11737,-1,-1,-1,-1,-1),
	(189,'Staff of Life','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11729,-1,-1,-1,-1,-1),
	(190,'Atuba Mace','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11731,-1,-1,-1,-1,-1),
	(220,'Crafted Dagger','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11613,-1,-1,-1,-1,-1),
	(221,'Assassin Knife','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11617,-1,-1,-1,-1,-1),
	(222,'Poniard Dagger','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11646,-1,-1,-1,-1,-1),
	(223,'Kukuri','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11673,-1,-1,-1,-1,-1),
	(224,'Maingauche','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11685,-1,-1,-1,-1,-1),
	(225,'Mithril Dagger','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11726,-1,-1,-1,-1,-1),
	(238,'Dagger of Mana','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11662,-1,-1,-1,-1,-1),
	(239,'Mystic Knife','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11664,-1,-1,-1,-1,-1),
	(240,'Conjurer\'s Knife','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11672,-1,-1,-1,-1,-1),
	(241,'Shilen Knife','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11660,-1,-1,-1,-1,-1),
	(258,'Bagh-Nakh','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11608,-1,-1,-1,-1,-1),
	(259,'Single-Edged Jamadhr','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11642,-1,-1,-1,-1,-1),
	(260,'Triple-Edged Jamadhr','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11665,-1,-1,-1,-1,-1),
	(261,'Bich\'Hwa','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11691,-1,-1,-1,-1,-1),
	(262,'Scallop Jamadhr','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11730,-1,-1,-1,-1,-1),
	(274,'Strengthened Bow','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11606,9212,-1,-1,-1,-1),
	(275,'Long Bow','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11632,9217,-1,-1,-1,-1),
	(276,'Elven Bow','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11640,9995,-1,-1,-1,-1),
	(277,'Dark Elven Bow','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11629,9996,-1,-1,-1,-1),
	(278,'Gastraphetes','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11659,9221,-1,-1,-1,-1),
	(279,'Strengthened Long Bow','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11683,9224,-1,-1,-1,-1),
	(280,'Light Crossbow','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11728,9227,-1,-1,-1,-1),
	(291,'Trident','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11622,-1,-1,-1,-1,-1),
	(292,'Pike','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11647,-1,-1,-1,-1,-1),
	(293,'War Hammer','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11671,-1,-1,-1,-1,-1),
	(294,'War Pick','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11712,-1,-1,-1,-1,-1),
	(295,'Dwarven Trident','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11631,-1,-1,-1,-1,-1),
	(296,'Dwarven Pike','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11661,-1,-1,-1,-1,-1),
	(297,'Glaive','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11725,-1,-1,-1,-1,-1),
	(312,'Branch of Life','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11612,-1,-1,-1,-1,-1),
	(313,'Temptation of Abyss','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11616,-1,-1,-1,-1,-1),
	(314,'Proof of Revenge','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11609,-1,-1,-1,-1,-1),
	(315,'Divine Tome','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11637,-1,-1,-1,-1,-1),
	(316,'Blood of Saints','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11678,-1,-1,-1,-1,-1),
	(317,'Tome of Blood','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11676,-1,-1,-1,-1,-1),
	(318,'Crucifix of Blood','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11709,-1,-1,-1,-1,-1),
	(319,'Eye of Infinity','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(320,'Blue Crystal Skull','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(321,'Demon Fangs','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11715,-1,-1,-1,-1,-1),
	(322,'Vajra Wands','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(323,'Ancient Reagent','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(626,'Bronze Shield','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12013,-1,-1,-1,-1,-1),
	(627,'Aspis','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12025,-1,-1,-1,-1,-1),
	(628,'Hoplon','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12051,-1,-1,-1,-1,-1),
	(629,'Kite Shield','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12069,-1,-1,-1,-1,-1),
	(630,'Square Shield','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12073,-1,-1,-1,-1,-1),
	(1660,'Cursed Maingauche','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11706,-1,-1,-1,-1,-1),
	(2493,'Brigandine Shield','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12063,-1,-1,-1,-1,-1),
	(2494,'Plate Shield','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12078,-1,-1,-1,-1,-1),
	(2499,'Elven Long Sword','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11733,9225,-1,-1,-1,-1),
	(2516,'Saber*Saber','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11658,-1,-1,-1,-1,-1),
	(2517,'Saber*Bastard Sword','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11680,-1,-1,-1,-1,-1),
	(2518,'Saber*Spinebone Sword','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11681,-1,-1,-1,-1,-1),
	(2519,'Saber*Artisan\'s Sword','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11682,-1,-1,-1,-1,-1),
	(2520,'Saber*Knight\'s Sword','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11679,-1,-1,-1,-1,-1),
	(2521,'Saber*Crimson Sword','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11695,-1,-1,-1,-1,-1),
	(2522,'Saber*Elven Sword','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11694,-1,-1,-1,-1,-1),
	(2525,'Bastard Sword*Bastard Sword','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11688,-1,-1,-1,-1,-1),
	(2526,'Bastard Sword*Spinebone Sword','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11689,-1,-1,-1,-1,-1),
	(2527,'Bastard Sword*Artisan\'s Sword','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11690,-1,-1,-1,-1,-1),
	(2528,'Bastard Sword*Knight\'s Sword','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11687,-1,-1,-1,-1,-1),
	(2529,'Bastard Sword*Crimson Sword','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11719,-1,-1,-1,-1,-1),
	(2530,'Bastard Sword*Elven Sword','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11718,-1,-1,-1,-1,-1),
	(2533,'Spinebone Sword*Spinebone Sword','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11699,-1,-1,-1,-1,-1),
	(2534,'Spinebone Sword*Artisan\'s Sword','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11700,-1,-1,-1,-1,-1),
	(2535,'Spinebone Sword*Knight\'s Sword','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11698,-1,-1,-1,-1,-1),
	(2536,'Spinebone Sword*Crimson Sword','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11721,-1,-1,-1,-1,-1),
	(2537,'Spinebone Sword*Elven Sword','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11720,-1,-1,-1,-1,-1),
	(2540,'Artisan\'s Sword*Artisan\'s Sword','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11705,-1,-1,-1,-1,-1),
	(2541,'Artisan\'s Sword*Knight\'s Sword','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11704,-1,-1,-1,-1,-1),
	(2542,'Artisan\'s Sword*Crimson Sword','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11723,-1,-1,-1,-1,-1),
	(2543,'Artisan\'s Sword*Elven Sword','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11722,-1,-1,-1,-1,-1),
	(2546,'Knight\'s Sword*Knight\'s Sword','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11684,-1,-1,-1,-1,-1),
	(2547,'Knight\'s Sword*Crimson Sword','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11717,-1,-1,-1,-1,-1),
	(2548,'Knight\'s Sword*Elven Sword','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11716,-1,-1,-1,-1,-1),
	(5285,'Heavy Sword','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11625,9210,-1,-1,-1,-1),
	(7880,'Steel Sword','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11605,9211,-1,-1,-1,-1),
	(7881,'Titan Sword','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11710,9223,-1,-1,-1,-1),
	(7885,'Priest Sword','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11611,-1,-1,-1,-1,-1),
	(7886,'Sword of Magic Fog','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11696,-1,-1,-1,-1,-1),
	(7890,'Priest Mace','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11692,-1,-1,-1,-1,-1),
	(7896,'Titan Hammer','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11711,-1,-1,-1,-1,-1),
	(8821,'Shadow Item: Two Handed Sword','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,10006,-1,-1,-1,-1),
	(8822,'Shadow Item: Crimson Sword','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,10005,-1,-1,-1,-1),
	(8828,'Shadow Item: Gastraphetes','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,10007,-1,-1,-1,-1),
	(9209,'Rapier','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11607,123,-1,-1,-1,-1),
	(9210,'Talwar','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11620,5285,-1,-1,-1,-1),
	(9211,'Talwar','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11621,7880,-1,-1,-1,-1),
	(9212,'Field Gun','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11624,274,-1,-1,-1,-1),
	(9213,'Fleuret','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11648,69,-1,-1,-1,-1),
	(9214,'Fleuret','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11649,125,-1,-1,-1,-1),
	(9215,'Fleuret','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11650,126,-1,-1,-1,-1),
	(9216,'Military Talwar','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11639,-1,-1,-1,-1,-1),
	(9217,'Hand Crossbow','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11652,275,-1,-1,-1,-1),
	(9218,'Estoc','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11668,127,-1,-1,-1,-1),
	(9219,'Estoc','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11669,130,-1,-1,-1,-1),
	(9220,'Field Sword','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11677,124,-1,-1,-1,-1),
	(9221,'Crossbow','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11674,278,-1,-1,-1,-1),
	(9222,'Epee','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11702,129,-1,-1,-1,-1),
	(9223,'Katzbalger','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11707,7881,-1,-1,-1,-1),
	(9224,'Arm Breaker','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11701,279,-1,-1,-1,-1),
	(9225,'Grand Epee','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11724,2499,-1,-1,-1,-1),
	(9226,'General\'s Katzbalger','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11734,70,-1,-1,-1,-1),
	(9227,'Cranequin','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11735,280,-1,-1,-1,-1),
	(9995,'Hand Crossbow','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11653,276,-1,-1,-1,-1),
	(9996,'Hand Crossbow','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11654,277,-1,-1,-1,-1),
	(10003,'Fleuret','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11651,-1,-1,-1,-1,-1),
	(10005,'Shadow Item: Fleuret','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,8822,-1,-1,-1,-1),
	(10006,'Shadow Item: Military Talwar','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,8821,-1,-1,-1,-1),
	(10007,'Shadow Item: Hand Crossbow','d',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,8828,-1,-1,-1,-1),
	(71,'Flamberge','c',-1,-1,4711,4712,4713,-1,-1,-1,-1,-1,-1,-1,-1,-1,11766,9232,4634,4645,4656,-1),
	(72,'Stormbringer','c',-1,-1,4681,4682,4683,-1,-1,-1,-1,-1,-1,-1,-1,-1,11756,9228,4634,4645,4656,-1),
	(73,'Shamshir','c',-1,-1,4684,4685,4686,-1,-1,-1,-1,-1,-1,-1,-1,-1,11783,9240,4635,4646,4657,-1),
	(74,'Katana','c',-1,-1,4687,4688,4689,-1,-1,-1,-1,-1,-1,-1,-1,-1,11794,9244,4635,4646,4657,-1),
	(75,'Caliburs','c',-1,-1,4696,4697,4698,-1,-1,-1,-1,-1,-1,-1,-1,-1,11821,9264,4636,4647,4658,-1),
	(76,'Sword of Delusion','c',-1,-1,4699,4700,4701,-1,-1,-1,-1,-1,-1,-1,-1,-1,11807,9268,4636,4647,4658,-1),
	(77,'Tsurugi','c',-1,-1,4702,4703,4704,-1,-1,-1,-1,-1,-1,-1,-1,-1,11820,9272,4636,4647,4658,-1),
	(84,'Homunkulus\'s Sword','c',-1,-1,6313,6314,6315,-1,-1,-1,-1,-1,-1,-1,-1,-1,11829,-1,4636,4647,4658,-1),
	(89,'Big Hammer','c',-1,-1,4726,4727,4728,-1,-1,-1,-1,-1,-1,-1,-1,-1,11765,-1,4634,4645,4656,-1),
	(94,'Bec de Corbin','c',-1,-1,4843,4844,4845,-1,-1,-1,-1,-1,-1,-1,-1,-1,11782,-1,4635,4646,4657,-1),
	(95,'Poleaxe','c',-1,-1,7719,7720,7721,-1,-1,-1,-1,-1,-1,-1,-1,-1,11826,-1,4636,4647,4658,-1),
	(96,'Scythe','c',-1,-1,4834,4835,4836,-1,-1,-1,-1,-1,-1,-1,-1,-1,11751,-1,4634,4645,4656,-1),
	(103,'Tower Shield','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12129,-1,-1,-1,-1,-1),
	(107,'Composite Shield','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12126,-1,-1,-1,-1,-1),
	(131,'Spirit Sword','c',-1,-1,4690,4691,4692,-1,-1,-1,-1,-1,-1,-1,-1,-1,11789,9248,4635,4646,4657,-1),
	(132,'Sword of Limit','c',-1,-1,6307,6308,6309,-1,-1,-1,-1,-1,-1,-1,-1,-1,11801,9280,4636,4647,4658,-1),
	(133,'Raid Sword','c',-1,-1,4693,4694,4695,-1,-1,-1,-1,-1,-1,-1,-1,-1,11778,9252,4635,4646,4657,-1),
	(134,'Sword of Nightmare','c',-1,-1,4705,4706,4707,-1,-1,-1,-1,-1,-1,-1,-1,-1,11815,9276,4636,4647,4658,-1),
	(135,'Samurai Longsword','c',-1,-1,4708,4709,4710,-1,-1,-1,-1,-1,-1,-1,-1,-1,11853,9292,4637,4648,4659,-1),
	(145,'Sword of Whispering Death','c',-1,-1,6310,6311,6312,-1,-1,-1,-1,-1,-1,-1,-1,-1,11805,-1,4636,4647,4658,-1),
	(160,'Battle Axe','c',-1,-1,4729,4730,4731,-1,-1,-1,-1,-1,-1,-1,-1,-1,11750,-1,4634,4645,4656,-1),
	(161,'Silver Axe','c',-1,-1,4732,4733,4734,-1,-1,-1,-1,-1,-1,-1,-1,-1,11761,-1,4634,4645,4656,-1),
	(162,'War Axe','c',-1,-1,4741,4742,4743,-1,-1,-1,-1,-1,-1,-1,-1,-1,11816,-1,4636,4647,4658,-1),
	(173,'Skull Graver','c',-1,-1,4735,4736,4737,-1,-1,-1,-1,-1,-1,-1,-1,-1,11755,-1,4634,4645,4656,-1),
	(174,'Nirvana Axe','c',-1,-1,7707,7708,7709,-1,-1,-1,-1,-1,-1,-1,-1,-1,11802,-1,4636,4647,4658,-1),
	(191,'Heavy Doom Hammer','c',-1,-1,4864,4865,4866,-1,-1,-1,-1,-1,-1,-1,-1,-1,11768,-1,4634,4645,4656,-1),
	(192,'Crystal Staff','c',-1,-1,4867,4868,4869,-1,-1,-1,-1,-1,-1,-1,-1,-1,11764,-1,4634,4645,4656,-1),
	(193,'Stick of Faith','c',-1,-1,7701,7702,7703,-1,-1,-1,-1,-1,-1,-1,-1,-1,11757,-1,4634,4645,4656,-1),
	(194,'Heavy Doom Axe','c',-1,-1,4870,4871,4872,-1,-1,-1,-1,-1,-1,-1,-1,-1,11767,-1,4634,4645,4656,-1),
	(195,'Cursed Staff','c',-1,-1,4873,4874,4875,-1,-1,-1,-1,-1,-1,-1,-1,-1,11793,-1,4635,4646,4657,-1),
	(196,'Stick of Eternity','c',-1,-1,7704,7705,7706,-1,-1,-1,-1,-1,-1,-1,-1,-1,11799,-1,4636,4647,4658,-1),
	(197,'Paradia Staff','c',-1,-1,4876,4877,4878,-1,-1,-1,-1,-1,-1,-1,-1,-1,11825,-1,4636,4647,4658,-1),
	(198,'Inferno Staff','c',-1,-1,7716,7717,7718,-1,-1,-1,-1,-1,-1,-1,-1,-1,11819,-1,4636,4647,4658,-1),
	(199,'Pa\'agrian Hammer','c',-1,-1,4879,4880,4881,-1,-1,-1,-1,-1,-1,-1,-1,-1,11824,-1,4636,4647,4658,-1),
	(200,'Sage\'s Staff','c',-1,-1,4882,4883,4884,-1,-1,-1,-1,-1,-1,-1,-1,-1,11828,-1,4636,4647,4658,-1),
	(201,'Club of Nature','c',-1,-1,7710,7711,7712,-1,-1,-1,-1,-1,-1,-1,-1,-1,11804,-1,4658,4647,4636,-1),
	(202,'Mace of the Underworld','c',-1,-1,7713,7714,7715,-1,-1,-1,-1,-1,-1,-1,-1,-1,11806,-1,4636,4647,4658,-1),
	(203,'Pa\'agrian Axe','c',-1,-1,4885,4886,4887,-1,-1,-1,-1,-1,-1,-1,-1,-1,11833,-1,4636,4647,4658,-1),
	(204,'Deadman\'s Staff','c',-1,-1,4888,4889,4890,-1,-1,-1,-1,-1,-1,-1,-1,-1,11842,-1,4637,4648,4659,-1),
	(205,'Ghoul\'s Staff','c',-1,-1,4891,4892,4893,-1,-1,-1,-1,-1,-1,-1,-1,-1,11838,-1,4637,4648,4659,-1),
	(206,'Demon\'s Staff','c',-1,-1,4894,4895,4896,-1,-1,-1,-1,-1,-1,-1,-1,-1,11855,-1,4637,4648,4659,-1),
	(226,'Cursed Dagger','c',-1,-1,4759,4760,4761,-1,-1,-1,-1,-1,-1,-1,-1,-1,11762,-1,4634,4645,4656,-1),
	(227,'Stiletto','c',-1,-1,4765,4766,6357,-1,-1,-1,-1,-1,-1,-1,-1,-1,11788,-1,4635,4646,4657,-1),
	(228,'Crystal Dagger','c',-1,-1,4774,4775,6358,-1,-1,-1,-1,-1,-1,-1,-1,-1,11863,-1,4637,4648,4659,-1),
	(230,'Wolverine Needle','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11746,-1,-1,-1,-1,-1),
	(231,'Grace Dagger','c',-1,-1,4768,4769,4770,-1,-1,-1,-1,-1,-1,-1,-1,-1,11800,-1,4636,4647,4658,-1),
	(232,'Dark Elven Dagger','c',-1,-1,4762,4763,6356,-1,-1,-1,-1,-1,-1,-1,-1,-1,11747,-1,4634,4645,4656,-1),
	(233,'Dark Screamer','c',-1,-1,4771,4772,4773,-1,-1,-1,-1,-1,-1,-1,-1,-1,11803,-1,4636,4647,4658,-1),
	(242,'Soulfire Dirk','c',-1,-1,7810,7811,7812,-1,-1,-1,-1,-1,-1,-1,-1,-1,11779,-1,4636,4647,4658,-1),
	(263,'Chakram','c',-1,-1,4789,4790,4791,-1,-1,-1,-1,-1,-1,-1,-1,-1,11763,-1,4634,4645,4656,-1),
	(265,'Fisted Blade','c',-1,-1,4792,4793,4794,-1,-1,-1,-1,-1,-1,-1,-1,-1,11827,-1,4636,4647,4658,-1),
	(266,'Great Pata','c',-1,-1,4795,4796,4797,-1,-1,-1,-1,-1,-1,-1,-1,-1,11839,-1,4637,4648,4659,-1),
	(281,'Crystallized Ice Bow','c',-1,-1,4810,4811,4812,-1,-1,-1,-1,-1,-1,-1,-1,-1,11759,9236,4634,4645,4656,-1),
	(282,'Elemental Bow','c',-1,-1,4813,4814,4815,-1,-1,-1,-1,-1,-1,-1,-1,-1,11790,9256,4635,4646,4657,-1),
	(283,'Akat Long Bow','c',-1,-1,4819,4820,4821,-1,-1,-1,-1,-1,-1,-1,-1,-1,11814,9288,4636,4647,4658,-1),
	(285,'Noble Elven Bow','c',-1,-1,4816,4817,4818,-1,-1,-1,-1,-1,-1,-1,-1,-1,11775,9260,4635,4646,4657,-1),
	(286,'Eminence Bow','c',-1,-1,4822,4823,4824,-1,-1,-1,-1,-1,-1,-1,-1,-1,11857,9300,4637,4648,4659,-1),
	(298,'Orcish Glaive','c',-1,-1,4837,4838,4839,-1,-1,-1,-1,-1,-1,-1,-1,-1,11760,-1,4634,4645,4656,-1),
	(299,'Orcish Poleaxe','c',-1,-1,4852,4853,4854,-1,-1,-1,-1,-1,-1,-1,-1,-1,11858,-1,4637,4648,4659,-1),
	(301,'Scorpion','c',-1,-1,4846,4847,4848,-1,-1,-1,-1,-1,-1,-1,-1,-1,11830,-1,4636,4647,4658,-1),
	(302,'Body Slasher','c',-1,-1,4840,4841,4842,-1,-1,-1,-1,-1,-1,-1,-1,-1,11749,-1,4634,4645,4656,-1),
	(303,'Widow Maker','c',-1,-1,4849,4850,4851,-1,-1,-1,-1,-1,-1,-1,-1,-1,11832,-1,4636,4647,4658,-1),
	(324,'Tears of Fairy','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(325,'Horn of Glory','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11792,-1,-1,-1,-1,-1),
	(326,'Heathen\'s Book','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11817,-1,-1,-1,-1,-1),
	(327,'Hex Doll','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(328,'Candle of Wisdom','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(329,'Blessed Branch','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(330,'Phoenix Feather','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(331,'Cerberus Eye','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(332,'Scroll of Destruction','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(333,'Claws of Black Dragon','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(334,'Three Eyed Crow\'s Feather','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(631,'Eldarake','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12091,-1,-1,-1,-1,-1),
	(632,'Knight\'s Shield','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12107,-1,-1,-1,-1,-1),
	(2495,'Chain Shield','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12096,-1,-1,-1,-1,-1),
	(2496,'Dwarven Chain Shield','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12102,-1,-1,-1,-1,-1),
	(2497,'Full Plate Shield','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12143,-1,-1,-1,-1,-1),
	(2502,'Dwarven War Hammer','c',-1,-1,4738,4739,4740,-1,-1,-1,-1,-1,-1,-1,-1,-1,11777,-1,4635,4646,4657,-1),
	(2503,'Yaksa Mace','c',-1,-1,4744,4745,4746,-1,-1,-1,-1,-1,-1,-1,-1,-1,11856,-1,4637,4648,4659,-1),
	(2523,'Saber*Sword of Revolution','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11738,-1,-1,-1,-1,-1),
	(2524,'Saber*Elven Long Sword','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11752,-1,-1,-1,-1,-1),
	(2531,'Bastard Sword*Sword of Revolution','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11743,-1,-1,-1,-1,-1),
	(2532,'Bastard Sword*Elven Long Sword','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11770,-1,-1,-1,-1,-1),
	(2538,'Spinebone Sword*Sword of Revolution','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11744,-1,-1,-1,-1,-1),
	(2539,'Spinebone Sword*Elven Long Sword','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11771,-1,-1,-1,-1,-1),
	(2544,'Artisan\'s Sword*Sword of Revolution','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11745,-1,-1,-1,-1,-1),
	(2545,'Artisan\'s Sword*Elven Long Sword','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11773,-1,-1,-1,-1,-1),
	(2549,'Knight\'s Sword*Sword of Revolution','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11742,-1,-1,-1,-1,-1),
	(2550,'Knight\'s Sword*Elven Long Sword','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11769,-1,-1,-1,-1,-1),
	(2551,'Crimson Sword*Crimson Sword','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11741,-1,-1,-1,-1,-1),
	(2552,'Crimson Sword*Elven Sword','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11740,-1,-1,-1,-1,-1),
	(2553,'Crimson Sword*Sword of Revolution','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11774,-1,-1,-1,-1,-1),
	(2554,'Crimson Sword*Elven Long Sword','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11795,-1,-1,-1,-1,-1),
	(2555,'Elven Sword*Elven Sword','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11739,-1,-1,-1,-1,-1),
	(2556,'Elven Sword*Sword of Revolution','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11772,-1,-1,-1,-1,-1),
	(2557,'Elven Sword*Elven Long Sword','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11791,-1,-1,-1,-1,-1),
	(2558,'Sword of Revolution*Sword of Revolution','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11796,-1,-1,-1,-1,-1),
	(2559,'Sword of Revolution*Elven Long Sword','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11797,-1,-1,-1,-1,-1),
	(2560,'Elven Long Sword*Elven Long Sword','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11798,-1,-1,-1,-1,-1),
	(2561,'Stormbringer*Stormbringer','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11831,-1,-1,-1,-1,-1),
	(2562,'Stormbringer*Shamshir','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11835,-1,-1,-1,-1,-1),
	(2563,'Stormbringer*Katana','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11837,-1,-1,-1,-1,-1),
	(2564,'Stormbringer*Spirit Sword','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11836,-1,-1,-1,-1,-1),
	(2565,'Stormbringer*Raid Sword','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11834,-1,-1,-1,-1,-1),
	(2572,'Shamshir*Shamshir','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11846,-1,-1,-1,-1,-1),
	(2573,'Shamshir*Katana','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11848,-1,-1,-1,-1,-1),
	(2574,'Shamshir*Spirit Sword','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11847,-1,-1,-1,-1,-1),
	(2575,'Shamshir*Raid Sword','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11845,-1,-1,-1,-1,-1),
	(2582,'Katana*Katana','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11862,-1,-1,-1,-1,-1),
	(2583,'Katana*Spirit Sword','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11861,-1,-1,-1,-1,-1),
	(2584,'Katana*Raid Sword','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11860,-1,-1,-1,-1,-1),
	(2591,'Spirit Sword*Spirit Sword','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11852,-1,-1,-1,-1,-1),
	(2592,'Spirit Sword*Raid Sword','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11851,-1,-1,-1,-1,-1),
	(2599,'Raid Sword*Raid Sword','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11841,-1,-1,-1,-1,-1),
	(4233,'Knuckle Duster','c',-1,-1,4798,4799,4800,-1,-1,-1,-1,-1,-1,-1,-1,-1,11776,-1,4637,4648,4659,-1),
	(5286,'Berserker Blade','c',-1,-1,6347,6348,6349,-1,-1,-1,-1,-1,-1,-1,-1,-1,11843,9296,4637,4648,4659,-1),
	(7882,'Pa\'agrian Sword','c',-1,-1,8102,8103,8104,-1,-1,-1,-1,-1,-1,-1,-1,-1,11813,9284,4636,4647,4658,-1),
	(7887,'Mysterious Sword','c',-1,-1,8111,8112,8113,-1,-1,-1,-1,-1,-1,-1,-1,-1,11748,-1,4634,4645,4656,-1),
	(7888,'Ecliptic Sword','c',-1,-1,8114,8115,8116,-1,-1,-1,-1,-1,-1,-1,-1,-1,11850,-1,4637,4648,4659,-1),
	(7891,'Ecliptic Axe','c',-1,-1,8138,8139,8140,-1,-1,-1,-1,-1,-1,-1,-1,-1,11859,-1,4637,4648,4659,-1),
	(7897,'Dwarven Hammer','c',-1,-1,8120,8121,8122,-1,-1,-1,-1,-1,-1,-1,-1,-1,11840,-1,4648,4637,4659,-1),
	(7898,'Karik Horn','c',-1,-1,8123,8124,8125,-1,-1,-1,-1,-1,-1,-1,-1,-1,11822,-1,4658,4647,4636,-1),
	(8830,'Shadow Item: Katana','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,9840,-1,-1,-1,-1),
	(8835,'Shadow Item: Elemental Bow','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,9842,-1,-1,-1,-1),
	(8839,'Shadow Item: Sword of Delusion','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,9843,-1,-1,-1,-1),
	(8845,'Shadow Item: Akat Long Bow','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,9845,-1,-1,-1,-1),
	(8846,'Shadow Item: Pa\'agrian Sword','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,9844,-1,-1,-1,-1),
	(8926,'Shadow Item: Sword of Delusion','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,10008,-1,-1,-1,-1),
	(8932,'Shadow Item: Akat Long Bow','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,10010,-1,-1,-1,-1),
	(8933,'Shadow Item: Pa\'agrian Sword','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,10009,-1,-1,-1,-1),
	(9228,'Soldat Estoc','c',-1,-1,9229,9230,9231,-1,-1,-1,-1,-1,-1,-1,-1,-1,11753,72,4634,4645,4656,-1),
	(9232,'Schlager','c',-1,-1,9233,9234,9235,-1,-1,-1,-1,-1,-1,-1,-1,-1,11754,71,4634,4645,4656,-1),
	(9236,'Arbalest','c',-1,-1,9237,9238,9239,-1,-1,-1,-1,-1,-1,-1,-1,-1,11758,281,4634,4645,4656,-1),
	(9240,'Chevalier Rapier','c',-1,-1,9241,9242,9243,-1,-1,-1,-1,-1,-1,-1,-1,-1,11784,73,4635,4646,4657,-1),
	(9244,'Chevalier Rapier','c',-1,-1,9245,9246,9247,-1,-1,-1,-1,-1,-1,-1,-1,-1,11785,74,4635,4646,4657,-1),
	(9248,'Chevalier Rapier','c',-1,-1,9249,9250,9251,-1,-1,-1,-1,-1,-1,-1,-1,-1,11786,131,4635,4646,4657,-1),
	(9252,'Chevalier Rapier','c',-1,-1,9253,9254,9255,-1,-1,-1,-1,-1,-1,-1,-1,-1,11787,133,4635,4646,4657,-1),
	(9256,'Ballista','c',-1,-1,9257,9258,9259,-1,-1,-1,-1,-1,-1,-1,-1,-1,11780,282,4635,4646,4657,-1),
	(9260,'Ballista','c',-1,-1,9261,9262,9263,-1,-1,-1,-1,-1,-1,-1,-1,-1,11781,285,4635,4646,4657,-1),
	(9264,'Blinzlasher','c',-1,-1,9265,9266,9267,-1,-1,-1,-1,-1,-1,-1,-1,-1,11808,75,4636,4647,4658,-1),
	(9268,'Blinzlasher','c',-1,-1,9269,9270,9271,-1,-1,-1,-1,-1,-1,-1,-1,-1,11809,76,4636,4647,4658,-1),
	(9272,'Blinzlasher','c',-1,-1,9273,9274,9275,-1,-1,-1,-1,-1,-1,-1,-1,-1,11810,77,4636,4647,4658,-1),
	(9276,'Blinzlasher','c',-1,-1,9277,9278,9279,-1,-1,-1,-1,-1,-1,-1,-1,-1,11811,134,4636,4647,4658,-1),
	(9280,'Blinzlasher','c',-1,-1,9281,9282,9283,-1,-1,-1,-1,-1,-1,-1,-1,-1,11812,132,4636,4647,4658,-1),
	(9284,'Immortal Edge','c',-1,-1,9285,9286,9287,-1,-1,-1,-1,-1,-1,-1,-1,-1,11818,7882,4636,4647,4658,-1),
	(9288,'Tathlum','c',-1,-1,9289,9290,9291,-1,-1,-1,-1,-1,-1,-1,-1,-1,11823,283,4636,4647,4658,-1),
	(9292,'Admiral\'s Estoc','c',-1,-1,9293,9294,9295,-1,-1,-1,-1,-1,-1,-1,-1,-1,11854,135,4637,4648,4659,-1),
	(9296,'Saber Tooth','c',-1,-1,9297,9298,9299,-1,-1,-1,-1,-1,-1,-1,-1,-1,11849,5286,4637,4648,4659,-1),
	(9300,'Sharpshooter','c',-1,-1,9301,9302,9303,-1,-1,-1,-1,-1,-1,-1,-1,-1,11844,286,4637,4648,4659,-1),
	(9840,'Shadow Item: Chevalier Rapier','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,8830,-1,-1,-1,-1),
	(9842,'Shadow Item: Ballista','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,8835,-1,-1,-1,-1),
	(9843,'Shadow Item: Blinzlasher','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,8839,-1,-1,-1,-1),
	(9844,'Shadow Item: Immortal Edge','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,8846,-1,-1,-1,-1),
	(9845,'Shadow Item: Tathlum','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,8845,-1,-1,-1,-1),
	(10008,'Shadow Item: Blinzlasher','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,8926,-1,-1,-1,-1),
	(10009,'Shadow Item: Immortal Edge','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,8933,-1,-1,-1,-1),
	(10010,'Shadow Item: Tathlum','c',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,8932,-1,-1,-1,-1),
	(78,'Great Sword','b',12375,10870,4723,4724,4725,10871,10872,10873,-1,-1,-1,-1,-1,-1,11889,9308,4638,4649,4660,1),
	(79,'Sword of Damascus','b',12391,10959,4717,4718,4719,10960,10961,10962,-1,-1,-1,-1,-1,-1,11930,9316,4639,4650,4661,1),
	(91,'Heavy War Axe','b',12388,10938,4747,4748,4749,10939,10940,10941,-1,-1,-1,-1,-1,-1,11918,-1,4638,4649,4660,1),
	(92,'Sprite\'s Staff','b',12384,10916,4897,4898,4899,10917,10918,10919,-1,-1,-1,-1,-1,-1,11908,-1,4638,4649,4660,1),
	(97,'Lance','b',12393,10967,4858,4859,4860,10968,10969,10970,-1,-1,-1,-1,-1,-1,11932,-1,4639,4650,4661,1),
	(104,'Shield of Victory','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(105,'Implosion Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(106,'Dark Dragon Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(108,'Masterpiece Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(109,'Shield of Solar Eclipse','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(110,'Doom Shield','b',12522,11385,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12183,-1,-1,-1,-1,1),
	(111,'Shield of Pledge','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(142,'Keshanberk','b',12386,10930,4714,4715,4716,10931,10932,10933,-1,-1,-1,-1,-1,-1,11916,9304,4638,4649,4660,1),
	(146,'Ghoulbane','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(148,'Sword of Valhalla','b',12379,10893,7722,7723,7724,10894,10895,10896,-1,-1,-1,-1,-1,-1,11900,-1,4638,4649,4660,1),
	(171,'Deadman\'s Glory','b',12396,10979,4750,4751,4752,10980,10981,10982,-1,-1,-1,-1,-1,-1,11935,-1,4639,4650,4661,1),
	(175,'Art of Battle Axe','b',12398,10988,4753,4754,4755,10989,10990,10991,-1,-1,-1,-1,-1,-1,11938,-1,4639,4650,4661,1),
	(207,'Staff of Phantom','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(208,'Staff of Seal','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(209,'Divine Staff','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(210,'Staff of Evil Spirits','b',12395,10975,4900,4901,4902,10976,10977,10978,-1,-1,-1,-1,-1,-1,11934,-1,4639,4650,4661,1),
	(211,'Staff of Nobility','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(229,'Kris','b',12385,10926,4777,4778,4779,10927,10928,10929,-1,-1,-1,-1,-1,-1,11915,-1,4638,4649,4660,1),
	(234,'Demon Dagger','b',12399,10992,4780,4781,6359,10993,10994,10996,-1,-1,-1,-1,-1,-1,11939,-1,4639,4650,4661,1),
	(243,'Hell Knife','b',12389,10942,7813,7814,7815,10943,10944,10945,-1,-1,-1,-1,-1,-1,11919,-1,4660,4638,4649,1),
	(264,'Pata','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(267,'Arthro Nail','b',12381,10902,4801,4802,4803,10903,10904,10905,-1,-1,-1,-1,-1,-1,11903,-1,4638,4649,4660,1),
	(268,'Bellion Cestus','b',12394,10971,4804,4805,4806,10972,10973,10974,-1,-1,-1,-1,-1,-1,11933,-1,4639,4650,4661,1),
	(284,'Dark Elven Long Bow','b',12378,10886,4825,4826,4827,10887,10888,10889,-1,-1,-1,-1,-1,-1,11896,9312,4638,4649,4660,1),
	(287,'Bow of Peril','b',12403,11009,4828,4829,4830,11010,11011,11012,-1,-1,-1,-1,-1,-1,11944,9324,4639,4650,4661,1),
	(300,'Great Axe','b',12376,10874,4855,4856,4857,10875,10876,10877,-1,-1,-1,-1,-1,-1,11890,-1,4638,4649,4660,1),
	(335,'Soul Crystal','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(336,'Scroll of Mana','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(337,'Scroll of Massacre','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(338,'Wyvern\'s Skull','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(339,'Blood Crystal','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(340,'Unicorn\'s Horn','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(633,'Zubei\'s Shield','b',12499,11362,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12159,-1,-1,-1,-1,1),
	(635,'Wolf Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(636,'Shining Dragon Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(637,'Shield of Valor','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(638,'Glorious Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(639,'Red Flame Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(640,'Elven Crystal Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(642,'Elven Vagian Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(643,'Dark Vagian Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(644,'Hell Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(645,'Art of Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(646,'Shield of Silence','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(647,'Gust Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(648,'Prairie Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(649,'Shield of the Underworld','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(650,'Shield of Concentration','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(651,'Ace\'s Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(652,'Guardian\'s Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(653,'Marksman Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(654,'Shield of Mana','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(655,'Sage\'s Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(656,'Paradia Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(657,'Inferno Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(658,'Shield of Black Ore','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(659,'Shield of Summoning','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(660,'Otherworldly Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(661,'Elemental Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(662,'Shield of Phantom','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(663,'Shield of Grace','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(664,'Shield of Holy Spirit','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(665,'Phoenix Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(666,'Cerberus Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(667,'Shield of Aid','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(668,'Shield of Blessing','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(669,'Flame Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(670,'Shield of Bravery','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(671,'Blood Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(672,'Absolute Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(673,'Avadon Shield','b',12511,11374,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12171,-1,-1,-1,-1,1),
	(674,'Divine Shield','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(2566,'Stormbringer*Caliburs','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11868,-1,-1,-1,-1,-1),
	(2567,'Stormbringer*Sword of Limit','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11864,-1,-1,-1,-1,-1),
	(2568,'Stormbringer*Sword of Delusion','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11865,-1,-1,-1,-1,-1),
	(2569,'Stormbringer*Sword of Nightmare','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11866,-1,-1,-1,-1,-1),
	(2570,'Stormbringer*Tsurugi','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11867,-1,-1,-1,-1,-1),
	(2571,'Stormbringer*Samurai Long sword','b',-1,10897,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11901,-1,-1,-1,-1,0),
	(2576,'Shamshir*Caliburs','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11878,-1,-1,-1,-1,-1),
	(2577,'Shamshir*Sword of Limit','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11874,-1,-1,-1,-1,-1),
	(2578,'Shamshir*Sword of Delusion','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11875,-1,-1,-1,-1,-1),
	(2579,'Shamshir*Sword of Nightmare','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11876,-1,-1,-1,-1,-1),
	(2580,'Shamshir*Tsurugi','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11877,-1,-1,-1,-1,-1),
	(2581,'Shamshir*Samurai Long Sword','b',-1,10947,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11921,-1,-1,-1,-1,0),
	(2585,'Katana*Caliburs','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11888,-1,-1,-1,-1,-1),
	(2586,'Katana*Sword of Limit','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11884,-1,-1,-1,-1,-1),
	(2587,'Katana*Sword of Delusion','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11885,-1,-1,-1,-1,-1),
	(2588,'Katana*Sword of Nightmare','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11886,-1,-1,-1,-1,-1),
	(2589,'Katana*Tsurugi','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11887,-1,-1,-1,-1,-1),
	(2590,'Katana*Samurai Long Sword','b',-1,10949,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11923,-1,-1,-1,-1,0),
	(2593,'Spirit Sword*Caliburs','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11883,-1,-1,-1,-1,-1),
	(2594,'Spirit Sword*Sword of Limit','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11879,-1,-1,-1,-1,-1),
	(2595,'Spirit Sword*Sword of Delusion','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11880,-1,-1,-1,-1,-1),
	(2596,'Spirit Sword*Sword of Nightmare','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11881,-1,-1,-1,-1,-1),
	(2597,'Spirit Sword*Tsurugi','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11882,-1,-1,-1,-1,-1),
	(2598,'Spirit Sword*Samurai Long Sword','b',-1,10948,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11922,-1,-1,-1,-1,0),
	(2600,'Raid Sword*Caliburs','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11873,-1,-1,-1,-1,-1),
	(2601,'Raid Sword*Sword of Limit','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11869,-1,-1,-1,-1,-1),
	(2602,'Raid Sword*Sword of Delusion','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11870,-1,-1,-1,-1,-1),
	(2603,'Raid Sword*Sword of Nightmare','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11871,-1,-1,-1,-1,-1),
	(2604,'Raid Sword*Tsurugi','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11872,-1,-1,-1,-1,-1),
	(2605,'Raid Sword*Samurai Long Sword','b',-1,10946,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11920,-1,-1,-1,-1,0),
	(2606,'Caliburs*Caliburs','b',-1,10925,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11914,-1,-1,-1,-1,0),
	(2607,'Caliburs*Sword of Limit','b',-1,10921,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11910,-1,-1,-1,-1,0),
	(2608,'Caliburs*Sword of Delusion','b',-1,10922,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11911,-1,-1,-1,-1,0),
	(2609,'Caliburs*Sword of Nightmare','b',-1,10923,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11912,-1,-1,-1,-1,0),
	(2610,'Caliburs*Tsurugi','b',-1,10924,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11913,-1,-1,-1,-1,0),
	(2611,'Caliburs*Samurai Long Sword','b',-1,10954,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11928,-1,-1,-1,-1,0),
	(2612,'Sword of Limit*Sword of Limit','b',-1,10878,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11891,-1,-1,-1,-1,0),
	(2613,'Sword of Limit*Sword of Delusion','b',-1,10879,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11892,-1,-1,-1,-1,0),
	(2614,'Sword of Limit*Sword of Nightmare','b',-1,10880,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11893,-1,-1,-1,-1,0),
	(2615,'Sword of Limit*Tsurugi','b',-1,10881,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11894,-1,-1,-1,-1,0),
	(2616,'Sword of Limit*Samurai Long Sword','b',-1,10950,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11924,-1,-1,-1,-1,0),
	(2617,'Sword of Delusion*Sword of Delusion','b',-1,10890,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11897,-1,-1,-1,-1,0),
	(2618,'Sword of Delusion*Sword of Nightmare','b',-1,10891,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11898,-1,-1,-1,-1,0),
	(2619,'Sword of Delusion*Tsurugi','b',-1,10892,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11899,-1,-1,-1,-1,0),
	(2620,'Sword of Delusion*Samurai Long Sword','b',-1,10951,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11925,-1,-1,-1,-1,0),
	(2621,'Sword of Nightmare*Sword of Nightmare','b',-1,10910,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11905,-1,-1,-1,-1,0),
	(2622,'Sword of Nightmare*Tsurugi','b',-1,10911,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11906,-1,-1,-1,-1,0),
	(2623,'Sword of Nightmare*Samurai Long Sword','b',-1,10952,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11926,-1,-1,-1,-1,0),
	(2624,'Tsurugi*Tsurugi','b',-1,10920,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11909,-1,-1,-1,-1,0),
	(2625,'Tsurugi*Samurai Long Sword','b',-1,10953,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11927,-1,-1,-1,-1,0),
	(2626,'Samurai Long Sword*Samurai Long Sword','b',-1,10987,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11937,-1,-1,-1,-1,0),
	(7883,'Guardian Sword','b',12390,10955,8105,8106,8107,10956,10957,10958,-1,-1,-1,-1,-1,-1,11929,9320,4639,4650,4661,1),
	(7889,'Wizard\'s Tear','b',12402,11005,8117,8118,8119,11006,11007,11008,-1,-1,-1,-1,-1,-1,11943,-1,4639,4650,4661,1),
	(7892,'Spell Breaker','b',12380,10898,8141,8142,8143,10899,10900,10901,-1,-1,-1,-1,-1,-1,11902,-1,4638,4649,4660,1),
	(7893,'Kaim Vanul\'s Bones','b',12400,10997,8144,8145,8146,10998,10999,11000,-1,-1,-1,-1,-1,-1,11941,-1,4639,4650,4661,1),
	(7900,'Ice Storm Hammer','b',12382,10906,8129,8130,8131,10907,10908,10909,-1,-1,-1,-1,-1,-1,11904,-1,4638,4649,4660,1),
	(7901,'Star Buster','b',12397,10983,8132,8133,8134,10984,10985,10986,-1,-1,-1,-1,-1,-1,11936,-1,4639,4650,4661,1),
	(8849,'Shadow Item: Great Sword','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,9847,-1,-1,-1,-1),
	(8852,'Shadow Item: Keshanberk','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,9846,-1,-1,-1,-1),
	(8856,'Shadow Item: Dark Elven Long Bow','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,9848,-1,-1,-1,-1),
	(9304,'Military Fleuret','b',12383,10912,9305,9306,9307,10913,10914,10915,-1,-1,-1,-1,-1,-1,11907,142,4638,4649,4660,1),
	(9308,'Innominate Victory','b',12377,10882,9309,9310,9311,10883,10884,10885,-1,-1,-1,-1,-1,-1,11895,78,4638,4649,4660,1),
	(9312,'Peacemaker','b',12387,10934,9313,9314,9315,10935,10936,10937,-1,-1,-1,-1,-1,-1,11917,284,4638,4649,4660,1),
	(9316,'Colichemarde','b',12401,11001,9317,9318,9319,11002,11003,11004,-1,-1,-1,-1,-1,-1,11942,79,4639,4650,4661,1),
	(9320,'Dismantler','b',12392,10963,9321,9322,9323,10964,10965,10966,-1,-1,-1,-1,-1,-1,11931,7883,4639,4650,4661,1),
	(9324,'Hell Hound','b',12404,11013,9325,9326,9327,11014,11015,11016,-1,-1,-1,-1,-1,-1,11945,287,4639,4650,4661,1),
	(9846,'Shadow Item: Military Fleuret','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,8852,-1,-1,-1,-1),
	(9847,'Shadow Item: Innominate Victory','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,8849,-1,-1,-1,-1),
	(9848,'Shadow Item: Peacemaker','b',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,8856,-1,-1,-1,-1),
	(80,'Tallum Blade','a',12415,11058,5635,5636,5637,11059,11060,11061,-1,-1,-1,-1,-1,-1,11957,9328,5577,5578,5579,3),
	(81,'Dragon Slayer','a',12424,11096,5644,5645,5646,11097,11098,11099,-1,-1,-1,-1,-1,-1,11968,9344,5580,5581,5582,3),
	(85,'Phantom Sword','a',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(98,'Halberd','a',12418,11070,5626,5627,5628,11071,11072,11073,-1,-1,-1,-1,-1,-1,11960,-1,5577,5578,5579,3),
	(147,'Tear of Darkness','a',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(149,'Sword of Life','a',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(150,'Elemental Sword','a',12411,11041,5638,5639,5640,11042,11043,11044,-1,-1,-1,-1,-1,-1,11952,-1,5577,5578,5579,3),
	(151,'Sword of Miracles','a',12427,11108,5641,5642,5643,11109,11110,11111,-1,-1,-1,-1,-1,-1,11971,-1,5580,5581,5582,3),
	(164,'Elysian','a',12430,11120,5602,5603,5604,11121,11122,11123,-1,-1,-1,-1,-1,-1,11974,-1,5580,5581,5582,3),
	(212,'Dasparion\'s Staff','a',12405,11017,5596,5597,5598,11018,11019,11020,-1,-1,-1,-1,-1,-1,11946,-1,5577,5578,5579,3),
	(213,'Branch of the Mother Tree','a',12426,11104,5605,5606,5607,11105,11106,11107,-1,-1,-1,-1,-1,-1,11970,-1,5580,5581,5582,3),
	(235,'Bloody Orchid','a',12410,11037,5614,5615,5616,11038,11039,11040,-1,-1,-1,-1,-1,-1,11951,-1,5577,5578,5579,3),
	(236,'Soul Separator','a',12429,11116,5617,5618,5619,11117,11118,11119,-1,-1,-1,-1,-1,-1,11973,-1,5580,5581,5582,3),
	(269,'Blood Tornado','a',12409,11033,5620,5621,5622,11034,11035,11036,-1,-1,-1,-1,-1,-1,11950,-1,5577,5578,5579,3),
	(270,'Dragon Grinder','a',12423,11092,5623,5624,5625,11093,11094,11095,-1,-1,-1,-1,-1,-1,11967,-1,5580,5581,5582,3),
	(288,'Carnage Bow','a',12414,11053,5608,5609,5610,11054,11055,11056,-1,-1,-1,-1,-1,-1,11955,9336,5577,5578,5579,3),
	(289,'Soul Bow','a',12431,11124,5611,5612,5613,11125,11126,11127,-1,-1,-1,-1,-1,-1,11975,9348,5580,5581,5582,3),
	(304,'Orcish Halberd','a',-1,-1,5629,5630,5631,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,0,0,0,-1),
	(305,'Tallum Glaive','a',12432,11128,5632,5633,5634,11129,11130,11131,-1,-1,-1,-1,-1,-1,11976,-1,5580,5581,5582,3),
	(341,'Forgotten Tome','a',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(342,'Enchanted Flute','a',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(343,'Headless Arrow','a',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(344,'Proof of Overlord','a',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(345,'Deathbringer Sword','a',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(641,'Dark Crystal Shield','a',12553,11416,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12215,-1,-1,-1,-1,0),
	(2498,'Shield of Nightmare','a',12617,11480,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12279,-1,-1,-1,-1,0),
	(2500,'Dark Legion\'s Edge','a',12420,11080,5647,5648,5649,11081,11082,11083,-1,-1,-1,-1,-1,-1,11964,9340,5580,5581,5582,3),
	(2504,'Meteor Shower','a',12408,11029,5599,5600,5601,11030,11031,11032,-1,-1,-1,-1,-1,-1,11949,-1,5577,5578,5579,3),
	(4903,'Dasparion\'s Staff','a',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(4904,'Dasparion\'s Staff','a',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(4905,'Dasparion\'s Staff','a',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(5233,'Keshanberk*Keshanberk','a',-1,11057,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11956,-1,-1,-1,-1,0),
	(5292,'Sealed Dark Crystal Shield','a',12562,11425,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12225,-1,-1,-1,-1,2),
	(5315,'Sealed Shield of Nightmare','a',12606,11469,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12268,-1,-1,-1,-1,2),
	(5704,'Keshanberk*Keshanberk','a',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(5705,'Keshanberk*Damascus','a',-1,11074,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11961,-1,-1,-1,-1,0),
	(5706,'Damascus*Damascus','a',-1,11079,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,11963,-1,-1,-1,-1,0),
	(7884,'Infernal Master','a',12413,11049,8108,8109,8110,11050,11051,11052,-1,-1,-1,-1,-1,-1,11954,9332,5577,5578,5579,3),
	(7894,'Spiritual Eye','a',12412,11045,8147,8148,8149,11046,11047,11048,-1,-1,-1,-1,-1,-1,11953,-1,5577,5578,5579,3),
	(7895,'Flaming Dragon Skull','a',12425,11100,8150,8151,8152,11101,11102,11103,-1,-1,-1,-1,-1,-1,11969,-1,5580,5581,5582,3),
	(7899,'Destroyer Hammer','a',12416,11062,8126,8127,8128,11063,11064,11065,-1,-1,-1,-1,-1,-1,11958,-1,5577,5578,5579,3),
	(7902,'Doom Crusher','a',12422,11088,8135,8136,8137,11089,11090,11091,-1,-1,-1,-1,-1,-1,11966,-1,5580,5581,5582,3),
	(8678,'Sirra\'s Blade','a',12442,11169,8788,8789,8790,11170,11171,11172,10667,10668,10669,12879,12880,12881,11986,9352,5580,5581,5582,3),
	(8679,'Sword of Ipos','a',12440,11161,8791,8792,8793,11162,11163,11164,10670,10671,10672,12873,12874,12875,11984,9356,5582,5581,5580,3),
	(8680,'Barakiel\'s Axe','a',12435,11141,8794,8795,8796,11142,11143,11144,10673,10674,10675,12858,12859,12860,11979,-1,5580,5581,5582,3),
	(8681,'Behemoth\'s Tuning Fork','a',12437,11149,8797,8798,8799,11150,11151,11152,10676,10677,10678,12864,12865,12866,11981,-1,5580,5581,5582,3),
	(8682,'Naga Storm','a',12433,11133,8800,8801,8802,11134,11135,11136,10679,10680,10681,12852,12853,12854,11977,-1,5580,5581,5582,3),
	(8683,'Tiphon\'s Spear','a',12444,11177,8803,8804,8805,11178,11179,11180,10682,10683,10684,12885,12886,12887,11988,-1,5580,5581,5582,3),
	(8684,'Shyeed\'s Bow','a',12439,11157,8806,8807,8808,11158,11159,11160,10685,10686,10687,12870,12871,12872,11983,9360,5580,5581,5582,3),
	(8685,'Sobekk\'s Hurricane','a',12441,11165,8809,8810,8811,11166,11167,11168,10688,10689,10690,12876,12877,12878,11985,-1,5581,5580,5580,3),
	(8686,'Themis\' Tongue','a',12445,11182,8812,8813,8814,11183,11184,11185,10691,10692,10693,12889,12890,12891,11990,-1,5580,5581,5582,3),
	(8687,'Cabrio\'s Hand','a',12446,11186,8815,8816,8817,11187,11188,11189,10694,10695,10696,12892,12893,12894,11991,-1,5580,5581,5582,3),
	(8688,'Daimon Crystal','a',12434,11137,8818,8819,8820,11138,11139,11140,10697,10698,10699,12855,12856,12857,11978,-1,5580,5581,5582,3),
	(8938,'Damascus * Tallum Blade','a',-1,11181,-1,-1,-1,-1,-1,-1,10709,-1,-1,12888,-1,-1,11989,-1,-1,-1,-1,0),
	(9328,'White Lightning','a',12407,11025,9329,9330,9331,11026,11027,11028,-1,-1,-1,-1,-1,-1,11948,80,5577,5578,5579,3),
	(9332,'Divine Pain','a',12417,11066,9333,9334,9335,11067,11068,11069,-1,-1,-1,-1,-1,-1,11959,7884,5577,5578,5579,3),
	(9336,'Doomchanter','a',12406,11021,9337,9338,9339,11022,11023,11024,-1,-1,-1,-1,-1,-1,11947,288,5577,5578,5579,3),
	(9340,'Lacerator','a',12419,11075,9341,9342,9343,11076,11077,11078,-1,-1,-1,-1,-1,-1,11962,2500,5580,5581,5582,3),
	(9344,'Undertaker','a',12421,11084,9345,9346,9347,11085,11086,11087,-1,-1,-1,-1,-1,-1,11965,81,5580,5581,5582,3),
	(9348,'Reaper','a',12428,11112,9349,9350,9351,11113,11114,11115,-1,-1,-1,-1,-1,-1,11972,289,5580,5581,5582,3),
	(9352,'Eclair Bijou','a',12443,11173,9353,9354,9355,11174,11175,11176,10700,10701,10702,12882,12883,12884,11987,8678,5580,5581,5582,3),
	(9356,'Durendal','a',12438,11153,9357,9358,9359,11154,11155,11156,10703,10704,10705,12867,12868,12869,11982,8679,5582,5581,5580,3),
	(9360,'Screaming Vengeance','a',12436,11145,9361,9362,9363,11146,11147,11148,10706,10707,10708,12861,12862,12863,11980,8684,5580,5581,5582,3),
	(82,'God\'s Blade','s',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(165,'Yablonski\'s Hammer','s',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(214,'The Staff','s',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(237,'Dragon\'s Tooth','s',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(290,'The Bow','s',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(306,'Dragon Claw Axe','s',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(346,'Tears of Fallen Angel','s',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(634,'Dragon Shield','s',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(6364,'Forgotten Blade','s',12458,11235,6581,6582,6583,11236,11237,11238,10710,10711,10712,12929,12930,12931,12004,9364,5908,5911,5914,7),
	(6365,'Basalt Battlehammer','s',12452,11210,6584,6585,6586,11211,11212,11213,10716,10717,10718,12910,12911,12912,11997,-1,5908,5911,5914,7),
	(6366,'Imperial Staff','s',12457,11230,6587,6588,6589,11231,11232,11233,10734,10735,10736,12925,12926,12927,12002,-1,5908,5911,5914,7),
	(6367,'Angel Slayer','s',12456,11226,6590,6591,6592,11227,11228,11229,10722,10723,10724,12922,12923,12924,12001,-1,5908,5911,5914,7),
	(6368,'Shining Bow','s',-1,-1,6593,6594,6595,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,5908,5911,5914,-1),
	(6369,'Dragon Hunter Axe','s',12450,11202,6596,6597,6598,11203,11204,11205,10719,10720,10721,12904,12905,12906,11995,-1,5908,5911,5914,7),
	(6370,'Saint Spear','s',12454,11218,6599,6600,6601,11219,11220,11221,10725,10726,10727,12916,12917,12918,11999,-1,5908,5911,5914,7),
	(6371,'Demon Splinter','s',12448,11194,6602,6603,6604,11195,11196,11197,10728,10729,10730,12898,12899,12900,11993,-1,5908,5911,5914,7),
	(6372,'Heaven\'s Divider','s',12459,11239,6605,6606,6607,11240,11241,11242,10713,10714,10715,12932,12933,12934,12005,9368,5908,5911,5914,7),
	(6377,'Imperial Crusader Shield','s',12644,11508,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12308,-1,-1,-1,-1,0),
	(6579,'Arcana Mace','s',12455,11222,6608,6609,6610,11223,11224,11225,10731,10732,10733,12919,12920,12921,12000,-1,5908,5911,5914,7),
	(6580,'Tallum Blade*Dark Legion\'s Edge','s',-1,11234,-1,-1,-1,-1,-1,-1,10749,-1,-1,12928,-1,-1,12003,-1,-1,-1,-1,0),
	(6678,'Sealed Imperial Crusader Shield','s',12638,11502,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,12302,-1,-1,-1,-1,4),
	(7575,'Draconic Bow','s',12449,11198,7576,7577,7578,11199,11200,11201,10737,10738,10739,12901,12902,12903,11994,9372,5908,5911,5914,7),
	(9364,'Laevateinn','s',12451,11206,9365,9366,9367,11207,11208,11209,10740,10741,10742,12907,12908,12909,11996,6364,5908,5911,5914,7),
	(9368,'Gram','s',12447,11190,9369,9370,9371,11191,11192,11193,10743,10744,10745,12895,12896,12897,11992,6372,5908,5911,5914,7),
	(9372,'Sarnga','s',12453,11214,9373,9374,9375,11215,11216,11217,10746,10747,10748,12913,12914,12915,11998,7575,5908,5911,5914,7),
	(9388,'Infinity Rapier','s',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(9389,'Infinity Sword','s',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(9390,'Infinity Shooter','s',-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1),
	(9376,'Dynasty Rapier','s80',12462,11252,9377,9378,9379,11253,11254,11255,10783,10784,10785,12942,12943,12944,-1,9442,9570,9572,9571,12),
	(9380,'Dynasty Ancient Sword','s80',12460,11243,9381,9382,9383,11244,11245,11246,10786,10787,10788,12935,12936,12937,-1,9443,9570,9572,9571,12),
	(9384,'Dynasty Crossbow','s80',12471,11288,9385,9386,9387,11289,11290,11291,10789,10790,10791,12969,12970,12971,-1,9445,9570,9572,9571,12),
	(9441,'Dynasty Shield','s80',12667,11532,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,7),
	(9442,'Dynasty Sword','s80',12467,11272,9854,9855,9856,11273,11274,11275,10750,10751,10752,12957,12958,12959,-1,9376,9570,9572,9571,12),
	(9443,'Dynasty Blade','s80',12466,11268,9857,9858,9859,11269,11270,11271,10753,10754,10755,12954,12955,12956,-1,9380,9570,9572,9571,12),
	(9444,'Dynasty Phantom','s80',12472,11292,9860,9861,9862,11293,11294,11295,10771,10772,10773,12972,12973,12974,-1,-1,9570,9572,9571,12),
	(9445,'Dynasty Bow','s80',12465,11264,9863,9864,9865,11265,11266,11267,10780,10781,10782,12951,12952,12953,-1,9384,9570,9572,9571,12),
	(9446,'Dynasty Knife','s80',12461,11247,9866,9867,9868,11248,11249,11250,10762,10763,10764,12938,12939,12940,-1,-1,9570,9572,9571,12),
	(9447,'Dynasty Halberd','s80',12473,11296,9869,9870,9871,11297,11298,11299,10765,10766,10767,12975,12976,12977,-1,-1,9570,9572,9571,12),
	(9448,'Dynasty Cudgel','s80',12469,11280,9872,9873,9874,11281,11282,11283,10756,10757,10758,12963,12964,12965,-1,-1,9570,9572,9571,12),
	(9449,'Dynasty Mace','s80',12463,11256,9875,9876,9877,11257,11258,11259,10774,10775,10776,12945,12946,12947,-1,-1,9570,9572,9571,12),
	(9450,'Dynasty Bagh-Nakh','s80',12464,11260,9878,9879,9880,11261,11262,11263,10768,10769,10770,12948,12949,12950,-1,-1,9570,9572,9571,12),
	(9529,'Sealed Dynasty Shield','s80',12704,11569,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,7),
	(10004,'Dynasty Dual Sword','s80',-1,11251,-1,-1,-1,-1,-1,-1,10792,-1,-1,12941,-1,-1,-1,-1,-1,-1,-1,0),
	(10215,'Icarus Sawsword','s80',12475,11305,10434,10435,10436,11306,11307,11308,14376,14377,14378,14418,14419,14420,-1,10224,10480,10482,10481,14),
	(10216,'Icarus Disperser','s80',12474,11301,10446,10447,10448,11302,11303,11304,14388,14389,14390,14414,14415,14416,-1,-1,10480,10482,10481,14),
	(10217,'Icarus Spirit','s80',12478,11317,10440,10441,10442,11318,11319,11320,14382,14383,14384,14430,14431,14432,-1,-1,10480,10482,10481,14),
	(10218,'Icarus Heavy Arms','s80',12484,11341,10437,10438,10439,11342,11343,11344,14379,14380,14381,14454,14455,14456,-1,10225,10480,10482,10481,14),
	(10219,'Icarus Trident','s80',12481,11329,10449,10450,10451,11330,11331,11332,14391,14392,14393,14442,14443,14444,-1,-1,10480,10482,10481,14),
	(10220,'Icarus Hammer','s80',12482,11333,10452,10453,10454,11334,11335,11336,14394,14395,14396,14446,14447,14448,-1,-1,10480,10482,10481,14),
	(10221,'Icarus Hand','s80',12483,11337,10458,10459,10460,11338,11339,11340,14400,14401,14402,14450,14451,14452,-1,-1,10480,10482,10481,14),
	(10222,'Icarus Hall','s80',12485,11345,10455,10456,10457,11346,11347,11348,14397,14398,14399,14458,14459,14460,-1,-1,10480,10482,10481,14),
	(10223,'Icarus Spitter','s80',12479,11321,10443,10444,10445,11322,11323,11324,14385,14386,14387,14434,14435,14436,-1,10226,10480,10482,10481,14),
	(10224,'Icarus Stinger','s80',12477,11313,10461,10462,10463,11314,11315,11316,14403,14404,14405,14426,14427,14428,-1,10215,10480,10482,10481,14),
	(10225,'Icarus Wingblade','s80',12480,11325,10464,10465,10466,11326,11327,11328,14406,14407,14408,14438,14439,14440,-1,10218,10480,10482,10481,14),
	(10226,'Icarus Shooter','s80',12476,11309,10467,10468,10469,11310,11311,11312,14409,14410,14411,14422,14423,14424,-1,10223,10480,10482,10481,14),
	(10252,'Dynasty Staff','s80',12468,11276,10527,10528,10529,11277,11278,11279,10777,10778,10779,12960,12961,12962,-1,-1,9570,9572,9571,14),
	(10253,'Dynasty Crusher','s80',12470,11284,10530,10531,10532,11285,11286,11287,10759,10760,10761,12966,12967,12968,-1,-1,9570,9572,9571,14),
	(10415,'Icarus Dual Sword','s80',-1,11300,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,13071,13073,13072,0),
	(13463,'Vesper Avenger','s84',-1,-1,14136,14137,14138,-1,-1,-1,14496,14497,14498,-1,-1,-1,-1,-1,13072,13071,13073,-1),
	(13459,'Vesper Buster','s84',-1,-1,14124,14125,14126,-1,-1,-1,14484,14485,14486,-1,-1,-1,-1,-1,13073,13072,13071,-1),
	(13465,'Vesper Caster','s84',-1,-1,14142,14143,14144,-1,-1,-1,14502,14503,14504,-1,-1,-1,-1,-1,13072,13071,13073,-1),
	(13457,'Vesper Cutter','s84',-1,-1,14118,14119,14120,-1,-1,-1,14478,14479,14480,-1,-1,-1,-1,13468,13072,13071,13073,-1),
	(13884,'Vesper Dual Daggers','s84',-1,-1,-1,-1,-1,-1,-1,-1,14477,-1,-1,-1,-1,-1,-1,-1,13071,13073,13072,-1),
	(52,'Vesper Dual Sword','s84',-1,-1,-1,-1,-1,-1,-1,-1,14462,-1,-1,-1,-1,-1,-1,-1,13071,13073,13072,-1),
	(13461,'Vesper Fighter','s84',-1,-1,14130,14131,14132,-1,-1,-1,14490,14491,14492,-1,-1,-1,-1,-1,13072,13071,13073,-1),
	(13470,'Vesper Nagan','s84',-1,-1,14157,14158,14159,-1,-1,-1,14517,14518,14519,-1,-1,-1,-1,13458,13071,13073,13072,-1),
	(13468,'Vesper Pincer','s84',-1,-1,14151,14152,14153,-1,-1,-1,14511,14512,14513,-1,-1,-1,-1,13457,13071,13073,13072,-1),
	(13464,'Vesper Retributer','s84',-1,-1,14139,14140,14141,-1,-1,-1,14499,14500,14501,-1,-1,-1,-1,-1,13072,13071,13073,-1),
	(13460,'Vesper Shaper','s84',-1,-1,14127,14128,14129,-1,-1,-1,14487,14488,14489,-1,-1,-1,-1,-1,13072,13071,13073,-1),
	(13469,'Vesper Sheutjeh','s84',-1,-1,14154,14155,14156,-1,-1,-1,14514,14515,14516,-1,-1,-1,-1,13467,13071,13073,13072,-1),
	(13466,'Vesper Singer','s84',-1,-1,14145,14146,14147,-1,-1,-1,14505,14506,14507,-1,-1,-1,-1,-1,13071,13073,13072,-1),
	(13458,'Vesper Slasher','s84',-1,-1,14121,14122,14123,-1,-1,-1,14481,14482,14483,-1,-1,-1,-1,13470,13073,13072,13071,-1),
	(13462,'Vesper Stormer','s84',-1,-1,14133,14134,14135,-1,-1,-1,14493,14494,14495,-1,-1,-1,-1,-1,13072,13071,13073,-1),
	(13467,'Vesper Thrower','s84',-1,-1,14148,14149,14150,-1,-1,-1,14508,14509,14510,-1,-1,-1,-1,13469,13071,13072,13073,-1),
	(13882,'Dynasty Dual Daggers','s80',-1,14526,-1,-1,-1,-1,-1,-1,14558,-1,-1,14528,-1,-1,-1,-1,-1,-1,-1,-1),
	(13883,'Icarus Dual Daggers','s80',-1,14527,-1,-1,-1,-1,-1,-1,14461,-1,-1,14529,-1,-1,-1,-1,-1,-1,-1,-1);