DROP TABLE IF EXISTS `npc`;
CREATE TABLE IF NOT EXISTS `npc` (
  `ordinal` smallint(4) unsigned NOT NULL DEFAULT '0',
  `id` int(11) unsigned NOT NULL DEFAULT '0',
  `name` varchar(45) DEFAULT NULL,
  `title` varchar(35) NOT NULL,
  `class` varchar(50) DEFAULT NULL,
  `collision_radius` decimal(5,2) DEFAULT NULL,
  `collision_height` decimal(5,2) DEFAULT NULL,
  `level` int(11) NOT NULL DEFAULT '1',
  `sex` varchar(6) NOT NULL DEFAULT 'male',
  `type` varchar(30) NOT NULL DEFAULT 'L2Npc',
  `ai_type` varchar(50) NOT NULL DEFAULT 'npc',
  `attackrange` int(11) NOT NULL DEFAULT '40',
  `hp` int(11) NOT NULL DEFAULT '2444',
  `base_hp_regen` double(11,3) NOT NULL DEFAULT '7.500',
  `mp` int(11) NOT NULL DEFAULT '2444',
  `base_mp_regen` double(11,3) NOT NULL DEFAULT '2.700',
  `str` int(11) NOT NULL DEFAULT '40',
  `con` int(11) NOT NULL DEFAULT '43',
  `dex` int(11) NOT NULL DEFAULT '30',
  `int` int(11) NOT NULL DEFAULT '21',
  `wit` int(11) NOT NULL DEFAULT '20',
  `men` int(11) NOT NULL DEFAULT '10',
  `exp` int(11) NOT NULL DEFAULT '0',
  `sp` int(11) NOT NULL DEFAULT '0',
  `patk` int(11) NOT NULL DEFAULT '500',
  `pdef` int(11) NOT NULL DEFAULT '500',
  `matk` int(11) NOT NULL DEFAULT '500',
  `mdef` int(11) NOT NULL DEFAULT '500',
  `atkspd` int(11) NOT NULL DEFAULT '253',
  `aggro` int(11) NOT NULL DEFAULT '0',
  `matkspd` int(11) NOT NULL DEFAULT '500',
  `rhand` int(11) NOT NULL DEFAULT '0',
  `lhand` int(11) NOT NULL DEFAULT '0',
  `armor` int(11) NOT NULL DEFAULT '0',
  `walkspd` int(11) NOT NULL DEFAULT '110',
  `runspd` int(11) NOT NULL DEFAULT '180',
  `faction_id` varchar(40) NOT NULL,
  `faction_range` int(11) NOT NULL DEFAULT '0',
  `displayId` int(11) NOT NULL DEFAULT '0',
  `shield_defense_rate` int(11) NOT NULL DEFAULT '0',
  `shield_defense` int(11) NOT NULL DEFAULT '0',
  `corpse_time` int(11) NOT NULL DEFAULT '7',
  `base_rand_dam` int(11) NOT NULL DEFAULT '30',
  `base_critical` int(11) NOT NULL DEFAULT '4',
  `physical_hit_modify` int(11) NOT NULL DEFAULT '4',
  `base_reuse_delay` int(11) NOT NULL DEFAULT '0',
  `physical_avoid_modify` int(11) NOT NULL DEFAULT '0',
  `hit_time_factor` double(11,2) NOT NULL DEFAULT '0.60',
  `isDropHerbs` enum('false','true') NOT NULL DEFAULT 'true',
  `shots` enum('NONE','SOUL','SPIRIT','BSPIRIT','SOUL_SPIRIT','SOUL_BSPIRIT') NOT NULL DEFAULT 'NONE',
  `map_flag` tinyint(1) NOT NULL DEFAULT '0',
  `boss_flag` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `map_flag` (`map_flag`,`boss_flag`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `npc` (`ordinal`, `id`, `name`, `title`, `class`, `collision_radius`, `collision_height`, `level`, `sex`, `type`, `ai_type`, `attackrange`, `hp`, `base_hp_regen`, `mp`, `base_mp_regen`, `str`, `con`, `dex`, `int`, `wit`, `men`, `exp`, `sp`, `patk`, `pdef`, `matk`, `mdef`, `atkspd`, `aggro`, `matkspd`, `rhand`, `lhand`, `armor`, `walkspd`, `runspd`, `faction_id`, `faction_range`, `displayId`, `shield_defense_rate`, `shield_defense`, `corpse_time`, `base_rand_dam`, `base_critical`, `physical_hit_modify`, `base_reuse_delay`, `physical_avoid_modify`, `hit_time_factor`, `isDropHerbs`, `shots`, `map_flag`, `boss_flag`) VALUES
	(1, 20001, 'Gremlin', '', 'gremlin', 10.00, 15.00, 1, 'male', 'L2Monster', 'Fighter', 40, 63, 1.500, 44, 0.900, 40, 43, 30, 21, 20, 20, 29, 2, 9, 44, 7, 35, 253, 0, 500, 0, 0, 0, 20, 50, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2, 20002, 'Rabbit', '', 'rabbit', 5.00, 4.50, 1, 'male', 'L2Monster', 'Fighter', 40, 63, 1.500, 44, 0.900, 40, 43, 30, 21, 20, 20, 29, 2, 9, 44, 7, 35, 253, 0, 500, 0, 0, 0, 50, 80, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3, 20003, 'Goblin', '', 'goblin', 10.00, 16.50, 5, 'male', 'L2Monster', 'Fighter', 40, 127, 1.900, 77, 1.020, 40, 43, 30, 21, 20, 20, 178, 5, 16, 50, 7, 41, 253, 0, 500, 4, 0, 0, 40, 110, 'goblin_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.32, 'true', 'NONE', 1, 0),
	(4, 20004, 'Imp', '', 'imp', 10.00, 24.00, 6, 'male', 'L2Monster', 'Fighter', 40, 148, 2.000, 86, 1.050, 40, 43, 30, 21, 20, 20, 214, 6, 17, 53, 7, 43, 253, 0, 500, 0, 0, 0, 60, 80, 'demonic_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'true', 'NONE', 1, 0),
	(5, 20005, 'Imp Elder', '', 'imp', 10.00, 24.00, 7, 'male', 'L2Monster', 'Fighter', 40, 171, 2.100, 94, 1.080, 40, 43, 30, 21, 20, 20, 249, 8, 19, 55, 7, 44, 253, 0, 500, 0, 0, 0, 60, 80, 'demonic_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'true', 'NONE', 1, 0),
	(6, 20006, 'Orc Archer', '', 'orc_archer', 14.00, 25.00, 8, 'male', 'L2Monster', 'Ranger', 1100, 197, 2.200, 103, 1.110, 40, 43, 30, 21, 20, 20, 293, 10, 21, 58, 10, 46, 253, 0, 500, 14, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.80, 'true', 'NONE', 1, 0),
	(7, 20007, 'Green Fungus', '', 'walking_fungus', 15.00, 22.50, 9, 'male', 'L2Monster', 'Fighter', 40, 226, 2.300, 112, 1.140, 40, 43, 30, 21, 20, 20, 321, 11, 23, 60, 11, 48, 253, 0, 500, 0, 0, 0, 70, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'true', 'NONE', 1, 0),
	(8, 20008, 'Felim Lizardman', '', 'virud_lizardman', 10.00, 23.00, 14, 'male', 'L2Monster', 'Fighter', 40, 364, 2.800, 156, 1.290, 40, 43, 30, 21, 20, 20, 499, 19, 37, 75, 13, 61, 253, 0, 500, 1, 0, 0, 43, 130, 'lizardman_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(9, 20009, 'Vuku Orc', '', 'orc', 10.00, 21.00, 14, 'male', 'L2Monster', 'Fighter', 40, 364, 2.800, 156, 1.290, 40, 43, 30, 21, 20, 20, 499, 19, 37, 75, 13, 61, 253, 0, 500, 156, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(10, 20010, 'Felim Lizardman Scout', '', 'virud_lizardman', 10.00, 23.00, 15, 'male', 'L2Monster', 'Fighter', 40, 390, 2.900, 166, 1.320, 40, 43, 30, 21, 20, 20, 534, 22, 41, 78, 19, 64, 253, 0, 500, 16, 0, 0, 43, 130, 'lizardman_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(11, 20011, 'Vuku Orc Archer', '', 'orc_archer', 14.00, 25.00, 15, 'male', 'L2Monster', 'Ranger', 1100, 390, 2.900, 166, 1.320, 40, 43, 30, 21, 20, 20, 551, 22, 41, 78, 19, 64, 253, 0, 500, 14, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.80, 'true', 'NONE', 1, 0),
	(12, 20012, 'Gora Werewolf', '', 'werewolf', 10.00, 26.00, 16, 'male', 'L2Monster', 'Fighter', 40, 418, 3.000, 175, 1.350, 40, 43, 30, 21, 20, 20, 582, 23, 45, 81, 16, 67, 253, 500, 500, 0, 0, 0, 50, 120, 'werewolf_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.43, 'true', 'NONE', 1, 0),
	(13, 20013, 'Dryad', '', 'dryad', 9.00, 20.00, 13, 'female', 'L2Monster', 'Fighter', 40, 339, 2.700, 147, 1.260, 40, 43, 30, 21, 20, 20, 463, 18, 34, 71, 12, 59, 253, 0, 500, 0, 0, 0, 40, 110, 'elemental1_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(14, 20014, 'Felim Lizardman Warrior', '', 'virud_lizardman_warrior', 12.00, 30.00, 17, 'male', 'L2Monster', 'Fighter', 40, 446, 3.100, 184, 1.380, 40, 43, 30, 21, 20, 20, 606, 25, 49, 84, 22, 70, 253, 0, 500, 16, 0, 0, 52, 130, 'lizardman_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'true', 'NONE', 1, 0),
	(15, 20015, 'Marsh Zombie', '', 'zombie', 13.00, 21.00, 13, 'male', 'L2Monster', 'Mystic', 40, 339, 2.700, 147, 1.260, 40, 43, 30, 21, 20, 20, 655, 26, 34, 71, 12, 59, 253, 0, 500, 0, 0, 0, 15, 15, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'true', 'NONE', 1, 0),
	(16, 20016, 'Stone Golem', '', 'stone_golem', 20.00, 31.00, 13, 'male', 'L2Monster', 'Mystic', 40, 339, 2.700, 147, 1.260, 40, 43, 30, 21, 20, 20, 655, 26, 34, 71, 12, 59, 253, 0, 500, 0, 0, 0, 23, 23, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'true', 'NONE', 1, 0),
	(17, 20017, 'Vuku Orc Fighter', '', 'orc_fighter', 12.00, 22.00, 17, 'male', 'L2Monster', 'Fighter', 40, 446, 3.100, 184, 1.380, 40, 43, 30, 21, 20, 20, 618, 26, 49, 84, 22, 70, 253, 500, 500, 2, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(18, 20018, 'Carnivorous Fungus', '', 'walking_fungus', 15.00, 22.50, 14, 'male', 'L2Monster', 'Fighter', 40, 364, 2.800, 156, 1.290, 40, 43, 30, 21, 20, 20, 424, 16, 37, 75, 13, 61, 253, 500, 500, 0, 0, 0, 70, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'false', 'NONE', 0, 0),
	(19, 20019, 'Dryad Elder', '', 'dryad', 9.00, 20.00, 14, 'female', 'L2Monster', 'Fighter', 40, 364, 2.800, 156, 1.290, 40, 43, 30, 21, 20, 20, 499, 19, 37, 75, 13, 61, 253, 0, 500, 0, 0, 0, 40, 110, 'elemental1_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(20, 20020, 'Marsh Zombie Lord', '', 'zombie', 13.00, 21.00, 14, 'male', 'L2Monster', 'Fighter', 40, 364, 2.800, 156, 1.290, 40, 43, 30, 21, 20, 20, 705, 27, 37, 75, 13, 61, 253, 0, 500, 0, 0, 0, 15, 15, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'true', 'NONE', 1, 0),
	(21, 20021, 'Red Bear', '', 'grizzly', 21.00, 40.00, 14, 'male', 'L2Monster', 'Fighter', 40, 364, 2.800, 156, 1.290, 40, 43, 30, 21, 20, 20, 499, 19, 37, 75, 13, 61, 253, 0, 500, 0, 0, 0, 40, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'true', 'NONE', 1, 0),
	(22, 20022, 'Misery Skeleton', '', 'skeleton', 11.00, 25.00, 14, 'male', 'L2Monster', 'Fighter', 40, 364, 2.800, 156, 1.290, 40, 43, 30, 21, 20, 20, 424, 16, 37, 75, 13, 61, 253, 500, 500, 946, 945, 0, 60, 140, 'skeleton_clan', 300, 0, 20, 35, 7, 10, 8, 4, 0, -6, 0.30, 'false', 'NONE', 1, 0),
	(23, 20023, 'Shadow Beast', '', 'onyx_beast', 14.00, 14.50, 15, 'male', 'L2Monster', 'Fighter', 40, 390, 2.900, 166, 1.320, 40, 43, 30, 21, 20, 20, 534, 22, 41, 78, 19, 64, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.24, 'true', 'NONE', 1, 0),
	(24, 20024, 'Langk Lizardman Warrior', '', 'virud_lizardman_warrior', 12.00, 30.00, 17, 'male', 'L2Monster', 'Fighter', 40, 446, 3.100, 184, 1.380, 40, 43, 30, 21, 20, 20, 618, 26, 49, 84, 22, 70, 253, 500, 500, 16, 0, 0, 52, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'true', 'NONE', 1, 0),
	(25, 20025, 'Lesser Dark Horror', '', 'dark_horror', 20.00, 35.00, 15, 'male', 'L2Monster', 'Fighter', 40, 390, 2.900, 166, 1.320, 40, 43, 30, 21, 20, 20, 545, 22, 41, 78, 19, 64, 253, 500, 500, 0, 0, 0, 100, 100, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(26, 20026, 'Ruin Zombie', '', 'zombie', 13.00, 21.00, 15, 'male', 'L2Monster', 'Mystic', 40, 390, 2.900, 166, 1.320, 40, 43, 30, 21, 20, 20, 756, 31, 41, 78, 19, 64, 253, 0, 500, 0, 0, 0, 15, 15, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'true', 'NONE', 1, 0),
	(27, 20027, 'Langk Lizardman Scout', '', 'virud_lizardman', 10.00, 23.00, 16, 'male', 'L2Monster', 'Fighter', 40, 418, 3.000, 175, 1.350, 40, 43, 30, 21, 20, 20, 571, 23, 45, 81, 16, 67, 253, 0, 500, 16, 0, 0, 43, 130, 'lizardman_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(28, 20028, 'Pincher', '', 'giant_spider', 26.00, 26.50, 16, 'male', 'L2Monster', 'Mystic', 40, 418, 3.000, 175, 1.350, 40, 43, 30, 21, 20, 20, 571, 23, 45, 81, 16, 67, 253, 0, 500, 0, 0, 0, 72, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.26, 'true', 'NONE', 1, 0),
	(29, 20029, 'Ruin Zombie Leader', '', 'zombie', 13.00, 21.00, 16, 'male', 'L2Monster', 'Mystic', 40, 418, 3.000, 175, 1.350, 40, 43, 30, 21, 20, 20, 807, 33, 45, 81, 16, 67, 253, 0, 500, 0, 0, 0, 15, 15, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'true', 'NONE', 1, 0),
	(30, 20030, 'Langk Lizardman', '', 'virud_lizardman', 10.00, 23.00, 15, 'male', 'L2Monster', 'Fighter', 40, 390, 2.900, 166, 1.320, 40, 43, 30, 21, 20, 20, 534, 22, 41, 78, 19, 64, 253, 0, 500, 1, 0, 0, 43, 130, 'lizardman_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(31, 20031, 'Omen Beast', '', 'onyx_beast', 14.00, 14.50, 17, 'male', 'L2Monster', 'Fighter', 40, 446, 3.100, 184, 1.380, 40, 43, 30, 21, 20, 20, 505, 21, 49, 84, 22, 70, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.24, 'false', 'NONE', 1, 0),
	(32, 20032, 'Pinrul', '', 'giant_spider', 26.00, 26.50, 17, 'male', 'L2Monster', 'Mystic', 40, 446, 3.100, 184, 1.380, 40, 43, 30, 21, 20, 20, 606, 25, 49, 84, 22, 70, 253, 0, 500, 0, 0, 0, 72, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.26, 'true', 'NONE', 1, 0),
	(33, 20033, 'Shade Horror', '', 'dark_horror', 20.00, 35.00, 17, 'male', 'L2Monster', 'Fighter', 40, 446, 3.100, 184, 1.380, 40, 43, 30, 21, 20, 20, 505, 21, 49, 84, 22, 70, 253, 0, 500, 0, 0, 0, 100, 100, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(34, 20034, 'Prowler', '', 'giant_spider', 26.00, 26.50, 17, 'male', 'L2Monster', 'Mystic', 40, 446, 3.100, 184, 1.380, 40, 43, 30, 21, 20, 20, 618, 26, 49, 84, 22, 70, 253, 500, 500, 0, 0, 0, 72, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.26, 'true', 'NONE', 1, 0),
	(35, 20035, 'Tracker Skeleton', '', 'skeleton', 11.00, 25.00, 17, 'male', 'L2Monster', 'Fighter', 40, 446, 3.100, 184, 1.380, 40, 43, 30, 21, 20, 20, 606, 25, 49, 84, 22, 70, 253, 0, 500, 946, 945, 0, 60, 140, 'skeleton_clan', 300, 0, 20, 39, 7, 10, 8, 4, 0, -6, 0.30, 'true', 'NONE', 1, 0),
	(36, 20036, 'Lirein', '', 'sylph', 11.00, 35.00, 18, 'female', 'L2Monster', 'Mystic', 40, 477, 3.200, 194, 1.410, 40, 43, 30, 21, 20, 20, 653, 28, 54, 88, 20, 74, 253, 500, 500, 0, 0, 0, 60, 60, 'elemental2_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'true', 'NONE', 1, 0),
	(37, 20037, 'Mana Seeker', '', 'mana_vampire', 11.00, 20.00, 18, 'male', 'L2Monster', 'Mystic', 40, 477, 3.200, 194, 1.410, 40, 43, 30, 21, 20, 20, 992, 43, 54, 88, 20, 74, 253, 0, 500, 0, 0, 0, 90, 90, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(38, 20038, 'Venomous Spider', '', 'poison_spider', 27.00, 25.50, 18, 'male', 'L2Monster', 'Mystic', 40, 477, 3.200, 194, 1.410, 40, 43, 30, 21, 20, 20, 704, 31, 54, 88, 20, 74, 253, 0, 500, 0, 0, 0, 60, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.65, 'true', 'NONE', 1, 0),
	(39, 20039, 'Scavenger Wererat', '', 'wererat', 14.00, 25.00, 18, 'male', 'L2Monster', 'Fighter', 40, 477, 3.200, 194, 1.410, 40, 43, 30, 21, 20, 20, 640, 28, 54, 88, 20, 74, 253, 0, 500, 12, 0, 0, 80, 120, 'wererat_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.61, 'true', 'NONE', 1, 0),
	(40, 20040, 'Sukar Wererat', '', 'wererat', 14.00, 25.00, 18, 'male', 'L2Monster', 'Fighter', 40, 477, 3.200, 194, 1.410, 40, 43, 30, 21, 20, 20, 533, 23, 54, 88, 20, 74, 253, 0, 500, 216, 0, 0, 80, 120, 'wererat_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(41, 20041, 'Tainted Zombie', '', 'zombie', 13.00, 21.00, 18, 'male', 'L2Monster', 'Mystic', 40, 477, 3.200, 194, 1.410, 40, 43, 30, 21, 20, 20, 754, 33, 54, 88, 20, 74, 253, 0, 500, 0, 0, 0, 15, 15, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 1, 0),
	(42, 20042, 'Tracker Skeleton Leader', '', 'skeleton', 11.00, 25.00, 18, 'male', 'L2Monster', 'Fighter', 40, 477, 3.200, 194, 1.410, 40, 43, 30, 21, 20, 20, 653, 28, 54, 88, 20, 74, 253, 500, 500, 946, 945, 0, 60, 140, 'skeleton_clan', 300, 0, 20, 40, 7, 10, 8, 4, 0, -6, 0.30, 'true', 'NONE', 1, 0),
	(43, 20043, 'Arachnid Tracker', '', 'poison_spider', 27.00, 25.50, 19, 'male', 'L2Monster', 'Mystic', 40, 508, 3.300, 203, 1.440, 40, 43, 30, 21, 20, 20, 761, 34, 59, 91, 26, 77, 253, 500, 500, 0, 0, 0, 60, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.65, 'true', 'NONE', 1, 0),
	(44, 20044, 'Lirein Elder', '', 'sylph', 11.00, 35.00, 19, 'female', 'L2Monster', 'Mystic', 40, 508, 3.300, 203, 1.440, 40, 43, 30, 21, 20, 20, 692, 31, 59, 91, 26, 77, 253, 500, 500, 0, 0, 0, 60, 60, 'elemental1_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'true', 'NONE', 1, 0),
	(45, 20045, 'Skeleton Scout', '', 'skeleton_archer', 11.00, 27.00, 19, 'male', 'L2Monster', 'Ranger', 1100, 508, 3.300, 203, 1.440, 40, 43, 30, 21, 20, 20, 699, 31, 59, 91, 26, 77, 253, 0, 500, 275, 0, 0, 40, 140, 'skeleton_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.80, 'true', 'NONE', 1, 0),
	(46, 20046, 'Stink Zombie', '', 'zombie', 13.00, 21.00, 19, 'male', 'L2Monster', 'Mystic', 40, 508, 3.300, 203, 1.440, 40, 43, 30, 21, 20, 20, 799, 36, 59, 91, 26, 77, 253, 0, 500, 0, 0, 0, 15, 15, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 1, 0),
	(47, 20047, 'Sukar Wererat Leader', '', 'wererat', 14.00, 25.00, 19, 'male', 'L2Monster', 'Fighter', 40, 508, 3.300, 203, 1.440, 40, 43, 30, 21, 20, 20, 576, 26, 59, 91, 26, 77, 253, 500, 500, 216, 0, 0, 80, 120, 'wererat_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(48, 20048, 'Lesser Succubus', '', 'succubus', 10.00, 36.00, 20, 'female', 'L2Monster', 'Mystic', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 606, 27, 65, 96, 24, 80, 253, 500, 500, 0, 0, 0, 60, 100, 'demonic_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.84, 'false', 'NONE', 1, 0),
	(49, 20049, 'Lycanthrope', '', 'werewolf', 10.00, 26.00, 20, 'male', 'L2Monster', 'Fighter', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 727, 32, 65, 96, 24, 80, 253, 500, 500, 0, 0, 0, 50, 120, 'werewolf_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.43, 'true', 'NONE', 1, 0),
	(50, 20050, 'Arachnid Predator', '', 'poison_spider', 27.00, 25.50, 20, 'male', 'L2Monster', 'Mystic', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 800, 35, 65, 96, 24, 80, 253, 500, 500, 0, 0, 0, 60, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.65, 'true', 'NONE', 1, 0),
	(51, 20051, 'Skeleton Bowman', '', 'skeleton_archer', 11.00, 27.00, 20, 'male', 'L2Monster', 'Ranger', 1100, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 734, 32, 65, 96, 24, 80, 253, 0, 500, 275, 0, 0, 40, 140, 'skeleton_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.80, 'true', 'NONE', 1, 0),
	(52, 20052, 'Lesser Succubus Turen', '', 'succubus', 10.00, 36.00, 21, 'female', 'L2Monster', 'Mystic', 40, 576, 3.500, 228, 1.500, 40, 43, 30, 21, 20, 20, 780, 36, 70, 100, 31, 84, 253, 500, 500, 0, 0, 0, 60, 100, 'demonic_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.84, 'false', 'NONE', 1, 0),
	(53, 20053, 'Ol Mahum Patrol', '', 'ol_mahum_archer', 14.00, 25.00, 21, 'male', 'L2Monster', 'Ranger', 1100, 576, 3.500, 228, 1.500, 40, 43, 30, 21, 20, 20, 945, 43, 70, 100, 31, 84, 253, 0, 500, 14, 0, 0, 50, 110, 'ol_mahum_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.93, 'true', 'NONE', 1, 0),
	(54, 20054, 'Ruin Spartoi', '', 'spartoi', 11.00, 27.00, 21, 'male', 'L2Monster', 'Fighter', 40, 576, 3.500, 228, 1.500, 40, 43, 30, 21, 20, 20, 917, 42, 70, 100, 31, 84, 253, 0, 500, 73, 0, 0, 60, 140, 'skeleton_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'true', 'NONE', 1, 0),
	(55, 20055, 'Wandering Eye', '', 'monster_eye', 21.00, 43.00, 21, 'male', 'L2Monster', 'Mystic', 40, 576, 3.500, 228, 1.500, 40, 43, 30, 21, 20, 20, 917, 42, 70, 100, 31, 84, 253, 0, 500, 0, 0, 0, 90, 159, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'true', 'NONE', 1, 0),
	(56, 20056, 'Dre Vanul Disposer', '', 'dre_vanul', 14.00, 36.00, 22, 'male', 'L2Monster', 'Fighter', 40, 612, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 921, 43, 78, 104, 29, 87, 253, 500, 500, 0, 0, 0, 80, 80, 'demonic_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.35, 'false', 'NONE', 1, 0),
	(57, 20057, 'Lesser Succubus Tilfo', '', 'succubus', 10.00, 36.00, 22, 'female', 'L2Monster', 'Mystic', 40, 612, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 838, 40, 78, 104, 29, 87, 253, 500, 500, 0, 0, 0, 60, 100, 'demonic_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.84, 'false', 'NONE', 1, 0),
	(58, 20058, 'Ol Mahum Guard', '', 'ol_mahum', 13.50, 25.00, 22, 'male', 'L2Monster', 'WatchmanMonster', 40, 612, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 986, 47, 78, 104, 29, 87, 253, 0, 500, 2, 0, 0, 50, 110, 'ol_mahum_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(59, 20059, 'Hungry Eye', '', 'monster_eye', 21.00, 43.00, 22, 'male', 'L2Monster', 'Mystic', 40, 612, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 986, 47, 78, 104, 29, 87, 253, 0, 500, 0, 0, 0, 90, 159, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'true', 'NONE', 1, 0),
	(60, 20060, 'Raging Spartoi', '', 'spartoi', 11.00, 27.00, 22, 'male', 'L2Monster', 'Fighter', 40, 612, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 1005, 48, 78, 104, 29, 87, 253, 500, 500, 946, 945, 0, 60, 140, 'skeleton_clan', 300, 0, 20, 46, 7, 10, 8, 4, 0, -6, 0.30, 'true', 'NONE', 1, 0),
	(61, 20061, 'Ol Mahum Straggler', '', 'ol_mahum', 13.50, 25.00, 23, 'male', 'L2Monster', 'Fighter', 40, 649, 3.700, 257, 1.560, 40, 43, 30, 21, 20, 20, 1075, 52, 84, 108, 32, 91, 253, 500, 500, 2, 0, 0, 50, 110, 'ol_mahum_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(62, 20062, 'Tumran Bugbear', '', 'bugbear', 17.00, 35.00, 23, 'male', 'L2Monster', 'Fighter', 40, 649, 3.700, 257, 1.560, 40, 43, 30, 21, 20, 20, 1054, 50, 84, 108, 32, 91, 253, 0, 500, 156, 0, 0, 55, 130, 'bugbear_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.28, 'true', 'NONE', 1, 0),
	(63, 20063, 'Ol Mahum Shooter', '', 'ol_mahum_archer', 14.00, 25.00, 24, 'male', 'L2Monster', 'Ranger', 1100, 688, 3.800, 273, 1.590, 40, 43, 30, 21, 20, 20, 1156, 56, 91, 113, 39, 96, 253, 0, 500, 14, 0, 0, 50, 110, 'ol_mahum_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.93, 'true', 'NONE', 1, 0),
	(64, 20064, 'Tumran Bugbear Warrior', '', 'bugbear', 17.00, 35.00, 24, 'male', 'L2Monster', 'Fighter', 40, 688, 3.800, 273, 1.590, 40, 43, 30, 21, 20, 20, 1145, 56, 91, 113, 39, 96, 253, 500, 500, 88, 0, 0, 55, 130, 'bugbear_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.28, 'true', 'NONE', 1, 0),
	(65, 20065, 'Ol Mahum Patrolman', '', 'ol_mahum', 13.50, 25.00, 25, 'male', 'L2Monster', 'Fighter', 40, 728, 3.900, 288, 1.620, 40, 43, 30, 21, 20, 20, 992, 49, 100, 118, 42, 99, 253, 0, 500, 2, 0, 0, 50, 110, 'ol_mahum_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(66, 20066, 'Ol Mahum Captain', '', 'ol_mahum_champion', 14.00, 27.00, 25, 'male', 'L2Monster', 'Fighter', 40, 728, 3.900, 288, 1.620, 40, 43, 30, 21, 20, 20, 1263, 64, 100, 118, 42, 99, 253, 500, 500, 69, 0, 0, 50, 110, 'ol_mahum_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.63, 'true', 'NONE', 1, 0),
	(67, 20067, 'Monster Eye Watcher', '', 'monster_eye', 21.00, 43.00, 25, 'male', 'L2Monster', 'Mystic', 40, 728, 3.900, 288, 1.620, 40, 43, 30, 21, 20, 20, 1191, 60, 100, 118, 42, 99, 253, 0, 500, 0, 0, 0, 90, 159, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'true', 'NONE', 1, 0),
	(68, 20068, 'Monster Eye Destroyer', '', 'monster_eye', 21.00, 43.00, 26, 'male', 'L2Monster', 'Mystic', 40, 770, 4.000, 303, 1.650, 40, 43, 30, 21, 20, 20, 1294, 65, 108, 123, 46, 103, 253, 500, 500, 0, 0, 0, 90, 159, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'true', 'NONE', 1, 0),
	(69, 20069, 'Selu Lizardman Scout', '', 'virud_lizardman', 10.00, 23.00, 26, 'male', 'L2Monster', 'Fighter', 40, 770, 4.000, 303, 1.650, 40, 43, 30, 21, 20, 20, 1057, 53, 108, 123, 46, 103, 253, 0, 500, 16, 0, 0, 43, 130, 'lizardman_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(70, 20070, 'Lesser Basilisk', '', 'lesser_basilisk', 34.00, 25.00, 27, 'male', 'L2Monster', 'Fighter', 40, 814, 4.100, 318, 1.680, 40, 43, 30, 21, 20, 20, 1349, 70, 118, 127, 50, 107, 253, 500, 500, 0, 0, 0, 35, 131, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'true', 'NONE', 1, 0),
	(71, 20071, 'Selu Lizardman Warrior', '', 'virud_lizardman_warrior', 12.00, 30.00, 27, 'male', 'L2Monster', 'Fighter', 40, 814, 4.100, 318, 1.680, 40, 43, 30, 21, 20, 20, 1136, 58, 118, 127, 50, 107, 253, 500, 500, 16, 0, 0, 52, 130, 'lizardman_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(72, 20072, 'Basilisk', '', 'lesser_basilisk', 34.00, 25.00, 28, 'male', 'L2Monster', 'Fighter', 40, 859, 4.200, 334, 1.710, 40, 43, 30, 21, 20, 20, 1428, 74, 127, 132, 54, 112, 253, 500, 500, 0, 0, 0, 35, 131, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'true', 'NONE', 1, 0),
	(73, 20073, 'Ol Mahum Legionnaire', '', 'ol_mahum', 13.50, 25.00, 28, 'male', 'L2Monster', 'Fighter', 40, 859, 4.200, 334, 1.710, 40, 43, 30, 21, 20, 20, 1178, 62, 127, 132, 54, 112, 253, 0, 500, 2, 0, 0, 50, 110, 'ol_mahum_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(74, 20074, 'Androscorpio', '', 'onyx_beast', 14.00, 14.50, 29, 'male', 'L2Monster', 'Fighter', 40, 906, 4.300, 350, 1.740, 40, 43, 30, 21, 20, 20, 1492, 80, 138, 138, 58, 117, 253, 0, 500, 0, 0, 0, 30, 120, 'scropio_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.24, 'true', 'NONE', 1, 0),
	(75, 20075, 'Ant Larva', '', 'ant_larva', 12.00, 8.00, 29, 'male', 'L2Monster', 'Fighter', 40, 906, 4.300, 350, 1.740, 40, 43, 30, 21, 20, 20, 1368, 73, 138, 138, 58, 117, 253, 0, 500, 0, 0, 0, 40, 60, 'ant_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.35, 'false', 'NONE', 1, 0),
	(76, 20076, 'Ol Mahum Commander', '', 'ol_mahum_champion', 14.00, 27.00, 29, 'male', 'L2Monster', 'Fighter', 40, 906, 4.300, 350, 1.740, 40, 43, 30, 21, 20, 20, 1583, 85, 138, 138, 58, 117, 253, 500, 500, 69, 0, 0, 50, 110, 'ol_mahum_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.63, 'true', 'NONE', 1, 0),
	(77, 20077, 'Androscorpio Hunter', '', 'onyx_beast', 14.00, 14.50, 30, 'male', 'L2Monster', 'Fighter', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 1571, 86, 149, 143, 62, 121, 253, 0, 500, 0, 0, 0, 30, 120, 'scropio_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.24, 'true', 'NONE', 1, 0),
	(78, 20078, 'Whispering Wind', '', 'sylph_100_bi', 20.00, 70.00, 30, 'female', 'L2Monster', 'Mystic', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 1571, 86, 149, 143, 62, 121, 253, 0, 500, 0, 0, 0, 60, 60, 'elemental2_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'true', 'NONE', 1, 0),
	(79, 20079, 'Ant', '', 'ant', 26.00, 15.00, 30, 'male', 'L2Monster', 'Fighter', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 1571, 86, 149, 143, 62, 121, 253, 0, 500, 0, 0, 0, 40, 130, 'ant_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.26, 'false', 'NONE', 1, 0),
	(80, 20080, 'Ant Captain', '', 'ant', 26.00, 15.00, 31, 'male', 'L2Monster', 'Fighter', 40, 1005, 4.500, 382, 1.800, 40, 43, 30, 21, 20, 20, 1711, 95, 161, 149, 67, 126, 253, 500, 500, 0, 0, 0, 40, 130, 'ant_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.26, 'false', 'NONE', 1, 0),
	(81, 20081, 'Ant Overseer', '', 'ant', 26.00, 15.00, 32, 'male', 'L2Monster', 'Fighter', 40, 1056, 4.600, 398, 1.830, 40, 43, 30, 21, 20, 20, 2881, 162, 173, 154, 74, 130, 253, 0, 500, 0, 0, 0, 40, 130, 'ant_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.26, 'false', 'NONE', 1, 0),
	(82, 20082, 'Ant Recruit', '', 'ant_soldier', 35.00, 17.00, 33, 'male', 'L2Monster', 'Fighter', 40, 1109, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 1742, 100, 187, 160, 81, 135, 253, 0, 500, 0, 0, 0, 80, 130, 'ant_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(83, 20083, 'Granite Golem', '', 'stone_golem', 20.00, 31.00, 33, 'male', 'L2Monster', 'Mystic', 40, 1109, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 2687, 155, 187, 160, 81, 135, 253, 0, 500, 0, 0, 0, 23, 23, 'golem_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'true', 'NONE', 1, 0),
	(84, 20084, 'Ant Patrol', '', 'ant_soldier', 35.00, 17.00, 34, 'male', 'L2Monster', 'Fighter', 40, 1164, 4.800, 430, 1.890, 40, 43, 30, 21, 20, 20, 2001, 116, 202, 166, 88, 141, 253, 0, 500, 0, 0, 0, 80, 130, 'ant_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(85, 20085, 'Puncher', '', 'stone_golem', 20.00, 31.00, 34, 'male', 'L2Monster', 'Mystic', 40, 1164, 4.800, 430, 1.890, 40, 43, 30, 21, 20, 20, 2910, 170, 202, 166, 88, 141, 253, 500, 500, 0, 0, 0, 23, 23, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'true', 'NONE', 1, 0),
	(86, 20086, 'Ant Guard', '', 'ant_soldier', 35.00, 17.00, 35, 'male', 'L2Monster', 'Fighter', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 1782, 106, 216, 172, 96, 146, 253, 0, 500, 0, 0, 0, 80, 174, 'ant_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(87, 20087, 'Ant Soldier', '', 'ant_soldier', 35.00, 17.00, 35, 'male', 'L2Monster', 'Fighter', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 4274, 253, 216, 172, 96, 146, 253, 500, 500, 0, 0, 0, 80, 174, 'ant_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(88, 20088, 'Ant Warrior Captain', '', 'ant_soldier', 35.00, 17.00, 36, 'male', 'L2Monster', 'Fighter', 40, 1279, 5.000, 464, 1.950, 40, 43, 30, 21, 20, 20, 4763, 288, 232, 179, 105, 151, 253, 500, 500, 0, 0, 0, 80, 174, 'ant_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(89, 20089, 'Noble Ant', '', 'noble_ant', 20.00, 48.00, 37, 'male', 'L2Monster', 'Fighter', 40, 1339, 5.100, 480, 1.980, 40, 43, 30, 21, 20, 20, 1991, 122, 249, 185, 113, 156, 253, 0, 500, 0, 0, 0, 80, 174, 'ant_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(90, 20090, 'Noble Ant Leader', '', 'noble_ant', 20.00, 48.00, 38, 'male', 'L2Monster', 'Fighter', 40, 1400, 5.200, 497, 2.010, 40, 43, 30, 21, 20, 20, 4391, 274, 267, 191, 124, 162, 253, 500, 500, 0, 0, 0, 80, 174, 'ant_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(91, 20091, 'Young Fox', '', 'fox', 9.50, 10.00, 1, 'male', 'L2Monster', 'Fighter', 40, 63, 1.500, 44, 0.900, 40, 43, 30, 21, 20, 20, 29, 2, 9, 44, 7, 35, 253, 0, 500, 0, 0, 0, 23, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(92, 20092, 'Monster Eye', '', 'monster_eye', 21.00, 43.00, 10, 'male', 'L2Monster', 'Mystic', 40, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 294, 10, 25, 62, 8, 51, 253, 0, 500, 0, 0, 0, 90, 134, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(93, 20093, 'Orc Fighter', '', 'orc_fighter', 12.00, 22.00, 10, 'male', 'L2Monster', 'Fighter', 40, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 363, 12, 25, 62, 8, 51, 253, 500, 500, 1, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(94, 20094, 'Orc Marksman', '', 'orc_archer', 14.00, 25.00, 10, 'male', 'L2Monster', 'Ranger', 1100, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 306, 10, 25, 62, 8, 51, 253, 0, 500, 14, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.80, 'false', 'NONE', 0, 0),
	(95, 20095, 'Vampire Bat', '', 'vampire_bat', 10.00, 33.50, 10, 'male', 'L2Monster', 'Mystic', 40, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 297, 10, 25, 62, 8, 51, 253, 0, 500, 0, 0, 0, 60, 80, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(96, 20096, 'Orc Lieutenant', '', 'orc_fighter', 12.00, 22.00, 11, 'male', 'L2Monster', 'Fighter', 40, 293, 2.500, 129, 1.200, 40, 43, 30, 21, 20, 20, 392, 15, 28, 65, 9, 54, 253, 0, 500, 2, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(97, 20097, 'Drill Bat', '', 'vampire_bat', 10.00, 33.50, 11, 'male', 'L2Monster', 'Mystic', 40, 293, 2.500, 129, 1.200, 40, 43, 30, 21, 20, 20, 326, 12, 28, 65, 9, 54, 253, 0, 500, 0, 0, 0, 60, 80, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(98, 20098, 'Orc Fighter Leader', '', 'orc_fighter', 12.00, 22.00, 12, 'male', 'L2Monster', 'Fighter', 40, 315, 2.600, 138, 1.230, 40, 43, 30, 21, 20, 20, 448, 17, 30, 68, 14, 56, 253, 500, 500, 2, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(99, 20099, 'Skeleton', '', 'skeleton', 11.00, 25.00, 12, 'male', 'L2Monster', 'Fighter', 40, 315, 2.600, 138, 1.230, 40, 43, 30, 21, 20, 20, 363, 13, 30, 68, 14, 56, 253, 500, 500, 946, 945, 0, 60, 140, 'skeleton_clan', 300, 0, 20, 33, 7, 10, 8, 4, 0, -6, 0.30, 'false', 'NONE', 1, 0),
	(100, 20100, 'Skeleton Archer', '', 'skeleton_archer', 11.00, 27.00, 13, 'male', 'L2Monster', 'Ranger', 1100, 339, 2.700, 147, 1.260, 40, 43, 30, 21, 20, 20, 405, 16, 34, 71, 12, 59, 253, 500, 500, 14, 0, 0, 40, 140, 'skeleton_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.80, 'false', 'NONE', 1, 0),
	(101, 20101, 'Crasher', '', 'stone_golem', 20.00, 31.00, 14, 'male', 'L2Monster', 'Mystic', 40, 364, 2.800, 156, 1.290, 40, 43, 30, 21, 20, 20, 705, 27, 37, 75, 13, 61, 253, 0, 500, 0, 0, 0, 23, 23, 'golem', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'true', 'NONE', 1, 0),
	(102, 20102, 'Skeleton Marksman', '', 'skeleton_archer', 11.00, 27.00, 14, 'male', 'L2Monster', 'Ranger', 1100, 364, 2.800, 156, 1.290, 40, 43, 30, 21, 20, 20, 428, 17, 37, 75, 13, 61, 253, 0, 500, 14, 0, 0, 40, 140, 'skeleton_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.80, 'false', 'NONE', 1, 0),
	(103, 20103, 'Giant Spider', '', 'giant_spider', 26.00, 26.50, 15, 'male', 'L2Monster', 'Mystic', 40, 390, 2.900, 166, 1.320, 40, 43, 30, 21, 20, 20, 545, 22, 41, 78, 19, 64, 253, 500, 500, 0, 0, 0, 72, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.26, 'true', 'NONE', 1, 0),
	(104, 20104, 'Skeleton Lord', '', 'skeleton', 11.00, 25.00, 15, 'male', 'L2Monster', 'Fighter', 40, 390, 2.900, 166, 1.320, 40, 43, 30, 21, 20, 20, 445, 18, 41, 78, 19, 64, 253, 0, 500, 946, 945, 0, 60, 140, 'skeleton_clan', 300, 0, 20, 36, 7, 10, 8, 4, 0, -6, 0.30, 'false', 'NONE', 1, 0),
	(105, 20105, 'Dark Horror', '', 'dark_horror', 20.00, 35.00, 16, 'male', 'L2Monster', 'Fighter', 40, 418, 3.000, 175, 1.350, 40, 43, 30, 21, 20, 20, 577, 23, 45, 81, 16, 67, 253, 500, 500, 0, 0, 0, 100, 100, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(106, 20106, 'Talon Spider', '', 'giant_spider', 26.00, 26.50, 16, 'male', 'L2Monster', 'Mystic', 40, 418, 3.000, 175, 1.350, 40, 43, 30, 21, 20, 20, 571, 23, 45, 81, 16, 67, 253, 0, 500, 0, 0, 0, 72, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.26, 'true', 'NONE', 1, 0),
	(107, 20107, 'Wererat', '', 'wererat', 14.00, 25.00, 16, 'male', 'L2Monster', 'Fighter', 40, 418, 3.000, 175, 1.350, 40, 43, 30, 21, 20, 20, 476, 19, 45, 81, 16, 67, 253, 0, 500, 0, 0, 0, 80, 120, 'wererat_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(108, 20108, 'Blade Spider', '', 'giant_spider', 26.00, 26.50, 17, 'male', 'L2Monster', 'Mystic', 40, 446, 3.100, 184, 1.380, 40, 43, 30, 21, 20, 20, 618, 26, 49, 84, 22, 70, 253, 500, 500, 0, 0, 0, 72, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.26, 'true', 'NONE', 1, 0),
	(109, 20109, 'Salamander', '', 'salamander', 16.00, 6.80, 17, 'male', 'L2Monster', 'Fighter', 40, 446, 3.100, 184, 1.380, 40, 43, 30, 21, 20, 20, 990, 42, 49, 84, 22, 70, 253, 0, 500, 0, 0, 0, 64, 96, 'elemental3_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.20, 'false', 'NONE', 1, 0),
	(110, 20110, 'Undine', '', 'undine', 12.00, 27.00, 17, 'female', 'L2Monster', 'Mystic', 40, 446, 3.100, 184, 1.380, 40, 43, 30, 21, 20, 20, 958, 40, 49, 84, 22, 70, 253, 500, 500, 0, 0, 0, 60, 60, 'elemental4_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.35, 'false', 'NONE', 1, 0),
	(111, 20111, 'Wererat Leader', '', 'wererat', 14.00, 25.00, 17, 'male', 'L2Monster', 'Fighter', 40, 446, 3.100, 184, 1.380, 40, 43, 30, 21, 20, 20, 958, 40, 49, 84, 22, 70, 253, 500, 500, 1, 0, 0, 80, 120, 'wererat_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(112, 20112, 'Salamander Elder', '', 'salamander', 16.00, 6.80, 18, 'male', 'L2Monster', 'Fighter', 40, 477, 3.200, 194, 1.410, 40, 43, 30, 21, 20, 20, 992, 43, 54, 88, 20, 74, 253, 0, 500, 0, 0, 0, 64, 96, 'elemental3_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.20, 'false', 'NONE', 1, 0),
	(113, 20113, 'Undine Elder', '', 'undine', 12.00, 27.00, 18, 'female', 'L2Monster', 'Mystic', 40, 477, 3.200, 194, 1.410, 40, 43, 30, 21, 20, 20, 1012, 44, 54, 88, 20, 74, 253, 500, 500, 0, 0, 0, 60, 60, 'elemental4_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.35, 'false', 'NONE', 1, 0),
	(114, 20114, 'Salamander Noble', '', 'salamander', 16.00, 6.80, 19, 'male', 'L2Monster', 'Fighter', 40, 508, 3.300, 203, 1.440, 40, 43, 30, 21, 20, 20, 1051, 47, 59, 91, 26, 77, 253, 0, 500, 0, 0, 0, 64, 96, 'elemental3_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.20, 'false', 'NONE', 1, 0),
	(115, 20115, 'Undine Noble', '', 'undine', 12.00, 27.00, 19, 'female', 'L2Monster', 'Mystic', 40, 508, 3.300, 203, 1.440, 40, 43, 30, 21, 20, 20, 1072, 48, 59, 91, 26, 77, 253, 500, 500, 0, 0, 0, 60, 60, 'elemental4_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.35, 'false', 'NONE', 1, 0),
	(116, 20116, 'Fox', '', 'fox', 9.50, 10.00, 2, 'male', 'L2Monster', 'Fighter', 40, 76, 1.600, 52, 0.930, 40, 43, 30, 21, 20, 20, 59, 2, 11, 45, 7, 36, 253, 0, 500, 0, 0, 0, 23, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(117, 20117, 'Dre Vanul', '', 'dre_vanul', 14.00, 36.00, 20, 'male', 'L2Monster', 'Fighter', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 666, 29, 65, 96, 24, 80, 253, 500, 500, 0, 0, 0, 80, 80, 'demonic_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.35, 'false', 'NONE', 1, 0),
	(118, 20118, 'Dre Vanul Scout', '', 'dre_vanul', 14.00, 36.00, 21, 'male', 'L2Minion', 'Fighter', 40, 576, 3.500, 228, 1.500, 40, 43, 30, 21, 20, 20, 780, 36, 70, 100, 31, 84, 253, 500, 500, 0, 0, 0, 80, 80, 'demonic_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.35, 'false', 'NONE', 1, 0),
	(119, 20119, 'Elder Fox', '', 'fox', 9.50, 10.00, 3, 'male', 'L2Monster', 'Fighter', 40, 91, 1.700, 61, 0.960, 40, 43, 30, 21, 20, 20, 88, 2, 13, 47, 7, 38, 253, 0, 500, 0, 0, 0, 23, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(120, 20120, 'Wolf', '', 'wolf', 13.00, 9.00, 4, 'male', 'L2Monster', 'Fighter', 40, 108, 1.800, 69, 0.990, 40, 43, 30, 21, 20, 20, 141, 4, 14, 48, 7, 39, 253, 0, 500, 0, 0, 0, 24, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'true', 'NONE', 1, 0),
	(121, 20121, 'Giant Toad', '', 'poison_toad', 20.00, 10.00, 5, 'male', 'L2Monster', 'Fighter', 40, 127, 1.900, 77, 1.020, 40, 43, 30, 21, 20, 20, 178, 5, 16, 50, 7, 41, 253, 0, 500, 0, 0, 0, 50, 100, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.35, 'true', 'NONE', 1, 0),
	(122, 20130, 'Orc', '', 'orc', 10.00, 21.00, 6, 'male', 'L2Monster', 'Fighter', 40, 148, 2.000, 86, 1.050, 40, 43, 30, 21, 20, 20, 214, 6, 17, 53, 7, 43, 253, 0, 500, 156, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(123, 20131, 'Orc Grunt', '', 'orc', 10.00, 21.00, 7, 'male', 'L2Monster', 'Fighter', 40, 171, 2.100, 94, 1.080, 40, 43, 30, 21, 20, 20, 249, 8, 19, 55, 7, 44, 253, 0, 500, 4, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(124, 20132, 'Werewolf', '', 'werewolf', 10.00, 26.00, 9, 'male', 'L2Monster', 'Fighter', 40, 226, 2.300, 112, 1.140, 40, 43, 30, 21, 20, 20, 321, 11, 23, 60, 11, 48, 253, 0, 500, 0, 0, 0, 50, 120, 'werewolf_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.43, 'true', 'NONE', 1, 0),
	(125, 20133, 'Bugbear', '', 'bugbear', 17.00, 35.00, 21, 'male', 'L2Monster', 'Fighter', 40, 576, 3.500, 228, 1.500, 40, 43, 30, 21, 20, 20, 780, 36, 70, 100, 31, 84, 253, 500, 500, 4, 0, 0, 55, 130, 'bugbear_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(126, 20134, 'Cave Maiden', '', 'cave_maiden', 25.00, 65.00, 59, 'female', 'L2Monster', 'Fighter', 40, 2972, 7.300, 1118, 2.640, 40, 43, 30, 21, 20, 20, 6135, 524, 894, 359, 484, 305, 253, 500, 500, 68, 0, 0, 70, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 1, 0),
	(127, 20135, 'Alligator', '', 'crocodile', 28.00, 11.50, 40, 'male', 'L2Monster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 2848, 184, 305, 205, 145, 173, 253, 500, 500, 0, 0, 0, 70, 174, 'croc_clan2', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'true', 'NONE', 1, 0),
	(128, 20136, 'Death Knight', '', 'death_knight', 12.00, 30.00, 50, 'male', 'L2Monster', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 14026, 1012, 558, 279, 289, 237, 253, 500, 500, 75, 0, 0, 27, 174, 'undead_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 1, 0),
	(129, 20137, 'Drake', '', 'drake', 30.00, 100.00, 57, 'male', 'L2Monster', 'Mystic', 40, 2807, 7.100, 1052, 2.580, 40, 43, 30, 21, 20, 20, 5784, 481, 809, 340, 435, 289, 253, 500, 500, 0, 0, 0, 70, 174, 'dragon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.84, 'false', 'NONE', 1, 0),
	(130, 20138, 'Gargoyle', '', 'gargoyle', 16.00, 50.00, 27, 'male', 'L2Monster', 'Fighter', 40, 814, 4.100, 318, 1.680, 40, 43, 30, 21, 20, 20, 1136, 58, 118, 127, 50, 107, 253, 500, 500, 0, 0, 0, 140, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(131, 20139, 'Giant Bee', '', 'giant_bee', 8.00, 24.50, 16, 'male', 'L2Monster', 'Fighter', 40, 418, 3.000, 175, 1.350, 40, 43, 30, 21, 20, 20, 471, 19, 45, 81, 16, 67, 253, 0, 500, 0, 0, 0, 90, 90, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(132, 20140, 'Giant Leech', '', 'giant_leech', 70.00, 29.00, 24, 'male', 'L2Monster', 'Fighter', 40, 688, 3.800, 273, 1.590, 40, 43, 30, 21, 20, 20, 954, 47, 91, 113, 39, 96, 253, 500, 500, 0, 0, 0, 50, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.65, 'false', 'NONE', 0, 0),
	(133, 20141, 'Giant Wild Hog', '', 'giant_wild_hog', 25.00, 27.00, 47, 'male', 'L2Monster', 'Fighter', 40, 2017, 6.100, 738, 2.280, 40, 43, 30, 21, 20, 20, 3277, 235, 469, 255, 238, 216, 253, 500, 500, 0, 0, 0, 35, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(134, 20142, 'Griffon', '', 'griffin', 20.00, 44.00, 20, 'male', 'L2Monster', 'Fighter', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 594, 26, 65, 96, 24, 80, 253, 0, 500, 0, 0, 0, 90, 90, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(135, 20143, 'Grizzly', '', 'grizzly', 21.00, 40.00, 12, 'male', 'L2Monster', 'Fighter', 40, 315, 2.600, 138, 1.230, 40, 43, 30, 21, 20, 20, 436, 16, 30, 68, 14, 56, 253, 500, 500, 0, 0, 0, 40, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'true', 'NONE', 1, 0),
	(136, 20144, 'Hangman Tree', '', 'hanged_man_ripper', 35.00, 80.00, 35, 'male', 'L2Monster', 'Fighter', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 2181, 130, 216, 172, 96, 146, 253, 500, 500, 0, 0, 0, 55, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(137, 20145, 'Harpy', '', 'harpy', 10.00, 42.00, 32, 'female', 'L2Monster', 'Fighter', 40, 1056, 4.600, 398, 1.830, 40, 43, 30, 21, 20, 20, 1805, 101, 173, 154, 74, 130, 253, 500, 500, 0, 0, 0, 60, 100, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.65, 'true', 'NONE', 1, 0),
	(138, 20146, 'Headless Knight', '', 'headless_knight', 21.00, 31.00, 50, 'male', 'L2Monster', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 4450, 335, 558, 279, 289, 237, 253, 500, 500, 124, 0, 0, 70, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(139, 20147, 'Hobgoblin', '', 'hobgoblin', 12.00, 24.00, 21, 'male', 'L2Monster', 'Fighter', 40, 576, 3.500, 228, 1.500, 40, 43, 30, 21, 20, 20, 917, 42, 70, 100, 31, 84, 253, 0, 500, 4, 0, 0, 45, 110, 'goblin_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.41, 'true', 'NONE', 1, 0),
	(140, 20148, 'Hungry Spirit', '', 'hungry_spirit', 13.00, 40.00, 40, 'male', 'L2Monster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 2350, 151, 305, 205, 145, 173, 253, 500, 500, 0, 0, 0, 15, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(141, 20149, 'Iron Golem', '', 'iron_golem', 18.00, 34.00, 38, 'male', 'L2Monster', 'Mystic', 40, 1400, 5.200, 497, 2.010, 40, 43, 30, 21, 20, 20, 3029, 188, 267, 191, 124, 162, 253, 500, 500, 0, 0, 0, 20, 20, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'false', 'NONE', 0, 0),
	(142, 20150, 'King Bugbear', '', 'king_bugbear', 15.00, 40.00, 32, 'male', 'L2Monster', 'Fighter', 40, 1056, 4.600, 398, 1.830, 40, 43, 30, 21, 20, 20, 1519, 85, 173, 154, 74, 130, 253, 500, 500, 88, 0, 0, 55, 130, 'bugbear_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(143, 20151, 'Kobold', '', 'kobold', 10.00, 15.00, 4, 'male', 'L2Monster', 'Fighter', 40, 108, 1.800, 69, 0.990, 40, 43, 30, 21, 20, 20, 119, 3, 14, 48, 7, 39, 253, 0, 500, 4, 0, 0, 47, 110, 'goblin_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(144, 20152, 'Lizardman', '', 'virud_lizardman', 10.00, 23.00, 19, 'male', 'L2Monster', 'Fighter', 40, 508, 3.300, 203, 1.440, 40, 43, 30, 21, 20, 20, 565, 25, 59, 91, 26, 77, 253, 0, 500, 291, 0, 0, 43, 130, 'lizardman_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(145, 20153, 'Magical Weaver', '', 'magical_weaver', 11.00, 20.00, 11, 'male', 'L2Monster', 'Mystic', 40, 293, 2.500, 129, 1.200, 40, 43, 30, 21, 20, 20, 392, 15, 28, 65, 9, 54, 253, 0, 500, 0, 0, 0, 90, 90, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'true', 'NONE', 1, 0),
	(146, 20154, 'Mandragora Sprout', '', 'manadragora', 14.00, 17.80, 21, 'female', 'L2Monster', 'Fighter', 40, 576, 3.500, 228, 1.500, 40, 43, 30, 21, 20, 20, 917, 42, 70, 100, 31, 84, 253, 0, 500, 0, 0, 0, 80, 80, 'mandragora_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'true', 'NONE', 1, 0),
	(147, 20155, 'Mandragora Sapling', '', 'mandragora_a', 15.00, 26.00, 23, 'female', 'L2Monster', 'Fighter', 40, 649, 3.700, 257, 1.560, 40, 43, 30, 21, 20, 20, 1075, 52, 84, 108, 32, 91, 253, 500, 500, 0, 0, 0, 80, 120, 'mandragora_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.20, 'true', 'NONE', 1, 0),
	(148, 20156, 'Mandragora Blossom', '', 'mandragora_b', 12.00, 25.50, 25, 'female', 'L2Monster', 'Fighter', 40, 728, 3.900, 288, 1.620, 40, 43, 30, 21, 20, 20, 1215, 61, 100, 118, 42, 99, 253, 500, 500, 0, 0, 0, 80, 120, 'mandragora_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.13, 'true', 'NONE', 1, 0),
	(149, 20157, 'Marsh Stakato', '', 'marsh_stakato', 10.00, 20.00, 29, 'male', 'L2Monster', 'Fighter', 40, 906, 4.300, 350, 1.740, 40, 43, 30, 21, 20, 20, 1811, 97, 138, 138, 58, 117, 253, 500, 500, 223, 0, 0, 21, 120, 'stakato_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.74, 'true', 'NONE', 1, 0),
	(150, 20158, 'Medusa', '', 'medusa', 10.00, 25.00, 34, 'female', 'L2Monster', 'Mystic', 40, 1164, 4.800, 430, 1.890, 40, 43, 30, 21, 20, 20, 2058, 120, 202, 166, 88, 141, 253, 500, 500, 0, 0, 0, 50, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 1, 0),
	(151, 20159, 'Minotaur', '', 'minotaur', 21.00, 45.50, 43, 'male', 'L2Monster', 'Fighter', 40, 1729, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 2716, 184, 369, 226, 181, 191, 253, 500, 500, 300, 0, 0, 40, 120, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(152, 20160, 'Neer Crawler', '', 'neer_crawler', 14.00, 22.00, 28, 'male', 'L2Monster', 'Fighter', 40, 859, 4.200, 334, 1.710, 40, 43, 30, 21, 20, 20, 1442, 76, 127, 132, 54, 112, 253, 500, 500, 0, 0, 0, 50, 90, 'neer_crawler_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(153, 20161, 'Oel Mahum', '', 'oel_mahum', 20.00, 37.00, 53, 'male', 'L2Monster', 'Fighter', 40, 2482, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 4846, 380, 656, 305, 347, 258, 253, 500, 500, 127, 0, 0, 70, 174, 'oel_mahum_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(154, 20162, 'Ogre', '', 'ogre', 21.00, 44.00, 41, 'male', 'L2Monster', 'Fighter', 40, 1593, 5.500, 560, 2.100, 40, 43, 30, 21, 20, 20, 2469, 162, 324, 211, 156, 180, 253, 500, 500, 98, 0, 0, 22, 80, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(155, 20163, 'Ol Mahum', '', 'ol_mahum', 13.50, 25.00, 23, 'male', 'L2Monster', 'Fighter', 40, 649, 3.700, 257, 1.560, 40, 43, 30, 21, 20, 20, 878, 42, 84, 108, 32, 91, 253, 0, 500, 2, 0, 0, 50, 110, 'ol_mahum_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(156, 20164, 'Ol Mahum Archer', '', 'ol_mahum_archer', 14.00, 25.00, 25, 'male', 'L2Monster', 'Ranger', 1100, 728, 3.900, 288, 1.620, 40, 43, 30, 21, 20, 20, 1043, 53, 100, 118, 42, 99, 253, 500, 500, 14, 0, 0, 50, 110, 'ol_mahum_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.93, 'false', 'NONE', 0, 0),
	(157, 20165, 'Ol Mahum Champion', '', 'ol_mahum_champion', 14.00, 27.00, 29, 'male', 'L2Monster', 'Fighter', 40, 906, 4.300, 350, 1.740, 40, 43, 30, 21, 20, 20, 1509, 80, 138, 138, 58, 117, 253, 500, 500, 69, 0, 0, 50, 110, 'ol_mahum_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.63, 'false', 'NONE', 0, 0),
	(158, 20166, 'Succubus', '', 'succubus', 10.00, 36.00, 32, 'female', 'L2Monster', 'Mystic', 40, 1056, 4.600, 398, 1.830, 40, 43, 30, 21, 20, 20, 1519, 85, 173, 154, 74, 130, 253, 500, 500, 0, 0, 0, 60, 100, 'demonic_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.84, 'false', 'NONE', 0, 0),
	(159, 20167, 'Serpent Slave', '', 'serpent_slave', 17.00, 46.00, 40, 'male', 'L2Monster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 2374, 154, 305, 205, 145, 173, 253, 500, 500, 73, 0, 0, 70, 110, 'serpent_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(160, 20168, 'Silenos', '', 'silenos', 14.00, 32.50, 30, 'male', 'L2Monster', 'Fighter', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 1571, 86, 149, 143, 62, 121, 253, 0, 500, 88, 0, 0, 70, 110, 'silenos_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.50, 'true', 'NONE', 1, 0),
	(161, 20169, 'Skeleton Royal Guard', '', 'skeleton_royal_guard', 11.00, 28.50, 26, 'male', 'L2Monster', 'Fighter', 40, 770, 4.000, 303, 1.650, 40, 43, 30, 21, 20, 20, 1078, 54, 108, 123, 46, 103, 253, 500, 500, 946, 945, 0, 80, 120, 'skeleton_clan', 300, 0, 20, 52, 7, 10, 8, 4, 0, -6, 0.52, 'false', 'NONE', 0, 0),
	(162, 20170, 'Spartoi', '', 'spartoi', 11.00, 27.00, 15, 'male', 'L2Monster', 'Fighter', 40, 390, 2.900, 166, 1.320, 40, 43, 30, 21, 20, 20, 454, 19, 41, 78, 19, 64, 253, 500, 500, 946, 945, 0, 60, 140, 'skeleton_clan', 300, 0, 20, 36, 7, 10, 8, 4, 0, -6, 0.30, 'false', 'NONE', 0, 0),
	(163, 20171, 'Specter', '', 'dark_horror', 20.00, 35.00, 26, 'male', 'L2Monster', 'Fighter', 40, 770, 4.000, 303, 1.650, 40, 43, 30, 21, 20, 20, 1294, 65, 108, 123, 46, 103, 253, 500, 500, 0, 0, 0, 100, 100, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(164, 20172, 'Sylph', '', 'sylph', 11.00, 35.00, 10, 'female', 'L2Monster', 'Mystic', 40, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 297, 10, 25, 62, 8, 51, 253, 0, 500, 0, 0, 0, 60, 60, 'elemental2_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(165, 20173, 'Troll', '', 'troll', 21.00, 35.00, 33, 'male', 'L2Monster', 'Fighter', 40, 1109, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 1600, 91, 187, 160, 81, 135, 253, 500, 500, 0, 0, 0, 55, 110, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(166, 20174, 'Two-Headed Giant', '', 'twin_headed_giant', 17.00, 39.00, 35, 'male', 'L2Monster', 'Fighter', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 1799, 107, 216, 172, 96, 146, 253, 500, 500, 4, 0, 0, 45, 100, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(167, 20175, 'Walking Fungus', '', 'walking_fungus', 15.00, 22.50, 8, 'male', 'L2Monster', 'Fighter', 40, 197, 2.200, 103, 1.110, 40, 43, 30, 21, 20, 20, 237, 8, 21, 58, 10, 46, 253, 0, 500, 0, 0, 0, 70, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'false', 'NONE', 0, 0),
	(168, 20176, 'Wyrm', '', 'wyrm', 29.00, 72.00, 35, 'male', 'L2Monster', 'Fighter', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 2181, 130, 216, 172, 96, 146, 253, 500, 500, 0, 0, 0, 70, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.19, 'true', 'NONE', 1, 0),
	(169, 20177, 'Zombie', '', 'zombie', 13.00, 21.00, 6, 'male', 'L2Monster', 'Mystic', 40, 148, 2.000, 86, 1.050, 40, 43, 30, 21, 20, 20, 178, 5, 17, 53, 7, 43, 253, 0, 500, 0, 0, 0, 15, 15, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(170, 20189, 'Puma', '', 'onyx_beast', 14.00, 14.50, 15, 'male', 'L2Monster', 'Fighter', 40, 390, 2.900, 166, 1.320, 40, 43, 30, 21, 20, 20, 441, 18, 41, 78, 19, 64, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.24, 'false', 'NONE', 0, 0),
	(171, 20190, 'Skeleton Marauder', '', 'skeleton_archer', 11.00, 27.00, 29, 'male', 'L2Monster', 'Ranger', 1100, 906, 4.300, 350, 1.740, 40, 43, 30, 21, 20, 20, 1568, 84, 138, 138, 58, 117, 253, 500, 500, 14, 0, 0, 40, 140, 'skeleton_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.80, 'true', 'NONE', 1, 0),
	(172, 20191, 'Skeleton Raider', '', 'skeleton', 11.00, 25.00, 30, 'male', 'L2Monster', 'Fighter', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 1602, 88, 149, 143, 62, 121, 253, 500, 500, 946, 945, 0, 60, 140, 'skeleton_clan', 300, 0, 20, 59, 7, 10, 8, 4, 0, -6, 0.30, 'true', 'NONE', 1, 0),
	(173, 20192, 'Tyrant', '', 'grave', 15.00, 29.00, 35, 'male', 'L2Monster', 'Fighter', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 2138, 126, 216, 172, 96, 146, 253, 0, 500, 0, 0, 0, 70, 174, 'tyrant_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'true', 'NONE', 1, 0),
	(174, 20193, 'Tyrant Kingpin', '', 'grave', 15.00, 29.00, 36, 'male', 'L2Monster', 'Fighter', 40, 1279, 5.000, 464, 1.950, 40, 43, 30, 21, 20, 20, 2307, 139, 232, 179, 105, 151, 253, 500, 500, 0, 0, 0, 70, 174, 'tyrant_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'true', 'NONE', 1, 0),
	(175, 20194, 'Queen Undine', '', 'undine', 12.00, 27.00, 50, 'female', 'L2Monster', 'Mystic', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 3709, 280, 558, 279, 289, 237, 253, 500, 500, 0, 0, 0, 60, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.35, 'false', 'NONE', 0, 0),
	(176, 20197, 'Sorrow Maiden', '', 'sylph', 11.00, 35.00, 27, 'female', 'L2Monster', 'Mystic', 40, 814, 4.100, 318, 1.680, 40, 43, 30, 21, 20, 20, 1323, 67, 118, 127, 50, 107, 253, 0, 500, 0, 0, 0, 60, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'true', 'NONE', 1, 0),
	(177, 20198, 'Neer Ghoul Berserker', '', 'neer_crawler', 14.00, 22.00, 29, 'male', 'L2Monster', 'Fighter', 40, 906, 4.300, 350, 1.740, 40, 43, 30, 21, 20, 20, 1522, 82, 138, 138, 58, 117, 253, 500, 500, 0, 0, 0, 50, 90, 'neer_crawler_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(178, 20199, 'Amber Basilisk', '', 'lesser_basilisk', 34.00, 25.00, 30, 'male', 'L2Monster', 'Fighter', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 1869, 102, 149, 143, 62, 121, 253, 0, 500, 0, 0, 0, 35, 131, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'true', 'NONE', 1, 0),
	(179, 20200, 'Strain', '', 'hungry_spirit', 13.00, 40.00, 31, 'male', 'L2Monster', 'Fighter', 40, 1005, 4.500, 382, 1.800, 40, 43, 30, 21, 20, 20, 1661, 92, 161, 149, 67, 126, 253, 0, 500, 0, 0, 0, 15, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'true', 'NONE', 1, 0),
	(180, 20201, 'Ghoul', '', 'zombie', 13.00, 21.00, 32, 'male', 'L2Monster', 'Mystic', 40, 1056, 4.600, 398, 1.830, 40, 43, 30, 21, 20, 20, 2502, 140, 173, 154, 74, 130, 253, 0, 500, 0, 0, 0, 15, 15, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'true', 'NONE', 1, 0),
	(181, 20202, 'Dead Seeker', '', 'vampire_bat', 10.00, 33.50, 34, 'male', 'L2Monster', 'Mystic', 40, 1164, 4.800, 430, 1.890, 40, 43, 30, 21, 20, 20, 1998, 116, 202, 166, 88, 141, 253, 0, 500, 0, 0, 0, 60, 80, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'true', 'NONE', 1, 0),
	(182, 20203, 'Dion Grizzly', '', 'grizzly', 21.00, 40.00, 20, 'male', 'L2Monster', 'Fighter', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 706, 31, 65, 96, 24, 80, 253, 0, 500, 0, 0, 0, 40, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'true', 'NONE', 1, 0),
	(183, 20204, 'Bloody Bee', '', 'giant_bee', 8.00, 24.50, 23, 'male', 'L2Monster', 'Fighter', 40, 649, 3.700, 257, 1.560, 40, 43, 30, 21, 20, 20, 1148, 55, 84, 108, 32, 91, 253, 0, 500, 0, 0, 0, 90, 90, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'true', 'NONE', 1, 0),
	(184, 20205, 'Dire Wolf', '', 'dire_wolf', 13.00, 11.00, 24, 'male', 'L2Monster', 'Fighter', 40, 688, 3.800, 273, 1.590, 40, 43, 30, 21, 20, 20, 1145, 56, 91, 113, 39, 96, 253, 500, 500, 0, 0, 0, 24, 110, 'wolf_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'true', 'NONE', 1, 0),
	(185, 20206, 'Kadif Werewolf', '', 'werewolf', 10.00, 26.00, 25, 'male', 'L2Monster', 'Fighter', 40, 728, 3.900, 288, 1.620, 40, 43, 30, 21, 20, 20, 1179, 59, 100, 118, 42, 99, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'true', 'NONE', 1, 0),
	(186, 20207, 'Ol Mahum Guerilla', '', 'ol_mahum', 13.50, 25.00, 26, 'male', 'L2Monster', 'Fighter', 40, 770, 4.000, 303, 1.650, 40, 43, 30, 21, 20, 20, 2359, 119, 108, 123, 46, 103, 253, 0, 500, 2, 19, 0, 50, 110, 'ol_mahum_clan', 300, 0, 20, 52, 7, 30, 4, 4, 0, -6, 0.46, 'true', 'NONE', 1, 0),
	(187, 20208, 'Ol Mahum Raider', '', 'ol_mahum', 13.50, 25.00, 27, 'male', 'L2Monster', 'Fighter', 40, 814, 4.100, 318, 1.680, 40, 43, 30, 21, 20, 20, 2485, 127, 118, 127, 50, 107, 253, 0, 500, 10, 0, 0, 50, 110, 'ol_mahum_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(188, 20209, 'Ol Mahum Marksman', '', 'ol_mahum_archer', 14.00, 25.00, 28, 'male', 'L2Monster', 'Ranger', 1100, 859, 4.200, 334, 1.710, 40, 43, 30, 21, 20, 20, 2709, 142, 127, 132, 54, 112, 253, 0, 500, 275, 0, 0, 50, 110, 'ol_mahum_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.93, 'true', 'NONE', 1, 0),
	(189, 20210, 'Ol Mahum Sergeant', '', 'ol_mahum', 13.50, 25.00, 29, 'male', 'L2Monster', 'Fighter', 40, 906, 4.300, 350, 1.740, 40, 43, 30, 21, 20, 20, 2776, 149, 138, 138, 58, 117, 253, 0, 500, 68, 19, 0, 50, 110, 'ol_mahum_clan', 300, 0, 20, 57, 7, 30, 4, 4, 0, -6, 0.46, 'true', 'NONE', 1, 0),
	(190, 20211, 'Ol Mahum Captain', '', 'ol_mahum_champion', 14.00, 27.00, 30, 'male', 'L2Monster', 'Fighter', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 2980, 163, 149, 143, 62, 121, 253, 500, 500, 123, 19, 0, 50, 110, 'ol_mahum_clan', 300, 0, 20, 59, 7, 30, 4, 4, 0, -6, 0.63, 'true', 'NONE', 1, 0),
	(191, 20212, 'Bloody Axe Turmak', 'Ol Mahum Lord', 'ol_mahum_champion', 14.00, 27.00, 34, 'male', 'L2Monster', 'Fighter', 40, 1164, 4.800, 430, 1.890, 40, 43, 30, 21, 20, 20, 3528, 206, 202, 166, 88, 141, 253, 500, 500, 69, 19, 0, 50, 110, 'ol_mahum_clan', 300, 0, 20, 66, 7, 30, 4, 4, 0, -6, 0.63, 'false', 'NONE', 0, 0),
	(192, 20213, 'Porta', '', 'stone_golem', 20.00, 31.00, 40, 'male', 'L2Monster', 'Mystic', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 10438, 647, 305, 205, 145, 173, 253, 0, 500, 0, 0, 0, 23, 23, 'porta_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.41, 'false', 'NONE', 1, 0),
	(193, 20214, 'Excuro', '', 'mana_vampire', 11.00, 20.00, 41, 'male', 'L2Monster', 'Mystic', 40, 1593, 5.500, 560, 2.100, 40, 43, 30, 21, 20, 20, 6668, 417, 324, 211, 156, 180, 253, 0, 500, 0, 0, 0, 90, 174, 'porta_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.39, 'false', 'NONE', 1, 0),
	(194, 20215, 'Mordeo', '', 'onyx_beast', 14.00, 14.50, 42, 'male', 'L2Monster', 'Fighter', 40, 1660, 5.600, 589, 2.130, 40, 43, 30, 21, 20, 20, 7709, 493, 345, 218, 168, 185, 253, 500, 500, 0, 0, 0, 30, 174, 'beast_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.24, 'false', 'NONE', 1, 0),
	(195, 20216, 'Ricenseo', '', 'monster_eye', 21.00, 43.00, 43, 'male', 'L2Monster', 'Mystic', 40, 1729, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 6864, 442, 369, 226, 181, 191, 253, 0, 500, 0, 0, 0, 90, 174, 'porta_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(196, 20217, 'Krator', '', 'stone_golem', 20.00, 31.00, 44, 'male', 'L2Monster', 'Mystic', 40, 1799, 5.800, 648, 2.190, 40, 43, 30, 21, 20, 20, 7997, 523, 392, 233, 194, 197, 253, 500, 500, 0, 0, 0, 23, 23, 'porta_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.41, 'false', 'NONE', 1, 0),
	(197, 20218, 'Premo', '', 'troll', 21.00, 35.00, 45, 'male', 'L2Monster', 'Fighter', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 8303, 552, 417, 240, 208, 204, 253, 0, 500, 0, 0, 0, 55, 174, 'porta_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(198, 20219, 'Validus', '', 'grave', 15.00, 29.00, 46, 'male', 'L2Monster', 'Fighter', 40, 1943, 6.000, 708, 2.250, 40, 43, 30, 21, 20, 20, 9348, 635, 442, 248, 223, 210, 253, 0, 500, 0, 0, 0, 70, 174, 'torfe_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(199, 20220, 'Dicor', '', 'mandragora_b', 12.00, 25.50, 47, 'female', 'L2Monster', 'Fighter', 40, 2017, 6.100, 738, 2.280, 40, 43, 30, 21, 20, 20, 9429, 646, 469, 255, 238, 216, 253, 500, 500, 0, 0, 0, 80, 174, 'torfe_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.13, 'false', 'NONE', 1, 0),
	(200, 20221, 'Perum', '', 'iron_golem', 18.00, 34.00, 48, 'male', 'L2Monster', 'Mystic', 40, 2092, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 13708, 955, 498, 264, 254, 224, 253, 500, 500, 0, 0, 0, 20, 20, 'torfe_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.41, 'false', 'NONE', 1, 0),
	(201, 20222, 'Torfe', '', 'grave', 15.00, 29.00, 49, 'male', 'L2Monster', 'Fighter', 40, 2168, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 10330, 730, 526, 271, 271, 230, 253, 0, 500, 0, 0, 0, 70, 174, 'torfe_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(202, 20223, 'Mandragora Sprout', '', 'manadragora', 14.00, 17.80, 20, 'female', 'L2Monster', 'Fighter', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 784, 35, 65, 96, 24, 80, 253, 0, 500, 0, 0, 0, 80, 80, 'mandragora_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'true', 'NONE', 1, 0),
	(203, 20224, 'Ol Mahum Ranger', '', 'ol_mahum_archer', 14.00, 25.00, 22, 'male', 'L2Monster', 'Ranger', 1100, 612, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 1271, 60, 78, 104, 29, 87, 253, 0, 500, 13, 0, 0, 50, 110, 'ol_mahum_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.93, 'true', 'NONE', 1, 0),
	(204, 20225, 'Giant Mist Leech', '', 'giant_leech', 70.00, 29.00, 25, 'male', 'L2Monster', 'Fighter', 40, 728, 3.900, 288, 1.620, 40, 43, 30, 21, 20, 20, 1191, 60, 100, 118, 42, 99, 253, 0, 500, 0, 0, 0, 50, 110, 'giant_leech_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.65, 'true', 'NONE', 1, 0),
	(205, 20226, 'Gray Ant', '', 'ant', 26.00, 15.00, 26, 'male', 'L2Monster', 'Fighter', 40, 770, 4.000, 303, 1.650, 40, 43, 30, 21, 20, 20, 1268, 64, 108, 123, 46, 103, 253, 0, 500, 0, 0, 0, 40, 130, 'ant_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.26, 'true', 'NONE', 1, 0),
	(206, 20227, 'Horror Mist Ripper', '', 'dark_horror', 20.00, 35.00, 27, 'male', 'L2Monster', 'Fighter', 40, 814, 4.100, 318, 1.680, 40, 43, 30, 21, 20, 20, 1349, 70, 118, 127, 50, 107, 253, 500, 500, 0, 0, 0, 100, 100, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(207, 20228, 'Giant Crimson Ant', '', 'ant_soldier', 35.00, 17.00, 28, 'male', 'L2Monster', 'Fighter', 40, 859, 4.200, 334, 1.710, 40, 43, 30, 21, 20, 20, 1555, 82, 127, 132, 54, 112, 253, 0, 500, 0, 0, 0, 80, 130, 'ant_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'true', 'NONE', 1, 0),
	(208, 20229, 'Stinger Wasp', '', 'giant_bee', 8.00, 24.50, 30, 'male', 'L2Monster', 'Fighter', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 1745, 95, 149, 143, 62, 121, 253, 500, 500, 0, 0, 0, 90, 90, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'true', 'NONE', 1, 0),
	(209, 20230, 'Marsh Stakato Worker', '', 'marsh_stakato_worker', 9.00, 21.00, 31, 'male', 'L2Monster', 'Fighter', 40, 1005, 4.500, 382, 1.800, 40, 43, 30, 21, 20, 20, 1996, 110, 161, 149, 67, 126, 253, 0, 500, 153, 0, 0, 20, 140, 'stakato_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.59, 'true', 'NONE', 1, 0),
	(210, 20231, 'Toad Lord', '', 'poison_toad', 20.00, 10.00, 32, 'male', 'L2Monster', 'Fighter', 40, 1056, 4.600, 398, 1.830, 40, 43, 30, 21, 20, 20, 1946, 109, 173, 154, 74, 130, 253, 0, 500, 0, 0, 0, 50, 100, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.35, 'true', 'NONE', 1, 0),
	(211, 20232, 'Marsh Stakato Soldier', '', 'marsh_stakato_soldier', 10.00, 25.00, 33, 'male', 'L2Monster', 'Fighter', 40, 1109, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 1901, 109, 187, 160, 81, 135, 253, 0, 500, 217, 0, 0, 30, 155, 'stakato_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.74, 'true', 'NONE', 1, 0),
	(212, 20233, 'Marsh Spider', '', 'poison_spider', 27.00, 25.50, 34, 'male', 'L2Monster', 'Mystic', 40, 1164, 4.800, 430, 1.890, 40, 43, 30, 21, 20, 20, 2241, 131, 202, 166, 88, 141, 253, 500, 500, 0, 0, 0, 60, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.65, 'true', 'NONE', 1, 0),
	(213, 20234, 'Marsh Stakato Drone', '', 'marsh_stakato_drone', 9.00, 24.00, 35, 'male', 'L2Monster', 'Fighter', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 2268, 134, 216, 172, 96, 146, 253, 500, 500, 219, 0, 0, 80, 174, 'stakato_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.39, 'true', 'NONE', 1, 0),
	(214, 20235, 'Shackle', '', 'hungry_spirit', 30.00, 40.00, 45, 'male', 'L2Monster', 'Mystic', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 3569, 248, 417, 240, 208, 204, 253, 500, 500, 0, 0, 0, 15, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(215, 20236, 'Cave Servant', '', 'skeleton', 11.00, 25.00, 46, 'male', 'L2Monster', 'Fighter', 40, 1943, 6.000, 708, 2.250, 40, 43, 30, 21, 20, 20, 3693, 262, 442, 248, 223, 210, 253, 0, 500, 79, 945, 0, 60, 174, 'cave_servant_clan', 300, 0, 20, 91, 7, 30, 4, 4, 0, -6, 0.30, 'false', 'NONE', 1, 0),
	(216, 20237, 'Cave Servant Archer', '', 'skeleton_archer', 11.00, 27.00, 47, 'male', 'L2Monster', 'Ranger', 1100, 2017, 6.100, 738, 2.280, 40, 43, 30, 21, 20, 20, 4972, 356, 469, 255, 238, 216, 253, 0, 500, 14, 0, 0, 40, 174, 'cave_servant_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.80, 'false', 'NONE', 1, 0),
	(217, 20238, 'Cave Servant Warrior', '', 'skeleton', 11.00, 25.00, 48, 'male', 'L2Monster', 'Fighter', 40, 2092, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 4785, 349, 498, 264, 254, 224, 253, 0, 500, 77, 2495, 0, 60, 174, 'cave_servant_clan', 300, 0, 20, 95, 7, 30, 4, 4, 0, -6, 0.30, 'false', 'NONE', 1, 0),
	(218, 20239, 'Cave Servant Captain', '', 'spartoi', 11.00, 27.00, 49, 'male', 'L2Monster', 'Fighter', 40, 2168, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 5086, 376, 526, 271, 271, 230, 253, 500, 500, 73, 2495, 0, 60, 174, 'cave_servant_clan', 300, 0, 20, 97, 7, 30, 4, 4, 0, -6, 0.30, 'false', 'NONE', 1, 0),
	(219, 20240, 'Royal Cave Servant', '', 'skeleton_royal_guard', 11.00, 28.50, 51, 'male', 'L2Monster', 'Fighter', 40, 2323, 6.500, 861, 2.400, 40, 43, 30, 21, 20, 20, 5455, 416, 589, 288, 308, 244, 253, 0, 500, 946, 945, 0, 80, 174, 'cave_servant_clan', 400, 0, 20, 102, 7, 10, 8, 4, 0, -6, 0.52, 'false', 'NONE', 1, 0),
	(220, 20241, 'Hunter Gargoyle', '', 'hunter_gargoyle', 25.00, 65.00, 52, 'male', 'L2Monster', 'Fighter', 40, 2402, 6.600, 892, 2.430, 40, 43, 30, 21, 20, 20, 5420, 419, 622, 296, 327, 251, 253, 0, 500, 0, 0, 0, 100, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(221, 20242, 'Dustwind Gargoyle', '', 'hunter_gargoyle', 25.00, 65.00, 53, 'male', 'L2Monster', 'Fighter', 40, 2482, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 5776, 454, 656, 305, 347, 258, 253, 0, 500, 0, 0, 0, 100, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(222, 20243, 'Thunder Wyrm', '', 'wyrm', 29.00, 72.00, 54, 'male', 'L2Monster', 'Fighter', 40, 2562, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 5140, 409, 692, 314, 368, 266, 253, 500, 500, 0, 0, 0, 70, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.19, 'false', 'NONE', 1, 0),
	(223, 20244, 'Malruk Succubus', '', 'succubus', 10.00, 36.00, 55, 'female', 'L2Monster', 'Mystic', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 5279, 426, 730, 322, 389, 273, 253, 0, 500, 0, 0, 0, 60, 174, 'succubus_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.84, 'false', 'NONE', 1, 0),
	(224, 20245, 'Malruk Succubus Turen', '', 'succubus', 10.00, 36.00, 56, 'female', 'L2Monster', 'Mystic', 40, 2725, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 5473, 450, 769, 331, 412, 280, 253, 0, 500, 0, 0, 0, 60, 174, 'succubus_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.84, 'false', 'NONE', 1, 0),
	(225, 20246, 'Cave Keeper', '', 'serpent_slave', 17.00, 46.00, 58, 'male', 'L2Monster', 'Fighter', 40, 2889, 7.200, 1085, 2.610, 40, 43, 30, 21, 20, 20, 6987, 590, 851, 350, 459, 296, 253, 0, 500, 223, 0, 0, 70, 174, 'cave_servant_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(226, 20248, 'Turak Bugbear', '', 'bugbear', 17.00, 35.00, 31, 'male', 'L2Monster', 'Fighter', 40, 1005, 4.500, 382, 1.800, 40, 43, 30, 21, 20, 20, 1677, 94, 161, 149, 67, 126, 253, 0, 500, 88, 0, 0, 55, 130, 'bugbear_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.28, 'true', 'NONE', 1, 0),
	(227, 20249, 'Turak Bugbear Warrior', '', 'bugbear', 17.00, 35.00, 33, 'male', 'L2Monster', 'Fighter', 40, 1109, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 3606, 206, 187, 160, 81, 135, 253, 500, 500, 73, 0, 0, 55, 130, 'bugbear_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'true', 'NONE', 1, 0),
	(228, 20250, 'Glass Jaguar', '', 'onyx_beast', 14.00, 14.50, 27, 'male', 'L2Monster', 'Fighter', 40, 814, 4.100, 318, 1.680, 40, 43, 30, 21, 20, 20, 1323, 67, 118, 127, 50, 107, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.24, 'true', 'NONE', 1, 0),
	(229, 20251, 'Delu Lizardman', '', 'virud_lizardman', 10.00, 23.00, 28, 'male', 'L2Monster', 'Fighter', 40, 859, 4.200, 334, 1.710, 40, 43, 30, 21, 20, 20, 1400, 73, 127, 132, 54, 112, 253, 0, 500, 1, 19, 0, 43, 130, '', 0, 0, 20, 55, 7, 30, 4, 4, 0, -6, 0.48, 'true', 'NONE', 1, 0),
	(230, 20252, 'Delu Lizardman Scout', '', 'virud_lizardman', 10.00, 23.00, 29, 'male', 'L2Monster', 'Fighter', 40, 906, 4.300, 350, 1.740, 40, 43, 30, 21, 20, 20, 1477, 79, 138, 138, 58, 117, 253, 0, 500, 123, 0, 0, 43, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(231, 20253, 'Delu Lizardman Warrior', '', 'virud_lizardman_warrior', 12.00, 30.00, 30, 'male', 'L2Monster', 'Fighter', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 1586, 86, 149, 143, 62, 121, 253, 500, 500, 16, 0, 0, 52, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'true', 'NONE', 1, 0),
	(232, 20254, 'Skeleton Axeman', '', 'skeleton', 11.00, 25.00, 28, 'male', 'L2Monster', 'Fighter', 40, 859, 4.200, 334, 1.710, 40, 43, 30, 21, 20, 20, 1442, 76, 127, 132, 54, 112, 253, 500, 500, 86, 0, 0, 60, 140, 'skeleton_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.30, 'true', 'NONE', 1, 0),
	(233, 20255, 'Batur Orc', '', 'batur_orc', 9.00, 21.50, 31, 'male', 'L2Monster', 'Fighter', 40, 1005, 4.500, 382, 1.800, 40, 43, 30, 21, 20, 20, 1398, 78, 161, 149, 67, 126, 253, 0, 500, 123, 0, 0, 80, 130, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(234, 20256, 'Batur Orc Archer', '', 'batur_orc_archer', 11.00, 21.50, 32, 'male', 'L2Monster', 'Ranger', 1100, 1056, 4.600, 398, 1.830, 40, 43, 30, 21, 20, 20, 1921, 108, 173, 154, 74, 130, 253, 0, 500, 13, 0, 0, 45, 130, 'orc_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.96, 'false', 'NONE', 0, 0),
	(235, 20257, 'Batur Orc Warrior', '', 'batur_orc_warrior', 10.00, 20.00, 33, 'male', 'L2Monster', 'Fighter', 40, 1109, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 1922, 110, 187, 160, 81, 135, 253, 500, 500, 123, 19, 0, 80, 120, 'orc_clan', 300, 0, 20, 64, 7, 30, 4, 4, 0, -6, 0.30, 'false', 'NONE', 0, 0),
	(236, 20258, 'Batur Orc Shaman', '', 'batur_orc_shaman', 11.00, 16.00, 34, 'male', 'L2Monster', 'Priest', 40, 1164, 4.800, 430, 1.890, 40, 43, 30, 21, 20, 20, 1681, 98, 202, 166, 88, 141, 253, 0, 500, 7, 0, 0, 50, 120, 'orc_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(237, 20259, 'Batur Orc Overlord', '', 'batur_orc_overlord', 12.00, 24.00, 35, 'male', 'L2Monster', 'Fighter', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 2163, 128, 216, 172, 96, 146, 253, 500, 500, 79, 0, 0, 80, 140, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(238, 20260, 'Orc Champion', '', 'orc_champion', 10.00, 23.00, 14, 'male', 'L2Monster', 'Fighter', 40, 364, 2.800, 156, 1.290, 40, 43, 30, 21, 20, 20, 435, 17, 37, 75, 13, 61, 253, 500, 500, 2, 0, 0, 45, 130, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.76, 'false', 'NONE', 0, 0),
	(239, 20261, 'Orc Shaman', '', 'orc_shaman', 9.00, 22.00, 17, 'male', 'L2Monster', 'Priest', 40, 446, 3.100, 184, 1.380, 40, 43, 30, 21, 20, 20, 505, 21, 49, 84, 22, 70, 253, 0, 500, 7, 0, 0, 45, 120, 'orc_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.26, 'false', 'NONE', 0, 0),
	(240, 20265, 'Monster Eye Searcher', '', 'monster_eye', 21.00, 43.00, 22, 'male', 'L2Monster', 'Mystic', 40, 612, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 1833, 86, 78, 104, 29, 87, 253, 0, 500, 0, 0, 0, 90, 159, 'eye_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.30, 'true', 'NONE', 1, 0),
	(241, 20266, 'Monster Eye Gazer', '', 'monster_eye', 21.00, 43.00, 25, 'male', 'L2Monster', 'Mystic', 40, 728, 3.900, 288, 1.620, 40, 43, 30, 21, 20, 20, 1191, 60, 100, 118, 42, 99, 253, 0, 500, 0, 0, 0, 90, 159, 'eye_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'true', 'NONE', 1, 0),
	(242, 20267, 'Breka Orc', '', 'batur_orc', 9.00, 21.50, 31, 'male', 'L2Monster', 'Fighter', 40, 1005, 4.500, 382, 1.800, 40, 43, 30, 21, 20, 20, 1677, 94, 161, 149, 67, 126, 253, 0, 500, 215, 0, 0, 80, 130, 'orc_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(243, 20268, 'Breka Orc Archer', '', 'batur_orc_archer', 11.00, 21.50, 32, 'male', 'L2Monster', 'Ranger', 1100, 1056, 4.600, 398, 1.830, 40, 43, 30, 21, 20, 20, 2305, 130, 173, 154, 74, 130, 253, 0, 500, 275, 0, 0, 45, 130, 'orc_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.96, 'true', 'NONE', 1, 0),
	(244, 20269, 'Breka Orc Shaman', '', 'batur_orc_shaman', 11.00, 16.00, 34, 'male', 'L2Monster', 'Priest', 40, 1164, 4.800, 430, 1.890, 40, 43, 30, 21, 20, 20, 2018, 118, 202, 166, 88, 141, 253, 0, 500, 7, 0, 0, 50, 120, 'orc_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.30, 'true', 'NONE', 1, 0),
	(245, 20270, 'Breka Orc Overlord', '', 'batur_orc_overlord', 12.00, 24.00, 35, 'male', 'L2Monster', 'Fighter', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 2857, 169, 216, 172, 96, 146, 253, 500, 500, 79, 0, 0, 80, 174, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'true', 'NONE', 1, 0),
	(246, 20271, 'Breka Orc Warrior', '', 'batur_orc_warrior', 10.00, 20.00, 33, 'male', 'L2Monster', 'Fighter', 40, 1109, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 2307, 132, 187, 160, 81, 135, 253, 500, 500, 123, 20, 0, 80, 120, 'orc_clan', 300, 0, 20, 64, 7, 30, 4, 4, 0, -6, 0.30, 'true', 'NONE', 1, 0),
	(247, 20272, 'Cave Servant', '', 'skeleton', 11.00, 25.00, 46, 'male', 'L2Monster', 'Fighter', 40, 1943, 6.000, 708, 2.250, 40, 43, 30, 21, 20, 20, 3078, 218, 442, 248, 223, 210, 253, 0, 500, 79, 945, 0, 60, 140, 'cave_servant_clan', 300, 0, 20, 91, 7, 30, 4, 4, 0, -6, 0.30, 'false', 'NONE', 0, 0),
	(248, 20273, 'Cave Servant Archer', '', 'skeleton_archer', 11.00, 27.00, 47, 'male', 'L2Monster', 'Ranger', 1100, 2017, 6.100, 738, 2.280, 40, 43, 30, 21, 20, 20, 3309, 238, 469, 255, 238, 216, 253, 0, 500, 275, 0, 0, 40, 140, 'cave_servant_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.80, 'false', 'NONE', 0, 0),
	(249, 20274, 'Cave Servant Warrior', '', 'skeleton', 11.00, 25.00, 48, 'male', 'L2Monster', 'Fighter', 40, 2092, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 3351, 245, 498, 264, 254, 224, 253, 0, 500, 77, 0, 0, 60, 140, 'cave_servant_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(250, 20275, 'Cave Servant Captain', '', 'spartoi', 11.00, 27.00, 49, 'male', 'L2Monster', 'Fighter', 40, 2168, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 3562, 263, 526, 271, 271, 230, 253, 500, 500, 73, 0, 0, 60, 140, 'cave_servant_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(251, 20276, 'Royal Cave Servant', '', 'skeleton_royal_guard', 11.00, 28.50, 51, 'male', 'L2Monster', 'Fighter', 40, 2323, 6.500, 861, 2.400, 40, 43, 30, 21, 20, 20, 3783, 288, 589, 288, 308, 244, 253, 0, 500, 946, 945, 0, 80, 120, 'cave_servant_clan', 300, 0, 20, 102, 7, 10, 8, 4, 0, -6, 0.52, 'false', 'NONE', 0, 0),
	(252, 20277, 'Cave Keeper', '', 'serpent_slave', 17.00, 46.00, 58, 'male', 'L2Monster', 'Fighter', 40, 2889, 7.200, 1085, 2.610, 40, 43, 30, 21, 20, 20, 4893, 413, 851, 350, 459, 296, 253, 0, 500, 223, 0, 0, 70, 110, 'cave_servant_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(253, 20279, 'Shackle', '', 'hungry_spirit', 13.00, 40.00, 45, 'male', 'L2Monster', 'Mystic', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 2974, 206, 417, 240, 208, 204, 253, 500, 500, 0, 0, 0, 15, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(254, 20280, 'Headless Knight', '', 'headless_knight', 21.00, 31.00, 50, 'male', 'L2Monster', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 3709, 280, 558, 279, 289, 237, 253, 500, 500, 124, 0, 0, 70, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(255, 20281, 'Dustwind Gargoyle', '', 'hunter_gargoyle', 25.00, 65.00, 53, 'male', 'L2Monster', 'Fighter', 40, 2482, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 4045, 318, 656, 305, 347, 258, 253, 0, 500, 0, 0, 0, 100, 100, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(256, 20282, 'Thunder Wyrm', '', 'wyrm', 29.00, 72.00, 54, 'male', 'L2Monster', 'Fighter', 40, 2562, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 4283, 342, 692, 314, 368, 266, 253, 500, 500, 0, 0, 0, 70, 70, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.19, 'false', 'NONE', 0, 0),
	(257, 20283, 'Malruk Succubus', '', 'succubus', 10.00, 36.00, 55, 'female', 'L2Monster', 'Mystic', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 4400, 355, 730, 322, 389, 273, 253, 0, 500, 0, 0, 0, 60, 100, 'succubus_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.84, 'false', 'NONE', 0, 0),
	(258, 20284, 'Malruk Succubus Turen', '', 'succubus', 10.00, 36.00, 56, 'female', 'L2Monster', 'Mystic', 40, 2725, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 4561, 374, 769, 331, 412, 280, 253, 0, 500, 0, 0, 0, 60, 100, 'succubus_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.84, 'false', 'NONE', 0, 0),
	(259, 20285, 'Drake', '', 'drake', 30.00, 100.00, 57, 'male', 'L2Monster', 'Mystic', 40, 2807, 7.100, 1052, 2.580, 40, 43, 30, 21, 20, 20, 4820, 401, 809, 340, 435, 289, 253, 500, 500, 0, 0, 0, 70, 70, 'dragon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.84, 'false', 'NONE', 0, 0),
	(260, 20286, 'Hunter Gargoyle', '', 'hunter_gargoyle', 25.00, 65.00, 52, 'male', 'L2Monster', 'Fighter', 40, 2402, 6.600, 892, 2.430, 40, 43, 30, 21, 20, 20, 3894, 301, 622, 296, 327, 251, 253, 0, 500, 0, 0, 0, 100, 100, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(261, 20287, 'Cave Maiden', '', 'cave_maiden', 25.00, 65.00, 59, 'female', 'L2Monster', 'Fighter', 40, 2972, 7.300, 1118, 2.640, 40, 43, 30, 21, 20, 20, 5113, 437, 894, 359, 484, 305, 253, 500, 500, 68, 0, 0, 70, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(262, 20291, 'Enku Orc Champion', '', 'orc_champion', 10.00, 23.00, 21, 'male', 'L2Monster', 'Fighter', 40, 576, 3.500, 228, 1.500, 40, 43, 30, 21, 20, 20, 1113, 52, 70, 100, 31, 84, 253, 500, 500, 2, 0, 0, 45, 130, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.76, 'true', 'NONE', 1, 0),
	(263, 20292, 'Enku Orc Shaman', '', 'orc_shaman', 9.00, 22.00, 20, 'male', 'L2Monster', 'Priest', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 813, 36, 65, 96, 24, 80, 253, 0, 500, 7, 0, 0, 45, 120, 'orc_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.26, 'true', 'NONE', 1, 0),
	(264, 20293, 'Virud Lizardman', '', 'virud_lizardman', 10.00, 23.00, 20, 'male', 'L2Monster', 'Fighter', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 594, 26, 65, 96, 24, 80, 253, 0, 500, 291, 0, 0, 43, 130, 'lizardman_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(265, 20294, 'Virud Lizardman Matriarch', '', 'virud_lizardman_matriarch', 13.00, 37.00, 24, 'male', 'L2Monster', 'Fighter', 40, 688, 3.800, 273, 1.590, 40, 43, 30, 21, 20, 20, 1142, 56, 91, 113, 39, 96, 253, 500, 500, 2, 19, 0, 56, 130, 'lizardman_clan', 300, 0, 20, 49, 7, 30, 4, 4, 0, -6, 0.65, 'false', 'NONE', 0, 0),
	(266, 20295, 'Virud Lizardman Warrior', '', 'virud_lizardman_warrior', 12.00, 30.00, 22, 'male', 'L2Monster', 'Fighter', 40, 612, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 838, 40, 78, 104, 29, 87, 253, 500, 500, 16, 0, 0, 52, 130, 'lizardman_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(267, 20296, 'Virud Lizardman Scout', '', 'virud_lizardman_scout', 10.00, 22.00, 21, 'male', 'L2Monster', 'Ranger', 1100, 576, 3.500, 228, 1.500, 40, 43, 30, 21, 20, 20, 787, 36, 70, 100, 31, 84, 253, 0, 500, 2507, 0, 0, 43, 130, 'lizardman_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.72, 'false', 'NONE', 0, 0),
	(268, 20297, 'Virud Lizardman Shaman', '', 'virud_lizardman_shaman', 10.00, 29.00, 23, 'male', 'L2Monster', 'Priest', 40, 649, 3.700, 257, 1.560, 40, 43, 30, 21, 20, 20, 878, 42, 84, 108, 32, 91, 253, 0, 500, 7, 0, 0, 43, 120, 'lizardman_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(269, 20298, 'Virud Lizardman Shaman', '', 'virud_lizardman_shaman', 10.00, 29.00, 23, 'male', 'L2Monster', 'Priest', 40, 649, 3.700, 257, 1.560, 40, 43, 30, 21, 20, 20, 878, 42, 84, 108, 32, 91, 253, 0, 500, 7, 0, 0, 43, 120, 'lizardman_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(270, 20299, 'Zenta Lizardman', '', 'zenta_lizardman', 11.00, 32.00, 40, 'male', 'L2Monster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 2327, 150, 305, 205, 145, 173, 253, 0, 500, 68, 0, 0, 37, 140, 'lizardman_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(271, 20300, 'Zenta Lizardman Matriarch', '', 'zenta_lizardman_matriarch', 20.00, 40.00, 44, 'male', 'L2Monster', 'Fighter', 40, 1799, 5.800, 648, 2.190, 40, 43, 30, 21, 20, 20, 3418, 234, 392, 233, 194, 197, 253, 500, 500, 221, 0, 0, 53, 140, 'lizardman_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(272, 20301, 'Zenta Lizardman Scout', '', 'zenta_lizardman_scout', 11.00, 30.00, 41, 'male', 'L2Monster', 'Ranger', 1100, 1593, 5.500, 560, 2.100, 40, 43, 30, 21, 20, 20, 2518, 164, 324, 211, 156, 180, 253, 0, 500, 14, 0, 0, 37, 150, 'lizardman_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.93, 'false', 'NONE', 0, 0),
	(273, 20302, 'Zenta Lizardman Warrior', '', 'zenta_lizardman_warrior', 13.00, 35.00, 42, 'male', 'L2Monster', 'Fighter', 40, 1660, 5.600, 589, 2.130, 40, 43, 30, 21, 20, 20, 2617, 174, 345, 218, 168, 185, 253, 500, 500, 16, 0, 0, 40, 140, 'lizardman_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(274, 20303, 'Zenta Lizardman Shaman', '', 'zenta_lizardman_shaman', 13.00, 35.00, 43, 'male', 'L2Monster', 'Priest', 40, 1729, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 2689, 182, 369, 226, 181, 191, 253, 0, 500, 7, 0, 0, 43, 130, 'lizardman_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.63, 'false', 'NONE', 0, 0),
	(275, 20304, 'Marsh Stakato Queen', '', 'marsh_stakato_queen', 15.00, 37.00, 36, 'female', 'L2Monster', 'Fighter', 40, 1279, 5.000, 464, 1.950, 40, 43, 30, 21, 20, 20, 2288, 138, 232, 179, 105, 151, 253, 500, 500, 74, 0, 0, 130, 130, 'stakato_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'false', 'NONE', 0, 0),
	(276, 20305, 'Grave', '', 'grave', 15.00, 29.00, 40, 'male', 'L2Monster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 2350, 151, 305, 205, 145, 173, 253, 500, 500, 0, 0, 0, 70, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(277, 20307, 'Garum Werewolf', '', 'werewolf', 10.00, 26.00, 9, 'male', 'L2Monster', 'Fighter', 40, 226, 2.300, 112, 1.140, 40, 43, 30, 21, 20, 20, 321, 11, 23, 60, 11, 48, 253, 0, 500, 5, 0, 0, 50, 120, 'werewolf_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.43, 'true', 'NONE', 1, 0),
	(278, 20308, 'Hook Spider', '', 'giant_spider', 26.00, 26.50, 16, 'male', 'L2Monster', 'Mystic', 40, 418, 3.000, 175, 1.350, 40, 43, 30, 21, 20, 20, 571, 23, 45, 81, 16, 67, 253, 0, 500, 0, 0, 0, 72, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.26, 'true', 'NONE', 1, 0),
	(279, 20309, 'Brown Fox', '', 'fox', 9.50, 10.00, 2, 'male', 'L2Monster', 'Fighter', 40, 76, 1.600, 52, 0.930, 40, 43, 30, 21, 20, 20, 59, 2, 11, 45, 7, 36, 253, 0, 500, 0, 0, 0, 23, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(280, 20310, 'Brown Bear', '', 'grizzly_bi', 21.00, 50.00, 16, 'male', 'L2Monster', 'Fighter', 40, 418, 3.000, 175, 1.350, 40, 43, 30, 21, 20, 20, 577, 23, 45, 81, 16, 67, 253, 500, 500, 0, 0, 0, 40, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'true', 'NONE', 1, 0),
	(281, 20311, 'Rakeclaw Imp', '', 'imp', 10.00, 24.00, 6, 'male', 'L2Monster', 'Fighter', 40, 148, 2.000, 86, 1.050, 40, 43, 30, 21, 20, 20, 214, 6, 17, 53, 7, 43, 253, 0, 500, 0, 0, 0, 60, 80, 'demonic_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'true', 'NONE', 1, 0),
	(282, 20312, 'Rakeclaw Imp Hunter', '', 'imp', 10.00, 24.00, 7, 'male', 'L2Monster', 'Fighter', 40, 171, 2.100, 94, 1.080, 40, 43, 30, 21, 20, 20, 249, 8, 19, 55, 7, 44, 253, 0, 500, 0, 0, 0, 60, 80, 'demonic_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'true', 'NONE', 1, 0),
	(283, 20313, 'Rakeclaw Imp Chieftain', '', 'imp_bi', 10.00, 30.00, 10, 'male', 'L2Monster', 'Fighter', 40, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 363, 12, 25, 62, 8, 51, 253, 500, 500, 0, 0, 0, 60, 80, 'demonic_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'true', 'NONE', 1, 0),
	(284, 20314, 'Great White Shark', '', 'great_white_shark', 20.00, 7.00, 42, 'male', 'L2Monster', 'Fighter', 40, 1660, 5.600, 589, 2.130, 40, 43, 30, 21, 20, 20, 2617, 174, 345, 218, 168, 185, 253, 500, 500, 0, 0, 0, 80, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(285, 20316, 'Darkwing Bat', '', 'vampire_bat', 10.00, 33.50, 11, 'male', 'L2Monster', 'Mystic', 40, 293, 2.500, 129, 1.200, 40, 43, 30, 21, 20, 20, 392, 15, 28, 65, 9, 54, 253, 0, 500, 0, 0, 0, 60, 80, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'true', 'NONE', 1, 0),
	(286, 20317, 'Black Wolf', '', 'wolf', 13.00, 9.00, 4, 'male', 'L2Monster', 'Fighter', 40, 108, 1.800, 69, 0.990, 40, 43, 30, 21, 20, 20, 141, 4, 14, 48, 7, 39, 253, 0, 500, 0, 0, 0, 24, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'true', 'NONE', 1, 0),
	(287, 20318, 'Black Timber Wolf', '', 'wolf_bi', 13.00, 10.80, 6, 'male', 'L2Monster', 'Fighter', 40, 148, 2.000, 86, 1.050, 40, 43, 30, 21, 20, 20, 212, 6, 17, 53, 7, 43, 253, 0, 500, 0, 0, 0, 24, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'true', 'NONE', 1, 0),
	(288, 20319, 'Goblin Grave Robber', '', 'goblin', 10.00, 16.50, 5, 'male', 'L2Monster', 'Fighter', 40, 127, 1.900, 77, 1.020, 40, 43, 30, 21, 20, 20, 178, 5, 16, 50, 7, 41, 253, 0, 500, 4, 0, 0, 40, 110, 'goblin_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.32, 'true', 'NONE', 1, 0),
	(289, 20320, 'Goblin Tomb Raider Leader', '', 'goblin_bi', 10.00, 21.40, 12, 'male', 'L2Monster', 'Fighter', 40, 315, 2.600, 138, 1.230, 40, 43, 30, 21, 20, 20, 428, 16, 30, 68, 14, 56, 253, 0, 500, 12, 0, 0, 40, 110, 'goblin_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.32, 'true', 'NONE', 1, 0),
	(290, 20321, 'Goblin Thief', '', 'goblin_bi', 10.00, 21.40, 10, 'male', 'L2Monster', 'Fighter', 40, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 356, 12, 25, 62, 8, 51, 253, 0, 500, 217, 0, 0, 40, 110, 'goblin_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.32, 'true', 'NONE', 1, 0),
	(291, 20322, 'Goblin Brigand', '', 'goblin', 10.00, 16.50, 8, 'male', 'L2Monster', 'Fighter', 40, 197, 2.200, 103, 1.110, 40, 43, 30, 21, 20, 20, 285, 10, 21, 58, 10, 46, 253, 0, 500, 4, 0, 0, 40, 110, 'goblin_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.32, 'true', 'NONE', 1, 0),
	(292, 20323, 'Goblin Brigand Leader', '', 'goblin_bi', 10.00, 21.40, 14, 'male', 'L2Monster', 'Fighter', 40, 364, 2.800, 156, 1.290, 40, 43, 30, 21, 20, 20, 509, 20, 37, 75, 13, 61, 253, 500, 500, 217, 0, 0, 40, 110, 'goblin_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.32, 'true', 'NONE', 1, 0),
	(293, 20324, 'Goblin Brigand Lieutenant', '', 'goblin', 10.00, 16.50, 10, 'male', 'L2Monster', 'Fighter', 40, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 363, 12, 25, 62, 8, 51, 253, 500, 500, 10, 0, 0, 40, 110, 'goblin_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.32, 'true', 'NONE', 1, 0),
	(294, 20325, 'Goblin Raider', '', 'goblin', 10.00, 16.50, 5, 'male', 'L2Monster', 'Fighter', 40, 127, 1.900, 77, 1.020, 40, 43, 30, 21, 20, 20, 178, 5, 16, 50, 7, 41, 253, 0, 500, 4, 0, 0, 40, 110, 'goblin_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.32, 'true', 'NONE', 1, 0),
	(295, 20326, 'Goblin Scout', '', 'goblin', 10.00, 16.50, 8, 'male', 'L2Monster', 'Fighter', 40, 197, 2.200, 103, 1.110, 40, 43, 30, 21, 20, 20, 285, 10, 21, 58, 10, 46, 253, 0, 500, 4, 0, 0, 40, 110, 'goblin_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.32, 'true', 'NONE', 1, 0),
	(296, 20327, 'Goblin Snooper', '', 'goblin', 10.00, 16.50, 5, 'male', 'L2Monster', 'Fighter', 40, 127, 1.900, 77, 1.020, 40, 43, 30, 21, 20, 20, 178, 5, 16, 50, 7, 41, 253, 0, 500, 4, 0, 0, 40, 110, 'goblin_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.32, 'true', 'NONE', 1, 0),
	(297, 20328, 'Goblin Lookout', '', 'goblin', 10.00, 16.50, 8, 'male', 'L2Monster', 'Fighter', 40, 197, 2.200, 103, 1.110, 40, 43, 30, 21, 20, 20, 285, 10, 21, 58, 10, 46, 253, 0, 500, 12, 0, 0, 40, 110, 'goblin_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.32, 'true', 'NONE', 1, 0),
	(298, 20329, 'Ghost Guardian', '', 'human_ghost', 8.00, 22.00, 21, 'male', 'L2Monster', 'Mystic', 40, 576, 3.500, 228, 1.500, 40, 43, 30, 21, 20, 20, 772, 36, 70, 100, 31, 84, 253, 500, 500, 0, 0, 0, 80, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 1, 0),
	(299, 20330, 'Mineshaft Bat', '', 'vampire_bat', 10.00, 33.50, 11, 'male', 'L2Monster', 'Mystic', 40, 293, 2.500, 129, 1.200, 40, 43, 30, 21, 20, 20, 326, 12, 28, 65, 9, 54, 253, 0, 500, 0, 0, 0, 60, 80, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(300, 20331, 'Monster Eye Tracker', '', 'monster_eye', 21.00, 43.00, 10, 'male', 'L2Monster', 'Mystic', 40, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 297, 10, 25, 62, 8, 51, 253, 0, 500, 0, 0, 0, 90, 134, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(301, 20333, 'Greystone Golem', '', 'stone_golem', 20.00, 31.00, 13, 'male', 'L2Monster', 'Mystic', 40, 339, 2.700, 147, 1.260, 40, 43, 30, 21, 20, 20, 655, 26, 34, 71, 12, 59, 253, 0, 500, 0, 0, 0, 23, 23, 'golem', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'true', 'NONE', 1, 0),
	(302, 20334, 'Gremlin Scavenger', '', 'gremlin', 10.00, 15.00, 1, 'male', 'L2Monster', 'Fighter', 40, 63, 1.500, 44, 0.900, 40, 43, 30, 21, 20, 20, 29, 2, 9, 44, 7, 35, 253, 0, 500, 0, 0, 0, 20, 50, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(303, 20335, 'Grizzly Bear', '', 'grizzly_bi', 21.00, 50.00, 17, 'male', 'L2Monster', 'Fighter', 40, 446, 3.100, 184, 1.380, 40, 43, 30, 21, 20, 20, 600, 25, 49, 84, 22, 70, 253, 0, 500, 0, 0, 0, 40, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'true', 'NONE', 1, 0),
	(304, 20336, 'Green Dryad', '', 'dryad_sm', 6.00, 15.00, 8, 'female', 'L2Monster', 'Fighter', 40, 197, 2.200, 103, 1.110, 40, 43, 30, 21, 20, 20, 285, 10, 21, 58, 10, 46, 253, 0, 500, 0, 0, 0, 40, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(305, 20337, 'Longtail Fox', '', 'fox', 9.50, 10.00, 2, 'male', 'L2Monster', 'Fighter', 40, 76, 1.600, 52, 0.930, 40, 43, 30, 21, 20, 20, 59, 2, 11, 45, 7, 36, 253, 0, 500, 0, 0, 0, 23, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(306, 20338, 'Nightmare Weaver', '', 'magical_weaver', 11.00, 20.00, 21, 'male', 'L2Monster', 'Mystic', 40, 576, 3.500, 228, 1.500, 40, 43, 30, 21, 20, 20, 849, 40, 70, 100, 31, 84, 253, 500, 500, 0, 0, 0, 90, 90, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 1, 0),
	(307, 20340, 'Slave Skeleton', '', 'skeleton', 11.00, 25.00, 12, 'male', 'L2Monster', 'Fighter', 40, 315, 2.600, 138, 1.230, 40, 43, 30, 21, 20, 20, 363, 13, 30, 68, 14, 56, 253, 500, 500, 946, 0, 0, 60, 140, 'skeleton_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(308, 20341, 'Undead Slave', '', 'zombie', 13.00, 21.00, 19, 'male', 'L2Monster', 'Mystic', 40, 508, 3.300, 203, 1.440, 40, 43, 30, 21, 20, 20, 799, 36, 59, 91, 26, 77, 253, 0, 500, 0, 0, 0, 15, 15, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 1, 0),
	(309, 20342, 'Werewolf Chieftain', '', 'werewolf_bi', 11.00, 29.70, 12, 'male', 'L2Monster', 'Fighter', 40, 315, 2.600, 138, 1.230, 40, 43, 30, 21, 20, 20, 436, 16, 30, 68, 14, 56, 253, 500, 500, 5, 0, 0, 50, 120, 'werewolf_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.43, 'true', 'NONE', 1, 0),
	(310, 20343, 'Werewolf Hunter', '', 'werewolf', 10.00, 26.00, 10, 'male', 'L2Monster', 'Fighter', 40, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 363, 12, 25, 62, 8, 51, 253, 500, 500, 5, 0, 0, 50, 120, 'werewolf_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.43, 'true', 'NONE', 1, 0),
	(311, 20345, 'Dark Terror', '', 'dark_horror', 20.00, 35.00, 16, 'male', 'L2Monster', 'Fighter', 40, 418, 3.000, 175, 1.350, 40, 43, 30, 21, 20, 20, 534, 22, 45, 81, 16, 67, 253, 500, 500, 0, 0, 0, 100, 100, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(312, 20346, 'Darkstone Golem', '', 'stone_golem', 20.00, 31.00, 13, 'male', 'L2Monster', 'Mystic', 40, 339, 2.700, 147, 1.260, 40, 43, 30, 21, 20, 20, 545, 21, 34, 71, 12, 59, 253, 0, 500, 0, 0, 0, 23, 23, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'false', 'NONE', 1, 0),
	(313, 20347, 'Doom Wraith', '', 'death_blader', 15.00, 45.00, 55, 'male', 'L2Monster', 'Fighter', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 4488, 362, 730, 322, 389, 273, 253, 500, 500, 1472, 0, 0, 100, 174, 'undead_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(314, 20348, 'Cave Spider', '', 'giant_spider', 26.00, 26.50, 15, 'male', 'L2Monster', 'Mystic', 40, 390, 2.900, 166, 1.320, 40, 43, 30, 21, 20, 20, 445, 18, 41, 78, 19, 64, 253, 0, 500, 0, 0, 0, 72, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.26, 'false', 'NONE', 1, 0),
	(315, 20349, 'Cave Bat', '', 'vampire_bat', 10.00, 33.50, 13, 'male', 'L2Monster', 'NightAgressionMystic', 40, 339, 2.700, 147, 1.260, 40, 43, 30, 21, 20, 20, 386, 15, 34, 71, 12, 59, 253, 0, 500, 0, 0, 0, 60, 80, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(316, 20350, 'Cave Fang Spider', '', 'giant_spider', 26.00, 26.50, 16, 'male', 'L2Monster', 'Mystic', 40, 418, 3.000, 175, 1.350, 40, 43, 30, 21, 20, 20, 485, 20, 45, 81, 16, 67, 253, 500, 500, 0, 0, 0, 72, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.26, 'false', 'NONE', 1, 0),
	(317, 20351, 'Dre Vanul Tracker', '', 'dre_vanul', 14.00, 36.00, 20, 'male', 'L2Monster', 'Fighter', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 606, 27, 65, 96, 24, 80, 253, 500, 500, 0, 0, 0, 80, 80, 'demonic_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.35, 'false', 'NONE', 1, 0),
	(318, 20352, 'Dre Vanul Slayer', '', 'dre_vanul', 14.00, 36.00, 22, 'male', 'L2Monster', 'Fighter', 40, 612, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 921, 43, 78, 104, 29, 87, 253, 500, 500, 0, 0, 0, 80, 80, 'demonic_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.35, 'false', 'NONE', 0, 0),
	(319, 20353, 'Dre Vanul Beholder', '', 'dre_vanul', 14.00, 36.00, 21, 'male', 'L2Monster', 'Fighter', 40, 576, 3.500, 228, 1.500, 40, 43, 30, 21, 20, 20, 780, 36, 70, 100, 31, 84, 253, 500, 500, 0, 0, 0, 80, 80, 'demonic_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.35, 'false', 'NONE', 1, 0),
	(320, 20354, 'Dwarf Ghost', '', 'dwarf_ghost', 9.00, 16.50, 20, 'male', 'L2Monster', 'Mystic', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 606, 27, 65, 96, 24, 80, 253, 500, 500, 0, 0, 0, 80, 140, 'ghost_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(321, 20356, 'Langk Lizardman Leader', '', 'virud_lizardman_warrior_bi', 12.00, 34.50, 25, 'male', 'L2Monster', 'Fighter', 40, 728, 3.900, 288, 1.620, 40, 43, 30, 21, 20, 20, 1215, 61, 100, 118, 42, 99, 253, 500, 500, 16, 0, 0, 52, 130, 'lizardman_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'true', 'NONE', 1, 0),
	(322, 20357, 'Langk Lizardman Lieutenant', '', 'virud_lizardman_warrior', 12.00, 30.00, 22, 'male', 'L2Monster', 'Fighter', 40, 612, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 986, 47, 78, 104, 29, 87, 253, 0, 500, 16, 0, 0, 52, 130, 'lizardman_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'true', 'NONE', 1, 0),
	(323, 20358, 'Ratman Hunter', '', 'wererat', 14.00, 25.00, 18, 'male', 'L2Monster', 'Fighter', 40, 477, 3.200, 194, 1.410, 40, 43, 30, 21, 20, 20, 640, 28, 54, 88, 20, 74, 253, 0, 500, 11, 0, 0, 80, 120, 'wererat_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.61, 'true', 'NONE', 1, 0),
	(324, 20359, 'Ratman Warrior', '', 'wererat', 14.00, 25.00, 19, 'male', 'L2Monster', 'Fighter', 40, 508, 3.300, 203, 1.440, 40, 43, 30, 21, 20, 20, 678, 30, 59, 91, 26, 77, 253, 0, 500, 2, 0, 0, 80, 120, 'wererat_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'true', 'NONE', 1, 0),
	(325, 20360, 'Ratman Spy', '', 'wererat_sm', 14.00, 18.70, 16, 'male', 'L2Monster', 'Fighter', 40, 418, 3.000, 175, 1.350, 40, 43, 30, 21, 20, 20, 571, 23, 45, 81, 16, 67, 253, 0, 500, 12, 0, 0, 80, 120, 'wererat_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.61, 'true', 'NONE', 1, 0),
	(326, 20361, 'Tunath Orc Marksman', '', 'orc_archer', 14.00, 25.00, 10, 'male', 'L2Monster', 'Ranger', 1100, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 306, 10, 25, 62, 8, 51, 253, 0, 500, 14, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.80, 'false', 'NONE', 1, 0),
	(327, 20362, 'Tunath Orc Warrior', '', 'orc_fighter', 12.00, 22.00, 12, 'male', 'L2Monster', 'Fighter', 40, 315, 2.600, 138, 1.230, 40, 43, 30, 21, 20, 20, 363, 13, 30, 68, 14, 56, 253, 500, 500, 2, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(328, 20363, 'Maraku Werewolf', '', 'werewolf', 10.00, 26.00, 9, 'male', 'L2Monster', 'Fighter', 40, 226, 2.300, 112, 1.140, 40, 43, 30, 21, 20, 20, 321, 11, 23, 60, 11, 48, 253, 0, 500, 0, 0, 0, 50, 120, 'werewolf_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'true', 'NONE', 1, 0),
	(329, 20364, 'Maraku Werewolf Chieftain', '', 'werewolf_bi', 11.00, 29.70, 14, 'male', 'L2Monster', 'Fighter', 40, 364, 2.800, 156, 1.290, 40, 43, 30, 21, 20, 20, 509, 20, 37, 75, 13, 61, 253, 500, 500, 217, 0, 0, 50, 120, 'werewolf_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.43, 'true', 'NONE', 1, 0),
	(330, 20365, 'Mountain Fungus', '', 'walking_fungus', 15.00, 22.50, 8, 'male', 'L2Monster', 'Fighter', 40, 197, 2.200, 103, 1.110, 40, 43, 30, 21, 20, 20, 285, 10, 21, 58, 10, 46, 253, 0, 500, 0, 0, 0, 70, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'true', 'NONE', 1, 0),
	(331, 20367, 'Merkenis Escort', '', 'spartoi', 11.00, 27.00, 20, 'male', 'L2Minion', 'Fighter', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 606, 27, 65, 96, 24, 80, 253, 500, 500, 68, 0, 0, 60, 140, 'skeleton_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(332, 20368, 'Grave Keeper', '', 'stone_golem', 20.00, 31.00, 13, 'male', 'L2Monster', 'Mystic', 40, 339, 2.700, 147, 1.260, 40, 43, 30, 21, 20, 20, 545, 21, 34, 71, 12, 59, 253, 0, 500, 0, 0, 0, 23, 23, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'false', 'NONE', 1, 0),
	(333, 20369, 'Moonstone Beast', '', 'onyx_beast', 14.00, 14.50, 17, 'male', 'L2Monster', 'Fighter', 40, 446, 3.100, 184, 1.380, 40, 43, 30, 21, 20, 20, 600, 25, 49, 84, 22, 70, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.24, 'true', 'NONE', 1, 0),
	(334, 20370, 'Barbed Bat', '', 'vampire_bat', 10.00, 33.50, 12, 'male', 'L2Monster', 'Mystic', 40, 315, 2.600, 138, 1.230, 40, 43, 30, 21, 20, 20, 428, 16, 30, 68, 14, 56, 253, 0, 500, 0, 0, 0, 60, 80, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'true', 'NONE', 1, 0),
	(335, 20371, 'Mist Terror', '', 'dark_horror', 20.00, 35.00, 15, 'male', 'L2Monster', 'Fighter', 40, 390, 2.900, 166, 1.320, 40, 43, 30, 21, 20, 20, 454, 19, 41, 78, 19, 64, 253, 500, 500, 0, 0, 0, 100, 100, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(336, 20372, 'Baraq Orc Fighter', '', 'orc_fighter', 12.00, 22.00, 10, 'male', 'L2Monster', 'Fighter', 40, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 303, 10, 25, 62, 8, 51, 253, 500, 500, 2, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(337, 20373, 'Baraq Orc Warrior Leader', '', 'orc_fighter', 12.00, 22.00, 11, 'male', 'L2Monster', 'Fighter', 40, 293, 2.500, 129, 1.200, 40, 43, 30, 21, 20, 20, 326, 12, 28, 65, 9, 54, 253, 0, 500, 2, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(338, 20374, 'Baranka\'s Guard', '', 'spartoi', 11.00, 27.00, 22, 'male', 'L2Minion', 'Fighter', 40, 612, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 1093, 52, 78, 104, 29, 87, 253, 500, 500, 68, 0, 0, 60, 140, 'skeleton_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(339, 20375, 'Baranka\'s Escort', '', 'spartoi', 11.00, 27.00, 21, 'male', 'L2Minion', 'Fighter', 40, 576, 3.500, 228, 1.500, 40, 43, 30, 21, 20, 20, 780, 36, 70, 100, 31, 84, 253, 500, 500, 946, 0, 0, 60, 140, 'skeleton_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(340, 20376, 'Varikan Brigand Leader', '', 'goblin_bi', 10.00, 21.40, 10, 'male', 'L2Monster', 'Fighter', 40, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 1007, 34, 25, 62, 8, 51, 253, 500, 500, 12, 0, 0, 40, 110, 'goblin_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.32, 'false', 'NONE', 0, 0),
	(341, 20377, 'Varika\'s Bandit', '', 'goblin', 10.00, 16.50, 7, 'male', 'L2Minion', 'Fighter', 40, 171, 2.100, 94, 1.080, 40, 43, 30, 21, 20, 20, 167, 6, 19, 55, 7, 44, 253, 0, 500, 0, 0, 0, 40, 110, 'goblin_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.32, 'false', 'NONE', 0, 0),
	(342, 20378, 'Stone Giant', '', 'stone_golem', 20.00, 31.00, 13, 'male', 'L2Monster', 'Mystic', 40, 339, 2.700, 147, 1.260, 40, 43, 30, 21, 20, 20, 545, 21, 34, 71, 12, 59, 253, 0, 500, 0, 0, 0, 23, 23, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.41, 'false', 'NONE', 1, 0),
	(343, 20379, 'Stone Soldier', '', 'stone_golem', 20.00, 31.00, 14, 'male', 'L2Monster', 'Mystic', 40, 364, 2.800, 156, 1.290, 40, 43, 30, 21, 20, 20, 705, 27, 37, 75, 13, 61, 253, 0, 500, 0, 0, 0, 23, 23, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'true', 'NONE', 1, 0),
	(344, 20380, 'Stone Guardian', '', 'stone_golem', 20.00, 31.00, 16, 'male', 'L2Monster', 'Mystic', 40, 418, 3.000, 175, 1.350, 40, 43, 30, 21, 20, 20, 807, 33, 45, 81, 16, 67, 253, 0, 500, 0, 0, 0, 23, 23, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'true', 'NONE', 1, 0),
	(345, 20381, 'Vaiss Orc', '', 'orc', 10.00, 21.00, 10, 'male', 'L2Monster', 'Fighter', 40, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 297, 10, 25, 62, 8, 51, 253, 0, 500, 156, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(346, 20382, 'Vaiss Orc Warrior Leader', '', 'orc_fighter', 12.00, 22.00, 11, 'male', 'L2Monster', 'Fighter', 40, 293, 2.500, 129, 1.200, 40, 43, 30, 21, 20, 20, 326, 12, 28, 65, 9, 54, 253, 0, 500, 2, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(347, 20383, 'Arachnid Hunter', '', 'binding', 12.00, 21.00, 30, 'male', 'L2Monster', 'Fighter', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 1469, 80, 149, 143, 62, 121, 253, 500, 500, 0, 0, 0, 10, 140, 'undead_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(348, 20385, 'Balor Orc Archer', '', 'orc_archer', 14.00, 25.00, 8, 'male', 'L2Monster', 'Ranger', 1100, 197, 2.200, 103, 1.110, 40, 43, 30, 21, 20, 20, 293, 10, 21, 58, 10, 46, 253, 0, 500, 14, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.80, 'true', 'NONE', 1, 0),
	(349, 20386, 'Balor Orc Fighter', '', 'orc_fighter', 12.00, 22.00, 10, 'male', 'L2Monster', 'Fighter', 40, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 363, 12, 25, 62, 8, 51, 253, 500, 500, 2, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(350, 20387, 'Balor Orc Fighter Leader', '', 'orc_fighter', 12.00, 22.00, 12, 'male', 'L2Monster', 'Fighter', 40, 315, 2.600, 138, 1.230, 40, 43, 30, 21, 20, 20, 436, 16, 30, 68, 14, 56, 253, 500, 500, 2, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(351, 20388, 'Balor Orc Lieutenant', '', 'orc_fighter', 12.00, 22.00, 11, 'male', 'L2Monster', 'Fighter', 40, 293, 2.500, 129, 1.200, 40, 43, 30, 21, 20, 20, 392, 15, 28, 65, 9, 54, 253, 0, 500, 2, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(352, 20389, 'Boogle Ratman', '', 'wererat', 14.00, 25.00, 16, 'male', 'L2Monster', 'Fighter', 40, 418, 3.000, 175, 1.350, 40, 43, 30, 21, 20, 20, 476, 19, 45, 81, 16, 67, 253, 0, 500, 12, 0, 0, 80, 120, 'wererat_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(353, 20390, 'Boogle Ratman Leader', '', 'wererat', 14.00, 25.00, 18, 'male', 'L2Monster', 'Fighter', 40, 477, 3.200, 194, 1.410, 40, 43, 30, 21, 20, 20, 533, 23, 54, 88, 20, 74, 253, 0, 500, 12, 0, 0, 80, 120, 'wererat_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(354, 20391, 'Red Fox', '', 'fox', 9.50, 10.00, 2, 'male', 'L2Monster', 'Fighter', 40, 76, 1.600, 52, 0.930, 40, 43, 30, 21, 20, 20, 59, 2, 11, 45, 7, 36, 253, 0, 500, 0, 0, 0, 23, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(355, 20392, 'Redeye Bat', '', 'vampire_bat_bi', 10.00, 42.00, 15, 'male', 'L2Monster', 'Mystic', 40, 390, 2.900, 166, 1.320, 40, 43, 30, 21, 20, 20, 534, 22, 41, 78, 19, 64, 253, 0, 500, 0, 0, 0, 60, 80, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'true', 'NONE', 1, 0),
	(356, 20393, 'Red Scavenger Spider', '', 'giant_spider', 26.00, 26.50, 16, 'male', 'L2Monster', 'Fighter', 40, 418, 3.000, 175, 1.350, 40, 43, 30, 21, 20, 20, 571, 23, 45, 81, 16, 67, 253, 0, 500, 0, 0, 0, 72, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.26, 'true', 'NONE', 1, 0),
	(357, 20394, 'Crimson Tarantula', '', 'giant_spider', 26.00, 26.50, 15, 'male', 'L2Monster', 'Mystic', 40, 390, 2.900, 166, 1.320, 40, 43, 30, 21, 20, 20, 450, 18, 41, 78, 19, 64, 253, 500, 500, 0, 0, 0, 72, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.26, 'false', 'NONE', 0, 0),
	(358, 20398, 'Vrykolakas', '', 'werewolf_bi', 11.00, 29.70, 15, 'male', 'L2Monster', 'Fighter', 40, 390, 2.900, 166, 1.320, 40, 43, 30, 21, 20, 20, 1386, 57, 41, 78, 19, 64, 253, 500, 500, 0, 0, 0, 50, 120, 'werewolf_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(359, 20399, 'Vrykolakas Wolfkin', '', 'wolf_bi', 13.00, 10.80, 9, 'male', 'L2Minion', 'Fighter', 40, 226, 2.300, 112, 1.140, 40, 43, 30, 21, 20, 20, 177, 6, 23, 60, 11, 48, 253, 0, 500, 0, 0, 0, 24, 110, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(360, 20400, 'Blood Fungus', '', 'walking_fungus', 15.00, 22.50, 12, 'male', 'L2Monster', 'Fighter', 40, 315, 2.600, 138, 1.230, 40, 43, 30, 21, 20, 20, 428, 16, 30, 68, 14, 56, 253, 0, 500, 0, 0, 0, 70, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'true', 'NONE', 1, 0),
	(361, 20401, 'Veelan Bugbear', '', 'bugbear', 17.00, 35.00, 23, 'male', 'L2Monster', 'Fighter', 40, 649, 3.700, 257, 1.560, 40, 43, 30, 21, 20, 20, 1054, 50, 84, 108, 32, 91, 253, 0, 500, 156, 0, 0, 55, 130, 'bugbear_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.28, 'true', 'NONE', 1, 0),
	(362, 20402, 'Veelan Bugbear Warrior', '', 'bugbear', 17.00, 35.00, 24, 'male', 'L2Monster', 'Fighter', 40, 688, 3.800, 273, 1.590, 40, 43, 30, 21, 20, 20, 1145, 56, 91, 113, 39, 96, 253, 500, 500, 88, 0, 0, 55, 130, 'bugbear_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.28, 'true', 'NONE', 1, 0),
	(363, 20403, 'Hunter Tarantula', '', 'giant_spider', 26.00, 26.50, 16, 'male', 'L2Monster', 'Fighter', 40, 418, 3.000, 175, 1.350, 40, 43, 30, 21, 20, 20, 571, 23, 45, 81, 16, 67, 253, 0, 500, 0, 0, 0, 72, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.26, 'true', 'NONE', 1, 0),
	(364, 20404, 'Silent Horror', '', 'dark_horror', 20.00, 35.00, 16, 'male', 'L2Monster', 'Fighter', 40, 418, 3.000, 175, 1.350, 40, 43, 30, 21, 20, 20, 485, 20, 45, 81, 16, 67, 253, 500, 500, 0, 0, 0, 100, 100, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(365, 20405, 'Young Brown Fox', '', 'fox', 9.50, 10.00, 1, 'male', 'L2Monster', 'Fighter', 40, 63, 1.500, 44, 0.900, 40, 43, 30, 21, 20, 20, 29, 2, 9, 44, 7, 35, 253, 0, 500, 0, 0, 0, 23, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(366, 20406, 'Young Red Fox', '', 'fox', 9.50, 10.00, 1, 'male', 'L2Monster', 'Fighter', 40, 63, 1.500, 44, 0.900, 40, 43, 30, 21, 20, 20, 29, 2, 9, 44, 7, 35, 253, 0, 500, 0, 0, 0, 23, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(367, 20407, 'Young Crimson Fox', '', 'fox', 9.50, 10.00, 1, 'male', 'L2Monster', 'Fighter', 40, 63, 1.500, 44, 0.900, 40, 43, 30, 21, 20, 20, 29, 2, 9, 44, 7, 35, 253, 0, 500, 0, 0, 0, 23, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(368, 20410, 'Scavenger Spider', '', 'giant_spider', 26.00, 26.50, 15, 'male', 'L2Monster', 'Fighter', 40, 390, 2.900, 166, 1.320, 40, 43, 30, 21, 20, 20, 545, 22, 41, 78, 19, 64, 253, 500, 500, 0, 0, 0, 72, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.26, 'true', 'NONE', 1, 0),
	(369, 20411, 'Scavenger Bat', '', 'vampire_bat', 10.00, 33.50, 18, 'male', 'L2Monster', 'Fighter', 40, 477, 3.200, 194, 1.410, 40, 43, 30, 21, 20, 20, 640, 28, 54, 88, 20, 74, 253, 0, 500, 0, 0, 0, 60, 80, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'true', 'NONE', 1, 0),
	(370, 20412, 'Susceptor', '', 'susceptor', 20.00, 35.00, 49, 'male', 'L2Monster', 'Fighter', 40, 2168, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 3492, 258, 526, 271, 271, 230, 253, 500, 500, 0, 0, 0, 27, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(371, 20415, 'Scarlet Salamander', '', 'salamander', 16.00, 6.80, 17, 'male', 'L2Monster', 'Fighter', 40, 446, 3.100, 184, 1.380, 40, 43, 30, 21, 20, 20, 555, 23, 49, 84, 22, 70, 253, 0, 500, 0, 0, 0, 64, 96, 'elemental3_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.20, 'false', 'NONE', 1, 0),
	(372, 20416, 'Scarlet Salamander Elder', '', 'salamander', 16.00, 6.80, 18, 'male', 'L2Monster', 'Fighter', 40, 477, 3.200, 194, 1.410, 40, 43, 30, 21, 20, 20, 587, 26, 54, 88, 20, 74, 253, 0, 500, 0, 0, 0, 64, 96, 'elemental3_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.20, 'false', 'NONE', 1, 0),
	(373, 20418, 'Crystalline Beast', '', 'onyx_beast', 14.00, 14.50, 18, 'male', 'L2Monster', 'Fighter', 40, 477, 3.200, 194, 1.410, 40, 43, 30, 21, 20, 20, 634, 28, 54, 88, 20, 74, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.24, 'true', 'NONE', 1, 0),
	(374, 20419, 'Akaste Succubus', '', 'succubus', 10.00, 36.00, 20, 'female', 'L2Monster', 'Mystic', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 606, 27, 65, 96, 24, 80, 253, 500, 500, 0, 0, 0, 60, 100, 'succubus_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.84, 'false', 'NONE', 0, 0),
	(375, 20420, 'Akaste Succubus Turen', '', 'succubus', 10.00, 36.00, 21, 'female', 'L2Monster', 'Mystic', 40, 576, 3.500, 228, 1.500, 40, 43, 30, 21, 20, 20, 780, 36, 70, 100, 31, 84, 253, 500, 500, 0, 0, 0, 60, 100, 'succubus_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.84, 'false', 'NONE', 1, 0),
	(376, 20421, 'Akaste Succubus Tilfo', '', 'succubus_bi', 10.00, 43.20, 22, 'female', 'L2Monster', 'Mystic', 40, 612, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 838, 40, 78, 104, 29, 87, 253, 500, 500, 0, 0, 0, 60, 100, 'succubus_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.84, 'false', 'NONE', 1, 0),
	(377, 20422, 'Akaste Bone Warlord', '', 'skeleton', 11.00, 25.00, 17, 'male', 'L2Monster', 'Fighter', 40, 446, 3.100, 184, 1.380, 40, 43, 30, 21, 20, 20, 613, 26, 49, 84, 22, 70, 253, 500, 500, 2, 18, 0, 60, 140, 'skeleton_clan', 300, 0, 20, 39, 7, 30, 4, 4, 0, -6, 0.30, 'false', 'NONE', 1, 0),
	(378, 20423, 'Akaste Bone Archer', '', 'skeleton_archer', 11.00, 27.00, 14, 'male', 'L2Monster', 'Ranger', 1100, 364, 2.800, 156, 1.290, 40, 43, 30, 21, 20, 20, 428, 17, 37, 75, 13, 61, 253, 0, 500, 275, 0, 0, 40, 140, 'skeleton_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.80, 'false', 'NONE', 1, 0),
	(379, 20424, 'Akaste Bone Lord', '', 'skeleton', 11.00, 25.00, 19, 'male', 'L2Monster', 'Fighter', 40, 508, 3.300, 203, 1.440, 40, 43, 30, 21, 20, 20, 592, 26, 59, 91, 26, 77, 253, 500, 500, 68, 19, 0, 60, 140, 'skeleton_clan', 300, 0, 20, 42, 7, 30, 4, 4, 0, -6, 0.30, 'false', 'NONE', 1, 0),
	(380, 20425, 'Akaste Bone Soldier', '', 'skeleton', 11.00, 25.00, 12, 'male', 'L2Monster', 'Fighter', 40, 315, 2.600, 138, 1.230, 40, 43, 30, 21, 20, 20, 363, 13, 30, 68, 14, 56, 253, 500, 500, 946, 0, 0, 60, 140, 'skeleton_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(381, 20426, 'Evil Eye', '', 'monster_eye', 21.00, 43.00, 10, 'male', 'L2Monster', 'Mystic', 40, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 356, 12, 25, 62, 8, 51, 253, 0, 500, 0, 0, 0, 90, 134, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'true', 'NONE', 1, 0),
	(382, 20427, 'Evil Eye Watcher', '', 'monster_eye', 21.00, 43.00, 10, 'male', 'L2Monster', 'Mystic', 40, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 297, 10, 25, 62, 8, 51, 253, 0, 500, 0, 0, 0, 90, 134, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(383, 20428, 'Evil Eye Patroller', '', 'monster_eye', 21.00, 43.00, 14, 'male', 'L2Monster', 'Mystic', 40, 364, 2.800, 156, 1.290, 40, 43, 30, 21, 20, 20, 499, 19, 37, 75, 13, 61, 253, 0, 500, 0, 0, 0, 90, 134, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'true', 'NONE', 1, 0),
	(384, 20429, 'Evil Eye Lookout', '', 'monster_eye', 21.00, 43.00, 14, 'male', 'L2Monster', 'Mystic', 40, 364, 2.800, 156, 1.290, 40, 43, 30, 21, 20, 20, 416, 16, 37, 75, 13, 61, 253, 0, 500, 0, 0, 0, 90, 134, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(385, 20431, 'Elf Ghost', '', 'elf_ghost', 7.00, 21.00, 20, 'male', 'L2Monster', 'Mystic', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 606, 27, 65, 96, 24, 80, 253, 500, 500, 0, 0, 0, 80, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'false', 'NONE', 0, 0),
	(386, 20432, 'Elpy', '', 'elpy', 5.00, 4.50, 1, 'male', 'L2Monster', 'Elpy', 40, 63, 1.500, 44, 0.900, 40, 43, 30, 21, 20, 20, 35, 2, 9, 44, 7, 35, 253, 0, 500, 0, 0, 0, 50, 80, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 1, 0),
	(387, 20433, 'Festering Bat', '', 'vampire_bat', 10.00, 33.50, 13, 'male', 'L2Monster', 'NightAgressionMystic', 40, 339, 2.700, 147, 1.260, 40, 43, 30, 21, 20, 20, 463, 18, 34, 71, 12, 59, 253, 500, 500, 0, 0, 0, 60, 80, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'true', 'NONE', 1, 0),
	(388, 20435, 'Opal Beast', '', 'onyx_beast', 14.00, 14.50, 15, 'male', 'L2Monster', 'Fighter', 40, 390, 2.900, 166, 1.320, 40, 43, 30, 21, 20, 20, 450, 18, 41, 78, 19, 64, 253, 500, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.24, 'false', 'NONE', 1, 0),
	(389, 20436, 'Ol Mahum Supplier', '', 'ol_mahum_bi', 13.50, 29.20, 23, 'male', 'L2Monster', 'Fighter', 40, 649, 3.700, 257, 1.560, 40, 43, 30, 21, 20, 20, 1054, 50, 84, 108, 32, 91, 253, 0, 500, 2, 19, 0, 50, 110, 'ol_mahum_clan', 300, 0, 20, 47, 7, 30, 4, 4, 0, -6, 0.46, 'true', 'NONE', 1, 0),
	(390, 20437, 'Ol Mahum Recruit', '', 'ol_mahum', 13.50, 25.00, 21, 'male', 'L2Monster', 'Fighter', 40, 576, 3.500, 228, 1.500, 40, 43, 30, 21, 20, 20, 917, 42, 70, 100, 31, 84, 253, 0, 500, 68, 19, 0, 50, 110, 'ol_mahum_clan', 300, 0, 20, 44, 7, 30, 4, 4, 0, -6, 0.46, 'true', 'NONE', 1, 0),
	(391, 20438, 'Ol Mahum General', '', 'ol_mahum_champion', 14.00, 27.00, 26, 'male', 'L2Monster', 'OlMahumGeneral', 40, 770, 4.000, 303, 1.650, 40, 43, 30, 21, 20, 20, 1294, 65, 108, 123, 46, 103, 253, 500, 500, 67, 102, 0, 50, 110, 'ol_mahum_clan', 300, 0, 20, 52, 7, 30, 4, 4, 0, -6, 0.63, 'true', 'NONE', 1, 0),
	(392, 20439, 'Ol Mahum Officer', '', 'ol_mahum', 13.50, 25.00, 24, 'male', 'L2Monster', 'Fighter', 40, 688, 3.800, 273, 1.590, 40, 43, 30, 21, 20, 20, 1123, 55, 91, 113, 39, 96, 253, 0, 500, 66, 0, 0, 50, 110, 'ol_mahum_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(393, 20440, 'Elder Brown Fox', '', 'fox', 9.50, 10.00, 3, 'male', 'L2Monster', 'Fighter', 40, 91, 1.700, 61, 0.960, 40, 43, 30, 21, 20, 20, 88, 2, 13, 47, 7, 38, 253, 0, 500, 0, 0, 0, 23, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(394, 20441, 'Elder Longtail Fox', '', 'fox', 9.50, 10.00, 3, 'male', 'L2Monster', 'Fighter', 40, 91, 1.700, 61, 0.960, 40, 43, 30, 21, 20, 20, 88, 2, 13, 47, 7, 38, 253, 0, 500, 0, 0, 0, 23, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(395, 20442, 'Elder Wolf', '', 'wolf', 13.00, 9.00, 5, 'male', 'L2Monster', 'Fighter', 40, 127, 1.900, 77, 1.020, 40, 43, 30, 21, 20, 20, 176, 5, 16, 50, 7, 41, 253, 0, 500, 0, 0, 0, 24, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'true', 'NONE', 1, 0),
	(396, 20443, 'Elder Red Fox', '', 'fox', 9.50, 10.00, 3, 'male', 'L2Monster', 'Fighter', 40, 91, 1.700, 61, 0.960, 40, 43, 30, 21, 20, 20, 88, 2, 13, 47, 7, 38, 253, 0, 500, 0, 0, 0, 23, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(397, 20444, 'Elder Prairie Fox', '', 'fox', 9.50, 10.00, 3, 'male', 'L2Monster', 'Fighter', 40, 91, 1.700, 61, 0.960, 40, 43, 30, 21, 20, 20, 88, 2, 13, 47, 7, 38, 253, 0, 500, 0, 0, 0, 23, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(398, 20445, 'Uthanka Pirate', '', 'orc', 10.00, 21.00, 7, 'male', 'L2Monster', 'Fighter', 40, 171, 2.100, 94, 1.080, 40, 43, 30, 21, 20, 20, 154, 5, 19, 55, 7, 44, 253, 0, 500, 3, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(399, 20446, 'Utuku Orc', '', 'orc', 10.00, 21.00, 6, 'male', 'L2Monster', 'Fighter', 40, 148, 2.000, 86, 1.050, 40, 43, 30, 21, 20, 20, 214, 6, 17, 53, 7, 43, 253, 0, 333, 156, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(400, 20447, 'Utuku Orc Archer', '', 'orc_archer', 14.00, 25.00, 8, 'male', 'L2Monster', 'Ranger', 1100, 197, 2.200, 103, 1.110, 40, 43, 30, 21, 20, 20, 293, 10, 21, 58, 10, 46, 253, 0, 500, 14, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.80, 'true', 'NONE', 1, 0),
	(401, 20448, 'Utuku Orc Grunt', '', 'orc', 10.00, 21.00, 7, 'male', 'L2Monster', 'Fighter', 40, 171, 2.100, 94, 1.080, 40, 43, 30, 21, 20, 20, 249, 8, 19, 55, 7, 44, 253, 0, 500, 3, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(402, 20449, 'Will-O-Wisp', '', 'will_o_wisp', 13.00, 22.00, 15, 'male', 'L2Monster', 'Mystic', 40, 390, 2.900, 166, 1.320, 40, 43, 30, 21, 20, 20, 533, 22, 41, 78, 19, 64, 253, 0, 500, 0, 0, 0, 80, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.10, 'false', 'NONE', 1, 0),
	(403, 20450, 'Relic Werewolf', '', 'werewolf', 10.00, 26.00, 9, 'male', 'L2Monster', 'Fighter', 40, 226, 2.300, 112, 1.140, 40, 43, 30, 21, 20, 20, 268, 9, 23, 60, 11, 48, 253, 0, 500, 0, 0, 0, 50, 120, 'werewolf_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.43, 'false', 'NONE', 1, 0),
	(404, 20451, 'Relic Spartoi', '', 'spartoi', 11.00, 27.00, 21, 'male', 'L2Monster', 'Fighter', 40, 576, 3.500, 228, 1.500, 40, 43, 30, 21, 20, 20, 1422, 65, 70, 100, 31, 84, 253, 0, 500, 68, 0, 0, 60, 140, 'skeleton_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(405, 20453, 'Human Ghost', '', 'human_ghost', 8.00, 22.00, 20, 'male', 'L2Monster', 'Mystic', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 606, 27, 65, 96, 24, 80, 253, 500, 500, 0, 0, 0, 80, 140, 'ghost_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(406, 20454, 'Oblivion Watcher', '', 'monster_eye', 21.00, 43.00, 17, 'male', 'L2Monster', 'Mystic', 40, 446, 3.100, 184, 1.380, 40, 43, 30, 21, 20, 20, 227, 10, 49, 84, 22, 70, 253, 0, 500, 0, 0, 0, 90, 90, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(407, 20455, 'Doom Soldier', '', 'skeleton', 11.00, 25.00, 14, 'male', 'L2Monster', 'Fighter', 40, 364, 2.800, 156, 1.290, 40, 43, 30, 21, 20, 20, 424, 16, 37, 75, 13, 61, 253, 500, 500, 946, 0, 0, 60, 140, 'skeleton_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(408, 20456, 'Ashen Wolf', '', 'wolf', 13.00, 9.00, 4, 'male', 'L2Monster', 'Fighter', 40, 108, 1.800, 69, 0.990, 40, 43, 30, 21, 20, 20, 141, 4, 14, 48, 7, 39, 253, 0, 500, 0, 0, 0, 24, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'true', 'NONE', 1, 0),
	(409, 20457, 'Zombie Soldier', '', 'zombie', 13.00, 21.00, 19, 'male', 'L2Monster', 'Mystic', 40, 508, 3.300, 203, 1.440, 40, 43, 30, 21, 20, 20, 959, 43, 59, 91, 26, 77, 253, 0, 500, 0, 0, 0, 15, 15, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'true', 'NONE', 1, 0),
	(410, 20458, 'Zombie Warrior', '', 'zombie_bi', 13.00, 27.50, 22, 'male', 'L2Monster', 'Mystic', 40, 612, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 1421, 67, 78, 104, 29, 87, 253, 500, 500, 0, 0, 0, 15, 15, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'true', 'NONE', 1, 0),
	(411, 20460, 'Crimson Spider', '', 'giant_spider', 26.00, 26.50, 15, 'male', 'L2Monster', 'Mystic', 40, 390, 2.900, 166, 1.320, 40, 43, 30, 21, 20, 20, 545, 22, 41, 78, 19, 64, 253, 500, 500, 0, 0, 0, 72, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.26, 'true', 'NONE', 1, 0),
	(412, 20461, 'Dungeon Spider', '', 'giant_spider', 26.00, 26.50, 15, 'male', 'L2Monster', 'Mystic', 40, 390, 2.900, 166, 1.320, 40, 43, 30, 21, 20, 20, 454, 19, 41, 78, 19, 64, 253, 500, 500, 0, 0, 0, 72, 130, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.26, 'false', 'NONE', 1, 0),
	(413, 20462, 'Cave Blade Spider', '', 'giant_spider', 26.00, 26.50, 17, 'male', 'L2Monster', 'Mystic', 40, 446, 3.100, 184, 1.380, 40, 43, 30, 21, 20, 20, 515, 22, 49, 84, 22, 70, 253, 500, 500, 0, 0, 0, 72, 130, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.26, 'false', 'NONE', 1, 0),
	(414, 20463, 'Dungeon Skeleton Archer', '', 'skeleton_archer', 11.00, 27.00, 13, 'male', 'L2Monster', 'Ranger', 1100, 339, 2.700, 147, 1.260, 40, 43, 30, 21, 20, 20, 397, 16, 34, 71, 12, 59, 253, 0, 500, 275, 0, 0, 40, 140, 'skeleton_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.80, 'false', 'NONE', 1, 0),
	(415, 20464, 'Dungeon Skeleton', '', 'skeleton', 11.00, 25.00, 12, 'male', 'L2Monster', 'Fighter', 40, 315, 2.600, 138, 1.230, 40, 43, 30, 21, 20, 20, 363, 13, 30, 68, 14, 56, 253, 500, 500, 946, 0, 0, 60, 140, 'skeleton_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(416, 20465, 'Prairie Fox', '', 'fox', 9.50, 10.00, 2, 'male', 'L2Monster', 'Fighter', 40, 76, 1.600, 52, 0.930, 40, 43, 30, 21, 20, 20, 59, 2, 11, 45, 7, 36, 253, 0, 500, 0, 0, 0, 23, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(417, 20466, 'Pincer Spider', '', 'giant_spider', 26.00, 26.50, 17, 'male', 'L2Monster', 'Mystic', 40, 446, 3.100, 184, 1.380, 40, 43, 30, 21, 20, 20, 618, 26, 49, 84, 22, 70, 253, 500, 500, 0, 0, 0, 72, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.26, 'true', 'NONE', 1, 0),
	(418, 20468, 'Kaboo Orc', '', 'orc', 10.00, 21.00, 6, 'male', 'L2Monster', 'Fighter', 40, 148, 2.000, 86, 1.050, 40, 43, 30, 21, 20, 20, 214, 6, 17, 53, 7, 43, 253, 0, 500, 156, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(419, 20469, 'Kaboo Orc Archer', '', 'orc_archer', 14.00, 25.00, 8, 'male', 'L2Monster', 'Ranger', 1100, 197, 2.200, 103, 1.110, 40, 43, 30, 21, 20, 20, 293, 10, 21, 58, 10, 46, 253, 0, 500, 14, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.80, 'true', 'NONE', 1, 0),
	(420, 20470, 'Kaboo Orc Grunt', '', 'orc', 10.00, 21.00, 7, 'male', 'L2Monster', 'Fighter', 40, 171, 2.100, 94, 1.080, 40, 43, 30, 21, 20, 20, 249, 8, 19, 55, 7, 44, 253, 0, 500, 3, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(421, 20471, 'Kaboo Orc Fighter', '', 'orc_fighter', 12.00, 22.00, 10, 'male', 'L2Monster', 'Fighter', 40, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 363, 12, 25, 62, 8, 51, 253, 500, 500, 2, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(422, 20472, 'Kaboo Orc Fighter Leader', '', 'orc_fighter', 12.00, 22.00, 12, 'male', 'L2Monster', 'Fighter', 40, 315, 2.600, 138, 1.230, 40, 43, 30, 21, 20, 20, 436, 16, 30, 68, 14, 56, 253, 500, 500, 2, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(423, 20473, 'Kaboo Orc Fighter Lieutenant', '', 'orc_fighter', 12.00, 22.00, 11, 'male', 'L2Monster', 'Fighter', 40, 293, 2.500, 129, 1.200, 40, 43, 30, 21, 20, 20, 392, 15, 28, 65, 9, 54, 253, 0, 500, 2, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(424, 20474, 'Kasha Spider', '', 'giant_spider', 26.00, 26.50, 15, 'male', 'L2Monster', 'Mystic', 40, 390, 2.900, 166, 1.320, 40, 43, 30, 21, 20, 20, 534, 22, 41, 78, 19, 64, 253, 0, 500, 0, 0, 0, 72, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.26, 'true', 'NONE', 1, 0),
	(425, 20475, 'Kasha Wolf', '', 'wolf', 13.00, 9.00, 4, 'male', 'L2Monster', 'Fighter', 40, 108, 1.800, 69, 0.990, 40, 43, 30, 21, 20, 20, 141, 4, 14, 48, 7, 39, 253, 0, 500, 0, 0, 0, 24, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'true', 'NONE', 1, 0),
	(426, 20476, 'Kasha Fang Spider', '', 'giant_spider', 26.00, 26.50, 16, 'male', 'L2Monster', 'Mystic', 40, 418, 3.000, 175, 1.350, 40, 43, 30, 21, 20, 20, 571, 23, 45, 81, 16, 67, 253, 0, 500, 0, 0, 0, 72, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.26, 'true', 'NONE', 1, 0),
	(427, 20477, 'Kasha Timber Wolf', '', 'wolf_bi', 13.00, 10.80, 6, 'male', 'L2Monster', 'Fighter', 40, 148, 2.000, 86, 1.050, 40, 43, 30, 21, 20, 20, 212, 6, 17, 53, 7, 43, 253, 0, 500, 0, 0, 0, 24, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'true', 'NONE', 1, 0),
	(428, 20478, 'Kasha Blade Spider', '', 'giant_spider', 26.00, 26.50, 17, 'male', 'L2Monster', 'Mystic', 40, 446, 3.100, 184, 1.380, 40, 43, 30, 21, 20, 20, 667, 28, 49, 84, 22, 70, 253, 0, 500, 0, 0, 0, 72, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.26, 'true', 'NONE', 1, 0),
	(429, 20479, 'Kasha Bear', '', 'grizzly_bi', 21.00, 50.00, 15, 'male', 'L2Monster', 'Fighter', 40, 390, 2.900, 166, 1.320, 40, 43, 30, 21, 20, 20, 540, 22, 41, 78, 19, 64, 253, 500, 500, 0, 0, 0, 40, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'true', 'NONE', 1, 0),
	(430, 20480, 'Blade Bat', '', 'vampire_bat', 10.00, 33.50, 10, 'male', 'L2Monster', 'Mystic', 40, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 356, 12, 25, 62, 8, 51, 253, 0, 500, 0, 0, 0, 60, 80, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'true', 'NONE', 1, 0),
	(431, 20481, 'Bearded Keltir', '', 'keltir', 9.50, 10.00, 1, 'male', 'L2Monster', 'Fighter', 40, 63, 1.500, 44, 0.900, 40, 43, 30, 21, 20, 20, 35, 2, 9, 44, 7, 35, 253, 0, 500, 0, 0, 0, 23, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(432, 20483, 'Corpse Candle', '', 'will_o_wisp', 13.00, 22.00, 17, 'male', 'L2Monster', 'Mystic', 40, 446, 3.100, 184, 1.380, 40, 43, 30, 21, 20, 20, 604, 25, 49, 84, 22, 70, 253, 0, 500, 0, 0, 0, 80, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.10, 'false', 'NONE', 1, 0),
	(433, 20487, 'Kuruka Ratman', '', 'wererat', 14.00, 25.00, 16, 'male', 'L2Monster', 'Fighter', 40, 418, 3.000, 175, 1.350, 40, 43, 30, 21, 20, 20, 476, 19, 45, 81, 16, 67, 253, 0, 500, 216, 0, 0, 80, 120, 'wererat_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(434, 20488, 'Kuruka Ratman Hunter', '', 'wererat', 14.00, 25.00, 17, 'male', 'L2Monster', 'Fighter', 40, 446, 3.100, 184, 1.380, 40, 43, 30, 21, 20, 20, 505, 21, 49, 84, 22, 70, 253, 0, 500, 3, 0, 0, 80, 120, 'wererat_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(435, 20489, 'Quicksilver Beast', '', 'onyx_beast', 14.00, 14.50, 15, 'male', 'L2Monster', 'Fighter', 40, 390, 2.900, 166, 1.320, 40, 43, 30, 21, 20, 20, 450, 18, 41, 78, 19, 64, 253, 500, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.24, 'false', 'NONE', 1, 0),
	(436, 20490, 'Death Doll', '', 'crimson_doll', 15.00, 38.00, 40, 'male', 'L2Monster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 2611, 169, 305, 205, 145, 173, 253, 500, 500, 0, 0, 0, 60, 150, 'undead_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.67, 'false', 'NONE', 0, 0),
	(437, 20491, 'Crypt Horror', '', 'dark_horror', 20.00, 35.00, 15, 'male', 'L2Monster', 'Fighter', 40, 390, 2.900, 166, 1.320, 40, 43, 30, 21, 20, 20, 454, 19, 41, 78, 19, 64, 253, 500, 500, 0, 0, 0, 100, 100, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(438, 20492, 'Kirunak\'s Guards', '', 'spartoi', 11.00, 27.00, 21, 'male', 'L2Minion', 'Fighter', 40, 576, 3.500, 228, 1.500, 40, 43, 30, 21, 20, 20, 764, 35, 70, 100, 31, 84, 253, 0, 500, 68, 0, 0, 60, 140, 'kirunak_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(439, 20494, 'Turek War Hound', '', 'dire_wolf', 13.00, 11.00, 24, 'male', 'L2Monster', 'Fighter', 40, 688, 3.800, 273, 1.590, 40, 43, 30, 21, 20, 20, 2088, 103, 91, 113, 39, 96, 253, 0, 500, 0, 0, 0, 24, 110, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 1, 0),
	(440, 20495, 'Turek Orc Warlord', '', 'orc_champion', 10.00, 23.00, 30, 'male', 'L2Monster', 'Fighter', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 3338, 182, 149, 143, 62, 121, 253, 500, 500, 127, 0, 0, 45, 130, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.76, 'false', 'NONE', 1, 0),
	(441, 20496, 'Turek Orc Archer', '', 'orc_archer', 14.00, 25.00, 27, 'male', 'L2Monster', 'Ranger', 1100, 814, 4.100, 318, 1.680, 40, 43, 30, 21, 20, 20, 2585, 132, 118, 127, 50, 107, 253, 0, 500, 14, 0, 0, 45, 110, 'orc_clan', 400, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.80, 'false', 'NONE', 1, 0),
	(442, 20497, 'Turek Orc Skirmisher', '', 'orc_fighter', 12.00, 22.00, 28, 'male', 'L2Monster', 'Fighter', 40, 859, 4.200, 334, 1.710, 40, 43, 30, 21, 20, 20, 2682, 140, 127, 132, 54, 112, 253, 500, 500, 121, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(443, 20498, 'Turek Orc Supplier', '', 'orc_fighter', 12.00, 22.00, 27, 'male', 'L2Monster', 'WatchmanMonster', 40, 814, 4.100, 318, 1.680, 40, 43, 30, 21, 20, 20, 2485, 127, 118, 127, 50, 107, 253, 0, 500, 11, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(444, 20499, 'Turek Orc Footman', '', 'orc', 10.00, 21.00, 26, 'male', 'L2Monster', 'WatchmanMonster', 40, 770, 4.000, 303, 1.650, 40, 43, 30, 21, 20, 20, 2359, 119, 108, 123, 46, 103, 253, 0, 500, 2, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(445, 20500, 'Turek Orc Sentinel', '', 'orc', 10.00, 21.00, 25, 'male', 'L2Monster', 'WatchmanMonster', 40, 728, 3.900, 288, 1.620, 40, 43, 30, 21, 20, 20, 2215, 110, 100, 118, 42, 99, 253, 0, 500, 3, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(446, 20501, 'Turek Orc Shaman', '', 'orc_shaman', 9.00, 22.00, 29, 'male', 'L2Monster', 'Priest', 40, 906, 4.300, 350, 1.740, 40, 43, 30, 21, 20, 20, 2776, 149, 138, 138, 58, 117, 253, 0, 500, 7, 0, 0, 45, 120, 'orc_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.26, 'false', 'NONE', 1, 0),
	(447, 20502, 'Twink Puma', '', 'onyx_beast', 14.00, 14.50, 15, 'male', 'L2Monster', 'Fighter', 40, 390, 2.900, 166, 1.320, 40, 43, 30, 21, 20, 20, 540, 22, 41, 78, 19, 64, 253, 500, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.24, 'true', 'NONE', 1, 0),
	(448, 20504, 'Dread Soldier', '', 'skeleton', 11.00, 25.00, 14, 'male', 'L2Monster', 'Fighter', 40, 364, 2.800, 156, 1.290, 40, 43, 30, 21, 20, 20, 424, 16, 37, 75, 13, 61, 253, 500, 500, 946, 0, 0, 60, 140, 'skeleton_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(449, 20505, 'Ruin Bat', '', 'vampire_bat_bi', 10.00, 42.00, 20, 'male', 'L2Monster', 'NightAgressionMystic', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 713, 32, 65, 96, 24, 80, 253, 500, 500, 0, 0, 0, 60, 80, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'true', 'NONE', 1, 0),
	(450, 20506, 'Ruin Imp', '', 'imp_bi', 10.00, 30.00, 17, 'male', 'L2Monster', 'Mystic', 40, 446, 3.100, 184, 1.380, 40, 43, 30, 21, 20, 20, 606, 25, 49, 84, 22, 70, 253, 0, 500, 0, 0, 0, 60, 80, 'demonic_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'true', 'NONE', 1, 0),
	(451, 20507, 'Ruin Imp Elder', '', 'imp_bi', 10.00, 30.00, 21, 'male', 'L2Monster', 'Mystic', 40, 576, 3.500, 228, 1.500, 40, 43, 30, 21, 20, 20, 936, 43, 70, 100, 31, 84, 253, 500, 500, 0, 0, 0, 60, 80, 'demonic_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'true', 'NONE', 1, 0),
	(452, 20508, 'Plunder Tarantula', '', 'giant_spider', 26.00, 26.50, 17, 'male', 'L2Monster', 'Mystic', 40, 446, 3.100, 184, 1.380, 40, 43, 30, 21, 20, 20, 618, 26, 49, 84, 22, 70, 253, 500, 500, 0, 0, 0, 72, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.26, 'true', 'NONE', 1, 0),
	(453, 20509, 'Spore Fungus', '', 'walking_fungus', 15.00, 22.50, 9, 'male', 'L2Monster', 'Fighter', 40, 226, 2.300, 112, 1.140, 40, 43, 30, 21, 20, 20, 321, 11, 23, 60, 11, 48, 253, 0, 500, 0, 0, 0, 70, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'true', 'NONE', 1, 0),
	(454, 20510, 'Puma', '', 'onyx_beast', 14.00, 14.50, 12, 'male', 'L2Monster', 'Fighter', 40, 315, 2.600, 138, 1.230, 40, 43, 30, 21, 20, 20, 423, 16, 30, 68, 14, 56, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.24, 'true', 'NONE', 1, 0),
	(455, 20511, 'Pitchstone Golem', '', 'stone_golem', 20.00, 31.00, 19, 'male', 'L2Monster', 'Mystic', 40, 508, 3.300, 203, 1.440, 40, 43, 30, 21, 20, 20, 799, 36, 59, 91, 26, 77, 253, 0, 500, 0, 0, 0, 23, 23, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'false', 'NONE', 1, 0),
	(456, 20512, 'Field Stalker', '', 'field_stalker', 15.00, 30.00, 35, 'male', 'L2Monster', 'Fighter', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 2175, 128, 216, 172, 96, 146, 253, 500, 500, 0, 0, 0, 70, 110, 'monster_eye_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'false', 'NONE', 0, 0),
	(457, 20513, 'Skeleton Knight', '', 'skeleton_knight', 10.00, 25.00, 32, 'male', 'L2Monster', 'Fighter', 40, 1056, 4.600, 398, 1.830, 40, 43, 30, 21, 20, 20, 1519, 85, 173, 154, 74, 130, 253, 500, 500, 150, 0, 0, 40, 160, 'skeleton_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.17, 'false', 'NONE', 0, 0),
	(458, 20514, 'Shield Skeleton', '', 'skeleton', 11.00, 25.00, 15, 'male', 'L2Monster', 'Fighter', 40, 390, 2.900, 166, 1.320, 40, 43, 30, 21, 20, 20, 534, 22, 41, 78, 19, 64, 253, 0, 500, 157, 103, 0, 60, 140, 'skeleton_clan', 300, 0, 20, 36, 7, 50, 1, 9, 0, -6, 0.30, 'true', 'NONE', 1, 0),
	(459, 20515, 'Skeleton Infantryman', '', 'skeleton', 11.00, 25.00, 16, 'male', 'L2Monster', 'Fighter', 40, 418, 3.000, 175, 1.350, 40, 43, 30, 21, 20, 20, 571, 23, 45, 81, 16, 67, 253, 0, 500, 157, 18, 0, 60, 140, 'skeleton_clan', 300, 0, 20, 38, 7, 50, 1, 9, 0, -6, 0.30, 'true', 'NONE', 1, 0),
	(460, 20516, 'Skeleton Sentinel', '', 'skeleton_bi', 11.00, 31.00, 14, 'male', 'L2Monster', 'Fighter', 40, 364, 2.800, 156, 1.290, 40, 43, 30, 21, 20, 20, 424, 16, 37, 75, 13, 61, 253, 500, 500, 946, 0, 0, 60, 140, 'skeleton_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(461, 20517, 'Skeleton Hunter', '', 'skeleton', 11.00, 25.00, 12, 'male', 'L2Monster', 'Fighter', 40, 315, 2.600, 138, 1.230, 40, 43, 30, 21, 20, 20, 363, 13, 30, 68, 14, 56, 253, 500, 500, 946, 0, 0, 60, 140, 'skeleton_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(462, 20518, 'Skeleton Hunter Archer', '', 'skeleton_archer', 11.00, 27.00, 13, 'male', 'L2Monster', 'Ranger', 1100, 339, 2.700, 147, 1.260, 40, 43, 30, 21, 20, 20, 397, 16, 34, 71, 12, 59, 253, 0, 500, 275, 0, 0, 40, 140, 'skeleton_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.80, 'false', 'NONE', 1, 0),
	(463, 20519, 'Skeleton Pikeman', '', 'skeleton_pikeman', 10.00, 28.00, 27, 'male', 'L2Monster', 'Fighter', 40, 814, 4.100, 318, 1.680, 40, 43, 30, 21, 20, 20, 1136, 58, 118, 127, 50, 107, 253, 500, 500, 299, 0, 0, 50, 155, 'skeleton_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.21, 'false', 'NONE', 0, 0),
	(464, 20520, 'Pirate Captain Uthanka', '', 'orc_fighter_bi', 12.00, 26.40, 10, 'male', 'L2Monster', 'Fighter', 40, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 926, 32, 25, 62, 8, 51, 253, 500, 500, 2, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(465, 20521, 'Whinstone Golem', '', 'stone_golem', 20.00, 31.00, 14, 'male', 'L2Monster', 'Mystic', 40, 364, 2.800, 156, 1.290, 40, 43, 30, 21, 20, 20, 705, 27, 37, 75, 13, 61, 253, 0, 500, 0, 0, 0, 23, 23, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'true', 'NONE', 1, 0),
	(466, 20522, 'White Fang', '', 'wolf_bi', 13.00, 10.80, 10, 'male', 'L2Monster', 'Fighter', 40, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 917, 31, 25, 62, 8, 51, 253, 500, 500, 0, 0, 0, 24, 110, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(467, 20524, 'Grey Wolf Elder', '', 'wolf', 13.00, 9.00, 7, 'male', 'L2Minion', 'Fighter', 40, 171, 2.100, 94, 1.080, 40, 43, 30, 21, 20, 20, 152, 5, 19, 55, 7, 44, 253, 0, 500, 0, 0, 0, 24, 110, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(468, 20525, 'Gray Wolf', '', 'wolf', 13.00, 9.00, 4, 'male', 'L2Monster', 'Fighter', 40, 108, 1.800, 69, 0.990, 40, 43, 30, 21, 20, 20, 141, 4, 14, 48, 7, 39, 253, 0, 500, 0, 0, 0, 24, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'true', 'NONE', 1, 0),
	(469, 20526, 'Obsidian Golem', '', 'stone_golem', 20.00, 31.00, 15, 'male', 'L2Monster', 'Mystic', 40, 390, 2.900, 166, 1.320, 40, 43, 30, 21, 20, 20, 756, 31, 41, 78, 19, 64, 253, 0, 500, 0, 0, 0, 23, 23, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'true', 'NONE', 1, 0),
	(470, 20527, 'Great Snow Wolf', '', 'dire_wolf', 13.00, 11.00, 4, 'male', 'L2Monster', 'Fighter', 40, 108, 1.800, 69, 0.990, 40, 43, 30, 21, 20, 20, 121, 3, 14, 48, 7, 39, 253, 500, 500, 0, 0, 0, 24, 110, 'wolf_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(471, 20528, 'Goblin Lord', '', 'goblin', 10.00, 16.50, 13, 'male', 'L2Monster', 'Fighter', 40, 339, 2.700, 147, 1.260, 40, 43, 30, 21, 20, 20, 458, 18, 34, 71, 12, 59, 253, 0, 500, 217, 0, 0, 40, 110, '', 0, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.32, 'true', 'NONE', 1, 0),
	(472, 20529, 'Young Brown Keltir', '', 'keltir', 13.00, 10.00, 1, 'male', 'L2Monster', 'Fighter', 40, 63, 1.500, 44, 0.900, 40, 43, 30, 21, 20, 20, 35, 2, 9, 44, 7, 35, 253, 0, 500, 0, 0, 0, 23, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(473, 20530, 'Young Red Keltir', '', 'keltir', 13.00, 10.00, 1, 'male', 'L2Monster', 'Fighter', 40, 63, 1.500, 44, 0.900, 40, 43, 30, 21, 20, 20, 35, 2, 9, 44, 7, 35, 253, 0, 500, 0, 0, 0, 23, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(474, 20531, 'Young Prairie Keltir', '', 'keltir', 9.50, 10.00, 1, 'male', 'L2Monster', 'Fighter', 40, 63, 1.500, 44, 0.900, 40, 43, 30, 21, 20, 20, 35, 2, 9, 44, 7, 35, 253, 0, 500, 0, 0, 0, 23, 109, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(475, 20532, 'Brown Keltir', '', 'keltir', 13.00, 10.00, 2, 'male', 'L2Monster', 'Fighter', 40, 76, 1.600, 52, 0.930, 40, 43, 30, 21, 20, 20, 71, 2, 11, 45, 7, 36, 253, 0, 500, 0, 0, 0, 23, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(476, 20533, 'Longtail Keltir', '', 'keltir', 13.00, 10.00, 2, 'male', 'L2Monster', 'Fighter', 40, 76, 1.600, 52, 0.930, 40, 43, 30, 21, 20, 20, 71, 2, 11, 45, 7, 36, 253, 0, 500, 0, 0, 0, 23, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(477, 20534, 'Red Keltir', '', 'keltir', 13.00, 10.00, 2, 'male', 'L2Monster', 'Fighter', 40, 76, 1.600, 52, 0.930, 40, 43, 30, 21, 20, 20, 71, 2, 11, 45, 7, 36, 253, 0, 500, 0, 0, 0, 23, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(478, 20535, 'Prairie Keltir', '', 'keltir', 13.00, 10.00, 2, 'male', 'L2Monster', 'Fighter', 40, 76, 1.600, 52, 0.930, 40, 43, 30, 21, 20, 20, 71, 2, 11, 45, 7, 36, 253, 0, 500, 0, 0, 0, 23, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(479, 20536, 'Elder Brown Keltir', '', 'keltir', 13.00, 10.00, 3, 'male', 'L2Monster', 'Fighter', 40, 91, 1.700, 61, 0.960, 40, 43, 30, 21, 20, 20, 106, 2, 13, 47, 7, 38, 253, 0, 500, 0, 0, 0, 23, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(480, 20537, 'Elder Red Keltir', '', 'keltir', 13.00, 10.00, 3, 'male', 'L2Monster', 'Fighter', 40, 91, 1.700, 61, 0.960, 40, 43, 30, 21, 20, 20, 106, 2, 13, 47, 7, 38, 253, 0, 500, 0, 0, 0, 23, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(481, 20538, 'Elder Prairie Keltir', '', 'keltir', 9.50, 10.00, 3, 'male', 'L2Monster', 'Fighter', 40, 91, 1.700, 61, 0.960, 40, 43, 30, 21, 20, 20, 106, 2, 13, 47, 7, 38, 253, 0, 500, 0, 0, 0, 23, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(482, 20539, 'Elder Longtail Keltir', '', 'keltir', 9.50, 10.00, 3, 'male', 'L2Monster', 'Fighter', 40, 91, 1.700, 61, 0.960, 40, 43, 30, 21, 20, 20, 106, 2, 13, 47, 7, 38, 253, 0, 500, 0, 0, 0, 23, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(483, 20540, 'Gemstone Beast', '', 'onyx_beast', 14.00, 14.50, 12, 'male', 'L2Monster', 'Fighter', 40, 315, 2.600, 138, 1.230, 40, 43, 30, 21, 20, 20, 353, 13, 30, 68, 14, 56, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.24, 'false', 'NONE', 1, 0),
	(484, 20541, 'Ore Bat', '', 'vampire_bat', 10.00, 33.50, 17, 'male', 'L2Monster', 'Mystic', 40, 446, 3.100, 184, 1.380, 40, 43, 30, 21, 20, 20, 500, 21, 49, 84, 22, 70, 253, 0, 500, 0, 0, 0, 60, 80, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(485, 20542, 'Skeleton Longbowman', '', 'skeleton_archer', 11.00, 27.00, 19, 'male', 'L2Monster', 'Ranger', 1100, 508, 3.300, 203, 1.440, 40, 43, 30, 21, 20, 20, 588, 26, 59, 91, 26, 77, 253, 500, 500, 275, 0, 0, 40, 140, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.80, 'false', 'NONE', 1, 0),
	(486, 20543, 'Ghost', '', 'human_ghost', 8.00, 22.00, 20, 'male', 'L2Monster', 'Mystic', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 600, 27, 65, 96, 24, 80, 253, 500, 500, 0, 0, 0, 80, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 1, 0),
	(487, 20544, 'Elder Keltir', '', 'keltir', 13.00, 10.00, 3, 'male', 'L2Monster', 'Fighter', 40, 91, 1.700, 61, 0.960, 40, 43, 30, 21, 20, 20, 106, 2, 13, 47, 7, 38, 253, 0, 500, 0, 0, 0, 23, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(488, 20545, 'Young Keltir', '', 'keltir', 13.00, 10.00, 1, 'male', 'L2Monster', 'Fighter', 40, 63, 1.500, 44, 0.900, 40, 43, 30, 21, 20, 20, 35, 2, 9, 44, 7, 35, 253, 0, 500, 0, 0, 0, 23, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(489, 20546, 'Turek Orc Elder', '', 'orc_shaman', 9.00, 22.00, 34, 'male', 'L2Monster', 'Priest', 40, 1164, 4.800, 430, 1.890, 40, 43, 30, 21, 20, 20, 2058, 120, 202, 166, 88, 141, 253, 500, 500, 7, 0, 0, 45, 120, 'orc_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.26, 'false', 'NONE', 1, 0),
	(490, 20547, 'Ol Mahum Reserve', '', 'ol_mahum_bi', 13.50, 29.20, 23, 'male', 'L2Monster', 'Fighter', 40, 649, 3.700, 257, 1.560, 40, 43, 30, 21, 20, 20, 1054, 50, 84, 108, 32, 91, 253, 0, 500, 2, 19, 0, 50, 110, 'ol_mahum_clan', 300, 0, 20, 47, 7, 30, 4, 4, 0, -6, 0.46, 'true', 'NONE', 1, 0),
	(491, 20548, 'Ol Mahum Deserter', '', 'ol_mahum', 13.50, 25.00, 23, 'male', 'L2Monster', 'Fighter', 40, 649, 3.700, 257, 1.560, 40, 43, 30, 21, 20, 20, 1075, 52, 84, 108, 32, 91, 253, 500, 500, 2, 0, 0, 50, 110, 'ol_mahum_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(492, 20549, 'Ol Mahum Lord', '', 'ol_mahum_champion', 14.00, 27.00, 34, 'male', 'L2Monster', 'Fighter', 40, 1164, 4.800, 430, 1.890, 40, 43, 30, 21, 20, 20, 4233, 247, 202, 166, 88, 141, 253, 500, 500, 69, 19, 0, 50, 110, 'ol_mahum_clan', 300, 0, 20, 66, 7, 30, 4, 4, 0, -6, 0.63, 'true', 'NONE', 1, 0),
	(493, 20550, 'Guardian Basilisk', '', 'lesser_basilisk', 34.00, 25.00, 36, 'male', 'L2Monster', 'Fighter', 40, 1279, 5.000, 464, 1.950, 40, 43, 30, 21, 20, 20, 2352, 142, 232, 179, 105, 151, 253, 0, 500, 0, 0, 0, 35, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'true', 'NONE', 1, 0),
	(494, 20551, 'Road Scavenger', '', 'wererat', 14.00, 25.00, 37, 'male', 'L2Monster', 'Fighter', 40, 1339, 5.100, 480, 1.980, 40, 43, 30, 21, 20, 20, 2389, 146, 249, 185, 113, 156, 253, 0, 500, 221, 0, 0, 80, 174, '', 0, 0, 0, 0, 7, 10, 8, 4, 0, 10, 0.61, 'true', 'NONE', 1, 0),
	(495, 20552, 'Fettered Soul', '', 'binding', 12.00, 21.00, 38, 'male', 'L2Monster', 'Fighter', 40, 1400, 5.200, 497, 2.010, 40, 43, 30, 21, 20, 20, 5152, 322, 267, 191, 124, 162, 253, 0, 500, 0, 0, 0, 10, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'true', 'NONE', 1, 0),
	(496, 20553, 'Windsus', '', 'giant_wild_hog', 25.00, 27.00, 39, 'male', 'L2Monster', 'Fighter', 40, 1463, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 2655, 169, 285, 197, 133, 167, 253, 0, 500, 0, 0, 0, 35, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'true', 'NONE', 1, 0),
	(497, 20554, 'Grandis', '', 'twin_headed_giant', 17.00, 39.00, 40, 'male', 'L2Monster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 3102, 200, 305, 205, 145, 173, 253, 500, 500, 0, 0, 0, 45, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(498, 20555, 'Giant Fungus', '', 'walking_fungus_bi', 15.00, 31.30, 40, 'male', 'L2Monster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 2792, 180, 305, 205, 145, 173, 253, 0, 500, 0, 0, 0, 70, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'true', 'NONE', 1, 0),
	(499, 20556, 'Giant Monstereye', '', 'monster_eye_bi', 29.00, 60.00, 41, 'male', 'L2Monster', 'Mystic', 40, 1593, 5.500, 560, 2.100, 40, 43, 30, 21, 20, 20, 2934, 192, 324, 211, 156, 180, 253, 0, 500, 0, 0, 0, 90, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'true', 'NONE', 1, 0),
	(500, 20557, 'Dire Wyrm', '', 'wyrm', 29.00, 72.00, 42, 'male', 'L2Monster', 'Fighter', 40, 1660, 5.600, 589, 2.130, 40, 43, 30, 21, 20, 20, 3109, 208, 345, 218, 168, 185, 253, 500, 500, 0, 0, 0, 70, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.19, 'true', 'NONE', 1, 0),
	(501, 20558, 'Rotting tree', '', 'hanged_man_ripper', 35.00, 80.00, 43, 'male', 'L2Monster', 'Fighter', 40, 1729, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 3195, 216, 369, 226, 181, 191, 253, 0, 500, 0, 0, 0, 55, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(502, 20559, 'Rotting Golem', '', 'stone_golem_bi_one', 22.00, 43.40, 44, 'male', 'L2Monster', 'Mystic', 40, 1799, 5.800, 648, 2.190, 40, 43, 30, 21, 20, 20, 4730, 324, 392, 233, 194, 197, 253, 0, 500, 0, 0, 0, 23, 23, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'true', 'NONE', 1, 0),
	(503, 20560, 'Trisalim Spider', '', 'giant_spider', 26.00, 26.50, 45, 'male', 'L2Monster', 'Mystic', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 3499, 244, 417, 240, 208, 204, 253, 0, 500, 0, 0, 0, 72, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.26, 'true', 'NONE', 1, 0),
	(504, 20561, 'Trisalim Tarantula', '', 'poison_spider', 27.00, 25.50, 46, 'male', 'L2Monster', 'Mystic', 40, 1943, 6.000, 708, 2.250, 40, 43, 30, 21, 20, 20, 4144, 294, 442, 248, 223, 210, 253, 500, 500, 0, 0, 0, 60, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.65, 'true', 'NONE', 1, 0),
	(505, 20562, 'Spore Zombie', '', 'zombie_bi', 13.00, 27.50, 47, 'male', 'L2Monster', 'Mystic', 40, 2017, 6.100, 738, 2.280, 40, 43, 30, 21, 20, 20, 4310, 308, 469, 255, 238, 216, 253, 0, 500, 0, 0, 0, 15, 15, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'true', 'NONE', 1, 0),
	(506, 20563, 'Manashen Gargoyle', '', 'gargoyle', 16.00, 50.00, 40, 'male', 'L2Monster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 3323, 215, 305, 205, 145, 173, 253, 0, 500, 0, 0, 0, 140, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(507, 20564, 'Enchanted Monstereye', '', 'monster_eye', 21.00, 43.00, 41, 'male', 'L2Monster', 'Mystic', 40, 1593, 5.500, 560, 2.100, 40, 43, 30, 21, 20, 20, 2992, 196, 324, 211, 156, 180, 253, 500, 500, 0, 0, 0, 90, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'true', 'NONE', 1, 0),
	(508, 20565, 'Enchanted Stone Golem', '', 'stone_golem_bi', 20.00, 40.30, 42, 'male', 'L2Monster', 'Mystic', 40, 1660, 5.600, 589, 2.130, 40, 43, 30, 21, 20, 20, 4353, 290, 345, 218, 168, 185, 253, 0, 500, 0, 0, 0, 23, 23, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'true', 'NONE', 1, 0),
	(509, 20566, 'Enchanted Iron Golem', '', 'iron_golem', 18.00, 34.00, 43, 'male', 'L2Monster', 'Mystic', 40, 1729, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 4563, 308, 369, 226, 181, 191, 253, 0, 500, 0, 0, 0, 20, 20, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'true', 'NONE', 1, 0),
	(510, 20567, 'Enchanted Gargoyle', '', 'gargoyle', 16.00, 50.00, 44, 'male', 'L2Monster', 'Fighter', 40, 1799, 5.800, 648, 2.190, 40, 43, 30, 21, 20, 20, 4021, 275, 392, 233, 194, 197, 253, 0, 500, 0, 0, 0, 140, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(511, 20568, 'Formor', '', 'troll', 21.00, 35.00, 45, 'male', 'L2Monster', 'Fighter', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 3534, 246, 417, 240, 208, 204, 253, 0, 500, 0, 0, 0, 55, 174, 'beast_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'true', 'NONE', 1, 0),
	(512, 20569, 'Formor Elder', '', 'troll', 21.00, 35.00, 46, 'male', 'L2Monster', 'Fighter', 40, 1943, 6.000, 708, 2.250, 40, 43, 30, 21, 20, 20, 3841, 272, 442, 248, 223, 210, 253, 0, 500, 0, 0, 0, 55, 174, 'beast_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'true', 'NONE', 1, 0),
	(513, 20570, 'Tarlk Bugbear', '', 'bugbear', 17.00, 35.00, 47, 'male', 'L2Monster', 'Fighter', 40, 2017, 6.100, 738, 2.280, 40, 43, 30, 21, 20, 20, 3855, 276, 469, 255, 238, 216, 253, 0, 500, 88, 0, 0, 55, 174, 'bugbear_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.28, 'true', 'NONE', 1, 0),
	(514, 20571, 'Tarlk Bugbear Warrior', '', 'bugbear', 17.00, 35.00, 48, 'male', 'L2Monster', 'Fighter', 40, 2092, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 4553, 332, 498, 264, 254, 224, 253, 500, 500, 169, 0, 0, 55, 174, 'bugbear_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.28, 'true', 'NONE', 1, 0),
	(515, 20572, 'Tarlk Bugbear High Warrior', '', 'king_bugbear', 15.00, 40.00, 49, 'male', 'L2Monster', 'Fighter', 40, 2168, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 4987, 368, 526, 271, 271, 230, 253, 0, 500, 160, 0, 0, 55, 174, 'bugbear_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.28, 'true', 'NONE', 1, 0),
	(516, 20573, 'Tarlk Basilisk', '', 'lesser_basilisk', 34.00, 25.00, 50, 'male', 'L2Monster', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 4288, 323, 558, 279, 289, 237, 253, 0, 500, 0, 0, 0, 35, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'true', 'NONE', 1, 0),
	(517, 20574, 'Elder Tarlk Basilisk', '', 'lesser_basilisk', 34.00, 25.00, 51, 'male', 'L2Monster', 'Fighter', 40, 2323, 6.500, 861, 2.400, 40, 43, 30, 21, 20, 20, 4506, 343, 589, 288, 308, 244, 253, 500, 500, 0, 0, 0, 35, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'true', 'NONE', 1, 0),
	(518, 20575, 'Oel Mahum Warrior', '', 'oel_mahum_warrior', 20.00, 38.00, 54, 'male', 'L2Monster', 'Fighter', 40, 2562, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 5051, 402, 692, 314, 368, 266, 253, 0, 500, 72, 0, 0, 70, 174, 'oel_mahum_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.65, 'true', 'NONE', 1, 0),
	(519, 20576, 'Oel Mahum Witch Doctor', '', 'oel_mahum_witch_doctor', 15.00, 34.00, 55, 'male', 'L2Monster', 'Mystic', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 10289, 791, 730, 322, 389, 273, 253, 0, 500, 201, 0, 0, 70, 174, 'oel_mahum_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.26, 'true', 'NONE', 1, 0),
	(520, 20577, 'Leto Lizardman', '', 'zenta_lizardman', 11.00, 32.00, 35, 'male', 'L2Monster', 'Fighter', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 2138, 126, 216, 172, 96, 146, 253, 0, 500, 66, 0, 0, 37, 174, 'lizardman_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'true', 'NONE', 1, 0),
	(521, 20578, 'Leto Lizardman Archer', '', 'zenta_lizardman_scout', 11.00, 30.00, 36, 'male', 'L2Monster', 'Ranger', 1100, 1279, 5.000, 464, 1.950, 40, 43, 30, 21, 20, 20, 2330, 140, 232, 179, 105, 151, 253, 0, 500, 14, 0, 0, 37, 174, 'lizardman_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.93, 'true', 'NONE', 1, 0),
	(522, 20579, 'Leto Lizardman Soldier', '', 'zenta_lizardman', 11.00, 32.00, 37, 'male', 'L2Monster', 'Fighter', 40, 1339, 5.100, 480, 1.980, 40, 43, 30, 21, 20, 20, 2437, 150, 249, 185, 113, 156, 253, 500, 500, 68, 0, 0, 37, 174, 'lizardman_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'true', 'NONE', 1, 0),
	(523, 20580, 'Leto Lizardman Warrior', '', 'zenta_lizardman_warrior', 13.00, 35.00, 38, 'male', 'L2Monster', 'Fighter', 40, 1400, 5.200, 497, 2.010, 40, 43, 30, 21, 20, 20, 4688, 292, 267, 191, 124, 162, 253, 0, 500, 93, 0, 0, 40, 174, 'lizardman_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'true', 'NONE', 1, 0),
	(524, 20581, 'Leto Lizardman Shaman', '', 'zenta_lizardman_shaman', 13.00, 35.00, 39, 'male', 'L2Monster', 'Priest', 40, 1463, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 2655, 169, 285, 197, 133, 167, 253, 0, 500, 159, 0, 0, 43, 174, 'lizardman_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.63, 'true', 'NONE', 1, 0),
	(525, 20582, 'Leto Lizardman Overlord', '', 'zenta_lizardman_matriarch', 20.00, 40.00, 40, 'male', 'L2Monster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 5298, 342, 305, 205, 145, 173, 253, 500, 500, 221, 0, 0, 53, 174, 'lizardman_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(526, 20583, 'Timak Orc', '', 'batur_orc', 9.00, 21.50, 40, 'male', 'L2Monster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 2792, 180, 305, 205, 145, 173, 253, 0, 500, 2, 0, 0, 80, 174, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(527, 20584, 'Timak Orc Archer', '', 'batur_orc_archer', 11.00, 21.50, 41, 'male', 'L2Monster', 'Ranger', 1100, 1593, 5.500, 560, 2.100, 40, 43, 30, 21, 20, 20, 3783, 247, 324, 211, 156, 180, 253, 0, 500, 14, 0, 0, 45, 174, 'orc_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.96, 'true', 'NONE', 1, 0),
	(528, 20585, 'Timak Orc Soldier', '', 'batur_orc', 9.00, 21.50, 42, 'male', 'L2Monster', 'Fighter', 40, 1660, 5.600, 589, 2.130, 40, 43, 30, 21, 20, 20, 3737, 248, 345, 218, 168, 185, 253, 500, 500, 66, 0, 0, 80, 174, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(529, 20586, 'Timak Orc Warrior', '', 'batur_orc_warrior', 10.00, 20.00, 43, 'male', 'L2Monster', 'Fighter', 40, 1729, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 3582, 242, 369, 226, 181, 191, 253, 0, 500, 68, 0, 0, 80, 174, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'true', 'NONE', 1, 0),
	(530, 20587, 'Timak Orc Shaman', '', 'batur_orc_shaman', 11.00, 16.00, 44, 'male', 'L2Monster', 'Priest', 40, 1799, 5.800, 648, 2.190, 40, 43, 30, 21, 20, 20, 3379, 232, 392, 233, 194, 197, 253, 0, 500, 179, 0, 0, 50, 174, 'orc_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.30, 'true', 'NONE', 1, 0),
	(531, 20588, 'Timak Orc Overlord', '', 'batur_orc_overlord', 12.00, 24.00, 45, 'male', 'L2Monster', 'Fighter', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 4441, 308, 417, 240, 208, 204, 253, 500, 500, 127, 0, 0, 80, 174, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'true', 'NONE', 1, 0),
	(532, 20589, 'Fline', '', 'sylph', 11.00, 35.00, 45, 'female', 'L2Monster', 'Mystic', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 6639, 462, 417, 240, 208, 204, 253, 0, 500, 0, 0, 0, 60, 174, 'elemental_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(533, 20590, 'Liele', '', 'undine', 12.00, 27.00, 46, 'female', 'L2Monster', 'Mystic', 40, 1943, 6.000, 708, 2.250, 40, 43, 30, 21, 20, 20, 6869, 487, 442, 248, 223, 210, 253, 0, 500, 0, 0, 0, 60, 174, 'elemental_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.35, 'false', 'NONE', 1, 0),
	(534, 20591, 'Valley Treant', '', 'ti_mi_tran', 23.00, 90.00, 47, 'male', 'L2Monster', 'Fighter', 40, 2017, 6.100, 738, 2.280, 40, 43, 30, 21, 20, 20, 10140, 727, 469, 255, 238, 216, 253, 0, 500, 0, 0, 0, 12, 12, 'elemental_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(535, 20592, 'Satyr', '', 'pan', 14.00, 35.00, 48, 'male', 'L2Monster', 'Fighter', 40, 2092, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 11074, 809, 498, 264, 254, 224, 253, 500, 500, 291, 0, 0, 45, 174, 'elemental_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.58, 'false', 'NONE', 1, 0),
	(536, 20593, 'Unicorn', '', 'unicorn', 14.00, 30.00, 49, 'male', 'L2Monster', 'Mystic', 40, 2168, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 11880, 878, 526, 271, 271, 230, 253, 0, 500, 0, 0, 0, 46, 174, 'elemental_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.74, 'false', 'NONE', 1, 0),
	(537, 20594, 'Forest Runner', '', 'mandragora_b', 12.00, 25.50, 50, 'female', 'L2Monster', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 8116, 611, 558, 279, 289, 237, 253, 0, 500, 0, 0, 0, 80, 174, 'elemental_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.13, 'false', 'NONE', 1, 0),
	(538, 20595, 'Fline Elder', '', 'sylph', 11.00, 35.00, 51, 'female', 'L2Monster', 'Mystic', 40, 2323, 6.500, 861, 2.400, 40, 43, 30, 21, 20, 20, 8443, 644, 589, 288, 308, 244, 253, 0, 500, 0, 0, 0, 60, 174, 'elemental_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(539, 20596, 'Liele Elder', '', 'undine', 12.00, 27.00, 52, 'female', 'L2Monster', 'Mystic', 40, 2402, 6.600, 892, 2.430, 40, 43, 30, 21, 20, 20, 8953, 692, 622, 296, 327, 251, 253, 500, 500, 0, 0, 0, 60, 174, 'elemental_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.35, 'false', 'NONE', 1, 0),
	(540, 20597, 'Valley Treant Elder', '', 'ti_mi_tran', 23.00, 90.00, 53, 'male', 'L2Monster', 'Fighter', 40, 2482, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 18717, 1471, 656, 305, 347, 258, 253, 0, 500, 0, 0, 0, 12, 12, 'elemental_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(541, 20598, 'Satyr Elder', '', 'pan', 14.00, 35.00, 54, 'male', 'L2Monster', 'Fighter', 40, 2562, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 13741, 1096, 692, 314, 368, 266, 253, 0, 500, 297, 0, 0, 45, 174, 'elemental_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.58, 'false', 'NONE', 1, 0),
	(542, 20599, 'Unicorn Elder', '', 'unicorn', 14.00, 30.00, 55, 'male', 'L2Monster', 'Mystic', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 14255, 1151, 730, 322, 389, 273, 253, 0, 500, 0, 0, 0, 46, 174, 'elemental_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.74, 'false', 'NONE', 1, 0),
	(543, 20600, 'Karul Bugbear', '', 'bugbear', 17.00, 35.00, 40, 'male', 'L2Monster', 'KarulBugbear', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 3290, 212, 305, 205, 145, 173, 253, 0, 500, 88, 0, 0, 55, 174, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.28, 'true', 'NONE', 1, 0),
	(544, 20601, 'Tamlin Orc', '', 'batur_orc', 9.00, 21.50, 41, 'male', 'L2Monster', 'Fighter', 40, 1593, 5.500, 560, 2.100, 40, 43, 30, 21, 20, 20, 2934, 192, 324, 211, 156, 180, 253, 0, 500, 2, 0, 0, 80, 174, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(545, 20602, 'Tamlin Orc Archer', '', 'batur_orc_archer', 11.00, 21.50, 42, 'male', 'L2Monster', 'Ranger', 1100, 1660, 5.600, 589, 2.130, 40, 43, 30, 21, 20, 20, 3970, 264, 345, 218, 168, 185, 253, 0, 500, 14, 0, 0, 45, 174, 'orc_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.96, 'true', 'NONE', 1, 0),
	(546, 20603, 'Kronbe Spider', '', 'giant_spider', 26.00, 26.50, 43, 'male', 'L2Monster', 'Mystic', 40, 1729, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 3259, 221, 369, 226, 181, 191, 253, 500, 500, 0, 0, 0, 72, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.26, 'true', 'NONE', 1, 0),
	(547, 20604, 'Lakin', '', 'twin_headed_giant', 17.00, 39.00, 44, 'male', 'L2Monster', 'Fighter', 40, 1799, 5.800, 648, 2.190, 40, 43, 30, 21, 20, 20, 3981, 272, 392, 233, 194, 197, 253, 0, 500, 89, 0, 0, 45, 174, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(548, 20605, 'Weird Drake', '', 'drake', 30.00, 100.00, 45, 'male', 'L2Monster', 'Mystic', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 3605, 251, 417, 240, 208, 204, 253, 500, 500, 0, 0, 0, 70, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.84, 'true', 'NONE', 1, 0),
	(549, 20606, 'Kuran Kobold', '', 'kobold', 10.00, 15.00, 27, 'male', 'L2Monster', 'Fighter', 40, 814, 4.100, 318, 1.680, 40, 43, 30, 21, 20, 20, 2282, 116, 118, 127, 50, 107, 253, 0, 500, 0, 0, 0, 47, 110, 'kobold_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 1, 0),
	(550, 20607, 'Kuran Kobold Warrior', '', 'kobold', 10.00, 15.00, 28, 'male', 'L2Monster', 'Fighter', 40, 859, 4.200, 334, 1.710, 40, 43, 30, 21, 20, 20, 2415, 127, 127, 132, 54, 112, 253, 0, 500, 0, 0, 0, 47, 110, 'kobold_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 1, 0),
	(551, 20608, 'Patin Archer', '', 'skeleton_archer', 11.00, 27.00, 29, 'male', 'L2Monster', 'Ranger', 1100, 906, 4.300, 350, 1.740, 40, 43, 30, 21, 20, 20, 2454, 132, 138, 138, 58, 117, 253, 500, 500, 14, 0, 0, 40, 140, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.80, 'false', 'NONE', 1, 0),
	(552, 20609, 'Lakin Salamander', '', 'salamander', 16.00, 6.80, 30, 'male', 'L2Monster', 'Fighter', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 2566, 140, 149, 143, 62, 121, 253, 0, 500, 0, 0, 0, 64, 96, 'elemental_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.20, 'false', 'NONE', 1, 0),
	(553, 20610, 'Sentinel Of Water', '', 'monster_eye', 21.00, 43.00, 31, 'male', 'L2Monster', 'Mystic', 40, 1005, 4.500, 382, 1.800, 40, 43, 30, 21, 20, 20, 2600, 144, 161, 149, 67, 126, 253, 0, 500, 0, 0, 0, 90, 90, 'elemental_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(554, 20611, 'Dre Vanul Warrior', '', 'dre_vanul', 14.00, 36.00, 32, 'male', 'L2Monster', 'Fighter', 40, 1056, 4.600, 398, 1.830, 40, 43, 30, 21, 20, 20, 2770, 156, 173, 154, 74, 130, 253, 0, 500, 0, 0, 0, 80, 80, 'demonic_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.35, 'false', 'NONE', 1, 0),
	(555, 20612, 'Salamander Rowin', '', 'salamander', 16.00, 6.80, 33, 'male', 'L2Monster', 'Fighter', 40, 1109, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 3166, 181, 187, 160, 81, 135, 253, 500, 500, 0, 0, 0, 64, 96, 'elemental_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.20, 'false', 'NONE', 1, 0),
	(556, 20613, 'Lafi Lizardman', '', 'virud_lizardman', 10.00, 23.00, 27, 'male', 'L2Monster', 'Fighter', 40, 814, 4.100, 318, 1.680, 40, 43, 30, 21, 20, 20, 2282, 116, 118, 127, 50, 107, 253, 0, 500, 291, 0, 0, 43, 130, 'lizardman_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(557, 20614, 'Lafi Lizardman Scout', '', 'virud_lizardman_scout', 10.00, 22.00, 28, 'male', 'L2Monster', 'Ranger', 1100, 859, 4.200, 334, 1.710, 40, 43, 30, 21, 20, 20, 2257, 119, 127, 132, 54, 112, 253, 0, 500, 2507, 0, 0, 43, 130, 'lizardman_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.72, 'false', 'NONE', 1, 0),
	(558, 20615, 'Ritmal Swordsman', '', 'spartoi', 11.00, 27.00, 29, 'male', 'L2Monster', 'Fighter', 40, 906, 4.300, 350, 1.740, 40, 43, 30, 21, 20, 20, 2626, 140, 138, 138, 58, 117, 253, 500, 500, 73, 0, 0, 60, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(559, 20616, 'Lakin Undine', '', 'undine', 12.00, 27.00, 30, 'female', 'L2Monster', 'Mystic', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 3443, 188, 149, 143, 62, 121, 253, 0, 500, 0, 0, 0, 60, 60, 'elemental_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.35, 'false', 'NONE', 1, 0),
	(560, 20617, 'Sentinel Of Water', '', 'magical_weaver', 11.00, 20.00, 31, 'male', 'L2Monster', 'Mystic', 40, 1005, 4.500, 382, 1.800, 40, 43, 30, 21, 20, 20, 2625, 145, 161, 149, 67, 126, 253, 0, 500, 0, 0, 0, 90, 90, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 1, 0),
	(561, 20618, 'Kanil Succubus', '', 'succubus', 10.00, 36.00, 32, 'female', 'L2Monster', 'Mystic', 40, 1056, 4.600, 398, 1.830, 40, 43, 30, 21, 20, 20, 2919, 164, 173, 154, 74, 130, 253, 0, 500, 0, 0, 0, 60, 100, 'demonic_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.84, 'false', 'NONE', 1, 0),
	(562, 20619, 'Rowin Undine', '', 'undine', 12.00, 27.00, 33, 'female', 'L2Monster', 'Mystic', 40, 1109, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 3005, 173, 187, 160, 81, 135, 253, 500, 500, 0, 0, 0, 60, 60, 'elemental_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.35, 'false', 'NONE', 1, 0),
	(563, 20620, 'Cave Beast', '', 'troll', 21.00, 35.00, 61, 'male', 'L2Monster', 'Fighter', 40, 3137, 7.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 15494, 1363, 985, 379, 537, 320, 253, 500, 500, 0, 0, 0, 55, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(564, 20621, 'Death Wave', '', 'will_o_wisp', 13.00, 22.00, 62, 'male', 'L2Monster', 'Mystic', 40, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 16701, 1488, 1033, 389, 565, 329, 253, 500, 500, 0, 0, 0, 80, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.10, 'false', 'NONE', 1, 0),
	(565, 20622, 'Malruk Soldier', '', 'skeleton_royal_guard', 11.00, 28.50, 63, 'male', 'L2Monster', 'Fighter', 40, 3302, 7.700, 1251, 2.760, 40, 43, 30, 21, 20, 20, 17833, 1610, 1083, 399, 593, 337, 253, 500, 500, 221, 0, 0, 80, 174, 'malruk_clan', 500, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(566, 20623, 'Plando', '', 'virud_lizardman_scout', 10.00, 22.00, 64, 'male', 'L2Monster', 'Ranger', 1100, 3384, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 23778, 2177, 1134, 409, 624, 345, 253, 500, 500, 2507, 0, 0, 43, 174, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.72, 'false', 'NONE', 1, 0),
	(567, 20624, 'Cave Howler', '', 'twin_headed_giant', 17.00, 39.00, 65, 'male', 'L2Monster', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 24178, 2246, 1188, 419, 654, 354, 253, 500, 500, 0, 0, 0, 45, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(568, 20625, 'Malruk Knight', '', 'skeleton_knight', 10.00, 25.00, 66, 'male', 'L2Monster', 'Fighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 24146, 2273, 1242, 429, 686, 363, 253, 500, 500, 78, 0, 0, 40, 174, 'malruk_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.17, 'false', 'NONE', 1, 0),
	(569, 20626, 'Malruk Berserker', '', 'death_knight', 12.00, 30.00, 67, 'male', 'L2Monster', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 34656, 3300, 1299, 439, 719, 372, 253, 500, 500, 77, 0, 0, 27, 174, 'malruk_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 1, 0),
	(570, 20627, 'Malruk Lord', '', 'death_blader', 15.00, 45.00, 68, 'male', 'L2Monster', 'Fighter', 40, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 29789, 2878, 1358, 450, 753, 381, 253, 500, 500, 1472, 0, 0, 100, 174, 'malruk_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(571, 20628, 'Limal Karinness', '', 'bloody_queen', 14.00, 40.00, 69, 'female', 'L2Monster', 'Mystic', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 32098, 3140, 1419, 461, 788, 390, 253, 500, 500, 0, 0, 0, 80, 174, 'malruk_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(572, 20629, 'Karik', '', 'karik', 25.00, 90.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 39507, 3917, 1481, 471, 824, 399, 253, 500, 500, 0, 0, 0, 37, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(573, 20630, 'Taik Orc', '', 'ketra_orc', 12.00, 29.00, 40, 'male', 'L2Monster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 2792, 180, 305, 205, 145, 173, 253, 0, 500, 127, 0, 0, 45, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(574, 20631, 'Taik Orc Archer', '', 'ketra_orc_archer', 12.00, 27.00, 41, 'male', 'L2Monster', 'Ranger', 1100, 1593, 5.500, 560, 2.100, 40, 43, 30, 21, 20, 20, 3783, 247, 324, 211, 156, 180, 253, 0, 500, 14, 0, 0, 45, 174, 'orc_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.91, 'true', 'NONE', 1, 0),
	(575, 20632, 'Taik Orc Warrior', '', 'ketra_orc_warrior', 12.00, 24.00, 42, 'male', 'L2Monster', 'Fighter', 40, 1660, 5.600, 589, 2.130, 40, 43, 30, 21, 20, 20, 3774, 251, 345, 218, 168, 185, 253, 500, 500, 75, 0, 0, 36, 174, 'orc_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'true', 'NONE', 1, 0),
	(576, 20633, 'Taik Orc Shaman', '', 'ketra_orc_shaman', 10.00, 23.00, 43, 'male', 'L2Monster', 'Priest', 40, 1729, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 3682, 248, 369, 226, 181, 191, 253, 0, 500, 9, 0, 0, 10, 174, 'orc_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.34, 'true', 'NONE', 1, 0),
	(577, 20634, 'Taik Orc Captain', '', 'ketra_orc_warrior', 12.00, 24.00, 44, 'male', 'L2Monster', 'Fighter', 40, 1799, 5.800, 648, 2.190, 40, 43, 30, 21, 20, 20, 7065, 484, 392, 233, 194, 197, 253, 500, 500, 75, 104, 0, 36, 174, 'orc_clan', 300, 0, 20, 86, 7, 30, 4, 4, 0, -6, 0.54, 'true', 'NONE', 1, 0),
	(578, 20635, 'Carinkain', '', 'mana_vampire', 11.00, 20.00, 45, 'male', 'L2Monster', 'Mystic', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 3569, 248, 417, 240, 208, 204, 253, 500, 500, 0, 0, 0, 90, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'true', 'NONE', 1, 0),
	(579, 20636, 'Forest of Mirrors Ghost', '', 'dwarf_ghost', 9.00, 16.50, 46, 'male', 'L2Monster', 'Mystic', 40, 1943, 6.000, 708, 2.250, 40, 43, 30, 21, 20, 20, 3973, 282, 442, 248, 223, 210, 253, 500, 500, 0, 0, 0, 80, 174, 'mirrorforest_clan', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'true', 'NONE', 1, 0),
	(580, 20637, 'Forest of Mirrors Ghost', '', 'elf_ghost', 7.00, 21.00, 47, 'male', 'L2Monster', 'Mystic', 40, 2017, 6.100, 738, 2.280, 40, 43, 30, 21, 20, 20, 4148, 298, 469, 255, 238, 216, 253, 500, 500, 0, 0, 0, 80, 174, 'mirrorforest_clan', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'true', 'NONE', 1, 0),
	(581, 20638, 'Forest of Mirrors Ghost', '', 'human_ghost', 8.00, 22.00, 48, 'male', 'L2Monster', 'Mystic', 40, 2092, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 4326, 316, 498, 264, 254, 224, 253, 500, 500, 0, 0, 0, 80, 174, 'mirrorforest_clan', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'true', 'NONE', 1, 0),
	(582, 20639, 'Mirror', '', 'mirror', 26.00, 52.00, 49, 'male', 'L2Monster', 'Mystic', 40, 2168, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 10210, 755, 526, 271, 271, 230, 253, 0, 500, 0, 0, 0, 80, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'true', 'NONE', 1, 0),
	(583, 20640, 'Harit Lizardman', '', 'zenta_lizardman', 11.00, 32.00, 50, 'male', 'L2Monster', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 4363, 329, 558, 279, 289, 237, 253, 0, 500, 88, 945, 0, 37, 174, 'lizardman_clan', 300, 0, 20, 100, 7, 50, 1, 9, 0, -6, 0.28, 'true', 'NONE', 1, 0),
	(584, 20641, 'Harit Lizardman Grunt', '', 'zenta_lizardman', 11.00, 32.00, 51, 'male', 'L2Monster', 'Fighter', 40, 2323, 6.500, 861, 2.400, 40, 43, 30, 21, 20, 20, 5402, 412, 589, 288, 308, 244, 253, 0, 500, 70, 0, 0, 37, 174, 'lizardman_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'true', 'NONE', 1, 0),
	(585, 20642, 'Harit Lizardman Archer', '', 'zenta_lizardman_scout', 11.00, 30.00, 52, 'male', 'L2Monster', 'Ranger', 1100, 2402, 6.600, 892, 2.430, 40, 43, 30, 21, 20, 20, 5057, 391, 622, 296, 327, 251, 253, 500, 500, 14, 0, 0, 37, 174, 'lizardman_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.93, 'true', 'NONE', 1, 0),
	(586, 20643, 'Harit Lizardman Warrior', '', 'zenta_lizardman_warrior', 13.00, 35.00, 53, 'male', 'L2Monster', 'Fighter', 40, 2482, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 5199, 409, 656, 305, 347, 258, 253, 0, 500, 291, 0, 0, 40, 174, 'lizardman_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'true', 'NONE', 1, 0),
	(587, 20644, 'Harit Lizardman Shaman', '', 'zenta_lizardman_shaman', 13.00, 35.00, 54, 'male', 'L2Monster', 'Priest', 40, 2562, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 5089, 406, 692, 314, 368, 266, 253, 0, 500, 9, 0, 0, 43, 174, 'lizardman_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.63, 'true', 'NONE', 1, 0),
	(588, 20645, 'Harit Lizardman Matriarch', '', 'zenta_lizardman_matriarch', 20.00, 40.00, 55, 'male', 'L2Monster', 'Fighter', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 11444, 924, 730, 322, 389, 273, 253, 500, 500, 221, 0, 0, 53, 174, 'lizardman_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(589, 20646, 'Halingka', '', 'saber_toothed_tiger', 34.00, 28.00, 55, 'male', 'L2Monster', 'Fighter', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 8623, 696, 730, 322, 389, 273, 253, 0, 500, 0, 0, 0, 60, 170, 'beast_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(590, 20647, 'Yintzu', '', 'field_stalker', 15.00, 30.00, 56, 'male', 'L2Monster', 'Fighter', 40, 2725, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 8653, 710, 769, 331, 412, 280, 253, 500, 500, 0, 0, 0, 70, 110, 'beast_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.41, 'false', 'NONE', 1, 0),
	(591, 20648, 'Paliote', '', 'will_o_wisp', 13.00, 22.00, 57, 'male', 'L2Monster', 'Mystic', 40, 2807, 7.100, 1052, 2.580, 40, 43, 30, 21, 20, 20, 9826, 816, 809, 340, 435, 289, 253, 0, 500, 0, 0, 0, 80, 140, 'beast_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.10, 'false', 'NONE', 1, 0),
	(592, 20649, 'Hamrut', '', 'poison_spider', 27.00, 25.50, 58, 'male', 'L2Monster', 'Mystic', 40, 2889, 7.200, 1085, 2.610, 40, 43, 30, 21, 20, 20, 9781, 827, 851, 350, 459, 296, 253, 500, 500, 0, 0, 0, 60, 140, 'beast_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.65, 'false', 'NONE', 1, 0),
	(593, 20650, 'Kranrot', '', 'crimson_bear', 19.00, 36.00, 59, 'male', 'L2Monster', 'Fighter', 40, 2972, 7.300, 1118, 2.640, 40, 43, 30, 21, 20, 20, 10586, 905, 894, 359, 484, 305, 253, 500, 500, 0, 0, 0, 37, 170, 'beast_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(594, 20651, 'Gamlin', '', 'gamlin', 11.00, 32.00, 60, 'male', 'L2Monster', 'Fighter', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 9835, 853, 939, 369, 510, 312, 253, 0, 500, 0, 0, 0, 80, 170, 'giant_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(595, 20652, 'Leogul', '', 'leogul', 15.00, 35.00, 61, 'male', 'L2Monster', 'Fighter', 40, 3137, 7.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 10369, 913, 985, 379, 537, 320, 253, 500, 500, 0, 0, 0, 80, 170, 'giant_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.72, 'false', 'NONE', 1, 0),
	(596, 20653, 'Lesser Giant', '', 'lesser_giant', 21.00, 44.00, 61, 'male', 'L2Monster', 'Fighter', 40, 3137, 7.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 14612, 1286, 985, 379, 537, 320, 253, 0, 500, 3937, 0, 0, 15, 180, 'giant_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.58, 'false', 'NONE', 0, 0),
	(597, 20654, 'Lesser Giant Soldier', '', 'lesser_giant', 21.00, 44.00, 62, 'male', 'L2Monster', 'Fighter', 40, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 22406, 1997, 1033, 389, 565, 329, 253, 0, 500, 3937, 0, 0, 15, 180, 'giant_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.58, 'false', 'NONE', 1, 0),
	(598, 20655, 'Lesser Giant Shooter', '', 'lesser_giant_shooter', 21.00, 44.00, 63, 'male', 'L2Monster', 'Ranger', 1100, 3302, 7.700, 1251, 2.760, 40, 43, 30, 21, 20, 20, 18307, 1652, 1083, 399, 593, 337, 253, 500, 500, 4028, 0, 0, 80, 180, 'giant_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.63, 'false', 'NONE', 1, 0),
	(599, 20656, 'Lesser Giant Scout', '', 'lesser_giant_shooter', 21.00, 44.00, 63, 'male', 'L2Monster', 'Ranger', 1100, 3302, 7.700, 1251, 2.760, 40, 43, 30, 21, 20, 20, 16702, 1508, 1083, 399, 593, 337, 253, 500, 500, 4028, 0, 0, 80, 180, 'giant_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.63, 'false', 'NONE', 1, 0),
	(600, 20657, 'Lesser Giant Mage', '', 'lesser_giant_mage', 21.00, 44.00, 64, 'male', 'L2Monster', 'Mystic', 40, 3384, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 13228, 1211, 1134, 409, 624, 345, 253, 0, 500, 3938, 0, 0, 15, 180, 'giant_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(601, 20658, 'Lesser Giant Elder', '', 'lesser_giant_mage', 21.00, 44.00, 65, 'male', 'L2Monster', 'Mystic', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 12778, 1187, 1188, 419, 654, 354, 253, 0, 500, 3938, 0, 0, 15, 180, 'giant_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(602, 20659, 'Grave Wanderer', '', 'zombie', 13.00, 21.00, 45, 'male', 'L2Monster', 'Mystic', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 4948, 344, 417, 240, 208, 204, 253, 0, 500, 0, 0, 0, 15, 15, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'true', 'NONE', 1, 0),
	(603, 20660, 'Archer of Greed', '', 'skeleton_archer', 11.00, 27.00, 46, 'male', 'L2Monster', 'Ranger', 1100, 1943, 6.000, 708, 2.250, 40, 43, 30, 21, 20, 20, 4858, 344, 442, 248, 223, 210, 253, 500, 500, 14, 0, 0, 40, 174, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.80, 'true', 'NONE', 1, 0),
	(604, 20661, 'Hatar Ratman Thief', '', 'wererat', 14.00, 25.00, 47, 'male', 'L2Monster', 'Fighter', 40, 2017, 6.100, 738, 2.280, 40, 43, 30, 21, 20, 20, 4588, 329, 469, 255, 238, 216, 253, 0, 500, 946, 0, 0, 80, 174, 'hatar_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.61, 'true', 'NONE', 1, 0),
	(605, 20662, 'Hatar Ratman Boss', '', 'wererat', 14.00, 25.00, 48, 'male', 'L2Monster', 'Fighter', 40, 2092, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 4785, 349, 498, 264, 254, 224, 253, 0, 500, 221, 0, 0, 80, 174, 'hatar_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.61, 'true', 'NONE', 1, 0),
	(606, 20663, 'Hatar Hanishee', '', 'medusa', 10.00, 25.00, 49, 'female', 'L2Monster', 'Mystic', 40, 2168, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 4190, 310, 526, 271, 271, 230, 253, 0, 500, 0, 0, 0, 50, 174, 'hatar_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 1, 0),
	(607, 20664, 'Deprive', '', 'field_stalker', 15.00, 30.00, 50, 'male', 'L2Monster', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 4406, 332, 558, 279, 289, 237, 253, 500, 500, 0, 0, 0, 70, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'true', 'NONE', 1, 0),
	(608, 20665, 'Taik Orc Supply', '', 'ketra_orc', 12.00, 29.00, 51, 'male', 'L2Monster', 'Priest', 40, 2323, 6.500, 861, 2.400, 40, 43, 30, 21, 20, 20, 5402, 412, 589, 288, 308, 244, 253, 0, 500, 69, 0, 0, 45, 174, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(609, 20666, 'Taik Orc Seeker', '', 'ketra_orc', 12.00, 29.00, 52, 'male', 'L2Monster', 'Fighter', 40, 2402, 6.600, 892, 2.430, 40, 43, 30, 21, 20, 20, 5616, 434, 622, 296, 327, 251, 253, 0, 500, 72, 0, 0, 45, 174, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(610, 20667, 'Farcran', '', 'crimson_bear', 19.00, 36.00, 53, 'male', 'L2Monster', 'Fighter', 40, 2482, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 5776, 454, 656, 305, 347, 258, 253, 0, 500, 0, 0, 0, 37, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'true', 'NONE', 1, 0),
	(611, 20668, 'Grave Guard', '', 'gargoyle', 16.00, 50.00, 54, 'male', 'L2Monster', 'Fighter', 40, 2562, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 5140, 409, 692, 314, 368, 266, 253, 500, 500, 0, 0, 0, 140, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(612, 20669, 'Taik Orc Supply Leader', '', 'ketra_orc_warrior', 12.00, 24.00, 55, 'male', 'L2Monster', 'Priest', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 6408, 517, 730, 322, 389, 273, 253, 500, 500, 75, 0, 0, 36, 174, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 1, 0),
	(613, 20670, 'Crimson Drake', '', 'drake', 30.00, 100.00, 61, 'male', 'L2Monster', 'Mystic', 40, 3137, 7.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 6558, 577, 985, 379, 537, 320, 253, 500, 500, 0, 0, 0, 70, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.84, 'false', 'NONE', 1, 0),
	(614, 20671, 'Kadios', '', 'devastator', 35.00, 35.00, 62, 'male', 'L2Monster', 'Fighter', 40, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 6843, 610, 1033, 389, 565, 329, 253, 500, 500, 0, 0, 0, 25, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 1, 0),
	(615, 20672, 'Trives', '', 'serpent_slave', 17.00, 46.00, 63, 'male', 'L2Monster', 'Fighter', 40, 3302, 7.700, 1251, 2.760, 40, 43, 30, 21, 20, 20, 6927, 625, 1083, 399, 593, 337, 253, 0, 500, 127, 0, 0, 70, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(616, 20673, 'Falibati', '', 'cave_maiden', 25.00, 65.00, 64, 'female', 'L2Monster', 'Fighter', 40, 3384, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 7219, 661, 1134, 409, 624, 345, 253, 500, 500, 73, 0, 0, 70, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 1, 0),
	(617, 20674, 'Doom Knight', '', 'death_blader', 15.00, 45.00, 65, 'male', 'L2Monster', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 10379, 965, 1188, 419, 654, 354, 253, 500, 500, 1472, 0, 0, 100, 174, 'doom_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(618, 20675, 'Tairim', '', 'will_o_wisp', 13.00, 22.00, 50, 'male', 'L2Monster', 'Mystic', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 4581, 346, 558, 279, 289, 237, 253, 0, 500, 0, 0, 0, 80, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.10, 'false', 'NONE', 1, 0),
	(619, 20676, 'Judge of Marsh', '', 'hanged_man_ripper', 35.00, 80.00, 65, 'male', 'L2Monster', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 7447, 692, 1188, 419, 654, 354, 253, 500, 500, 0, 0, 0, 55, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(620, 20677, 'Tulben', '', 'vampire_bat', 10.00, 33.50, 66, 'male', 'L2Monster', 'Mystic', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 8363, 787, 1242, 429, 686, 363, 253, 0, 500, 0, 0, 0, 60, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'true', 'NONE', 1, 0),
	(621, 20678, 'Tortured Undead', '', 'hungry_spirit', 13.00, 40.00, 53, 'male', 'L2Monster', 'Fighter', 40, 2482, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 4902, 385, 656, 305, 347, 258, 253, 0, 500, 0, 0, 0, 15, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(622, 20679, 'Marsh Stalker', '', 'gargoyle', 16.00, 50.00, 54, 'male', 'L2Monster', 'Fighter', 40, 2562, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 5039, 402, 692, 314, 368, 266, 253, 0, 500, 0, 0, 0, 140, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(623, 20680, 'Marsh Drake', '', 'drake', 30.00, 100.00, 55, 'male', 'L2Monster', 'Mystic', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 5332, 431, 730, 322, 389, 273, 253, 500, 500, 0, 0, 0, 70, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.84, 'true', 'NONE', 1, 0),
	(624, 20681, 'Vanor Silenos', '', 'heltor_silenos', 13.00, 29.00, 45, 'male', 'L2Monster', 'Fighter', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 3711, 258, 417, 240, 208, 204, 253, 0, 500, 88, 0, 0, 34, 174, 'silenos_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(625, 20682, 'Vanor Silenos Grunt', '', 'heltor_silenos', 13.00, 29.00, 46, 'male', 'L2Monster', 'Fighter', 40, 1943, 6.000, 708, 2.250, 40, 43, 30, 21, 20, 20, 3693, 262, 442, 248, 223, 210, 253, 0, 500, 158, 18, 0, 34, 174, 'silenos_clan', 300, 0, 20, 91, 7, 50, 1, 9, 0, -6, 0.46, 'true', 'NONE', 1, 0),
	(626, 20683, 'Vanor Silenos Scout', '', 'heltor_silenos', 13.00, 29.00, 47, 'male', 'L2Monster', 'Fighter', 40, 2017, 6.100, 738, 2.280, 40, 43, 30, 21, 20, 20, 4805, 344, 469, 255, 238, 216, 253, 500, 500, 5, 0, 0, 34, 174, 'silenos_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(627, 20684, 'Vanor Silenos Warrior', '', 'heltor_silenos_warrior', 13.00, 31.00, 48, 'male', 'L2Monster', 'Fighter', 40, 2092, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 5026, 367, 498, 264, 254, 224, 253, 0, 500, 160, 0, 0, 36, 174, 'silenos_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.39, 'true', 'NONE', 1, 0),
	(628, 20685, 'Vanor Silenos Shaman', '', 'heltor_silenos_shaman', 13.00, 32.00, 49, 'male', 'L2Monster', 'Priest', 40, 2168, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 4190, 310, 526, 271, 271, 230, 253, 0, 500, 9, 0, 0, 29, 174, 'silenos_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.22, 'true', 'NONE', 1, 0),
	(629, 20686, 'Vanor Silenos Chieftain', '', 'heltor_silenos_chieftain', 13.00, 31.50, 50, 'male', 'L2Monster', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 8731, 658, 558, 279, 289, 237, 253, 0, 500, 75, 0, 0, 27, 174, 'silenos_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'true', 'NONE', 1, 0),
	(630, 20738, 'Kobold Looter Bepook', '', 'kobold_bi', 15.00, 24.00, 13, 'male', 'L2Monster', 'Fighter', 40, 339, 2.700, 147, 1.260, 40, 43, 30, 21, 20, 20, 1326, 52, 34, 71, 12, 59, 253, 500, 500, 4, 0, 0, 47, 110, 'partisan_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(631, 20739, 'Bepook\'s Pet', '', 'wolf', 13.00, 9.00, 10, 'male', 'L2Minion', 'Fighter', 40, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 220, 7, 25, 62, 8, 51, 253, 0, 500, 0, 0, 0, 24, 110, 'partisan_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(632, 20742, 'Mystical Weaver', '', 'magical_weaver', 11.00, 20.00, 22, 'male', 'L2Monster', 'Mystic', 40, 612, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 821, 38, 78, 104, 29, 87, 253, 0, 500, 0, 0, 0, 90, 90, 'partisan_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(633, 20743, 'Howler', '', 'werewolf', 10.00, 26.00, 25, 'male', 'L2Monster', 'Fighter', 40, 728, 3.900, 288, 1.620, 40, 43, 30, 21, 20, 20, 1012, 50, 100, 118, 42, 99, 253, 500, 500, 0, 0, 0, 50, 120, 'partisan_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(634, 20744, 'Red Eye Vampire Bat', '', 'vampire_bat', 10.00, 33.50, 22, 'male', 'L2Monster', 'Mystic', 40, 612, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 821, 38, 78, 104, 29, 87, 253, 0, 500, 0, 0, 0, 60, 80, 'partisan_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(635, 20745, 'Gigantiops', '', 'ant_soldier', 35.00, 17.00, 35, 'male', 'L2Monster', 'Fighter', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 3218, 191, 216, 172, 96, 146, 253, 500, 500, 0, 0, 0, 80, 174, 'ant_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(636, 20746, 'Young Gigantiops', '', 'ant', 26.00, 15.00, 31, 'male', 'L2Minion', 'Fighter', 40, 1005, 4.500, 382, 1.800, 40, 43, 30, 21, 20, 20, 2475, 137, 161, 149, 67, 126, 253, 0, 500, 0, 0, 0, 40, 139, 'ant_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.26, 'false', 'NONE', 1, 0),
	(637, 20747, 'Roxide', '', 'succubus', 10.00, 36.00, 32, 'female', 'L2Monster', 'Mystic', 40, 1056, 4.600, 398, 1.830, 40, 43, 30, 21, 20, 20, 3504, 197, 173, 154, 74, 130, 253, 500, 500, 0, 0, 0, 60, 159, 'demonic_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.84, 'false', 'NONE', 1, 0),
	(638, 20748, 'Roxide Cohort', '', 'spartoi', 11.00, 27.00, 29, 'male', 'L2Minion', 'Fighter', 40, 906, 4.300, 350, 1.740, 40, 43, 30, 21, 20, 20, 3240, 174, 138, 138, 58, 117, 253, 0, 500, 73, 0, 0, 60, 159, 'demonic_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(639, 20749, 'Death Fire', '', 'dre_vanul', 14.00, 36.00, 32, 'male', 'L2Monster', 'Fighter', 40, 1056, 4.600, 398, 1.830, 40, 43, 30, 21, 20, 20, 3504, 197, 173, 154, 74, 130, 253, 500, 500, 0, 0, 0, 80, 159, 'demonic_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.35, 'false', 'NONE', 1, 0),
	(640, 20750, 'Fire Archer', '', 'skeleton_archer', 11.00, 27.00, 29, 'male', 'L2Minion', 'Ranger', 1100, 906, 4.300, 350, 1.740, 40, 43, 30, 21, 20, 20, 3354, 180, 138, 138, 58, 117, 253, 0, 500, 14, 0, 0, 40, 159, 'demonic_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.80, 'false', 'NONE', 1, 0),
	(641, 20751, 'Snipe', '', 'onyx_beast', 14.00, 14.50, 44, 'male', 'L2Monster', 'Fighter', 40, 1799, 5.800, 648, 2.190, 40, 43, 30, 21, 20, 20, 13373, 880, 392, 233, 194, 197, 253, 500, 500, 0, 0, 0, 30, 174, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.24, 'false', 'NONE', 1, 0),
	(642, 20752, 'Snipe Cohort', '', 'onyx_beast', 14.00, 14.50, 42, 'male', 'L2Minion', 'Fighter', 40, 1660, 5.600, 589, 2.130, 40, 43, 30, 21, 20, 20, 7085, 451, 345, 218, 168, 185, 253, 0, 500, 0, 0, 0, 30, 174, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.24, 'false', 'NONE', 1, 0),
	(643, 20753, 'Dark Lord', '', 'death_blader', 15.00, 45.00, 50, 'male', 'L2Monster', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 11417, 826, 558, 279, 289, 237, 253, 500, 500, 1472, 0, 0, 100, 174, 'undead_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(644, 20754, 'Dark Knight', '', 'death_knight', 12.00, 30.00, 48, 'male', 'L2Minion', 'Fighter', 40, 2092, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 12549, 887, 498, 264, 254, 224, 253, 0, 500, 127, 0, 0, 27, 174, 'undead_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 1, 0),
	(645, 20755, 'Talakin', '', 'ol_mahum_champion', 14.00, 27.00, 30, 'male', 'L2Monster', 'Fighter', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 2364, 130, 149, 143, 62, 121, 253, 500, 500, 2, 0, 0, 50, 133, 'ol_mahum_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.63, 'false', 'NONE', 1, 0),
	(646, 20756, 'Talakin Archer', '', 'ol_mahum_archer', 14.00, 25.00, 28, 'male', 'L2Minion', 'Ranger', 1100, 859, 4.200, 334, 1.710, 40, 43, 30, 21, 20, 20, 2261, 119, 127, 132, 54, 112, 253, 0, 500, 14, 0, 0, 50, 133, 'ol_mahum_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.93, 'false', 'NONE', 1, 0),
	(647, 20757, 'Talakin Raider', '', 'ol_mahum', 13.50, 25.00, 27, 'male', 'L2Minion', 'Fighter', 40, 814, 4.100, 318, 1.680, 40, 43, 30, 21, 20, 20, 1657, 85, 118, 127, 50, 107, 253, 0, 500, 3, 0, 0, 50, 133, 'ol_mahum_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(648, 20758, 'Dragon Bearer Chief', '', 'spartoi', 11.00, 27.00, 49, 'male', 'L2Monster', 'Fighter', 40, 2168, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 6307, 467, 526, 271, 271, 230, 253, 500, 500, 123, 945, 0, 60, 174, 'cave_servant_clan', 300, 0, 20, 97, 7, 30, 4, 4, 0, -6, 0.30, 'false', 'NONE', 1, 0),
	(649, 20759, 'Dragon Bearer Warrior', '', 'skeleton', 11.00, 25.00, 48, 'male', 'L2Minion', 'Fighter', 40, 2092, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 5934, 433, 498, 264, 254, 224, 253, 0, 500, 2, 945, 0, 60, 174, 'cave_servant_clan', 300, 0, 20, 95, 7, 30, 4, 4, 0, -6, 0.30, 'false', 'NONE', 1, 0),
	(650, 20760, 'Dragon Bearer Archer', '', 'skeleton_archer', 11.00, 27.00, 47, 'male', 'L2Minion', 'Ranger', 1100, 2017, 6.100, 738, 2.280, 40, 43, 30, 21, 20, 20, 6165, 442, 469, 255, 238, 216, 253, 0, 500, 14, 0, 0, 40, 174, 'cave_servant_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.80, 'false', 'NONE', 1, 0),
	(651, 20761, 'Pytan', '', 'bloody_queen', 14.00, 40.00, 69, 'female', 'L2Monster', 'Mystic', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 23881, 2336, 1419, 461, 788, 390, 253, 500, 500, 0, 0, 0, 80, 174, 'malruk_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(652, 20762, 'Pytan Knight', '', 'death_blader', 15.00, 45.00, 68, 'male', 'L2Minion', 'Fighter', 40, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 16852, 1628, 1358, 450, 753, 381, 253, 0, 500, 1472, 0, 0, 100, 174, 'malruk_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(653, 20763, 'Lord of the Plains', '', 'zenta_lizardman_matriarch', 20.00, 40.00, 40, 'male', 'L2Monster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 4644, 300, 305, 205, 145, 173, 253, 500, 500, 221, 0, 0, 53, 174, 'lizardman_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(654, 20764, 'Shaman of the Plains', '', 'zenta_lizardman_shaman', 13.00, 35.00, 39, 'male', 'L2Minion', 'Priest', 40, 1463, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 4150, 264, 285, 197, 133, 167, 253, 0, 500, 179, 0, 0, 43, 174, 'lizardman_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.63, 'false', 'NONE', 1, 0),
	(655, 20765, 'Warrior of the Plains', '', 'zenta_lizardman_warrior', 13.00, 35.00, 38, 'male', 'L2Minion', 'Fighter', 40, 1400, 5.200, 497, 2.010, 40, 43, 30, 21, 20, 20, 3591, 224, 267, 191, 124, 162, 253, 0, 500, 16, 0, 0, 40, 174, 'lizardman_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(656, 20766, 'Scout of the Plains', '', 'zenta_lizardman_scout', 11.00, 30.00, 36, 'male', 'L2Minion', 'Ranger', 1100, 1279, 5.000, 464, 1.950, 40, 43, 30, 21, 20, 20, 3192, 193, 232, 179, 105, 151, 253, 0, 500, 14, 0, 0, 37, 174, 'lizardman_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.93, 'false', 'NONE', 1, 0),
	(657, 20767, 'Timak Orc Troop Leader', '', 'batur_orc_overlord', 12.00, 24.00, 45, 'male', 'L2Monster', 'TimakOrcTroopLeader', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 5762, 401, 417, 240, 208, 204, 253, 0, 500, 79, 0, 0, 80, 174, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 1, 0),
	(658, 20768, 'Timak Orc Troop Shaman', '', 'batur_orc_shaman', 11.00, 16.00, 44, 'male', 'L2Monster', 'Priest', 40, 1799, 5.800, 648, 2.190, 40, 43, 30, 21, 20, 20, 5559, 380, 392, 233, 194, 197, 253, 0, 500, 7, 0, 0, 50, 174, 'orc_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(659, 20769, 'Timak Orc Troop Warrior', '', 'batur_orc_warrior', 10.00, 20.00, 43, 'male', 'L2Monster', 'Fighter', 40, 1729, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 4421, 299, 369, 226, 181, 191, 253, 0, 500, 123, 19, 0, 80, 174, 'orc_clan', 300, 0, 20, 84, 7, 30, 4, 4, 0, -6, 0.30, 'false', 'NONE', 0, 0),
	(660, 20770, 'Timak Orc Troop Archer', '', 'batur_orc_archer', 11.00, 21.50, 41, 'male', 'L2Monster', 'Ranger', 1100, 1593, 5.500, 560, 2.100, 40, 43, 30, 21, 20, 20, 5183, 340, 324, 211, 156, 180, 253, 0, 500, 13, 0, 0, 45, 174, 'orc_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.96, 'false', 'NONE', 0, 0),
	(661, 20771, 'Barif', '', 'lesser_giant_mage', 21.00, 44.00, 64, 'male', 'L2Monster', 'Mystic', 40, 3384, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 15637, 1432, 1134, 409, 624, 345, 253, 500, 500, 3938, 0, 0, 15, 180, 'giant_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(662, 20772, 'Barif\'s Pet', '', 'leogul', 15.00, 35.00, 61, 'male', 'L2Minion', 'Fighter', 40, 3137, 7.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 15199, 1338, 985, 379, 537, 320, 253, 0, 500, 0, 0, 0, 80, 170, 'giant_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.72, 'false', 'NONE', 1, 0),
	(663, 20773, 'Conjurer Bat Lord', '', 'vampire_bat', 10.00, 33.50, 72, 'male', 'L2Monster', 'Fighter', 40, 4013, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 12643, 1284, 1612, 494, 899, 418, 253, 500, 500, 0, 0, 0, 60, 174, 'giant_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(664, 20774, 'Conjurer Bat', '', 'vampire_bat', 10.00, 33.50, 70, 'male', 'L2Minion', 'Mystic', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 13368, 1326, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 60, 174, 'giant_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(665, 20775, 'Bugbear Raider', '', 'bugbear', 17.00, 35.00, 17, 'male', 'L2Monster', 'Fighter', 40, 446, 3.100, 184, 1.380, 40, 43, 30, 21, 20, 20, 600, 25, 49, 84, 22, 70, 253, 0, 500, 0, 0, 0, 55, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'true', 'NONE', 1, 0),
	(666, 20776, 'Dark Succubus', '', 'succubus', 10.00, 36.00, 20, 'female', 'L2Monster', 'Mystic', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 784, 35, 65, 96, 24, 80, 253, 0, 500, 0, 0, 0, 60, 100, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.84, 'true', 'NONE', 1, 0),
	(667, 20777, 'Hunter Bear', '', 'grizzly', 21.00, 40.00, 14, 'male', 'L2Monster', 'Fighter', 40, 364, 2.800, 156, 1.290, 40, 43, 30, 21, 20, 20, 499, 19, 37, 75, 13, 61, 253, 0, 500, 0, 0, 0, 40, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'true', 'NONE', 1, 0),
	(668, 20778, 'Ragna Orc Overlord', '', 'orc_champion', 10.00, 23.00, 39, 'male', 'L2Monster', 'Fighter', 40, 1463, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 2973, 188, 285, 197, 133, 167, 253, 0, 500, 2, 0, 0, 45, 174, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.76, 'false', 'NONE', 1, 0),
	(669, 20779, 'Ragna Orc Seer', '', 'orc_shaman', 9.00, 22.00, 39, 'male', 'L2Monster', 'Priest', 40, 1463, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 2655, 169, 285, 197, 133, 167, 253, 0, 500, 7, 0, 0, 45, 174, 'orc_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.26, 'false', 'NONE', 1, 0),
	(670, 20780, 'Bloody Axe Elite', '', 'ol_mahum_champion', 14.00, 27.00, 35, 'male', 'L2Monster', 'Fighter', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 2159, 127, 216, 172, 96, 146, 253, 500, 500, 2, 0, 0, 50, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.63, 'true', 'NONE', 1, 0),
	(671, 20781, 'Delu Lizardman Shaman', '', 'virud_lizardman_shaman', 10.00, 29.00, 35, 'male', 'L2Monster', 'Priest', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 2138, 126, 216, 172, 96, 146, 253, 0, 500, 7, 0, 0, 43, 174, 'lizardman_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(672, 20782, 'Ol Mahum Novice', '', 'ol_mahum', 13.50, 25.00, 17, 'male', 'L2Monster', 'Fighter', 40, 446, 3.100, 184, 1.380, 40, 43, 30, 21, 20, 20, 618, 26, 49, 84, 22, 70, 253, 500, 500, 1, 0, 0, 50, 110, 'ol_mahum_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(673, 20783, 'Dread Wolf', '', 'dire_wolf', 13.00, 11.00, 35, 'male', 'L2Monster', 'Fighter', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 981, 58, 216, 172, 96, 146, 253, 500, 500, 0, 0, 0, 24, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'true', 'NONE', 1, 0),
	(674, 20784, 'Tasaba Lizardman', '', 'virud_lizardman_scout', 10.00, 22.00, 36, 'male', 'L2Monster', 'Ranger', 1100, 1279, 5.000, 464, 1.950, 40, 43, 30, 21, 20, 20, 1111, 67, 232, 179, 105, 151, 253, 0, 500, 2507, 0, 0, 43, 140, 'lizardman_clan1', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.72, 'true', 'NONE', 1, 0),
	(675, 20785, 'Tasaba Lizardman Shaman', '', 'virud_lizardman_shaman', 10.00, 29.00, 37, 'male', 'L2Monster', 'Priest', 40, 1339, 5.100, 480, 1.980, 40, 43, 30, 21, 20, 20, 1075, 66, 249, 185, 113, 156, 253, 0, 500, 7, 0, 0, 43, 140, 'lizardman_clan1', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.48, 'true', 'NONE', 1, 0),
	(676, 20786, 'Lienrik', '', 'lienrik', 12.00, 50.00, 39, 'male', 'L2Monster', 'Fighter', 40, 1463, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 1195, 76, 285, 197, 133, 167, 253, 0, 500, 0, 0, 0, 100, 150, 'lienrik_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(677, 20787, 'Lienrik Lad', '', 'lienrik', 12.00, 50.00, 40, 'male', 'L2Monster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 1453, 94, 305, 205, 145, 173, 253, 500, 500, 0, 0, 0, 100, 174, 'lienrik_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(678, 20788, 'Rakul', '', 'rakul', 30.00, 39.00, 35, 'male', 'L2Monster', 'Fighter', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 2544, 150, 216, 172, 96, 146, 253, 0, 500, 3, 0, 0, 60, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'true', 'NONE', 1, 0),
	(679, 20789, 'Crokian', '', 'crokian', 18.00, 29.00, 36, 'male', 'L2Monster', 'Fighter', 40, 1279, 5.000, 464, 1.950, 40, 43, 30, 21, 20, 20, 2399, 145, 232, 179, 105, 151, 253, 500, 500, 5128, 0, 0, 18, 174, 'croc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.78, 'true', 'NONE', 1, 0),
	(680, 20790, 'Dailaon', '', 'dailaon', 20.00, 28.00, 37, 'male', 'L2Monster', 'Ranger', 1100, 1339, 5.100, 480, 1.980, 40, 43, 30, 21, 20, 20, 3081, 190, 249, 185, 113, 156, 253, 0, 500, 5127, 0, 0, 18, 174, 'croc_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.91, 'true', 'NONE', 1, 0),
	(681, 20791, 'Crokian Warrior', '', 'crokian', 18.00, 29.00, 38, 'male', 'L2Monster', 'Fighter', 40, 1400, 5.200, 497, 2.010, 40, 43, 30, 21, 20, 20, 5307, 331, 267, 191, 124, 162, 253, 500, 500, 5128, 0, 0, 18, 174, 'croc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.78, 'true', 'NONE', 1, 0),
	(682, 20792, 'Farhite', '', 'farhite', 16.00, 31.00, 39, 'male', 'L2Monster', 'Fighter', 40, 1463, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 4938, 314, 285, 197, 133, 167, 253, 0, 500, 5131, 0, 0, 15, 174, 'croc_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.74, 'true', 'NONE', 1, 0),
	(683, 20793, 'Nos', '', 'nos', 26.00, 42.00, 40, 'male', 'L2Monster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 5404, 349, 305, 205, 145, 173, 253, 500, 500, 5130, 0, 0, 18, 174, 'croc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.78, 'true', 'NONE', 1, 0),
	(684, 20794, 'Blade Stakato', '', 'blade_stakato', 15.00, 36.00, 41, 'male', 'L2Monster', 'Fighter', 40, 1593, 5.500, 560, 2.100, 40, 43, 30, 21, 20, 20, 5048, 330, 324, 211, 156, 180, 253, 0, 500, 223, 0, 0, 25, 174, 'stakato_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(685, 20795, 'Blade Stakato Worker', '', 'blade_stakato_worker', 13.00, 40.00, 42, 'male', 'L2Monster', 'Fighter', 40, 1660, 5.600, 589, 2.130, 40, 43, 30, 21, 20, 20, 4772, 318, 345, 218, 168, 185, 253, 0, 500, 226, 0, 0, 25, 174, 'stakato_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.76, 'false', 'NONE', 1, 0),
	(686, 20796, 'Blade Stakato Warrior', '', 'blade_stakato_soldier', 15.00, 38.00, 43, 'male', 'L2Monster', 'Fighter', 40, 1729, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 5102, 344, 369, 226, 181, 191, 253, 500, 500, 232, 0, 0, 25, 174, 'stakato_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.74, 'false', 'NONE', 1, 0),
	(687, 20797, 'Blade Stakato Drone', '', 'blade_stakato_drone', 15.00, 39.00, 44, 'male', 'L2Monster', 'Fighter', 40, 1799, 5.800, 648, 2.190, 40, 43, 30, 21, 20, 20, 7754, 530, 392, 233, 194, 197, 253, 0, 500, 74, 0, 0, 25, 174, 'stakato_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.58, 'false', 'NONE', 1, 0),
	(688, 20798, 'Water Giant', '', 'water_giant', 13.00, 44.00, 45, 'male', 'L2Monster', 'Fighter', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 6270, 436, 417, 240, 208, 204, 253, 500, 500, 5132, 0, 0, 35, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(689, 20799, 'Queen Undine Lad', '', 'undine', 12.00, 27.00, 46, 'female', 'L2Monster', 'Mystic', 40, 1943, 6.000, 708, 2.250, 40, 43, 30, 21, 20, 20, 6312, 448, 442, 248, 223, 210, 253, 0, 500, 0, 0, 0, 60, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.35, 'false', 'NONE', 1, 0),
	(690, 20800, 'Eva\'s Seeker', '', 'field_stalker', 15.00, 30.00, 47, 'male', 'L2Monster', 'Fighter', 40, 2017, 6.100, 738, 2.280, 40, 43, 30, 21, 20, 20, 5917, 424, 469, 255, 238, 216, 253, 0, 500, 0, 0, 0, 70, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'false', 'NONE', 1, 0),
	(691, 20801, 'Theeder Piker', '', 'theeder', 9.00, 32.00, 48, 'male', 'L2Monster', 'Fighter', 80, 2092, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 7134, 521, 498, 264, 254, 224, 253, 500, 500, 302, 0, 0, 80, 174, 'theeder_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(692, 20802, 'Theeder Mage', '', 'theeder', 9.00, 32.00, 49, 'male', 'L2Monster', 'Mystic', 40, 2168, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 7262, 536, 526, 271, 271, 230, 253, 0, 500, 192, 0, 0, 80, 174, 'theeder_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.45, 'false', 'NONE', 1, 0),
	(693, 20803, 'Doll Master', '', 'doll_master', 20.00, 42.00, 50, 'male', 'L2Monster', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 14218, 1072, 558, 279, 289, 237, 253, 500, 500, 0, 0, 0, 80, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(694, 20804, 'Crokian Lad', '', 'crokian_100_bi', 36.00, 61.00, 41, 'male', 'L2Monster', 'Fighter', 40, 1593, 5.500, 560, 2.100, 40, 43, 30, 21, 20, 20, 6178, 404, 324, 211, 156, 180, 253, 500, 500, 5128, 0, 0, 18, 174, 'croc_clan2', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.78, 'false', 'NONE', 1, 0),
	(695, 20805, 'Dailaon Lad', '', 'dailaon_100_bi', 40.00, 58.00, 42, 'male', 'L2Monster', 'Ranger', 1100, 1660, 5.600, 589, 2.130, 40, 43, 30, 21, 20, 20, 6697, 446, 345, 218, 168, 185, 253, 0, 500, 5127, 0, 0, 18, 174, 'croc_clan2', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.91, 'false', 'NONE', 1, 0),
	(696, 20806, 'Crokian Lad Warrior', '', 'crokian_100_bi', 36.00, 61.00, 43, 'male', 'L2Monster', 'Fighter', 40, 1729, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 6428, 434, 369, 226, 181, 191, 253, 500, 500, 5128, 0, 0, 18, 174, 'croc_clan2', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.78, 'false', 'NONE', 1, 0),
	(697, 20807, 'Farhite Lad', '', 'farhite_50_bi', 24.00, 48.00, 44, 'male', 'L2Monster', 'Fighter', 40, 1799, 5.800, 648, 2.190, 40, 43, 30, 21, 20, 20, 6761, 463, 392, 233, 194, 197, 253, 0, 500, 5131, 0, 0, 15, 174, 'croc_clan2', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.74, 'false', 'NONE', 1, 0),
	(698, 20808, 'Nos Lad', '', 'nos_100_bi', 52.00, 86.00, 45, 'male', 'L2Monster', 'Fighter', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 8371, 582, 417, 240, 208, 204, 253, 500, 500, 128, 0, 0, 18, 174, 'croc_clan2', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.78, 'false', 'NONE', 1, 0),
	(699, 20809, 'Ghost of the Tower', '', 'human_ghost', 8.00, 22.00, 60, 'male', 'L2Monster', 'Mystic', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 14562, 1264, 939, 369, 510, 312, 253, 500, 500, 0, 0, 0, 80, 143, 'tower_ghost_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.39, 'false', 'NONE', 1, 0),
	(700, 20810, 'Seer of Hallate', '', 'field_stalker', 15.00, 30.00, 60, 'male', 'L2Monster', 'Fighter', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 14562, 1264, 939, 369, 510, 312, 253, 500, 500, 0, 0, 0, 70, 170, 'hallate_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.41, 'false', 'NONE', 1, 0),
	(701, 20811, 'Ghastly Warrior', '', 'unpleasant_humming', 12.00, 26.00, 61, 'male', 'L2Monster', 'Fighter', 40, 3137, 7.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 17170, 1511, 985, 379, 537, 320, 253, 500, 500, 0, 0, 0, 21, 150, 'tower_ghost_clan', 400, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.59, 'false', 'NONE', 1, 0),
	(702, 20812, 'Archer of Despair', '', 'skeleton_archer', 11.00, 27.00, 61, 'male', 'L2Monster', 'Ranger', 1100, 3137, 7.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 16950, 1492, 985, 379, 537, 320, 253, 500, 500, 284, 0, 0, 40, 160, 'tower_ghost_clan', 400, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.80, 'false', 'NONE', 1, 0),
	(703, 20813, 'Crendion', '', 'liviona', 15.00, 28.00, 62, 'male', 'L2Monster', 'Fighter', 40, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 15397, 1372, 1033, 389, 565, 329, 253, 500, 500, 0, 0, 0, 80, 160, 'tower_ghost_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(704, 20814, 'Blader of Despair', '', 'spartoi', 11.00, 27.00, 62, 'male', 'L2Monster', 'Fighter', 80, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 17778, 1584, 1033, 389, 565, 329, 253, 500, 500, 79, 0, 0, 60, 143, 'tower_ghost_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(705, 20815, 'Hound Dog of Hallate', '', 'dire_wolf', 13.00, 11.00, 63, 'male', 'L2Monster', 'Fighter', 40, 3302, 7.700, 1251, 2.760, 40, 43, 30, 21, 20, 20, 22001, 1986, 1083, 399, 593, 337, 253, 500, 500, 0, 0, 0, 24, 165, 'hallate_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.39, 'false', 'NONE', 1, 0),
	(706, 20816, 'Hallate\'s Royal Guard', '', 'skeleton_royal_guard', 11.00, 28.50, 63, 'male', 'L2Monster', 'Fighter', 40, 3302, 7.700, 1251, 2.760, 40, 43, 30, 21, 20, 20, 18356, 1657, 1083, 399, 593, 337, 253, 500, 500, 946, 945, 0, 80, 164, 'hallate_clan', 400, 0, 20, 131, 7, 10, 8, 4, 0, -6, 0.52, 'false', 'NONE', 1, 0),
	(707, 20817, 'Corrupt Sage', '', 'vale_master', 12.00, 40.00, 64, 'male', 'L2Monster', 'Mystic', 40, 3384, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 19137, 1752, 1134, 409, 624, 345, 253, 500, 500, 210, 0, 0, 70, 160, 'tower_ghost_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.74, 'false', 'NONE', 1, 0),
	(708, 20818, 'Hallate\'s Warrior', '', 'skeleton_knight', 10.00, 25.00, 64, 'male', 'L2Monster', 'Fighter', 40, 3384, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 17735, 1624, 1134, 409, 624, 345, 253, 500, 500, 78, 0, 0, 40, 160, 'hallate_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.17, 'false', 'NONE', 1, 0),
	(709, 20819, 'Archer of Abyss', '', 'fiend_archer', 17.00, 55.00, 65, 'male', 'L2Monster', 'Ranger', 1100, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 17603, 1636, 1188, 419, 654, 354, 253, 500, 500, 0, 0, 0, 70, 165, 'tower_ghost_clan', 400, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.76, 'false', 'NONE', 1, 0),
	(710, 20820, 'Hallate\'s Knight', '', 'death_knight', 12.00, 30.00, 65, 'male', 'L2Monster', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 35090, 3260, 1188, 419, 654, 354, 253, 500, 500, 80, 0, 0, 27, 160, 'hallate_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 1, 0),
	(711, 20821, 'Erin Ediunce', '', 'banshee', 9.00, 23.00, 66, 'female', 'L2Monster', 'Mystic', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 25609, 2411, 1242, 429, 686, 363, 253, 500, 500, 3939, 0, 0, 80, 165, 'tower_guard_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.56, 'false', 'NONE', 1, 0),
	(712, 20822, 'Hallate\'s Maid', '', 'bloody_queen', 14.00, 40.00, 66, 'female', 'L2Monster', 'Mystic', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 23832, 2243, 1242, 429, 686, 363, 253, 500, 500, 0, 0, 0, 80, 160, 'hallate_clan', 400, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(713, 20823, 'Platinum Tribe Soldier', '', 'kel_mahum', 13.00, 26.00, 67, 'male', 'L2Monster', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 27669, 2635, 1299, 439, 719, 372, 253, 500, 500, 242, 0, 0, 50, 160, 'tower_guard_clan', 400, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(714, 20824, 'Hallate\'s Commander', '', 'death_blader', 15.00, 45.00, 67, 'male', 'L2Monster', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 24884, 2370, 1299, 439, 719, 372, 253, 500, 500, 1472, 0, 0, 100, 170, 'hallate_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(715, 20825, 'Hallate\'s Inspector', '', 'karik_25_bi', 31.00, 110.00, 68, 'male', 'L2Monster', 'Fighter', 40, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 25991, 2510, 1358, 450, 753, 381, 253, 500, 500, 0, 0, 0, 37, 170, 'hallate_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(716, 20826, 'Platinum Tribe Archer', '', 'kel_mahum_archer', 13.00, 27.00, 68, 'male', 'L2Monster', 'Ranger', 1100, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 27541, 2660, 1358, 450, 753, 381, 253, 500, 500, 288, 0, 0, 50, 160, 'tower_guard_clan', 400, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.91, 'false', 'NONE', 1, 0),
	(717, 20827, 'Platinum Tribe Warrior', '', 'kel_mahum_warrior', 13.00, 28.00, 69, 'male', 'L2Monster', 'Fighter', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 28758, 2814, 1419, 461, 788, 390, 253, 500, 500, 148, 0, 0, 50, 160, 'tower_guard_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(718, 20828, 'Platinum Tribe Shaman', '', 'kel_mahum_witch_doctor', 13.00, 25.00, 70, 'male', 'L2Minion', 'Priest', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 35291, 3499, 1481, 471, 824, 399, 253, 500, 500, 202, 0, 0, 50, 160, 'tower_guard_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.28, 'false', 'NONE', 1, 0),
	(719, 20829, 'Platinum Tribe Overlord', '', 'kel_mahum_champion', 13.00, 32.00, 71, 'male', 'L2Monster', 'Fighter', 40, 3939, 8.500, 1529, 3.000, 40, 43, 30, 21, 20, 20, 50697, 5087, 1545, 482, 861, 408, 253, 500, 500, 147, 0, 0, 50, 170, 'tower_guard_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(720, 20830, 'Guardian Angel', '', 'angel', 13.50, 36.50, 72, 'male', 'L2Minion', 'Fighter', 40, 4013, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 0, 0, 1612, 494, 899, 418, 253, 500, 500, 148, 0, 0, 30, 170, 'tower_guard_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(721, 20831, 'Seal Angel', '', 'angel', 13.50, 36.50, 73, 'male', 'L2Minion', 'Fighter', 40, 4087, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 0, 0, 1680, 505, 939, 427, 253, 500, 500, 148, 0, 0, 30, 170, 'tower_guard_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(722, 20832, 'Zaken\'s Pikeman', '', 'skeleton_pikeman', 10.00, 28.00, 43, 'male', 'L2Monster', 'Fighter', 40, 1729, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 3264, 221, 369, 226, 181, 191, 253, 500, 500, 292, 0, 0, 50, 174, 'undead_clan1', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.21, 'false', 'NONE', 1, 0),
	(723, 20833, 'Zaken\'s Archer', '', 'skeleton_archer', 11.00, 27.00, 44, 'male', 'L2Monster', 'Ranger', 1100, 1799, 5.800, 648, 2.190, 40, 43, 30, 21, 20, 20, 3631, 248, 392, 233, 194, 197, 253, 0, 500, 279, 0, 0, 40, 174, 'undead_clan1', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.80, 'false', 'NONE', 1, 0),
	(724, 20834, 'Mardian', '', 'giant_spider', 26.00, 26.50, 42, 'male', 'L2Monster', 'Mystic', 40, 1660, 5.600, 589, 2.130, 40, 43, 30, 21, 20, 20, 5403, 360, 345, 218, 168, 185, 253, 500, 500, 0, 0, 0, 72, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.26, 'false', 'NONE', 0, 0),
	(725, 20835, 'Zaken\'s Seer', '', 'liviona', 15.00, 28.00, 45, 'male', 'L2Monster', 'Fighter', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 2974, 206, 417, 240, 208, 204, 253, 500, 500, 0, 0, 0, 80, 174, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.34, 'false', 'NONE', 1, 0),
	(726, 20836, 'Pirate Zombie', '', 'pirates_zombie', 10.00, 23.00, 44, 'male', 'L2Monster', 'Mystic', 40, 1799, 5.800, 648, 2.190, 40, 43, 30, 21, 20, 20, 6799, 466, 392, 233, 194, 197, 253, 0, 500, 225, 0, 0, 11, 174, 'undead_clan1', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.74, 'false', 'NONE', 1, 0),
	(727, 20837, 'Tainted Ogre', '', 'ogre', 21.00, 44.00, 45, 'male', 'L2Monster', 'Fighter', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 6158, 428, 417, 240, 208, 204, 253, 500, 500, 194, 0, 0, 22, 174, 'undead_clan1', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(728, 20838, 'Bloody Bat', '', 'vampire_bat', 10.00, 33.50, 45, 'male', 'L2Monster', 'Mystic', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 5773, 402, 417, 240, 208, 204, 253, 0, 500, 0, 0, 0, 60, 174, '', 0, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(729, 20839, 'Unpleasant Humming', '', 'unpleasant_humming', 12.00, 26.00, 46, 'male', 'L2Monster', 'Fighter', 40, 1943, 6.000, 708, 2.250, 40, 43, 30, 21, 20, 20, 3453, 245, 442, 248, 223, 210, 253, 500, 500, 0, 0, 0, 21, 174, 'undead_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 1, 0),
	(730, 20840, 'Death Flyer', '', 'dark_horror', 20.00, 35.00, 47, 'male', 'L2Monster', 'Fighter', 40, 2017, 6.100, 738, 2.280, 40, 43, 30, 21, 20, 20, 3566, 256, 469, 255, 238, 216, 253, 0, 500, 0, 0, 0, 100, 174, 'undead_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.37, 'false', 'NONE', 1, 0),
	(731, 20841, 'Fiend Archer', '', 'fiend_archer', 17.00, 55.00, 48, 'male', 'L2Monster', 'Ranger', 1100, 2092, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 3663, 268, 498, 264, 254, 224, 253, 500, 500, 0, 0, 0, 70, 174, 'demonic_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.76, 'false', 'NONE', 1, 0),
	(732, 20842, 'Musveren', '', 'field_stalker', 15.00, 30.00, 49, 'male', 'L2Monster', 'Fighter', 40, 2168, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 3492, 258, 526, 271, 271, 230, 253, 0, 500, 0, 0, 0, 70, 174, 'undead_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'false', 'NONE', 1, 0),
	(733, 20843, 'Zaken\'s Royal Guard', '', 'skeleton_royal_guard', 11.00, 28.50, 50, 'male', 'L2Monster', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 4413, 332, 558, 279, 289, 237, 253, 500, 500, 225, 945, 0, 80, 174, 'undead_clan', 300, 0, 20, 100, 7, 10, 8, 4, 0, -6, 0.52, 'false', 'NONE', 1, 0),
	(734, 20844, 'Kaim Vanul', '', 'kaim_vanul', 24.00, 40.00, 51, 'male', 'L2Monster', 'Fighter', 40, 2323, 6.500, 861, 2.400, 40, 43, 30, 21, 20, 20, 3936, 300, 589, 288, 308, 244, 253, 0, 500, 0, 0, 0, 37, 174, 'demonic_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(735, 20845, 'Pirate\'s Zombie Captain', '', 'pirates_zombie_captain', 17.00, 28.00, 52, 'male', 'L2Monster', 'Fighter', 40, 2402, 6.600, 892, 2.430, 40, 43, 30, 21, 20, 20, 5945, 460, 622, 296, 327, 251, 253, 500, 500, 232, 0, 0, 14, 174, 'zaken_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.76, 'false', 'NONE', 1, 0),
	(736, 20846, 'Doll Blader', '', 'doll_blader', 6.00, 12.00, 53, 'male', 'L2Monster', 'Fighter', 40, 2482, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 4718, 371, 656, 305, 347, 258, 253, 0, 500, 5129, 5129, 0, 22, 174, 'zaken_clan', 300, 0, 0, 93, 7, 10, 8, 4, 0, 10, 0.50, 'false', 'NONE', 1, 0),
	(737, 20847, 'Vale Master', '', 'vale_master', 12.00, 40.00, 54, 'male', 'L2Monster', 'Fighter', 40, 2562, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 4501, 359, 692, 314, 368, 266, 253, 500, 500, 0, 0, 0, 70, 174, 'zaken_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.74, 'false', 'NONE', 1, 0),
	(738, 20848, 'Light Bringer', '', 'light_bringer', 10.00, 23.00, 46, 'male', 'L2Monster', 'Fighter', 40, 1943, 6.000, 708, 2.250, 40, 43, 30, 21, 20, 20, 5839, 414, 442, 248, 223, 210, 253, 500, 500, 0, 0, 0, 60, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'false', 'NONE', 1, 0),
	(739, 20849, 'Light Worm', '', 'light_worm', 5.00, 16.00, 41, 'male', 'L2Monster', 'Fighter', 40, 1593, 5.500, 560, 2.100, 40, 43, 30, 21, 20, 20, 4638, 304, 324, 211, 156, 180, 253, 500, 500, 0, 0, 0, 60, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.06, 'false', 'NONE', 1, 0),
	(740, 20850, 'Golden Stag Lord', '', 'golden_stag_lord', 25.00, 30.00, 50, 'male', 'L2Monster', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 3783, 284, 558, 279, 289, 237, 253, 0, 500, 0, 0, 0, 35, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.63, 'false', 'NONE', 0, 0),
	(741, 20851, 'Theeder', '', 'theeder', 9.00, 32.00, 47, 'male', 'L2Monster', 'Fighter', 40, 2017, 6.100, 738, 2.280, 40, 43, 30, 21, 20, 20, 3409, 245, 469, 255, 238, 216, 253, 500, 500, 0, 0, 0, 80, 174, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(742, 20852, 'Banshee', '', 'banshee', 9.00, 23.00, 60, 'female', 'L2Monster', 'Mystic', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 5341, 463, 939, 369, 510, 312, 253, 500, 500, 3939, 0, 0, 80, 174, '', 0, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(743, 20853, 'Kel Mahum', '', 'kel_mahum', 13.00, 26.00, 65, 'male', 'L2Monster', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 9389, 872, 1188, 419, 654, 354, 253, 500, 500, 242, 0, 0, 50, 174, 'kel_mahum_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(744, 20854, 'Kel Mahum Warrior', '', 'kel_mahum_warrior', 13.00, 28.00, 66, 'male', 'L2Monster', 'Fighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 9224, 868, 1242, 429, 686, 363, 253, 500, 500, 148, 0, 0, 50, 174, 'kel_mahum_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(745, 20855, 'Kel Mahum Archer', '', 'kel_mahum_archer', 13.00, 27.00, 67, 'male', 'L2Monster', 'Ranger', 1100, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 10680, 1018, 1299, 439, 719, 372, 253, 0, 500, 288, 0, 0, 50, 174, 'kel_mahum_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.91, 'false', 'NONE', 0, 0),
	(746, 20856, 'Kel Mahum Shaman', '', 'kel_mahum_witch_doctor', 13.00, 25.00, 68, 'male', 'L2Monster', 'Priest', 40, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 7669, 740, 1358, 450, 753, 381, 253, 500, 500, 202, 0, 0, 50, 174, 'kel_mahum_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.28, 'false', 'NONE', 0, 0),
	(747, 20857, 'Kel Mahum Champion', '', 'kel_mahum_champion', 13.00, 32.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 9780, 970, 1481, 471, 824, 399, 253, 500, 500, 147, 0, 0, 50, 174, 'kel_mahum_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(748, 20858, 'Angel', '', 'angel', 13.50, 36.50, 72, 'male', 'L2Monster', 'Fighter', 40, 4013, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 10923, 1110, 1612, 494, 899, 418, 253, 500, 500, 148, 0, 0, 30, 174, 'tower_guard_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(749, 20859, 'Guardian Angel', '', 'angel', 13.50, 36.50, 72, 'male', 'L2Monster', 'Fighter', 40, 4013, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 59729, 6068, 1612, 494, 899, 418, 253, 500, 500, 148, 0, 0, 30, 170, 'tower_guard_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(750, 20860, 'Seal Angel', '', 'angel', 13.50, 36.50, 73, 'male', 'L2Monster', 'Fighter', 40, 4087, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 83696, 8612, 1680, 505, 939, 427, 253, 500, 500, 148, 0, 0, 30, 170, 'tower_guard_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(751, 20861, 'Oel Mahum Champion', '', 'oel_mahum_champion', 23.00, 61.00, 56, 'male', 'L2Monster', 'Fighter', 40, 2725, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 6641, 545, 769, 331, 412, 280, 253, 500, 500, 127, 0, 0, 67, 174, 'oel_mahum_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(752, 20862, 'Death Lord', '', 'death_lord', 21.00, 40.00, 75, 'male', 'L2Monster', 'Fighter', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 9330, 984, 1823, 528, 1021, 447, 253, 0, 500, 78, 0, 0, 40, 174, 'demonic_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(753, 20919, 'Maille Lizardman', '', 'virud_lizardman', 10.00, 23.00, 20, 'male', 'L2Monster', 'Fighter', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 321, 14, 65, 96, 24, 80, 253, 0, 500, 291, 0, 0, 43, 130, 'lizardman_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(754, 20920, 'Maille Lizardman Scout', '', 'virud_lizardman_scout', 10.00, 22.00, 22, 'male', 'L2Monster', 'Ranger', 1100, 612, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 713, 34, 78, 104, 29, 87, 253, 0, 500, 2507, 0, 0, 43, 130, 'lizardman_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.72, 'true', 'NONE', 1, 0),
	(755, 20921, 'Maille Lizardman Guard', '', 'virud_lizardman', 10.00, 23.00, 24, 'male', 'L2Monster', 'Fighter', 40, 688, 3.800, 273, 1.590, 40, 43, 30, 21, 20, 20, 515, 25, 91, 113, 39, 96, 253, 500, 500, 291, 0, 0, 43, 130, 'lizardman_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(756, 20922, 'Maille Lizardman Warrior', '', 'virud_lizardman_warrior', 12.00, 30.00, 26, 'male', 'L2Monster', 'Fighter', 40, 770, 4.000, 303, 1.650, 40, 43, 30, 21, 20, 20, 571, 29, 108, 123, 46, 103, 253, 0, 500, 16, 0, 0, 52, 130, 'lizardman_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.59, 'true', 'NONE', 1, 0),
	(757, 20923, 'Maille Lizardman Shaman', '', 'virud_lizardman_shaman', 10.00, 29.00, 28, 'male', 'L2Monster', 'Priest', 40, 859, 4.200, 334, 1.710, 40, 43, 30, 21, 20, 20, 836, 44, 127, 132, 54, 112, 253, 0, 500, 7, 0, 0, 43, 120, 'lizardman_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(758, 20924, 'Maille Lizardman Matriarch', '', 'virud_lizardman_matriarch', 13.00, 37.00, 30, 'male', 'L2Monster', 'Fighter', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 1025, 56, 149, 143, 62, 121, 253, 500, 500, 69, 627, 0, 56, 130, 'lizardman_clan', 300, 0, 20, 59, 7, 50, 1, 9, 0, -6, 0.65, 'true', 'NONE', 1, 0),
	(759, 20925, 'Giant Araneid', '', 'giant_spider', 26.00, 25.50, 24, 'male', 'L2Monster', 'Mystic', 40, 688, 3.800, 273, 1.590, 40, 43, 30, 21, 20, 20, 525, 26, 91, 113, 39, 96, 253, 0, 500, 0, 0, 0, 72, 130, 'lizardman_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.26, 'true', 'NONE', 1, 0),
	(760, 20926, 'Poison Araneid', '', 'poison_spider', 27.00, 25.50, 25, 'male', 'L2Monster', 'Mystic', 40, 728, 3.900, 288, 1.620, 40, 43, 30, 21, 20, 20, 607, 30, 100, 118, 42, 99, 253, 0, 500, 0, 0, 0, 60, 140, 'lizardman_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.65, 'true', 'NONE', 1, 0),
	(761, 20927, 'King of the Araneid', '', 'giant_spider_50_bi', 39.00, 38.00, 27, 'male', 'L2Monster', 'Mystic', 40, 814, 4.100, 318, 1.680, 40, 43, 30, 21, 20, 20, 872, 44, 118, 127, 50, 107, 253, 500, 500, 0, 0, 0, 72, 130, 'lizardman_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.26, 'true', 'NONE', 1, 0),
	(762, 20928, 'Hatu Weird Bee', '', 'giant_bee', 8.00, 24.50, 30, 'male', 'L2Monster', 'Fighter', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 881, 48, 149, 143, 62, 121, 253, 500, 500, 0, 0, 0, 90, 120, 'hatu_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.50, 'true', 'NONE', 1, 0),
	(763, 20929, 'Hatu Dire Wolf', '', 'dire_wolf', 13.00, 11.00, 32, 'male', 'L2Monster', 'Fighter', 40, 1056, 4.600, 398, 1.830, 40, 43, 30, 21, 20, 20, 836, 47, 173, 154, 74, 130, 253, 0, 500, 0, 0, 0, 24, 110, 'hatu_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.39, 'true', 'NONE', 1, 0),
	(764, 20930, 'Hatu Brown Bear', '', 'grizzly', 21.00, 40.00, 34, 'male', 'L2Monster', 'Fighter', 40, 1164, 4.800, 430, 1.890, 40, 43, 30, 21, 20, 20, 1317, 77, 202, 166, 88, 141, 253, 500, 500, 0, 0, 0, 40, 143, 'hatu_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.34, 'true', 'NONE', 1, 0),
	(765, 20931, 'Hatu Onyx Beast', '', 'onyx_beast', 14.00, 14.50, 36, 'male', 'L2Monster', 'Fighter', 40, 1279, 5.000, 464, 1.950, 40, 43, 30, 21, 20, 20, 1221, 74, 232, 179, 105, 151, 253, 0, 500, 0, 0, 0, 30, 174, 'hatu_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.24, 'true', 'NONE', 1, 0),
	(766, 20932, 'Hatu Crimson Bear', '', 'crimson_bear', 19.00, 36.00, 38, 'male', 'L2Monster', 'Fighter', 40, 1400, 5.200, 497, 2.010, 40, 43, 30, 21, 20, 20, 1613, 101, 267, 191, 124, 162, 253, 0, 500, 0, 0, 0, 37, 174, 'hatu_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.45, 'true', 'NONE', 1, 0),
	(767, 20933, 'Hatu Windsus', '', 'giant_wild_hog', 25.00, 27.00, 40, 'male', 'L2Monster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 1849, 119, 305, 205, 145, 173, 253, 500, 500, 0, 0, 0, 35, 174, 'hatu_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.54, 'true', 'NONE', 1, 0),
	(768, 20934, 'Wasp Worker', '', 'giant_bee_bi', 8.00, 32.00, 35, 'male', 'L2Minion', 'Fighter', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 991, 59, 216, 172, 96, 146, 253, 0, 500, 0, 0, 0, 90, 174, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.50, 'true', 'NONE', 1, 0),
	(769, 20935, 'Wasp Leader', '', 'giant_bee_100_bi', 16.00, 49.00, 37, 'male', 'L2Monster', 'Fighter', 40, 1339, 5.100, 480, 1.980, 40, 43, 30, 21, 20, 20, 1086, 67, 249, 185, 113, 156, 253, 500, 500, 0, 0, 0, 90, 174, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.50, 'true', 'NONE', 1, 0),
	(770, 20936, 'Tanor Silenos', '', 'heltor_silenos', 13.00, 29.00, 40, 'male', 'L2Monster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 2066, 133, 305, 205, 145, 173, 253, 0, 500, 88, 0, 0, 34, 174, 'silenos_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(771, 20937, 'Tanor Silenos Grunt', '', 'heltor_silenos', 13.00, 29.00, 42, 'male', 'L2Minion', 'Fighter', 40, 1660, 5.600, 589, 2.130, 40, 43, 30, 21, 20, 20, 2699, 180, 345, 218, 168, 185, 253, 0, 500, 158, 18, 0, 34, 174, 'silenos_clan', 300, 0, 20, 82, 7, 50, 1, 9, 0, -6, 0.46, 'false', 'NONE', 0, 0),
	(772, 20938, 'Tanor Silenos Scout', '', 'heltor_silenos', 13.00, 29.00, 44, 'male', 'L2Minion', 'Fighter', 40, 1799, 5.800, 648, 2.190, 40, 43, 30, 21, 20, 20, 2963, 203, 392, 233, 194, 197, 253, 0, 500, 5, 0, 0, 34, 174, 'silenos_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(773, 20939, 'Tanor Silenos Warrior', '', 'heltor_silenos_warrior', 13.00, 31.00, 46, 'male', 'L2Minion', 'Fighter', 40, 1943, 6.000, 708, 2.250, 40, 43, 30, 21, 20, 20, 3303, 234, 442, 248, 223, 210, 253, 500, 500, 160, 0, 0, 36, 174, 'silenos_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.39, 'false', 'NONE', 1, 0),
	(774, 20940, 'Tanor Silenos Shaman', '', 'heltor_silenos_shaman', 13.00, 32.00, 48, 'male', 'L2Minion', 'Priest', 40, 2092, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 4024, 294, 498, 264, 254, 224, 253, 0, 500, 9, 0, 0, 29, 174, 'silenos_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.22, 'false', 'NONE', 1, 0),
	(775, 20941, 'Tanor Silenos Chieftain', '', 'heltor_silenos_chieftain', 13.00, 31.50, 50, 'male', 'L2Monster', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 3902, 294, 558, 279, 289, 237, 253, 500, 500, 75, 0, 0, 27, 174, 'silenos_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.39, 'false', 'NONE', 1, 0),
	(776, 20942, 'Nightmare Guide', '', 'harpy', 10.00, 42.00, 43, 'female', 'L2Minion', 'Fighter', 40, 1729, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 1970, 133, 369, 226, 181, 191, 253, 0, 500, 0, 0, 0, 60, 174, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.65, 'false', 'NONE', 1, 0),
	(777, 20943, 'Nightmare Keeper', '', 'harpy', 10.00, 42.00, 45, 'female', 'L2Minion', 'Fighter', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 2833, 197, 417, 240, 208, 204, 253, 0, 500, 0, 0, 0, 60, 174, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.65, 'false', 'NONE', 1, 0),
	(778, 20944, 'Nightmare Lord', '', 'succubus_100_bi', 20.00, 75.00, 47, 'female', 'L2Monster', 'Fighter', 40, 2017, 6.100, 738, 2.280, 40, 43, 30, 21, 20, 20, 2400, 172, 469, 255, 238, 216, 253, 500, 500, 0, 0, 0, 60, 174, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.84, 'false', 'NONE', 1, 0),
	(779, 20945, 'Cadeine', '', 'hobgoblin', 12.00, 24.00, 50, 'male', 'L2Monster', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 2690, 203, 558, 279, 289, 237, 253, 0, 500, 127, 625, 0, 45, 174, 'green_clan', 300, 0, 20, 100, 7, 50, 1, 9, 0, -6, 0.41, 'false', 'NONE', 1, 0),
	(780, 20946, 'Sanhidro', '', 'troll', 21.00, 35.00, 52, 'male', 'L2Monster', 'Fighter', 40, 2402, 6.600, 892, 2.430, 40, 43, 30, 21, 20, 20, 4138, 320, 622, 296, 327, 251, 253, 0, 500, 0, 0, 0, 55, 174, 'green_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(781, 20947, 'Connabi', '', 'bugbear', 17.00, 35.00, 54, 'male', 'L2Monster', 'Fighter', 40, 2562, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 4462, 355, 692, 314, 368, 266, 253, 0, 500, 88, 0, 0, 55, 174, 'green_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.28, 'false', 'NONE', 1, 0),
	(782, 20948, 'Bartal', '', 'liviona', 15.00, 28.00, 56, 'male', 'L2Minion', 'Fighter', 40, 2725, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 4431, 364, 769, 331, 412, 280, 253, 0, 500, 0, 0, 0, 80, 174, 'green_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(783, 20949, 'Luminun', '', 'twin_headed_giant', 17.00, 39.00, 58, 'male', 'L2Minion', 'Fighter', 40, 2889, 7.200, 1085, 2.610, 40, 43, 30, 21, 20, 20, 5220, 440, 851, 350, 459, 296, 253, 0, 500, 157, 0, 0, 45, 174, 'green_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(784, 20950, 'Innersen', '', 'king_bugbear', 15.00, 40.00, 60, 'male', 'L2Monster', 'Fighter', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 5619, 487, 939, 369, 510, 312, 253, 500, 500, 160, 0, 0, 55, 174, 'green_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.28, 'false', 'NONE', 1, 0),
	(785, 20951, 'Pobby\'s Maid', '', 'manadragora', 14.00, 17.80, 53, 'female', 'L2Minion', 'Fighter', 40, 2482, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 3022, 238, 656, 305, 347, 258, 253, 0, 500, 0, 0, 0, 80, 174, 'green_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.28, 'false', 'NONE', 1, 0),
	(786, 20952, 'Pobby Escort', '', 'mandragora_b', 12.00, 25.50, 55, 'female', 'L2Minion', 'Fighter', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 5461, 440, 730, 322, 389, 273, 253, 0, 500, 0, 0, 0, 80, 174, 'green_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.13, 'false', 'NONE', 1, 0),
	(787, 20953, 'Pobby', '', 'mandragora_a', 15.00, 26.00, 57, 'female', 'L2Monster', 'Fighter', 40, 2807, 7.100, 1052, 2.580, 40, 43, 30, 21, 20, 20, 5071, 421, 809, 340, 435, 289, 253, 500, 500, 0, 0, 0, 80, 174, 'green_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.20, 'false', 'NONE', 1, 0),
	(788, 20954, 'Hungered Corpse', '', 'skeleton', 11.00, 25.00, 60, 'male', 'L2Minion', 'Fighter', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 5991, 520, 939, 369, 510, 312, 253, 0, 500, 123, 945, 0, 60, 180, 'bloody_clan', 300, 0, 20, 123, 7, 50, 1, 9, 0, -6, 0.30, 'false', 'NONE', 1, 0),
	(789, 20955, 'Ghostly Warrior', '', 'skeleton_pikeman', 10.00, 28.00, 62, 'male', 'L2Minion', 'Fighter', 40, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 6398, 570, 1033, 389, 565, 329, 253, 0, 500, 299, 0, 0, 50, 180, 'bloody_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.21, 'false', 'NONE', 1, 0),
	(790, 20956, 'Past Knight', '', 'skeleton_knight', 10.00, 25.00, 64, 'male', 'L2Monster', 'Fighter', 40, 3384, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 6953, 636, 1134, 409, 624, 345, 253, 500, 500, 150, 103, 0, 40, 174, 'bloody_clan', 300, 0, 20, 133, 7, 50, 1, 9, 0, -6, 0.17, 'false', 'NONE', 1, 0),
	(791, 20957, 'Nihil Invader', '', 'skeleton_royal_guard', 11.00, 28.50, 66, 'male', 'L2Minion', 'Fighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 7250, 683, 1242, 429, 686, 363, 253, 0, 500, 946, 945, 0, 80, 185, 'bloody_clan', 300, 0, 20, 138, 7, 50, 1, 9, 0, -6, 0.52, 'false', 'NONE', 1, 0),
	(792, 20958, 'Death Agent', '', 'death_blader', 15.00, 45.00, 68, 'male', 'L2Minion', 'Fighter', 40, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 5411, 523, 1358, 450, 753, 381, 253, 0, 500, 1472, 0, 0, 100, 195, 'bloody_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(793, 20959, 'Dark Guard', '', 'headless_knight', 21.00, 31.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 8318, 824, 1481, 471, 824, 399, 253, 500, 500, 124, 0, 0, 70, 170, 'bloody_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(794, 20960, 'Bloody Ghost', '', 'succubus', 10.00, 36.00, 64, 'female', 'L2Minion', 'Mystic', 40, 3384, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 4793, 439, 1134, 409, 624, 345, 253, 0, 500, 0, 0, 0, 60, 175, 'bloody_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.84, 'false', 'NONE', 1, 0),
	(795, 20961, 'Bloody Knight', '', 'doll_blader', 6.00, 12.00, 65, 'male', 'L2Minion', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 7032, 653, 1188, 419, 654, 354, 253, 0, 500, 5129, 5129, 0, 22, 175, 'bloody_clan', 300, 0, 0, 119, 7, 50, 1, 9, 0, 10, 0.50, 'false', 'NONE', 1, 0),
	(796, 20962, 'Bloody Priest', '', 'bloody_queen', 14.00, 40.00, 66, 'female', 'L2Minion', 'Priest', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 7827, 737, 1242, 429, 686, 363, 253, 0, 500, 0, 0, 0, 80, 185, 'bloody_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.50, 'false', 'NONE', 1, 0),
	(797, 20963, 'Bloody Lord', '', 'banshee', 9.00, 23.00, 68, 'female', 'L2Monster', 'Fighter', 40, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 5630, 544, 1358, 450, 753, 381, 253, 500, 500, 3939, 0, 0, 80, 180, 'bloody_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.56, 'false', 'NONE', 1, 0),
	(798, 20964, 'Huge Footmark', '', 'stone_golem', 20.00, 31.00, 70, 'male', 'L2Monster', 'Mystic', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 23, 23, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.41, 'false', 'NONE', 1, 0),
	(799, 20965, 'Chimera Piece', '', 'will_o_wisp', 13.00, 22.00, 73, 'male', 'L2Monster', 'Fighter', 40, 4087, 8.600, 1601, 3.030, 40, 43, 30, 21, 20, 20, 22599, 2237, 1680, 505, 939, 427, 253, 0, 333, 0, 0, 0, 80, 140, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.45, 'true', 'NONE', 1, 0),
	(800, 20966, 'Changed Creation', '', 'leogul', 15.00, 35.00, 74, 'male', 'L2Monster', 'Mystic', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 31161, 3114, 1750, 517, 980, 437, 253, 0, 333, 0, 0, 0, 80, 170, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.84, 'true', 'NONE', 1, 0),
	(801, 20967, 'Past Creature', '', 'gamlin', 11.00, 32.00, 76, 'male', 'L2Monster', 'Fighter', 40, 4358, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 22942, 2360, 2088, 594, 1170, 503, 253, 0, 333, 0, 0, 0, 80, 170, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(802, 20968, 'Nonexistent Man', '', 'susceptor', 20.00, 35.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4699, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 27816, 2944, 2259, 620, 1268, 525, 253, 0, 333, 0, 0, 0, 27, 150, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.43, 'true', 'NONE', 1, 0),
	(803, 20969, 'Giant\'s Shadow', '', 'lesser_giant_shooter', 50.00, 44.00, 78, 'male', 'L2Monster', 'Ranger', 1100, 4699, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 36095, 3804, 2259, 620, 1268, 525, 253, 0, 333, 4028, 0, 0, 80, 180, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.63, 'true', 'NONE', 1, 0),
	(804, 20970, 'Soldier of Ancient Times', '', 'lesser_giant', 50.00, 44.00, 73, 'male', 'L2Monster', 'Fighter', 40, 4087, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 22599, 2237, 1680, 505, 939, 427, 253, 0, 333, 3937, 0, 0, 15, 180, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.58, 'true', 'NONE', 1, 0),
	(805, 20971, 'Warrior of Ancient Times', '', 'lesser_giant', 50.00, 44.00, 75, 'male', 'L2Monster', 'Fighter', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 23855, 2420, 1823, 528, 1021, 447, 253, 0, 333, 3937, 0, 0, 15, 180, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.58, 'true', 'NONE', 1, 0),
	(806, 20972, 'Shaman of Ancient Times', '', 'lesser_giant_mage', 50.00, 44.00, 75, 'male', 'L2Monster', 'Mystic', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 24719, 2511, 1823, 528, 1021, 447, 253, 0, 333, 3938, 0, 0, 15, 180, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.56, 'true', 'NONE', 1, 0),
	(807, 20973, 'Forgotten Ancient People', '', 'lesser_giant_mage', 50.00, 44.00, 77, 'male', 'L2Monster', 'Mystic', 40, 4514, 9.100, 1747, 3.180, 40, 43, 30, 21, 20, 20, 31618, 3281, 2173, 606, 1219, 514, 253, 0, 333, 3938, 0, 0, 15, 180, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.56, 'true', 'NONE', 1, 0),
	(808, 20974, 'Spiteful Soul Leader', '', 'skeleton_royal_guard_bi', 16.00, 44.00, 65, 'male', 'L2Monster', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 14127, 1313, 1188, 419, 654, 354, 253, 0, 500, 946, 945, 0, 80, 174, 'undead_clan', 300, 0, 20, 135, 7, 30, 4, 4, 0, -6, 0.52, 'false', 'NONE', 1, 0),
	(809, 20975, 'Spiteful Soul Wizard', '', 'elf_ghost_50_bi', 10.00, 32.00, 63, 'male', 'L2Minion', 'Mystic', 40, 3302, 7.700, 1251, 2.760, 40, 43, 30, 21, 20, 20, 12599, 1138, 1083, 399, 593, 337, 253, 0, 500, 0, 0, 0, 80, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'false', 'NONE', 1, 0),
	(810, 20976, 'Spiteful Soul Fighter', '', 'human_ghost_50_bi', 12.00, 33.00, 62, 'male', 'L2Minion', 'Mystic', 40, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 10694, 953, 1033, 389, 565, 329, 253, 0, 500, 0, 0, 0, 80, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 1, 0),
	(811, 20977, 'Elmoradan\'s Lady', '', 'banshee_50_bi', 13.50, 38.00, 65, 'female', 'L2Monster', 'Mystic', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 18033, 1675, 1188, 419, 654, 354, 253, 500, 500, 3939, 0, 0, 80, 160, 'tower_ghost_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(812, 20978, 'Elmoradan\'s Archer Escort', '', 'skeleton_archer', 11.00, 27.00, 64, 'male', 'L2Minion', 'Ranger', 1100, 3384, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 17930, 1642, 1134, 409, 624, 345, 253, 0, 500, 284, 0, 0, 40, 140, 'tower_ghost_clan', 400, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.80, 'false', 'NONE', 1, 0),
	(813, 20979, 'Elmoradan\'s Maid', '', 'doll_blader', 6.00, 12.00, 64, 'male', 'L2Minion', 'Fighter', 40, 3384, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 17139, 1570, 1134, 409, 624, 345, 253, 0, 500, 5129, 5129, 0, 22, 170, 'tower_ghost_clan', 400, 0, 0, 137, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(814, 20980, 'Hallate\'s Follower Mul', '', 'vale_master', 12.00, 40.00, 68, 'male', 'L2Monster', 'Fighter', 40, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 18255, 1764, 1358, 450, 753, 381, 253, 500, 500, 210, 0, 0, 70, 170, 'hallate_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.74, 'false', 'NONE', 1, 0),
	(815, 20981, 'Mul\'s Wizard', '', 'kaim_vanul_50_bi', 36.00, 60.00, 67, 'male', 'L2Minion', 'Mystic', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 18154, 1729, 1299, 439, 719, 372, 253, 0, 500, 0, 0, 0, 37, 160, 'hallate_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(816, 20982, 'Mul\'s Knight', '', 'dre_vanul_100_bi', 28.00, 75.00, 67, 'male', 'L2Minion', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 16025, 1526, 1299, 439, 719, 372, 253, 0, 500, 0, 0, 0, 80, 143, 'hallate_clan', 400, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.35, 'false', 'NONE', 1, 0),
	(817, 20983, 'Binder', '', 'kel_mahum_champion_50_bi', 19.00, 48.00, 73, 'male', 'L2Monster', 'Fighter', 40, 4087, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 24823, 2554, 1680, 505, 939, 427, 253, 500, 500, 147, 0, 0, 50, 170, 'tower_guard_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(818, 20984, 'Bound Warrior', '', 'kel_mahum_warrior', 13.00, 28.00, 72, 'male', 'L2Monster', 'Fighter', 40, 4013, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 23326, 2370, 1612, 494, 899, 418, 253, 0, 500, 148, 0, 0, 50, 160, 'tower_guard_clan', 50, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(819, 20985, 'Bound Archer', '', 'kel_mahum_archer', 13.00, 27.00, 72, 'male', 'L2Minion', 'Ranger', 1100, 4013, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 23154, 2352, 1612, 494, 899, 418, 253, 0, 500, 288, 0, 0, 50, 170, 'tower_guard_clan', 50, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.91, 'false', 'NONE', 1, 0),
	(820, 20986, 'Sairon', '', 'doll_blader_50_bi', 9.00, 20.50, 54, 'male', 'L2Monster', 'Fighter', 40, 2562, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 13258, 1057, 692, 314, 368, 266, 253, 500, 500, 5129, 5129, 0, 22, 174, 'demonic_clan', 300, 0, 0, 112, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(821, 20987, 'Sairon\'s Doll', '', 'doll_blader', 6.00, 12.00, 53, 'male', 'L2Minion', 'Fighter', 40, 2482, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 12060, 948, 656, 305, 347, 258, 253, 0, 500, 5129, 5129, 0, 22, 174, '', 0, 0, 0, 110, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(822, 20988, 'Sairon\'s Puppet', '', 'doll_blader', 6.00, 12.00, 53, 'male', 'L2Minion', 'Fighter', 40, 2482, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 13265, 1043, 656, 305, 347, 258, 253, 0, 500, 5129, 5129, 0, 22, 174, '', 0, 0, 0, 110, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(823, 20989, 'Lageos', '', 'marsh_stakato_drone_50_bi', 13.00, 37.00, 38, 'male', 'L2Monster', 'Fighter', 40, 1400, 5.200, 497, 2.010, 40, 43, 30, 21, 20, 20, 3299, 205, 267, 191, 124, 162, 253, 0, 500, 182, 0, 0, 80, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 1, 0),
	(824, 20990, 'Pageos', '', 'marsh_stakato_soldier', 10.00, 25.00, 38, 'male', 'L2Monster', 'Fighter', 40, 1400, 5.200, 497, 2.010, 40, 43, 30, 21, 20, 20, 3132, 196, 267, 191, 124, 162, 253, 0, 500, 128, 0, 0, 30, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.74, 'false', 'NONE', 0, 0),
	(825, 20991, 'Swamp Tribe', '', 'farhite_50_bi', 24.00, 48.00, 45, 'male', 'L2Monster', 'Fighter', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 12334, 858, 417, 240, 208, 204, 253, 500, 500, 5131, 0, 0, 15, 174, 'croc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.74, 'false', 'NONE', 1, 0),
	(826, 20992, 'Swamp Alligator', '', 'crokian', 18.00, 29.00, 44, 'male', 'L2Minion', 'Fighter', 40, 1799, 5.800, 648, 2.190, 40, 43, 30, 21, 20, 20, 11042, 756, 392, 233, 194, 197, 253, 0, 500, 5128, 0, 0, 18, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.78, 'false', 'NONE', 1, 0),
	(827, 20993, 'Swamp Warrior', '', 'dailaon', 20.00, 28.00, 44, 'male', 'L2Minion', 'Ranger', 1100, 1799, 5.800, 648, 2.190, 40, 43, 30, 21, 20, 20, 11717, 802, 392, 233, 194, 197, 253, 0, 500, 5127, 0, 0, 18, 174, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.91, 'false', 'NONE', 1, 0),
	(828, 20994, 'Garden Guard Leader', '', 'doll_master_50_bi', 30.00, 63.00, 50, 'male', 'L2Monster', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 14866, 1120, 558, 279, 289, 237, 253, 500, 500, 0, 0, 0, 80, 174, 'theeder_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(829, 20995, 'Garden Guard', '', 'theeder', 9.00, 32.00, 48, 'male', 'L2Minion', 'Fighter', 40, 2092, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 10134, 740, 498, 264, 254, 224, 253, 0, 500, 94, 0, 0, 80, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(830, 20996, 'Spiteful Ghost of Ruins', '', 'zombie', 13.00, 21.00, 50, 'male', 'L2Monster', 'Mystic', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 6419, 484, 558, 279, 289, 237, 253, 500, 500, 0, 0, 0, 15, 15, 'undead_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.43, 'false', 'NONE', 1, 0),
	(831, 20997, 'Soldier of Grief', '', 'unpleasant_humming', 12.00, 26.00, 51, 'male', 'L2Monster', 'Fighter', 40, 2323, 6.500, 861, 2.400, 40, 43, 30, 21, 20, 20, 4539, 346, 589, 288, 308, 244, 253, 0, 500, 0, 0, 0, 21, 150, 'undead_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.59, 'false', 'NONE', 1, 0),
	(832, 20998, 'Cruel Punisher', '', 'hungry_spirit', 13.00, 40.00, 52, 'male', 'L2Monster', 'Fighter', 40, 2402, 6.600, 892, 2.430, 40, 43, 30, 21, 20, 20, 5002, 386, 622, 296, 327, 251, 253, 0, 500, 0, 0, 0, 15, 120, 'undead_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(833, 20999, 'Roving Soul', '', 'skeleton', 11.00, 25.00, 53, 'male', 'L2Monster', 'Fighter', 40, 2482, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 5932, 467, 656, 305, 347, 258, 253, 0, 500, 75, 0, 0, 60, 160, 'undead_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(834, 21000, 'Soul of Ruins', '', 'human_ghost', 8.00, 22.00, 54, 'male', 'L2Monster', 'Mystic', 40, 2562, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 5191, 414, 692, 314, 368, 266, 253, 500, 500, 0, 0, 0, 80, 174, 'undead_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 1, 0),
	(835, 21001, 'Wretched Archer', '', 'skeleton_archer', 11.00, 27.00, 55, 'male', 'L2Monster', 'Ranger', 1100, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 7028, 568, 730, 322, 389, 273, 253, 0, 500, 282, 0, 0, 40, 174, 'undead_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.80, 'true', 'NONE', 1, 0),
	(836, 21002, 'Doom Scout', '', 'skeleton_royal_guard', 11.00, 28.50, 56, 'male', 'L2Monster', 'Fighter', 40, 2725, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 6197, 509, 769, 331, 412, 280, 253, 500, 500, 242, 2496, 0, 80, 174, 'doom_clan', 300, 0, 20, 114, 7, 10, 8, 4, 0, -6, 0.52, 'true', 'NONE', 1, 0),
	(837, 21003, 'Grave Lich', '', 'liviona', 15.00, 28.00, 57, 'male', 'L2Monster', 'Mystic', 40, 2807, 7.100, 1052, 2.580, 40, 43, 30, 21, 20, 20, 5670, 472, 809, 340, 435, 289, 253, 0, 500, 0, 0, 0, 80, 174, 'undead_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'true', 'NONE', 1, 0),
	(838, 21004, 'Dismal Pole', '', 'hanged_man_ripper', 35.00, 80.00, 58, 'male', 'L2Monster', 'Fighter', 80, 2889, 7.200, 1085, 2.610, 40, 43, 30, 21, 20, 20, 6288, 532, 851, 350, 459, 296, 253, 500, 500, 0, 0, 0, 55, 174, 'undead_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(839, 21005, 'Grave Predator', '', 'devastator', 35.00, 35.00, 59, 'male', 'L2Monster', 'Fighter', 40, 2972, 7.300, 1118, 2.640, 40, 43, 30, 21, 20, 20, 6878, 588, 894, 359, 484, 305, 253, 500, 500, 0, 0, 0, 25, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'true', 'NONE', 1, 0),
	(840, 21006, 'Doom Servant', '', 'hungry_spirit', 13.00, 40.00, 60, 'male', 'L2Monster', 'Fighter', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 6537, 568, 939, 369, 510, 312, 253, 500, 500, 0, 0, 0, 15, 174, 'doom_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(841, 21007, 'Doom Guard', '', 'hungry_spirit', 13.00, 40.00, 61, 'male', 'L2Monster', 'Fighter', 40, 3137, 7.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 7014, 617, 985, 379, 537, 320, 253, 0, 500, 0, 0, 0, 15, 174, 'doom_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(842, 21008, 'Doom Archer', '', 'skeleton_archer', 11.00, 27.00, 62, 'male', 'L2Monster', 'Ranger', 1100, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 8965, 799, 1033, 389, 565, 329, 253, 500, 500, 286, 0, 0, 40, 174, 'doom_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.80, 'false', 'NONE', 1, 0),
	(843, 21009, 'Doom Trooper', '', 'skeleton_pikeman', 10.00, 28.00, 63, 'male', 'L2Monster', 'Fighter', 80, 3302, 7.700, 1251, 2.760, 40, 43, 30, 21, 20, 20, 9559, 863, 1083, 399, 593, 337, 253, 0, 500, 301, 0, 0, 50, 174, 'doom_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.21, 'false', 'NONE', 1, 0),
	(844, 21010, 'Doom Warrior', '', 'skeleton_knight', 10.00, 25.00, 64, 'male', 'L2Monster', 'Fighter', 40, 3384, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 7656, 701, 1134, 409, 624, 345, 253, 0, 500, 71, 0, 0, 40, 174, 'doom_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.17, 'false', 'NONE', 1, 0),
	(845, 21011, 'Ol Mahum Van Grunt', '', 'ol_mahum', 13.50, 25.00, 30, 'male', 'L2Monster', 'Fighter', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 1571, 86, 149, 143, 62, 121, 253, 0, 500, 5, 0, 0, 50, 150, 'wererat_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(846, 21012, 'Magical Eye', '', 'magical_weaver', 11.00, 20.00, 31, 'male', 'L2Monster', 'Mystic', 40, 1005, 4.500, 382, 1.800, 40, 43, 30, 21, 20, 20, 2084, 115, 161, 149, 67, 126, 253, 500, 500, 0, 0, 0, 90, 150, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'true', 'NONE', 1, 0),
	(847, 21013, 'Ol Mahum Van Archer', '', 'ol_mahum_archer', 14.00, 25.00, 32, 'male', 'L2Monster', 'Ranger', 1100, 1056, 4.600, 398, 1.830, 40, 43, 30, 21, 20, 20, 2305, 130, 173, 154, 74, 130, 253, 0, 500, 273, 0, 0, 50, 150, 'wererat_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.93, 'true', 'NONE', 1, 0),
	(848, 21014, 'Lesser Warlike Tyrant', '', 'grave', 15.00, 29.00, 33, 'male', 'L2Monster', 'Fighter', 40, 1109, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 2385, 137, 187, 160, 81, 135, 253, 500, 500, 0, 0, 0, 70, 150, 'kinpin_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'true', 'NONE', 1, 0),
	(849, 21015, 'Ol Mahum Van Leader', '', 'ol_mahum_champion', 14.00, 27.00, 34, 'male', 'L2Monster', 'Fighter', 40, 1164, 4.800, 430, 1.890, 40, 43, 30, 21, 20, 20, 2449, 143, 202, 166, 88, 141, 253, 500, 500, 67, 0, 0, 50, 150, 'wererat_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.63, 'true', 'NONE', 1, 0),
	(850, 21016, 'Warlike Tyrant', '', 'grave', 15.00, 29.00, 35, 'male', 'L2Monster', 'Fighter', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 2631, 156, 216, 172, 96, 146, 253, 0, 500, 0, 0, 0, 70, 174, 'kinpin_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'true', 'NONE', 1, 0),
	(851, 21017, 'Fallen Orc', '', 'ketra_orc', 12.00, 29.00, 55, 'male', 'L2Monster', 'Fighter', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 5279, 426, 730, 322, 389, 273, 253, 0, 500, 127, 0, 0, 45, 174, 'fallen_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(852, 21018, 'Ancient Gargoyle', '', 'hunter_gargoyle', 25.00, 65.00, 56, 'male', 'L2Monster', 'Fighter', 40, 2725, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 6643, 546, 769, 331, 412, 280, 253, 500, 500, 0, 0, 0, 100, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(853, 21019, 'Fallen Orc Archer', '', 'ketra_orc_archer', 12.00, 27.00, 57, 'male', 'L2Monster', 'Ranger', 1100, 2807, 7.100, 1052, 2.580, 40, 43, 30, 21, 20, 20, 7312, 607, 809, 340, 435, 289, 253, 0, 500, 279, 0, 0, 45, 174, 'fallen_clan', 500, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.91, 'true', 'NONE', 1, 0),
	(854, 21020, 'Fallen Orc Shaman', '', 'ketra_orc_shaman', 10.00, 23.00, 58, 'male', 'L2Monster', 'Priest', 40, 2889, 7.200, 1085, 2.610, 40, 43, 30, 21, 20, 20, 8278, 700, 851, 350, 459, 296, 253, 0, 500, 9, 0, 0, 10, 174, 'fallen_clan', 500, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.34, 'true', 'NONE', 1, 0),
	(855, 21021, 'Sharp Talon Tiger', '', 'saber_toothed_tiger', 34.00, 28.00, 59, 'male', 'L2Monster', 'Fighter', 40, 2972, 7.300, 1118, 2.640, 40, 43, 30, 21, 20, 20, 7625, 652, 894, 359, 484, 305, 253, 500, 333, 0, 0, 0, 60, 174, 'fallen_clan', 500, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.45, 'true', 'NONE', 1, 0),
	(856, 21022, 'Fallen Orc Captain', '', 'ketra_orc_warrior', 12.00, 24.00, 60, 'male', 'L2Monster', 'Fighter', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 7754, 673, 939, 369, 510, 312, 253, 500, 333, 160, 0, 0, 36, 174, 'fallen_clan', 500, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.54, 'true', 'NONE', 1, 0),
	(857, 21023, 'Sobbing Wind', '', 'sylph', 11.00, 35.00, 26, 'female', 'L2Monster', 'Mystic', 40, 770, 4.000, 303, 1.650, 40, 43, 30, 21, 20, 20, 1268, 64, 108, 123, 46, 103, 253, 0, 500, 0, 0, 0, 60, 150, 'elemental2_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.56, 'true', 'NONE', 1, 0),
	(858, 21024, 'Babbling Wind', '', 'sylph', 11.00, 35.00, 27, 'female', 'L2Monster', 'Mystic', 40, 814, 4.100, 318, 1.680, 40, 43, 30, 21, 20, 20, 1336, 68, 118, 127, 50, 107, 253, 0, 500, 0, 0, 0, 60, 150, 'elemental2_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.56, 'true', 'NONE', 1, 0),
	(859, 21025, 'Giggling Wind', '', 'sylph', 11.00, 35.00, 28, 'female', 'L2Monster', 'Mystic', 40, 859, 4.200, 334, 1.710, 40, 43, 30, 21, 20, 20, 1414, 74, 127, 132, 54, 112, 253, 0, 500, 0, 0, 0, 60, 150, 'elemental2_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.56, 'true', 'NONE', 1, 0),
	(860, 21026, 'Singing Wind', '', 'sylph', 11.00, 35.00, 29, 'female', 'L2Monster', 'Mystic', 40, 906, 4.300, 350, 1.740, 40, 43, 30, 21, 20, 20, 1522, 82, 138, 138, 58, 117, 253, 500, 500, 0, 0, 0, 60, 150, 'elemental2_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.56, 'true', 'NONE', 1, 0),
	(861, 21034, 'Ogre', '', 'ogre', 21.00, 44.00, 38, 'male', 'L2Monster', 'Fighter', 40, 1400, 5.200, 497, 2.010, 40, 43, 30, 21, 20, 20, 2157, 134, 267, 191, 124, 162, 253, 500, 500, 98, 0, 0, 22, 174, 'lizardman_clan1', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.69, 'true', 'NONE', 1, 0),
	(862, 21035, 'Catherok', '', 'marsh_stakato_soldier', 10.00, 25.00, 42, 'male', 'L2Monster', 'Fighter', 40, 1660, 5.600, 589, 2.130, 40, 43, 30, 21, 20, 20, 6978, 443, 345, 218, 168, 185, 253, 500, 500, 144, 0, 0, 30, 174, 'beast_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.74, 'false', 'NONE', 1, 0),
	(863, 21036, 'Shindebarn', '', 'magical_weaver', 11.00, 20.00, 44, 'male', 'L2Monster', 'Mystic', 40, 1799, 5.800, 648, 2.190, 40, 43, 30, 21, 20, 20, 8166, 536, 392, 233, 194, 197, 253, 500, 500, 0, 0, 0, 90, 174, 'porta_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 1, 0),
	(864, 21037, 'Ossiud', '', 'field_stalker', 15.00, 30.00, 47, 'male', 'L2Monster', 'Fighter', 40, 2017, 6.100, 738, 2.280, 40, 43, 30, 21, 20, 20, 10557, 727, 469, 255, 238, 216, 253, 500, 500, 0, 0, 0, 70, 174, 'torfe_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'false', 'NONE', 1, 0),
	(865, 21038, 'Liangma', '', 'will_o_wisp', 13.00, 22.00, 49, 'male', 'L2Monster', 'Mystic', 40, 2168, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 8025, 560, 526, 271, 271, 230, 253, 500, 500, 0, 0, 0, 80, 174, 'undead_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.10, 'false', 'NONE', 1, 0),
	(866, 21039, 'Snipe Cohort', '', 'onyx_beast', 14.00, 14.50, 43, 'male', 'L2Monster', 'Fighter', 40, 1729, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 7953, 515, 369, 226, 181, 191, 253, 0, 500, 0, 0, 0, 30, 174, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.24, 'false', 'NONE', 0, 0),
	(867, 21040, 'Soldier of Darkness', '', 'death_knight', 12.00, 30.00, 49, 'male', 'L2Minion', 'Fighter', 40, 2168, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 12649, 899, 526, 271, 271, 230, 253, 0, 500, 127, 0, 0, 27, 174, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(868, 21058, 'Beast Lord', '', 'saber_toothed_tiger', 34.00, 28.00, 60, 'male', 'L2Monster', 'Fighter', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 18913, 1642, 939, 369, 510, 312, 253, 500, 500, 0, 0, 0, 60, 174, 'beast_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(869, 21059, 'Beast Guardian', '', 'onyx_beast', 14.00, 14.50, 59, 'male', 'L2Minion', 'Fighter', 40, 2972, 7.300, 1118, 2.640, 40, 43, 30, 21, 20, 20, 15095, 1290, 894, 359, 484, 305, 253, 0, 500, 0, 0, 0, 30, 174, 'beast_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.24, 'false', 'NONE', 1, 0),
	(870, 21060, 'Beast Seer', '', 'field_stalker', 15.00, 30.00, 59, 'male', 'L2Minion', 'Fighter', 40, 2972, 7.300, 1118, 2.640, 40, 43, 30, 21, 20, 20, 15095, 1290, 894, 359, 484, 305, 253, 0, 500, 0, 0, 0, 70, 174, 'beast_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.41, 'false', 'NONE', 1, 0),
	(871, 21061, 'Hallate\'s Guardian', '', 'kaim_vanul', 24.00, 40.00, 69, 'male', 'L2Minion', 'Fighter', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 30701, 3004, 1419, 461, 788, 390, 253, 500, 500, 0, 0, 0, 37, 174, 'hallate_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(872, 21062, 'Messenger Angel', '', 'angel', 13.50, 36.50, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 500, 500, 148, 0, 0, 30, 174, 'tower_guard_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(873, 21063, 'Messenger Angel', '', 'angel', 13.50, 36.50, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 62784, 6226, 1481, 471, 824, 399, 253, 500, 500, 148, 0, 0, 30, 174, 'tower_guard_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(874, 21064, 'Platinum Guardian Archer', '', 'kel_mahum_archer', 13.00, 27.00, 71, 'male', 'L2Minion', 'Ranger', 1100, 3939, 8.500, 1529, 3.000, 40, 43, 30, 21, 20, 20, 38444, 3858, 1545, 482, 861, 408, 253, 500, 500, 288, 0, 0, 50, 174, 'tower_guard_clan', 400, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.91, 'false', 'NONE', 1, 0),
	(875, 21065, 'Platinum Guardian Warrior', '', 'kel_mahum_warrior', 13.00, 28.00, 72, 'male', 'L2Minion', 'Fighter', 40, 4013, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 36221, 3680, 1612, 494, 899, 418, 253, 500, 500, 148, 0, 0, 50, 174, 'tower_guard_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(876, 21066, 'Platinum Guardian Shaman', '', 'kel_mahum_witch_doctor', 13.00, 25.00, 73, 'male', 'L2Minion', 'Priest', 40, 4087, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 39180, 4032, 1680, 505, 939, 427, 253, 500, 500, 202, 0, 0, 50, 174, 'tower_guard_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.28, 'false', 'NONE', 1, 0),
	(877, 21067, 'Guardian Archangel', '', 'angel', 13.50, 36.50, 74, 'male', 'L2Monster', 'Fighter', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 0, 0, 1750, 517, 980, 437, 253, 500, 500, 148, 0, 0, 30, 174, 'tower_guard_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(878, 21068, 'Guardian Archangel', '', 'angel', 13.50, 36.50, 74, 'male', 'L2Monster', 'Fighter', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 85242, 8886, 1750, 517, 980, 437, 253, 500, 500, 148, 0, 0, 30, 174, 'tower_guard_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(879, 21069, 'Platinum Guardian Prefect', '', 'kel_mahum_champion', 13.00, 32.00, 74, 'male', 'L2Minion', 'Fighter', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 53456, 5573, 1750, 517, 980, 437, 253, 500, 500, 147, 0, 0, 50, 174, 'tower_guard_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(880, 21070, 'Seal Archangel', '', 'angel', 13.50, 36.50, 75, 'male', 'L2Monster', 'Fighter', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 0, 0, 1823, 528, 1021, 447, 253, 500, 500, 148, 0, 0, 30, 174, 'tower_guard_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(881, 21071, 'Seal Archangel', '', 'angel', 13.50, 36.50, 75, 'male', 'L2Monster', 'Fighter', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 88404, 9325, 1823, 528, 1021, 447, 253, 500, 500, 148, 0, 0, 30, 174, 'tower_guard_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(882, 21072, 'Platinum Guardian Chief', '', 'kel_mahum_witch_doctor', 13.00, 25.00, 75, 'male', 'L2Monster', 'Fighter', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 40513, 4273, 1823, 528, 1021, 447, 253, 500, 500, 202, 0, 0, 50, 174, 'tower_guard_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.28, 'false', 'NONE', 1, 0),
	(883, 21073, 'Guardian Warrior of Elmoreden', '', 'skeleton_knight', 10.00, 25.00, 64, 'male', 'L2Minion', 'Fighter', 40, 3384, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 16897, 1547, 1134, 409, 624, 345, 253, 0, 500, 84, 0, 0, 40, 174, 'tower_ghost_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.17, 'false', 'NONE', 1, 0),
	(884, 21074, 'Bound Shaman', '', 'kel_mahum_witch_doctor', 13.00, 25.00, 72, 'male', 'L2Minion', 'Priest', 40, 4013, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 23163, 2353, 1612, 494, 899, 418, 253, 0, 500, 202, 0, 0, 50, 174, 'tower_guard_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.28, 'false', 'NONE', 1, 0),
	(885, 21075, 'Slaughter Bathin', '', 'death_knight', 12.00, 30.00, 63, 'male', 'L2Monster', 'Fighter', 40, 3302, 7.700, 1251, 2.760, 40, 43, 30, 21, 20, 20, 16790, 1516, 1083, 399, 593, 337, 253, 500, 500, 84, 0, 0, 27, 174, 'hallate_clan', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 1, 0),
	(886, 21076, 'Bathin\'s Knight', '', 'skeleton_knight', 10.00, 25.00, 62, 'male', 'L2Minion', 'Fighter', 40, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 16516, 1471, 1033, 389, 565, 329, 253, 0, 500, 78, 0, 0, 40, 174, 'hallate_clan', 200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.17, 'false', 'NONE', 1, 0),
	(887, 21077, 'Bathin\'s Wizard', '', 'banshee', 9.00, 23.00, 62, 'female', 'L2Minion', 'Mystic', 40, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 16007, 1427, 1033, 389, 565, 329, 253, 0, 500, 3939, 0, 0, 80, 174, 'hallate_clan', 200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(888, 21078, 'Magus Valac', '', 'vale_master', 12.00, 40.00, 70, 'male', 'L2Monster', 'Mystic', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 20355, 2018, 1481, 471, 824, 399, 253, 500, 500, 198, 0, 0, 70, 174, 'hallate_clan', 200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.74, 'false', 'NONE', 1, 0),
	(889, 21079, 'Valac\'s Creature', '', 'serpent_slave', 17.00, 46.00, 69, 'male', 'L2Minion', 'Fighter', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 18497, 1810, 1419, 461, 788, 390, 253, 0, 500, 150, 0, 0, 70, 174, 'hallate_clan', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(890, 21080, 'Valac\'s Guardian Spirit', '', 'shadow', 10.00, 30.00, 69, 'male', 'L2Minion', 'Fighter', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 17096, 1673, 1419, 461, 788, 390, 253, 0, 500, 0, 0, 0, 80, 174, 'hallate_clan', 200, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.54, 'false', 'NONE', 1, 0),
	(891, 21081, 'Power Angel Amon', '', 'angel', 13.50, 36.50, 75, 'male', 'L2Monster', 'Fighter', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 21329, 2250, 1823, 528, 1021, 447, 253, 500, 500, 4700, 0, 0, 30, 174, 'tower_guard_clan', 200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(892, 21082, 'Amon\'s Captain of the Guards', '', 'kel_mahum_champion', 13.00, 32.00, 74, 'male', 'L2Minion', 'Fighter', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 20511, 2138, 1750, 517, 980, 437, 253, 0, 500, 150, 0, 0, 50, 174, 'tower_guard_clan', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(893, 21083, 'Amon\'s Spirits', '', 'pixy', 5.00, 25.00, 74, 'female', 'L2Minion', 'Fighter', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 24232, 2526, 1750, 517, 980, 437, 253, 0, 500, 0, 0, 0, 80, 174, 'tower_guard_clan', 200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.72, 'false', 'NONE', 1, 0),
	(894, 21084, 'Bloody Lady', '', 'bloody_queen', 14.00, 40.00, 60, 'female', 'L2Monster', 'Mystic', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 14806, 1285, 939, 369, 510, 312, 253, 500, 500, 0, 0, 0, 80, 174, 'bloody_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(895, 21085, 'Bloody Sniper', '', 'fiend_archer', 17.00, 55.00, 71, 'male', 'L2Monster', 'Ranger', 1100, 3939, 8.500, 1529, 3.000, 40, 43, 30, 21, 20, 20, 33449, 3356, 1545, 482, 861, 408, 253, 500, 500, 0, 0, 0, 70, 174, 'bloody_clan', 400, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.76, 'false', 'NONE', 1, 0),
	(896, 21086, 'Bloody Liviona', '', 'liviona', 15.00, 28.00, 72, 'male', 'L2Monster', 'Fighter', 40, 4013, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 33396, 3392, 1612, 494, 899, 418, 253, 500, 500, 0, 0, 0, 80, 174, 'bloody_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(897, 21087, 'Bloody Knight', '', 'death_knight', 12.00, 30.00, 73, 'male', 'L2Monster', 'Fighter', 40, 4087, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 53594, 5514, 1680, 505, 939, 427, 253, 500, 500, 84, 0, 0, 27, 174, 'bloody_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 1, 0),
	(898, 21088, 'Bloody Banshee', '', 'banshee', 9.00, 23.00, 74, 'female', 'L2Monster', 'Mystic', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 35277, 3677, 1750, 517, 980, 437, 253, 500, 500, 3939, 0, 0, 80, 174, 'bloody_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(899, 21089, 'Bloody Lord', '', 'karik', 25.00, 90.00, 75, 'male', 'L2Monster', 'Fighter', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 40903, 4314, 1823, 528, 1021, 447, 253, 500, 500, 0, 0, 0, 37, 174, 'bloody_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(900, 21090, 'Bloody Guardian', '', 'death_blader', 15.00, 45.00, 75, 'male', 'L2Monster', 'Fighter', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 31444, 3317, 1823, 528, 1021, 447, 253, 500, 500, 1472, 0, 0, 100, 174, 'bloody_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(901, 21091, 'Bloody Keeper', '', 'kaim_vanul', 24.00, 40.00, 74, 'male', 'L2Minion', 'Fighter', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 21195, 2209, 1750, 517, 980, 437, 253, 0, 500, 0, 0, 0, 37, 174, 'bloody_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(902, 21092, 'Bloody Mystic', '', 'banshee', 9.00, 23.00, 74, 'female', 'L2Minion', 'Mystic', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 20706, 2159, 1750, 517, 980, 437, 253, 0, 500, 3939, 0, 0, 80, 174, 'bloody_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(903, 21093, 'Ratman Sub Chieftain', '', 'wererat', 14.00, 25.00, 19, 'male', 'L2Monster', 'Fighter', 40, 508, 3.300, 203, 1.440, 40, 43, 30, 21, 20, 20, 692, 31, 59, 91, 26, 77, 253, 400, 500, 216, 0, 0, 80, 150, 'wererat_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.61, 'true', 'NONE', 1, 0),
	(904, 21094, 'Ratman Chieftain', '', 'wererat', 14.00, 25.00, 20, 'male', 'L2Monster', 'Fighter', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 713, 32, 65, 96, 24, 80, 253, 0, 500, 3, 0, 0, 80, 155, 'wererat_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'true', 'NONE', 1, 0),
	(905, 21095, 'Giant Poison Bee', '', 'giant_bee', 8.00, 24.50, 21, 'male', 'L2Monster', 'Fighter', 40, 576, 3.500, 228, 1.500, 40, 43, 30, 21, 20, 20, 1009, 47, 70, 100, 31, 84, 253, 0, 500, 0, 0, 0, 90, 90, '', 0, 0, 0, 0, 7, 10, 8, 4, 0, 10, 0.50, 'true', 'NONE', 1, 0),
	(906, 21096, 'Cloudy Beast', '', 'onyx_beast', 14.00, 14.50, 22, 'male', 'L2Monster', 'Fighter', 40, 612, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 1005, 48, 78, 104, 29, 87, 253, 400, 500, 0, 0, 0, 30, 140, 'beast_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.24, 'true', 'NONE', 1, 0),
	(907, 21097, 'Young Araneid', '', 'poison_spider', 27.00, 25.50, 23, 'male', 'L2Monster', 'Mystic', 40, 649, 3.700, 257, 1.560, 40, 43, 30, 21, 20, 20, 1183, 58, 84, 108, 32, 91, 253, 400, 500, 0, 0, 0, 60, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.65, 'true', 'NONE', 1, 0),
	(908, 21098, 'Plain Grizzly', '', 'grizzly', 21.00, 40.00, 24, 'male', 'L2Monster', 'Fighter', 40, 688, 3.800, 273, 1.590, 40, 43, 30, 21, 20, 20, 1123, 55, 91, 113, 39, 96, 253, 0, 500, 0, 0, 0, 40, 115, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'true', 'NONE', 1, 0),
	(909, 21099, 'Cloudy Beast Turen', '', 'onyx_beast', 14.00, 14.50, 25, 'male', 'L2Monster', 'Fighter', 40, 728, 3.900, 288, 1.620, 40, 43, 30, 21, 20, 20, 1215, 61, 100, 118, 42, 99, 253, 400, 500, 0, 0, 0, 30, 145, 'beast_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.24, 'true', 'NONE', 1, 0),
	(910, 21100, 'Langk Lizardman Sentinel', '', 'virud_lizardman', 10.00, 23.00, 19, 'male', 'L2Monster', 'Fighter', 40, 508, 3.300, 203, 1.440, 40, 43, 30, 21, 20, 20, 692, 31, 59, 91, 26, 77, 253, 500, 500, 2, 0, 0, 43, 130, 'lizardman_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(911, 21101, 'Langk Lizardman Shaman', '', 'virud_lizardman_shaman', 10.00, 29.00, 24, 'male', 'L2Monster', 'Priest', 40, 688, 3.800, 273, 1.590, 40, 43, 30, 21, 20, 20, 1123, 55, 91, 113, 39, 96, 253, 0, 500, 6, 0, 0, 43, 130, 'lizardman_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.48, 'true', 'NONE', 1, 0),
	(912, 21102, 'Watchman of the Plains', '', 'magical_weaver', 11.00, 20.00, 30, 'male', 'L2Monster', 'Mystic', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 1602, 88, 149, 143, 62, 121, 253, 500, 500, 0, 0, 0, 90, 160, 'monster_eye_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.39, 'true', 'NONE', 1, 0),
	(913, 21103, 'Roughly Hewn Rock Golem', '', 'stone_golem_bi', 20.00, 40.30, 31, 'male', 'L2Monster', 'Mystic', 40, 1005, 4.500, 382, 1.800, 40, 43, 30, 21, 20, 20, 1677, 94, 161, 149, 67, 126, 253, 0, 500, 0, 0, 0, 23, 23, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.41, 'true', 'NONE', 1, 0),
	(914, 21104, 'Delu Lizardman Supplier', '', 'virud_lizardman', 10.00, 23.00, 32, 'male', 'L2Monster', 'Fighter', 40, 1056, 4.600, 398, 1.830, 40, 43, 30, 21, 20, 20, 2106, 119, 173, 154, 74, 130, 253, 0, 500, 223, 0, 0, 43, 135, '', 0, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(915, 21105, 'Delu Lizardman Special Agent', '', 'virud_lizardman_scout', 10.00, 22.00, 33, 'male', 'L2Monster', 'DeluLizardmanSpecialAgent', 1100, 1109, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 2427, 139, 187, 160, 81, 135, 253, 0, 500, 2507, 0, 0, 43, 135, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.72, 'true', 'NONE', 1, 0),
	(916, 21106, 'Cursed Seer', '', 'magical_weaver', 11.00, 20.00, 34, 'male', 'L2Monster', 'Mystic', 40, 1164, 4.800, 430, 1.890, 40, 43, 30, 21, 20, 20, 2058, 120, 202, 166, 88, 141, 253, 500, 500, 0, 0, 0, 90, 160, 'monster_eye_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.39, 'true', 'NONE', 1, 0),
	(917, 21107, 'Delu Lizardman Commander', '', 'virud_lizardman_warrior', 12.00, 30.00, 35, 'male', 'L2Monster', 'Fighter', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 4354, 258, 216, 172, 96, 146, 253, 0, 500, 93, 0, 0, 52, 135, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'true', 'NONE', 1, 0),
	(918, 21108, 'Glow Wisp', '', 'will_o_wisp', 13.00, 22.00, 67, 'male', 'L2Monster', 'Mystic', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 7835, 746, 1299, 439, 719, 372, 253, 0, 500, 0, 0, 0, 80, 160, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.10, 'true', 'NONE', 1, 0),
	(919, 21109, 'Hames Orc Scout', '', 'ketra_orc', 12.00, 29.00, 68, 'male', 'L2Monster', 'Fighter', 40, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 9699, 937, 1358, 450, 753, 381, 253, 0, 500, 229, 0, 0, 45, 185, 'orc_clan', 400, 0, 0, 0, 7, 10, 8, 4, 0, 10, 0.46, 'true', 'NONE', 1, 0),
	(920, 21110, 'Marsh Predator', '', 'devastator', 35.00, 35.00, 69, 'male', 'L2Monster', 'Fighter', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 8268, 809, 1419, 461, 788, 390, 253, 0, 500, 0, 0, 0, 25, 175, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'true', 'NONE', 1, 0),
	(921, 21111, 'Lava Wyrm', '', 'wyrm', 29.00, 72.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 8637, 857, 1481, 471, 824, 399, 253, 500, 500, 0, 0, 0, 70, 175, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.19, 'true', 'NONE', 1, 0),
	(922, 21112, 'Hames Orc Footman', '', 'ketra_orc', 12.00, 29.00, 71, 'male', 'L2Monster', 'Fighter', 40, 3939, 8.500, 1529, 3.000, 40, 43, 30, 21, 20, 20, 10470, 1050, 1545, 482, 861, 408, 253, 0, 500, 233, 110, 0, 45, 180, 'orc_clan', 300, 0, 20, 150, 7, 30, 4, 4, 0, -6, 0.46, 'true', 'NONE', 1, 0),
	(923, 21113, 'Hames Orc Sniper', '', 'ketra_orc_archer', 12.00, 27.00, 72, 'male', 'L2Monster', 'Ranger', 1100, 4013, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 11667, 1186, 1612, 494, 899, 418, 253, 0, 500, 287, 0, 0, 45, 160, 'orc_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.91, 'true', 'NONE', 1, 0),
	(924, 21114, 'Cursed Guardian', '', 'death_blader', 15.00, 45.00, 73, 'male', 'L2Monster', 'Fighter', 40, 4087, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 11078, 1140, 1680, 505, 939, 427, 253, 0, 500, 1472, 0, 0, 100, 175, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.45, 'true', 'NONE', 1, 0),
	(925, 21115, 'Hames Orc Shaman', '', 'ketra_orc_shaman', 10.00, 23.00, 74, 'male', 'L2Monster', 'Priest', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 9652, 1006, 1750, 517, 980, 437, 253, 0, 500, 186, 0, 0, 10, 145, 'orc_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.34, 'true', 'NONE', 1, 0),
	(926, 21116, 'Hames Orc Overlord', '', 'ketra_orc_warrior', 12.00, 24.00, 75, 'male', 'L2Monster', 'Fighter', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 15240, 1608, 1823, 528, 1021, 447, 253, 500, 500, 75, 103, 0, 36, 175, 'orc_clan', 500, 0, 20, 159, 7, 30, 4, 4, 0, -6, 0.54, 'true', 'NONE', 1, 0),
	(927, 21117, 'Kasha Imp', '', 'imp_bi', 10.00, 30.00, 19, 'male', 'L2Monster', 'Fighter', 40, 508, 3.300, 203, 1.440, 40, 43, 30, 21, 20, 20, 678, 30, 59, 91, 26, 77, 253, 0, 500, 0, 0, 0, 60, 85, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.34, 'true', 'NONE', 1, 0),
	(928, 21118, 'Baar Dre Vanul', '', 'dre_vanul', 14.00, 36.00, 20, 'male', 'L2Monster', 'Fighter', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 727, 32, 65, 96, 24, 80, 253, 400, 500, 0, 0, 0, 80, 85, 'demonic_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.35, 'true', 'NONE', 1, 0),
	(929, 21119, 'Hobgoblin', '', 'hobgoblin', 12.00, 24.00, 21, 'male', 'L2Monster', 'Fighter', 40, 576, 3.500, 228, 1.500, 40, 43, 30, 21, 20, 20, 917, 42, 70, 100, 31, 84, 253, 0, 500, 4, 0, 0, 45, 110, 'goblin_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.41, 'true', 'NONE', 1, 0),
	(930, 21120, 'Kasha Imp Turen', '', 'imp_bi', 10.00, 30.00, 22, 'male', 'L2Monster', 'Fighter', 40, 612, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 1196, 56, 78, 104, 29, 87, 253, 400, 500, 0, 0, 0, 60, 85, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.34, 'true', 'NONE', 1, 0),
	(931, 21121, 'Kasha Dire Wolf', '', 'dire_wolf', 13.00, 11.00, 23, 'male', 'L2Monster', 'Fighter', 40, 649, 3.700, 257, 1.560, 40, 43, 30, 21, 20, 20, 1075, 52, 84, 108, 32, 91, 253, 400, 500, 0, 0, 0, 24, 135, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.39, 'true', 'NONE', 1, 0),
	(932, 21122, 'Kasha Bugbear', '', 'bugbear', 17.00, 35.00, 24, 'male', 'L2Monster', 'Fighter', 40, 688, 3.800, 273, 1.590, 40, 43, 30, 21, 20, 20, 1145, 56, 91, 113, 39, 96, 253, 400, 500, 169, 0, 0, 55, 130, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.28, 'true', 'NONE', 1, 0),
	(933, 21123, 'Baar Dre Vanul Destroyer', '', 'dre_vanul', 14.00, 36.00, 25, 'male', 'L2Monster', 'Fighter', 40, 728, 3.900, 288, 1.620, 40, 43, 30, 21, 20, 20, 1521, 76, 100, 118, 42, 99, 253, 400, 500, 0, 0, 0, 80, 85, 'demonic_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.35, 'true', 'NONE', 1, 0),
	(934, 21124, 'Red Eye Barbed Bat', '', 'vampire_bat', 10.00, 33.50, 18, 'male', 'L2Monster', 'Mystic', 40, 477, 3.200, 194, 1.410, 40, 43, 30, 21, 20, 20, 640, 28, 54, 88, 20, 74, 253, 0, 500, 0, 0, 0, 60, 90, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.50, 'true', 'NONE', 1, 0),
	(935, 21125, 'Northern Trimden', '', 'poison_spider', 27.00, 25.50, 19, 'male', 'L2Monster', 'Mystic', 40, 508, 3.300, 203, 1.440, 40, 43, 30, 21, 20, 20, 685, 31, 59, 91, 26, 77, 253, 400, 500, 0, 0, 0, 60, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.65, 'true', 'NONE', 1, 0),
	(936, 21126, 'Kerope Werewolf', '', 'werewolf_bi', 11.00, 29.70, 20, 'male', 'L2Monster', 'Fighter', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 713, 32, 65, 96, 24, 80, 253, 0, 500, 0, 0, 0, 50, 125, 'werewolf_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.43, 'true', 'NONE', 1, 0),
	(937, 21127, 'Northern Goblin', '', 'northern_goblin', 21.00, 20.00, 21, 'male', 'L2Monster', 'Fighter', 40, 576, 3.500, 228, 1.500, 40, 43, 30, 21, 20, 20, 917, 42, 70, 100, 31, 84, 253, 0, 500, 152, 0, 0, 30, 120, 'goblin_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.45, 'true', 'NONE', 1, 0),
	(938, 21128, 'Spine Golem', '', 'stone_golem_bi', 20.00, 40.30, 22, 'male', 'L2Monster', 'Mystic', 40, 612, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 986, 47, 78, 104, 29, 87, 253, 0, 500, 0, 0, 0, 23, 23, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.41, 'true', 'NONE', 1, 0),
	(939, 21129, 'Kerope Werewolf Chief', '', 'werewolf_bi', 11.00, 29.70, 23, 'male', 'L2Monster', 'Fighter', 40, 649, 3.700, 257, 1.560, 40, 43, 30, 21, 20, 20, 1075, 52, 84, 108, 32, 91, 253, 400, 500, 0, 0, 0, 50, 140, 'werewolf_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.43, 'true', 'NONE', 1, 0),
	(940, 21130, 'Northern Goblin Leader', '', 'northern_goblin', 4.00, 15.00, 24, 'male', 'L2Monster', 'Fighter', 40, 688, 3.800, 273, 1.590, 40, 43, 30, 21, 20, 20, 1145, 56, 91, 113, 39, 96, 253, 400, 333, 66, 102, 0, 30, 125, 'goblin_clan', 300, 0, 20, 49, 7, 50, 1, 9, 0, -6, 0.45, 'true', 'NONE', 1, 0),
	(941, 21131, 'Enchanted Spine Golem', '', 'stone_golem_bi', 20.00, 40.30, 25, 'male', 'L2Monster', 'Mystic', 40, 728, 3.900, 288, 1.620, 40, 43, 30, 21, 20, 20, 1191, 60, 100, 118, 42, 99, 253, 0, 333, 0, 0, 0, 23, 29, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.41, 'true', 'NONE', 1, 0),
	(942, 21132, 'Underground Kobold', '', 'kobold', 10.00, 15.00, 24, 'male', 'L2Monster', 'Fighter', 40, 688, 3.800, 273, 1.590, 40, 43, 30, 21, 20, 20, 935, 46, 91, 113, 39, 96, 253, 0, 500, 0, 0, 0, 47, 110, 'kobold_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.54, 'false', 'NONE', 1, 0),
	(943, 21133, 'Dead Pit Skeleton Archer', '', 'skeleton_archer', 11.00, 27.00, 25, 'male', 'L2Monster', 'Ranger', 1100, 728, 3.900, 288, 1.620, 40, 43, 30, 21, 20, 20, 1022, 52, 100, 118, 42, 99, 253, 0, 500, 274, 0, 0, 40, 130, 'undead_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.80, 'false', 'NONE', 1, 0),
	(944, 21134, 'Dead Pit Spartoi', '', 'spartoi', 11.00, 27.00, 26, 'male', 'L2Monster', 'Fighter', 40, 770, 4.000, 303, 1.650, 40, 43, 30, 21, 20, 20, 1078, 54, 108, 123, 46, 103, 253, 400, 500, 219, 0, 0, 60, 145, 'undead_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.30, 'false', 'NONE', 1, 0),
	(945, 21135, 'Underground Kobold Warrior', '', 'kobold', 10.00, 15.00, 27, 'male', 'L2Monster', 'Fighter', 40, 814, 4.100, 318, 1.680, 40, 43, 30, 21, 20, 20, 1325, 67, 118, 127, 50, 107, 253, 0, 500, 0, 0, 0, 47, 115, 'kobold_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 1, 0),
	(946, 21136, 'Dead Pit Horror', '', 'dark_horror', 20.00, 35.00, 28, 'male', 'L2Monster', 'Fighter', 40, 859, 4.200, 334, 1.710, 40, 43, 30, 21, 20, 20, 1178, 62, 127, 132, 54, 112, 253, 0, 500, 0, 0, 0, 100, 100, 'undead_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.37, 'false', 'NONE', 1, 0),
	(947, 21137, 'Iron Ore Golem', '', 'iron_golem', 18.00, 34.00, 29, 'male', 'L2Monster', 'Mystic', 40, 906, 4.300, 350, 1.740, 40, 43, 30, 21, 20, 20, 1268, 68, 138, 138, 58, 117, 253, 400, 500, 0, 0, 0, 20, 21, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.41, 'false', 'NONE', 1, 0),
	(948, 21138, 'Greedy Geist', '', 'hungry_spirit', 13.00, 40.00, 30, 'male', 'L2Monster', 'Fighter', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 1361, 74, 149, 143, 62, 121, 253, 0, 500, 0, 0, 0, 15, 150, 'undead_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.45, 'false', 'NONE', 1, 0),
	(949, 21139, 'Catacomb Barbed Bat', '', 'vampire_bat', 10.00, 33.50, 23, 'male', 'L2Monster', 'Mystic', 40, 649, 3.700, 257, 1.560, 40, 43, 30, 21, 20, 20, 2621, 127, 84, 108, 32, 91, 253, 500, 500, 0, 0, 0, 60, 130, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.50, 'false', 'NONE', 1, 0),
	(950, 21140, 'Catacomb Wisp', '', 'will_o_wisp', 13.00, 22.00, 26, 'male', 'L2Monster', 'Mystic', 40, 770, 4.000, 303, 1.650, 40, 43, 30, 21, 20, 20, 3153, 159, 108, 123, 46, 103, 253, 500, 500, 0, 0, 0, 80, 120, 'c_dungeon_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.10, 'false', 'NONE', 1, 0),
	(951, 21141, 'Catacomb Serpent', '', 'serpent_slave', 17.00, 46.00, 28, 'male', 'L2Monster', 'Fighter', 40, 859, 4.200, 334, 1.710, 40, 43, 30, 21, 20, 20, 3706, 194, 127, 132, 54, 112, 253, 500, 500, 73, 0, 0, 70, 130, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.46, 'false', 'NONE', 1, 0),
	(952, 21142, 'Grave Keeper Spartoi', '', 'spartoi', 11.00, 27.00, 29, 'male', 'L2Monster', 'Fighter', 40, 906, 4.300, 350, 1.740, 40, 43, 30, 21, 20, 20, 3710, 199, 138, 138, 58, 117, 253, 500, 500, 221, 0, 0, 60, 140, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(953, 21143, 'Catacomb Scavenger Bat', '', 'vampire_bat', 10.00, 33.50, 31, 'male', 'L2Monster', 'Fighter', 40, 1005, 4.500, 382, 1.800, 40, 43, 30, 21, 20, 20, 4170, 231, 161, 149, 67, 126, 253, 500, 500, 0, 0, 0, 60, 140, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.50, 'false', 'NONE', 1, 0),
	(954, 21144, 'Catacomb Shadow', '', 'shadow', 10.00, 30.00, 34, 'male', 'L2Monster', 'Mystic', 40, 1164, 4.800, 430, 1.890, 40, 43, 30, 21, 20, 20, 5016, 293, 202, 166, 88, 141, 253, 500, 500, 0, 0, 0, 80, 130, 'c_dungeon_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.54, 'false', 'NONE', 1, 0),
	(955, 21145, 'Catacomb Stakato Soldier', '', 'blade_stakato_soldier', 15.00, 38.00, 38, 'male', 'L2Monster', 'Fighter', 40, 1400, 5.200, 497, 2.010, 40, 43, 30, 21, 20, 20, 6444, 402, 267, 191, 124, 162, 253, 500, 500, 232, 0, 0, 25, 150, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.74, 'false', 'NONE', 1, 0),
	(956, 21146, 'Grave Keeper Dark Horror', '', 'dark_horror', 20.00, 35.00, 40, 'male', 'L2Monster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 6943, 448, 305, 205, 145, 173, 253, 500, 500, 0, 0, 0, 100, 160, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(957, 21147, 'Catacomb Gargoyle', '', 'gargoyle', 16.00, 50.00, 43, 'male', 'L2Monster', 'Fighter', 40, 1729, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 8457, 572, 369, 226, 181, 191, 253, 500, 500, 0, 0, 0, 140, 170, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(958, 21148, 'Catacomb Liviona', '', 'liviona', 15.00, 28.00, 44, 'male', 'L2Monster', 'Fighter', 40, 1799, 5.800, 648, 2.190, 40, 43, 30, 21, 20, 20, 8401, 575, 392, 233, 194, 197, 253, 500, 500, 0, 0, 0, 80, 140, 'c_dungeon_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.34, 'false', 'NONE', 1, 0),
	(959, 21149, 'Decayed Ancient Pikeman', '', 'skeleton_pikeman', 10.00, 28.00, 46, 'male', 'L2Monster', 'Fighter', 40, 1943, 6.000, 708, 2.250, 40, 43, 30, 21, 20, 20, 9679, 686, 442, 248, 223, 210, 253, 500, 500, 96, 0, 0, 50, 170, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.21, 'false', 'NONE', 1, 0),
	(960, 21150, 'Decayed Ancient Soldier', '', 'skeleton_knight', 10.00, 25.00, 49, 'male', 'L2Monster', 'Fighter', 40, 2168, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 10982, 812, 526, 271, 271, 230, 253, 500, 500, 125, 0, 0, 40, 160, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.17, 'false', 'NONE', 1, 0),
	(961, 21151, 'Decayed Ancient Knight', '', 'skeleton_royal_guard', 11.00, 28.50, 50, 'male', 'L2Monster', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 11435, 861, 558, 279, 289, 237, 253, 500, 500, 227, 0, 0, 80, 170, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(962, 21152, 'Purgatory Wisp', '', 'will_o_wisp', 13.00, 22.00, 53, 'male', 'L2Monster', 'Mystic', 40, 2482, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 12189, 958, 656, 305, 347, 258, 253, 500, 500, 0, 0, 0, 80, 150, 'c_dungeon_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.10, 'false', 'NONE', 1, 0),
	(963, 21153, 'Purgatory Serpent', '', 'serpent_slave', 17.00, 46.00, 56, 'male', 'L2Monster', 'Fighter', 40, 2725, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 14344, 1178, 769, 331, 412, 280, 253, 500, 500, 73, 0, 0, 70, 175, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.46, 'false', 'NONE', 1, 0),
	(964, 21154, 'Hell Keeper Medusa', '', 'medusa', 10.00, 25.00, 58, 'female', 'L2Monster', 'Mystic', 40, 2889, 7.200, 1085, 2.610, 40, 43, 30, 21, 20, 20, 15013, 1268, 851, 350, 459, 296, 253, 500, 500, 0, 0, 0, 50, 165, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(965, 21155, 'Purgatory Conjurer', '', 'vampire_bat', 10.00, 33.50, 59, 'male', 'L2Monster', 'Mystic', 40, 2972, 7.300, 1118, 2.640, 40, 43, 30, 21, 20, 20, 15105, 1291, 894, 359, 484, 305, 253, 500, 500, 0, 0, 0, 60, 175, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.50, 'false', 'NONE', 1, 0),
	(966, 21156, 'Purgatory Shadow', '', 'shadow', 10.00, 30.00, 61, 'male', 'L2Monster', 'Mystic', 40, 3137, 7.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 16146, 1421, 985, 379, 537, 320, 253, 500, 500, 0, 0, 0, 80, 155, 'c_dungeon_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.54, 'false', 'NONE', 1, 0),
	(967, 21157, 'Purgatory Tarantula', '', 'poison_spider', 27.00, 25.50, 64, 'male', 'L2Monster', 'Mystic', 40, 3384, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 18280, 1674, 1134, 409, 624, 345, 253, 500, 500, 0, 0, 0, 60, 175, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.65, 'false', 'NONE', 1, 0),
	(968, 21158, 'Hell Keeper Crimson Doll', '', 'crimson_doll', 15.00, 38.00, 67, 'male', 'L2Monster', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 20533, 1955, 1299, 439, 719, 372, 253, 500, 500, 0, 0, 0, 60, 180, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.67, 'false', 'NONE', 1, 0),
	(969, 21159, 'Purgatory Gargoyle', '', 'gargoyle', 16.00, 50.00, 68, 'male', 'L2Monster', 'Fighter', 40, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 21151, 2043, 1358, 450, 753, 381, 253, 500, 500, 0, 0, 0, 140, 175, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(970, 21160, 'Purgatory Liviona', '', 'liviona', 15.00, 28.00, 71, 'male', 'L2Monster', 'Fighter', 40, 3939, 8.500, 1529, 3.000, 40, 43, 30, 21, 20, 20, 21874, 2195, 1545, 482, 861, 408, 253, 500, 500, 0, 0, 0, 80, 160, 'c_dungeon_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.34, 'false', 'NONE', 1, 0),
	(971, 21161, 'Lesser Ancient Soldier', '', 'medusa', 10.00, 25.00, 73, 'female', 'L2Monster', 'Fighter', 40, 4087, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 23782, 2447, 1680, 505, 939, 427, 253, 500, 333, 0, 0, 0, 50, 180, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(972, 21162, 'Lesser Ancient Scout', '', 'blade_stakato_drone', 15.00, 39.00, 74, 'male', 'L2Monster', 'Fighter', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 23761, 2477, 1750, 517, 980, 437, 253, 500, 333, 135, 0, 0, 25, 160, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.58, 'false', 'NONE', 1, 0),
	(973, 21163, 'Lesser Ancient Shaman', '', 'silhouette', 8.00, 23.00, 76, 'female', 'L2Monster', 'Priest', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 25063, 2679, 2088, 594, 1170, 503, 253, 500, 500, 0, 0, 0, 80, 200, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.54, 'false', 'NONE', 1, 0),
	(974, 21164, 'Guardian Spirit of Ancient Holy Ground', '', 'death_lord', 21.00, 40.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4536, 9.200, 1840, 3.210, 40, 43, 30, 21, 20, 20, 28547, 3164, 2259, 620, 1268, 525, 253, 500, 500, 78, 0, 0, 40, 190, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(975, 21165, 'Lesser Ancient Warrior', '', 'shadeless', 7.00, 28.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4642, 9.200, 1896, 3.210, 40, 43, 30, 21, 20, 20, 31048, 3485, 2259, 620, 1268, 525, 253, 500, 500, 0, 0, 0, 48, 200, 'c_dungeon_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(976, 21166, 'Lith Scout', '', 'temple_guard_a_20_sm', 12.00, 33.60, 21, 'male', 'L2Monster', 'Fighter', 40, 576, 3.500, 228, 1.500, 40, 43, 30, 21, 20, 20, 2380, 109, 70, 100, 31, 84, 253, 0, 500, 5795, 0, 0, 53, 130, 'c_dungeon_clan', 400, 0, 0, 0, 7, 10, 8, 4, 0, 10, 0.48, 'false', 'NONE', 1, 0),
	(977, 21167, 'Lith Witch', '', 'temple_savant_a_20_sm', 8.00, 32.00, 24, 'male', 'L2Monster', 'Mystic', 40, 688, 3.800, 273, 1.590, 40, 43, 30, 21, 20, 20, 2763, 136, 91, 113, 39, 96, 253, 0, 500, 5797, 0, 0, 25, 110, 'c_dungeon_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(978, 21168, 'Lith Warrior', '', 'temple_guard_b_20_sm', 12.00, 33.60, 27, 'male', 'L2Monster', 'Fighter', 40, 814, 4.100, 318, 1.680, 40, 43, 30, 21, 20, 20, 3420, 175, 118, 127, 50, 107, 253, 0, 500, 5796, 0, 0, 53, 130, 'c_dungeon_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(979, 21169, 'Lith Guard', '', 'temple_guard_a', 15.00, 42.00, 30, 'male', 'L2Monster', 'Fighter', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 4532, 248, 149, 143, 62, 121, 253, 0, 500, 5795, 0, 0, 53, 140, 'c_dungeon_clan', 400, 0, 0, 0, 7, 10, 8, 4, 0, 10, 0.48, 'false', 'NONE', 1, 0),
	(980, 21170, 'Lith Medium', '', 'temple_savant_a', 10.00, 40.00, 33, 'male', 'L2Monster', 'Fighter', 40, 1109, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 5231, 300, 187, 160, 81, 135, 253, 0, 500, 5797, 0, 0, 25, 120, 'c_dungeon_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(981, 21171, 'Lith Overlord', '', 'temple_guard_b', 15.00, 42.00, 36, 'male', 'L2Monster', 'Fighter', 40, 1279, 5.000, 464, 1.950, 40, 43, 30, 21, 20, 20, 6677, 404, 232, 179, 105, 151, 253, 0, 500, 5796, 0, 0, 53, 140, 'c_dungeon_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(982, 21172, 'Lith Patrolman', '', 'temple_guard_a', 15.00, 42.00, 39, 'male', 'L2Monster', 'Fighter', 40, 1463, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 7888, 501, 285, 197, 133, 167, 253, 0, 500, 5795, 0, 0, 53, 150, 'c_dungeon_clan', 400, 0, 0, 0, 7, 10, 8, 4, 0, 10, 0.48, 'false', 'NONE', 1, 0),
	(983, 21173, 'Lith Shaman', '', 'temple_savant_a', 10.00, 40.00, 42, 'male', 'L2Monster', 'Priest', 40, 1660, 5.600, 589, 2.130, 40, 43, 30, 21, 20, 20, 8473, 564, 345, 218, 168, 185, 253, 0, 500, 5798, 0, 0, 25, 130, 'c_dungeon_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(984, 21174, 'Lith Commander', '', 'temple_guard_b', 15.00, 42.00, 45, 'male', 'L2Monster', 'Fighter', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 10925, 760, 417, 240, 208, 204, 253, 0, 500, 5796, 0, 0, 53, 150, 'c_dungeon_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(985, 21175, 'Lilim Butcher', '', 'lilim_assassin_10_sm', 11.00, 36.00, 48, 'male', 'L2Monster', 'Fighter', 40, 2092, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 12374, 904, 498, 264, 254, 224, 253, 0, 500, 232, 232, 0, 36, 170, 'c_dungeon_clan', 400, 0, 0, 83, 7, 10, 8, 4, 0, 10, 0.46, 'false', 'NONE', 1, 0),
	(986, 21176, 'Lilim Magus', '', 'lilim_wizard_10_sm', 8.00, 30.60, 51, 'female', 'L2Monster', 'Mystic', 40, 2323, 6.500, 861, 2.400, 40, 43, 30, 21, 20, 20, 12493, 953, 589, 288, 308, 244, 253, 0, 500, 0, 0, 0, 50, 140, 'c_dungeon_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(987, 21177, 'Lilim Knight Errant', '', 'lilim_knight_10_sm', 11.00, 45.00, 54, 'male', 'L2Monster', 'Fighter', 40, 2562, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 17542, 1399, 692, 314, 368, 266, 253, 0, 500, 5800, 5799, 0, 56, 170, 'c_dungeon_clan', 400, 0, 20, 109, 7, 30, 4, 4, 0, -6, 0.46, 'false', 'NONE', 1, 0),
	(988, 21178, 'Lilim Marauder', '', 'lilim_assassin_10_sm', 11.00, 36.00, 57, 'male', 'L2Monster', 'Fighter', 40, 2807, 7.100, 1052, 2.580, 40, 43, 30, 21, 20, 20, 18790, 1561, 809, 340, 435, 289, 253, 0, 500, 229, 229, 0, 36, 180, 'c_dungeon_clan', 400, 0, 0, 102, 7, 10, 8, 4, 0, 10, 0.46, 'false', 'NONE', 1, 0),
	(989, 21179, 'Lilim Priest', '', 'lilim_wizard_10_sm', 8.00, 30.60, 60, 'female', 'L2Monster', 'Priest', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 17292, 1501, 939, 369, 510, 312, 253, 0, 500, 0, 0, 0, 50, 160, 'c_dungeon_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(990, 21180, 'Lilim Knight', '', 'lilim_knight_10_sm', 11.00, 45.00, 63, 'male', 'L2Monster', 'Fighter', 40, 3302, 7.700, 1251, 2.760, 40, 43, 30, 21, 20, 20, 25957, 2344, 1083, 399, 593, 337, 253, 0, 500, 5800, 5799, 0, 56, 180, 'c_dungeon_clan', 400, 0, 20, 131, 7, 30, 4, 4, 0, -6, 0.46, 'false', 'NONE', 1, 0),
	(991, 21181, 'Lilim Assassin', '', 'lilim_assassin_10_bi', 13.00, 44.00, 66, 'male', 'L2Monster', 'Fighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 27475, 2586, 1242, 429, 686, 363, 253, 0, 500, 234, 234, 0, 36, 190, 'c_dungeon_clan', 400, 0, 0, 121, 7, 10, 8, 4, 0, 10, 0.46, 'false', 'NONE', 1, 0),
	(992, 21182, 'Lilim Soldier', '', 'lilim_wizard_10_bi', 10.00, 37.50, 69, 'female', 'L2Monster', 'Fighter', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 22868, 2237, 1419, 461, 788, 390, 253, 0, 500, 0, 0, 0, 50, 170, 'c_dungeon_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(993, 21183, 'Lilim Knight Commander', '', 'lilim_knight_10_bi', 13.00, 55.00, 72, 'male', 'L2Monster', 'Fighter', 40, 4013, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 33903, 3444, 1612, 494, 899, 418, 253, 0, 333, 5800, 5799, 0, 56, 190, 'c_dungeon_clan', 400, 0, 20, 152, 7, 30, 4, 4, 0, -6, 0.46, 'false', 'NONE', 1, 0),
	(994, 21184, 'Lilim Slayer', '', 'lilim_assassin_10_bi', 13.00, 44.00, 75, 'male', 'L2Monster', 'Fighter', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 35479, 3742, 1823, 528, 1021, 447, 253, 0, 333, 236, 236, 0, 36, 200, 'c_dungeon_clan', 400, 0, 0, 140, 7, 10, 8, 4, 0, 10, 0.46, 'false', 'NONE', 1, 0),
	(995, 21185, 'Lilim Great Mystic', '', 'lilim_wizard_10_bi', 10.00, 37.50, 78, 'female', 'L2Monster', 'Mystic', 40, 4429, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 29223, 3198, 2259, 620, 1268, 525, 253, 0, 500, 0, 0, 0, 50, 180, 'c_dungeon_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(996, 21186, 'Lilim Court Knight', '', 'lilim_knight_10_bi', 13.00, 55.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4642, 9.200, 1896, 3.210, 40, 43, 30, 21, 20, 20, 41856, 4698, 2259, 620, 1268, 525, 253, 0, 500, 5800, 5799, 0, 56, 200, 'c_dungeon_clan', 400, 0, 20, 170, 7, 30, 4, 4, 0, -6, 0.46, 'false', 'NONE', 1, 0),
	(997, 21187, 'Gigant Slave', '', 'tomb_guard_a_20_sm', 8.00, 32.00, 21, 'male', 'L2Monster', 'Fighter', 40, 576, 3.500, 228, 1.500, 40, 43, 30, 21, 20, 20, 2380, 109, 70, 100, 31, 84, 253, 0, 500, 5791, 0, 0, 49, 130, 'c_dungeon_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.50, 'false', 'NONE', 1, 0),
	(998, 21188, 'Gigant Acolyte', '', 'tomb_savant_a_20_sm', 8.00, 32.00, 24, 'male', 'L2Monster', 'Fighter', 40, 688, 3.800, 273, 1.590, 40, 43, 30, 21, 20, 20, 2763, 136, 91, 113, 39, 96, 253, 0, 500, 5793, 0, 0, 49, 110, 'c_dungeon_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(999, 21189, 'Gigant Overseer', '', 'tomb_guard_b_20_sm', 12.00, 34.00, 27, 'male', 'L2Monster', 'Fighter', 40, 814, 4.100, 318, 1.680, 40, 43, 30, 21, 20, 20, 3420, 175, 118, 127, 50, 107, 253, 0, 500, 5792, 0, 0, 49, 130, 'c_dungeon_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(1000, 21190, 'Gigant Footman', '', 'tomb_guard_a', 10.00, 40.00, 30, 'male', 'L2Monster', 'Fighter', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 4532, 248, 149, 143, 62, 121, 253, 0, 500, 5791, 0, 0, 49, 140, 'c_dungeon_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.50, 'false', 'NONE', 1, 0),
	(1001, 21191, 'Gigant Cleric', '', 'tomb_savant_a', 10.00, 40.00, 33, 'male', 'L2Monster', 'Priest', 40, 1109, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 5231, 300, 187, 160, 81, 135, 253, 0, 500, 5793, 0, 0, 49, 120, 'c_dungeon_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(1002, 21192, 'Gigant Officer', '', 'tomb_guard_b', 15.00, 42.50, 36, 'male', 'L2Monster', 'Fighter', 40, 1279, 5.000, 464, 1.950, 40, 43, 30, 21, 20, 20, 6677, 404, 232, 179, 105, 151, 253, 0, 500, 5792, 0, 0, 49, 140, 'c_dungeon_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(1003, 21193, 'Gigant Raider', '', 'tomb_guard_a', 10.00, 40.00, 39, 'male', 'L2Monster', 'Fighter', 40, 1463, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 7888, 501, 285, 197, 133, 167, 253, 0, 500, 5791, 0, 0, 49, 150, 'c_dungeon_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.50, 'false', 'NONE', 1, 0),
	(1004, 21194, 'Gigant Confessor', '', 'tomb_savant_a', 10.00, 40.00, 42, 'male', 'L2Monster', 'Fighter', 40, 1660, 5.600, 589, 2.130, 40, 43, 30, 21, 20, 20, 8473, 564, 345, 218, 168, 185, 253, 0, 500, 5794, 0, 0, 49, 130, 'c_dungeon_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(1005, 21195, 'Gigant Commander', '', 'tomb_guard_b', 15.00, 42.50, 45, 'male', 'L2Monster', 'Fighter', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 10925, 760, 417, 240, 208, 204, 253, 0, 500, 5792, 0, 0, 49, 150, 'c_dungeon_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(1006, 21196, 'Nephilim Sentinel', '', 'nephilim_slayer_10_sm', 11.00, 32.40, 48, 'male', 'L2Monster', 'Fighter', 40, 2092, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 12374, 904, 498, 264, 254, 224, 253, 0, 500, 0, 0, 0, 65, 170, 'c_dungeon_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.63, 'false', 'NONE', 1, 0),
	(1007, 21197, 'Nephilim Priest', '', 'nephilim_priest_10_sm', 21.00, 36.50, 51, 'male', 'L2Monster', 'Priest', 40, 2323, 6.500, 861, 2.400, 40, 43, 30, 21, 20, 20, 13567, 1034, 589, 288, 308, 244, 253, 0, 500, 0, 0, 0, 50, 140, 'c_dungeon_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(1008, 21198, 'Nephilim Swordsman', '', 'nephilim_lord_10_sm', 9.00, 37.40, 54, 'male', 'L2Monster', 'Fighter', 40, 2562, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 17542, 1399, 692, 314, 368, 266, 253, 0, 500, 0, 0, 0, 65, 170, 'c_dungeon_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.63, 'false', 'NONE', 1, 0),
	(1009, 21199, 'Nephilim Guard', '', 'nephilim_slayer_10_sm', 11.00, 32.40, 57, 'male', 'L2Monster', 'Fighter', 40, 2807, 7.100, 1052, 2.580, 40, 43, 30, 21, 20, 20, 18790, 1561, 809, 340, 435, 289, 253, 0, 500, 0, 0, 0, 65, 180, 'c_dungeon_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.63, 'false', 'NONE', 1, 0),
	(1010, 21200, 'Nephilim Bishop', '', 'nephilim_priest_10_sm', 21.00, 36.50, 60, 'male', 'L2Monster', 'Priest', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 18777, 1630, 939, 369, 510, 312, 253, 0, 500, 0, 0, 0, 50, 160, 'c_dungeon_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(1011, 21201, 'Nephilim Centurion', '', 'nephilim_lord_10_sm', 9.00, 37.40, 63, 'male', 'L2Monster', 'Fighter', 40, 3302, 7.700, 1251, 2.760, 40, 43, 30, 21, 20, 20, 25957, 2344, 1083, 399, 593, 337, 253, 0, 500, 0, 0, 0, 65, 180, 'c_dungeon_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.63, 'false', 'NONE', 1, 0),
	(1012, 21202, 'Nephilim Scout', '', 'nephilim_slayer_10_bi', 13.00, 39.60, 66, 'male', 'L2Monster', 'Fighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 27475, 2586, 1242, 429, 686, 363, 253, 0, 500, 0, 0, 0, 65, 190, 'c_dungeon_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.63, 'false', 'NONE', 1, 0),
	(1013, 21203, 'Nephilim Archbishop', '', 'nephilim_priest_10_bi', 21.00, 44.00, 69, 'male', 'L2Monster', 'Priest', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 24833, 2430, 1419, 461, 788, 390, 253, 0, 500, 0, 0, 0, 50, 170, 'c_dungeon_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(1014, 21204, 'Nephilim Praetorian', '', 'nephilim_lord_10_bi', 15.60, 57.60, 72, 'male', 'L2Monster', 'Fighter', 40, 4013, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 33903, 3444, 1612, 494, 899, 418, 253, 0, 333, 0, 0, 0, 65, 190, 'c_dungeon_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.63, 'false', 'NONE', 1, 0),
	(1015, 21205, 'Nephilim Royal Guard', '', 'nephilim_slayer_10_bi', 13.00, 39.60, 75, 'male', 'L2Monster', 'Fighter', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 35479, 3742, 1823, 528, 1021, 447, 253, 0, 333, 0, 0, 0, 65, 200, 'c_dungeon_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.63, 'false', 'NONE', 1, 0),
	(1016, 21206, 'Nephilim Cardinal', '', 'nephilim_priest_10_bi', 21.00, 44.00, 78, 'male', 'L2Monster', 'Priest', 40, 4429, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 31734, 3473, 2259, 620, 1268, 525, 253, 0, 500, 0, 0, 0, 50, 180, 'c_dungeon_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(1017, 21207, 'Nephilim Commander', '', 'nephilim_lord_10_bi', 11.00, 45.30, 78, 'male', 'L2Monster', 'Fighter', 40, 4642, 9.200, 1896, 3.210, 40, 43, 30, 21, 20, 20, 41856, 4698, 2259, 620, 1268, 525, 253, 0, 500, 0, 0, 0, 65, 200, 'c_dungeon_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.63, 'false', 'NONE', 1, 0),
	(1018, 21208, 'Hallowed Watchman', '', 'skeleton', 11.00, 25.00, 20, 'male', 'L2Monster', 'Fighter', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 2085, 92, 65, 96, 24, 80, 253, 0, 500, 216, 111, 0, 60, 130, 'c_dungeon_clan', 300, 0, 20, 43, 7, 30, 4, 4, 0, -6, 0.30, 'false', 'NONE', 1, 0),
	(1019, 21209, 'Hallowed Seer', '', 'binding', 12.00, 21.00, 22, 'male', 'L2Monster', 'Fighter', 40, 612, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 2450, 116, 78, 104, 29, 87, 253, 500, 500, 0, 0, 0, 10, 110, 'c_dungeon_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.54, 'false', 'NONE', 1, 0),
	(1020, 21210, 'Vault Guardian', '', 'dre_vanul', 14.00, 36.00, 25, 'male', 'L2Monster', 'Fighter', 40, 728, 3.900, 288, 1.620, 40, 43, 30, 21, 20, 20, 3121, 156, 100, 118, 42, 99, 253, 500, 500, 0, 0, 0, 60, 130, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(1021, 21211, 'Vault Seer', '', 'succubus', 10.00, 36.00, 27, 'female', 'L2Monster', 'Mystic', 40, 814, 4.100, 318, 1.680, 40, 43, 30, 21, 20, 20, 3321, 170, 118, 127, 50, 107, 253, 500, 500, 0, 0, 0, 60, 110, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.84, 'false', 'NONE', 1, 0),
	(1022, 21212, 'Hallowed Sentinel', '', 'skeleton_bi', 11.00, 31.00, 30, 'male', 'L2Monster', 'Fighter', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 3829, 209, 149, 143, 62, 121, 253, 0, 500, 69, 646, 0, 66, 154, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(1023, 21213, 'Hallowed Monk', '', 'binding_20_bi', 14.00, 25.30, 32, 'male', 'L2Monster', 'Fighter', 40, 1056, 4.600, 398, 1.830, 40, 43, 30, 21, 20, 20, 4443, 250, 173, 154, 74, 130, 253, 500, 500, 0, 0, 0, 10, 110, 'c_dungeon_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.54, 'false', 'NONE', 1, 0),
	(1024, 21214, 'Vault Sentinel', '', 'imp_bi', 10.00, 30.00, 35, 'male', 'L2Monster', 'Fighter', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 5603, 332, 216, 172, 96, 146, 253, 500, 500, 0, 0, 0, 60, 140, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(1025, 21215, 'Vault Monk', '', 'succubus_bi', 10.00, 43.20, 37, 'female', 'L2Monster', 'Mystic', 40, 1339, 5.100, 480, 1.980, 40, 43, 30, 21, 20, 20, 5940, 365, 249, 185, 113, 156, 253, 500, 500, 0, 0, 0, 60, 120, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.84, 'false', 'NONE', 1, 0),
	(1026, 21216, 'Overlord of the Holy Lands', '', 'skeleton_knight_20_bi', 12.00, 30.50, 40, 'male', 'L2Monster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 6807, 440, 305, 205, 145, 173, 253, 0, 500, 129, 646, 0, 44, 176, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(1027, 21217, 'Hallowed Priest', '', 'banshee_20_bi', 10.00, 27.50, 42, 'female', 'L2Monster', 'Priest', 40, 1660, 5.600, 589, 2.130, 40, 43, 30, 21, 20, 20, 7654, 510, 345, 218, 168, 185, 253, 500, 500, 0, 0, 0, 80, 135, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.56, 'false', 'NONE', 1, 0),
	(1028, 21218, 'Vault Overlord', '', 'death_blader_10_sm', 14.00, 40.50, 45, 'male', 'L2Monster', 'Fighter', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 9263, 644, 417, 240, 208, 204, 253, 500, 500, 297, 0, 0, 100, 160, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(1029, 21219, 'Vault Priest', '', 'bloody_queen_10_sm', 13.00, 38.00, 47, 'female', 'L2Monster', 'Priest', 40, 2017, 6.100, 738, 2.280, 40, 43, 30, 21, 20, 20, 9585, 687, 469, 255, 238, 216, 253, 500, 500, 0, 0, 0, 80, 135, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.50, 'false', 'NONE', 1, 0),
	(1030, 21220, 'Sepulcher Archon', '', 'skeleton_knight_30_bi', 13.00, 33.00, 50, 'male', 'L2Monster', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 10635, 801, 558, 279, 289, 237, 253, 0, 500, 131, 107, 0, 80, 170, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(1031, 21221, 'Sepulcher Inquisitor', '', 'banshee_30_bi', 11.00, 30.00, 52, 'female', 'L2Monster', 'Mystic', 40, 2402, 6.600, 892, 2.430, 40, 43, 30, 21, 20, 20, 11733, 908, 622, 296, 327, 251, 253, 500, 500, 0, 0, 0, 80, 145, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.56, 'false', 'NONE', 1, 0),
	(1032, 21222, 'Sepulcher Archon', '', 'death_blader_10_bi', 16.00, 49.50, 55, 'male', 'L2Monster', 'Fighter', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 13837, 1117, 730, 322, 389, 273, 253, 500, 500, 298, 0, 0, 100, 170, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(1033, 21223, 'Sepulcher Inquisitor', '', 'bloody_queen_10_bi', 15.00, 46.00, 57, 'female', 'L2Monster', 'Mystic', 40, 2807, 7.100, 1052, 2.580, 40, 43, 30, 21, 20, 20, 14098, 1172, 809, 340, 435, 289, 253, 500, 500, 0, 0, 0, 80, 145, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.50, 'false', 'NONE', 1, 0),
	(1034, 21224, 'Sepulcher Guardian', '', 'skeleton_royal_guard_20_bi', 13.00, 34.50, 60, 'male', 'L2Monster', 'Fighter', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 15315, 1329, 939, 369, 510, 312, 253, 0, 500, 233, 0, 0, 80, 190, 'c_dungeon_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(1035, 21225, 'Sepulcher Sage', '', 'vale_master_10_bi', 13.00, 44.00, 62, 'male', 'L2Monster', 'Fighter', 40, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 16680, 1486, 1033, 389, 565, 329, 253, 500, 500, 311, 0, 0, 70, 160, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.74, 'false', 'NONE', 1, 0),
	(1036, 21226, 'Sepulcher Guardian', '', 'death_knight', 12.00, 30.00, 65, 'male', 'L2Monster', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 19326, 1795, 1188, 419, 654, 354, 253, 500, 500, 8680, 0, 0, 27, 190, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 1, 0),
	(1037, 21227, 'Sepulcher Sage', '', 'doll_master', 20.00, 42.00, 67, 'male', 'L2Monster', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 21777, 2074, 1299, 439, 719, 372, 253, 500, 500, 0, 0, 0, 80, 160, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.56, 'false', 'NONE', 1, 0),
	(1038, 21228, 'Sepulcher Guard', '', 'skeleton_royal_guard_30_bi', 14.00, 37.50, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 20845, 2067, 1481, 471, 824, 399, 253, 0, 333, 236, 0, 0, 80, 200, 'c_dungeon_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(1039, 21229, 'Sepulcher Preacher', '', 'vale_master_30_bi', 15.00, 52.00, 72, 'male', 'L2Monster', 'Fighter', 40, 4013, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 22494, 2285, 1612, 494, 899, 418, 253, 500, 333, 326, 0, 0, 70, 165, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.74, 'false', 'NONE', 1, 0),
	(1040, 21230, 'Sepulcher Guard', '', 'death_knight', 12.00, 30.00, 75, 'male', 'L2Monster', 'Fighter', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 25729, 2714, 1823, 528, 1021, 447, 253, 500, 500, 10220, 0, 0, 27, 200, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 1, 0),
	(1041, 21231, 'Sepulcher Preacher', '', 'doll_master_20_bi', 24.00, 50.40, 77, 'male', 'L2Monster', 'Fighter', 40, 4364, 9.100, 1747, 3.180, 40, 43, 30, 21, 20, 20, 25727, 2784, 2173, 606, 1219, 514, 253, 500, 500, 0, 0, 0, 80, 165, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.56, 'false', 'NONE', 1, 0),
	(1042, 21232, 'Barrow Guardian', '', 'skeleton', 11.00, 25.00, 20, 'male', 'L2Monster', 'Fighter', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 2085, 92, 65, 96, 24, 80, 253, 0, 500, 216, 0, 0, 66, 143, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(1043, 21233, 'Barrow Seer', '', 'binding', 12.00, 21.00, 22, 'male', 'L2Monster', 'Fighter', 40, 612, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 2450, 116, 78, 104, 29, 87, 253, 500, 500, 0, 0, 0, 11, 121, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(1044, 21234, 'Grave Guardian', '', 'imp', 10.00, 24.00, 25, 'male', 'L2Monster', 'Fighter', 40, 728, 3.900, 288, 1.620, 40, 43, 30, 21, 20, 20, 3121, 156, 100, 118, 42, 99, 253, 500, 500, 0, 0, 0, 66, 143, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(1045, 21235, 'Grave Seer', '', 'succubus', 10.00, 36.00, 27, 'female', 'L2Monster', 'Fighter', 40, 814, 4.100, 318, 1.680, 40, 43, 30, 21, 20, 20, 3321, 170, 118, 127, 50, 107, 253, 500, 500, 0, 0, 0, 66, 121, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(1046, 21236, 'Barrow Sentinel', '', 'skeleton_bi', 11.00, 31.00, 30, 'male', 'L2Monster', 'Fighter', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 3829, 209, 149, 143, 62, 121, 253, 0, 500, 69, 0, 0, 60, 140, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(1047, 21237, 'Barrow Monk', '', 'binding_20_bi', 14.00, 25.30, 32, 'male', 'L2Monster', 'Fighter', 40, 1056, 4.600, 398, 1.830, 40, 43, 30, 21, 20, 20, 4443, 250, 173, 154, 74, 130, 253, 500, 500, 0, 0, 0, 10, 110, 'c_dungeon_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.54, 'false', 'NONE', 1, 0),
	(1048, 21238, 'Grave Sentinel', '', 'imp_bi', 10.00, 30.00, 35, 'male', 'L2Monster', 'Fighter', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 5603, 332, 216, 172, 96, 146, 253, 500, 500, 0, 0, 0, 60, 140, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(1049, 21239, 'Grave Monk', '', 'succubus_bi', 10.00, 43.20, 37, 'female', 'L2Monster', 'Mystic', 40, 1339, 5.100, 480, 1.980, 40, 43, 30, 21, 20, 20, 5940, 365, 249, 185, 113, 156, 253, 500, 500, 0, 0, 0, 60, 120, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.84, 'false', 'NONE', 1, 0),
	(1050, 21240, 'Barrow Overlord', '', 'skeleton_knight_20_bi', 12.00, 30.50, 40, 'male', 'L2Monster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 6807, 440, 305, 205, 145, 173, 253, 0, 500, 129, 0, 0, 40, 160, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.17, 'false', 'NONE', 1, 0),
	(1051, 21241, 'Barrow Priest', '', 'banshee_20_bi', 10.00, 27.50, 42, 'female', 'L2Monster', 'Priest', 40, 1660, 5.600, 589, 2.130, 40, 43, 30, 21, 20, 20, 7654, 510, 345, 218, 168, 185, 253, 500, 500, 0, 0, 0, 80, 135, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.56, 'false', 'NONE', 1, 0),
	(1052, 21242, 'Grave Overlord', '', 'death_blader_10_sm', 14.00, 40.50, 45, 'male', 'L2Monster', 'Fighter', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 9263, 644, 417, 240, 208, 204, 253, 500, 500, 297, 0, 0, 100, 160, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(1053, 21243, 'Grave Priest', '', 'bloody_queen_10_sm', 13.00, 38.00, 47, 'female', 'L2Monster', 'Priest', 40, 2017, 6.100, 738, 2.280, 40, 43, 30, 21, 20, 20, 9585, 687, 469, 255, 238, 216, 253, 500, 500, 0, 0, 0, 80, 135, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.50, 'false', 'NONE', 1, 0),
	(1054, 21244, 'Crypt Archon', '', 'skeleton_knight_30_bi', 13.00, 33.00, 50, 'male', 'L2Monster', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 10635, 801, 558, 279, 289, 237, 253, 0, 500, 131, 0, 0, 40, 170, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.17, 'false', 'NONE', 1, 0),
	(1055, 21245, 'Crypt Inquisitor', '', 'banshee_30_bi', 11.00, 30.00, 52, 'female', 'L2Monster', 'Mystic', 40, 2402, 6.600, 892, 2.430, 40, 43, 30, 21, 20, 20, 11733, 908, 622, 296, 327, 251, 253, 500, 500, 0, 0, 0, 80, 145, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.56, 'false', 'NONE', 1, 0),
	(1056, 21246, 'Tomb Archon', '', 'death_blader_10_bi', 16.00, 49.50, 55, 'male', 'L2Monster', 'Fighter', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 13837, 1117, 730, 322, 389, 273, 253, 500, 500, 298, 0, 0, 100, 170, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(1057, 21247, 'Tomb Inquisitor', '', 'bloody_queen_10_bi', 15.00, 46.00, 57, 'female', 'L2Monster', 'Mystic', 40, 2807, 7.100, 1052, 2.580, 40, 43, 30, 21, 20, 20, 14098, 1172, 809, 340, 435, 289, 253, 500, 500, 0, 0, 0, 80, 145, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.50, 'false', 'NONE', 1, 0),
	(1058, 21248, 'Crypt Guardian', '', 'skeleton_royal_guard_20_bi', 13.00, 34.50, 60, 'male', 'L2Monster', 'Fighter', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 15315, 1329, 939, 369, 510, 312, 253, 0, 500, 233, 0, 0, 80, 190, 'c_dungeon_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(1059, 21249, 'Crypt Sage', '', 'vale_master_10_bi', 13.00, 44.00, 62, 'male', 'L2Monster', 'Fighter', 40, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 16680, 1486, 1033, 389, 565, 329, 253, 500, 500, 311, 0, 0, 70, 160, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.74, 'false', 'NONE', 1, 0),
	(1060, 21250, 'Tomb Guardian', '', 'death_knight', 12.00, 30.00, 65, 'male', 'L2Monster', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 19326, 1795, 1188, 419, 654, 354, 253, 500, 500, 171, 0, 0, 27, 190, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 1, 0),
	(1061, 21251, 'Tomb Sage', '', 'doll_master', 20.00, 42.00, 67, 'male', 'L2Monster', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 21777, 2074, 1299, 439, 719, 372, 253, 500, 500, 0, 0, 0, 80, 160, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.56, 'false', 'NONE', 1, 0),
	(1062, 21252, 'Crypt Guard', '', 'skeleton_royal_guard_30_bi', 14.00, 37.50, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 20845, 2067, 1481, 471, 824, 399, 253, 0, 500, 236, 0, 0, 80, 200, 'c_dungeon_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(1063, 21253, 'Crypt Preacher', '', 'vale_master_30_bi', 15.00, 52.00, 72, 'male', 'L2Monster', 'Fighter', 40, 4013, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 22494, 2285, 1612, 494, 899, 418, 253, 500, 500, 326, 0, 0, 70, 165, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.74, 'false', 'NONE', 1, 0),
	(1064, 21254, 'Tomb Guard', '', 'death_knight', 12.00, 30.00, 75, 'male', 'L2Monster', 'Fighter', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 25729, 2714, 1823, 528, 1021, 447, 253, 500, 500, 78, 0, 0, 27, 200, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 1, 0),
	(1065, 21255, 'Tomb Preacher', '', 'doll_master_20_bi', 24.00, 50.40, 77, 'male', 'L2Monster', 'Fighter', 40, 4364, 9.100, 1747, 3.180, 40, 43, 30, 21, 20, 20, 28763, 3113, 2173, 606, 1219, 514, 253, 500, 500, 0, 0, 0, 80, 165, 'c_dungeon_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.56, 'false', 'NONE', 1, 0),
	(1066, 21256, 'Underground Werewolf', '', 'werewolf_bi', 11.00, 29.70, 23, 'male', 'L2Monster', 'Fighter', 40, 649, 3.700, 257, 1.560, 40, 43, 30, 21, 20, 20, 905, 43, 84, 108, 32, 91, 253, 400, 500, 0, 0, 0, 50, 135, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.43, 'false', 'NONE', 1, 0),
	(1067, 21257, 'Evil Eye Seer', '', 'monster_eye', 21.00, 43.00, 18, 'male', 'L2Monster', 'Mystic', 40, 477, 3.200, 194, 1.410, 40, 43, 30, 21, 20, 20, 646, 28, 54, 88, 20, 74, 253, 0, 500, 0, 0, 0, 90, 155, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.30, 'true', 'NONE', 1, 0),
	(1068, 21258, 'Fallen Orc Shaman', '', 'ketra_orc_shaman', 10.00, 23.00, 58, 'male', 'L2Monster', 'Mystic', 40, 2889, 7.200, 1085, 2.610, 40, 43, 30, 21, 20, 20, 0, 0, 851, 350, 459, 296, 253, 0, 500, 9, 0, 0, 10, 130, 'fallen_clan', 500, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.34, 'true', 'NONE', 1, 0),
	(1069, 21259, 'Fallen Orc Shaman', '', 'Saber_toothed_Tiger', 34.00, 28.00, 59, 'male', 'L2Monster', 'Fighter', 40, 2972, 7.300, 1118, 2.640, 40, 43, 30, 21, 20, 20, 15580, 1332, 894, 359, 484, 305, 253, 500, 500, 0, 0, 0, 60, 180, 'fallen_clan', 1000, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.45, 'true', 'NONE', 0, 0),
	(1070, 21260, 'Betrayer Orc Hero', '', 'Ketra_Orc_Warrior', 12.00, 24.00, 50, 'male', 'L2Monster', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 4429, 334, 558, 279, 289, 237, 253, 0, 500, 74, 0, 0, 36, 170, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(1071, 21261, 'Ol Mahum Transcender', '', 'ol_mahum', 13.50, 25.00, 50, 'male', 'L2Monster', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 4954, 372, 558, 279, 289, 237, 253, 0, 500, 127, 0, 0, 50, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.46, 'true', 'NONE', 1, 0),
	(1072, 21262, 'Ol Mahum Transcender', '', 'ol_mahum_champion', 14.00, 27.00, 53, 'male', 'L2Monster', 'Fighter', 40, 2482, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 6631, 496, 656, 305, 347, 258, 253, 500, 500, 127, 102, 0, 50, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.63, 'true', 'NONE', 0, 0),
	(1073, 21263, 'Ol Mahum Transcender', '', 'oel_mahum', 20.00, 37.00, 55, 'male', 'L2Monster', 'Fighter', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 9634, 691, 730, 322, 389, 273, 253, 500, 500, 127, 0, 0, 70, 150, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 0, 0),
	(1074, 21264, 'Ol Mahum Transcender', '', 'kel_mahum', 13.00, 26.00, 58, 'male', 'L2Monster', 'Fighter', 40, 2889, 7.200, 1085, 2.610, 40, 43, 30, 21, 20, 20, 13535, 933, 851, 350, 459, 296, 253, 500, 500, 127, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 0, 0),
	(1075, 21265, 'Cave Ant Larva', '', 'ant_larva', 12.00, 8.00, 36, 'male', 'L2Monster', 'Fighter', 40, 1279, 5.000, 464, 1.950, 40, 43, 30, 21, 20, 20, 1904, 115, 232, 179, 105, 151, 253, 0, 500, 0, 0, 0, 40, 60, 'ant_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.35, 'true', 'NONE', 0, 0),
	(1076, 21266, 'Cave Ant Larva', '', 'ant_larva', 12.00, 8.00, 36, 'male', 'L2Monster', 'Fighter', 40, 1279, 5.000, 464, 1.950, 40, 43, 30, 21, 20, 20, 0, 0, 232, 179, 105, 151, 253, 0, 500, 0, 0, 0, 40, 60, 'ant_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.35, 'true', 'NONE', 0, 0),
	(1077, 21267, 'Cave Ant Larva', '', 'ant_larva', 12.00, 8.00, 36, 'male', 'L2Monster', 'Fighter', 40, 1279, 5.000, 464, 1.950, 40, 43, 30, 21, 20, 20, 0, 0, 232, 179, 105, 151, 253, 0, 500, 0, 0, 0, 40, 60, 'ant_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.35, 'true', 'NONE', 0, 0),
	(1078, 21268, 'Cave Ant Larva', '', 'ant_larva', 12.00, 8.00, 36, 'male', 'L2Monster', 'Fighter', 40, 1279, 5.000, 464, 1.950, 40, 43, 30, 21, 20, 20, 3541, 214, 232, 179, 105, 151, 253, 0, 500, 0, 0, 0, 40, 60, 'ant_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.35, 'true', 'NONE', 0, 0),
	(1079, 21269, 'Cave Ant', '', 'ant', 26.00, 15.00, 37, 'male', 'L2Monster', 'Fighter', 40, 1339, 5.100, 480, 1.980, 40, 43, 30, 21, 20, 20, 4042, 248, 249, 185, 113, 156, 253, 500, 500, 0, 0, 0, 40, 130, 'ant_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.26, 'true', 'NONE', 0, 0),
	(1080, 21270, 'Cave Ant Soldier', '', 'ant_soldier', 35.00, 17.00, 38, 'male', 'L2Monster', 'Fighter', 40, 1400, 5.200, 497, 2.010, 40, 43, 30, 21, 20, 20, 4670, 292, 267, 191, 124, 162, 253, 500, 500, 0, 0, 0, 80, 130, 'ant_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'true', 'NONE', 0, 0),
	(1081, 21271, 'Cave Ant', '', 'ant', 26.00, 15.00, 37, 'male', 'L2Monster', 'Fighter', 40, 1339, 5.100, 480, 1.980, 40, 43, 30, 21, 20, 20, 2758, 169, 249, 185, 113, 156, 253, 500, 500, 0, 0, 0, 40, 130, 'ant_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.26, 'true', 'NONE', 0, 0),
	(1082, 21272, 'Cave Ant Soldier', '', 'ant_soldier', 35.00, 17.00, 38, 'male', 'L2Monster', 'Fighter', 40, 1400, 5.200, 497, 2.010, 40, 43, 30, 21, 20, 20, 4902, 306, 267, 191, 124, 162, 253, 500, 500, 0, 0, 0, 80, 130, 'ant_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'true', 'NONE', 0, 0),
	(1083, 21273, 'Cave Noble Ant', '', 'noble_ant', 20.00, 48.00, 39, 'male', 'L2Monster', 'Fighter', 40, 1463, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 14204, 902, 285, 197, 133, 167, 253, 500, 500, 0, 0, 0, 80, 174, 'ant_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'true', 'NONE', 0, 0),
	(1084, 21274, 'Kookaburra', '', 'youth_ostrich', 8.00, 26.40, 67, 'male', 'L2Monster', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 8972, 854, 1299, 439, 719, 372, 253, 0, 500, 0, 0, 0, 23, 190, 'animal_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.54, 'true', 'NONE', 1, 0),
	(1085, 21275, 'Kookaburra', '', 'youth_ostrich', 8.00, 26.40, 67, 'male', 'L2Monster', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 9030, 859, 1299, 439, 719, 372, 253, 0, 500, 0, 0, 0, 23, 190, 'animal_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.54, 'true', 'NONE', 1, 0),
	(1086, 21276, 'Kookaburra', '', 'youth_ostrich', 8.00, 26.40, 67, 'male', 'L2Monster', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 8921, 848, 1299, 439, 719, 372, 253, 0, 500, 0, 0, 0, 23, 190, 'animal_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.54, 'true', 'NONE', 1, 0),
	(1087, 21278, 'Antelope', '', 'antelope', 17.00, 34.00, 68, 'male', 'L2Monster', 'Fighter', 40, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 9242, 892, 1358, 450, 753, 381, 253, 0, 500, 0, 0, 0, 45, 185, 'animal_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(1088, 21279, 'Antelope', '', 'antelope', 17.00, 34.00, 68, 'male', 'L2Monster', 'Fighter', 40, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 9189, 887, 1358, 450, 753, 381, 253, 0, 500, 0, 0, 0, 45, 185, 'animal_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(1089, 21280, 'Antelope', '', 'antelope', 17.00, 34.00, 68, 'male', 'L2Monster', 'Mystic', 40, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 9302, 898, 1358, 450, 753, 381, 253, 0, 500, 0, 0, 0, 45, 185, 'animal_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(1090, 21282, 'Bandersnatch', '', 'bandersnatch', 18.00, 25.00, 69, 'male', 'L2Monster', 'Fighter', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 9516, 930, 1419, 461, 788, 390, 253, 150, 500, 0, 0, 0, 30, 170, 'animal_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.49, 'true', 'NONE', 1, 0),
	(1091, 21283, 'Bandersnatch', '', 'bandersnatch', 18.00, 25.00, 69, 'male', 'L2Monster', 'Fighter', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 9578, 936, 1419, 461, 788, 390, 253, 150, 500, 0, 0, 0, 30, 170, 'animal_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.49, 'true', 'NONE', 1, 0),
	(1092, 21284, 'Bandersnatch', '', 'bandersnatch', 18.00, 25.00, 69, 'male', 'L2Monster', 'Fighter', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 9461, 925, 1419, 461, 788, 390, 253, 150, 500, 0, 0, 0, 30, 170, 'animal_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.49, 'true', 'NONE', 1, 0),
	(1093, 21286, 'Buffalo', '', 'buffalo', 22.00, 31.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 9794, 971, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 20, 170, 'animal_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(1094, 21287, 'Buffalo', '', 'buffalo', 22.00, 31.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 9737, 965, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 80, 170, 'animal_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(1095, 21288, 'Buffalo', '', 'buffalo', 22.00, 31.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 9857, 977, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 20, 170, 'animal_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(1096, 21290, 'Grendel', '', 'bionic_bear', 15.00, 39.00, 71, 'male', 'L2Monster', 'Fighter', 40, 3939, 8.500, 1529, 3.000, 40, 43, 30, 21, 20, 20, 10076, 1010, 1545, 482, 861, 408, 253, 150, 500, 0, 0, 0, 36, 160, 'animal_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'SOUL_BSPIRIT', 1, 0),
	(1097, 21291, 'Grendel', '', 'bionic_bear', 15.00, 39.00, 71, 'male', 'L2Monster', 'Fighter', 40, 3939, 8.500, 1529, 3.000, 40, 43, 30, 21, 20, 20, 10017, 1004, 1545, 482, 861, 408, 253, 150, 500, 0, 0, 0, 36, 160, 'animal_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'SOUL_BSPIRIT', 1, 0),
	(1098, 21292, 'Grendel', '', 'bionic_bear', 15.00, 39.00, 71, 'male', 'L2Monster', 'Fighter', 40, 3939, 8.500, 1529, 3.000, 40, 43, 30, 21, 20, 20, 10141, 1016, 1545, 482, 861, 408, 253, 150, 500, 0, 0, 0, 36, 160, 'animal_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'SOUL_BSPIRIT', 1, 0),
	(1099, 21294, 'Canyon Antelope', '', 'antelope', 17.00, 34.00, 68, 'male', 'L2Monster', 'Fighter', 40, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 16544, 1598, 1358, 450, 753, 381, 253, 0, 500, 0, 0, 0, 45, 185, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(1100, 21295, 'Canyon Antelope Slave', '', 'antelope', 17.00, 34.00, 69, 'male', 'L2Monster', 'Fighter', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 17547, 1717, 1419, 461, 788, 390, 253, 150, 500, 0, 0, 0, 45, 165, 'eye_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(1101, 21296, 'Canyon Bandersnatch', '', 'bandersnatch', 18.00, 25.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 26081, 2586, 1481, 471, 824, 399, 253, 150, 500, 0, 0, 0, 30, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.49, 'false', 'NONE', 1, 0),
	(1102, 21297, 'Canyon Bandersnatch Slave', '', 'bandersnatch', 18.00, 25.00, 71, 'male', 'L2Monster', 'Fighter', 40, 3939, 8.500, 1529, 3.000, 40, 43, 30, 21, 20, 20, 26191, 2628, 1545, 482, 861, 408, 253, 150, 500, 0, 0, 0, 30, 170, 'eye_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.49, 'false', 'NONE', 1, 0),
	(1103, 21298, 'Eye of Restrainer', '', 'monster_eye', 21.00, 43.00, 71, 'male', 'L2Monster', 'Mystic', 40, 3939, 8.500, 1529, 3.000, 40, 43, 30, 21, 20, 20, 16857, 1692, 1545, 482, 861, 408, 253, 150, 500, 0, 0, 0, 90, 140, 'eye_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.30, 'false', 'NONE', 1, 0),
	(1104, 21299, 'Buffalo Slave', '', 'buffalo_ec', 22.00, 31.00, 72, 'male', 'L2Monster', 'Fighter', 40, 4013, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 26934, 2736, 1612, 494, 899, 418, 253, 150, 500, 0, 0, 0, 20, 160, 'eye_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(1105, 21300, 'Eye of Guide', '', 'parasitic_eye_20_sm', 20.00, 50.50, 72, 'male', 'L2Monster', 'Mystic', 40, 4013, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 26498, 2692, 1612, 494, 899, 418, 253, 0, 500, 0, 0, 0, 30, 155, 'eye_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.50, 'false', 'NONE', 1, 0),
	(1106, 21301, 'Gaze of Nightmare', '', 'field_stalker', 15.00, 30.00, 72, 'male', 'L2Monster', 'Fighter', 40, 4013, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 31797, 3230, 1612, 494, 899, 418, 253, 0, 500, 0, 0, 0, 70, 195, 'eye_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'false', 'NONE', 1, 0),
	(1107, 21302, 'Eye of Watchman', '', 'parasitic_eye', 25.00, 63.00, 73, 'male', 'L2Monster', 'Mystic', 40, 4087, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 25580, 2632, 1680, 505, 939, 427, 253, 150, 500, 0, 0, 0, 30, 160, 'eye_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.50, 'false', 'NONE', 1, 0),
	(1108, 21303, 'Homunculus', '', 'homunculus_20_sm', 10.00, 26.00, 73, 'male', 'L2Monster', 'Fighter', 40, 4087, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 25867, 2662, 1680, 505, 939, 427, 253, 150, 500, 0, 0, 0, 30, 185, 'eye_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.50, 'false', 'NONE', 1, 0),
	(1109, 21304, 'Grendel Slave', '', 'bionic_bear', 15.00, 39.00, 74, 'male', 'L2Monster', 'Fighter', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 38011, 3962, 1750, 517, 980, 437, 253, 150, 500, 0, 0, 0, 36, 140, 'eye_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(1110, 21305, 'Eye of Pilgrim', '', 'parasitic_eye_20_sm', 20.00, 50.50, 74, 'male', 'L2Monster', 'Mystic', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 27990, 2917, 1750, 517, 980, 437, 253, 0, 500, 0, 0, 0, 30, 165, 'eye_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.50, 'false', 'NONE', 1, 0),
	(1111, 21306, 'Disciples of Protection', '', 'apostle_warrior', 8.00, 30.00, 74, 'female', 'L2Monster', 'Fighter', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 50649, 5280, 1750, 517, 980, 437, 253, 150, 500, 6717, 0, 0, 50, 160, 'divine_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'SOUL', 1, 0),
	(1112, 21307, 'Elder Homunculus', '', 'homunculus', 12.00, 32.50, 75, 'male', 'L2Monster', 'Mystic', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 35496, 3744, 1823, 528, 1021, 447, 253, 150, 500, 0, 0, 0, 30, 200, 'eye_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.50, 'false', 'NONE', 1, 0),
	(1113, 21308, 'Disciples of Punishment', '', 'apostle_warrior', 8.00, 30.00, 75, 'female', 'L2Monster', 'Fighter', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 47163, 4975, 1823, 528, 1021, 447, 253, 150, 500, 6717, 0, 0, 50, 190, 'divine_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(1114, 21309, 'Disciples of Punishment', '', 'apostle_warrior', 8.00, 30.00, 75, 'female', 'L2Monster', 'Fighter', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 49155, 5185, 1823, 528, 1021, 447, 253, 150, 500, 6717, 0, 0, 50, 190, 'divine_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(1115, 21310, 'Disciples of Authority', '', 'apostle_mage', 11.00, 38.50, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 40357, 4315, 2088, 594, 1170, 503, 253, 150, 500, 6718, 0, 0, 50, 155, 'divine_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.48, 'false', 'NONE', 1, 0),
	(1116, 21311, 'Disciples of Authority', '', 'apostle_mage', 11.00, 38.50, 76, 'male', 'L2Monster', 'Mystic', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 37210, 3978, 2088, 594, 1170, 503, 253, 150, 500, 6718, 0, 0, 50, 155, 'divine_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.48, 'false', 'NONE', 1, 0),
	(1117, 21312, 'Eye of Ruler', '', 'parasitic_eye', 25.00, 63.00, 74, 'male', 'L2Monster', 'Mystic', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 38709, 4036, 1750, 517, 980, 437, 253, 150, 500, 0, 0, 0, 30, 160, 'eye_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.50, 'false', 'NONE', 1, 0),
	(1118, 21313, 'Sly Hound Dog', '', 'bandersnatch', 18.00, 25.00, 72, 'male', 'L2Minion', 'Fighter', 40, 4013, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 37061, 3766, 1612, 494, 899, 418, 253, 0, 500, 0, 0, 0, 30, 185, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.49, 'false', 'NONE', 1, 0),
	(1119, 21314, 'Hot Springs Bandersnatchling', '', 'bandersnatch', 18.00, 25.00, 73, 'male', 'L2Monster', 'HotSpringsMob', 40, 4087, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 20662, 2126, 1680, 505, 939, 427, 253, 150, 500, 0, 0, 0, 30, 170, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.49, 'true', 'NONE', 1, 0),
	(1120, 21315, 'Hot Springs Buffalo', '', 'buffalo', 22.00, 31.00, 73, 'male', 'L2Monster', 'Fighter', 40, 4087, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 21532, 2215, 1680, 505, 939, 427, 253, 0, 500, 0, 0, 0, 22, 187, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(1121, 21316, 'Hot Springs Flava', '', 'flava', 18.00, 34.00, 74, 'male', 'L2Monster', 'HotSpringsMob', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 25336, 2641, 1750, 517, 980, 437, 253, 150, 500, 0, 0, 0, 30, 165, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.45, 'true', 'NONE', 1, 0),
	(1122, 21317, 'Hot Springs Atroxspawn', '', 'kailiharim', 57.00, 39.00, 74, 'male', 'L2Monster', 'HotSpringsMob', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 21232, 2213, 1750, 517, 980, 437, 253, 150, 500, 0, 0, 0, 115, 192, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(1123, 21318, 'Hot Springs Antelope', '', 'antelope', 17.00, 34.00, 74, 'male', 'L2Monster', 'Fighter', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 22193, 2314, 1750, 517, 980, 437, 253, 0, 500, 0, 0, 0, 45, 185, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(1124, 21319, 'Hot Springs Nepenthes', '', 'nephenthes', 28.00, 43.50, 75, 'male', 'L2Monster', 'HotSpringsMob', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 27928, 2946, 1823, 528, 1021, 447, 253, 150, 500, 0, 0, 0, 52, 187, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.47, 'true', 'NONE', 1, 0),
	(1125, 21320, 'Hot Springs Yeti', '', 'yeti_20_bi', 18.00, 32.00, 75, 'male', 'L2Monster', 'Fighter', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 22728, 2398, 1823, 528, 1021, 447, 253, 0, 500, 0, 0, 0, 16, 170, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(1126, 21321, 'Hot Springs Atrox', '', 'kailiharim', 57.00, 39.00, 76, 'male', 'L2Monster', 'HotSpringsMob', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 22270, 2381, 2088, 594, 1170, 503, 253, 150, 500, 0, 0, 0, 105, 175, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(1127, 21322, 'Hot Springs Bandersnatch', '', 'bandersnatch', 18.00, 25.00, 76, 'male', 'L2Monster', 'HotSpringsMob', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 22270, 2381, 2088, 594, 1170, 503, 253, 150, 500, 0, 0, 0, 30, 170, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.49, 'true', 'NONE', 1, 0),
	(1128, 21323, 'Hot Springs Grendel', '', 'bionic_bear', 15.00, 39.00, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 19507, 2085, 2088, 594, 1170, 503, 253, 0, 500, 0, 0, 0, 39, 181, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(1129, 21324, 'Ketra Orc Footman', '', 'ketra_orc', 12.00, 29.00, 77, 'male', 'L2Monster', 'Fighter', 40, 4364, 9.100, 1747, 3.180, 40, 43, 30, 21, 20, 20, 18647, 2018, 2173, 606, 1219, 514, 253, 150, 500, 79, 0, 0, 45, 175, 'ketra_orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'SOUL', 1, 0),
	(1130, 21325, 'Ketra\'s War Hound', '', 'bandersnatch', 18.00, 25.00, 77, 'male', 'L2Monster', 'Fighter', 40, 4364, 9.100, 1747, 3.180, 40, 43, 30, 21, 20, 20, 18031, 1951, 2173, 606, 1219, 514, 253, 150, 500, 0, 0, 0, 30, 185, 'ketra_orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.49, 'true', 'NONE', 1, 0),
	(1131, 21326, 'Grazing Kookaburra', '', 'youth_ostrich', 8.00, 26.40, 77, 'male', 'L2Monster', 'Fighter', 40, 4364, 9.100, 1747, 3.180, 40, 43, 30, 21, 20, 20, 18031, 1951, 2173, 606, 1219, 514, 253, 150, 500, 0, 0, 0, 23, 190, 'ketra', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.54, 'true', 'NONE', 1, 0),
	(1132, 21327, 'Ketra Orc Raider', '', 'ketra_orc_warrior', 12.00, 24.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4429, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 20480, 2241, 2259, 620, 1268, 525, 253, 150, 500, 79, 6919, 0, 36, 175, 'ketra_orc_clan', 300, 0, 20, 166, 7, 30, 4, 4, 0, -6, 0.54, 'true', 'SOUL', 1, 0),
	(1133, 21328, 'Ketra Orc Scout', '', 'ketra_orc_archer', 12.00, 27.00, 78, 'male', 'L2Monster', 'Ranger', 1100, 4429, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 19634, 2149, 2259, 620, 1268, 525, 253, 150, 500, 288, 0, 0, 45, 175, 'ketra_orc_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.91, 'true', 'SOUL', 1, 0),
	(1134, 21329, 'Ketra Orc Shaman', '', 'ketra_orc_shaman', 10.00, 23.00, 78, 'male', 'L2Monster', 'Priest', 40, 4536, 9.200, 1840, 3.210, 40, 43, 30, 21, 20, 20, 19912, 2207, 2259, 620, 1268, 525, 253, 150, 500, 92, 0, 0, 10, 150, 'ketra_orc_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.34, 'true', 'SOUL_BSPIRIT', 1, 0),
	(1135, 21330, 'Grazing Buffalo', '', 'buffalo', 22.00, 31.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4536, 9.200, 1840, 3.210, 40, 43, 30, 21, 20, 20, 18980, 2103, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 20, 165, 'ketra', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(1136, 21331, 'Ketra Orc Warrior', '', 'ketra_orc_warrior', 12.00, 24.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4642, 9.200, 1896, 3.210, 40, 43, 30, 21, 20, 20, 18609, 2089, 2259, 620, 1268, 525, 253, 150, 500, 79, 6919, 0, 36, 175, 'ketra_orc_clan', 300, 0, 20, 170, 7, 30, 4, 4, 0, -6, 0.54, 'true', 'SOUL', 1, 0),
	(1137, 21332, 'Ketra Orc Lieutenant', '', 'ketra_orc_chieftain', 11.00, 38.50, 78, 'male', 'L2Monster', 'Fighter', 40, 4642, 9.200, 1896, 3.210, 40, 43, 30, 21, 20, 20, 20841, 2339, 2259, 620, 1268, 525, 253, 150, 500, 6719, 0, 0, 24, 175, 'ketra_orc_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.51, 'true', 'SOUL', 1, 0),
	(1138, 21333, 'Grazing Windsus', '', 'giant_wild_hog', 25.00, 27.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 19953, 2266, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 35, 170, 'ketra', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.54, 'true', 'NONE', 1, 0),
	(1139, 21334, 'Ketra Orc Medium', '', 'ketra_orc_shaman', 10.00, 23.00, 78, 'male', 'L2Monster', 'Priest', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 29867, 3391, 2259, 620, 1268, 525, 253, 150, 500, 92, 0, 0, 10, 150, 'ketra_orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.34, 'true', 'SOUL_BSPIRIT', 1, 0),
	(1140, 21335, 'Ketra Orc Elite Soldier', '', 'ketra_orc', 12.00, 29.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4757, 9.200, 1973, 3.210, 40, 43, 30, 21, 20, 20, 19252, 2212, 2259, 620, 1268, 525, 253, 150, 500, 79, 0, 0, 45, 175, 'ketra_orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'SOUL', 1, 0),
	(1141, 21336, 'Ketra Orc White Captain', '', 'ketra_orc_overload_20_bi', 14.00, 28.80, 78, 'male', 'L2Monster', 'Fighter', 40, 4757, 9.200, 1973, 3.210, 40, 43, 30, 21, 20, 20, 22635, 2600, 2259, 620, 1268, 525, 253, 150, 500, 80, 0, 0, 33, 175, 'ketra_orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'SOUL', 1, 0),
	(1142, 21337, 'Grazing Elder Buffalo', '', 'buffalo', 22.00, 31.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4811, 9.200, 2012, 3.210, 40, 43, 30, 21, 20, 20, 20950, 2435, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 20, 165, 'ketra', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(1143, 21338, 'Ketra Orc Seer', '', 'ketra_orc_shaman', 10.00, 23.00, 78, 'male', 'L2Monster', 'Priest', 40, 4811, 9.200, 2012, 3.210, 40, 43, 30, 21, 20, 20, 27568, 3205, 2259, 620, 1268, 525, 253, 150, 500, 213, 0, 0, 10, 160, 'ketra_orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.34, 'true', 'SOUL_BSPIRIT', 1, 0),
	(1144, 21339, 'Ketra Orc General', '', 'ketra_orc_chieftain_20_bi', 17.00, 46.20, 78, 'male', 'L2Monster', 'Fighter', 40, 4862, 9.200, 2052, 3.210, 40, 43, 30, 21, 20, 20, 20989, 2469, 2259, 625, 1268, 525, 253, 150, 500, 6719, 0, 0, 24, 175, 'ketra_orc_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.51, 'true', 'SOUL', 1, 0),
	(1145, 21340, 'Ketra Orc Battalion Commander', '', 'ketra_orc_warlord', 12.00, 30.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4862, 9.200, 2052, 3.210, 40, 43, 30, 21, 20, 20, 20989, 2469, 2259, 625, 1268, 525, 253, 150, 500, 80, 6919, 0, 27, 175, 'ketra_orc_clan', 300, 0, 20, 178, 7, 30, 4, 4, 0, -6, 0.48, 'true', 'SOUL', 1, 0),
	(1146, 21341, 'Grazing Elder Kookaburra', '', 'youth_ostrich', 8.00, 26.40, 78, 'male', 'L2Monster', 'Fighter', 40, 4910, 9.200, 2091, 3.210, 40, 43, 30, 21, 20, 20, 21972, 2615, 2259, 635, 1268, 525, 253, 150, 500, 0, 0, 0, 23, 190, 'ketra', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.54, 'true', 'NONE', 1, 0),
	(1147, 21342, 'Ketra Orc Grand Seer', '', 'ketra_orc_shaman', 10.00, 23.00, 78, 'male', 'L2Monster', 'Priest', 40, 4910, 9.200, 2091, 3.210, 40, 43, 30, 21, 20, 20, 28912, 3441, 2259, 635, 1268, 525, 253, 150, 500, 213, 0, 0, 10, 160, 'ketra_orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'true', 'SOUL_BSPIRIT', 1, 0),
	(1148, 21343, 'Ketra Commander', '', 'ketra_orc_warlord_20_bi', 14.00, 36.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 32801, 3725, 2259, 620, 1268, 525, 253, 150, 500, 80, 6919, 0, 27, 175, 'ketra_orc_clan', 300, 0, 20, 172, 7, 10, 8, 4, 0, -6, 0.48, 'false', 'SOUL', 1, 0),
	(1149, 21344, 'Ketra Elite Guard', '', 'ketra_orc_overload', 12.00, 24.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4642, 9.200, 1896, 3.210, 40, 43, 30, 21, 20, 20, 22276, 2500, 2259, 620, 1268, 525, 253, 0, 500, 80, 0, 0, 33, 180, 'ketra_orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'SOUL', 0, 0),
	(1150, 21345, 'Ketra\'s Head Shaman', '', 'ketra_orc_shaman', 10.00, 23.00, 78, 'male', 'L2Monster', 'Priest', 40, 4910, 9.200, 2091, 3.210, 40, 43, 30, 21, 20, 20, 24720, 2943, 2259, 635, 1268, 525, 253, 150, 500, 210, 0, 0, 10, 175, 'ketra_orc_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.34, 'false', 'SOUL_BSPIRIT', 1, 0),
	(1151, 21346, 'Ketra\'s Head Guard', '', 'ketra_orc_chieftain', 11.00, 38.50, 78, 'male', 'L2Minion', 'Fighter', 40, 4862, 9.200, 2052, 3.210, 40, 43, 30, 21, 20, 20, 24560, 2889, 2259, 625, 1268, 525, 253, 0, 500, 6719, 0, 0, 24, 175, 'ketra_orc_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.51, 'false', 'SOUL', 1, 0),
	(1152, 21347, 'Ketra Prophet', '', 'ketra_orc_shaman', 10.00, 23.00, 78, 'male', 'L2Monster', 'Priest', 40, 4998, 9.200, 2170, 3.210, 40, 43, 30, 21, 20, 20, 37558, 4578, 2259, 686, 1268, 549, 253, 150, 500, 213, 0, 0, 10, 175, 'ketra_orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'SOUL_BSPIRIT', 1, 0),
	(1153, 21348, 'Prophet\'s Guard', '', 'ketra_orc_chieftain', 11.00, 38.50, 78, 'male', 'L2Minion', 'Fighter', 40, 4955, 9.200, 2131, 3.210, 40, 43, 30, 21, 20, 20, 25743, 3101, 2259, 645, 1268, 525, 253, 0, 500, 6719, 0, 0, 24, 180, 'ketra_orc_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.51, 'false', 'NONE', 1, 0),
	(1154, 21349, 'Prophet\'s Aide', '', 'ketra_orc_shaman', 10.00, 23.00, 78, 'male', 'L2Minion', 'Priest', 40, 4955, 9.200, 2131, 3.210, 40, 43, 30, 21, 20, 20, 26143, 3149, 2259, 645, 1268, 525, 253, 0, 500, 210, 0, 0, 10, 180, 'ketra_orc_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(1155, 21350, 'Varka Silenos Recruit', '', 'barka_silenos_hunter', 16.00, 38.00, 77, 'male', 'L2Monster', 'Fighter', 40, 4514, 9.100, 1747, 3.180, 40, 43, 30, 21, 20, 20, 21105, 2186, 2173, 606, 1219, 514, 253, 150, 500, 2504, 6918, 0, 44, 175, 'varka_silenos_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'SOUL', 1, 0),
	(1156, 21351, 'Varka Silenos Footman', '', 'barka_silenos_warrior', 16.00, 41.00, 77, 'male', 'L2Monster', 'Fighter', 40, 4514, 9.100, 1747, 3.180, 40, 43, 30, 21, 20, 20, 18501, 1904, 2173, 606, 1219, 514, 253, 150, 500, 2504, 6918, 0, 34, 185, 'varka_silenos_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'SOUL', 1, 0),
	(1157, 21352, 'Grazing Antelope', '', 'antelope', 17.00, 34.00, 77, 'male', 'L2Monster', 'Fighter', 40, 4514, 9.100, 1747, 3.180, 40, 43, 30, 21, 20, 20, 11091, 1200, 2173, 606, 1219, 514, 253, 0, 500, 0, 0, 0, 45, 185, 'varka', 0, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.46, 'true', 'SOUL_BSPIRIT', 1, 0),
	(1158, 21353, 'Varka Silenos Scout', '', 'barka_silenos_hunter', 16.00, 38.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4699, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 25065, 2642, 2259, 620, 1268, 525, 253, 150, 500, 142, 6918, 0, 44, 175, 'varka_silenos_clan', 300, 0, 20, 166, 7, 30, 4, 4, 0, -6, 0.48, 'true', 'SOUL', 1, 0),
	(1159, 21354, 'Varka Silenos Hunter', '', 'barka_silenos_archer', 8.00, 37.50, 78, 'male', 'L2Monster', 'Ranger', 1100, 4699, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 24846, 2618, 2259, 620, 1268, 525, 253, 150, 500, 6917, 0, 0, 30, 175, 'varka_silenos_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.59, 'true', 'SOUL', 1, 0),
	(1160, 21355, 'Varka Silenos Shaman', '', 'barka_silenos_shaman', 14.00, 39.50, 78, 'male', 'L2Monster', 'Priest', 40, 4699, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 24583, 2580, 2259, 620, 1268, 525, 253, 150, 500, 6716, 0, 0, 36, 150, 'varka_silenos_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.49, 'true', 'SOUL_BSPIRIT', 1, 0),
	(1161, 21356, 'Grazing Nepenthes', '', 'nephenthes', 28.00, 43.50, 78, 'male', 'L2Monster', 'Fighter', 40, 4699, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 15612, 1708, 2259, 620, 1268, 525, 253, 0, 500, 0, 0, 0, 48, 170, 'varka', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.47, 'true', 'SOUL_BSPIRIT', 1, 0),
	(1162, 21357, 'Varka Silenos Priest', '', 'barka_silenos_priest', 9.00, 41.50, 78, 'male', 'L2Monster', 'Mystic', 40, 4699, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 25424, 2681, 2259, 620, 1268, 525, 253, 150, 500, 6716, 0, 0, 36, 175, 'varka_silenos_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.47, 'true', 'SOUL_BSPIRIT', 1, 0),
	(1163, 21358, 'Varka Silenos Warrior', '', 'barka_silenos_warrior', 16.00, 41.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4699, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 25564, 2696, 2259, 620, 1268, 525, 253, 150, 500, 142, 6918, 0, 34, 175, 'varka_silenos_clan', 300, 0, 20, 170, 7, 30, 4, 4, 0, -6, 0.48, 'true', 'SOUL', 1, 0),
	(1164, 21359, 'Grazing Bandersnatch', '', 'bandersnatch', 18.00, 25.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4699, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 15761, 1724, 2259, 620, 1268, 525, 253, 0, 500, 0, 0, 0, 30, 175, 'varka', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.49, 'true', 'SOUL_BSPIRIT', 1, 0),
	(1165, 21360, 'Varka Silenos Medium', '', 'barka_silenos_shaman', 14.00, 39.50, 78, 'male', 'L2Monster', 'Priest', 40, 4699, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 33108, 3490, 2259, 620, 1268, 525, 253, 150, 500, 6716, 0, 0, 36, 150, 'varka_silenos_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.49, 'true', 'SOUL_BSPIRIT', 1, 0),
	(1166, 21361, 'Varka Silenos Magus', '', 'barka_silenos_mage_20_bi', 11.00, 55.20, 78, 'male', 'L2Monster', 'Mystic', 40, 4699, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 23322, 2452, 2259, 620, 1268, 525, 253, 150, 500, 6716, 0, 0, 36, 175, 'varka_silenos_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.45, 'true', 'SOUL_BSPIRIT', 1, 0),
	(1167, 21362, 'Varka Silenos Officer', '', 'barka_silenos_chieftain', 18.00, 42.50, 78, 'male', 'L2Monster', 'Fighter', 40, 4699, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 25564, 2696, 2259, 620, 1268, 525, 253, 150, 500, 2504, 0, 0, 25, 175, 'varka_silenos_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.48, 'true', 'SOUL', 1, 0),
	(1168, 21363, 'Grazing Flava', '', 'flava', 18.00, 34.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4699, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 23952, 2522, 2259, 620, 1268, 525, 253, 0, 500, 0, 0, 0, 30, 165, 'varka', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'true', 'SOUL_BSPIRIT', 1, 0),
	(1169, 21364, 'Varka Silenos Seer', '', 'barka_silenos_shaman', 14.00, 39.50, 78, 'male', 'L2Monster', 'Priest', 40, 4699, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 18179, 1988, 2259, 620, 1268, 525, 253, 150, 500, 6716, 0, 0, 36, 160, 'varka_silenos_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.49, 'true', 'SOUL_BSPIRIT', 1, 0),
	(1170, 21365, 'Varka Silenos Great Magus', '', 'barka_silenos_warrior_20_bi', 20.00, 49.20, 78, 'male', 'L2Monster', 'Fighter', 40, 4699, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 25065, 2642, 2259, 620, 1268, 525, 253, 150, 500, 2500, 0, 0, 34, 175, 'varka_silenos_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'SOUL', 1, 0),
	(1171, 21366, 'Varka Silenos General', '', 'barka_silenos_chieftain', 18.00, 42.50, 78, 'male', 'L2Monster', 'Fighter', 40, 4699, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 27045, 2858, 2259, 620, 1268, 525, 253, 150, 500, 2500, 0, 0, 25, 175, 'varka_silenos_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'SOUL', 1, 0),
	(1172, 21367, 'Grazing Elder Antelope', '', 'antelope', 17.00, 34.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4699, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 15761, 1724, 2259, 620, 1268, 525, 253, 0, 500, 0, 0, 0, 45, 185, 'varka', 0, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.46, 'true', 'SOUL_BSPIRIT', 1, 0),
	(1173, 21368, 'Varka Silenos Great Seer', '', 'barka_silenos_shaman', 14.00, 39.50, 78, 'male', 'L2Monster', 'Priest', 40, 4699, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 32232, 3394, 2259, 620, 1268, 525, 253, 150, 500, 6716, 0, 0, 36, 160, 'varka_silenos_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.49, 'true', 'SOUL_BSPIRIT', 1, 0),
	(1174, 21369, 'Varka\'s Commander', '', 'barka_silenos_chieftain_20_bi', 22.00, 51.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4699, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 31469, 3310, 2259, 620, 1268, 525, 253, 150, 500, 2500, 0, 0, 25, 175, 'varka_silenos_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'SOUL', 1, 0),
	(1175, 21370, 'Varka\'s Elite Guard', '', 'barka_silenos_warrior', 16.00, 41.00, 78, 'male', 'L2Minion', 'Fighter', 40, 4699, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 26151, 2761, 2259, 620, 1268, 525, 253, 0, 500, 2500, 6918, 0, 34, 180, 'varka_silenos_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'SOUL', 1, 0),
	(1176, 21371, 'Varka\'s Head Magus', '', 'barka_silenos_shaman', 14.00, 39.50, 78, 'male', 'L2Monster', 'Priest', 40, 4699, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 24846, 2618, 2259, 620, 1268, 525, 253, 150, 500, 6716, 0, 0, 36, 175, 'varka_silenos_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.49, 'false', 'SOUL_BSPIRIT', 1, 0),
	(1177, 21372, 'Varka\'s Head Guard', '', 'barka_silenos_hunter', 16.00, 38.00, 78, 'male', 'L2Minion', 'Fighter', 40, 4699, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 16812, 1840, 2259, 620, 1268, 525, 253, 0, 500, 2500, 6918, 0, 44, 175, 'varka_silenos_clan', 300, 0, 20, 178, 7, 30, 4, 4, 0, -6, 0.48, 'false', 'SOUL', 1, 0),
	(1178, 21373, 'Varka\'s Prophet', '', 'barka_silenos_shaman_20_bi', 17.00, 47.50, 78, 'male', 'L2Monster', 'Priest', 40, 4699, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 32074, 3370, 2259, 620, 1268, 525, 253, 150, 500, 6716, 0, 0, 36, 175, 'varka_silenos_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.54, 'false', 'SOUL_BSPIRIT', 1, 0),
	(1179, 21374, 'Prophet Guard', '', 'barka_silenos_warrior', 16.00, 41.00, 78, 'male', 'L2Minion', 'Fighter', 40, 4699, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 16952, 1855, 2259, 620, 1268, 525, 253, 0, 500, 2500, 6918, 0, 34, 180, 'varka_silenos_clan', 300, 0, 20, 182, 7, 30, 4, 4, 0, -6, 0.48, 'false', 'NONE', 1, 0),
	(1180, 21375, 'Disciple of Prophet', '', 'barka_silenos_priest', 9.00, 41.50, 78, 'male', 'L2Minion', 'Priest', 40, 4699, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 16339, 1788, 2259, 620, 1268, 525, 253, 0, 500, 6716, 0, 0, 36, 180, 'varka_silenos_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.47, 'false', 'NONE', 1, 0),
	(1181, 21376, 'Scarlet Stakato Worker', '', 'blade_stakato_worker', 13.00, 40.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4429, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 35275, 3860, 2259, 620, 1268, 525, 253, 150, 500, 235, 0, 0, 25, 130, 'fire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.76, 'false', 'NONE', 1, 0),
	(1182, 21377, 'Scarlet Stakato Soldier', '', 'blade_stakato_soldier', 15.00, 38.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4429, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 34523, 3778, 2259, 620, 1268, 525, 253, 150, 500, 148, 0, 0, 25, 180, 'fire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.74, 'false', 'NONE', 1, 0),
	(1183, 21378, 'Scarlet Stakato Noble', '', 'blade_stakato_drone', 15.00, 39.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4536, 9.200, 1840, 3.210, 40, 43, 30, 21, 20, 20, 49148, 5447, 2259, 620, 1268, 525, 253, 150, 500, 235, 0, 0, 25, 180, 'fire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.58, 'false', 'NONE', 1, 0),
	(1184, 21379, 'Tepra Scorpion', '', 'scorpion_20_sm', 24.00, 52.80, 78, 'male', 'L2Monster', 'Fighter', 40, 4536, 9.200, 1840, 3.210, 40, 43, 30, 21, 20, 20, 35491, 3933, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 37, 125, 'fire_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.54, 'false', 'NONE', 1, 0),
	(1185, 21380, 'Tepra Scarab', '', 'scarab', 14.00, 22.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4536, 9.200, 1840, 3.210, 40, 43, 30, 21, 20, 20, 36185, 4010, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 45, 175, 'fire_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(1186, 21381, 'Assassin Beetle', '', 'tera_beetle', 19.00, 54.50, 78, 'male', 'L2Monster', 'Fighter', 40, 4642, 9.200, 1896, 3.210, 40, 43, 30, 21, 20, 20, 42075, 4722, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 45, 145, 'fire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 1, 0),
	(1187, 21382, 'Mercenary of Destruction', '', 'skeleton_knight', 10.00, 25.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4642, 9.200, 1896, 3.210, 40, 43, 30, 21, 20, 20, 51904, 5826, 2259, 620, 1268, 525, 253, 150, 500, 150, 103, 0, 40, 165, 'fire_clan', 300, 0, 20, 170, 7, 30, 4, 4, 0, -6, 0.17, 'false', 'NONE', 1, 0),
	(1188, 21383, 'Knight of Destruction', '', 'skeleton_royal_guard', 11.00, 28.50, 78, 'male', 'L2Monster', 'Fighter', 40, 4642, 9.200, 1896, 3.210, 40, 43, 30, 21, 20, 20, 51983, 5835, 2259, 620, 1268, 525, 253, 150, 500, 946, 945, 0, 80, 185, 'fire_clan', 300, 0, 20, 170, 7, 30, 4, 4, 0, -6, 0.52, 'false', 'NONE', 1, 0),
	(1189, 21384, 'Necromancer of Destruction', '', 'vale_master_20_bi', 14.50, 48.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 44576, 5062, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 70, 145, 'fire_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.74, 'false', 'NONE', 1, 0),
	(1190, 21385, 'Lavastone Golem', '', 'stone_golem', 20.00, 31.00, 78, 'male', 'L2Monster', 'Mystic', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 42930, 4875, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 23, 40, 'fire_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.41, 'false', 'NONE', 1, 0),
	(1191, 21386, 'Magma Golem', '', 'lava_golem', 22.00, 45.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 45872, 5209, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 13, 60, 'fire_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.47, 'false', 'NONE', 1, 0),
	(1192, 21387, 'Arimanes of Destruction', '', 'ahrimanes', 14.00, 57.75, 78, 'male', 'L2Monster', 'Mystic', 40, 4757, 9.200, 1973, 3.210, 40, 43, 30, 21, 20, 20, 36575, 4202, 2259, 620, 1268, 525, 253, 150, 500, 6722, 0, 0, 35, 185, 'fire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(1193, 21388, 'Iblis of Destruction', '', 'fiend_archer', 17.00, 55.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4757, 9.200, 1973, 3.210, 40, 43, 30, 21, 20, 20, 55327, 6356, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 70, 150, 'fire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.76, 'false', 'NONE', 1, 0),
	(1194, 21389, 'Balrog of Destruction', '', 'kaim_vanul', 24.00, 40.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4811, 9.200, 2012, 3.210, 40, 43, 30, 21, 20, 20, 59328, 6897, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 37, 155, 'fire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(1195, 21390, 'Ashuras of Destruction', '', 'ashuras_30_bi', 17.00, 49.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4862, 9.200, 2052, 3.210, 40, 43, 30, 21, 20, 20, 68450, 8052, 2259, 625, 1268, 525, 253, 150, 500, 0, 0, 0, 41, 190, 'fire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(1196, 21391, 'Lavasillisk', '', 'lesser_basilisk', 12.00, 22.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4811, 9.200, 2012, 3.210, 40, 43, 30, 21, 20, 20, 47322, 5501, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 35, 140, 'fire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 1, 0),
	(1197, 21392, 'Blazing Ifrit', '', 'ifrit_30_bi', 13.00, 55.00, 78, 'male', 'L2Monster', 'Mystic', 40, 4862, 9.200, 2052, 3.210, 40, 43, 30, 21, 20, 20, 67509, 7941, 2259, 625, 1268, 525, 253, 150, 500, 0, 0, 0, 38, 150, 'fire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(1198, 21393, 'Magma Drake', '', 'inferno_drake_20_bi', 29.00, 42.00, 78, 'male', 'L2Monster', 'Mystic', 40, 4910, 9.200, 2091, 3.210, 40, 43, 30, 21, 20, 20, 56964, 6780, 2259, 635, 1268, 525, 253, 150, 500, 0, 0, 0, 57, 195, 'fire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(1199, 21394, 'Lavasaurus', '', 'magmagoil', 15.00, 75.00, 78, 'male', 'L2SpecialMonster', 'PaganGuard', 1100, 4536, 9.200, 1840, 3.210, 40, 43, 30, 21, 20, 20, 44944, 4981, 5991, 569, 1107, 459, 253, 500, 500, 0, 0, 0, 1, 1, 'fire_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.48, 'false', 'NONE', 1, 0),
	(1200, 21395, 'Elder Lavasaurus', '', 'magmagoil_lad', 15.00, 75.00, 78, 'male', 'L2SpecialMonster', 'PaganGuard', 1100, 4811, 9.200, 2012, 3.210, 40, 43, 30, 21, 20, 20, 58564, 6808, 6652, 613, 1258, 494, 253, 500, 500, 0, 0, 0, 1, 1, 'fire_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.48, 'false', 'NONE', 1, 0),
	(1201, 21396, 'Carrion Scarab', '', 'scarab', 14.00, 22.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4429, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 24549, 2687, 2259, 620, 1268, 525, 253, 0, 500, 0, 0, 0, 45, 130, 'tomb_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(1202, 21397, 'Carrion Scarab', '', 'scarab', 14.00, 22.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4429, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 21310, 2332, 2259, 620, 1268, 525, 253, 0, 500, 0, 0, 0, 45, 130, 'tomb_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(1203, 21398, 'Soldier Scarab', '', 'scarab', 14.00, 22.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4429, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 40465, 4428, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 45, 180, 'tomb_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(1204, 21399, 'Soldier Scarab', '', 'scarab', 14.00, 22.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4429, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 38680, 4233, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 45, 180, 'tomb_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(1205, 21400, 'Hexa Beetle', '', 'tera_beetle', 19.00, 54.50, 78, 'male', 'L2Monster', 'Fighter', 40, 4536, 9.200, 1840, 3.210, 40, 43, 30, 21, 20, 20, 33055, 3663, 2259, 620, 1268, 525, 253, 0, 500, 0, 0, 0, 45, 145, 'tomb_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 1, 0),
	(1206, 21401, 'Hexa Beetle', '', 'tera_beetle', 19.00, 54.50, 78, 'male', 'L2Monster', 'Fighter', 40, 4536, 9.200, 1840, 3.210, 40, 43, 30, 21, 20, 20, 29087, 3224, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 45, 145, 'tomb_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 1, 0),
	(1207, 21402, 'Katraxis', '', 'scorpion_20_sm', 24.00, 52.80, 78, 'male', 'L2Monster', 'Fighter', 40, 4536, 9.200, 1840, 3.210, 40, 43, 30, 21, 20, 20, 30013, 3326, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 37, 165, 'tomb_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(1208, 21403, 'Katraxis', '', 'scorpion_20_sm', 24.00, 52.80, 78, 'male', 'L2Monster', 'Fighter', 40, 4536, 9.200, 1840, 3.210, 40, 43, 30, 21, 20, 20, 34642, 3839, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 37, 165, 'tomb_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(1209, 21404, 'Tera Beetle', '', 'tera_beetle', 19.00, 54.50, 78, 'male', 'L2Monster', 'Fighter', 40, 4642, 9.200, 1896, 3.210, 40, 43, 30, 21, 20, 20, 59626, 6692, 2259, 620, 1268, 525, 253, 0, 500, 0, 0, 0, 45, 185, 'tomb_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(1210, 21405, 'Tera Beetle', '', 'tera_beetle', 19.00, 54.50, 78, 'male', 'L2Monster', 'Fighter', 40, 4642, 9.200, 1896, 3.210, 40, 43, 30, 21, 20, 20, 28588, 3209, 2259, 620, 1268, 525, 253, 0, 500, 0, 0, 0, 45, 185, 'tomb_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(1211, 21406, 'Knight of Empire', '', 'skeleton_knight', 10.00, 25.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4642, 9.200, 1896, 3.210, 40, 43, 30, 21, 20, 20, 42272, 4745, 2259, 620, 1268, 525, 253, 150, 500, 150, 103, 0, 40, 145, 'tomb_clan', 300, 0, 20, 170, 7, 30, 4, 4, 0, -6, 0.17, 'false', 'NONE', 1, 0),
	(1212, 21407, 'Knight of Empire', '', 'skeleton_knight', 10.00, 25.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4642, 9.200, 1896, 3.210, 40, 43, 30, 21, 20, 20, 27052, 3036, 2259, 620, 1268, 525, 253, 150, 500, 150, 103, 0, 40, 145, 'tomb_clan', 300, 0, 20, 170, 7, 30, 4, 4, 0, -6, 0.17, 'false', 'NONE', 1, 0),
	(1213, 21408, 'Royal Guard of Empire', '', 'skeleton_pikeman', 10.00, 28.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4642, 9.200, 1896, 3.210, 40, 43, 30, 21, 20, 20, 36791, 4129, 2259, 620, 1268, 525, 253, 150, 500, 304, 0, 0, 50, 190, 'tomb_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.21, 'false', 'NONE', 1, 0),
	(1214, 21409, 'Royal Guard of Empire', '', 'skeleton_pikeman', 10.00, 28.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4642, 9.200, 1896, 3.210, 40, 43, 30, 21, 20, 20, 41142, 4618, 2259, 620, 1268, 525, 253, 150, 500, 304, 0, 0, 50, 190, 'tomb_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.21, 'false', 'NONE', 1, 0),
	(1215, 21410, 'Guardian Scarab', '', 'scarab_20_bi', 17.00, 26.50, 78, 'male', 'L2Monster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 38010, 4316, 2259, 620, 1268, 525, 253, 0, 500, 0, 0, 0, 45, 195, 'tomb_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(1216, 21411, 'Guardian Scarab', '', 'scarab_20_bi', 17.00, 26.50, 78, 'male', 'L2Monster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 30337, 3445, 2259, 620, 1268, 525, 253, 0, 500, 0, 0, 0, 45, 195, 'tomb_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(1217, 21412, 'Ustralith', '', 'scorpion', 28.00, 66.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 48414, 5497, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 37, 130, 'tomb_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(1218, 21413, 'Ustralith', '', 'scorpion', 28.00, 66.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 37229, 4227, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 37, 130, 'tomb_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(1219, 21414, 'Assassin of Empire', '', 'skeleton_royal_guard', 11.00, 28.50, 78, 'male', 'L2Monster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 36181, 4108, 2259, 620, 1268, 525, 253, 0, 500, 946, 945, 0, 80, 175, 'tomb_clan', 300, 0, 20, 172, 7, 10, 8, 4, 0, -6, 0.52, 'false', 'NONE', 0, 0),
	(1220, 21415, 'Assassin of Empire', '', 'skeleton_royal_guard', 11.00, 28.50, 78, 'male', 'L2Monster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 36499, 4144, 2259, 620, 1268, 525, 253, 0, 500, 946, 945, 0, 80, 175, 'tomb_clan', 300, 0, 20, 172, 7, 10, 8, 4, 0, -6, 0.52, 'false', 'NONE', 0, 0),
	(1221, 21416, 'Imperial Commander', '', 'imperial_warlord_zombie', 7.00, 30.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 43189, 4904, 2259, 620, 1268, 525, 253, 150, 500, 134, 6721, 0, 39, 140, 'tomb_clan', 300, 0, 20, 172, 7, 30, 4, 4, 0, -6, 0.48, 'false', 'NONE', 1, 0),
	(1222, 21417, 'Imperial Commander', '', 'imperial_warlord_zombie', 7.00, 30.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 75345, 8555, 2259, 620, 1268, 525, 253, 150, 500, 134, 6721, 0, 39, 140, 'tomb_clan', 300, 0, 20, 172, 7, 30, 4, 4, 0, -6, 0.48, 'false', 'NONE', 1, 0),
	(1223, 21418, 'Imperial Royal Guard', '', 'death_knight', 12.00, 30.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4757, 9.200, 1973, 3.210, 40, 43, 30, 21, 20, 20, 32124, 3691, 2259, 620, 1268, 525, 253, 0, 500, 142, 0, 0, 27, 160, 'tomb_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(1224, 21419, 'Imperial Royal Guard', '', 'death_knight', 12.00, 30.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4757, 9.600, 1973, 3.330, 40, 43, 30, 21, 20, 20, 32694, 3756, 2896, 741, 1630, 628, 253, 0, 500, 142, 0, 0, 27, 160, 'tomb_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(1225, 21420, 'Ashuras', '', 'ashuras', 13.00, 37.50, 78, 'male', 'L2Monster', 'Fighter', 40, 4757, 9.200, 1973, 3.210, 40, 43, 30, 21, 20, 20, 38520, 4425, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 41, 200, 'tomb_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(1226, 21421, 'Ashuras', '', 'ashuras', 13.00, 37.50, 78, 'male', 'L2Monster', 'Fighter', 40, 4757, 9.200, 1973, 3.210, 40, 43, 30, 21, 20, 20, 36159, 4154, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 41, 200, 'tomb_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(1227, 21422, 'Dancer of Empire', '', 'banshee', 9.00, 23.00, 78, 'female', 'L2Monster', 'Mystic', 40, 4757, 9.200, 1973, 3.210, 40, 43, 30, 21, 20, 20, 41481, 4766, 2259, 620, 1268, 525, 253, 0, 500, 0, 0, 0, 80, 120, 'tomb_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(1228, 21423, 'Dancer of Empire', '', 'banshee', 9.00, 23.00, 78, 'female', 'L2Monster', 'Mystic', 40, 4757, 9.200, 1973, 3.210, 40, 43, 30, 21, 20, 20, 43973, 5052, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 80, 120, 'tomb_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(1229, 21424, 'Ashkenas', '', 'ashuras', 13.00, 37.50, 78, 'male', 'L2Monster', 'Fighter', 40, 4757, 9.200, 1973, 3.210, 40, 43, 30, 21, 20, 20, 55732, 6403, 2259, 620, 1268, 525, 253, 0, 500, 0, 0, 0, 41, 190, 'tomb_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(1230, 21425, 'Ashkenas', '', 'ashuras', 13.00, 37.50, 78, 'male', 'L2Monster', 'Fighter', 40, 4757, 9.200, 1973, 3.210, 40, 43, 30, 21, 20, 20, 56668, 6510, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 41, 190, 'tomb_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(1231, 21426, 'Abraxion', '', 'erinyes', 21.00, 50.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4811, 9.200, 2012, 3.210, 40, 43, 30, 21, 20, 20, 65250, 7585, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 31, 130, 'tomb_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(1232, 21427, 'Abraxion', '', 'erinyes', 21.00, 50.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4811, 9.200, 2012, 3.210, 40, 43, 30, 21, 20, 20, 38349, 4458, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 31, 130, 'tomb_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(1233, 21428, 'Hasturan', '', 'erinyes', 21.00, 50.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4811, 9.200, 2012, 3.210, 40, 43, 30, 21, 20, 20, 36621, 4257, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 31, 150, 'tomb_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(1234, 21429, 'Hasturan', '', 'erinyes', 21.00, 50.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4811, 9.200, 2012, 3.210, 40, 43, 30, 21, 20, 20, 38239, 4445, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 31, 150, 'tomb_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(1235, 21430, 'Arimanes', '', 'ahrimanes', 14.00, 57.75, 78, 'male', 'L2Monster', 'Mystic', 40, 4811, 9.200, 2012, 3.210, 40, 43, 30, 21, 20, 20, 52810, 6139, 2259, 620, 1268, 525, 253, 0, 500, 6722, 0, 0, 35, 210, 'tomb_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(1236, 21431, 'Arimanes', '', 'ahrimanes', 14.00, 57.75, 78, 'male', 'L2Monster', 'Mystic', 40, 4811, 9.200, 2012, 3.210, 40, 43, 30, 21, 20, 20, 45045, 5236, 2259, 620, 1268, 525, 253, 0, 500, 6722, 0, 0, 35, 210, 'tomb_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(1237, 21432, 'Chakram Beetle', '', 'tera_beetle', 19.00, 54.50, 78, 'male', 'L2Monster', 'Fighter', 40, 4642, 9.200, 1896, 3.210, 40, 43, 30, 21, 20, 20, 72932, 8186, 2259, 620, 1268, 525, 253, 0, 500, 0, 0, 0, 45, 170, 'tomb_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 1, 0),
	(1238, 21433, 'Jamadar Beetle', '', 'tera_beetle_20_sm', 15.00, 43.60, 78, 'male', 'L2Monster', 'Fighter', 40, 4536, 9.200, 1840, 3.210, 40, 43, 30, 21, 20, 20, 70729, 7839, 2259, 620, 1268, 525, 253, 0, 500, 0, 0, 0, 45, 175, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(1239, 21434, 'Seer of Blood', '', 'erinyes', 21.00, 50.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4757, 9.200, 1973, 3.210, 40, 43, 30, 21, 20, 20, 141369, 16242, 2259, 620, 1268, 525, 253, 0, 500, 0, 0, 0, 31, 150, 'tomb_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(1240, 21435, 'Guide of Offering', '', 'imperial_warlord_zombie', 7.00, 30.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4642, 9.200, 1896, 3.210, 40, 43, 30, 21, 20, 20, 71537, 8029, 2259, 620, 1268, 525, 253, 0, 500, 134, 6721, 0, 39, 150, '', 0, 0, 20, 170, 7, 30, 4, 4, 0, -6, 0.48, 'false', 'NONE', 0, 0),
	(1241, 21436, 'Leader of Offering', '', 'imperial_warlord_zombie', 7.00, 30.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4642, 9.200, 1896, 3.210, 40, 43, 30, 21, 20, 20, 74207, 8329, 2259, 620, 1268, 525, 253, 0, 500, 134, 6721, 0, 39, 150, '', 0, 0, 20, 170, 7, 30, 4, 4, 0, -6, 0.48, 'false', 'NONE', 0, 0),
	(1242, 21437, 'Offering Bug', '', 'scarab', 14.00, 22.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4536, 9.200, 1840, 3.210, 40, 43, 30, 21, 20, 20, 29957, 3320, 2259, 620, 1268, 525, 253, 0, 500, 0, 0, 0, 45, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(1243, 21438, 'Heathen Warrior', '', 'skeleton_royal_guard', 11.00, 28.50, 65, 'male', 'L2Monster', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 1790, 167, 1188, 419, 654, 354, 253, 150, 500, 946, 945, 0, 80, 175, 'undead_clan', 300, 0, 20, 135, 7, 10, 8, 4, 0, -6, 0.52, 'false', 'NONE', 1, 0),
	(1244, 21439, 'Heathen Executed', '', 'hungry_spirit', 13.00, 40.00, 66, 'male', 'L2Monster', 'Fighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 1846, 174, 1242, 429, 686, 363, 253, 150, 500, 0, 0, 0, 15, 175, 'undead_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.45, 'false', 'NONE', 1, 0),
	(1245, 21440, 'Heathen Archer', '', 'skeleton_archer', 11.00, 27.00, 67, 'male', 'L2Monster', 'Ranger', 1100, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 2021, 192, 1299, 439, 719, 372, 253, 0, 500, 284, 0, 0, 40, 155, 'undead_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.80, 'false', 'NONE', 1, 0),
	(1246, 21441, 'Heathen Grunt', '', 'skeleton_pikeman', 10.00, 28.00, 68, 'male', 'L2Monster', 'Fighter', 40, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 1959, 190, 1358, 450, 753, 381, 253, 150, 500, 96, 0, 0, 50, 170, 'undead_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.21, 'false', 'NONE', 1, 0),
	(1247, 21442, 'Heathen Knight', '', 'skeleton_knight', 10.00, 25.00, 69, 'male', 'L2Monster', 'Fighter', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 2017, 197, 1419, 461, 788, 390, 253, 150, 500, 150, 103, 0, 40, 165, 'undead_clan', 300, 0, 20, 145, 7, 30, 4, 4, 0, -6, 0.17, 'false', 'NONE', 1, 0),
	(1248, 21443, 'Raider of Pastureland', '', 'dark_mahum', 13.00, 26.00, 63, 'male', 'L2Monster', 'Fighter', 40, 3302, 7.700, 1251, 2.760, 40, 43, 30, 21, 20, 20, 8408, 760, 1083, 399, 593, 337, 253, 150, 500, 153, 0, 0, 50, 165, 'nonpet_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.52, 'true', 'NONE', 1, 0),
	(1249, 21444, 'Raider of Pastureland', '', 'dark_mahum', 13.00, 26.00, 63, 'male', 'L2Monster', 'Fighter', 40, 3302, 7.700, 1251, 2.760, 40, 43, 30, 21, 20, 20, 7066, 638, 1083, 399, 593, 337, 253, 150, 500, 153, 0, 0, 50, 165, 'nonpet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 1, 0),
	(1250, 21445, 'Alpen Bandersnatch', '', 'bandersnatch', 18.00, 25.00, 64, 'male', 'L2Monster', 'Fighter', 40, 3384, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 7292, 667, 1134, 409, 624, 345, 253, 150, 500, 0, 0, 0, 30, 170, 'nonpet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.49, 'true', 'NONE', 1, 0),
	(1251, 21446, 'Raider of Pastureland', '', 'dark_mahum', 13.00, 26.00, 64, 'male', 'L2Monster', 'Fighter', 40, 3384, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 8972, 821, 1134, 409, 624, 345, 253, 150, 500, 160, 0, 0, 50, 165, 'nonpet_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.52, 'true', 'NONE', 1, 0),
	(1252, 21447, 'Raider of Pastureland', '', 'dark_mahum', 13.00, 26.00, 66, 'male', 'L2Monster', 'Fighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 9228, 869, 1242, 429, 686, 363, 253, 150, 500, 229, 0, 0, 50, 165, 'nonpet_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.52, 'true', 'NONE', 1, 0),
	(1253, 21448, 'Raider of Pastureland', '', 'dark_mahum', 13.00, 26.00, 66, 'male', 'L2Monster', 'Fighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 7754, 730, 1242, 429, 686, 363, 253, 150, 500, 229, 0, 0, 50, 165, 'nonpet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 1, 0),
	(1254, 21449, 'Raider of Pastureland', '', 'dark_mahum', 13.00, 26.00, 68, 'male', 'L2Monster', 'Fighter', 40, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 10128, 978, 1358, 450, 753, 381, 253, 150, 500, 234, 0, 0, 50, 165, 'nonpet_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.52, 'true', 'NONE', 1, 0),
	(1255, 21450, 'Alpen Grendel', '', 'bionic_bear', 15.00, 39.00, 68, 'male', 'L2Monster', 'Fighter', 40, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 9796, 947, 1358, 450, 753, 381, 253, 150, 500, 0, 0, 0, 36, 155, 'nonpet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(1256, 21451, 'Alpen Kookaburra', '', 'baby_ostrich', 7.00, 15.00, 65, 'male', 'L2FeedableBeast', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 3318, 308, 1077, 419, 619, 340, 253, 0, 500, 0, 0, 0, 13, 110, 'pet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'true', 'NONE', 1, 0),
	(1257, 21452, 'Alpen Kookaburra', '', 'baby_ostrich', 7.00, 15.00, 65, 'male', 'L2FeedableBeast', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 8775, 815, 1068, 506, 619, 340, 253, 0, 500, 0, 0, 0, 13, 140, 'pet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'true', 'NONE', 0, 0),
	(1258, 21453, 'Alpen Kookaburra', '', 'baby_ostrich', 7.00, 15.00, 65, 'male', 'L2FeedableBeast', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 7374, 685, 1068, 506, 619, 340, 253, 0, 500, 0, 0, 0, 13, 140, 'pet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'true', 'NONE', 0, 0),
	(1259, 21454, 'Alpen Kookaburra', '', 'baby_ostrich', 7.00, 15.00, 65, 'male', 'L2FeedableBeast', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 8775, 815, 1068, 506, 619, 340, 253, 0, 500, 0, 0, 0, 13, 140, 'pet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'true', 'NONE', 0, 0),
	(1260, 21455, 'Alpen Kookaburra', '', 'baby_ostrich', 7.00, 15.00, 65, 'male', 'L2FeedableBeast', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 7374, 685, 1068, 506, 619, 340, 253, 0, 500, 0, 0, 0, 13, 140, 'pet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'true', 'NONE', 0, 0),
	(1261, 21456, 'Alpen Kookaburra', '', 'baby_ostrich', 7.00, 15.00, 65, 'male', 'L2FeedableBeast', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 8775, 815, 1068, 506, 619, 340, 253, 0, 500, 0, 0, 0, 13, 140, 'pet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'true', 'NONE', 0, 0),
	(1262, 21457, 'Alpen Kookaburra', '', 'baby_ostrich', 7.00, 15.00, 65, 'male', 'L2FeedableBeast', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 7374, 685, 1068, 506, 619, 340, 253, 0, 500, 0, 0, 0, 13, 140, 'pet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'true', 'NONE', 0, 0),
	(1263, 21458, 'Alpen Kookaburra', '', 'baby_ostrich', 7.00, 15.00, 65, 'male', 'L2FeedableBeast', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 8775, 815, 1068, 506, 619, 340, 253, 0, 500, 0, 0, 0, 13, 140, 'pet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'true', 'NONE', 0, 0),
	(1264, 21459, 'Alpen Kookaburra', '', 'baby_ostrich', 7.00, 15.00, 65, 'male', 'L2FeedableBeast', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 7374, 685, 1068, 506, 619, 340, 253, 0, 500, 0, 0, 0, 13, 140, 'pet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'true', 'NONE', 0, 0),
	(1265, 21460, 'Alpen Kookaburra', '', 'youth_ostrich', 8.00, 26.40, 65, 'male', 'L2FeedableBeast', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 18387, 1708, 1077, 419, 619, 340, 253, 150, 500, 0, 0, 0, 23, 190, 'pet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(1266, 21461, 'Alpen Kookaburra', '', 'youth_ostrich', 8.00, 26.40, 65, 'male', 'L2FeedableBeast', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 19112, 1776, 1077, 419, 619, 340, 253, 150, 500, 0, 0, 0, 23, 190, 'pet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(1267, 21462, 'Alpen Kookaburra', '', 'youth_ostrich', 8.00, 26.40, 65, 'male', 'L2FeedableBeast', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 18387, 1708, 1077, 419, 619, 340, 253, 150, 500, 0, 0, 0, 23, 190, 'pet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(1268, 21463, 'Alpen Kookaburra', '', 'youth_ostrich', 8.00, 26.40, 65, 'male', 'L2FeedableBeast', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 17683, 1643, 1077, 419, 619, 340, 253, 150, 500, 0, 0, 0, 23, 190, 'pet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(1269, 21464, 'Alpen Kookaburra', '', 'youth_ostrich', 8.00, 26.40, 65, 'male', 'L2FeedableBeast', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 18387, 1708, 1077, 419, 619, 340, 253, 150, 500, 0, 0, 0, 23, 190, 'pet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(1270, 21465, 'Alpen Kookaburra', '', 'youth_ostrich', 8.00, 26.40, 65, 'male', 'L2FeedableBeast', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 19112, 1776, 1077, 419, 619, 340, 253, 150, 500, 0, 0, 0, 23, 190, 'pet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(1271, 21466, 'Alpen Kookaburra', '', 'youth_ostrich', 8.00, 26.40, 65, 'male', 'L2FeedableBeast', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 18387, 1708, 1077, 419, 619, 340, 253, 150, 500, 0, 0, 0, 23, 190, 'pet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(1272, 21467, 'Alpen Kookaburra', '', 'youth_ostrich', 8.00, 26.40, 65, 'male', 'L2FeedableBeast', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 17683, 1643, 1077, 419, 619, 340, 253, 150, 500, 0, 0, 0, 23, 190, 'pet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(1273, 21468, 'Alpen Kookaburra', '', 'rough_ostrich', 10.00, 33.00, 65, 'male', 'L2FeedableBeast', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 30997, 2880, 1433, 419, 619, 340, 253, 150, 500, 0, 0, 0, 23, 210, 'pet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(1274, 21469, 'Alpen Kookaburra', '', 'rough_ostrich', 10.00, 33.00, 65, 'male', 'L2FeedableBeast', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 29568, 2747, 1433, 419, 619, 340, 253, 150, 500, 0, 0, 0, 23, 210, 'pet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(1275, 21470, 'Alpen Buffalo', '', 'baby_buffalo', 12.00, 15.00, 67, 'male', 'L2FeedableBeast', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 3526, 336, 1169, 439, 681, 356, 253, 0, 500, 0, 0, 0, 30, 110, 'pet_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(1276, 21471, 'Alpen Buffalo', '', 'baby_buffalo', 12.00, 15.00, 67, 'male', 'L2FeedableBeast', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 9323, 888, 1160, 531, 681, 356, 253, 0, 500, 0, 0, 0, 30, 130, 'pet_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.48, 'true', 'NONE', 0, 0),
	(1277, 21472, 'Alpen Buffalo', '', 'baby_buffalo', 12.00, 15.00, 67, 'male', 'L2FeedableBeast', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 7835, 746, 1160, 531, 681, 356, 253, 0, 500, 0, 0, 0, 30, 130, 'pet_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.48, 'true', 'NONE', 0, 0),
	(1278, 21473, 'Alpen Buffalo', '', 'baby_buffalo', 12.00, 15.00, 67, 'male', 'L2FeedableBeast', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 9323, 888, 1160, 531, 681, 356, 253, 0, 500, 0, 0, 0, 30, 130, 'pet_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.48, 'true', 'NONE', 0, 0),
	(1279, 21474, 'Alpen Buffalo', '', 'baby_buffalo', 12.00, 15.00, 67, 'male', 'L2FeedableBeast', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 7835, 746, 1160, 531, 681, 356, 253, 0, 500, 0, 0, 0, 30, 130, 'pet_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.48, 'true', 'NONE', 0, 0),
	(1280, 21475, 'Alpen Buffalo', '', 'baby_buffalo', 12.00, 15.00, 67, 'male', 'L2FeedableBeast', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 9323, 888, 1160, 531, 681, 356, 253, 0, 500, 0, 0, 0, 30, 130, 'pet_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.48, 'true', 'NONE', 0, 0),
	(1281, 21476, 'Alpen Buffalo', '', 'baby_buffalo', 12.00, 15.00, 67, 'male', 'L2FeedableBeast', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 7835, 746, 1160, 531, 681, 356, 253, 0, 500, 0, 0, 0, 30, 130, 'pet_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.48, 'true', 'NONE', 0, 0),
	(1282, 21477, 'Alpen Buffalo', '', 'baby_buffalo', 12.00, 15.00, 67, 'male', 'L2FeedableBeast', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 9323, 888, 1160, 531, 681, 356, 253, 0, 500, 0, 0, 0, 30, 130, 'pet_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.48, 'true', 'NONE', 0, 0),
	(1283, 21478, 'Alpen Buffalo', '', 'baby_buffalo', 12.00, 15.00, 67, 'male', 'L2FeedableBeast', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 7835, 746, 1160, 531, 681, 356, 253, 0, 500, 0, 0, 0, 30, 130, 'pet_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.48, 'true', 'NONE', 0, 0),
	(1284, 21479, 'Alpen Buffalo', '', 'youth_buffalo', 16.00, 25.20, 67, 'male', 'L2FeedableBeast', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 19535, 1860, 1624, 439, 681, 356, 253, 150, 500, 0, 0, 0, 20, 170, 'pet_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.47, 'false', 'NONE', 0, 0),
	(1285, 21480, 'Alpen Buffalo', '', 'youth_buffalo', 16.00, 25.20, 67, 'male', 'L2FeedableBeast', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 20306, 1934, 1624, 439, 681, 356, 253, 150, 500, 0, 0, 0, 20, 170, 'pet_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.47, 'false', 'NONE', 0, 0),
	(1286, 21481, 'Alpen Buffalo', '', 'youth_buffalo', 16.00, 25.20, 67, 'male', 'L2FeedableBeast', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 19535, 1860, 1624, 439, 681, 356, 253, 150, 500, 0, 0, 0, 20, 170, 'pet_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.47, 'false', 'NONE', 0, 0),
	(1287, 21482, 'Alpen Buffalo', '', 'youth_buffalo', 16.00, 25.20, 67, 'male', 'L2FeedableBeast', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 18788, 1789, 1624, 439, 681, 356, 253, 150, 500, 0, 0, 0, 20, 170, 'pet_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.47, 'false', 'NONE', 0, 0),
	(1288, 21483, 'Alpen Buffalo', '', 'youth_buffalo', 16.00, 25.20, 67, 'male', 'L2FeedableBeast', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 19535, 1860, 1624, 439, 681, 356, 253, 150, 500, 0, 0, 0, 20, 170, 'pet_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.47, 'false', 'NONE', 0, 0),
	(1289, 21484, 'Alpen Buffalo', '', 'youth_buffalo', 16.00, 25.20, 67, 'male', 'L2FeedableBeast', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 20306, 1934, 1624, 439, 681, 356, 253, 150, 500, 0, 0, 0, 20, 170, 'pet_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.47, 'false', 'NONE', 0, 0),
	(1290, 21485, 'Alpen Buffalo', '', 'youth_buffalo', 16.00, 25.20, 67, 'male', 'L2FeedableBeast', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 19535, 1860, 1624, 439, 681, 356, 253, 150, 500, 0, 0, 0, 20, 170, 'pet_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.47, 'false', 'NONE', 0, 0),
	(1291, 21486, 'Alpen Buffalo', '', 'youth_buffalo', 16.00, 25.20, 67, 'male', 'L2FeedableBeast', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 18788, 1789, 1624, 439, 681, 356, 253, 150, 500, 0, 0, 0, 20, 170, 'pet_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.47, 'false', 'NONE', 0, 0),
	(1292, 21487, 'Alpen Buffalo', '', 'buffalo', 22.00, 31.00, 67, 'male', 'L2Monster', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 32934, 3137, 1299, 439, 719, 372, 253, 150, 500, 0, 0, 0, 20, 170, 'pet_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(1293, 21488, 'Alpen Buffalo', '', 'buffalo', 22.00, 31.00, 67, 'male', 'L2Monster', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 31415, 2992, 1299, 439, 719, 372, 253, 150, 500, 0, 0, 0, 20, 170, 'pet_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(1294, 21489, 'Alpen Cougar', '', 'baby_tiger', 11.00, 15.70, 69, 'male', 'L2FeedableBeast', 'Fighter', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 3739, 366, 1265, 460, 746, 373, 253, 0, 500, 0, 0, 0, 28, 110, 'pet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(1295, 21490, 'Alpen Cougar', '', 'baby_tiger', 11.00, 15.70, 69, 'male', 'L2FeedableBeast', 'Fighter', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 9888, 967, 1255, 556, 746, 373, 253, 0, 500, 0, 0, 0, 28, 130, 'pet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 0, 0),
	(1296, 21491, 'Alpen Cougar', '', 'baby_tiger', 11.00, 15.70, 69, 'male', 'L2FeedableBeast', 'Fighter', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 8309, 814, 1255, 556, 746, 373, 253, 0, 500, 0, 0, 0, 28, 130, 'pet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 0, 0),
	(1297, 21492, 'Alpen Cougar', '', 'baby_tiger', 11.00, 15.70, 69, 'male', 'L2FeedableBeast', 'Fighter', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 9888, 967, 1255, 556, 746, 373, 253, 0, 500, 0, 0, 0, 28, 130, 'pet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 0, 0),
	(1298, 21493, 'Alpen Cougar', '', 'baby_tiger', 11.00, 15.70, 69, 'male', 'L2FeedableBeast', 'Fighter', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 8309, 814, 1255, 556, 746, 373, 253, 0, 500, 0, 0, 0, 28, 130, 'pet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 0, 0),
	(1299, 21494, 'Alpen Cougar', '', 'baby_tiger', 11.00, 15.70, 69, 'male', 'L2FeedableBeast', 'Fighter', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 9888, 967, 1255, 556, 746, 373, 253, 0, 500, 0, 0, 0, 28, 130, 'pet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 0, 0),
	(1300, 21495, 'Alpen Cougar', '', 'baby_tiger', 11.00, 15.70, 69, 'male', 'L2FeedableBeast', 'Fighter', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 8309, 814, 1255, 556, 746, 373, 253, 0, 500, 0, 0, 0, 28, 130, 'pet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 0, 0),
	(1301, 21496, 'Alpen Cougar', '', 'baby_tiger', 11.00, 15.70, 69, 'male', 'L2FeedableBeast', 'Fighter', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 9888, 967, 1255, 556, 746, 373, 253, 0, 500, 0, 0, 0, 28, 130, 'pet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 0, 0),
	(1302, 21497, 'Alpen Cougar', '', 'baby_tiger', 11.00, 15.70, 69, 'male', 'L2FeedableBeast', 'Fighter', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 8309, 814, 1255, 556, 746, 373, 253, 0, 500, 0, 0, 0, 28, 130, 'pet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 0, 0),
	(1303, 21498, 'Alpen Cougar', '', 'youth_tiger', 16.00, 17.20, 69, 'male', 'L2FeedableBeast', 'Fighter', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 20719, 2027, 1265, 460, 746, 373, 253, 150, 500, 0, 0, 0, 60, 175, 'pet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(1304, 21499, 'Alpen Cougar', '', 'youth_tiger', 16.00, 17.20, 69, 'male', 'L2FeedableBeast', 'Fighter', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 21536, 2107, 1265, 460, 746, 373, 253, 150, 500, 0, 0, 0, 60, 175, 'pet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(1305, 21500, 'Alpen Cougar', '', 'youth_tiger', 16.00, 17.20, 69, 'male', 'L2FeedableBeast', 'Fighter', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 20719, 2027, 1265, 460, 746, 373, 253, 150, 500, 0, 0, 0, 60, 175, 'pet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(1306, 21501, 'Alpen Cougar', '', 'youth_tiger', 16.00, 17.20, 69, 'male', 'L2FeedableBeast', 'Fighter', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 19926, 1950, 1265, 460, 746, 373, 253, 150, 500, 0, 0, 0, 60, 175, 'pet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(1307, 21502, 'Alpen Cougar', '', 'youth_tiger', 16.00, 17.20, 69, 'male', 'L2FeedableBeast', 'Fighter', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 20719, 2027, 1265, 460, 746, 373, 253, 150, 500, 0, 0, 0, 60, 175, 'pet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(1308, 21503, 'Alpen Cougar', '', 'youth_tiger', 16.00, 17.20, 69, 'male', 'L2FeedableBeast', 'Fighter', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 21536, 2107, 1265, 460, 746, 373, 253, 150, 500, 0, 0, 0, 60, 175, 'pet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(1309, 21504, 'Alpen Cougar', '', 'youth_tiger', 16.00, 17.20, 69, 'male', 'L2FeedableBeast', 'Fighter', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 20719, 2027, 1265, 460, 746, 373, 253, 150, 500, 0, 0, 0, 60, 175, 'pet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(1310, 21505, 'Alpen Cougar', '', 'youth_tiger', 16.00, 17.20, 69, 'male', 'L2FeedableBeast', 'Fighter', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 19926, 1950, 1265, 460, 746, 373, 253, 150, 500, 0, 0, 0, 60, 175, 'pet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(1311, 21506, 'Alpen Cougar', '', 'saber_toothed_tiger', 13.00, 28.00, 69, 'male', 'L2FeedableBeast', 'Fighter', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 34929, 3418, 1684, 460, 746, 373, 253, 150, 500, 0, 0, 0, 60, 200, 'pet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(1312, 21507, 'Alpen Cougar', '', 'saber_toothed_tiger', 12.00, 28.00, 69, 'male', 'L2FeedableBeast', 'Fighter', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 33319, 3260, 1684, 460, 746, 373, 253, 150, 500, 0, 0, 0, 60, 200, 'pet_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(1313, 21508, 'Splinter Stakato', '', 'blade_stakato', 15.00, 36.00, 66, 'male', 'L2Monster', 'Fighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 8771, 825, 1242, 429, 686, 363, 253, 150, 500, 235, 0, 0, 25, 175, 'stakato_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.46, 'true', 'NONE', 1, 0),
	(1314, 21509, 'Splinter Stakato Worker', '', 'blade_stakato_worker', 13.00, 40.00, 67, 'male', 'L2Monster', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 8134, 774, 1299, 439, 719, 372, 253, 150, 500, 0, 0, 0, 25, 180, 'stakato_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.76, 'true', 'NONE', 1, 0),
	(1315, 21510, 'Splinter Stakato Soldier', '', 'blade_stakato_soldier', 15.00, 38.00, 68, 'male', 'L2Monster', 'Fighter', 40, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 9561, 923, 1358, 450, 753, 381, 253, 150, 500, 148, 0, 0, 25, 180, 'stakato_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.74, 'true', 'NONE', 1, 0),
	(1316, 21511, 'Splinter Stakato Drone', '', 'blade_stakato_drone', 15.00, 39.00, 69, 'male', 'L2Monster', 'Fighter', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 10158, 993, 1419, 461, 788, 390, 253, 150, 500, 132, 0, 0, 25, 185, 'stakato_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.58, 'true', 'NONE', 1, 0),
	(1317, 21512, 'Splinter Stakato Drone', '', 'blade_stakato_drone', 15.00, 39.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 9379, 929, 1481, 471, 824, 399, 253, 0, 500, 132, 0, 0, 25, 185, 'stakato_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.58, 'true', 'NONE', 1, 0),
	(1318, 21513, 'Needle Stakato', '', 'blade_stakato', 15.00, 36.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 9867, 978, 1481, 471, 824, 399, 253, 150, 500, 235, 0, 0, 25, 185, 'stakato_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.46, 'true', 'NONE', 1, 0),
	(1319, 21514, 'Needle Stakato Worker', '', 'blade_stakato_worker', 13.00, 40.00, 71, 'male', 'L2Monster', 'Fighter', 40, 3939, 8.500, 1529, 3.000, 40, 43, 30, 21, 20, 20, 9134, 916, 1545, 482, 861, 408, 253, 150, 500, 0, 0, 0, 25, 190, 'stakato_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.76, 'true', 'NONE', 1, 0),
	(1320, 21515, 'Needle Stakato Soldier', '', 'blade_stakato_soldier', 15.00, 38.00, 72, 'male', 'L2Monster', 'Fighter', 40, 4013, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 10718, 1088, 1612, 494, 899, 418, 253, 150, 500, 148, 0, 0, 25, 190, 'stakato_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.74, 'true', 'NONE', 1, 0),
	(1321, 21516, 'Needle Stakato Drone', '', 'blade_stakato_drone', 15.00, 39.00, 73, 'male', 'L2Monster', 'Fighter', 40, 4087, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 10730, 1104, 1680, 505, 939, 427, 253, 150, 500, 132, 0, 0, 25, 195, 'stakato_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.58, 'true', 'NONE', 1, 0),
	(1322, 21517, 'Needle Stakato Drone', '', 'blade_stakato_drone', 15.00, 39.00, 74, 'male', 'L2Monster', 'Fighter', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 10481, 1092, 1750, 517, 980, 437, 253, 0, 500, 132, 0, 0, 25, 195, 'stakato_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.58, 'true', 'NONE', 1, 0),
	(1323, 21518, 'Frenzy Stakato Soldier', '', 'blade_stakato_soldier', 15.00, 38.00, 68, 'male', 'L2Monster', 'Fighter', 40, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 9228, 891, 1358, 450, 753, 381, 253, 0, 500, 235, 0, 0, 25, 185, 'stakato_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.74, 'true', 'NONE', 0, 0),
	(1324, 21519, 'Frenzy Stakato Drone', '', 'blade_stakato_drone', 15.00, 39.00, 72, 'male', 'L2Monster', 'Fighter', 40, 4013, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 10345, 1051, 1612, 494, 899, 418, 253, 0, 500, 235, 0, 0, 25, 195, 'stakato_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.58, 'true', 'NONE', 0, 0),
	(1325, 21520, 'Eye of Splendor', '', 'kel_mahum', 13.00, 26.00, 60, 'male', 'L2Monster', 'Fighter', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 8960, 778, 939, 369, 510, 312, 253, 0, 500, 326, 0, 0, 50, 160, 'saint_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 1, 0),
	(1326, 21521, 'Claws of Splendor', '', 'kel_mahum_warrior', 13.00, 28.00, 60, 'male', 'L2Monster', 'Fighter', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 8809, 764, 939, 369, 510, 312, 253, 0, 500, 326, 0, 0, 50, 160, 'saint_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'true', 'NONE', 1, 0),
	(1327, 21522, 'Claws of Splendor', '', 'dark_fencer', 7.00, 13.00, 60, 'male', 'L2Monster', 'Fighter', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 10498, 911, 939, 369, 510, 312, 253, 0, 500, 0, 0, 0, 25, 155, 'saint_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.20, 'true', 'NONE', 0, 0),
	(1328, 21523, 'Flash of Splendor', '', 'kel_mahum_witch_doctor', 13.00, 25.00, 61, 'male', 'L2Monster', 'Fighter', 40, 3137, 7.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 9035, 796, 985, 379, 537, 320, 253, 150, 500, 326, 0, 0, 50, 150, 'saint_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.28, 'true', 'NONE', 1, 0),
	(1329, 21524, 'Blade of Splendor', '', 'kel_mahum', 13.00, 26.00, 61, 'male', 'L2Monster', 'RndTeleportFighter', 40, 3137, 7.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 9634, 848, 985, 379, 537, 320, 253, 0, 500, 242, 0, 0, 50, 165, 'saint_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 1, 0),
	(1330, 21525, 'Blade of Splendor', '', 'kel_mahum', 13.00, 26.00, 61, 'male', 'L2Monster', 'RndTeleportFighter', 40, 3137, 7.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 9634, 848, 985, 379, 537, 320, 253, 0, 500, 242, 0, 0, 50, 165, 'saint_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 0, 0),
	(1331, 21526, 'Wisdom of Splendor', '', 'kel_mahum_warrior', 13.00, 28.00, 62, 'male', 'L2Monster', 'Fighter', 40, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 11065, 986, 1033, 389, 565, 329, 253, 150, 500, 193, 0, 0, 50, 160, 'saint_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'true', 'NONE', 1, 0),
	(1332, 21527, 'Anger of Splendor', '', 'kel_mahum_champion', 13.00, 32.00, 63, 'male', 'L2Monster', 'Fighter', 40, 3302, 7.700, 1251, 2.760, 40, 43, 30, 21, 20, 20, 9759, 881, 1083, 399, 593, 337, 253, 0, 500, 193, 0, 0, 50, 150, 'saint_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'true', 'NONE', 1, 0),
	(1333, 21528, 'Anger of Splendor', '', 'dark_fencer', 7.00, 13.00, 63, 'male', 'L2Monster', 'Fighter', 40, 3302, 7.700, 1251, 2.760, 40, 43, 30, 21, 20, 20, 11574, 1045, 1083, 399, 593, 337, 253, 0, 500, 0, 0, 0, 25, 155, 'saint_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.20, 'true', 'NONE', 0, 0),
	(1334, 21529, 'Soul of Splendor', '', 'kel_mahum_witch_doctor', 13.00, 25.00, 63, 'male', 'L2Monster', 'Fighter', 40, 3302, 7.700, 1251, 2.760, 40, 43, 30, 21, 20, 20, 8853, 799, 1083, 399, 593, 337, 253, 150, 500, 193, 0, 0, 50, 160, 'saint_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.28, 'true', 'NONE', 1, 0),
	(1335, 21530, 'Victory of Splendor', '', 'kel_mahum', 13.00, 26.00, 64, 'male', 'L2Monster', 'Fighter', 40, 3384, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 9608, 880, 1134, 409, 624, 345, 253, 0, 500, 196, 0, 0, 50, 160, 'saint_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 1, 0),
	(1336, 21531, 'Punishment of Splendor', '', 'kel_mahum_warrior', 13.00, 28.00, 64, 'male', 'L2Monster', 'RndTeleportFighter', 40, 3384, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 10605, 971, 1134, 409, 624, 345, 253, 0, 500, 242, 0, 0, 50, 165, 'saint_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'true', 'NONE', 1, 0),
	(1337, 21532, 'Shout of Splendor', '', 'kel_mahum_champion', 13.00, 32.00, 65, 'male', 'L2Monster', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 11348, 1055, 1188, 419, 654, 354, 253, 150, 500, 196, 0, 0, 50, 150, 'saint_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'true', 'NONE', 1, 0),
	(1338, 21533, 'Alliance of Splendor', '', 'kel_mahum_witch_doctor', 13.00, 25.00, 65, 'male', 'L2Monster', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 9320, 866, 1188, 419, 654, 354, 253, 0, 500, 196, 0, 0, 50, 160, 'saint_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.28, 'true', 'NONE', 1, 0),
	(1339, 21534, 'Alliance of Splendor', '', 'dark_fencer', 7.00, 13.00, 65, 'male', 'L2Monster', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 12321, 1145, 1188, 419, 654, 354, 253, 0, 500, 0, 0, 0, 25, 155, 'saint_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.20, 'true', 'NONE', 0, 0),
	(1340, 21535, 'Signet of Splendor', '', 'kel_mahum_warrior', 13.00, 28.00, 66, 'male', 'L2Monster', 'Fighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 11197, 1054, 1242, 429, 686, 363, 253, 150, 500, 189, 0, 0, 50, 160, 'saint_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'true', 'NONE', 1, 0),
	(1341, 21536, 'Crown of Splendor', '', 'kel_mahum_champion', 13.00, 32.00, 66, 'male', 'L2Monster', 'Fighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 11385, 1072, 1242, 429, 686, 363, 253, 0, 500, 189, 0, 0, 50, 165, 'saint_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'true', 'NONE', 1, 0),
	(1342, 21537, 'Fang of Splendor', '', 'kel_mahum_witch_doctor', 13.00, 25.00, 67, 'male', 'L2Monster', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 10686, 1018, 1299, 439, 719, 372, 253, 0, 500, 189, 0, 0, 50, 155, 'saint_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.28, 'true', 'NONE', 1, 0),
	(1343, 21538, 'Fang of Splendor', '', 'dark_fencer', 7.00, 13.00, 67, 'male', 'L2Monster', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 13091, 1247, 1299, 439, 719, 372, 253, 0, 500, 0, 0, 0, 25, 155, 'saint_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.20, 'true', 'NONE', 0, 0),
	(1344, 21539, 'Wailing of Splendor', '', 'kel_mahum', 13.00, 26.00, 67, 'male', 'L2Monster', 'RndTeleportFighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 11622, 1106, 1299, 439, 719, 372, 253, 0, 500, 242, 0, 0, 50, 170, 'saint_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 1, 0),
	(1345, 21540, 'Wailing of Splendor', '', 'kel_mahum', 13.00, 26.00, 67, 'male', 'L2Monster', 'RndTeleportFighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 11622, 1106, 1299, 439, 719, 372, 253, 0, 500, 242, 0, 0, 50, 170, 'saint_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 0, 0),
	(1346, 21541, 'Pilgrim of Splendor', '', 'kel_mahum_witch_doctor', 13.00, 25.00, 63, 'male', 'L2Monster', 'Fighter', 40, 3302, 7.700, 1251, 2.760, 40, 43, 30, 21, 20, 20, 11933, 1078, 1083, 399, 593, 337, 253, 150, 500, 315, 0, 0, 50, 165, 'saint_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.28, 'false', 'NONE', 1, 0),
	(1347, 21542, 'Disciple of Pilgrim', '', 'kel_mahum_warrior', 13.00, 28.00, 62, 'male', 'L2Monster', 'Fighter', 40, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 8319, 742, 1033, 389, 565, 329, 253, 0, 500, 193, 0, 0, 50, 165, 'saint_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(1348, 21543, 'Page of Pilgrim', '', 'kel_mahum', 13.00, 26.00, 62, 'male', 'L2Monster', 'Fighter', 40, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 9492, 846, 1033, 389, 565, 329, 253, 0, 500, 326, 0, 0, 50, 165, 'saint_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(1349, 21544, 'Judge of Splendor', '', 'kel_mahum_champion', 13.00, 32.00, 67, 'male', 'L2Monster', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 13598, 1295, 1299, 439, 719, 372, 253, 150, 500, 150, 0, 0, 50, 160, 'saint_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(1350, 21545, 'Judge of Fire', '', 'kel_mahum_witch_doctor', 13.00, 25.00, 66, 'male', 'L2Minion', 'Fighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 9427, 887, 1242, 429, 686, 363, 253, 0, 500, 189, 0, 0, 50, 165, 'saint_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.28, 'false', 'NONE', 1, 0),
	(1351, 21546, 'Judge of Light', '', 'kel_mahum', 13.00, 26.00, 66, 'male', 'L2Minion', 'Fighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 10756, 1013, 1242, 429, 686, 363, 253, 0, 500, 196, 0, 0, 50, 165, 'saint_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(1352, 21547, 'Corrupted Knight', '', 'skeleton_knight', 10.00, 25.00, 63, 'male', 'L2Monster', 'RndTeleportFighter', 40, 3302, 7.700, 1251, 2.760, 40, 43, 30, 21, 20, 20, 9739, 880, 1083, 399, 593, 337, 253, 0, 500, 150, 103, 0, 40, 165, 'necro_clan', 300, 0, 20, 131, 30, 30, 4, 4, 0, -6, 0.17, 'true', 'NONE', 1, 0),
	(1353, 21548, 'Resurrected Knight', '', 'skeleton_knight', 10.00, 25.00, 63, 'male', 'L2Monster', 'Fighter', 40, 3302, 7.700, 1251, 2.760, 40, 43, 30, 21, 20, 20, 8423, 761, 1083, 399, 593, 337, 253, 0, 500, 150, 103, 0, 40, 165, 'necro_clan', 300, 0, 20, 131, 30, 30, 4, 4, 0, -6, 0.17, 'true', 'NONE', 1, 0),
	(1354, 21549, 'Corrupted Guard', '', 'skeleton_royal_guard', 11.00, 28.50, 64, 'male', 'L2Monster', 'Fighter', 40, 3384, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 10051, 920, 1134, 409, 624, 345, 253, 0, 500, 946, 0, 0, 80, 175, 'necro_clan', 300, 0, 0, 0, 30, 10, 8, 4, 0, 0, 0.52, 'true', 'NONE', 1, 0),
	(1355, 21550, 'Corrupted Guard', '', 'skeleton_royal_guard', 11.00, 28.50, 64, 'male', 'L2Monster', 'RndTeleportFighter', 40, 3384, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 10252, 938, 1134, 409, 624, 345, 253, 150, 500, 946, 945, 0, 80, 175, 'necro_clan', 300, 0, 20, 133, 30, 10, 8, 4, 0, -6, 0.52, 'true', 'NONE', 1, 0),
	(1356, 21551, 'Resurrected Guard', '', 'skeleton_royal_guard', 11.00, 28.50, 66, 'male', 'L2Monster', 'Fighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 11449, 1078, 1242, 429, 686, 363, 253, 0, 500, 221, 0, 0, 80, 175, 'necro_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.52, 'true', 'NONE', 1, 0),
	(1357, 21552, 'Resurrected Guard', '', 'skeleton_royal_guard', 11.00, 28.50, 66, 'male', 'L2Monster', 'RndTeleportFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 10903, 1026, 1242, 429, 686, 363, 253, 150, 500, 221, 945, 0, 80, 175, 'necro_clan', 300, 0, 20, 138, 7, 10, 8, 4, 0, -6, 0.52, 'true', 'NONE', 1, 0),
	(1358, 21553, 'Trampled Man', '', 'zombie', 13.00, 21.00, 65, 'male', 'L2Monster', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 7521, 698, 1188, 419, 654, 354, 253, 0, 500, 0, 0, 0, 15, 40, 'necro_clan', 300, 0, 0, 0, 30, 30, 4, 4, 0, 10, 0.43, 'true', 'NONE', 1, 0),
	(1359, 21554, 'Trampled Man', '', 'zombie', 13.00, 21.00, 65, 'male', 'L2Monster', 'RndTeleportFighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 7521, 698, 1188, 419, 654, 354, 253, 0, 500, 0, 0, 0, 15, 40, 'necro_clan', 300, 0, 0, 0, 30, 30, 4, 4, 0, 10, 0.43, 'true', 'NONE', 1, 0),
	(1360, 21555, 'Slaughter Executioner', '', 'dark_horror', 20.00, 35.00, 65, 'male', 'L2Monster', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 9144, 850, 1188, 419, 654, 354, 253, 0, 500, 0, 0, 0, 100, 160, 'necro_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.37, 'true', 'NONE', 1, 0),
	(1361, 21556, 'Slaughter Executioner', '', 'dark_horror', 20.00, 35.00, 65, 'male', 'L2Monster', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 8922, 829, 1188, 419, 654, 354, 253, 0, 500, 0, 0, 0, 100, 160, 'necro_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.37, 'true', 'NONE', 1, 0),
	(1362, 21557, 'Bone Snatcher', '', 'black_magician', 8.00, 30.00, 66, 'male', 'L2Monster', 'Mystic', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 10529, 991, 1242, 429, 686, 363, 253, 0, 500, 178, 0, 0, 19, 180, 'necro_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(1363, 21558, 'Bone Snatcher', '', 'black_magician', 8.00, 30.00, 66, 'male', 'L2Monster', 'Mystic', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 10529, 991, 1242, 429, 686, 363, 253, 0, 500, 178, 0, 0, 19, 180, 'necro_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(1364, 21559, 'Bone Maker', '', 'black_magician', 8.00, 30.00, 66, 'male', 'L2Monster', 'Mystic', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 11515, 1084, 1242, 429, 686, 363, 253, 150, 500, 178, 0, 0, 19, 180, 'necro_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(1365, 21560, 'Bone Shaper', '', 'black_magician', 8.00, 30.00, 66, 'male', 'L2Monster', 'Mystic', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 11515, 1084, 1242, 429, 686, 363, 253, 150, 500, 178, 0, 0, 19, 180, 'necro_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(1366, 21561, 'Sacrificed Man', '', 'zombie', 13.00, 21.00, 67, 'male', 'L2Monster', 'RndTeleportFighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 9669, 920, 1299, 439, 719, 372, 253, 150, 500, 0, 0, 0, 15, 40, 'necro_clan', 300, 0, 0, 0, 30, 30, 4, 4, 0, 10, 0.43, 'true', 'NONE', 1, 0),
	(1367, 21562, 'Guillotine\'s Ghost', '', 'liviona', 15.00, 28.00, 67, 'male', 'L2Monster', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 10013, 954, 1299, 439, 719, 372, 253, 150, 500, 0, 0, 0, 80, 150, 'necro_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.34, 'true', 'NONE', 1, 0),
	(1368, 21563, 'Bone Collector', '', 'black_magician', 8.00, 30.00, 67, 'male', 'L2Monster', 'Mystic', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 11634, 1108, 1299, 439, 719, 372, 253, 0, 500, 178, 0, 0, 19, 180, 'necro_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(1369, 21564, 'Skull Collector', '', 'black_magician', 8.00, 30.00, 67, 'male', 'L2Monster', 'Mystic', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 11068, 1054, 1299, 439, 719, 372, 253, 150, 500, 178, 0, 0, 19, 180, 'necro_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(1370, 21565, 'Bone Animator', '', 'black_magician', 8.00, 30.00, 68, 'male', 'L2Monster', 'Mystic', 40, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 11177, 1080, 1358, 450, 753, 381, 253, 0, 500, 178, 0, 0, 19, 180, 'necro_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(1371, 21566, 'Skull Animator', '', 'black_magician', 8.00, 30.00, 68, 'male', 'L2Monster', 'Mystic', 40, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 12224, 1181, 1358, 450, 753, 381, 253, 150, 500, 178, 0, 0, 19, 180, 'necro_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(1372, 21567, 'Bone Slayer', '', 'black_magician', 8.00, 30.00, 68, 'male', 'L2Monster', 'Mystic', 40, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 14611, 1411, 1358, 450, 753, 381, 253, 150, 500, 178, 0, 0, 19, 180, 'necro_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(1373, 21568, 'Devil Bat', '', 'vampire_bat', 10.00, 33.50, 68, 'male', 'L2Monster', 'Mystic', 40, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 12528, 1211, 1358, 450, 753, 381, 253, 150, 500, 0, 0, 0, 60, 170, 'vampire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.50, 'true', 'NONE', 1, 0),
	(1374, 21569, 'Devil Bat', '', 'vampire_bat', 10.00, 33.50, 68, 'male', 'L2Monster', 'Mystic', 40, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 9730, 940, 1358, 450, 753, 381, 253, 150, 500, 0, 0, 0, 60, 170, 'vampire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.50, 'true', 'NONE', 1, 0),
	(1375, 21570, 'Ghost of Betrayer', '', 'binding', 12.00, 21.00, 69, 'male', 'L2Monster', 'Fighter', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 9069, 887, 1419, 461, 788, 390, 253, 150, 500, 0, 0, 0, 10, 174, 'necro_clan', 300, 0, 0, 0, 30, 30, 4, 4, 0, 0, 0.54, 'true', 'NONE', 1, 0),
	(1376, 21571, 'Ghost of Rebellion Soldier', '', 'skeleton_knight', 10.00, 25.00, 69, 'male', 'L2Monster', 'Fighter', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 12862, 1259, 1419, 461, 788, 390, 253, 150, 500, 150, 103, 0, 40, 165, 'necro_clan', 300, 0, 20, 145, 7, 30, 4, 4, 0, -6, 0.17, 'true', 'NONE', 1, 0),
	(1377, 21572, 'Bone Sweeper', '', 'black_magician', 8.00, 30.00, 69, 'male', 'L2Monster', 'Mystic', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 12339, 1207, 1419, 461, 788, 390, 253, 0, 500, 178, 0, 0, 19, 185, 'necro_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(1378, 21573, 'Atrox', '', 'kailiharim', 57.00, 39.00, 69, 'male', 'L2Monster', 'Fighter', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 13747, 1345, 1419, 461, 788, 390, 253, 150, 500, 0, 0, 0, 105, 185, 'vampire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(1379, 21574, 'Bone Grinder', '', 'black_magician', 8.00, 30.00, 70, 'male', 'L2Monster', 'Mystic', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 15483, 1535, 1481, 471, 824, 399, 253, 150, 500, 178, 0, 0, 19, 185, 'necro_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(1380, 21575, 'Bone Grinder', '', 'black_magician', 8.00, 30.00, 70, 'male', 'L2Monster', 'Mystic', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 8723, 865, 1481, 471, 824, 399, 253, 150, 500, 178, 0, 0, 19, 185, 'necro_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(1381, 21576, 'Ghost of Guillotine', '', 'liviona', 15.00, 28.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 11220, 1112, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 80, 150, 'vampire_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.34, 'true', 'NONE', 1, 0),
	(1382, 21577, 'Ghost of Guillotine', '', 'liviona', 15.00, 28.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 9835, 976, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 80, 150, 'vampire_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.34, 'true', 'NONE', 1, 0),
	(1383, 21578, 'Behemoth Zombie', '', 'giant_zombie', 13.00, 40.50, 71, 'male', 'L2Monster', 'RndTeleportFighter', 40, 3939, 8.500, 1529, 3.000, 40, 43, 30, 21, 20, 20, 12370, 1241, 1545, 482, 861, 408, 253, 0, 500, 0, 0, 0, 20, 90, 'necro_clan', 300, 0, 0, 0, 30, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(1384, 21579, 'Ghost of Rebellion Leader', '', 'skeleton_royal_guard', 11.00, 28.50, 71, 'male', 'L2Monster', 'Fighter', 40, 3939, 8.500, 1529, 3.000, 40, 43, 30, 21, 20, 20, 13012, 1306, 1545, 482, 861, 408, 253, 0, 500, 221, 945, 0, 80, 175, 'necro_clan', 300, 0, 20, 150, 7, 10, 8, 4, 0, -6, 0.52, 'true', 'NONE', 1, 0),
	(1385, 21580, 'Bone Caster', '', 'black_magician', 8.00, 30.00, 71, 'male', 'L2Monster', 'Mystic', 40, 3939, 8.500, 1529, 3.000, 40, 43, 30, 21, 20, 20, 12185, 1223, 1545, 482, 861, 408, 253, 0, 500, 178, 0, 0, 19, 185, 'necro_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(1386, 21581, 'Bone Puppeteer', '', 'black_magician', 8.00, 30.00, 71, 'male', 'L2Monster', 'Mystic', 40, 3939, 8.500, 1529, 3.000, 40, 43, 30, 21, 20, 20, 13326, 1337, 1545, 482, 861, 408, 253, 150, 500, 178, 0, 0, 19, 185, 'necro_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(1387, 21582, 'Vampire Soldier', '', 'vampire_soldier', 8.00, 23.50, 71, 'male', 'L2Monster', 'Fighter', 40, 3939, 8.500, 1529, 3.000, 40, 43, 30, 21, 20, 20, 14270, 1432, 1545, 482, 861, 408, 253, 0, 500, 234, 0, 0, 60, 190, 'vampire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'true', 'NONE', 1, 0),
	(1388, 21583, 'Bone Scavenger', '', 'black_magician', 8.00, 30.00, 72, 'male', 'L2Monster', 'Fighter', 40, 4013, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 13436, 1364, 1612, 494, 899, 418, 253, 0, 500, 178, 0, 0, 19, 185, 'necro_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(1389, 21584, 'Bone Scavenger', '', 'black_magician', 8.00, 30.00, 72, 'male', 'L2Monster', 'Fighter', 40, 4013, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 12531, 1273, 1612, 494, 899, 418, 253, 0, 500, 178, 0, 0, 19, 185, 'necro_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'true', 'NONE', 1, 0),
	(1390, 21585, 'Vampire Magician', '', 'vampire_witch', 6.00, 21.50, 72, 'female', 'L2Monster', 'Mystic', 40, 4013, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 11554, 1174, 1612, 494, 899, 418, 253, 150, 500, 946, 0, 0, 64, 180, 'vampire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'true', 'NONE', 1, 0),
	(1391, 21586, 'Vampire Adept', '', 'vampire_wizard', 5.50, 28.00, 72, 'female', 'L2Monster', 'Mystic', 40, 4013, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 13649, 1387, 1612, 494, 899, 418, 253, 150, 500, 99, 0, 0, 46, 180, 'vampire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(1392, 21587, 'Vampire Warrior', '', 'vampire_soldier_20_bi', 10.00, 29.00, 72, 'male', 'L2Monster', 'Fighter', 40, 4013, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 14223, 1445, 1612, 494, 899, 418, 253, 0, 500, 234, 0, 0, 60, 190, 'vampire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'true', 'NONE', 1, 0),
	(1393, 21588, 'Vampire Wizard', '', 'vampire_witch', 6.00, 21.50, 73, 'female', 'L2Monster', 'RndTeleportFighter', 40, 4087, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 11923, 1226, 1680, 505, 939, 427, 253, 0, 500, 946, 0, 0, 64, 180, 'vampire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'true', 'NONE', 1, 0),
	(1394, 21589, 'Vampire Wizard', '', 'vampire_witch', 6.00, 21.50, 73, 'female', 'L2Monster', 'RndTeleportFighter', 40, 4087, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 12202, 1255, 1680, 505, 939, 427, 253, 0, 500, 946, 0, 0, 64, 180, 'vampire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'true', 'NONE', 1, 0),
	(1395, 21590, 'Vampire Magister', '', 'vampire_wizard', 5.50, 28.00, 73, 'female', 'L2Monster', 'Mystic', 40, 4087, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 11923, 1226, 1680, 505, 939, 427, 253, 0, 500, 99, 0, 0, 46, 180, 'vampire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(1396, 21591, 'Vampire Magister', '', 'vampire_wizard', 5.50, 28.00, 73, 'female', 'L2Monster', 'Mystic', 40, 4087, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 13756, 1415, 1680, 505, 939, 427, 253, 0, 500, 99, 0, 0, 46, 180, 'vampire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(1397, 21592, 'Vampire Magister', '', 'vampire_wizard', 5.50, 28.00, 73, 'female', 'L2Monster', 'Mystic', 40, 4087, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 9301, 956, 1680, 505, 939, 427, 253, 0, 500, 99, 0, 0, 46, 180, 'vampire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(1398, 21593, 'Vampire Warlord', '', 'vampire_warrior', 9.00, 31.50, 73, 'male', 'L2Monster', 'Fighter', 40, 4087, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 16016, 1648, 1680, 505, 939, 427, 253, 0, 500, 6723, 0, 0, 43, 190, 'vampire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 1, 0),
	(1399, 21594, 'Vampire Warlord', '', 'vampire_warrior', 9.00, 31.50, 73, 'male', 'L2Monster', 'Fighter', 40, 4087, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 15086, 1553, 1680, 505, 939, 427, 253, 0, 500, 6723, 0, 0, 43, 190, 'vampire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 1, 0),
	(1400, 21595, 'Vampire Warlord', '', 'vampire_warrior', 9.00, 31.50, 73, 'male', 'L2Monster', 'Fighter', 40, 4087, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 10993, 1132, 1680, 505, 939, 427, 253, 0, 500, 6723, 0, 0, 43, 190, 'vampire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 1, 0),
	(1401, 21596, 'Requiem Lord', '', 'black_magician', 8.00, 30.00, 68, 'male', 'L2Monster', 'Fighter', 40, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 14446, 1396, 1358, 450, 753, 381, 253, 150, 500, 178, 0, 0, 19, 185, 'necro_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(1402, 21597, 'Requiem Behemoth', '', 'giant_zombie', 13.00, 40.50, 67, 'male', 'L2Minion', 'RndTeleportFighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 9919, 944, 1299, 439, 719, 372, 253, 0, 500, 0, 0, 0, 20, 100, 'necro_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(1403, 21598, 'Requiem Behemoth', '', 'giant_zombie', 13.00, 40.50, 67, 'male', 'L2Minion', 'RndTeleportFighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 11015, 1049, 1299, 439, 719, 372, 253, 0, 500, 0, 0, 0, 20, 100, 'necro_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(1404, 21599, 'Requiem Priest', '', 'black_magician', 8.00, 30.00, 71, 'male', 'L2Monster', 'Priest', 40, 3939, 8.500, 1529, 3.000, 40, 43, 30, 21, 20, 20, 15301, 1535, 1545, 482, 861, 408, 253, 150, 500, 178, 0, 0, 19, 185, 'necro_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(1405, 21600, 'Requiem Behemoth', '', 'giant_zombie', 13.00, 40.50, 70, 'male', 'L2Minion', 'RndTeleportFighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 10827, 1074, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 20, 100, 'necro_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(1406, 21601, 'Requiem Behemoth', '', 'giant_zombie', 13.00, 40.50, 70, 'male', 'L2Minion', 'RndTeleportFighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 12879, 1277, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 20, 100, 'necro_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(1407, 21602, 'Zaken\'s Pikeman', '', 'skeleton_pikeman', 10.00, 28.00, 43, 'male', 'L2Monster', 'Fighter', 40, 1729, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 4433, 300, 369, 226, 181, 191, 253, 150, 500, 292, 0, 0, 50, 174, 'undead_clan1', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.21, 'false', 'NONE', 0, 0),
	(1408, 21603, 'Zaken\'s Pikeman', '', 'skeleton_pikeman', 10.00, 28.00, 43, 'male', 'L2Monster', 'Fighter', 40, 1729, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 6277, 425, 369, 226, 181, 191, 253, 150, 500, 292, 0, 0, 50, 174, 'undead_clan1', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.21, 'false', 'NONE', 0, 0),
	(1409, 21604, 'Zaken\'s Elite Pikeman', '', 'skeleton_pikeman_20_bi', 12.00, 33.60, 43, 'male', 'L2Monster', 'Fighter', 40, 1729, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 10149, 686, 369, 226, 181, 191, 253, 150, 500, 292, 0, 0, 50, 174, 'undead_clan1', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.21, 'false', 'NONE', 1, 0),
	(1410, 21605, 'Zaken\'s Archer', '', 'skeleton_archer', 11.00, 27.00, 44, 'male', 'L2Monster', 'Ranger', 1100, 1799, 5.800, 648, 2.190, 40, 43, 30, 21, 20, 20, 4931, 337, 392, 233, 194, 197, 253, 0, 500, 279, 0, 0, 40, 174, 'undead_clan1', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.80, 'false', 'NONE', 0, 0),
	(1411, 21606, 'Zaken\'s Archer', '', 'skeleton_archer', 11.00, 27.00, 44, 'male', 'L2Monster', 'Ranger', 1100, 1799, 5.800, 648, 2.190, 40, 43, 30, 21, 20, 20, 6982, 478, 392, 233, 194, 197, 253, 0, 500, 279, 0, 0, 40, 174, 'undead_clan1', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.80, 'false', 'NONE', 0, 0),
	(1412, 21607, 'Zaken\'s Elite Archer', '', 'skeleton_archer_20_bi', 13.00, 32.50, 44, 'male', 'L2Monster', 'Ranger', 1100, 1799, 5.800, 648, 2.190, 40, 43, 30, 21, 20, 20, 10911, 746, 392, 233, 194, 197, 253, 0, 500, 279, 0, 0, 40, 174, 'undead_clan1', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.80, 'false', 'NONE', 1, 0),
	(1413, 21608, 'Zaken\'s Watchman', '', 'liviona', 15.00, 28.00, 45, 'male', 'L2Monster', 'Fighter', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 4039, 281, 417, 240, 208, 204, 253, 150, 500, 0, 0, 0, 80, 174, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.34, 'false', 'NONE', 0, 0),
	(1414, 21609, 'Zaken\'s Watchman', '', 'liviona', 15.00, 28.00, 45, 'male', 'L2Monster', 'Fighter', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 5720, 397, 417, 240, 208, 204, 253, 150, 500, 0, 0, 0, 80, 174, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.34, 'false', 'NONE', 0, 0),
	(1415, 21610, 'Zaken\'s High Grade Watchman', '', 'liviona_20_bi', 18.00, 33.60, 45, 'male', 'L2Monster', 'Fighter', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 10440, 726, 417, 240, 208, 204, 253, 150, 500, 0, 0, 0, 80, 174, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.34, 'false', 'NONE', 1, 0),
	(1416, 21611, 'Unpleasant Humming', '', 'unpleasant_humming', 12.00, 26.00, 46, 'male', 'L2Monster', 'Fighter', 40, 1943, 6.000, 708, 2.250, 40, 43, 30, 21, 20, 20, 4689, 332, 442, 248, 223, 210, 253, 150, 500, 0, 0, 0, 21, 174, 'undead_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(1417, 21612, 'Unpleasant Humming', '', 'unpleasant_humming', 12.00, 26.00, 46, 'male', 'L2Monster', 'Fighter', 40, 1943, 6.000, 708, 2.250, 40, 43, 30, 21, 20, 20, 6640, 470, 442, 248, 223, 210, 253, 150, 500, 0, 0, 0, 21, 174, 'undead_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(1418, 21613, 'Unpleasant Shout', '', 'unpleasant_humming_20_bi', 13.50, 31.20, 46, 'male', 'L2Monster', 'Fighter', 40, 1943, 6.000, 708, 2.250, 40, 43, 30, 21, 20, 20, 11332, 803, 442, 248, 223, 210, 253, 150, 500, 0, 0, 0, 21, 174, 'undead_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 1, 0),
	(1419, 21614, 'Death Flyer', '', 'dark_horror', 20.00, 35.00, 47, 'male', 'L2Monster', 'Fighter', 40, 2017, 6.100, 738, 2.280, 40, 43, 30, 21, 20, 20, 4843, 347, 469, 255, 238, 216, 253, 0, 500, 0, 0, 0, 100, 174, 'undead_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1420, 21615, 'Death Flyer', '', 'dark_horror', 20.00, 35.00, 47, 'male', 'L2Monster', 'Fighter', 40, 2017, 6.100, 738, 2.280, 40, 43, 30, 21, 20, 20, 6858, 492, 469, 255, 238, 216, 253, 0, 500, 0, 0, 0, 100, 174, 'undead_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1421, 21616, 'Gigantic Flyer', '', 'dark_horror_bi', 20.00, 42.00, 47, 'male', 'L2Monster', 'Fighter', 40, 2017, 6.100, 738, 2.280, 40, 43, 30, 21, 20, 20, 12517, 898, 469, 255, 238, 216, 253, 0, 500, 0, 0, 0, 100, 174, 'undead_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(1422, 21617, 'Fiend Archer', '', 'fiend_archer', 17.00, 55.00, 48, 'male', 'L2Monster', 'Ranger', 1100, 2092, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 4925, 360, 498, 264, 254, 224, 253, 150, 500, 0, 0, 0, 70, 174, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.76, 'false', 'NONE', 0, 0),
	(1423, 21618, 'Fiend Archer', '', 'fiend_archer', 17.00, 55.00, 48, 'male', 'L2Monster', 'Ranger', 1100, 2092, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 6974, 510, 498, 264, 254, 224, 253, 150, 500, 0, 0, 0, 70, 174, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.76, 'false', 'NONE', 0, 0),
	(1424, 21619, 'Pit Archer', '', 'fiend_archer_20_bi', 20.00, 66.00, 48, 'male', 'L2Monster', 'Ranger', 1100, 2092, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 12729, 930, 498, 264, 254, 224, 253, 150, 500, 0, 0, 0, 70, 174, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.76, 'false', 'NONE', 1, 0),
	(1425, 21620, 'Musveren', '', 'field_stalker', 15.00, 30.00, 49, 'male', 'L2Monster', 'Fighter', 40, 2168, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 4742, 350, 526, 271, 271, 230, 253, 0, 500, 0, 0, 0, 70, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'false', 'NONE', 0, 0),
	(1426, 21621, 'Musveren', '', 'field_stalker', 15.00, 30.00, 49, 'male', 'L2Monster', 'Fighter', 40, 2168, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 6715, 497, 526, 271, 271, 230, 253, 0, 500, 0, 0, 0, 70, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'false', 'NONE', 0, 0),
	(1427, 21622, 'Greater Musveren', '', 'field_stalker_20_bi', 18.00, 36.00, 49, 'male', 'L2Monster', 'Fighter', 40, 2168, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 12257, 906, 526, 271, 271, 230, 253, 0, 500, 0, 0, 0, 70, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'false', 'NONE', 1, 0),
	(1428, 21623, 'Zaken\'s Guard', '', 'skeleton_royal_guard', 11.00, 28.50, 50, 'male', 'L2Monster', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 5993, 451, 558, 279, 289, 237, 253, 150, 500, 225, 945, 0, 80, 174, 'undead_clan', 300, 0, 20, 100, 7, 10, 8, 4, 0, -6, 0.52, 'false', 'NONE', 0, 0),
	(1429, 21624, 'Zaken\'s Guard', '', 'skeleton_royal_guard', 11.00, 28.50, 50, 'male', 'L2Monster', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 8487, 640, 558, 279, 289, 237, 253, 150, 500, 225, 945, 0, 80, 174, 'undead_clan', 300, 0, 20, 100, 7, 10, 8, 4, 0, -6, 0.52, 'false', 'NONE', 0, 0),
	(1430, 21625, 'Zaken\'s Elite Guard', '', 'skeleton_royal_guard_20_bi', 13.00, 34.50, 50, 'male', 'L2Monster', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 13722, 1033, 558, 279, 289, 237, 253, 150, 500, 225, 945, 0, 80, 174, 'undead_clan', 300, 0, 20, 100, 7, 10, 8, 4, 0, -6, 0.52, 'false', 'NONE', 1, 0),
	(1431, 21626, 'Kaim Vanul', '', 'kaim_vanul', 24.00, 40.00, 51, 'male', 'L2Monster', 'Fighter', 40, 2323, 6.500, 861, 2.400, 40, 43, 30, 21, 20, 20, 5345, 408, 589, 288, 308, 244, 253, 0, 500, 0, 0, 0, 37, 174, 'demonic_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(1432, 21627, 'Kaim Vanul', '', 'kaim_vanul', 24.00, 40.00, 51, 'male', 'L2Monster', 'Fighter', 40, 2323, 6.500, 861, 2.400, 40, 43, 30, 21, 20, 20, 7568, 577, 589, 288, 308, 244, 253, 0, 500, 0, 0, 0, 37, 174, 'demonic_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(1433, 21628, 'Kaim Vanul Lad', '', 'kaim_vanul_20_bi', 28.00, 48.00, 51, 'male', 'L2Monster', 'Fighter', 40, 2323, 6.500, 861, 2.400, 40, 43, 30, 21, 20, 20, 13814, 1054, 589, 288, 308, 244, 253, 0, 500, 0, 0, 0, 37, 174, 'demonic_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(1434, 21629, 'Pirate Zombie Captain', '', 'pirates_zombie_captain', 17.00, 28.00, 52, 'male', 'L2Monster', 'Fighter', 40, 2402, 6.600, 892, 2.430, 40, 43, 30, 21, 20, 20, 8073, 624, 622, 296, 327, 251, 253, 150, 500, 232, 0, 0, 14, 174, 'zaken_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.76, 'false', 'NONE', 0, 0),
	(1435, 21630, 'Pirate Zombie Captain', '', 'pirates_zombie_captain', 17.00, 28.00, 52, 'male', 'L2Monster', 'Fighter', 40, 2402, 6.600, 892, 2.430, 40, 43, 30, 21, 20, 20, 11432, 884, 622, 296, 327, 251, 253, 150, 500, 232, 0, 0, 14, 174, 'zaken_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.76, 'false', 'NONE', 0, 0),
	(1436, 21631, 'Zombie Captain\'s Spiritual Body', '', 'pirates_zombie_captain_20_bi', 20.00, 33.60, 52, 'male', 'L2Monster', 'Fighter', 40, 2402, 6.600, 892, 2.430, 40, 43, 30, 21, 20, 20, 18953, 1466, 622, 296, 327, 251, 253, 150, 500, 232, 0, 0, 14, 174, 'zaken_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.76, 'false', 'NONE', 1, 0),
	(1437, 21632, 'Doll Blader', '', 'doll_blader', 6.00, 12.00, 53, 'male', 'L2Monster', 'Fighter', 40, 2482, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 6407, 504, 656, 305, 347, 258, 253, 0, 500, 5129, 5129, 0, 22, 174, 'zaken_clan', 300, 0, 0, 93, 7, 10, 8, 4, 0, 10, 0.50, 'false', 'NONE', 0, 0),
	(1438, 21633, 'Doll Blader', '', 'doll_blader', 6.00, 12.00, 53, 'male', 'L2Monster', 'Fighter', 40, 2482, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 9073, 713, 656, 305, 347, 258, 253, 0, 500, 5129, 5129, 0, 22, 174, 'zaken_clan', 300, 0, 0, 93, 7, 10, 8, 4, 0, 10, 0.50, 'false', 'NONE', 0, 0),
	(1439, 21634, 'Crimson Doll Blader', '', 'doll_blader_20_bi', 7.00, 15.00, 53, 'male', 'L2Monster', 'Fighter', 40, 2482, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 16560, 1302, 656, 305, 347, 258, 253, 0, 500, 5129, 5129, 0, 22, 174, 'zaken_clan', 300, 0, 0, 93, 7, 10, 8, 4, 0, 10, 0.50, 'false', 'NONE', 1, 0),
	(1440, 21635, 'Vale Master', '', 'vale_master', 12.00, 40.00, 54, 'male', 'L2Monster', 'Fighter', 40, 2562, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 6112, 487, 692, 314, 368, 266, 253, 150, 500, 0, 0, 0, 70, 174, 'zaken_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.74, 'false', 'NONE', 0, 0),
	(1441, 21636, 'Vale Master', '', 'vale_master', 12.00, 40.00, 54, 'male', 'L2Monster', 'Fighter', 40, 2562, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 8655, 690, 692, 314, 368, 266, 253, 150, 500, 0, 0, 0, 70, 174, 'zaken_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.74, 'false', 'NONE', 0, 0),
	(1442, 21637, 'Crimson Vale Master', '', 'vale_master_20_bi', 14.50, 48.00, 54, 'male', 'L2Monster', 'Fighter', 40, 2562, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 15797, 1260, 692, 314, 368, 266, 253, 150, 500, 0, 0, 0, 70, 174, 'zaken_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.74, 'false', 'NONE', 1, 0),
	(1443, 21638, 'Dread Wolf', '', 'dire_wolf', 13.00, 11.00, 35, 'male', 'L2Monster', 'Fighter', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 1382, 82, 216, 172, 96, 146, 253, 150, 500, 0, 0, 0, 24, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'true', 'NONE', 1, 0),
	(1444, 21639, 'Tasaba Lizardman', '', 'virud_lizardman_scout', 10.00, 22.00, 36, 'male', 'L2Monster', 'Ranger', 1100, 1279, 5.000, 464, 1.950, 40, 43, 30, 21, 20, 20, 1635, 98, 232, 179, 105, 151, 253, 0, 500, 2507, 0, 0, 43, 140, 'lizardman_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.72, 'true', 'NONE', 1, 0),
	(1445, 21640, 'Tasaba Lizardman Shaman', '', 'virud_lizardman_shaman', 10.00, 29.00, 37, 'male', 'L2Monster', 'Priest', 40, 1339, 5.100, 480, 1.980, 40, 43, 30, 21, 20, 20, 1202, 74, 249, 185, 113, 156, 253, 0, 500, 7, 0, 0, 43, 140, 'lizardman_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.48, 'true', 'NONE', 1, 0),
	(1446, 21641, 'Ogre', '', 'ogre', 21.00, 44.00, 38, 'male', 'L2Monster', 'Fighter', 40, 1400, 5.200, 497, 2.010, 40, 43, 30, 21, 20, 20, 2134, 133, 267, 191, 124, 162, 253, 150, 500, 98, 0, 0, 22, 174, 'lizardman_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.69, 'true', 'NONE', 1, 0),
	(1447, 21642, 'Tasaba Lizardman Sniper', '', 'virud_lizardman_scout', 10.00, 22.00, 39, 'male', 'L2Monster', 'Ranger', 1100, 1463, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 1958, 125, 285, 197, 133, 167, 253, 150, 500, 2507, 0, 0, 43, 140, 'lizardman_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.72, 'true', 'NONE', 1, 0),
	(1448, 21643, 'Tasaba Lizardman Sniper', '', 'virud_lizardman_scout', 10.00, 22.00, 39, 'male', 'L2Monster', 'Ranger', 1100, 1463, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 2488, 158, 285, 197, 133, 167, 253, 150, 500, 2507, 0, 0, 43, 140, 'lizardman_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.72, 'true', 'NONE', 1, 0),
	(1449, 21644, 'Lienrik', '', 'lienrik', 12.00, 50.00, 39, 'male', 'L2Monster', 'Fighter', 40, 1463, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 1195, 76, 285, 197, 133, 167, 253, 0, 500, 0, 0, 0, 100, 150, 'lienrik_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(1450, 21645, 'Lienrik Lad', '', 'lienrik', 12.00, 50.00, 40, 'male', 'L2Monster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 2302, 149, 305, 205, 145, 173, 253, 150, 500, 0, 0, 0, 100, 174, 'lienrik_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(1451, 21646, 'Grave Scarab', '', 'scarab', 14.00, 22.00, 73, 'male', 'L2Monster', 'Fighter', 40, 4087, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 12247, 1260, 1680, 505, 939, 427, 253, 0, 500, 0, 0, 0, 45, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 1, 0),
	(1452, 21647, 'Scavenger Scarab', '', 'scarab', 14.00, 22.00, 73, 'male', 'L2Monster', 'Fighter', 40, 4087, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 10332, 1063, 1680, 505, 939, 427, 253, 150, 500, 0, 0, 0, 45, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 1, 0),
	(1453, 21648, 'Grave Ant', '', 'ant_soldier', 35.00, 17.00, 74, 'male', 'L2Monster', 'Fighter', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 11260, 1174, 1750, 517, 980, 437, 253, 0, 500, 0, 0, 0, 80, 150, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'true', 'NONE', 1, 0),
	(1454, 21649, 'Scavenger Ant', '', 'ant_soldier', 35.00, 17.00, 74, 'male', 'L2Monster', 'Fighter', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 13319, 1388, 1750, 517, 980, 437, 253, 150, 500, 0, 0, 0, 80, 150, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'true', 'NONE', 1, 0),
	(1455, 21650, 'Shrine Knight', '', 'skeleton_knight', 10.00, 25.00, 75, 'male', 'L2Monster', 'Fighter', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 12179, 1285, 1823, 528, 1021, 447, 253, 0, 500, 150, 103, 0, 40, 165, '', 0, 0, 20, 159, 7, 30, 4, 4, 0, -6, 0.17, 'true', 'NONE', 1, 0),
	(1456, 21651, 'Shrine Guard', '', 'skeleton_pikeman', 10.00, 28.00, 75, 'male', 'L2Monster', 'Fighter', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 11635, 1228, 1823, 528, 1021, 447, 253, 0, 500, 98, 0, 0, 50, 170, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.21, 'true', 'NONE', 1, 0),
	(1457, 21652, 'Scarlet Stakato Noble', '', 'blade_stakato_drone', 15.00, 39.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4536, 9.200, 1840, 3.210, 40, 43, 30, 21, 20, 20, 46911, 5199, 2259, 620, 1268, 525, 253, 150, 500, 235, 0, 0, 25, 165, 'fire_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.58, 'false', 'NONE', 1, 0),
	(1458, 21653, 'Assassin Beetle', '', 'tera_beetle', 19.00, 54.50, 78, 'male', 'L2Monster', 'Fighter', 40, 4642, 9.200, 1896, 3.210, 40, 43, 30, 21, 20, 20, 34021, 3819, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 45, 165, 'fire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 1, 0),
	(1459, 21654, 'Necromancer of Destruction', '', 'vale_master_20_bi', 14.50, 48.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 40213, 4566, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 70, 140, 'fire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.74, 'false', 'NONE', 1, 0),
	(1460, 21655, 'Arimanes of Destruction', '', 'ahrimanes', 14.00, 57.75, 78, 'male', 'L2Monster', 'Mystic', 40, 4757, 9.200, 1973, 3.210, 40, 43, 30, 21, 20, 20, 35744, 4106, 2259, 620, 1268, 525, 253, 150, 500, 6722, 0, 0, 35, 185, 'fire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(1461, 21656, 'Ashuras of Destruction', '', 'ashuras_30_bi', 17.00, 49.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4862, 9.200, 2052, 3.210, 40, 43, 30, 21, 20, 20, 62781, 7385, 2259, 625, 1268, 525, 253, 150, 500, 0, 0, 0, 41, 190, 'fire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(1462, 21657, 'Magma Drake', '', 'inferno_drake_20_bi', 29.00, 42.00, 78, 'male', 'L2Monster', 'Mystic', 40, 4910, 9.200, 2091, 3.210, 40, 43, 30, 21, 20, 20, 54374, 6472, 2259, 635, 1268, 525, 253, 150, 500, 0, 0, 0, 57, 185, 'fire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(1463, 21658, 'Punishment of Splendor', '', 'kel_mahum_warrior', 13.00, 28.00, 64, 'male', 'L2Monster', 'RndTeleportFighter', 40, 3384, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 10605, 971, 1134, 409, 624, 345, 253, 0, 500, 242, 0, 0, 50, 165, 'saint_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'true', 'NONE', 1, 0),
	(1464, 21659, 'Otherworldly Invader Soldier', '', 'neer_crawler', 14.00, 22.00, 30, 'male', 'L2Monster', 'Fighter', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 4372, 239, 149, 143, 62, 121, 253, 0, 500, 0, 0, 0, 50, 165, 'ssq_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 10, 0.37, 'false', 'NONE', 0, 0),
	(1465, 21660, 'Otherworldly Invader Soldier', '', 'neer_crawler', 14.00, 22.00, 35, 'male', 'L2Monster', 'Fighter', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 6221, 368, 216, 172, 96, 146, 253, 1000, 500, 0, 0, 0, 50, 165, 'ssq_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 10, 0.37, 'false', 'NONE', 0, 0),
	(1466, 21661, 'Otherworldly Invader Archer', '', 'skeleton_archer', 11.00, 27.00, 33, 'male', 'L2Monster', 'Ranger', 1100, 1109, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 4478, 257, 187, 160, 81, 135, 253, 1000, 500, 275, 0, 0, 40, 165, 'ssq_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.80, 'false', 'NONE', 0, 0),
	(1467, 21662, 'Otherworldly Invader Elite Soldier', '', 'dark_horror', 20.00, 35.00, 35, 'male', 'L2Monster', 'Fighter', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 5178, 306, 216, 172, 96, 146, 253, 1000, 500, 0, 0, 0, 100, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.37, 'false', 'NONE', 0, 0),
	(1468, 21663, 'Otherworldly Invader Shaman', '', 'dark_horror', 20.00, 35.00, 33, 'male', 'L2Monster', 'Fighter', 40, 1109, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 5654, 324, 187, 160, 81, 135, 253, 1000, 500, 0, 0, 0, 100, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.37, 'false', 'NONE', 0, 0),
	(1469, 21664, 'Otherworldly Invader Priest', '', 'dark_horror', 20.00, 35.00, 30, 'male', 'L2Monster', 'Priest', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 3023, 165, 149, 143, 62, 121, 253, 0, 500, 0, 0, 0, 100, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.37, 'false', 'NONE', 0, 0),
	(1470, 21665, 'Otherworldly Invader Magus', '', 'dark_horror', 20.00, 35.00, 35, 'male', 'L2Monster', 'Fighter', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 4089, 242, 216, 172, 96, 146, 253, 1000, 500, 0, 0, 0, 100, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.37, 'false', 'NONE', 0, 0),
	(1471, 21666, 'Otherworldly Invader Martyrs', '', 'dark_horror', 20.00, 35.00, 30, 'male', 'L2Monster', 'Fighter', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 3054, 167, 149, 143, 62, 121, 253, 0, 500, 0, 0, 0, 100, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.37, 'false', 'NONE', 0, 0),
	(1472, 21667, 'Otherworldly Invader Warrior', '', 'skeleton', 11.00, 25.00, 33, 'male', 'L2Monster', 'Fighter', 40, 1109, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 3635, 209, 187, 160, 81, 135, 253, 1000, 500, 220, 0, 0, 60, 165, 'ssq_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(1473, 21668, 'Otherworldly Invader Soldier', '', 'neer_crawler', 14.00, 22.00, 30, 'male', 'L2Monster', 'Fighter', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 3215, 176, 149, 143, 62, 121, 253, 1000, 500, 0, 0, 0, 50, 165, 'ssq_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 10, 0.37, 'false', 'NONE', 0, 0),
	(1474, 21669, 'Otherworldly Invader Discipline', '', 'skeleton', 11.00, 25.00, 33, 'male', 'L2Monster', 'Fighter', 40, 1109, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 3828, 220, 187, 160, 81, 135, 253, 0, 500, 220, 0, 0, 60, 165, 'ssq_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(1475, 21670, 'Otherworldly Invader Berserker', '', 'skeleton', 11.00, 25.00, 35, 'male', 'L2Monster', 'Fighter', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 5356, 317, 216, 172, 96, 146, 253, 1000, 500, 220, 0, 0, 60, 165, 'ssq_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(1476, 21671, 'Otherworldly Invader Food', '', 'mimic', 8.50, 8.50, 30, 'male', 'L2Chest', 'Fighter', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 1309, 72, 142, 141, 62, 115, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(1477, 21672, 'Otherworldly Invader Elite Soldier', '', 'skeleton_pikeman', 10.00, 28.00, 35, 'male', 'L2Monster', 'Fighter', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 9595, 568, 216, 172, 96, 146, 253, 1000, 500, 96, 0, 0, 50, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.21, 'false', 'NONE', 0, 0),
	(1478, 21673, 'Otherworldly Invader Elite Soldier', '', 'skeleton_pikeman', 10.00, 28.00, 35, 'male', 'L2Monster', 'Fighter', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 9777, 579, 216, 172, 96, 146, 253, 1000, 500, 96, 0, 0, 50, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.21, 'false', 'NONE', 0, 0),
	(1479, 21674, 'Otherworldly Invader Elite Soldier', '', 'skeleton_pikeman', 10.00, 28.00, 35, 'male', 'L2Monster', 'Fighter', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 381, 23, 216, 172, 96, 146, 253, 0, 500, 96, 0, 0, 50, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.21, 'false', 'NONE', 0, 0),
	(1480, 21675, 'Otherworldly Invader Elite Soldier', '', 'skeleton_pikeman', 10.00, 28.00, 30, 'male', 'L2Monster', 'Fighter', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 778, 42, 149, 143, 62, 121, 253, 0, 500, 96, 0, 0, 50, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.21, 'false', 'NONE', 0, 0),
	(1481, 21676, 'Otherworldly Invader Warrior', '', 'skeleton', 11.00, 25.00, 33, 'male', 'L2Monster', 'Fighter', 40, 1109, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 8716, 500, 187, 160, 81, 135, 253, 1000, 500, 220, 0, 0, 60, 165, 'ssq_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(1482, 21677, 'Otherworldly Invader Elite Soldier', '', 'skeleton_pikeman', 10.00, 28.00, 30, 'male', 'L2Monster', 'Fighter', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 6988, 382, 149, 143, 62, 121, 253, 1000, 500, 96, 0, 0, 50, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.21, 'false', 'NONE', 0, 0),
	(1483, 21678, 'Otherworldly Invader Elite Soldier', '', 'skeleton_pikeman', 10.00, 28.00, 33, 'male', 'L2Monster', 'Fighter', 40, 1109, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 8456, 485, 187, 160, 81, 135, 253, 1000, 500, 96, 0, 0, 50, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.21, 'false', 'NONE', 0, 0),
	(1484, 21679, 'Otherworldly Invader Elite Soldier', '', 'skeleton_pikeman', 10.00, 28.00, 30, 'male', 'L2Monster', 'Fighter', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 6889, 376, 149, 143, 62, 121, 253, 1000, 500, 96, 0, 0, 50, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.21, 'false', 'NONE', 0, 0),
	(1485, 21680, 'Otherworldly Invader Elite Soldier', '', 'skeleton_pikeman', 10.00, 28.00, 35, 'male', 'L2Monster', 'Fighter', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 9377, 555, 216, 172, 96, 146, 253, 1000, 500, 96, 0, 0, 50, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.21, 'false', 'NONE', 0, 0),
	(1486, 21681, 'Otherworldly Invader Magus', '', 'dark_horror', 20.00, 35.00, 33, 'male', 'L2Monster', 'Fighter', 40, 1109, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 8062, 463, 187, 160, 81, 135, 253, 0, 500, 0, 0, 0, 100, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1487, 21682, 'Dimension Invader Soldier', '', 'neer_crawler', 14.00, 22.00, 40, 'male', 'L2Monster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 7772, 502, 305, 205, 145, 173, 253, 0, 500, 0, 0, 0, 50, 165, 'ssq_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 10, 0.37, 'false', 'NONE', 0, 0),
	(1488, 21683, 'Dimension Invader Soldier', '', 'neer_crawler', 14.00, 22.00, 45, 'male', 'L2Monster', 'Fighter', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 10283, 715, 417, 240, 208, 204, 253, 1000, 500, 0, 0, 0, 50, 165, 'ssq_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 10, 0.37, 'false', 'NONE', 0, 0),
	(1489, 21684, 'Dimension Invader Archer', '', 'skeleton_archer', 11.00, 27.00, 43, 'male', 'L2Monster', 'Ranger', 1100, 1729, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 7603, 514, 369, 226, 181, 191, 253, 1000, 500, 279, 0, 0, 40, 165, 'ssq_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.80, 'false', 'NONE', 0, 0),
	(1490, 21685, 'Dimension Invader Elite Soldier', '', 'crimson_doll', 15.00, 38.00, 45, 'male', 'L2Monster', 'Fighter', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 8560, 595, 417, 240, 208, 204, 253, 1000, 500, 0, 0, 0, 60, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.67, 'false', 'NONE', 0, 0),
	(1491, 21686, 'Dimension Invader Shaman', '', 'crimson_doll', 15.00, 38.00, 43, 'male', 'L2Monster', 'Fighter', 40, 1729, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 9599, 649, 369, 226, 181, 191, 253, 1000, 500, 0, 0, 0, 60, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.67, 'false', 'NONE', 0, 0),
	(1492, 21687, 'Dimension Invader Priest', '', 'crimson_doll', 15.00, 38.00, 40, 'male', 'L2Monster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 5374, 347, 305, 205, 145, 173, 253, 0, 500, 0, 0, 0, 60, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.67, 'false', 'NONE', 0, 0),
	(1493, 21688, 'Dimension Invader Magus', '', 'crimson_doll', 15.00, 38.00, 45, 'male', 'L2Monster', 'Fighter', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 6759, 470, 417, 240, 208, 204, 253, 1000, 500, 0, 0, 0, 60, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.67, 'false', 'NONE', 0, 0),
	(1494, 21689, 'Dimension Invader Martyrs', '', 'crimson_doll', 15.00, 38.00, 40, 'male', 'L2Monster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 5430, 351, 305, 205, 145, 173, 253, 0, 500, 0, 0, 0, 60, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.67, 'false', 'NONE', 0, 0),
	(1495, 21690, 'Dimension Invader Warrior', '', 'skeleton_knight', 10.00, 25.00, 43, 'male', 'L2Monster', 'Fighter', 40, 1729, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 6172, 417, 369, 226, 181, 191, 253, 1000, 500, 70, 0, 0, 40, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.17, 'false', 'NONE', 0, 0),
	(1496, 21691, 'Dimension Invader Soldier', '', 'neer_crawler', 14.00, 22.00, 40, 'male', 'L2Monster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 5716, 369, 305, 205, 145, 173, 253, 1000, 500, 0, 0, 0, 50, 165, 'ssq_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 10, 0.37, 'false', 'NONE', 0, 0),
	(1497, 21692, 'Dimension Invader Discipline', '', 'skeleton_knight', 10.00, 25.00, 43, 'male', 'L2Monster', 'Fighter', 40, 1729, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 6499, 439, 369, 226, 181, 191, 253, 0, 500, 70, 0, 0, 40, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.17, 'false', 'NONE', 0, 0),
	(1498, 21693, 'Dimension Invader Berserker', '', 'skeleton_knight', 10.00, 25.00, 45, 'male', 'L2Monster', 'Fighter', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 8854, 616, 417, 240, 208, 204, 253, 1000, 500, 70, 0, 0, 40, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.17, 'false', 'NONE', 0, 0),
	(1499, 21694, 'Dimension Invader Food', '', 'mimic', 8.50, 8.50, 40, 'male', 'L2Chest', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 2327, 150, 290, 202, 138, 165, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(1500, 21695, 'Dimension Invader Elite Soldier', '', 'headless_knight', 21.00, 31.00, 45, 'male', 'L2Monster', 'Fighter', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 15861, 1103, 417, 240, 208, 204, 253, 1000, 500, 135, 0, 0, 70, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(1501, 21696, 'Dimension Invader Elite Soldier', '', 'headless_knight', 21.00, 31.00, 45, 'male', 'L2Monster', 'Fighter', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 16162, 1124, 417, 240, 208, 204, 253, 1000, 500, 135, 0, 0, 70, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(1502, 21697, 'Dimension Invader Elite Soldier', '', 'headless_knight', 21.00, 31.00, 45, 'male', 'L2Monster', 'Fighter', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 630, 44, 417, 240, 208, 204, 253, 0, 500, 135, 0, 0, 70, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(1503, 21698, 'Dimension Invader Elite Soldier', '', 'headless_knight', 21.00, 31.00, 40, 'male', 'L2Monster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 1382, 89, 305, 205, 145, 173, 253, 0, 500, 135, 0, 0, 70, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(1504, 21699, 'Dimension Invader Warrior', '', 'skeleton_knight', 10.00, 25.00, 43, 'male', 'L2Monster', 'Fighter', 40, 1729, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 14798, 1000, 369, 226, 181, 191, 253, 1000, 500, 70, 0, 0, 40, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.17, 'false', 'NONE', 0, 0),
	(1505, 21700, 'Dimension Invader Elite Soldier', '', 'headless_knight', 21.00, 31.00, 40, 'male', 'L2Monster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 12423, 802, 305, 205, 145, 173, 253, 1000, 500, 135, 0, 0, 70, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(1506, 21701, 'Dimension Invader Elite Soldier', '', 'headless_knight', 21.00, 31.00, 43, 'male', 'L2Monster', 'Fighter', 40, 1729, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 14357, 971, 369, 226, 181, 191, 253, 1000, 500, 135, 0, 0, 70, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(1507, 21702, 'Dimension Invader Elite Soldier', '', 'headless_knight', 21.00, 31.00, 40, 'male', 'L2Monster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 12248, 791, 305, 205, 145, 173, 253, 1000, 500, 135, 0, 0, 70, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(1508, 21703, 'Dimension Invader Elite Soldier', '', 'headless_knight', 21.00, 31.00, 45, 'male', 'L2Monster', 'Fighter', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 15501, 1078, 417, 240, 208, 204, 253, 1000, 500, 135, 0, 0, 70, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(1509, 21704, 'Dimension Invader Magus', '', 'crimson_doll', 15.00, 38.00, 43, 'male', 'L2Monster', 'Fighter', 40, 1729, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 13688, 925, 369, 226, 181, 191, 253, 0, 500, 0, 0, 0, 60, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.67, 'false', 'NONE', 0, 0),
	(1510, 21705, 'Purgatory Invader Soldier', '', 'doll_blader', 6.00, 12.00, 50, 'male', 'L2Monster', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 12144, 915, 558, 279, 289, 237, 253, 0, 500, 5129, 5129, 0, 22, 165, 'ssq_clan', 300, 0, 0, 87, 7, 10, 8, 4, 0, 10, 0.50, 'false', 'NONE', 0, 0),
	(1511, 21706, 'Purgatory Invader Soldier', '', 'doll_blader', 6.00, 12.00, 55, 'male', 'L2Monster', 'Fighter', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 15362, 1240, 730, 322, 389, 273, 253, 1000, 500, 5129, 5129, 0, 22, 165, 'ssq_clan', 300, 0, 0, 98, 7, 10, 8, 4, 0, 10, 0.50, 'false', 'NONE', 0, 0),
	(1512, 21707, 'Purgatory Invader Archer', '', 'skeleton_archer', 11.00, 27.00, 53, 'male', 'L2Monster', 'Ranger', 1100, 2482, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 11550, 908, 656, 305, 347, 258, 253, 1000, 500, 282, 0, 0, 40, 165, 'ssq_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.80, 'false', 'NONE', 0, 0),
	(1513, 21708, 'Purgatory Invader Elite Soldier', '', 'banshee', 9.00, 23.00, 55, 'female', 'L2Monster', 'Mystic', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 12787, 1032, 730, 322, 389, 273, 253, 1000, 500, 3939, 0, 0, 80, 165, 'ssq_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.56, 'false', 'NONE', 0, 0),
	(1514, 21709, 'Purgatory Invader Shaman', '', 'banshee', 9.00, 23.00, 53, 'female', 'L2Monster', 'Mystic', 40, 2482, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 14583, 1146, 656, 305, 347, 258, 253, 1000, 500, 3939, 0, 0, 80, 165, 'ssq_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.56, 'false', 'NONE', 0, 0),
	(1515, 21710, 'Purgatory Invader Priest', '', 'banshee', 9.00, 23.00, 50, 'female', 'L2Monster', 'Priest', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 8396, 633, 558, 279, 289, 237, 253, 0, 500, 3939, 0, 0, 80, 165, 'ssq_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.56, 'false', 'NONE', 0, 0),
	(1516, 21711, 'Purgatory Invader Magus', '', 'banshee', 9.00, 23.00, 55, 'female', 'L2Monster', 'Mystic', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 10097, 815, 730, 322, 389, 273, 253, 1000, 500, 3939, 0, 0, 80, 165, 'ssq_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.56, 'false', 'NONE', 0, 0),
	(1517, 21712, 'Purgatory Invader Martyrs', '', 'banshee', 9.00, 23.00, 50, 'female', 'L2Monster', 'Mystic', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 8484, 639, 558, 279, 289, 237, 253, 0, 500, 3939, 0, 0, 80, 165, 'ssq_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.56, 'false', 'NONE', 0, 0),
	(1518, 21713, 'Purgatory Invader Warrior', '', 'skeleton_royal_guard', 11.00, 28.50, 53, 'male', 'L2Monster', 'Fighter', 40, 2482, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 9376, 737, 656, 305, 347, 258, 253, 1000, 500, 946, 946, 0, 80, 165, 'ssq_clan', 300, 0, 20, 107, 7, 10, 8, 4, 0, -6, 0.52, 'false', 'NONE', 0, 0),
	(1519, 21714, 'Purgatory Invader Soldier', '', 'doll_blader', 6.00, 12.00, 50, 'male', 'L2Monster', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 8932, 673, 558, 279, 289, 237, 253, 1000, 500, 5129, 5129, 0, 22, 165, 'ssq_clan', 300, 0, 0, 87, 7, 10, 8, 4, 0, 10, 0.50, 'false', 'NONE', 0, 0),
	(1520, 21715, 'Purgatory Invader Disciples', '', 'skeleton_royal_guard', 11.00, 28.50, 53, 'male', 'L2Monster', 'Fighter', 40, 2482, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 9873, 776, 656, 305, 347, 258, 253, 0, 500, 946, 946, 0, 80, 165, 'ssq_clan', 300, 0, 20, 107, 7, 10, 8, 4, 0, -6, 0.52, 'false', 'NONE', 0, 0),
	(1521, 21716, 'Purgatory Invader Berserker', '', 'skeleton_royal_guard', 11.00, 28.50, 55, 'male', 'L2Monster', 'Fighter', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 13227, 1068, 730, 322, 389, 273, 253, 1000, 500, 946, 946, 0, 80, 165, 'ssq_clan', 300, 0, 20, 111, 7, 10, 8, 4, 0, -6, 0.52, 'false', 'NONE', 0, 0),
	(1522, 21717, 'Purgatory Invader Food', '', 'mimic', 8.50, 8.50, 50, 'male', 'L2Chest', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 3636, 274, 531, 278, 275, 226, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(1523, 21718, 'Purgatory Invader Elite Soldier', '', 'bloody_queen', 14.00, 40.00, 55, 'female', 'L2Monster', 'Mystic', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 23694, 1913, 730, 322, 389, 273, 253, 1000, 500, 0, 0, 0, 80, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(1524, 21719, 'Purgatory Invader Elite Soldier', '', 'bloody_queen', 14.00, 40.00, 55, 'female', 'L2Monster', 'Mystic', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 24143, 1949, 730, 322, 389, 273, 253, 1000, 500, 0, 0, 0, 80, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(1525, 21720, 'Purgatory Invader Elite Soldier', '', 'bloody_queen', 14.00, 40.00, 55, 'female', 'L2Monster', 'Mystic', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 942, 76, 730, 322, 389, 273, 253, 0, 500, 0, 0, 0, 80, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(1526, 21721, 'Purgatory Invader Elite Soldier', '', 'bloody_queen', 14.00, 40.00, 50, 'female', 'L2Monster', 'Mystic', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 2160, 163, 558, 279, 289, 237, 253, 0, 500, 0, 0, 0, 80, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(1527, 21722, 'Purgatory Invader Warrior', '', 'skeleton_royal_guard', 11.00, 28.50, 53, 'male', 'L2Monster', 'Fighter', 40, 2482, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 22482, 1767, 656, 305, 347, 258, 253, 1000, 500, 946, 946, 0, 80, 165, 'ssq_clan', 300, 0, 20, 107, 7, 10, 8, 4, 0, -6, 0.52, 'false', 'NONE', 0, 0),
	(1528, 21723, 'Purgatory Invader Elite Soldier', '', 'bloody_queen', 14.00, 40.00, 50, 'female', 'L2Monster', 'Mystic', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 19411, 1462, 558, 279, 289, 237, 253, 1000, 500, 0, 0, 0, 80, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(1529, 21724, 'Purgatory Invader Elite Soldier', '', 'bloody_queen', 14.00, 40.00, 53, 'female', 'L2Monster', 'Mystic', 40, 2482, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 21811, 1715, 656, 305, 347, 258, 253, 1000, 500, 0, 0, 0, 80, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(1530, 21725, 'Purgatory Invader Elite Soldier', '', 'bloody_queen', 14.00, 40.00, 50, 'female', 'L2Monster', 'Mystic', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 19137, 1442, 558, 279, 289, 237, 253, 1000, 500, 0, 0, 0, 80, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(1531, 21726, 'Purgatory Invader Elite Soldier', '', 'bloody_queen', 14.00, 40.00, 55, 'female', 'L2Monster', 'Mystic', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 23156, 1869, 730, 322, 389, 273, 253, 1000, 500, 0, 0, 0, 80, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(1532, 21727, 'Purgatory Invader Magus', '', 'banshee', 9.00, 23.00, 53, 'female', 'L2Monster', 'Mystic', 40, 2482, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 20795, 1635, 656, 305, 347, 258, 253, 0, 500, 3939, 0, 0, 80, 165, 'ssq_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.56, 'false', 'NONE', 0, 0),
	(1533, 21728, 'Forbidden Path Invader Elite Soldier', '', 'doll_blader', 6.00, 12.00, 60, 'male', 'L2Monster', 'Fighter', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 17487, 1518, 939, 369, 510, 312, 253, 0, 500, 5129, 5129, 0, 22, 165, 'ssq_clan', 300, 0, 0, 108, 7, 10, 8, 4, 0, 10, 0.50, 'false', 'NONE', 0, 0),
	(1534, 21729, 'Forbidden Path Invader Elite Soldier', '', 'doll_blader', 6.00, 12.00, 65, 'male', 'L2Monster', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 21456, 1993, 1188, 419, 654, 354, 253, 1000, 500, 5129, 5129, 0, 22, 165, 'ssq_clan', 300, 0, 0, 119, 7, 10, 8, 4, 0, 10, 0.50, 'false', 'NONE', 0, 0),
	(1535, 21730, 'Forbidden Path Invader Archer', '', 'skeleton_archer', 11.00, 27.00, 63, 'male', 'L2Monster', 'Ranger', 1100, 3302, 7.700, 1251, 2.760, 40, 43, 30, 21, 20, 20, 16320, 1473, 1083, 399, 593, 337, 253, 1000, 500, 284, 0, 0, 40, 165, 'ssq_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.80, 'false', 'NONE', 0, 0),
	(1536, 21731, 'Forbidden Path Invader Elite Soldier', '', 'banshee', 9.00, 23.00, 65, 'female', 'L2Monster', 'Mystic', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 17859, 1659, 1188, 419, 654, 354, 253, 1000, 500, 3939, 0, 0, 80, 165, 'ssq_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.56, 'false', 'NONE', 0, 0),
	(1537, 21732, 'Forbidden Path Invader Shaman', '', 'banshee', 9.00, 23.00, 63, 'female', 'L2Monster', 'Mystic', 40, 3302, 7.700, 1251, 2.760, 40, 43, 30, 21, 20, 20, 20606, 1860, 1083, 399, 593, 337, 253, 1000, 500, 3939, 0, 0, 80, 165, 'ssq_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.56, 'false', 'NONE', 0, 0),
	(1538, 21733, 'Forbidden Path Invader Priest', '', 'banshee', 9.00, 23.00, 60, 'female', 'L2Monster', 'Priest', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 12091, 1050, 939, 369, 510, 312, 253, 0, 500, 3939, 0, 0, 80, 165, 'ssq_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.56, 'false', 'NONE', 0, 0),
	(1539, 21734, 'Forbidden Path Invader Magus', '', 'banshee', 9.00, 23.00, 65, 'female', 'L2Monster', 'Mystic', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 14102, 1310, 1188, 419, 654, 354, 253, 1000, 500, 3939, 0, 0, 80, 165, 'ssq_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.56, 'false', 'NONE', 0, 0),
	(1540, 21735, 'Forbidden Path Invader Martyrs', '', 'banshee', 9.00, 23.00, 60, 'female', 'L2Monster', 'Mystic', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 12217, 1060, 939, 369, 510, 312, 253, 0, 500, 3939, 0, 0, 80, 165, 'ssq_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.56, 'false', 'NONE', 0, 0),
	(1541, 21736, 'Forbidden Path Invader Warrior', '', 'skeleton_royal_guard', 11.00, 28.50, 63, 'male', 'L2Monster', 'Fighter', 40, 3302, 7.700, 1251, 2.760, 40, 43, 30, 21, 20, 20, 13248, 1196, 1083, 399, 593, 337, 253, 1000, 500, 946, 946, 0, 80, 165, 'ssq_clan', 300, 0, 20, 131, 7, 10, 8, 4, 0, -6, 0.52, 'false', 'NONE', 0, 0),
	(1542, 21737, 'Forbidden Path Invader Soldier', '', 'doll_blader', 6.00, 12.00, 60, 'male', 'L2Monster', 'Fighter', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 12862, 1116, 939, 369, 510, 312, 253, 1000, 500, 5129, 5129, 0, 22, 165, 'ssq_clan', 300, 0, 0, 108, 7, 10, 8, 4, 0, 10, 0.50, 'false', 'NONE', 0, 0),
	(1543, 21738, 'Forbidden Path Invader Disciple', '', 'skeleton_royal_guard', 11.00, 28.50, 63, 'male', 'L2Monster', 'Fighter', 40, 3302, 7.700, 1251, 2.760, 40, 43, 30, 21, 20, 20, 13950, 1259, 1083, 399, 593, 337, 253, 0, 500, 946, 946, 0, 80, 165, 'ssq_clan', 300, 0, 20, 131, 7, 10, 8, 4, 0, -6, 0.52, 'false', 'NONE', 0, 0),
	(1544, 21739, 'Forbidden Path Invader Berserker', '', 'skeleton_royal_guard', 11.00, 28.50, 65, 'male', 'L2Monster', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 18474, 1716, 1188, 419, 654, 354, 253, 1000, 500, 946, 946, 0, 80, 165, 'ssq_clan', 300, 0, 20, 135, 7, 10, 8, 4, 0, -6, 0.52, 'false', 'NONE', 0, 0),
	(1545, 21740, 'Forbidden Path Invader Food', '', 'mimic', 8.50, 8.50, 60, 'male', 'L2Chest', 'Fighter', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 5236, 454, 894, 369, 486, 297, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(1546, 21741, 'Forbidden Path Invader Elite Soldier', '', 'bloody_queen', 14.00, 40.00, 65, 'female', 'L2Monster', 'Mystic', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 33094, 3074, 1188, 419, 654, 354, 253, 1000, 500, 0, 0, 0, 80, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(1547, 21742, 'Forbidden Path Invader Elite Soldier', '', 'bloody_queen', 14.00, 40.00, 65, 'female', 'L2Monster', 'Mystic', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 33720, 3133, 1188, 419, 654, 354, 253, 1000, 500, 0, 0, 0, 80, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(1548, 21743, 'Forbidden Path Invader Elite Soldier', '', 'bloody_queen', 14.00, 40.00, 65, 'female', 'L2Monster', 'Mystic', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 1315, 122, 1188, 419, 654, 354, 253, 0, 500, 0, 0, 0, 80, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(1549, 21744, 'Forbidden Path Invader Elite Soldier', '', 'bloody_queen', 14.00, 40.00, 60, 'female', 'L2Monster', 'Mystic', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 3110, 270, 939, 369, 510, 312, 253, 0, 500, 0, 0, 0, 80, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(1550, 21745, 'Forbidden Path Invader Warrior', '', 'skeleton_royal_guard', 11.00, 28.50, 63, 'male', 'L2Monster', 'Fighter', 40, 3302, 7.700, 1251, 2.760, 40, 43, 30, 21, 20, 20, 31766, 2868, 1083, 399, 593, 337, 253, 1000, 500, 946, 946, 0, 80, 165, 'ssq_clan', 300, 0, 20, 131, 7, 10, 8, 4, 0, -6, 0.52, 'false', 'NONE', 0, 0),
	(1551, 21746, 'Forbidden Path Invader Elite Soldier', '', 'bloody_queen', 14.00, 40.00, 60, 'female', 'L2Monster', 'Mystic', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 27952, 2426, 939, 369, 510, 312, 253, 1000, 500, 0, 0, 0, 80, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(1552, 21747, 'Forbidden Path Invader Elite Soldier', '', 'bloody_queen', 14.00, 40.00, 63, 'female', 'L2Monster', 'Mystic', 40, 3302, 7.700, 1251, 2.760, 40, 43, 30, 21, 20, 20, 30818, 2782, 1083, 399, 593, 337, 253, 1000, 500, 0, 0, 0, 80, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(1553, 21748, 'Forbidden Path Invader Elite Soldier', '', 'bloody_queen', 14.00, 40.00, 60, 'female', 'L2Monster', 'Mystic', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 27557, 2392, 939, 369, 510, 312, 253, 1000, 500, 0, 0, 0, 80, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(1554, 21749, 'Forbidden Path Invader Elite Soldier', '', 'bloody_queen', 14.00, 40.00, 65, 'female', 'L2Monster', 'Mystic', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 32342, 3005, 1188, 419, 654, 354, 253, 1000, 500, 0, 0, 0, 80, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(1555, 21750, 'Forbidden Path Invader Magus', '', 'banshee', 9.00, 23.00, 63, 'female', 'L2Monster', 'Mystic', 40, 3302, 7.700, 1251, 2.760, 40, 43, 30, 21, 20, 20, 29382, 2653, 1083, 399, 593, 337, 253, 0, 500, 3939, 0, 0, 80, 165, 'ssq_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.56, 'false', 'NONE', 0, 0),
	(1556, 21751, 'Dark Omen Invader Soldier', '', 'giant_zombie', 13.00, 40.00, 70, 'male', 'L2Monster', 'Mystic', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 23802, 2360, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 20, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(1557, 21752, 'Dark Omen Invader Soldier', '', 'giant_zombie', 13.00, 40.00, 75, 'male', 'L2Monster', 'Mystic', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 28565, 3013, 1823, 528, 1021, 447, 253, 1000, 500, 0, 0, 0, 20, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(1558, 21753, 'Dark Omen Invader Archer', '', 'skeleton_archer', 11.00, 27.00, 73, 'male', 'L2Monster', 'Ranger', 1100, 4087, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 21912, 2255, 1680, 505, 939, 427, 253, 1000, 500, 288, 0, 0, 40, 165, 'ssq_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.80, 'false', 'NONE', 0, 0),
	(1559, 21754, 'Dark Omen Invader Elite Soldier', '', 'doll_master', 20.00, 42.00, 75, 'male', 'L2Monster', 'Fighter', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 23777, 2508, 1823, 528, 1021, 447, 253, 1000, 500, 0, 0, 0, 80, 165, 'ssq_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 10, 0.56, 'false', 'NONE', 0, 0),
	(1560, 21755, 'Dark Omen Invader Shaman', '', 'doll_master', 20.00, 42.00, 73, 'male', 'L2Monster', 'Fighter', 40, 4087, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 27667, 2847, 1680, 505, 939, 427, 253, 1000, 500, 0, 0, 0, 80, 165, 'ssq_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 10, 0.56, 'false', 'NONE', 0, 0),
	(1561, 21756, 'Dark Omen Invader Priest', '', 'doll_master', 20.00, 42.00, 70, 'male', 'L2Monster', 'Priest', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 16457, 1632, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 80, 165, 'ssq_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 10, 0.56, 'false', 'NONE', 0, 0),
	(1562, 21757, 'Dark Omen Invader Magus', '', 'doll_master', 20.00, 42.00, 75, 'male', 'L2Monster', 'Fighter', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 18775, 1980, 1823, 528, 1021, 447, 253, 1000, 500, 0, 0, 0, 80, 165, 'ssq_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 10, 0.56, 'false', 'NONE', 0, 0),
	(1563, 21758, 'Dark Omen Invader Martyrs', '', 'doll_master', 20.00, 42.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 16629, 1649, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 80, 165, 'ssq_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 10, 0.56, 'false', 'NONE', 0, 0),
	(1564, 21759, 'Dark Omen Invader Warrior', '', 'imperial_warlord_zombie', 7.00, 30.00, 73, 'male', 'L2Monster', 'Fighter', 40, 4087, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 17787, 1830, 1680, 505, 939, 427, 253, 1000, 500, 134, 6721, 0, 39, 165, 'ssq_clan', 300, 0, 20, 155, 7, 30, 4, 4, 0, -6, 0.48, 'false', 'NONE', 0, 0),
	(1565, 21760, 'Dark Omen Invader Soldier', '', 'giant_zombie', 13.00, 40.00, 70, 'male', 'L2Monster', 'Mystic', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 17506, 1736, 1481, 471, 824, 399, 253, 1000, 500, 0, 0, 0, 20, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(1566, 21761, 'Dark Omen Invader Disciple', '', 'imperial_warlord_zombie', 7.00, 30.00, 73, 'male', 'L2Monster', 'Fighter', 40, 4087, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 18730, 1927, 1680, 505, 939, 427, 253, 0, 500, 134, 6721, 0, 39, 165, 'ssq_clan', 300, 0, 20, 155, 7, 30, 4, 4, 0, -6, 0.48, 'false', 'NONE', 0, 0),
	(1567, 21762, 'Dark Omen Invader Berserker', '', 'imperial_warlord_zombie', 7.00, 30.00, 75, 'male', 'L2Monster', 'Fighter', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 24596, 2594, 1823, 528, 1021, 447, 253, 1000, 500, 134, 6721, 0, 39, 165, 'ssq_clan', 300, 0, 20, 159, 7, 30, 4, 4, 0, -6, 0.48, 'false', 'NONE', 0, 0),
	(1568, 21763, 'Dark Omen Invader Food', '', 'mimic', 8.50, 8.50, 70, 'male', 'L2Chest', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 7127, 707, 1410, 471, 785, 380, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(1569, 21764, 'Dark Omen Invader Elite Soldier', '', 'death_blader', 15.00, 45.00, 75, 'male', 'L2Monster', 'Fighter', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 44060, 4647, 1823, 528, 1021, 447, 253, 1000, 500, 1472, 0, 0, 100, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(1570, 21765, 'Dark Omen Invader Elite Soldier', '', 'death_blader', 15.00, 45.00, 75, 'male', 'L2Monster', 'Fighter', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 44894, 4735, 1823, 528, 1021, 447, 253, 1000, 500, 1472, 0, 0, 100, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(1571, 21766, 'Dark Omen Invader Elite Soldier', '', 'death_blader', 15.00, 45.00, 75, 'male', 'L2Monster', 'Fighter', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 1751, 185, 1823, 528, 1021, 447, 253, 0, 500, 1472, 0, 0, 100, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(1572, 21767, 'Dark Omen Invader Elite Soldier', '', 'death_blader', 15.00, 45.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 4233, 420, 1481, 471, 824, 399, 253, 0, 500, 1472, 0, 0, 100, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(1573, 21768, 'Dark Omen Invader Warrior', '', 'imperial_warlord_zombie', 7.00, 30.00, 73, 'male', 'L2Monster', 'Fighter', 40, 4087, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 42650, 4389, 1680, 505, 939, 427, 253, 1000, 500, 134, 6721, 0, 39, 165, 'ssq_clan', 300, 0, 20, 155, 7, 30, 4, 4, 0, -6, 0.48, 'false', 'NONE', 0, 0),
	(1574, 21769, 'Dark Omen Invader Elite Soldier', '', 'death_blader', 15.00, 45.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 38046, 3772, 1481, 471, 824, 399, 253, 1000, 500, 1472, 0, 0, 100, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(1575, 21770, 'Dark Omen Invader Elite Soldier', '', 'death_blader', 15.00, 45.00, 73, 'male', 'L2Monster', 'Fighter', 40, 4087, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 41377, 4258, 1680, 505, 939, 427, 253, 1000, 500, 1472, 0, 0, 100, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(1576, 21771, 'Dark Omen Invader Elite Soldier', '', 'death_blader', 15.00, 45.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 37509, 3719, 1481, 471, 824, 399, 253, 1000, 500, 1472, 0, 0, 100, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(1577, 21772, 'Dark Omen Invader Elite Soldier', '', 'death_blader', 15.00, 45.00, 75, 'male', 'L2Monster', 'Fighter', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 43058, 4542, 1823, 528, 1021, 447, 253, 1000, 500, 1472, 0, 0, 100, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(1578, 21773, 'Dark Omen Invader Magus', '', 'doll_master', 20.00, 42.00, 73, 'male', 'L2Monster', 'Fighter', 40, 4087, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 39450, 4059, 1680, 505, 939, 427, 253, 0, 500, 0, 0, 0, 80, 165, 'ssq_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 10, 0.56, 'false', 'NONE', 0, 0),
	(1579, 21774, 'Messenger Invader Soldier', '', 'giant_zombie', 13.00, 40.00, 78, 'male', 'L2Monster', 'Mystic', 40, 4642, 9.200, 1896, 3.210, 40, 43, 30, 21, 20, 20, 31088, 3489, 2259, 620, 1268, 525, 253, 0, 500, 0, 0, 0, 20, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(1580, 21775, 'Messenger Invader Soldier', '', 'giant_zombie', 13.00, 40.00, 78, 'male', 'L2Monster', 'Mystic', 40, 4910, 9.200, 2091, 3.210, 40, 43, 30, 21, 20, 20, 36690, 4367, 2259, 635, 1268, 525, 253, 1000, 500, 0, 0, 0, 20, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(1581, 21776, 'Messenger Invader Archer', '', 'skeleton_archer', 11.00, 27.00, 78, 'male', 'L2Monster', 'Ranger', 1100, 4811, 9.200, 2012, 3.210, 40, 43, 30, 21, 20, 20, 28326, 3293, 2259, 620, 1268, 525, 253, 1000, 500, 289, 0, 0, 40, 165, 'ssq_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.80, 'false', 'NONE', 0, 0),
	(1582, 21777, 'Messenger Invader Elite Soldier', '', 'doll_master', 20.00, 42.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4910, 9.200, 2091, 3.210, 40, 43, 30, 21, 20, 20, 30540, 3635, 2259, 635, 1268, 525, 253, 1000, 500, 0, 0, 0, 80, 165, 'ssq_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 10, 0.56, 'false', 'NONE', 0, 0),
	(1583, 21778, 'Messenger Invader Shaman', '', 'doll_master', 20.00, 42.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4811, 9.200, 2012, 3.210, 40, 43, 30, 21, 20, 20, 35766, 4158, 2259, 620, 1268, 525, 253, 1000, 500, 0, 0, 0, 80, 165, 'ssq_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 10, 0.56, 'false', 'NONE', 0, 0),
	(1584, 21779, 'Messenger Invader Priest', '', 'doll_master', 20.00, 42.00, 78, 'male', 'L2Monster', 'Priest', 40, 4642, 9.200, 1896, 3.210, 40, 43, 30, 21, 20, 20, 21494, 2413, 2259, 620, 1268, 525, 253, 0, 500, 0, 0, 0, 80, 165, 'ssq_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 10, 0.56, 'false', 'NONE', 0, 0),
	(1585, 21780, 'Messenger Invader Magus', '', 'doll_master', 20.00, 42.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4910, 9.200, 2091, 3.210, 40, 43, 30, 21, 20, 20, 24116, 2871, 2259, 635, 1268, 525, 253, 1000, 500, 0, 0, 0, 80, 165, 'ssq_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 10, 0.56, 'false', 'NONE', 0, 0),
	(1586, 21781, 'Messenger Invader Martyrs', '', 'doll_master', 20.00, 42.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4642, 9.200, 1896, 3.210, 40, 43, 30, 21, 20, 20, 21719, 2438, 2259, 620, 1268, 525, 253, 0, 500, 0, 0, 0, 80, 165, 'ssq_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 10, 0.56, 'false', 'NONE', 0, 0),
	(1587, 21782, 'Messenger Invader Warrior', '', 'imperial_warlord_zombie', 7.00, 30.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4811, 9.200, 2012, 3.210, 40, 43, 30, 21, 20, 20, 22994, 2673, 2259, 620, 1268, 525, 253, 1000, 500, 134, 6721, 0, 39, 165, 'ssq_clan', 300, 0, 20, 176, 7, 30, 4, 4, 0, -6, 0.48, 'false', 'NONE', 0, 0),
	(1588, 21783, 'Messenger Invader Soldier', '', 'giant_zombie', 13.00, 40.00, 78, 'male', 'L2Monster', 'Mystic', 40, 4642, 9.200, 1896, 3.210, 40, 43, 30, 21, 20, 20, 22865, 2566, 2259, 620, 1268, 525, 253, 1000, 500, 0, 0, 0, 20, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(1589, 21784, 'Messenger Invader Disciple', '', 'imperial_warlord_zombie', 7.00, 30.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4811, 9.200, 2012, 3.210, 40, 43, 30, 21, 20, 20, 24213, 2815, 2259, 620, 1268, 525, 253, 0, 500, 134, 6721, 0, 39, 165, 'ssq_clan', 300, 0, 20, 176, 7, 30, 4, 4, 0, -6, 0.48, 'false', 'NONE', 0, 0),
	(1590, 21785, 'Messenger Invader Berserker', '', 'imperial_warlord_zombie', 7.00, 30.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4910, 9.200, 2091, 3.210, 40, 43, 30, 21, 20, 20, 31592, 3760, 2259, 635, 1268, 525, 253, 1000, 500, 134, 6721, 0, 39, 165, 'ssq_clan', 300, 0, 20, 180, 7, 30, 4, 4, 0, -6, 0.48, 'false', 'NONE', 0, 0),
	(1591, 21786, 'Messenger Invader Food', '', 'mimic', 8.50, 8.50, 78, 'male', 'L2Chest', 'Fighter', 40, 4642, 9.200, 1896, 3.210, 40, 43, 30, 21, 20, 20, 9308, 1045, 1956, 581, 1098, 454, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(1592, 21787, 'Messenger Invader Elite Soldier', '', 'death_lord', 21.00, 40.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4910, 9.200, 2091, 3.210, 40, 43, 30, 21, 20, 20, 56592, 6736, 2259, 635, 1268, 525, 253, 1000, 500, 78, 0, 0, 40, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(1593, 21788, 'Messenger Invader Elite Soldier', '', 'death_lord', 21.00, 40.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4910, 9.200, 2091, 3.210, 40, 43, 30, 21, 20, 20, 57664, 6864, 2259, 635, 1268, 525, 253, 1000, 500, 78, 0, 0, 40, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(1594, 21789, 'Messenger Invader Elite Soldier', '', 'death_lord', 21.00, 40.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4910, 9.200, 2091, 3.210, 40, 43, 30, 21, 20, 20, 2249, 268, 2259, 635, 1268, 525, 253, 0, 500, 78, 0, 0, 40, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(1595, 21790, 'Messenger Invader Elite Soldier', '', 'death_lord', 21.00, 40.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4642, 9.200, 1896, 3.210, 40, 43, 30, 21, 20, 20, 5529, 621, 2259, 620, 1268, 525, 253, 0, 500, 78, 0, 0, 40, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(1596, 21791, 'Messenger Invader Warrior', '', 'imperial_warlord_zombie', 7.00, 30.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4811, 9.200, 2012, 3.210, 40, 43, 30, 21, 20, 20, 55136, 6409, 2259, 620, 1268, 525, 253, 1000, 500, 134, 6721, 0, 39, 165, 'ssq_clan', 300, 0, 20, 176, 7, 30, 4, 4, 0, -6, 0.48, 'false', 'NONE', 0, 0),
	(1597, 21792, 'Messenger Invader Elite Soldier', '', 'death_lord', 21.00, 40.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4642, 9.200, 1896, 3.210, 40, 43, 30, 21, 20, 20, 49693, 5578, 2259, 620, 1268, 525, 253, 1000, 500, 78, 0, 0, 40, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(1598, 21793, 'Messenger Invader Elite Soldier', '', 'death_lord', 21.00, 40.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4811, 9.200, 2012, 3.210, 40, 43, 30, 21, 20, 20, 53490, 6218, 2259, 620, 1268, 525, 253, 1000, 500, 78, 0, 0, 40, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(1599, 21794, 'Messenger Invader Elite Soldier', '', 'death_lord', 21.00, 40.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4642, 9.200, 1896, 3.210, 40, 43, 30, 21, 20, 20, 48991, 5499, 2259, 620, 1268, 525, 253, 1000, 500, 78, 0, 0, 40, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(1600, 21795, 'Messenger Invader Elite Soldier', '', 'death_lord', 21.00, 40.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4910, 9.200, 2091, 3.210, 40, 43, 30, 21, 20, 20, 55306, 6583, 2259, 635, 1268, 525, 253, 1000, 500, 78, 0, 0, 40, 165, 'ssq_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(1601, 21796, 'Messenger Invader Magus', '', 'doll_master', 20.00, 42.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4811, 9.200, 2012, 3.210, 40, 43, 30, 21, 20, 20, 50999, 5928, 2259, 620, 1268, 525, 253, 0, 500, 0, 0, 0, 80, 165, 'ssq_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 10, 0.56, 'false', 'NONE', 0, 0),
	(1602, 21797, 'Spirit of Timiniel', '', 'pixy', 5.00, 25.00, 55, 'female', 'L2Monster', 'Fighter', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 2376, 192, 730, 322, 389, 273, 253, 0, 500, 0, 0, 0, 80, 165, 'timiniel_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.72, 'false', 'NONE', 1, 0),
	(1603, 21798, 'Ghost of a Gatekeeper', '', 'skeleton_knight', 10.00, 25.00, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 14209, 1519, 2088, 594, 1170, 503, 253, 0, 500, 150, 103, 0, 40, 165, '', 0, 0, 20, 161, 7, 30, 4, 4, 0, -6, 0.17, 'false', 'NONE', 1, 0),
	(1604, 21799, 'Ghost of a Gatekeeper', '', 'skeleton_knight', 10.00, 25.00, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 26132, 2794, 2088, 594, 1170, 503, 253, 0, 500, 150, 103, 0, 40, 165, '', 0, 0, 20, 161, 7, 30, 4, 4, 0, -6, 0.17, 'false', 'NONE', 1, 0),
	(1605, 21800, 'Vassal Ghost', '', 'zombie', 13.00, 21.00, 77, 'male', 'L2Monster', 'Mystic', 40, 4364, 9.100, 1747, 3.180, 40, 43, 30, 21, 20, 20, 13234, 1432, 2173, 606, 1219, 514, 253, 0, 500, 0, 0, 0, 15, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 1, 0),
	(1606, 21801, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 21, 'male', 'L2Chest', 'Fighter', 40, 576, 3.500, 228, 1.500, 40, 43, 30, 21, 20, 20, 631, 29, 63, 99, 31, 80, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(1607, 21802, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 24, 'male', 'L2Chest', 'Fighter', 40, 688, 3.800, 273, 1.590, 40, 43, 30, 21, 20, 20, 772, 38, 81, 112, 39, 90, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(1608, 21803, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 27, 'male', 'L2Chest', 'Fighter', 40, 814, 4.100, 318, 1.680, 40, 43, 30, 21, 20, 20, 919, 47, 104, 126, 50, 102, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(1609, 21804, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 30, 'male', 'L2Chest', 'Fighter', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 1080, 59, 132, 141, 62, 114, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(1610, 21805, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 33, 'male', 'L2Chest', 'Fighter', 40, 1109, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 1307, 75, 166, 158, 78, 128, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(1611, 21806, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 36, 'male', 'L2Chest', 'Fighter', 40, 1279, 5.000, 464, 1.950, 40, 43, 30, 21, 20, 20, 1555, 94, 206, 176, 96, 142, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(1612, 21807, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 39, 'male', 'L2Chest', 'Fighter', 40, 1463, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 1825, 116, 255, 195, 121, 158, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(1613, 21808, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 42, 'male', 'L2Chest', 'Fighter', 40, 1660, 5.600, 589, 2.130, 40, 43, 30, 21, 20, 20, 2117, 141, 311, 216, 152, 175, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(1614, 21809, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 45, 'male', 'L2Chest', 'Fighter', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 2430, 169, 377, 238, 188, 193, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(1615, 21810, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 48, 'male', 'L2Chest', 'Fighter', 40, 2092, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 2765, 202, 453, 262, 231, 212, 253, 0, 333, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(1616, 21811, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 51, 'male', 'L2Chest', 'Fighter', 40, 2323, 6.500, 861, 2.400, 40, 43, 30, 21, 20, 20, 3121, 238, 539, 287, 281, 232, 253, 0, 333, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(1617, 21812, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 54, 'male', 'L2Chest', 'Fighter', 40, 2562, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 3499, 279, 636, 313, 339, 254, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(1618, 21813, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 57, 'male', 'L2Chest', 'Fighter', 40, 2807, 7.100, 1052, 2.580, 40, 43, 30, 21, 20, 20, 3899, 324, 743, 340, 405, 276, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(1619, 21814, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 60, 'male', 'L2Chest', 'Fighter', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 4320, 375, 860, 369, 478, 299, 253, 0, 333, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(1620, 21815, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 63, 'male', 'L2Chest', 'Fighter', 40, 3302, 7.700, 1251, 2.760, 40, 43, 30, 21, 20, 20, 4763, 430, 987, 399, 560, 323, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(1621, 21816, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 66, 'male', 'L2Chest', 'Fighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 5227, 492, 1123, 429, 649, 348, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(1622, 21817, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 69, 'male', 'L2Chest', 'Fighter', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 5713, 559, 1265, 460, 746, 373, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(1623, 21818, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 72, 'male', 'L2Chest', 'Fighter', 40, 4013, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 6221, 632, 1413, 492, 849, 399, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(1624, 21819, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 75, 'male', 'L2Chest', 'Fighter', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 6750, 712, 1563, 524, 957, 425, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(1625, 21820, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 78, 'male', 'L2Chest', 'Fighter', 40, 4429, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 7301, 799, 1715, 556, 1069, 451, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(1626, 21821, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 78, 'male', 'L2Chest', 'Fighter', 40, 4747, 9.200, 1954, 3.210, 40, 43, 30, 21, 20, 20, 7873, 894, 1870, 594, 1182, 477, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(1627, 21822, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 80, 'male', 'L2Chest', 'Fighter', 40, 4957, 9.400, 2092, 3.270, 40, 43, 30, 21, 20, 20, 8467, 996, 2022, 629, 1296, 502, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(1628, 21823, 'Executor of Sacrificial Offerings', '', 'imperial_warlord_zombie', 7.00, 30.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4642, 9.200, 1896, 3.210, 40, 43, 30, 21, 20, 20, 72252, 8110, 2259, 620, 1268, 525, 253, 0, 500, 134, 6721, 0, 39, 190, 'tomb_clan', 300, 0, 20, 170, 7, 30, 4, 4, 0, -6, 0.48, 'false', 'NONE', 0, 0),
	(1629, 21824, 'Alpen Kookaburra', '', 'rough_ostrich', 20.00, 31.00, 65, 'male', 'L2FeedableBeast', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 30997, 2880, 1237, 419, 685, 354, 253, 150, 500, 0, 0, 0, 20, 170, 'pet_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(1630, 21825, 'Alpen Kookaburra', '', 'rough_ostrich', 20.00, 31.00, 65, 'male', 'L2FeedableBeast', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 29568, 2747, 1237, 419, 685, 354, 253, 150, 500, 0, 0, 0, 20, 170, 'pet_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(1631, 21826, 'Alpen Buffalo', '', 'buffalo', 20.00, 31.00, 67, 'male', 'L2FeedableBeast', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 32934, 3137, 1237, 439, 685, 354, 253, 150, 500, 0, 0, 0, 20, 170, 'pet_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(1632, 21827, 'Alpen Buffalo', '', 'buffalo', 20.00, 31.00, 67, 'male', 'L2FeedableBeast', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 31415, 2992, 1237, 439, 685, 354, 253, 150, 500, 0, 0, 0, 20, 170, 'pet_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(1633, 21828, 'Alpen Cougar', '', 'saber_toothed_tiger', 20.00, 31.00, 69, 'male', 'L2FeedableBeast', 'Fighter', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 34929, 3418, 1255, 460, 685, 354, 253, 150, 500, 0, 0, 0, 20, 170, 'pet_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(1634, 21829, 'Alpen Cougar', '', 'saber_toothed_tiger', 20.00, 31.00, 69, 'male', 'L2FeedableBeast', 'Fighter', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 33319, 3260, 1255, 460, 685, 354, 253, 150, 500, 0, 0, 0, 20, 170, 'pet_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(1635, 22001, 'Grim Wolf', '', 'dire_wolf', 13.00, 11.00, 25, 'male', 'L2Monster', 'Fighter', 40, 728, 3.900, 288, 1.620, 40, 43, 30, 21, 20, 20, 1052, 52, 100, 118, 42, 99, 253, 0, 333, 0, 0, 0, 24, 130, '', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(1636, 22002, 'Grim Grizzly', '', 'grizzly', 21.00, 40.00, 26, 'male', 'L2Monster', 'Fighter', 40, 770, 4.000, 303, 1.650, 40, 43, 30, 21, 20, 20, 1120, 56, 108, 123, 46, 103, 253, 500, 500, 0, 0, 0, 40, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'true', 'NONE', 1, 0),
	(1637, 22003, 'Grave Robber Scout', '', 'e_traderB_Fdwarf_mon', 7.00, 18.00, 27, 'female', 'L2Monster', 'Ranger', 1100, 814, 4.100, 318, 1.680, 40, 43, 30, 21, 20, 20, 1395, 71, 118, 127, 50, 107, 253, 0, 333, 8527, 0, 0, 49, 110, 'graverobber_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 1, 0),
	(1638, 22004, 'Grave Robber Lookout', '', 'dwarf_ghost', 9.00, 16.50, 27, 'male', 'L2Monster', 'Fighter', 40, 814, 4.100, 318, 1.680, 40, 43, 30, 21, 20, 20, 1659, 84, 118, 127, 50, 107, 253, 500, 333, 0, 0, 0, 80, 120, 'graverobber_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'true', 'NONE', 1, 0),
	(1639, 22005, 'Grave Robber Ranger', '', 'e_collector_teacher_Fdwarf_mon', 8.00, 17.50, 28, 'female', 'L2Monster', 'Fighter', 40, 859, 4.200, 334, 1.710, 40, 43, 30, 21, 20, 20, 1477, 77, 127, 132, 54, 112, 253, 0, 333, 8529, 0, 0, 45, 110, 'graverobber_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 1, 0),
	(1640, 22006, 'Grave Robber Guard', '', 'e_collector_teacher_Mdwarf_mon', 8.00, 17.50, 29, 'male', 'L2Monster', 'Fighter', 40, 906, 4.300, 350, 1.740, 40, 43, 30, 21, 20, 20, 1559, 83, 138, 138, 58, 117, 253, 500, 333, 8528, 0, 0, 36, 110, 'graverobber_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 1, 0),
	(1641, 22007, 'Ghost of a Soldier', '', 'orc', 10.00, 21.00, 29, 'male', 'L2Monster', 'Fighter', 40, 906, 4.300, 350, 1.740, 40, 43, 30, 21, 20, 20, 1699, 90, 138, 138, 58, 117, 253, 500, 500, 8530, 0, 0, 45, 120, '', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(1642, 22008, 'Grave Robber Fighter', '', 'e_collector_teacher_Mdwarf_mon', 8.00, 17.50, 30, 'male', 'L2Monster', 'Fighter', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 1641, 89, 149, 143, 62, 121, 253, 0, 500, 8528, 0, 0, 36, 110, 'graverobber_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 1, 0),
	(1643, 22009, 'Ghost of a Loyal Vassal', '', 'orc_shaman', 9.00, 22.00, 31, 'male', 'L2Monster', 'Mystic', 40, 1005, 4.500, 382, 1.800, 40, 43, 30, 21, 20, 20, 1910, 106, 161, 149, 67, 126, 253, 0, 500, 8532, 0, 0, 45, 120, '', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(1644, 22010, 'Ghost of a General', '', 'orc_fighter', 12.00, 22.00, 32, 'male', 'L2Monster', 'Fighter', 40, 1056, 4.600, 398, 1.830, 40, 43, 30, 21, 20, 20, 2035, 114, 173, 154, 74, 130, 253, 500, 500, 8532, 0, 0, 45, 120, '', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.26, 'false', 'NONE', 1, 0),
	(1645, 22011, 'Ghost of a Batur Chief', '', 'orc_champion', 10.00, 23.00, 33, 'male', 'L2Monster', 'Fighter', 40, 1109, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 2337, 133, 187, 160, 81, 135, 253, 500, 500, 8533, 0, 0, 45, 130, '', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(1646, 22012, 'Ghost of a Batur Chief', '', 'orc_champion', 10.00, 23.00, 33, 'male', 'L2Monster', 'Fighter', 40, 1109, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 2337, 133, 187, 160, 81, 135, 253, 500, 500, 8533, 0, 0, 80, 130, '', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(1647, 22013, 'Ghost of a Morek Chief', '', 'orc_champion', 10.00, 23.00, 33, 'male', 'L2Monster', 'Fighter', 40, 1109, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 2337, 133, 187, 160, 81, 135, 253, 500, 500, 8533, 0, 0, 80, 130, '', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(1648, 22014, 'Ghost of a Morek Chief', '', 'orc_champion', 10.00, 23.00, 33, 'male', 'L2Monster', 'Fighter', 40, 1109, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 2337, 133, 187, 160, 81, 135, 253, 500, 500, 8533, 0, 0, 80, 130, '', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(1649, 22015, 'Ghost of a Turka Chief', '', 'orc_champion', 10.00, 23.00, 33, 'male', 'L2Monster', 'Fighter', 40, 1109, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 2337, 133, 187, 160, 81, 135, 253, 500, 500, 8533, 0, 0, 80, 130, '', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(1650, 22016, 'Ghost of a Turka Chief', '', 'orc_champion', 10.00, 23.00, 33, 'male', 'L2Monster', 'Fighter', 40, 1109, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 2337, 133, 187, 160, 81, 135, 253, 500, 500, 8533, 0, 0, 80, 130, '', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(1651, 22017, 'Bandit Sweeper', '', 'northern_goblin', 4.00, 15.00, 30, 'male', 'L2Monster', 'Fighter', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 1750, 95, 149, 143, 62, 121, 253, 500, 500, 152, 0, 0, 30, 120, '', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.24, 'true', 'NONE', 1, 0),
	(1652, 22018, 'Bandit Hound', '', 'dire_wolf', 13.00, 11.00, 31, 'male', 'L2Monster', 'Fighter', 40, 1005, 4.500, 382, 1.800, 40, 43, 30, 21, 20, 20, 1501, 83, 161, 149, 67, 126, 253, 500, 500, 0, 0, 0, 40, 130, '', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.26, 'true', 'NONE', 1, 0),
	(1653, 22019, 'Bandit Watchman', '', 'ol_mahum_archer_04te', 15.00, 32.00, 32, 'male', 'L2Monster', 'Ranger', 1100, 1056, 4.600, 398, 1.830, 40, 43, 30, 21, 20, 20, 2056, 115, 173, 154, 74, 130, 253, 500, 500, 273, 0, 0, 55, 130, '', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.28, 'true', 'NONE', 1, 0),
	(1654, 22020, 'Snow Lynx', '', 'onyx_beast', 14.00, 14.50, 33, 'male', 'L2Monster', 'Fighter', 40, 1109, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 1701, 97, 187, 160, 81, 135, 253, 0, 500, 0, 0, 0, 55, 110, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.61, 'true', 'NONE', 1, 0),
	(1655, 22021, 'Bandit Undertaker', '', 'northern_goblin_110p', 6.00, 16.60, 34, 'male', 'L2Monster', 'Fighter', 40, 1164, 4.800, 430, 1.890, 40, 43, 30, 21, 20, 20, 2081, 121, 202, 166, 88, 141, 253, 0, 500, 66, 102, 0, 80, 130, '', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'true', 'NONE', 1, 0),
	(1656, 22022, 'Bandit Assassin', '', 'wererat_01te', 14.00, 25.00, 35, 'male', 'L2Monster', 'Fighter', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 2470, 145, 216, 172, 96, 146, 253, 500, 500, 221, 0, 0, 80, 174, '', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'true', 'NONE', 1, 0),
	(1657, 22023, 'Bandit Warrior', '', 'ol_mahum_04te', 13.50, 25.00, 36, 'male', 'L2Monster', 'Fighter', 40, 1279, 5.000, 464, 1.950, 40, 43, 30, 21, 20, 20, 2825, 170, 232, 179, 105, 151, 253, 500, 500, 2, 0, 0, 80, 174, '', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'true', 'NONE', 1, 0),
	(1658, 22024, 'Bandit Inspector', '', 'northern_goblin_120p', 7.00, 18.50, 37, 'male', 'L2Monster', 'Fighter', 40, 1339, 5.100, 480, 1.980, 40, 43, 30, 21, 20, 20, 2661, 163, 249, 185, 113, 156, 253, 500, 500, 66, 0, 0, 80, 174, '', 0, 0, 0, 0, 7, 10, 8, 4, 0, 10, 0.61, 'true', 'NONE', 1, 0),
	(1659, 22025, 'Frozen Wasteland Werewolf', '', 'werewolf', 10.00, 26.00, 38, 'male', 'L2Monster', 'Fighter', 40, 1400, 5.200, 497, 2.010, 40, 43, 30, 21, 20, 20, 2662, 166, 267, 191, 124, 162, 253, 0, 500, 0, 0, 0, 50, 120, 'werewolf_clan', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'true', 'NONE', 1, 0),
	(1660, 22026, 'Bandit Captain', '', 'ol_mahum_champion_04te', 14.00, 27.00, 40, 'male', 'L2Monster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 3488, 224, 305, 205, 145, 173, 253, 500, 500, 69, 19, 0, 45, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(1661, 22027, 'Forgotten Crewman', '', 'dwarf_ghost', 10.00, 18.70, 39, 'male', 'L2Monster', 'Fighter', 40, 1463, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 6847, 416, 285, 197, 133, 167, 253, 0, 500, 0, 0, 0, 80, 170, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(1662, 22028, 'Vagabond of the Ruins', '', 'a_mageguild_teacher_Mhuman_mon', 8.00, 23.00, 40, 'male', 'L2Monster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 6162, 380, 305, 205, 145, 173, 253, 500, 500, 8530, 0, 0, 100, 174, '', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(1663, 22029, 'Ragna Orc', '', 'batur_orc_03te', 9.00, 21.50, 40, 'male', 'L2Monster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 3620, 233, 305, 205, 145, 173, 253, 500, 500, 2, 0, 0, 80, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(1664, 22030, 'Ragna Orc Shaman', '', 'batur_orc_shaman_a_03te', 11.00, 16.00, 42, 'male', 'L2Monster', 'Mystic', 40, 1660, 5.600, 589, 2.130, 40, 43, 30, 21, 20, 20, 3782, 251, 345, 218, 168, 185, 253, 500, 500, 159, 0, 0, 72, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.26, 'false', 'NONE', 0, 0),
	(1665, 22031, 'Ragna Orc Archer', '', 'batur_orc_archer_03te', 11.00, 21.50, 43, 'male', 'L2Monster', 'Ranger', 1100, 1729, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 3499, 236, 369, 226, 181, 191, 253, 500, 500, 13, 0, 0, 45, 130, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.59, 'true', 'NONE', 1, 0),
	(1666, 22032, 'Ragna Orc Warrior', '', 'batur_orc_warrior_03te', 10.00, 20.00, 44, 'male', 'L2Monster', 'Fighter', 40, 1799, 5.800, 648, 2.190, 40, 43, 30, 21, 20, 20, 4380, 299, 392, 233, 194, 197, 253, 500, 500, 68, 0, 0, 80, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(1667, 22033, 'Ragna Orc Mage', '', 'batur_orc_shaman_a_01te', 11.00, 16.00, 45, 'male', 'L2Monster', 'Mystic', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 5625, 391, 417, 240, 208, 204, 253, 500, 500, 179, 0, 0, 50, 143, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.84, 'true', 'NONE', 1, 0),
	(1668, 22034, 'Ragna Orc Mage', '', 'batur_orc_shaman_a_01te', 11.00, 16.00, 45, 'male', 'L2Monster', 'Mystic', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 5158, 358, 417, 240, 208, 204, 253, 500, 500, 179, 0, 0, 50, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.84, 'true', 'NONE', 1, 0),
	(1669, 22035, 'Ragna Orc Mage', '', 'batur_orc_shaman_a_01te', 11.00, 16.00, 45, 'male', 'L2Monster', 'Mystic', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 5625, 391, 417, 240, 208, 204, 253, 500, 500, 179, 0, 0, 70, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.84, 'true', 'NONE', 1, 0),
	(1670, 22036, 'Ragna Orc Mage', '', 'batur_orc_shaman_a_01te', 11.00, 16.00, 45, 'male', 'L2Monster', 'Mystic', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 3963, 275, 417, 240, 208, 204, 253, 500, 500, 179, 0, 0, 50, 138, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.84, 'true', 'NONE', 1, 0),
	(1671, 22037, 'Ragna Orc Healer', '', 'batur_orc_shaman_a_03te', 11.00, 16.00, 45, 'male', 'L2Monster', 'Priest', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 4342, 301, 417, 240, 208, 204, 253, 500, 500, 316, 0, 0, 70, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.84, 'false', 'NONE', 0, 0),
	(1672, 22038, 'Ragna Orc Hero', '', 'batur_orc_overlord_03te', 12.00, 24.00, 48, 'male', 'L2Monster', 'Fighter', 40, 2092, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 5213, 380, 498, 264, 254, 224, 253, 500, 500, 74, 0, 0, 80, 174, '', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(1673, 22039, 'Ragna Orc Commander', '', 'batur_orc_overlord_01te', 12.00, 24.00, 49, 'male', 'L2Monster', 'Fighter', 40, 2168, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 5432, 401, 526, 271, 271, 230, 253, 500, 500, 135, 0, 0, 80, 139, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'false', 'NONE', 1, 0),
	(1674, 22040, 'Ragna Orc Sniper', '', 'batur_orc_archer_01te', 11.00, 21.50, 47, 'male', 'L2Monster', 'Ranger', 1100, 2017, 6.100, 738, 2.280, 40, 43, 30, 21, 20, 20, 4180, 299, 469, 255, 238, 216, 253, 500, 500, 275, 0, 0, 45, 155, '', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(1675, 22041, 'Ragna Orc Sorcerer', '', 'batur_orc_shaman_a_01te', 11.00, 16.00, 50, 'male', 'L2Monster', 'Mystic', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 6944, 522, 558, 279, 289, 237, 253, 500, 500, 7, 0, 0, 50, 150, '', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.43, 'true', 'NONE', 1, 0),
	(1676, 22042, 'Ragna Orc Sorcerer', '', 'batur_orc_shaman_a_01te', 11.00, 16.00, 50, 'male', 'L2Monster', 'Mystic', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 6368, 479, 558, 279, 289, 237, 253, 500, 500, 7, 0, 0, 50, 150, '', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.43, 'true', 'NONE', 1, 0),
	(1677, 22043, 'Ragna Orc Sorcerer', '', 'batur_orc_shaman_a_01te', 11.00, 16.00, 50, 'male', 'L2Monster', 'Mystic', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 6944, 522, 558, 279, 289, 237, 253, 500, 500, 7, 0, 0, 50, 150, '', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.43, 'true', 'NONE', 1, 0),
	(1678, 22044, 'Ragna Orc Sorcerer', '', 'batur_orc_shaman_a_01te', 11.00, 16.00, 50, 'male', 'L2Monster', 'Mystic', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 4892, 368, 558, 279, 289, 237, 253, 500, 500, 7, 0, 0, 50, 150, '', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.43, 'true', 'NONE', 1, 0),
	(1679, 22045, 'Dark Corpse', '', 'zombie_02te', 13.00, 21.00, 40, 'male', 'L2Monster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 1555, 96, 305, 205, 145, 173, 253, 500, 500, 0, 0, 0, 60, 150, 'undead_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.67, 'true', 'NONE', 1, 0),
	(1680, 22046, 'Varangka\'s Dre Vanul', '', 'dre_vanul', 14.00, 36.00, 46, 'male', 'L2Monster', 'Fighter', 40, 1943, 6.000, 708, 2.250, 40, 43, 30, 21, 20, 20, 1720, 116, 442, 248, 223, 210, 253, 0, 500, 0, 0, 0, 80, 100, '', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.30, 'true', 'NONE', 1, 0),
	(1681, 22047, 'Guardian of the Ghost Town', '', 'monster_eye_05te', 21.00, 43.00, 44, 'male', 'L2Monster', 'Mystic', 40, 1799, 5.800, 648, 2.190, 40, 43, 30, 21, 20, 20, 1499, 98, 392, 233, 194, 197, 253, 500, 500, 30, 0, 0, 90, 122, '', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.41, 'true', 'NONE', 1, 0),
	(1682, 22048, 'Dark Spider', '', 'giant_spider_04te', 26.00, 25.50, 42, 'male', 'L2Monster', 'Fighter', 40, 1660, 5.600, 589, 2.130, 40, 43, 30, 21, 20, 20, 1433, 91, 345, 218, 168, 185, 253, 500, 500, 0, 0, 0, 72, 150, '', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.24, 'true', 'NONE', 1, 0),
	(1683, 22049, 'Varangka\'s Succubus', '', 'succubus_05te', 10.00, 36.00, 49, 'female', 'L2Monster', 'Fighter', 40, 2168, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 1951, 138, 526, 271, 271, 230, 253, 0, 500, 0, 0, 0, 70, 174, '', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.30, 'true', 'NONE', 1, 0),
	(1684, 22050, 'Probe Golem Prodigy IV', '', 'golem_microscout', 12.00, 43.50, 46, 'male', 'L2Monster', 'Fighter', 40, 1943, 6.000, 708, 2.250, 40, 43, 30, 21, 20, 20, 4787, 338, 442, 248, 223, 210, 253, 500, 333, 0, 0, 0, 30, 190, '', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.30, 'true', 'NONE', 1, 0),
	(1685, 22051, 'Spelunking Spider', '', 'giant_spider_05te', 26.00, 25.50, 47, 'male', 'L2Monster', 'Fighter', 40, 2017, 6.100, 738, 2.280, 40, 43, 30, 21, 20, 20, 3673, 263, 469, 255, 238, 216, 253, 0, 333, 0, 0, 0, 72, 150, '', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.28, 'true', 'NONE', 1, 0),
	(1686, 22052, 'Menacing Jackhammer Golem', '', 'golem_prop', 23.00, 32.80, 47, 'male', 'L2Monster', 'Fighter', 40, 2017, 6.100, 738, 2.280, 40, 43, 30, 21, 20, 20, 5386, 385, 469, 255, 238, 216, 253, 500, 333, 0, 0, 0, 72, 180, '', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.28, 'true', 'NONE', 1, 0),
	(1687, 22053, 'Horrifying Cannon Golem I', '', 'golem_cannon_catapult', 23.50, 34.70, 48, 'male', 'L2Monster', 'Fighter', 40, 2092, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 5286, 385, 498, 264, 254, 224, 253, 500, 333, 0, 0, 0, 130, 180, '', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.58, 'true', 'NONE', 1, 0),
	(1688, 22054, 'Horrifying Cannon Golem IV', '', 'golem_cannon_catapult', 23.50, 34.70, 48, 'male', 'L2Monster', 'Fighter', 40, 2092, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 5451, 397, 498, 264, 254, 224, 253, 500, 333, 0, 0, 0, 130, 180, '', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.58, 'true', 'NONE', 1, 0),
	(1689, 22055, 'Cruel Vice Golem', '', 'golem_repair', 23.00, 32.80, 49, 'male', 'L2Monster', 'Fighter', 40, 2168, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 5854, 432, 526, 271, 271, 230, 253, 500, 333, 0, 0, 0, 72, 140, '', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'true', 'NONE', 1, 0),
	(1690, 22056, 'Probe Golem Champion I', '', 'golem_microscout', 12.00, 43.50, 49, 'male', 'L2Monster', 'Fighter', 40, 2168, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 5266, 389, 526, 271, 271, 230, 253, 500, 333, 0, 0, 0, 30, 140, '', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'true', 'NONE', 1, 0),
	(1691, 22057, 'Spelunking Ant', '', 'ant_soldier', 35.00, 17.00, 50, 'male', 'L2Monster', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 4157, 312, 558, 279, 289, 237, 253, 500, 333, 0, 0, 0, 80, 150, 'ant_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.58, 'true', 'NONE', 1, 0),
	(1692, 22058, 'Horrifying Excavator Golem III', '', 'golem_carrier', 23.00, 32.80, 51, 'male', 'L2Monster', 'Fighter', 40, 2323, 6.500, 861, 2.400, 40, 43, 30, 21, 20, 20, 6341, 482, 589, 288, 308, 244, 253, 500, 333, 0, 0, 0, 72, 150, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'true', 'NONE', 1, 0),
	(1693, 22059, 'Bloodthirsty Ginzu Golem VII', '', 'golem_guardian_090p', 16.00, 37.20, 51, 'male', 'L2Monster', 'Fighter', 40, 2323, 6.500, 861, 2.400, 40, 43, 30, 21, 20, 20, 17098, 1244, 589, 288, 308, 244, 253, 500, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 1, 0),
	(1694, 22060, 'Horrifying Cannon Golem', '', 'golem_cannon_catapult_a', 23.50, 34.70, 52, 'male', 'L2Monster', 'Fighter', 40, 2402, 6.600, 892, 2.430, 40, 43, 30, 21, 20, 20, 14861, 1116, 622, 296, 327, 251, 253, 500, 500, 0, 0, 0, 88, 132, '', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(1695, 22061, 'Horrifying Cannon Golem III', '', 'golem_microscout_a', 12.00, 43.50, 51, 'male', 'L2Monster', 'Fighter', 40, 2323, 6.500, 861, 2.400, 40, 43, 30, 21, 20, 20, 9404, 716, 589, 288, 308, 244, 253, 0, 500, 0, 0, 0, 35, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(1696, 22062, 'Horrifying Jackhammer Golem', '', 'golem_prop', 23.00, 32.80, 52, 'male', 'L2Monster', 'Fighter', 40, 2402, 6.600, 892, 2.430, 40, 43, 30, 21, 20, 20, 13973, 1032, 622, 296, 327, 251, 253, 500, 500, 0, 0, 0, 88, 132, '', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(1697, 22063, 'Ginzu Golem Prodigy X', '', 'golem_guardian_090p', 16.00, 37.20, 52, 'male', 'L2Monster', 'Fighter', 40, 2402, 6.600, 892, 2.430, 40, 43, 30, 21, 20, 20, 18933, 1394, 622, 296, 327, 251, 253, 500, 500, 0, 0, 0, 88, 132, '', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(1698, 22064, 'Bloodthirsty Ginzu Golem II', '', 'golem_guardian_a_090p', 16.00, 37.20, 52, 'male', 'L2Monster', 'Fighter', 40, 2402, 6.600, 892, 2.430, 40, 43, 30, 21, 20, 20, 17775, 1312, 622, 296, 327, 251, 253, 500, 500, 0, 0, 0, 88, 132, '', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(1699, 22065, 'Horrifying Ginzu Golem V', '', 'golem_guardian', 18.00, 41.50, 53, 'male', 'L2Monster', 'Fighter', 40, 2482, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 18465, 1385, 656, 305, 347, 258, 253, 500, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(1700, 22066, 'Horrifying Cannon Golem VI', '', 'golem_cannon_catapult_a_090p', 21.00, 30.00, 53, 'male', 'L2Monster', 'Fighter', 40, 2482, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 9936, 745, 656, 305, 347, 258, 253, 0, 500, 0, 0, 0, 60, 160, '', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(1701, 22067, 'Horrifying Cannon Golem VI', '', 'golem_cannon_catapult_a_090p', 21.00, 30.00, 53, 'male', 'L2Monster', 'Fighter', 40, 2482, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 9936, 745, 656, 305, 347, 258, 253, 0, 500, 0, 0, 0, 60, 160, '', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(1702, 22068, 'Horrifying Cannon Golem VI', '', 'golem_cannon_catapult_a_090p', 21.00, 30.00, 53, 'male', 'L2Monster', 'Fighter', 40, 2482, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 9936, 745, 656, 305, 347, 258, 253, 0, 500, 0, 0, 0, 88, 132, '', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(1703, 22069, 'Horrifying Cannon Golem VI', '', 'golem_cannon_catapult_a_090p', 21.00, 30.00, 53, 'male', 'L2Monster', 'Fighter', 40, 2482, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 9936, 745, 656, 305, 347, 258, 253, 0, 500, 0, 0, 0, 60, 160, '', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(1704, 22070, 'Horrifying Cannon Golem VI', '', 'golem_cannon_catapult_a_090p', 21.00, 30.00, 53, 'male', 'L2Monster', 'Fighter', 40, 2482, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 9936, 745, 656, 305, 347, 258, 253, 0, 500, 0, 0, 0, 60, 160, '', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(1705, 22071, 'Horrifying Cannon Golem VI', '', 'golem_cannon_catapult_a_090p', 21.00, 30.00, 53, 'male', 'L2Monster', 'Fighter', 40, 2482, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 9936, 745, 656, 305, 347, 258, 253, 0, 500, 0, 0, 0, 60, 160, '', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(1706, 22072, 'Horrifying Cannon Golem VI', '', 'golem_cannon_catapult_a_090p', 21.00, 30.00, 53, 'male', 'L2Monster', 'Fighter', 40, 2482, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 9936, 745, 656, 305, 347, 258, 253, 0, 500, 0, 0, 0, 60, 160, '', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(1707, 22073, 'Horrifying Cannon Golem VI', '', 'golem_cannon_catapult_a_090p', 21.00, 30.00, 53, 'male', 'L2Monster', 'Fighter', 40, 2482, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 9936, 745, 656, 305, 347, 258, 253, 0, 500, 0, 0, 0, 60, 160, '', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(1708, 22074, 'Epic Cannon Golem', '', 'golem_cannon_catapult_a_090p', 21.00, 30.00, 53, 'male', 'L2Monster', 'Fighter', 40, 2482, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 15438, 1178, 656, 305, 347, 258, 253, 500, 500, 0, 0, 0, 88, 132, '', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(1709, 22075, 'Epic Cannon Golem Adjunct', '', 'golem_microscout_a', 12.00, 43.50, 52, 'male', 'L2Monster', 'Fighter', 40, 2402, 6.600, 892, 2.430, 40, 43, 30, 21, 20, 20, 9777, 756, 622, 296, 327, 251, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(1710, 22076, 'Deadly Ginzu Golem V', '', 'golem_guardian', 18.00, 41.50, 53, 'male', 'L2Monster', 'Fighter', 40, 2482, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 18465, 1385, 656, 305, 347, 258, 253, 500, 500, 0, 0, 0, 88, 132, '', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(1711, 22077, 'Horrifying Ginzu Golem VIII', '', 'golem_guardian_a', 18.00, 41.50, 54, 'male', 'L2Monster', 'Fighter', 40, 2562, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 19169, 1458, 692, 314, 368, 266, 253, 500, 500, 0, 0, 0, 88, 132, '', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.74, 'false', 'NONE', 1, 0),
	(1712, 22078, 'Deadly Ginzu Golem VIII', '', 'golem_guardian_a', 18.00, 41.50, 54, 'male', 'L2Monster', 'Fighter', 40, 2562, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 19169, 1458, 692, 314, 368, 266, 253, 500, 500, 0, 0, 0, 88, 132, '', 300, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.74, 'false', 'NONE', 1, 0),
	(1713, 22079, 'Lost Bandersnatch', '', 'bandersnatch_c', 18.00, 25.00, 53, 'male', 'L2Minion', 'Fighter', 40, 2482, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 4295, 331, 656, 305, 347, 258, 253, 0, 500, 0, 0, 0, 88, 132, '', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(1714, 22080, 'Massive Maze Bandersnatch', '', 'bandersnatch', 18.00, 25.00, 54, 'male', 'L2Monster', 'Fighter', 40, 2562, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 4710, 368, 692, 314, 368, 266, 253, 0, 500, 0, 0, 0, 88, 132, '', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(1715, 22081, 'Lost Watcher', '', 'field_stalker', 16.00, 36.00, 53, 'male', 'L2Monster', 'Mystic', 40, 2482, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 4393, 344, 656, 305, 347, 258, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(1716, 22082, 'Elder Lost Watcher', '', 'field_stalker_110p', 16.00, 36.00, 54, 'male', 'L2Monster', 'Mystic', 40, 2562, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 5039, 401, 692, 314, 368, 266, 253, 0, 500, 0, 0, 0, 70, 170, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.19, 'true', 'NONE', 1, 0),
	(1717, 22083, 'Baby Panthera', '', 'saber_toothed_tiger_080p', 29.00, 22.70, 55, 'male', 'L2Minion', 'Fighter', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 4625, 366, 730, 322, 389, 273, 253, 0, 500, 0, 0, 0, 88, 132, '', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(1718, 22084, 'Panthera', '', 'saber_toothed_tiger', 28.00, 29.00, 56, 'male', 'L2Monster', 'Fighter', 40, 2725, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 4795, 386, 769, 331, 412, 280, 253, 500, 500, 0, 0, 0, 88, 132, '', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(1719, 22085, 'Lost Gargoyle', '', 'gargoyle_02te', 16.00, 50.00, 55, 'male', 'L2Monster', 'Fighter', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 4157, 335, 730, 322, 389, 273, 253, 0, 500, 0, 0, 0, 140, 140, '', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.72, 'true', 'NONE', 1, 0),
	(1720, 22086, 'Lost Gargoyle Youngling', '', 'gargoyle_02te_110p', 17.50, 56.00, 56, 'male', 'L2Monster', 'Mystic', 40, 2725, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 4824, 396, 769, 331, 412, 280, 253, 500, 500, 0, 0, 0, 140, 140, '', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.41, 'true', 'NONE', 1, 0),
	(1721, 22087, 'Pronghorn Spirit', '', 'antelope', 17.00, 34.00, 56, 'male', 'L2Monster', 'Fighter', 40, 2725, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 7743, 635, 769, 331, 412, 280, 253, 0, 500, 0, 0, 0, 88, 132, '', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.41, 'false', 'NONE', 0, 0),
	(1722, 22088, 'Pronghorn', '', 'antelope_110p', 19.00, 37.80, 57, 'male', 'L2Monster', 'Pronghorn', 40, 2807, 7.100, 1052, 2.580, 40, 43, 30, 21, 20, 20, 4700, 390, 809, 340, 435, 289, 253, 0, 500, 0, 0, 0, 88, 132, '', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.20, 'true', 'NONE', 1, 0),
	(1723, 22089, 'Ice Tarantula', '', 'giant_spider', 26.00, 25.50, 57, 'male', 'L2Monster', 'Fighter', 40, 2807, 7.100, 1052, 2.580, 40, 43, 30, 21, 20, 20, 5402, 449, 809, 340, 435, 289, 253, 0, 500, 0, 0, 0, 80, 132, '', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.20, 'true', 'NONE', 1, 0),
	(1724, 22090, 'Frost Tarantula', '', 'giant_spider_110p', 32.00, 28.00, 58, 'male', 'L2Monster', 'Fighter', 40, 2889, 7.200, 1085, 2.610, 40, 43, 30, 21, 20, 20, 5593, 472, 851, 350, 459, 296, 253, 0, 500, 0, 0, 0, 88, 132, '', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(1725, 22091, 'Lost Iron Golem', '', 'iron_golem_120p', 22.00, 42.50, 58, 'male', 'L2Minion', 'Fighter', 40, 2889, 7.200, 1085, 2.610, 40, 43, 30, 21, 20, 20, 6029, 498, 851, 350, 459, 296, 253, 0, 500, 0, 0, 0, 88, 132, '', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(1726, 22092, 'Frost Iron Golem', '', 'iron_golem_130p', 25.00, 46.40, 59, 'male', 'L2Monster', 'Fighter', 40, 2972, 7.300, 1118, 2.640, 40, 43, 30, 21, 20, 20, 6239, 521, 894, 359, 484, 305, 253, 500, 500, 0, 0, 0, 88, 132, '', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(1727, 22093, 'Lost Buffalo', '', 'buffalo', 22.00, 31.00, 60, 'male', 'L2Monster', 'Fighter', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 8888, 770, 939, 369, 510, 312, 253, 0, 500, 0, 0, 0, 88, 132, '', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(1728, 22094, 'Frost Buffalo', '', 'buffalo_a_110p', 24.00, 34.70, 61, 'male', 'L2Monster', 'FrostBuffalo', 40, 3137, 7.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 5383, 473, 985, 379, 537, 320, 253, 500, 500, 0, 0, 0, 88, 132, '', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.58, 'true', 'NONE', 1, 0),
	(1729, 22095, 'Ursus Cub', '', 'grizzly', 21.00, 40.00, 61, 'male', 'L2Minion', 'Fighter', 40, 3137, 7.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 5689, 491, 985, 379, 537, 320, 253, 0, 500, 0, 0, 0, 88, 132, '', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(1730, 22096, 'Ursus', '', 'grizzly_120p', 20.00, 48.80, 62, 'male', 'L2Monster', 'Fighter', 40, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 5877, 514, 1033, 389, 565, 329, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.41, 'false', 'NONE', 1, 0),
	(1731, 22097, 'Lost Yeti', '', 'yeti', 15.00, 27.50, 62, 'male', 'L2Monster', 'Fighter', 40, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 6728, 599, 1033, 389, 565, 329, 253, 0, 500, 0, 0, 0, 88, 132, '', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.58, 'true', 'NONE', 1, 0),
	(1732, 22098, 'Frost Yeti', '', 'yeti_110p', 20.00, 29.80, 63, 'male', 'L2Monster', 'Fighter', 40, 3302, 7.700, 1251, 2.760, 40, 43, 30, 21, 20, 20, 6947, 626, 1083, 399, 593, 337, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(1733, 22099, 'Freya\'s Buffalo', '', 'buffalo', 22.00, 31.00, 57, 'male', 'L2Monster', 'Fighter', 40, 2807, 7.100, 1052, 2.580, 40, 43, 30, 21, 20, 20, 31854, 2570, 809, 340, 435, 289, 253, 500, 500, 0, 0, 0, 80, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(1734, 22100, 'Freya\'s Gardener', '', 'field_stalker', 16.00, 36.00, 58, 'male', 'L2Monster', 'Fighter', 40, 2889, 7.200, 1085, 2.610, 40, 43, 30, 21, 20, 20, 37927, 3113, 851, 350, 459, 296, 253, 500, 500, 223, 0, 0, 70, 174, '', 0, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(1735, 22101, 'Freya\'s Servant', '', 'gargoyle_02te', 16.00, 50.00, 58, 'male', 'L2Monster', 'Fighter', 40, 2889, 7.200, 1085, 2.610, 40, 43, 30, 21, 20, 20, 33143, 2723, 851, 350, 459, 296, 253, 500, 500, 223, 0, 0, 70, 174, '', 0, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(1736, 22102, 'Freya\'s Servant', '', 'gargoyle_02te', 16.00, 50.00, 58, 'male', 'L2Monster', 'Fighter', 40, 2889, 7.200, 1085, 2.610, 40, 43, 30, 21, 20, 20, 33143, 2723, 851, 350, 459, 296, 253, 500, 500, 223, 0, 0, 70, 174, '', 0, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(1737, 22103, 'Freya\'s White Bear', '', 'grizzly', 21.00, 40.00, 57, 'male', 'L2Monster', 'Fighter', 40, 2807, 7.100, 1052, 2.580, 40, 43, 30, 21, 20, 20, 33473, 2705, 809, 340, 435, 289, 253, 500, 500, 0, 0, 0, 80, 174, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(1738, 22104, 'Freya\'s Dog', '', 'bandersnatch', 18.00, 25.00, 58, 'male', 'L2Monster', 'Fighter', 40, 2889, 7.200, 1085, 2.610, 40, 43, 30, 21, 20, 20, 34900, 2867, 851, 350, 459, 296, 253, 500, 500, 223, 0, 0, 70, 174, '', 0, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(1739, 22105, 'Spiked Stakato', '', 'blade_stakato_120p', 18.00, 43.20, 72, 'male', 'L2Monster', 'Fighter', 40, 4013, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 30856, 2988, 1612, 494, 899, 418, 253, 500, 500, 0, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(1740, 22106, 'Spiked Stakato Worker', '', 'blade_stakato_worker_120p', 22.00, 48.30, 73, 'male', 'L2Monster', 'Fighter', 40, 4087, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 31719, 3112, 1680, 505, 939, 427, 253, 500, 500, 221, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(1741, 22107, 'Spiked Stakato Guard', '', 'spike_stakato', 16.00, 22.80, 74, 'male', 'L2Monster', 'Fighter', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 32594, 3239, 1750, 517, 980, 437, 253, 500, 500, 123, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(1742, 22108, 'Female Spiked Stakato', '', 'spike_stakato_soldier', 17.00, 30.00, 74, 'male', 'L2Monster', 'Fighter', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 45208, 4534, 1750, 517, 980, 437, 253, 500, 500, 123, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(1743, 22109, 'Male Spiked Stakato', '', 'marsh_stakato_soldier_120p', 18.00, 31.00, 74, 'male', 'L2Monster', 'Fighter', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 44602, 4474, 1750, 517, 980, 437, 253, 500, 500, 135, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(1744, 22110, 'Male Spiked Stakato', '', 'marsh_stakato_soldier_tran', 16.00, 28.40, 74, 'male', 'L2Monster', 'Fighter', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 33935, 3379, 1750, 517, 980, 437, 253, 500, 500, 135, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(1745, 22111, 'Spiked Stakato Sorcerer', '', 'blade_stakato_queen_120p', 24.00, 43.60, 75, 'female', 'L2Monster', 'Fighter', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 32663, 3281, 1823, 528, 1021, 447, 253, 500, 500, 221, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(1746, 22112, 'Cannibalistic Stakato Follower', '', 'spike_stakato_worker', 17.00, 24.00, 74, 'male', 'L2Minion', 'Fighter', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 41268, 4144, 1750, 517, 980, 437, 253, 500, 500, 223, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(1747, 22113, 'Cannibalistic Stakato Leader', '', 'cannibal_stakato_leader_120p', 24.00, 48.80, 75, 'male', 'L2Monster', 'Fighter', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 51731, 5243, 1823, 528, 1021, 447, 253, 500, 500, 0, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(1748, 22114, 'Cannibalistic Stakato Leader', '', 'cannibal_stakato_leader_tran', 40.00, 42.00, 75, 'male', 'L2Monster', 'Fighter', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 34858, 3512, 1823, 528, 1021, 447, 253, 0, 500, 0, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(1749, 22115, 'Spiked Stakato Soldier', '', 'blade_stakato_120p', 18.00, 43.20, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 28650, 2920, 2088, 594, 1170, 503, 253, 500, 500, 0, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(1750, 22116, 'Spiked Stakato Drone', '', 'blade_stakato_drone_120p', 28.00, 47.30, 77, 'male', 'L2Monster', 'Fighter', 40, 4364, 9.100, 1747, 3.180, 40, 43, 30, 21, 20, 20, 29409, 3034, 2173, 606, 1219, 514, 253, 500, 500, 235, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.56, 'false', 'NONE', 1, 0),
	(1751, 22117, 'Spiked Stakato Captain', '', 'marsh_stakato_drone_120p', 14.00, 29.10, 78, 'male', 'L2Monster', 'Fighter', 40, 4429, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 30177, 3149, 2259, 620, 1268, 525, 253, 500, 500, 234, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.43, 'false', 'NONE', 1, 0),
	(1752, 22118, 'Spiked Stakato Nurse', '', 'marsh_stakato_queen_120p', 26.00, 43.80, 78, 'female', 'L2Monster', 'Fighter', 40, 4536, 9.200, 1840, 3.210, 40, 43, 30, 21, 20, 20, 41892, 4464, 2259, 620, 1268, 525, 253, 150, 500, 132, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(1753, 22119, 'Spiked Stakato Nurse', '', 'marsh_stakato_queen_tran', 16.00, 28.40, 78, 'female', 'L2Monster', 'Fighter', 40, 4536, 9.200, 1840, 3.210, 40, 43, 30, 21, 20, 20, 31155, 3293, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(1754, 22120, 'Spiked Stakato Baby', '', 'spike_stakato_drone', 16.00, 29.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4536, 9.200, 1840, 3.210, 40, 43, 30, 21, 20, 20, 39719, 4242, 2259, 620, 1268, 525, 253, 150, 500, 235, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(1755, 22121, 'Spiked Stakato Shaman', '', 'blade_stakato_queen_120p', 24.00, 43.60, 78, 'female', 'L2Monster', 'Mystic', 40, 4642, 9.200, 1896, 3.210, 40, 43, 30, 21, 20, 20, 30969, 3310, 2259, 620, 1268, 525, 253, 500, 500, 221, 0, 0, 20, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(1756, 22122, 'Monastic Pilgrim', '', 'angel_080p', 12.00, 27.80, 78, 'male', 'L2Minion', 'Fighter', 40, 4642, 9.200, 1896, 3.210, 40, 43, 30, 21, 20, 20, 41281, 4464, 2259, 620, 1268, 525, 253, 0, 500, 148, 0, 0, 48, 200, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(1757, 22123, 'Monastic Crusader', '', 'archangel_050p', 13.00, 37.50, 78, 'male', 'L2Monster', 'Fighter', 80, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 41690, 4558, 2259, 620, 1268, 525, 253, 150, 500, 97, 0, 0, 35, 170, 'mos_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.54, 'false', 'NONE', 1, 0),
	(1758, 22124, 'Solina Brother', '', 'solina_brother', 9.00, 23.40, 78, 'male', 'L2Monster', 'MoSMonk', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 33265, 3601, 2259, 620, 1268, 525, 253, 200, 500, 8212, 0, 0, 30, 175, 'mos_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.49, 'false', 'NONE', 1, 0),
	(1759, 22125, 'Solina Lay Brother', '', 'solina_brother', 9.00, 23.40, 78, 'male', 'L2Monster', 'MoSMonk', 40, 4757, 9.200, 1973, 3.210, 40, 43, 30, 21, 20, 20, 33305, 3644, 2259, 620, 1268, 525, 253, 200, 500, 8212, 0, 0, 27, 160, 'mos_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 1, 0),
	(1760, 22126, 'Silent Seeker', '', 'solina_father', 11.00, 25.40, 78, 'male', 'L2Monster', 'MoSMonk', 40, 4757, 9.200, 1973, 3.210, 40, 43, 30, 21, 20, 20, 34092, 3734, 2259, 620, 1268, 525, 253, 200, 500, 8213, 0, 0, 27, 160, 'mos_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 1, 0),
	(1761, 22127, 'Silent Brother', '', 'solina_father', 11.00, 25.40, 78, 'male', 'L2Monster', 'MoSMonk', 40, 4811, 9.200, 2012, 3.210, 40, 43, 30, 21, 20, 20, 34122, 3778, 2259, 620, 1268, 525, 253, 200, 500, 8213, 0, 0, 30, 175, 'mos_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.49, 'false', 'NONE', 1, 0),
	(1762, 22128, 'Monastery Guardian', '', 'grail_protection', 9.00, 15.60, 78, 'male', 'L2Monster', 'RndTeleportFighter', 40, 4811, 9.200, 2012, 3.210, 40, 43, 30, 21, 20, 20, 9741, 1132, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 30, 165, 'mos_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(1763, 22129, 'Warrior Monk', '', 'monk_warrior', 12.00, 28.40, 78, 'male', 'L2Monster', 'MoSMonk', 40, 4862, 9.200, 2052, 3.210, 40, 43, 30, 21, 20, 20, 35775, 4012, 2259, 625, 1268, 525, 253, 200, 500, 8211, 8210, 0, 34, 175, 'mos_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(1764, 22130, 'Divine Advocate', '', 'apostle_warrior', 8.00, 30.00, 78, 'female', 'L2Minion', 'Fighter', 40, 4910, 9.200, 2091, 3.210, 40, 43, 30, 21, 20, 20, 52227, 5990, 2259, 635, 1268, 525, 253, 0, 500, 6717, 0, 0, 45, 185, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.46, 'false', 'NONE', 1, 0),
	(1765, 22131, 'Pilgrim of Light', '', 'apostle_mage', 11.00, 38.50, 78, 'male', 'L2Minion', 'Mystic', 40, 4910, 9.200, 2091, 3.210, 40, 43, 30, 21, 20, 20, 56598, 6488, 2259, 635, 1268, 525, 253, 0, 500, 6718, 0, 0, 45, 185, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.46, 'false', 'NONE', 1, 0),
	(1766, 22132, 'Judge of Light', '', 'apostle_grail_a', 13.00, 47.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4955, 9.200, 2131, 3.210, 40, 43, 30, 21, 20, 20, 37163, 4257, 2259, 645, 1268, 525, 253, 500, 500, 8220, 0, 0, 88, 132, 'mos_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.51, 'false', 'NONE', 1, 0),
	(1767, 22133, 'Guardian of the Grail', '', 'will_o_wisp', 13.00, 22.00, 78, 'male', 'L2Monster', 'RndTeleportFighter', 40, 4955, 9.200, 2131, 3.210, 40, 43, 30, 21, 20, 20, 13890, 1672, 2259, 645, 1268, 525, 253, 500, 500, 0, 0, 0, 24, 180, 'mos_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.51, 'false', 'NONE', 1, 0),
	(1768, 22134, 'Guardian of the Holy Land', '', 'solina_priest', 14.00, 34.50, 78, 'male', 'L2Monster', 'Fighter', 40, 4998, 9.200, 2170, 3.210, 40, 43, 30, 21, 20, 20, 37490, 4352, 2259, 686, 1268, 557, 253, 0, 500, 8214, 0, 0, 24, 180, 'mos_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.51, 'false', 'NONE', 1, 0),
	(1769, 22135, 'Beholder of Light', '', 'apostle_grail', 13.00, 47.00, 78, 'male', 'L2Monster', 'Fighter', 80, 4998, 9.200, 2170, 3.210, 40, 43, 30, 21, 20, 20, 60962, 7152, 2259, 686, 1268, 557, 253, 500, 500, 8221, 0, 0, 24, 180, 'mos_clan', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.51, 'false', 'NONE', 1, 0),
	(1770, 22136, 'Gatekeeper Zombie', '', 'zombie_gateguard', 17.00, 30.50, 78, 'male', 'L2Npc', 'npc', 40, 4811, 9.700, 2012, 3.360, 40, 43, 30, 21, 20, 20, 35842, 3964, 1959, 613, 947, 498, 253, 300, 500, 8217, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(1771, 22137, 'Penance Guard', '', 'zombie_gateguard_brd', 40.00, 30.50, 78, 'male', 'L2Monster', 'PaganGuard', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 3681, 397, 2259, 620, 1268, 525, 253, 100, 555, 8217, 0, 0, 50, 120, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(1772, 22138, 'Chapel Guard', '', 'zombie_gateguard_brd', 40.00, 30.50, 78, 'male', 'L2Monster', 'PaganGuard', 40, 4910, 9.200, 2091, 3.210, 40, 43, 30, 21, 20, 20, 4054, 458, 2259, 635, 1268, 525, 253, 100, 600, 8217, 0, 0, 50, 120, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(1773, 22139, 'Old Aristocrat\'s Soldier', '', 'zombie_enlisted_man', 17.00, 22.30, 78, 'male', 'L2Monster', 'Mystic', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 33132, 3573, 2259, 620, 1268, 525, 253, 0, 555, 8216, 0, 0, 50, 120, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 1, 0),
	(1774, 22140, 'Zombie Worker', '', 'zombie_laborer', 11.00, 24.60, 78, 'male', 'L2Monster', 'Mystic', 40, 4642, 9.200, 1896, 3.210, 40, 43, 30, 21, 20, 20, 32319, 3446, 2259, 620, 1268, 525, 253, 0, 555, 123, 0, 0, 60, 130, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 1, 0),
	(1775, 22141, 'Forgotten Victim', '', 'zombie_laborer', 11.00, 24.60, 78, 'male', 'L2Monster', 'Mystic', 40, 4642, 9.200, 1896, 3.210, 40, 43, 30, 21, 20, 20, 33394, 3566, 2259, 620, 1268, 525, 253, 0, 555, 123, 0, 0, 60, 130, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 1, 0),
	(1776, 22142, 'Triol\'s Layperson', '', 'heretic_privates_a', 7.70, 28.40, 78, 'male', 'L2Monster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 33855, 3651, 2259, 620, 1268, 525, 253, 300, 555, 8207, 8207, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(1777, 22143, 'Triol\'s Believer', '', 'heretic_privates', 7.70, 28.40, 78, 'male', 'L2Monster', 'Mystic', 80, 4757, 9.200, 1973, 3.210, 40, 43, 30, 21, 20, 20, 39134, 4296, 2259, 620, 1268, 525, 253, 0, 555, 8205, 0, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(1778, 22144, 'Resurrected Temple Knight', '', 'zombie_enlisted_man', 17.00, 22.30, 78, 'male', 'L2Monster', 'Fighter', 40, 4757, 9.200, 1973, 3.210, 40, 43, 30, 21, 20, 20, 33955, 3705, 2259, 620, 1268, 525, 253, 300, 555, 0, 0, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(1779, 22145, 'Ritual Sacrifice', '', 'self_blaster', 9.00, 25.80, 78, 'male', 'L2Monster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 32635, 3520, 2259, 620, 1268, 525, 253, 0, 555, 0, 0, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 1, 0),
	(1780, 22146, 'Triol\'s Priest', '', 'heretic_privates', 7.70, 28.40, 78, 'male', 'L2Monster', 'Mystic', 80, 4862, 9.200, 2052, 3.210, 40, 43, 30, 21, 20, 20, 36409, 4068, 2259, 625, 1268, 525, 253, 300, 555, 8205, 0, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 1, 0),
	(1781, 22147, 'Ritual Offering', '', 'zombie_enlisted_man', 17.00, 22.30, 78, 'male', 'L2Monster', 'Fighter', 40, 4811, 9.200, 2012, 3.210, 40, 43, 30, 21, 20, 20, 35945, 3976, 2259, 620, 1268, 525, 253, 0, 555, 0, 0, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 1, 0),
	(1782, 22148, 'Triol\'s Believer', '', 'heretic_privates', 7.70, 28.40, 78, 'male', 'L2Monster', 'Fighter', 80, 4757, 9.200, 1973, 3.210, 40, 43, 30, 21, 20, 20, 28321, 3091, 2259, 620, 1268, 525, 253, 300, 555, 8205, 0, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 0, 0),
	(1783, 22149, 'Ritual Offering', '', 'zombie_enlisted_man', 17.00, 22.30, 78, 'male', 'L2Monster', 'Fighter', 40, 4757, 9.200, 1973, 3.210, 40, 43, 30, 21, 20, 20, 33955, 3705, 2259, 620, 1268, 525, 253, 0, 555, 0, 0, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 1, 0),
	(1784, 22150, 'Triol\'s Believer', '', 'heretic_privates', 7.70, 28.40, 78, 'male', 'L2Monster', 'Fighter', 80, 4811, 9.200, 2012, 3.210, 40, 43, 30, 21, 20, 20, 29760, 3290, 2259, 620, 1268, 525, 253, 300, 555, 8205, 0, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 0, 0),
	(1785, 22151, 'Triol\'s Priest', '', 'heretic_privates', 7.70, 28.40, 78, 'male', 'L2Monster', 'Mystic', 80, 4910, 9.200, 2091, 3.210, 40, 43, 30, 21, 20, 20, 42050, 4783, 2259, 635, 1268, 525, 253, 300, 555, 8205, 0, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 1, 0),
	(1786, 22152, 'Temple Guard', '', 'zombie_em_knight', 17.00, 22.30, 78, 'male', 'L2Monster', 'Fighter', 80, 4862, 9.200, 2052, 3.210, 40, 43, 30, 21, 20, 20, 36817, 4121, 2259, 625, 1268, 525, 253, 300, 555, 8215, 8219, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 1, 0),
	(1787, 22153, 'Temple Guard Captain', '', 'zombie_em_knight', 17.00, 22.30, 78, 'male', 'L2Monster', 'Fighter', 80, 4862, 9.200, 2052, 3.210, 40, 43, 30, 21, 20, 20, 35631, 3981, 2259, 625, 1268, 525, 253, 300, 555, 8215, 0, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 1, 0),
	(1788, 22154, 'Ritual Sacrifice', '', 'self_blaster', 9.00, 25.80, 78, 'male', 'L2Monster', 'Fighter', 40, 4910, 9.200, 2091, 3.210, 40, 43, 30, 21, 20, 20, 35937, 4063, 2259, 635, 1268, 525, 253, 0, 555, 0, 0, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 1, 0),
	(1789, 22155, 'Triol\'s High Priest', '', 'heretic_priest_a', 7.70, 28.40, 78, 'male', 'L2Monster', 'Fighter', 40, 4910, 9.200, 2091, 3.210, 40, 43, 30, 21, 20, 20, 51240, 5877, 2259, 635, 1268, 525, 253, 300, 555, 8206, 8206, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 1, 0),
	(1790, 22156, 'Triol\'s Priest', '', 'heretic_privates', 7.70, 28.40, 78, 'male', 'L2Monster', 'Mystic', 80, 4955, 9.200, 2131, 3.210, 40, 43, 30, 21, 20, 20, 46329, 5392, 2259, 645, 1268, 525, 253, 300, 555, 8205, 0, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 1, 0),
	(1791, 22157, 'Triol\'s Priest', '', 'heretic_privates', 7.70, 28.40, 78, 'male', 'L2Monster', 'Mystic', 80, 4910, 9.200, 2091, 3.210, 40, 43, 30, 21, 20, 20, 44390, 5102, 2259, 635, 1268, 525, 253, 300, 555, 8205, 0, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 1, 0),
	(1792, 22158, 'Triol\'s Believer', '', 'heretic_privates_a', 7.70, 28.40, 78, 'male', 'L2Monster', 'Fighter', 40, 4910, 9.200, 2091, 3.210, 40, 43, 30, 21, 20, 20, 45257, 5205, 2259, 635, 1268, 525, 253, 300, 555, 8207, 8207, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 1, 0),
	(1793, 22159, 'Triol\'s High Priest', '', 'heretic_priest_a', 7.70, 28.40, 78, 'male', 'L2Monster', 'Fighter', 40, 4955, 9.200, 2131, 3.210, 40, 43, 30, 21, 20, 20, 52452, 6087, 2259, 645, 1268, 525, 253, 300, 555, 8206, 8206, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 1, 0),
	(1794, 22160, 'Triol\'s Priest', '', 'heretic_privates', 7.70, 28.40, 78, 'male', 'L2Monster', 'Mystic', 80, 4955, 9.200, 2131, 3.210, 40, 43, 30, 21, 20, 20, 46329, 5392, 2259, 645, 1268, 525, 253, 300, 555, 8205, 0, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 1, 0),
	(1795, 22161, 'Ritual Sacrifice', '', 'self_blaster', 9.00, 25.80, 78, 'male', 'L2Monster', 'Fighter', 40, 4910, 9.200, 2091, 3.210, 40, 43, 30, 21, 20, 20, 52497, 6034, 2259, 635, 1268, 525, 253, 0, 555, 0, 0, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 1, 0),
	(1796, 22162, 'Triol\'s Believer', '', 'heretic_privates_a', 7.70, 28.40, 78, 'male', 'L2Monster', 'Fighter', 40, 4910, 9.200, 2091, 3.210, 40, 43, 30, 21, 20, 20, 45257, 5205, 2259, 635, 1268, 525, 253, 300, 555, 8207, 8207, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 1, 0),
	(1797, 22163, 'Triol\'s High Priest', '', 'heretic_priest', 8.00, 19.60, 78, 'male', 'L2Monster', 'Fighter', 40, 4955, 9.200, 2131, 3.210, 40, 43, 30, 21, 20, 20, 60848, 7048, 2259, 645, 1268, 525, 253, 300, 555, 8208, 0, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 1, 0),
	(1798, 22164, 'Triol\'s Believer', '', 'heretic_privates_a', 7.70, 28.40, 78, 'male', 'L2Monster', 'Fighter', 40, 4955, 9.200, 2131, 3.210, 40, 43, 30, 21, 20, 20, 46329, 5392, 2259, 645, 1268, 525, 253, 300, 555, 8207, 8207, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 1, 0),
	(1799, 22165, 'Triol\'s Priest', '', 'heretic_privates', 7.70, 28.40, 78, 'male', 'L2Monster', 'Mystic', 80, 4910, 9.200, 2091, 3.210, 40, 43, 30, 21, 20, 20, 44390, 5102, 2259, 635, 1268, 525, 253, 300, 555, 8205, 0, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 1, 0),
	(1800, 22166, 'Triol\'s Believer', '', 'heretic_privates', 7.70, 28.40, 78, 'male', 'L2Monster', 'Mystic', 80, 4910, 9.200, 2091, 3.210, 40, 43, 30, 21, 20, 20, 44390, 5102, 2259, 635, 1268, 525, 253, 300, 555, 8205, 0, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 1, 0),
	(1801, 22167, 'Triol\'s High Priest', '', 'heretic_priest_a', 7.70, 28.40, 78, 'male', 'L2Monster', 'Fighter', 40, 4998, 9.200, 2170, 3.210, 40, 43, 30, 21, 20, 20, 53679, 6304, 2259, 686, 1268, 557, 253, 300, 555, 8206, 8206, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 1, 0),
	(1802, 22168, 'Triol\'s Priest', '', 'heretic_privates', 7.70, 28.40, 78, 'male', 'L2Monster', 'Mystic', 80, 4998, 9.200, 2170, 3.210, 40, 43, 30, 21, 20, 20, 46504, 5473, 2259, 686, 1268, 557, 253, 300, 555, 8205, 0, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 1, 0),
	(1803, 22169, 'Ritual Sacrifice', '', 'self_blaster', 9.00, 25.80, 78, 'male', 'L2Monster', 'Fighter', 40, 4955, 9.200, 2131, 3.210, 40, 43, 30, 21, 20, 20, 53740, 6251, 2259, 645, 1268, 525, 253, 0, 555, 0, 0, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 1, 0),
	(1804, 22170, 'Triol\'s Believer', '', 'heretic_privates_a', 7.70, 28.40, 78, 'male', 'L2Monster', 'Fighter', 40, 4955, 9.200, 2131, 3.210, 40, 43, 30, 21, 20, 20, 46329, 5392, 2259, 645, 1268, 525, 253, 300, 555, 8207, 8207, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 1, 0),
	(1805, 22171, 'Triol\'s High Priest', '', 'heretic_priest', 8.00, 19.60, 78, 'male', 'L2Monster', 'Fighter', 40, 4998, 9.200, 2170, 3.210, 40, 43, 30, 21, 20, 20, 62272, 7299, 2259, 686, 1268, 557, 253, 300, 555, 8208, 0, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 1, 0),
	(1806, 22172, 'Ritual Sacrifice', '', 'self_blaster', 9.00, 25.80, 78, 'male', 'L2Monster', 'Fighter', 40, 4955, 9.200, 2131, 3.210, 40, 43, 30, 21, 20, 20, 53740, 6251, 2259, 645, 1268, 525, 253, 0, 555, 0, 0, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 1, 0),
	(1807, 22173, 'Triol\'s Priest', '', 'heretic_privates', 7.70, 28.40, 78, 'male', 'L2Monster', 'Mystic', 80, 4955, 9.200, 2131, 3.210, 40, 43, 30, 21, 20, 20, 45441, 5285, 2259, 645, 1268, 525, 253, 300, 555, 8205, 0, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 1, 0),
	(1808, 22174, 'Triol\'s Priest', '', 'heretic_privates', 7.70, 28.40, 78, 'male', 'L2Monster', 'Mystic', 80, 4910, 9.200, 2091, 3.210, 40, 43, 30, 21, 20, 20, 45257, 5205, 2259, 635, 1268, 525, 253, 300, 555, 8205, 0, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 1, 0),
	(1809, 22175, 'Andreas\' Captain of the Royal Guard', '', 'zombie_em_knight', 17.00, 22.30, 78, 'male', 'L2Monster', 'Fighter', 80, 4910, 9.200, 2091, 3.210, 40, 43, 30, 21, 20, 20, 1871, 211, 2259, 635, 1268, 525, 253, 500, 555, 8215, 0, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 1, 0),
	(1810, 22176, 'Andreas\' Royal Guards', '', 'zombie_em_knight', 17.00, 22.30, 78, 'male', 'L2Monster', 'Fighter', 80, 4910, 9.200, 2091, 3.210, 40, 43, 30, 21, 20, 20, 1871, 211, 2259, 635, 1268, 525, 253, 500, 555, 8215, 0, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 1, 0),
	(1811, 22188, 'Andreas\' Captain of the Royal Guard', '', 'heretic_priest_120p', 13.00, 23.20, 78, 'male', 'L2Monster', 'Fighter', 40, 4998, 10.100, 2170, 3.480, 40, 43, 30, 21, 20, 20, 36967, 4356, 2259, 686, 1268, 557, 253, 500, 555, 8208, 0, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 1, 0),
	(1812, 22189, 'Andreas\' Royal Guards', '', 'heretic_privates_120p', 13.00, 34.00, 78, 'male', 'L2Monster', 'Mystic', 80, 4955, 9.400, 2131, 3.270, 40, 43, 30, 21, 20, 20, 29554, 3460, 2686, 712, 1509, 603, 253, 500, 555, 8205, 0, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 1, 0),
	(1813, 22190, 'Ritual Sacrifice', '', 'self_blaster', 9.00, 25.80, 78, 'male', 'L2Monster', 'Fighter', 40, 4955, 9.400, 2131, 3.270, 40, 43, 30, 21, 20, 20, 34316, 4015, 2686, 712, 1509, 603, 253, 0, 555, 0, 0, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 1, 0),
	(1814, 22191, 'Andreas\' Captain of the Royal Guard', '', 'heretic_priest_120p', 13.00, 23.20, 78, 'male', 'L2Monster', 'Fighter', 40, 4998, 9.400, 2170, 3.270, 40, 43, 30, 21, 20, 20, 16894, 1956, 2259, 686, 1268, 557, 253, 300, 555, 8208, 0, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 0, 0),
	(1815, 22192, 'Andreas\' Royal Guards', '', 'heretic_privates_120p', 13.00, 34.00, 78, 'male', 'L2Monster', 'Fighter', 80, 4955, 9.400, 2131, 3.270, 40, 43, 30, 21, 20, 20, 8875, 1069, 2259, 645, 1268, 525, 253, 500, 555, 8205, 0, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 0, 0),
	(1816, 22193, 'Andreas\' Royal Guards', '', 'heretic_privates_120p', 13.00, 34.00, 78, 'male', 'L2Monster', 'Fighter', 80, 4955, 9.400, 2131, 3.270, 40, 43, 30, 21, 20, 20, 8875, 1069, 2259, 645, 1268, 525, 253, 500, 555, 8205, 0, 0, 61, 180, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 0, 0),
	(1817, 22194, 'Penance Guard', '', 'zombie_gateguard_slp', 40.00, 22.00, 78, 'male', 'L2Monster', 'PaganGuard', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 3681, 397, 2259, 620, 1268, 525, 253, 100, 555, 8217, 0, 0, 50, 120, 'pagan_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(1818, 22195, 'Ritual Sacrifice', '', 'self_blaster', 20.00, 31.00, 78, 'male', 'L2SpecialMonster', 'Mystic', 40, 4701, 11.300, 1935, 3.840, 40, 43, 30, 21, 20, 20, 32635, 3520, 3109, 755, 1839, 651, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(1819, 22196, 'Velociraptor', '', 'velociraptor', 19.00, 47.20, 80, 'male', 'L2SpecialMonster', 'Fighter', 40, 56079, 9.400, 2214, 3.270, 40, 43, 30, 21, 20, 20, 121028, 13156, 7302, 1310, 3599, 532, 253, 1000, 500, 0, 0, 0, 88, 188, 'dino', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(1820, 22197, 'Velociraptor', '', 'velociraptor', 19.00, 47.20, 80, 'male', 'L2Minion', 'Fighter', 40, 28040, 9.400, 2214, 3.270, 40, 43, 30, 21, 20, 20, 52998, 5737, 3651, 1310, 1796, 603, 253, 1000, 500, 0, 0, 0, 88, 188, 'dino', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(1821, 22198, 'Velociraptor', '', 'velociraptor', 19.00, 47.20, 80, 'male', 'L2SpecialMonster', 'Fighter', 40, 56079, 9.400, 2214, 3.270, 40, 43, 30, 21, 20, 20, 121028, 13156, 7302, 1310, 3599, 532, 253, 1000, 500, 0, 0, 0, 88, 188, 'dino', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(1822, 22199, 'Pterosaur', '', 'rhamphorhynchus', 36.00, 43.70, 80, 'male', 'L2SpecialMonster', 'Fighter', 40, 112798, 9.400, 2277, 3.270, 40, 43, 30, 21, 20, 20, 211561, 23272, 14888, 1336, 7406, 543, 253, 1000, 500, 0, 0, 0, 88, 188, 'dino', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(1823, 22200, 'Ornithomimus', '', 'ornithomimus', 15.00, 37.20, 80, 'male', 'L2SpecialMonster', 'Fighter', 40, 27716, 9.400, 2092, 3.270, 40, 43, 30, 21, 20, 20, 52474, 5548, 3511, 1258, 1699, 511, 253, 1000, 500, 0, 0, 0, 88, 188, 'dino', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(1824, 22201, 'Ornithomimus', '', 'ornithomimus', 15.00, 37.20, 80, 'male', 'L2Minion', 'Fighter', 40, 27716, 9.400, 2092, 3.270, 40, 43, 30, 21, 20, 20, 52474, 5548, 3511, 1258, 1699, 603, 253, 1000, 500, 0, 0, 0, 88, 188, 'dino', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(1825, 22202, 'Ornithomimus', '', 'ornithomimus', 15.00, 37.20, 80, 'male', 'L2Minion', 'Fighter', 40, 27716, 9.400, 2092, 3.270, 40, 43, 30, 21, 20, 20, 52474, 5548, 3511, 1258, 1699, 603, 253, 1000, 500, 0, 0, 0, 88, 188, 'dino', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(1826, 22203, 'Deinonychus', '', 'deinonychus', 14.00, 14.30, 80, 'male', 'L2SpecialMonster', 'Fighter', 40, 27526, 9.400, 2032, 3.270, 40, 43, 30, 21, 20, 20, 50391, 5265, 3443, 1232, 1650, 500, 253, 1000, 500, 0, 0, 0, 88, 188, 'dino', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(1827, 22204, 'Deinonychus', '', 'deinonychus', 14.00, 14.30, 80, 'male', 'L2Minion', 'Fighter', 40, 27526, 9.400, 2032, 3.270, 40, 43, 30, 21, 20, 20, 49141, 5134, 3443, 1232, 1650, 603, 253, 1000, 500, 0, 0, 0, 88, 188, 'dino', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(1828, 22205, 'Deinonychus', '', 'deinonychus', 14.00, 14.30, 80, 'male', 'L2Minion', 'Fighter', 40, 27526, 9.400, 2032, 3.270, 40, 43, 30, 21, 20, 20, 50391, 5265, 3443, 1232, 1650, 603, 253, 1000, 500, 0, 0, 0, 88, 188, 'dino', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(1829, 22208, 'Pachycephalosaurus', '', 'pachycephalosaurus', 22.00, 40.00, 80, 'male', 'L2SpecialMonster', 'Fighter', 40, 27908, 9.400, 2152, 3.270, 40, 43, 30, 21, 20, 20, 58551, 6267, 3581, 1284, 1745, 521, 253, 1000, 500, 0, 0, 0, 88, 188, 'dino', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(1830, 22209, 'Pachycephalosaurus', '', 'pachycephalosaurus', 22.00, 40.00, 80, 'male', 'L2Minion', 'Fighter', 40, 27908, 9.400, 2152, 3.270, 40, 43, 30, 21, 20, 20, 53848, 5761, 3581, 1284, 1745, 603, 253, 1000, 500, 0, 0, 0, 88, 188, 'dino', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(1831, 22210, 'Pachycephalosaurus', '', 'pachycephalosaurus', 22.00, 40.00, 80, 'male', 'L2Minion', 'Fighter', 40, 27908, 9.400, 2152, 3.270, 40, 43, 30, 21, 20, 20, 58551, 6267, 3581, 1284, 1745, 603, 253, 1000, 500, 0, 0, 0, 88, 188, 'dino', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(1832, 22211, 'Wild Strider', '', 'wild_giant_strider', 32.00, 44.20, 80, 'male', 'L2SpecialMonster', 'Fighter', 40, 27908, 9.400, 2152, 3.270, 40, 43, 30, 21, 20, 20, 55133, 5899, 3581, 1284, 1745, 521, 253, 1000, 500, 0, 0, 0, 88, 188, 'dino', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(1833, 22212, 'Wild Strider', '', 'wild_giant_strider', 32.00, 44.20, 80, 'male', 'L2Minion', 'Fighter', 40, 27908, 9.400, 2152, 3.270, 40, 43, 30, 21, 20, 20, 52897, 5659, 3581, 1284, 1745, 603, 253, 1000, 500, 0, 0, 0, 88, 188, 'dino', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(1834, 22213, 'Wild Strider', '', 'wild_giant_strider', 32.00, 44.20, 80, 'male', 'L2Minion', 'Fighter', 40, 27908, 9.400, 2152, 3.270, 40, 43, 30, 21, 20, 20, 55133, 5899, 3581, 1284, 1745, 603, 253, 1000, 500, 0, 0, 0, 88, 188, 'dino', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(1835, 22214, 'Elroki', '', 'Crokian_Officer', 25.00, 33.00, 80, 'male', 'L2Monster', 'Fighter', 40, 3290, 9.400, 1674, 3.270, 40, 43, 30, 21, 20, 20, 14514, 2715, 3581, 1284, 1745, 521, 253, 1000, 500, 0, 0, 0, 88, 188, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(1836, 22215, 'Tyrannosaurus', '', 'tyranosaurus', 60.00, 89.70, 80, 'male', 'L2SpecialMonster', 'Tyrannosaurus', 40, 340753, 9.400, 2277, 3.270, 40, 43, 30, 21, 20, 20, 634684, 69817, 17528, 1336, 7406, 543, 253, 1000, 500, 0, 0, 0, 88, 188, 'dino', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(1837, 22216, 'Tyrannosaurus', '', 'tyranosaurus', 60.00, 89.70, 80, 'male', 'L2SpecialMonster', 'Tyrannosaurus', 40, 340753, 9.400, 2277, 3.270, 40, 43, 30, 21, 20, 20, 634684, 69817, 17528, 1336, 7406, 543, 253, 1000, 500, 0, 0, 0, 88, 188, 'dino', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(1838, 22217, 'Tyrannosaurus', '', 'tyranosaurus', 60.00, 89.70, 80, 'male', 'L2SpecialMonster', 'Tyrannosaurus', 40, 340753, 9.400, 2277, 3.270, 40, 43, 30, 21, 20, 20, 634684, 69817, 17528, 1336, 7406, 543, 253, 1000, 500, 0, 0, 0, 88, 188, 'dino', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(1839, 22218, 'Velociraptor', '', 'velociraptor', 19.00, 47.20, 80, 'male', 'L2Minion', 'Fighter', 40, 28040, 9.400, 2214, 3.270, 40, 43, 30, 21, 20, 20, 49871, 5397, 3651, 1310, 1796, 603, 253, 1000, 500, 0, 0, 0, 88, 188, 'dino', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(1840, 22219, 'Ornithomimus', '', 'ornithomimus', 15.00, 37.20, 80, 'male', 'L2Minion', 'Fighter', 40, 27716, 9.400, 2092, 3.270, 40, 43, 30, 21, 20, 20, 47784, 5050, 3511, 1258, 1699, 603, 253, 1000, 500, 0, 0, 0, 88, 188, 'dino', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(1841, 22220, 'Deinonychus', '', 'deinonychus', 14.00, 14.30, 80, 'male', 'L2Minion', 'Fighter', 40, 27526, 9.400, 2032, 3.270, 40, 43, 30, 21, 20, 20, 41590, 4341, 3443, 1232, 1650, 603, 253, 1000, 500, 0, 0, 0, 88, 188, 'dino', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(1842, 22221, 'Pachycephalosaurus', '', 'pachycephalosaurus', 22.00, 40.00, 80, 'male', 'L2Minion', 'Fighter', 40, 27908, 9.400, 2092, 3.270, 40, 43, 30, 21, 20, 20, 46213, 4884, 3511, 1258, 1699, 603, 253, 1000, 500, 0, 0, 0, 88, 188, 'dino', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(1843, 22222, 'Wild Strider', '', 'wild_giant_strider', 32.00, 44.20, 80, 'male', 'L2Minion', 'Fighter', 40, 27908, 9.400, 2152, 3.270, 40, 43, 30, 21, 20, 20, 45958, 4914, 3581, 1284, 1745, 603, 253, 1000, 500, 0, 0, 0, 88, 188, 'dino', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(1844, 22223, 'Velociraptor', '', 'velociraptor', 19.00, 47.20, 80, 'male', 'L2Minion', 'Fighter', 40, 28040, 9.400, 2214, 3.270, 40, 43, 30, 21, 20, 20, 52034, 5632, 3651, 1310, 1796, 603, 253, 1000, 500, 0, 0, 0, 88, 188, 'dino', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(1845, 22224, 'Ornithomimus', '', 'ornithomimus', 15.00, 37.20, 80, 'male', 'L2SpecialMonster', 'Fighter', 40, 27716, 9.400, 2092, 3.270, 40, 43, 30, 21, 20, 20, 49052, 5185, 3511, 1258, 1699, 511, 253, 1000, 500, 0, 0, 0, 88, 188, 'dino', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(1846, 22225, 'Deinonychus', '', 'deinonychus', 14.00, 14.30, 80, 'male', 'L2Minion', 'Fighter', 40, 27526, 9.400, 2032, 3.270, 40, 43, 30, 21, 20, 20, 45515, 4753, 3443, 1232, 1650, 603, 253, 1000, 500, 0, 0, 0, 88, 188, 'dino', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(1847, 22226, 'Pachycephalosaurus', '', 'pachycephalosaurus', 22.00, 40.00, 80, 'male', 'L2Monster', 'Fighter', 40, 3290, 9.400, 1674, 3.270, 40, 43, 30, 21, 20, 20, 14514, 2715, 3581, 1284, 1745, 521, 253, 500, 500, 0, 0, 0, 88, 188, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(1848, 22227, 'Wild Strider', '', 'wild_giant_strider', 32.00, 44.20, 80, 'male', 'L2Monster', 'Fighter', 40, 3290, 9.400, 1674, 3.270, 40, 43, 30, 21, 20, 20, 14514, 2715, 3581, 1284, 1745, 521, 253, 500, 500, 0, 0, 0, 88, 188, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(1849, 22228, 'Grey Elpy', '', 'LineageMonster.elpy', 5.00, 4.50, 1, 'male', 'L2Monster', 'Elpy', 40, 63, 1.500, 44, 0.900, 40, 43, 30, 21, 20, 20, 35, 2, 9, 44, 7, 35, 253, 0, 500, 0, 0, 0, 50, 80, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 1, 0),
	(1850, 22229, 'Young Grey Keltir', '', 'LineageMonster.keltir', 9.50, 10.00, 1, 'male', 'L2Monster', 'Fighter', 40, 63, 1.500, 44, 0.900, 40, 43, 30, 21, 20, 20, 35, 2, 9, 44, 7, 35, 253, 0, 500, 0, 0, 0, 23, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(1851, 22230, 'Grey Keltir', '', 'LineageMonster.keltir', 9.50, 10.00, 2, 'male', 'L2Monster', 'Fighter', 40, 76, 1.600, 52, 0.930, 40, 43, 30, 21, 20, 20, 70, 2, 11, 45, 7, 36, 253, 0, 500, 0, 0, 0, 23, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(1852, 22231, 'Dominant Grey Keltir', '', 'LineageMonster.keltir', 9.50, 10.00, 3, 'male', 'L2Monster', 'Fighter', 40, 91, 1.700, 61, 0.960, 40, 43, 30, 21, 20, 20, 106, 2, 13, 47, 7, 38, 253, 0, 500, 0, 0, 0, 23, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(1853, 22232, 'Black Wolf', '', 'LineageMonster.wolf', 13.00, 9.00, 4, 'male', 'L2Monster', 'Fighter', 40, 108, 1.800, 69, 0.990, 40, 43, 30, 21, 20, 20, 141, 3, 14, 48, 7, 39, 253, 0, 500, 0, 0, 0, 24, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'true', 'NONE', 1, 0),
	(1854, 22233, 'Dominant Black Wolf', '', 'LineageMonster.wolf_bi', 13.00, 10.80, 5, 'male', 'L2Monster', 'Fighter', 40, 127, 1.900, 77, 1.020, 40, 43, 30, 21, 20, 20, 176, 4, 16, 50, 7, 41, 253, 0, 500, 0, 0, 0, 24, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'true', 'NONE', 1, 0),
	(1855, 22234, 'Green Goblin', '', 'LineageMonster.goblin', 10.00, 16.50, 6, 'male', 'L2Monster', 'Fighter', 40, 148, 2.000, 86, 1.050, 40, 43, 30, 21, 20, 20, 211, 5, 17, 53, 7, 43, 253, 0, 500, 4, 0, 0, 40, 110, 'goblin_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.32, 'true', 'NONE', 1, 0),
	(1856, 22235, 'Mountain Werewolf', '', 'LineageMonster.werewolf', 10.00, 26.00, 7, 'male', 'L2Monster', 'Fighter', 40, 171, 2.100, 94, 1.080, 40, 43, 30, 21, 20, 20, 248, 8, 19, 55, 7, 44, 253, 0, 500, 5, 0, 0, 50, 120, 'werewolf_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.43, 'true', 'NONE', 1, 0),
	(1857, 22236, 'Muertos Archer', '', 'LineageMonster4.Mostro_Gunner', 15.00, 24.50, 8, 'male', 'L2Monster', 'Ranger', 700, 197, 2.200, 103, 1.110, 40, 43, 30, 21, 20, 20, 281, 9, 21, 58, 10, 46, 253, 0, 500, 10128, 0, 0, 36, 110, 'muestos_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.80, 'true', 'NONE', 1, 0),
	(1858, 22237, 'Mountain Fungus', '', 'LineageMonster.walking_fungus', 15.00, 22.50, 9, 'male', 'L2Monster', 'Fighter', 40, 226, 2.300, 112, 1.140, 40, 43, 30, 21, 20, 20, 319, 10, 23, 60, 11, 48, 253, 0, 500, 0, 0, 0, 70, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'true', 'NONE', 1, 0),
	(1859, 22238, 'Mountain Werewolf Chief', '', 'LineageMonster.werewolf_bi', 11.00, 29.70, 10, 'male', 'L2Monster', 'Fighter', 40, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 354, 12, 25, 62, 8, 51, 253, 500, 500, 5, 0, 0, 50, 120, 'werewolf_clan', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.43, 'true', 'NONE', 1, 0),
	(1860, 22239, 'Muertos Guard', '', 'LineageMonster4.Mostro_Fighter', 15.50, 22.50, 11, 'male', 'L2Monster', 'Fighter', 40, 293, 2.500, 129, 1.200, 40, 43, 30, 21, 20, 20, 387, 14, 28, 65, 9, 54, 253, 0, 500, 0, 0, 0, 36, 120, 'muertos_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(1861, 22240, 'Muertos Scout', '', 'LineageMonster4.Mostro_Fighter', 15.50, 22.50, 12, 'male', 'L2Monster', 'Fighter', 40, 315, 2.600, 138, 1.230, 40, 43, 30, 21, 20, 20, 423, 15, 30, 68, 14, 56, 253, 0, 500, 0, 0, 0, 36, 120, 'muertos_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'true', 'NONE', 1, 0),
	(1862, 22241, 'Colossus', '', 'LineageMonster.Stone_golem', 20.00, 31.00, 13, 'male', 'L2Monster', 'Mystic', 40, 339, 2.700, 147, 1.260, 40, 43, 30, 21, 20, 20, 566, 22, 34, 71, 12, 59, 253, 0, 500, 0, 0, 0, 23, 23, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'true', 'NONE', 1, 0),
	(1863, 22242, 'Muertos Warrior', '', 'LineageMonster4.Mostro_Fighter', 15.50, 22.50, 14, 'male', 'L2Monster', 'Fighter', 40, 364, 2.800, 156, 1.290, 40, 43, 30, 21, 20, 20, 490, 19, 37, 75, 13, 61, 253, 300, 500, 0, 0, 0, 36, 110, 'muertos_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.76, 'true', 'NONE', 1, 0),
	(1864, 22243, 'Muertos Captain', '', 'LineageMonster4.Mostro_Fighter', 15.50, 22.50, 15, 'male', 'L2Monster', 'Fighter', 40, 390, 2.900, 166, 1.320, 40, 43, 30, 21, 20, 20, 528, 21, 41, 78, 19, 64, 253, 0, 500, 0, 0, 0, 36, 110, 'muertos_clan', 250, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.30, 'true', 'NONE', 1, 0),
	(1865, 22244, 'Crimson Spider', '', 'LineageMonster.giant_spider_05te', 26.00, 25.50, 16, 'male', 'L2Monster', 'Fighter', 40, 418, 3.000, 175, 1.350, 40, 43, 30, 21, 20, 20, 564, 22, 45, 81, 16, 67, 253, 0, 500, 0, 0, 0, 72, 130, 'crimson_clan', 250, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.26, 'true', 'NONE', 1, 0),
	(1866, 22245, 'Muertos Lieutenant', '', 'LineageMonster4.Mostro_Fighter', 15.50, 22.50, 17, 'male', 'L2Monster', 'Fighter', 40, 446, 3.100, 184, 1.380, 40, 43, 30, 21, 20, 20, 599, 25, 49, 84, 22, 70, 253, 300, 500, 0, 0, 0, 36, 120, 'muertos_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(1867, 22246, 'Muertos Commander', '', 'LineageMonster4.Mostro_Fighter', 15.50, 22.50, 18, 'male', 'L2Monster', 'Fighter', 40, 477, 3.200, 194, 1.410, 40, 43, 30, 21, 20, 20, 633, 27, 54, 88, 20, 74, 253, 500, 500, 0, 0, 0, 36, 120, 'muertos_clan', 250, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 0, 0),
	(1868, 22247, 'Grotto Golem', '', 'LineageMonster.Stone_golem', 20.00, 31.00, 15, 'male', 'L2Monster', 'Fighter', 40, 390, 2.900, 166, 1.320, 40, 43, 30, 21, 20, 20, 1108, 43, 41, 78, 19, 64, 253, 500, 500, 0, 0, 0, 23, 23, 'grotto_clan', 250, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'true', 'NONE', 1, 0),
	(1869, 22248, 'Shady Muertos', '', 'LineageMonster4.Mostro_Fighter', 15.50, 22.50, 15, 'male', 'L2Monster', 'Fighter', 40, 390, 3.400, 166, 1.470, 40, 43, 30, 21, 20, 20, 821, 31, 65, 96, 21, 80, 253, 0, 500, 0, 0, 0, 80, 120, 'muertos_clan', 250, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1870, 22249, 'Shady Muertos Guard', '', 'LineageMonster4.Mostro_Gunner', 15.00, 24.50, 16, 'male', 'L2Monster', 'Ranger', 700, 418, 3.000, 175, 1.350, 40, 43, 30, 21, 20, 20, 877, 33, 45, 81, 16, 67, 253, 0, 500, 10128, 0, 0, 36, 110, 'muertos_clan', 250, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.72, 'true', 'NONE', 1, 0),
	(1871, 22250, 'Grotto Leopard', '', 'LineageMonster.Onyx_beast', 14.00, 14.50, 16, 'male', 'L2Monster', 'Fighter', 40, 418, 3.000, 175, 1.350, 40, 43, 30, 21, 20, 20, 877, 33, 45, 81, 16, 67, 253, 0, 500, 0, 0, 0, 30, 140, 'grotto_clan', 250, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.24, 'true', 'NONE', 1, 0),
	(1872, 22251, 'Shady Muertos Captain', '', 'LineageMonster4.Mostro_Fighter', 15.50, 22.50, 17, 'male', 'L2Monster', 'Fighter', 40, 446, 3.100, 184, 1.380, 40, 43, 30, 21, 20, 20, 928, 37, 49, 84, 22, 70, 253, 0, 500, 0, 0, 0, 36, 110, 'muertos_clan', 250, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(1873, 22252, 'Grotto Grizzly', '', 'LineageMonster.Grizzly', 21.00, 40.00, 17, 'male', 'L2Monster', 'Fighter', 40, 446, 3.100, 184, 1.380, 40, 43, 30, 21, 20, 20, 925, 36, 49, 84, 22, 70, 253, 0, 500, 0, 0, 0, 40, 110, 'grotto_clan', 250, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(1874, 22253, 'Shady Muertos Warrior', '', 'LineageMonster4.Mostro_Fighter', 15.50, 22.50, 18, 'male', 'L2Monster', 'Fighter', 40, 477, 3.200, 194, 1.410, 40, 43, 30, 21, 20, 20, 981, 40, 54, 88, 20, 74, 253, 0, 500, 0, 0, 0, 36, 110, 'muertos_clan', 250, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(1875, 22254, 'Shady Muertos Archer', '', 'LineageMonster4.Mostro_Gunner', 15.00, 24.50, 18, 'male', 'L2Monster', 'Ranger', 700, 477, 3.200, 194, 1.410, 40, 43, 30, 21, 20, 20, 983, 40, 54, 88, 20, 74, 253, 0, 500, 10128, 0, 0, 36, 110, 'muertos_clan', 250, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.80, 'true', 'NONE', 1, 0),
	(1876, 22255, 'Shady Muertos Commander', '', 'LineageMonster4.Mostro_Fighter', 15.50, 22.50, 19, 'male', 'L2Monster', 'Fighter', 40, 508, 3.300, 203, 1.440, 40, 43, 30, 21, 20, 20, 1039, 44, 59, 91, 26, 77, 253, 0, 500, 0, 0, 0, 36, 110, 'muertos_clan', 250, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'true', 'NONE', 1, 0),
	(1877, 22256, 'Shady Muertos Wizard', '', 'LineageMonster4.Mostro_Fighter', 15.50, 22.50, 19, 'male', 'L2Monster', 'Mystic', 40, 508, 3.300, 203, 1.440, 40, 43, 30, 21, 20, 20, 1145, 48, 59, 91, 26, 77, 253, 0, 500, 0, 0, 0, 36, 110, 'muertos_clan', 250, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.56, 'true', 'NONE', 1, 0),
	(1878, 22257, 'Island Guardian', '', 'LineageMonster.light_worm_250p', 12.00, 45.00, 78, 'male', 'L2Monster', 'IsleOfPrayerMystic', 40, 4429, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 12616, 1380, 2259, 620, 1268, 525, 253, 0, 500, 0, 0, 0, 60, 160, 'parnassus_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.43, 'true', 'NONE', 1, 0),
	(1879, 22258, 'White Sand Mirage', '', 'LineageMonster.undine', 12.00, 27.00, 79, 'female', 'L2Monster', 'IsleOfPrayerMystic', 40, 4491, 9.300, 1822, 3.240, 40, 43, 30, 21, 20, 20, 12941, 1434, 2350, 633, 1319, 536, 253, 300, 500, 0, 0, 0, 80, 120, 'parnassus_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'true', 'NONE', 1, 0),
	(1880, 22259, 'Muddy Coral', '', 'LineageMonster.theeder_120p', 13.00, 38.00, 80, 'male', 'L2Monster', 'IsleOfPrayerFighter', 80, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 14100, 1582, 2686, 712, 1509, 603, 253, 100, 500, 192, 0, 0, 80, 160, 'parnassus_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(1881, 22260, 'Kleopora', '', 'LineageMonster.gargoyle_02te', 16.00, 50.00, 80, 'male', 'L2Monster', 'IsleOfPrayerMystic', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 11681, 1311, 2686, 712, 1509, 603, 253, 100, 500, 0, 0, 0, 80, 120, 'parnassus_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(1882, 22261, 'Seychelles', '', 'LineageMonster.water_giant_120p', 15.00, 52.00, 81, 'male', 'L2Monster', 'IsleOfPrayerMystic', 40, 4609, 9.500, 1897, 3.300, 40, 43, 30, 21, 20, 20, 12333, 1366, 2791, 727, 1570, 615, 253, 0, 500, 5132, 0, 0, 75, 160, 'parnassus_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(1883, 22262, 'Naiad', '', 'LineageMonster4.tears', 20.00, 27.50, 81, 'female', 'L2Monster', 'IsleOfPrayerMystic', 40, 4609, 9.500, 1897, 3.300, 40, 43, 30, 21, 20, 20, 12486, 1383, 2791, 727, 1570, 615, 253, 0, 500, 9638, 9638, 0, 60, 180, 'parnassus_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(1884, 22263, 'Sonneratia', '', 'LineageMonster.onyx_beast_bi', 14.00, 18.70, 82, 'male', 'L2Monster', 'IsleOfPrayerFighter', 40, 4664, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 14725, 1610, 2896, 741, 1630, 628, 253, 100, 500, 0, 0, 0, 30, 180, 'parnassus_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(1885, 22264, 'Castalia', '', 'LineageMonster4.tears_d', 20.00, 27.50, 82, 'female', 'L2Monster', 'IsleOfPrayerFighter', 40, 4664, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 13089, 1431, 2896, 741, 1630, 628, 253, 100, 500, 9638, 9638, 0, 60, 180, 'parnassus_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(1886, 22265, 'Chrysocolla', '', 'LineageMonster4.Crystal_Golem', 27.00, 47.00, 83, 'male', 'L2Monster', 'IsleOfPrayerMystic', 40, 4717, 9.700, 1973, 3.360, 40, 43, 30, 21, 20, 20, 15492, 1673, 3306, 834, 1862, 704, 253, 300, 500, 0, 0, 0, 54, 170, 'parnassus_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(1887, 22266, 'Pythia', '', 'LineageMonster4.tears', 20.00, 27.50, 83, 'female', 'L2Monster', 'IsleOfPrayerMystic', 40, 4717, 9.700, 1973, 3.360, 40, 43, 30, 21, 20, 20, 13801, 1490, 3306, 834, 1862, 704, 253, 150, 500, 9638, 9638, 0, 22, 181, 'parnassus_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 1, 0),
	(1888, 22267, 'Dark Water Dragon', '', 'LineageMonster3.antaras_ex_b', 42.00, 34.50, 83, 'male', 'L2SpecialMonster', 'DarkWaterDragon', 40, 103599, 9.700, 1973, 3.360, 40, 43, 30, 21, 20, 20, 158536, 17121, 11441, 974, 5319, 1186, 253, 300, 500, 0, 0, 0, 33, 181, 'parnassus_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(1889, 22268, 'Shade', '', 'LineageMonster4.eyeless', 36.00, 43.50, 82, 'male', 'L2Monster', 'Shade', 40, 4664, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 10249, 1120, 2896, 741, 1630, 628, 253, 420, 500, 0, 0, 0, 49, 192, 'parnassus_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1890, 22269, 'Shade', '', 'LineageMonster4.eyeless', 36.00, 43.50, 82, 'male', 'L2Monster', 'Shade', 40, 4664, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 10351, 1131, 2896, 741, 1630, 628, 253, 420, 500, 0, 0, 0, 49, 192, 'parnassus_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1891, 22270, 'Water Dragon Detractor', '', 'LineageMonster4.Eyeless', 36.00, 43.50, 82, 'male', 'L2Monster', 'Fighter', 40, 4664, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 11436, 1250, 2896, 741, 1630, 628, 253, 500, 500, 0, 0, 0, 49, 192, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1892, 22271, 'Water Dragon Detractor', '', 'LineageMonster4.Eyeless', 36.00, 43.50, 82, 'male', 'L2Monster', 'Fighter', 40, 4664, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 11436, 1250, 2896, 741, 1630, 628, 253, 500, 500, 0, 0, 0, 49, 192, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1893, 22272, 'Beleth\'s Minion', '', 'LineageMonster.vale_master', 12.00, 40.00, 82, 'male', 'L2SpecialMonster', 'Fighter', 40, 4664, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 16531, 1728, 1958, 697, 1258, 564, 253, 500, 500, 210, 0, 0, 49, 192, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'SOUL_BSPIRIT', 0, 0),
	(1894, 22273, 'Beleth\'s Minion', '', 'LineageMonster.silhouette', 8.00, 23.00, 82, 'female', 'L2SpecialMonster', 'Fighter', 40, 4664, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 15997, 1670, 1958, 697, 1258, 564, 253, 500, 500, 0, 0, 0, 49, 192, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'SOUL_BSPIRIT', 0, 0),
	(1895, 22274, 'Beleth\'s Minion', '', 'LineageMonster.shadeless', 7.00, 28.00, 82, 'male', 'L2SpecialMonster', 'Fighter', 40, 4664, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 16319, 1705, 1958, 697, 1258, 564, 253, 500, 500, 0, 0, 0, 49, 192, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'SOUL_BSPIRIT', 0, 0),
	(1896, 22275, 'Gatekeeper Lohan', '', 'LineageMonster3.Jungle_Bleeze', 60.00, 47.00, 81, 'female', 'L2SpecialMonster', 'Fighter', 40, 52146, 9.500, 1897, 3.300, 40, 43, 30, 21, 20, 20, 96272, 10663, 11673, 940, 5427, 1145, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1897, 22276, 'Gatekeeper of the Square', '', 'LineageMonster4.Crystal_Golem', 20.00, 47.00, 81, 'male', 'L2SpecialMonster', 'Fighter', 40, 4609, 9.500, 1897, 3.300, 40, 43, 30, 21, 20, 20, 28314, 2999, 2136, 588, 1398, 499, 253, 300, 500, 92, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1898, 22277, 'Gatekeeper Provo', '', 'LineageMonster2.lava_golem', 22.00, 45.00, 81, 'male', 'L2SpecialMonster', 'Fighter', 40, 52146, 9.500, 1897, 3.300, 40, 43, 30, 21, 20, 20, 96272, 10663, 11673, 940, 5427, 1145, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1899, 22278, 'Gatekeeper of Fire', '', 'LineageMonster4.Crystal_Golem', 20.00, 47.00, 81, 'male', 'L2SpecialMonster', 'Fighter', 40, 4609, 9.500, 1897, 3.300, 40, 43, 30, 21, 20, 20, 28314, 2999, 2195, 588, 1398, 478, 253, 300, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1900, 22279, 'Chromatic Detainee', '', 'LineageMonster3.Crokian_Officer', 25.00, 33.00, 81, 'male', 'L2SpecialMonster', 'Fighter', 40, 4609, 9.500, 1897, 3.300, 40, 43, 30, 21, 20, 20, 27781, 2932, 2235, 598, 1418, 572, 253, 300, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1901, 22280, 'Rodo Knight', '', 'LineageMonster4.Crystal_Golem', 20.00, 47.00, 82, 'male', 'L2Monster', 'Fighter', 40, 4664, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 15937, 1663, 2896, 741, 1630, 628, 253, 0, 500, 0, 0, 0, 80, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1902, 22281, 'Plaza Caiman', '', 'LineageMonster3.Crokian_Officer', 25.00, 33.00, 82, 'male', 'L2SpecialMonster', 'Fighter', 40, 17352, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 13121, 1370, 13704, 957, 6371, 1166, 253, 0, 500, 0, 0, 0, 20, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1903, 22282, 'Chromatic Detainee', '', 'LineageMonster3.Crokian_Officer', 25.00, 33.00, 81, 'male', 'L2SpecialMonster', 'Fighter', 40, 4609, 9.500, 1897, 3.300, 40, 43, 30, 21, 20, 20, 27781, 2932, 2235, 598, 1418, 572, 253, 300, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1904, 22283, 'Emerald Alligar', '', 'LineageMonster3.Crokian_Officer', 25.00, 33.00, 82, 'male', 'L2Monster', 'Fighter', 40, 17352, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 13121, 1370, 13704, 957, 6371, 1166, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1905, 22284, 'Chromatic Detainee', '', 'LineageMonster.blade_stakato', 15.00, 36.00, 81, 'male', 'L2SpecialMonster', 'Fighter', 40, 4609, 9.500, 1897, 3.300, 40, 43, 30, 21, 20, 20, 26651, 2807, 2235, 598, 1418, 572, 253, 300, 500, 243, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1906, 22285, 'Chromatic Detainee', '', 'LineageMonster.blade_stakato', 15.00, 36.00, 81, 'male', 'L2SpecialMonster', 'Fighter', 40, 4609, 9.500, 1897, 3.300, 40, 43, 30, 21, 20, 20, 28709, 3035, 2235, 598, 1418, 572, 253, 300, 500, 243, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1907, 22286, 'Plaza Gaviel', '', 'LineageMonster3.Crokian_Officer', 25.00, 33.00, 82, 'male', 'L2Monster', 'Fighter', 40, 17352, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 13121, 1370, 13704, 957, 6371, 1166, 253, 0, 500, 0, 0, 0, 20, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1908, 22287, 'Crystalline Unicorn', '', 'LineageMonster.unicorn', 14.00, 30.00, 82, 'male', 'L2SpecialMonster', 'Fighter', 40, 4664, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 34503, 3583, 2765, 598, 1674, 498, 253, 0, 500, 0, 0, 0, 80, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1909, 22288, 'Emerald Boar', '', 'LineageMonster.giant_wild_hog', 25.00, 27.00, 82, 'male', 'L2SpecialMonster', 'Fighter', 40, 4664, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 37724, 3936, 2865, 598, 1727, 512, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1910, 22289, 'Plaza Helm', '', 'LineageMonster2.ketra_warbeast', 20.00, 33.50, 82, 'male', 'L2SpecialMonster', 'Fighter', 40, 4664, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 36334, 3792, 2675, 598, 1653, 487, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1911, 22290, 'Terod\'s Minion', '', 'LineageMonster4.eyeless_080p', 20.00, 35.00, 82, 'male', 'L2SpecialMonster', 'Fighter', 40, 17352, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 101261, 11072, 13704, 978, 6371, 1166, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1912, 22291, 'Weylin\'s Minion', '', 'LineageMonster4.eyeless_080p', 20.00, 35.00, 82, 'male', 'L2SpecialMonster', 'Fighter', 40, 17352, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 95185, 10408, 13704, 957, 6371, 1166, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1913, 22292, 'Tourmaline', '', 'LineageMonster4.Crystal_Golem', 20.00, 47.00, 82, 'male', 'L2Monster', 'Fighter', 40, 4664, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 34122, 3731, 2896, 741, 1630, 628, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1914, 22293, 'Spinel', '', 'LineageMonster.stone_golem', 20.00, 31.00, 82, 'male', 'L2Monster', 'Fighter', 40, 4664, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 30840, 3224, 2896, 741, 1630, 628, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1915, 22294, 'Fire Opal', '', 'LineageMonster4.Crystal_Golem', 20.00, 47.00, 82, 'male', 'L2Monster', 'Fighter', 40, 4664, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 34122, 3731, 2896, 741, 1630, 628, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1916, 22295, 'Reef Golem', '', 'LineageMonster4.Crystal_Golem', 20.00, 47.00, 82, 'male', 'L2Monster', 'Fighter', 40, 17352, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 99513, 10881, 13704, 957, 6371, 1166, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1917, 22296, 'Reef Golem', '', 'LineageMonster4.Crystal_Golem', 20.00, 47.00, 82, 'male', 'L2Monster', 'Fighter', 40, 17352, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 104675, 11446, 13704, 957, 6371, 1166, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1918, 22297, 'Reef Golem', '', 'LineageMonster4.Crystal_Golem', 20.00, 47.00, 82, 'male', 'L2Monster', 'Fighter', 40, 17352, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 103023, 11265, 13704, 957, 6371, 1166, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1919, 22298, 'Weylin', '', 'LineageMonster.banshee_30_bi', 10.00, 27.50, 82, 'female', 'L2Monster', 'Fighter', 40, 52055, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 164166, 17951, 11789, 957, 5477, 1166, 253, 0, 500, 3939, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1920, 22299, 'Dolph', '', 'LineageMonster.pan_100_bi', 42.00, 73.00, 82, 'male', 'L2Monster', 'Fighter', 80, 103968, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 189054, 20673, 11338, 957, 5268, 1166, 253, 0, 500, 213, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1921, 22300, 'Dolph\'s Minion', '', 'LineageMonster4.eyeless_080p', 20.00, 35.00, 82, 'male', 'L2Monster', 'Fighter', 40, 4664, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 34451, 3767, 2896, 741, 1630, 628, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1922, 22301, 'Terod', '', 'LineageMonster.doll_master_20_bi', 24.00, 50.40, 82, 'male', 'L2Monster', 'Fighter', 40, 52055, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 190311, 20810, 11789, 957, 5477, 1166, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1923, 22302, 'Darnel\'s Guardian', '', 'LineageMonster.pixy_bi', 10.00, 54.00, 82, 'female', 'L2Minion', 'Fighter', 40, 52055, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 182298, 19934, 11789, 2968, 6521, 2511, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1924, 22303, 'Guardian of the Square', '', 'LineageMonster3.ice_fairy', 16.00, 35.60, 82, 'female', 'L2Monster', 'Fighter', 40, 52055, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 190116, 20789, 11789, 957, 5477, 1166, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1925, 22304, 'Guardian of the Emerald', '', 'LineageMonster.blue_eye_150p', 13.00, 26.00, 82, 'male', 'L2Monster', 'Fighter', 40, 52055, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 190922, 20877, 11789, 957, 5477, 1166, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1926, 22305, 'Kechi\'s Captain', '', 'LineageMonster.field_stalker_110p', 15.00, 30.00, 82, 'male', 'L2Monster', 'Fighter', 40, 17352, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 34650, 3789, 13704, 957, 6371, 1166, 253, 0, 500, 0, 0, 0, 80, 120, 'Kechi_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1927, 22306, 'Kechi\'s Captain', '', 'LineageMonster2.lava_golem', 22.00, 45.00, 82, 'male', 'L2Monster', 'Fighter', 40, 17352, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 88071, 9156, 13704, 957, 6371, 1166, 253, 0, 500, 0, 0, 0, 80, 165, 'Kechi_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1928, 22307, 'Kechi\'s Captain', '', 'LineageMonster3.Steel_Trapper', 35.00, 46.38, 82, 'male', 'L2Monster', 'Fighter', 40, 52055, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 190926, 19906, 11789, 957, 5477, 1166, 253, 0, 500, 0, 0, 0, 80, 165, 'Kechi_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1929, 22308, 'Kechi\'s Guard', '', 'LineageMonster.mana_vampire_120p', 11.00, 27.00, 82, 'male', 'L2Monster', 'Fighter', 40, 4664, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 30391, 3173, 2896, 741, 1630, 628, 253, 0, 500, 0, 0, 0, 80, 120, 'Kechi_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1930, 22309, 'Kechi\'s Guard', '', 'LineageMonster.blade_stakato_soldier', 15.00, 38.00, 82, 'male', 'L2Monster', 'Fighter', 40, 4664, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 42319, 4434, 2896, 741, 1630, 628, 253, 0, 500, 148, 0, 0, 80, 120, 'Kechi_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1931, 22310, 'Kechi\'s Guard', '', 'LineageMonster3.portrait_spirit_150p', 23.00, 52.00, 82, 'male', 'L2Monster', 'Fighter', 40, 4664, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 39903, 4170, 2896, 741, 1630, 628, 253, 0, 500, 0, 0, 0, 80, 120, 'Kechi_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1932, 22311, 'Parme\'s Guardian', '', 'LineageMonster.riba', 25.00, 72.00, 83, 'female', 'L2Monster', 'Fighter', 40, 51870, 9.700, 1973, 3.360, 40, 43, 30, 21, 20, 20, 180237, 18511, 11903, 974, 5534, 1186, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1933, 22312, 'Fafurion\'s Henchman', '', 'LineageMonster.raikel', 37.00, 64.00, 83, 'male', 'L2Monster', 'Fighter', 40, 51870, 9.700, 1973, 3.360, 40, 43, 30, 21, 20, 20, 190928, 20619, 11903, 974, 5534, 1186, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1934, 22313, 'Garden Stakato', '', 'LineageMonster.blade_stakato_drone', 15.00, 39.00, 83, 'male', 'L2Monster', 'Fighter', 40, 17290, 9.700, 1973, 3.360, 40, 43, 30, 21, 20, 20, 60929, 6262, 13866, 974, 6447, 1186, 253, 0, 500, 134, 0, 0, 25, 195, 'garden', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1935, 22314, 'Garden Poison Moth', '', 'LineageMonster4.Anthias', 20.00, 41.00, 83, 'male', 'L2Monster', 'Fighter', 40, 17290, 9.700, 1973, 3.360, 40, 43, 30, 21, 20, 20, 59615, 6120, 13866, 974, 6447, 1186, 253, 0, 500, 0, 0, 0, 80, 160, 'garden', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1936, 22315, 'Garden Guard', '', 'LineageMonster.water_giant', 13.00, 44.00, 83, 'male', 'L2Monster', 'Fighter', 80, 17290, 9.700, 1973, 3.360, 40, 43, 30, 21, 20, 20, 34896, 3768, 13866, 974, 6447, 1186, 253, 0, 500, 5132, 0, 0, 35, 174, 'garden', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1937, 22316, 'Garden Guardian Tree', '', 'LineageMonster3.Jungle_Bleeze', 60.00, 47.00, 83, 'female', 'L2Monster', 'Fighter', 40, 17290, 9.700, 1973, 3.360, 40, 43, 30, 21, 20, 20, 100984, 10905, 13866, 974, 6447, 1186, 253, 0, 500, 0, 0, 0, 55, 165, 'garden', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1938, 22317, 'Garden Castalia', '', 'LineageMonster4.tears_d', 20.00, 27.50, 83, 'female', 'L2Monster', 'Fighter', 40, 17290, 9.700, 1973, 3.360, 40, 43, 30, 21, 20, 20, 14993, 1556, 13866, 974, 6447, 1186, 253, 0, 500, 9639, 9639, 0, 60, 180, 'garden', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1939, 22320, 'Junior Watchman', '', 'LineageMonster4.eyeless', 36.00, 43.50, 83, 'male', 'L2SpecialMonster', 'Fighter', 40, 51870, 9.700, 1973, 3.360, 40, 43, 30, 21, 20, 20, 163197, 17624, 11903, 974, 5534, 1186, 253, 500, 333, 0, 0, 0, 60, 180, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(1940, 22321, 'Junior Summoner', '', 'LineageMonster2.vampire_witch', 6.00, 21.50, 83, 'female', 'L2SpecialMonster', 'Mystic', 40, 51870, 9.700, 1973, 3.360, 40, 43, 30, 21, 20, 20, 155632, 16807, 11903, 974, 5534, 1186, 253, 500, 333, 946, 0, 0, 64, 180, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(1941, 22322, 'Subjugated Native', '', 'LineageNPC.a_common_peopleC_Mhuman', 8.00, 23.50, 83, 'male', 'L2Monster', 'Fighter', 40, 6060, 9.700, 1973, 3.360, 40, 43, 30, 21, 20, 20, 11381, 1207, 2250, 609, 1047, 494, 253, 0, 333, 8219, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1942, 22323, 'Charmed Native', '', 'LineageNPC.a_common_peopleC_Mhuman', 8.00, 23.50, 83, 'male', 'L2Monster', 'Fighter', 40, 6060, 9.700, 1973, 3.360, 40, 43, 30, 21, 20, 20, 11746, 1247, 2250, 609, 1047, 494, 253, 0, 333, 8528, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1943, 22324, 'Blind Huntsman', '', 'LineageMonster4.eyeless_080p', 20.00, 35.00, 83, 'male', 'L2SpecialMonster', 'Fighter', 40, 6060, 9.700, 1973, 3.360, 40, 43, 30, 21, 20, 20, 28644, 2983, 2250, 609, 1047, 494, 253, 500, 333, 0, 0, 0, 60, 200, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(1944, 22325, 'Blind Watchman', '', 'LineageMonster4.eyeless_080p', 20.00, 35.00, 83, 'male', 'L2SpecialMonster', 'Fighter', 40, 6060, 9.700, 1973, 3.360, 40, 43, 30, 21, 20, 20, 25716, 2667, 2250, 609, 1047, 494, 253, 500, 333, 0, 0, 0, 60, 200, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(1945, 22326, 'Hellinark', 'Naia\'s Guardian', 'LineageMonster.karik', 25.00, 90.00, 84, 'male', 'L2RaidBoss', 'Fighter', 40, 530976, 9.800, 2011, 3.390, 40, 43, 30, 21, 20, 20, 2629658, 267913, 16098, 991, 7480, 1207, 253, 0, 3819, 0, 0, 0, 80, 200, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.37, 'false', 'NONE', 0, 1),
	(1946, 22327, 'Arcane Scout', '', 'LineageMonster.dark_mahum', 13.00, 26.00, 83, 'male', 'L2SpecialMonster', 'Fighter', 40, 103599, 9.700, 1973, 3.360, 40, 43, 30, 21, 20, 20, 320392, 34601, 11441, 974, 5319, 1186, 253, 500, 333, 234, 0, 0, 80, 180, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(1947, 22328, 'Arcane Guardian', '', 'LineageMonster3.Succubus_Raid', 12.00, 30.70, 83, 'female', 'L2SpecialMonster', 'Mystic', 40, 103599, 9.700, 1973, 3.360, 40, 43, 30, 21, 20, 20, 134976, 13992, 11441, 974, 5319, 1186, 253, 500, 333, 0, 0, 0, 80, 180, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(1948, 22329, 'Arcane Watchman', '', 'LineageMonster3.Death_Blader_Raid', 15.00, 32.50, 83, 'male', 'L2SpecialMonster', 'Fighter', 40, 103599, 9.700, 1973, 3.360, 40, 43, 30, 21, 20, 20, 331002, 35747, 11441, 974, 5319, 1186, 253, 500, 333, 0, 0, 0, 80, 180, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(1949, 22330, 'Remnant Wraith', '', 'LineageMonster3.zombie_laborer', 11.00, 24.60, 83, 'male', 'L2Monster', 'Fighter', 40, 6060, 9.700, 1973, 3.360, 40, 43, 30, 21, 20, 20, 17815, 1923, 2250, 609, 1047, 494, 253, 500, 333, 123, 0, 0, 80, 180, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(1950, 22334, 'Sand Scorpion', '', 'LineageMonster2.SandScorpion', 28.00, 66.00, 84, 'male', 'L2SpecialMonster', 'Fighter', 40, 51737, 9.800, 2011, 3.390, 40, 43, 30, 21, 20, 20, 147904, 15780, 12017, 991, 5587, 1207, 253, 500, 333, 0, 0, 0, 80, 180, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(1951, 22335, 'Desert Scorpion', '', 'LineageMonster2.SandScorpion', 28.00, 66.00, 84, 'male', 'L2SpecialMonster', 'Fighter', 40, 51737, 9.800, 2011, 3.390, 40, 43, 30, 21, 20, 20, 151636, 16178, 12017, 991, 5587, 1207, 253, 500, 333, 0, 0, 0, 80, 180, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(1952, 22336, 'Sand Devil', '', 'LineageMonster2.imperial_warlord_zombie_sand', 7.00, 30.00, 84, 'male', 'L2SpecialMonster', 'Fighter', 40, 17246, 9.800, 2011, 3.390, 40, 43, 30, 21, 20, 20, 50320, 5368, 14030, 991, 6523, 1207, 253, 500, 333, 0, 0, 0, 80, 180, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(1953, 22337, 'Desiccator', '', 'LineageMonster.skeleton_knight_sand', 10.00, 25.00, 84, 'male', 'L2SpecialMonster', 'Fighter', 40, 17246, 9.800, 2011, 3.390, 40, 43, 30, 21, 20, 20, 47148, 5030, 14030, 991, 6523, 1207, 253, 500, 333, 0, 0, 0, 80, 180, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(1954, 22339, 'Wandering Caravan', '', 'LineageMonster4.Caravan', 33.00, 58.50, 84, 'male', 'L2Monster', 'Fighter', 40, 6382, 9.800, 2011, 3.390, 40, 43, 30, 21, 20, 20, 18810, 2006, 2357, 619, 1093, 503, 253, 500, 333, 0, 0, 0, 80, 120, 'caravan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(1955, 22340, 'Sandstorm', '', 'LineageMonster4.SandTourbillon', 10.00, 28.00, 84, 'male', 'L2SpecialMonster', 'Fighter', 40, 51737, 9.800, 2011, 3.390, 40, 43, 30, 21, 20, 20, 146852, 15668, 12017, 991, 5587, 1207, 253, 500, 333, 0, 0, 0, 80, 180, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(1956, 22341, 'Keltas', '', 'LineageMonster3.Vampire_Troop_Leader', 19.00, 35.00, 84, 'male', 'L2SpecialMonster', 'Fighter', 40, 309998, 9.800, 2011, 3.390, 40, 43, 30, 21, 20, 20, 449479, 47956, 9286, 991, 4318, 1207, 253, 0, 333, 8686, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1957, 22342, 'Darion\'s Enforcer', '', 'LineageMonster.silhouette', 8.00, 23.00, 84, 'female', 'L2Monster', 'Mystic', 40, 6382, 9.800, 2011, 3.390, 40, 43, 30, 21, 20, 20, 12425, 1325, 2357, 619, 1093, 503, 253, 500, 333, 0, 0, 0, 80, 180, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1958, 22343, 'Darion\'s Executioner', '', 'LineageMonster.shadeless', 7.00, 28.00, 84, 'male', 'L2Monster', 'Mystic', 40, 6382, 9.800, 2011, 3.390, 40, 43, 30, 21, 20, 20, 9998, 1066, 2357, 619, 1093, 503, 253, 500, 333, 0, 0, 0, 80, 180, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1959, 22344, 'Quarry Supervisor', '', 'LineageMonster2.vampire_warrior', 9.00, 31.50, 84, 'male', 'L2SpecialMonster', 'Fighter', 40, 51737, 9.800, 2011, 3.390, 40, 43, 30, 21, 20, 20, 70970, 7317, 12017, 991, 5587, 1207, 253, 0, 333, 6723, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1960, 22345, 'Quarry Bowman', '', 'LineageMonster2.vampire_wizard', 5.50, 28.00, 84, 'female', 'L2SpecialMonster', 'Fighter', 40, 17246, 9.800, 2011, 3.390, 40, 43, 30, 21, 20, 20, 22390, 2303, 14030, 991, 6523, 1207, 253, 0, 333, 99, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1961, 22346, 'Quarry Foreman', '', 'LineageMonster3.Vampire_Troop_Leader_120p', 22.00, 43.00, 84, 'male', 'L2SpecialMonster', 'Fighter', 40, 103333, 9.800, 2011, 3.390, 40, 43, 30, 21, 20, 20, 274810, 29320, 11544, 991, 5367, 1207, 253, 0, 333, 8686, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1962, 22347, 'Quarry Patrolman', '', 'LineageMonster4.eyeless_080p', 20.00, 35.00, 84, 'male', 'L2SpecialMonster', 'Fighter', 40, 51737, 9.800, 2011, 3.390, 40, 43, 30, 21, 20, 20, 150397, 16046, 12017, 991, 5587, 1207, 253, 0, 333, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1963, 22349, 'Chimera of Earth', '', 'LineageMonster4.Chimera', 35.00, 36.00, 84, 'male', 'L2SpecialMonster', 'Chimera', 40, 103333, 9.800, 2011, 3.390, 40, 43, 30, 21, 20, 20, 282094, 30097, 11544, 991, 5367, 1207, 253, 500, 333, 0, 0, 0, 80, 180, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(1964, 22350, 'Chimera of Darkness', '', 'LineageMonster4.Chimera', 35.00, 36.00, 84, 'male', 'L2SpecialMonster', 'Chimera', 40, 103333, 9.800, 2011, 3.390, 40, 43, 30, 21, 20, 20, 293014, 31262, 11544, 991, 5367, 1207, 253, 500, 333, 0, 0, 0, 80, 180, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(1965, 22351, 'Chimera of Wind', '', 'LineageMonster4.Chimera', 35.00, 36.00, 84, 'male', 'L2SpecialMonster', 'Chimera', 40, 103333, 9.800, 2011, 3.390, 40, 43, 30, 21, 20, 20, 293014, 31262, 11544, 991, 5367, 1207, 253, 500, 333, 0, 0, 0, 80, 180, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(1966, 22352, 'Chimera of Fire', '', 'LineageMonster4.Chimera', 35.00, 36.00, 84, 'male', 'L2SpecialMonster', 'Chimera', 40, 103333, 9.800, 2011, 3.390, 40, 43, 30, 21, 20, 20, 283131, 30208, 11544, 991, 5367, 1207, 253, 500, 333, 0, 0, 0, 80, 180, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(1967, 22353, 'Celtus', 'Chimera', 'LineageMonster4.Chimera', 35.00, 36.00, 84, 'male', 'L2SpecialMonster', 'Chimera', 40, 530976, 9.800, 2011, 3.390, 40, 43, 30, 21, 20, 20, 1089802, 116275, 16098, 991, 7480, 1207, 253, 500, 333, 0, 0, 0, 80, 180, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(1968, 22355, 'Enceinte Defender', '', 'LineageMonster4.eyeless', 36.00, 43.50, 85, 'male', 'L2SpecialMonster', 'Fighter', 40, 29397, 9.900, 2050, 3.420, 40, 43, 30, 21, 20, 20, 81905, 8636, 21384, 1007, 9937, 1227, 253, 500, 333, 0, 0, 0, 80, 180, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1969, 22356, 'Enceinte Defender', '', 'LineageMonster4.eyeless', 36.00, 43.50, 85, 'male', 'L2SpecialMonster', 'Fighter', 40, 176244, 9.900, 2050, 3.420, 40, 43, 30, 21, 20, 20, 504435, 53187, 18838, 1007, 8758, 1227, 253, 500, 333, 0, 0, 0, 80, 180, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1970, 22357, 'Enceinte Defender', '', 'LineageMonster4.eyeless', 36.00, 43.50, 85, 'male', 'L2SpecialMonster', 'Fighter', 40, 102864, 9.900, 2050, 3.420, 40, 43, 30, 21, 20, 20, 245303, 25864, 11645, 1007, 5414, 1227, 253, 500, 333, 0, 0, 0, 80, 180, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1971, 22358, 'Enceinte Defender', '', 'LineageMonster4.eyeless', 36.00, 43.50, 85, 'male', 'L2SpecialMonster', 'Fighter', 40, 88192, 9.900, 2050, 3.420, 40, 43, 30, 21, 20, 20, 247475, 26093, 19323, 1007, 8983, 1227, 253, 500, 333, 0, 0, 0, 80, 180, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1972, 22359, 'Town Guard', '', 'LineageMonster4.eyeless', 36.00, 43.50, 85, 'male', 'L2SpecialMonster', 'TownGuard', 40, 17167, 9.900, 2050, 3.420, 40, 43, 30, 21, 20, 20, 49499, 5219, 14191, 1007, 6598, 1227, 253, 500, 333, 0, 0, 0, 80, 180, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1973, 22360, 'Town Patrolman', '', 'LineageMonster.kel_mahum', 13.00, 26.00, 85, 'male', 'L2SpecialMonster', 'Fighter', 40, 51502, 9.900, 2050, 3.420, 40, 43, 30, 21, 20, 20, 143958, 15178, 12130, 1007, 5636, 1227, 253, 500, 333, 7887, 0, 0, 80, 180, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1974, 22361, 'Steel Citadel Keymaster', '', 'LineageMonster4.eyeless', 36.00, 43.50, 85, 'male', 'L2SpecialMonster', 'SteelCitadelKeymaster', 40, 176244, 9.900, 2050, 3.420, 40, 43, 30, 21, 20, 20, 552530, 58258, 18838, 1007, 8758, 1227, 253, 500, 333, 0, 0, 0, 80, 180, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1975, 22362, 'Guzen', '', 'LineageMonster4.rahuu', 33.00, 49.00, 85, 'male', 'L2SpecialMonster', 'Fighter', 40, 528731, 9.900, 2050, 3.420, 40, 43, 30, 21, 20, 20, 1086080, 114515, 16366, 1007, 7605, 1227, 253, 500, 333, 0, 0, 0, 80, 210, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'SOUL_BSPIRIT', 0, 0),
	(1976, 22363, 'Body Destroyer', '', 'LineageMonster4.finished_malignant', 14.00, 31.50, 85, 'male', 'L2SpecialMonster', 'Fighter', 40, 88192, 9.900, 2050, 3.420, 40, 43, 30, 21, 20, 20, 314158, 33124, 19323, 1007, 8983, 1227, 253, 500, 333, 0, 0, 0, 80, 160, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(1977, 22364, 'Soul Dominator', '', 'LineageMonster.death_blader', 15.00, 45.00, 85, 'male', 'L2Minion', 'Mystic', 40, 29397, 9.900, 2050, 3.420, 40, 43, 30, 21, 20, 20, 106372, 11215, 21384, 1007, 9937, 1227, 253, 0, 333, 1472, 0, 0, 80, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'SOUL_BSPIRIT', 0, 0),
	(1978, 22365, 'Labyrinth Watchman', '', 'LineageMonster4.eyeless_080p', 20.00, 35.00, 85, 'male', 'L2SpecialMonster', 'Fighter', 40, 88192, 9.900, 2050, 3.420, 40, 43, 30, 21, 20, 20, 258123, 27216, 19323, 1007, 8983, 1227, 253, 500, 333, 0, 0, 0, 80, 180, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'SOUL_BSPIRIT', 0, 0),
	(1979, 22366, 'Labyrinth Watchman', '', 'LineageMonster4.eyeless_080p', 20.00, 35.00, 85, 'male', 'L2SpecialMonster', 'Fighter', 40, 88192, 9.900, 2050, 3.420, 40, 43, 30, 21, 20, 20, 258123, 27216, 19323, 1007, 8983, 1227, 253, 500, 333, 0, 0, 0, 80, 180, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'SOUL_BSPIRIT', 0, 0),
	(1980, 22367, 'Labyrinth Mystic', '', 'LineageMonster.vale_master', 12.00, 40.00, 85, 'male', 'L2SpecialMonster', 'Mystic', 40, 29397, 9.900, 2050, 3.420, 40, 43, 30, 21, 20, 20, 87693, 9246, 21384, 1007, 9937, 1227, 253, 500, 333, 210, 0, 0, 80, 180, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'SOUL_BSPIRIT', 0, 0),
	(1981, 22368, 'Labyrinth Captain', '', 'LineageMonster.death_lord', 21.00, 40.00, 85, 'male', 'L2SpecialMonster', 'Fighter', 40, 176244, 9.900, 2050, 3.420, 40, 43, 30, 21, 20, 20, 978685, 98149, 18838, 1007, 8758, 1227, 253, 500, 333, 78, 0, 0, 80, 180, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'SOUL_BSPIRIT', 0, 0),
	(1982, 22369, 'Labyrinth Seer', '', 'LineageMonster2.vampire_wizard', 5.50, 28.00, 85, 'female', 'L2SpecialMonster', 'Mystic', 40, 88192, 9.900, 2050, 3.420, 40, 43, 30, 21, 20, 20, 102130, 10259, 19323, 1007, 8983, 1227, 253, 500, 333, 99, 0, 0, 80, 180, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'SOUL_BSPIRIT', 0, 0),
	(1983, 22370, 'Passageway Captain', '', 'LineageMonster.shadow_50_bi', 15.00, 45.00, 85, 'male', 'PassagewayMobWithHerb', 'Fighter', 40, 88192, 9.900, 2050, 3.420, 40, 43, 30, 21, 20, 20, 271142, 28589, 19323, 1007, 8983, 1227, 253, 0, 500, 0, 0, 0, 110, 180, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'SOUL_BSPIRIT', 0, 0),
	(1984, 22371, 'Passageway Guards', '', 'LineageMonster2.vampire_soldier_20_bi', 10.00, 29.00, 85, 'male', 'L2Monster', 'Fighter', 40, 29397, 9.900, 2050, 3.420, 40, 43, 30, 21, 20, 20, 88217, 9301, 21384, 1007, 9937, 1227, 253, 0, 500, 234, 0, 0, 110, 180, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'SOUL_BSPIRIT', 0, 0),
	(1985, 22372, 'Passageway Mystic', '', 'LineageMonster2.vampire_wizard', 5.50, 28.00, 85, 'female', 'PassagewayMobWithHerb', 'Mystic', 40, 88192, 9.900, 2050, 3.420, 40, 43, 30, 21, 20, 20, 257790, 27181, 19323, 1007, 8983, 1227, 253, 0, 500, 99, 0, 0, 110, 180, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'SOUL_BSPIRIT', 0, 0),
	(1986, 22373, 'Cosmic Scout', '', 'LineageMonster.crimson_doll', 15.00, 38.00, 83, 'male', 'L2SpecialMonster', 'InfinitumFighter', 40, 29397, 9.900, 2050, 3.420, 40, 43, 30, 21, 20, 20, 91940, 9694, 21384, 1007, 9937, 1227, 253, 500, 500, 0, 0, 0, 120, 180, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'SOUL_BSPIRIT', 0, 0),
	(1987, 22374, 'Cosmic Watcher', '', 'LineageMonster3.zombie_enlisted_man', 17.00, 22.30, 83, 'male', 'L2SpecialMonster', 'InfinitumFighter', 40, 88192, 9.900, 2050, 3.420, 40, 43, 30, 21, 20, 20, 256950, 27092, 19323, 1007, 8983, 1227, 253, 500, 500, 0, 0, 0, 120, 180, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'SOUL_BSPIRIT', 0, 0),
	(1988, 22375, 'Cosmic Priest', '', 'LineageMonster2.vampire_wizard', 5.50, 28.00, 83, 'female', 'L2SpecialMonster', 'InfinitumMystic', 40, 176244, 9.900, 2050, 3.420, 40, 43, 30, 21, 20, 20, 533950, 56299, 18838, 1007, 8758, 1227, 253, 500, 500, 99, 0, 0, 120, 180, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'SOUL_BSPIRIT', 0, 0),
	(1989, 22376, 'Cosmic Lord', '', 'LineageMonster4.rahuu', 33.00, 49.00, 83, 'male', 'L2SpecialMonster', 'InfinitumFighter', 40, 528731, 9.900, 2050, 3.420, 40, 43, 30, 21, 20, 20, 1086080, 114515, 16366, 1007, 7605, 1227, 253, 500, 500, 0, 0, 0, 120, 180, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'SOUL_BSPIRIT', 0, 0),
	(1990, 22377, 'Master Zelos', '', 'LineageMonster4.rahuu', 33.00, 49.00, 83, 'male', 'L2SpecialMonster', 'MasterZelos', 40, 526861, 10.000, 2089, 3.450, 40, 43, 30, 21, 20, 20, 1410902, 147054, 16636, 1024, 7734, 1247, 253, 500, 500, 0, 0, 0, 80, 220, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'SOUL_BSPIRIT', 0, 0),
	(1991, 22378, 'Master\'s Minion', '', 'LineageMonster3.Vampire_Troop_Leader', 19.00, 35.00, 83, 'male', 'L2Minion', 'Fighter', 40, 102528, 10.000, 2089, 3.450, 40, 43, 30, 21, 20, 20, 312777, 32599, 11746, 1024, 5457, 1247, 253, 0, 500, 0, 0, 0, 80, 200, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'SOUL_BSPIRIT', 0, 0),
	(1992, 22379, 'Master\'s Minion', '', 'LineageMonster2.vampire_witch', 6.00, 21.50, 83, 'female', 'L2Minion', 'Fighter', 40, 51334, 10.000, 2089, 3.450, 40, 43, 30, 21, 20, 20, 163810, 17073, 12243, 1024, 5688, 1247, 253, 0, 500, 946, 0, 0, 80, 200, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'SOUL_BSPIRIT', 0, 0),
	(1993, 22380, 'Master Festina', '', 'LineageMonster4.rah', 20.00, 40.60, 86, 'female', 'L2SpecialMonster', 'MasterFestina', 40, 526861, 10.000, 2089, 3.450, 40, 43, 30, 21, 20, 20, 1317481, 137317, 16636, 1024, 7734, 1247, 253, 0, 500, 0, 0, 0, 80, 200, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'SOUL_BSPIRIT', 0, 0),
	(1994, 22381, 'Master\'s Guard', '', 'LineageMonster3.portrait_spirit', 23.00, 40.00, 86, 'male', 'L2Minion', 'Fighter', 40, 87880, 10.000, 2089, 3.450, 40, 43, 30, 21, 20, 20, 297386, 30995, 19478, 1024, 9055, 1247, 253, 0, 500, 0, 0, 0, 80, 220, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'SOUL_BSPIRIT', 0, 0),
	(1995, 22382, 'Master\'s Guard', '', 'LineageMonster3.portrait_spirit_winged', 23.00, 40.00, 86, 'male', 'L2Minion', 'Fighter', 40, 87880, 10.000, 2089, 3.450, 40, 43, 30, 21, 20, 20, 292521, 30488, 19478, 1024, 9055, 1247, 253, 0, 500, 0, 0, 0, 80, 200, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'SOUL_BSPIRIT', 0, 0),
	(1996, 22383, 'Tully\'s Toy', '', 'LineageMonster3.golem_repair', 23.00, 32.80, 86, 'male', 'L2SpecialMonster', 'Fighter', 40, 87880, 10.000, 2089, 3.450, 40, 43, 30, 21, 20, 20, 67470, 6768, 19478, 1024, 9055, 1247, 253, 500, 500, 0, 0, 0, 80, 200, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'SOUL_BSPIRIT', 0, 0),
	(1997, 22384, 'Mystic\'s Toy', '', 'LineageMonster3.golem_microscout', 12.00, 43.50, 86, 'male', 'L2Monster', 'Fighter', 40, 87880, 1.500, 2089, 0.900, 40, 43, 30, 21, 20, 20, 50927, 5124, 19478, 1024, 9055, 1247, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'SOUL_BSPIRIT', 0, 0),
	(1998, 22385, 'Tully\'s Golem Guard', '', 'LineageMonster3.golem_guardian_a', 18.00, 41.50, 86, 'male', 'L2SpecialMonster', 'Fighter', 40, 175620, 10.000, 2089, 3.450, 40, 43, 30, 21, 20, 20, 476711, 49686, 18981, 1024, 8820, 1247, 253, 500, 500, 0, 0, 0, 80, 200, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'SOUL_BSPIRIT', 0, 0),
	(1999, 22386, 'Foundry Mystic', '', 'LineageMonster.doll_master', 20.00, 42.00, 86, 'male', 'L2SpecialMonster', 'Mystic', 40, 87880, 10.000, 2089, 3.450, 40, 43, 30, 21, 20, 20, 291223, 30353, 19478, 1024, 9055, 1247, 253, 500, 500, 0, 0, 0, 80, 200, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2000, 22387, 'Foundry Mystic', '', 'LineageMonster.doll_master', 20.00, 42.00, 86, 'male', 'L2SpecialMonster', 'Fighter', 40, 87880, 10.000, 2089, 3.450, 40, 43, 30, 21, 20, 20, 291223, 30353, 19478, 1024, 9055, 1247, 253, 0, 500, 0, 0, 0, 80, 200, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2001, 22388, 'Foundry Spirit Guard', '', 'LineageMonster4.finished_malignant', 14.00, 31.50, 86, 'male', 'L2SpecialMonster', 'Fighter', 40, 175620, 10.000, 2089, 3.450, 40, 43, 30, 21, 20, 20, 640012, 66706, 18981, 1024, 8820, 1247, 253, 500, 500, 0, 0, 0, 80, 200, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2002, 22389, 'Foundry Spirit Guard', '', 'LineageMonster4.finished_malignant', 14.00, 31.50, 86, 'male', 'L2SpecialMonster', 'Fighter', 40, 175620, 10.000, 2089, 3.450, 40, 43, 30, 21, 20, 20, 640012, 66706, 18981, 1024, 8820, 1247, 253, 0, 500, 0, 0, 0, 80, 200, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2003, 22390, 'Foundry Foreman', '', 'LineageMonster2.ahrimanes_20_sm', 13.00, 47.20, 86, 'male', 'L2SpecialMonster', 'Fighter', 40, 526861, 10.000, 2089, 3.450, 40, 43, 30, 21, 20, 20, 1298818, 135372, 16636, 1024, 7734, 1247, 253, 500, 500, 8217, 0, 0, 80, 220, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2004, 22391, 'Foundry Assistant Overseer', '', 'LineageMonster2.ashuras', 13.00, 37.50, 86, 'male', 'L2Minion', 'Fighter', 40, 17111, 10.000, 2089, 3.450, 40, 43, 30, 21, 20, 20, 100441, 9950, 14355, 1024, 6674, 1247, 253, 0, 500, 0, 0, 0, 80, 200, 'hellbound', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2005, 22392, 'Failed Experimental Timetwister Golem', '', 'LineageMonster3.golem_microscout_a', 12.00, 43.50, 86, 'male', 'L2Monster', 'Fighter', 40, 7015, 10.000, 2089, 3.450, 40, 43, 30, 21, 20, 20, 45682, 4530, 3689, 886, 2077, 748, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2006, 22393, 'Beleth\'s Follower', '', 'LineageMonster3.zombie_gateguard', 17.00, 30.50, 86, 'male', 'L2Monster', 'Fighter', 40, 102528, 1.500, 2089, 0.900, 40, 43, 30, 21, 20, 20, 358097, 37323, 11746, 1024, 5457, 1247, 253, 0, 500, 8217, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2007, 22394, 'Beleth\'s Devotee', '', 'LineageMonster3.portrait_spirit_winged', 23.00, 40.00, 86, 'male', 'L2Monster', 'Fighter', 40, 307583, 1.500, 2089, 0.900, 40, 43, 30, 21, 20, 20, 304451, 30461, 9623, 1024, 4474, 1247, 253, 0, 500, 8217, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2008, 22395, 'Beleth\'s Projection', '', 'LineageMonster4.behamah', 25.00, 37.50, 86, 'male', 'L2Monster', 'Fighter', 40, 87880, 1.500, 2089, 0.900, 40, 43, 30, 21, 20, 20, 652377, 64757, 19478, 1024, 9055, 1247, 253, 0, 500, 10278, 10278, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2009, 22396, 'Foundry Laborer', '', 'LineageMonster4.Caravan_Slave', 35.00, 47.50, 86, 'male', 'L2Monster', 'Fighter', 40, 7015, 1.500, 2089, 0.900, 40, 43, 30, 21, 20, 20, 11272, 1174, 3689, 886, 2077, 748, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2010, 22397, 'Foundry Foreman', '', 'LineageMonster4.rahuu', 33.00, 49.00, 86, 'male', 'L2Monster', 'Fighter', 40, 51334, 1.500, 2089, 0.900, 40, 43, 30, 21, 20, 20, 145669, 15182, 12243, 1024, 5688, 1247, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2011, 22398, 'Lesser Evil', '', 'LineageMonster3.zombie_gateguard', 17.00, 30.50, 86, 'male', 'L2Monster', 'Fighter', 80, 51334, 9.400, 2089, 3.270, 40, 43, 30, 21, 20, 20, 268445, 26626, 12243, 1024, 5688, 1247, 253, 0, 500, 8217, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2012, 22399, 'Greater Evil', '', 'LineageMonster3.zombie_gateguard_120p', 18.00, 37.00, 86, 'male', 'L2Monster', 'Fighter', 80, 51334, 9.400, 2089, 3.270, 40, 43, 30, 21, 20, 20, 385754, 38241, 12243, 1024, 5688, 1247, 253, 0, 500, 8217, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2013, 22400, 'Parme\'s Healer', '', 'LineageMonster4.tears_d', 20.00, 27.50, 82, 'female', 'L2Monster', 'Priest', 40, 4664, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 8893, 972, 2896, 741, 1630, 628, 253, 0, 500, 9639, 9639, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2014, 22401, 'Parme\'s Healer', '', 'LineageMonster4.tears_d', 20.00, 27.50, 82, 'female', 'L2Monster', 'Fighter', 40, 4664, 1.500, 1935, 0.900, 40, 43, 30, 21, 20, 20, 8893, 972, 2686, 712, 1509, 603, 253, 0, 500, 9639, 9639, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2015, 22402, 'Shadow Column', '', 'LineageNpcEV.dark_clouds_chessman', 42.00, 80.00, 82, 'male', 'L2Monster', 'Fighter', 40, 4664, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 8545, 934, 2896, 741, 1630, 628, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2016, 22403, 'Foundry Foreman', '', 'LineageMonster4.rahuu', 33.00, 49.00, 86, 'female', 'L2Monster', 'Fighter', 40, 51334, 1.500, 2089, 0.900, 40, 43, 30, 21, 20, 20, 147344, 15357, 12243, 1024, 5688, 1247, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0);
INSERT INTO `npc` (`ordinal`, `id`, `name`, `title`, `class`, `collision_radius`, `collision_height`, `level`, `sex`, `type`, `ai_type`, `attackrange`, `hp`, `base_hp_regen`, `mp`, `base_mp_regen`, `str`, `con`, `dex`, `int`, `wit`, `men`, `exp`, `sp`, `patk`, `pdef`, `matk`, `mdef`, `atkspd`, `aggro`, `matkspd`, `rhand`, `lhand`, `armor`, `walkspd`, `runspd`, `faction_id`, `faction_range`, `displayId`, `shield_defense_rate`, `shield_defense`, `corpse_time`, `base_rand_dam`, `base_critical`, `physical_hit_modify`, `base_reuse_delay`, `physical_avoid_modify`, `hit_time_factor`, `isDropHerbs`, `shots`, `map_flag`, `boss_flag`) VALUES
	(2017, 22404, 'Arcane Captain', '', 'LineageMonster.kaim_vanul', 24.00, 40.00, 83, 'male', 'L2Monster', 'Fighter', 40, 103599, 1.500, 1973, 0.900, 40, 43, 30, 21, 20, 20, 589351, 60722, 11441, 974, 5319, 1186, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2018, 22405, 'Darion\'s Faithful Servant', '', 'LineageMonster4.demon_darion_fgt', 28.00, 52.50, 86, 'male', 'L2Monster', 'Fighter', 80, 17111, 1.500, 2089, 0.900, 40, 43, 30, 21, 20, 20, 105809, 10510, 14355, 1024, 6674, 1247, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2019, 22406, 'Darion\'s Faithful Servant', '', 'LineageMonster4.demon_darion_fgt', 28.00, 52.50, 86, 'male', 'L2Monster', 'Fighter', 80, 51334, 1.500, 2089, 0.900, 40, 43, 30, 21, 20, 20, 183265, 19101, 12243, 1024, 5688, 1247, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2020, 22407, 'Darion\'s Faithful Servant', '', 'LineageMonster4.demon_darion_fgt', 28.00, 52.50, 86, 'male', 'L2Monster', 'Fighter', 80, 51334, 1.500, 2089, 0.900, 40, 43, 30, 21, 20, 20, 323450, 32158, 12243, 1024, 5688, 1247, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2021, 22408, 'Darion\'s Faithful Servant', '', 'LineageMonster4.demon_darion_fgt', 28.00, 52.50, 87, 'male', 'L2Monster', 'Fighter', 80, 87437, 1.500, 2128, 0.900, 40, 43, 30, 21, 20, 20, 306237, 31559, 19630, 1040, 9126, 1267, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2022, 22409, 'Darion\'s Faithful Servant', '', 'LineageMonster4.demon_darion_fgt', 28.00, 52.50, 87, 'male', 'L2Monster', 'Fighter', 80, 174735, 1.500, 2128, 0.900, 40, 43, 30, 21, 20, 20, 677999, 69871, 19121, 1040, 8885, 1267, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2023, 22410, 'Darion\'s Faithful Servant', '', 'LineageMonster4.demon_darion_fgt', 28.00, 52.50, 87, 'male', 'L2Monster', 'Fighter', 80, 174735, 1.500, 2128, 0.900, 40, 43, 30, 21, 20, 20, 796818, 82116, 19121, 1040, 8885, 1267, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2024, 22411, 'Beleth\'s Retainer', '', 'LineageMonster4.demon_darion_fgt', 28.00, 52.50, 86, 'male', 'L2Monster', 'Fighter', 80, 29293, 1.500, 2089, 0.900, 40, 43, 30, 21, 20, 20, 483637, 47912, 21589, 1024, 10032, 1247, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2025, 22412, 'Beleth\'s Fighter', '', 'LineageMonster4.behamah_120p', 32.00, 46.80, 86, 'male', 'L2Monster', 'Fighter', 40, 175620, 1.500, 2089, 0.900, 40, 43, 30, 21, 20, 20, 1387469, 137882, 18981, 1024, 8820, 1247, 253, 0, 500, 10278, 10278, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2026, 22413, 'Beleth\'s Low Servant', '', 'LineageMonster3.spectral_knight', 12.50, 33.50, 86, 'male', 'L2Monster', 'Fighter', 80, 51334, 1.500, 2089, 0.900, 40, 43, 30, 21, 20, 20, 541934, 53798, 12243, 1024, 5688, 1247, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2027, 22414, 'Beleth\'s Follower', '', 'LineageMonster3.zombie_gateguard', 17.00, 30.50, 86, 'male', 'L2Monster', 'Fighter', 40, 102528, 1.500, 2089, 0.900, 40, 43, 30, 21, 20, 20, 358097, 37323, 11746, 1024, 5457, 1247, 253, 0, 500, 8217, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2028, 22415, 'Beleth\'s Devotee', '', 'LineageMonster3.portrait_spirit_winged', 23.00, 40.00, 86, 'male', 'L2Monster', 'Fighter', 40, 307583, 1.500, 2089, 0.900, 40, 43, 30, 21, 20, 20, 304451, 30461, 9623, 1024, 4474, 1247, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2029, 22416, 'Kechi\'s Captain', '', 'LineageMonster2.ifrit_30_bi', 13.00, 55.00, 82, 'male', 'L2Monster', 'Fighter', 40, 52055, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 199714, 21838, 11789, 957, 5477, 1166, 253, 0, 500, 0, 0, 0, 80, 165, 'Kechi_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2030, 22417, 'Kechi\'s Guard', '', 'LineageMonster3.portrait_spirit_winged_150p', 23.00, 52.00, 82, 'male', 'L2Monster', 'Fighter', 40, 4664, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 41505, 4345, 2896, 741, 1630, 628, 253, 0, 500, 0, 0, 0, 80, 120, 'Kechi_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2031, 22418, 'Burning Iris', '', 'LineageMonster4.eyeless_080p', 20.00, 35.00, 82, 'male', 'L2Monster', 'Fighter', 40, 4664, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 28000, 2921, 2896, 741, 1630, 628, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2032, 22419, 'Flame Iris', '', 'LineageMonster4.eyeless_080p', 20.00, 35.00, 82, 'male', 'L2Monster', 'Fighter', 40, 4664, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 26322, 2738, 2896, 741, 1630, 628, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2033, 22420, 'Brimstone Iris', '', 'LineageMonster4.eyeless_080p', 20.00, 35.00, 82, 'male', 'L2Monster', 'Fighter', 40, 4664, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 28704, 2998, 2896, 741, 1630, 628, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2034, 22422, 'Failan\'s Guard', '', 'LineageMonster3.Death_Blader_Raid', 15.00, 32.50, 83, 'male', 'L2SpecialMonster', 'Fighter', 40, 17290, 9.700, 1973, 3.360, 40, 43, 30, 21, 20, 20, 63485, 6856, 13866, 974, 6447, 1186, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2035, 22423, 'Original Sin Warden', '', 'LineageMonster4.behamah', 8.00, 38.00, 86, 'male', 'L2Monster', 'Fighter', 40, 102528, 10.000, 2089, 3.450, 40, 43, 30, 21, 20, 20, 69803, 6996, 11746, 1024, 5457, 1247, 253, 0, 500, 10278, 10278, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2036, 22424, 'Slave of Greed', '', 'LineageMonster2.ashuras', 8.00, 38.00, 86, 'male', 'L2Monster', 'Fighter', 40, 7015, 10.000, 2089, 3.450, 40, 43, 30, 21, 20, 20, 60503, 6075, 3689, 886, 2077, 748, 253, 0, 500, 0, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2037, 22425, 'Slave of Lust', '', 'LineageMonster3.Succubus_Raid', 8.00, 32.00, 86, 'female', 'L2Monster', 'Fighter', 40, 7015, 10.000, 2089, 3.450, 40, 43, 30, 21, 20, 20, 60503, 6075, 3689, 886, 2077, 748, 253, 0, 500, 0, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2038, 22426, 'Slave of Wrath', '', 'LineageMonster.vale_master_10_bi', 8.00, 46.00, 86, 'male', 'L2Monster', 'Fighter', 40, 7015, 8.400, 2089, 2.970, 40, 43, 30, 21, 20, 20, 60503, 6075, 3689, 886, 2077, 748, 253, 0, 500, 0, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2039, 22427, 'Slave of Sloth', '', 'LineageMonster2.giant_zombie', 8.00, 40.00, 86, 'male', 'L2Monster', 'Fighter', 40, 7015, 10.000, 2089, 3.450, 40, 43, 30, 21, 20, 20, 60503, 6075, 3689, 886, 2077, 748, 253, 0, 500, 0, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2040, 22428, 'Slave of Envy', '', 'LineageMonster3.Bloody_Queen_Raid', 8.00, 32.00, 86, 'female', 'L2Monster', 'Fighter', 80, 7015, 8.400, 2089, 2.970, 40, 43, 30, 21, 20, 20, 60503, 6075, 3689, 886, 2077, 748, 253, 0, 500, 0, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2041, 22429, 'Slave of Pride', '', 'LineageMonster2.knight_of_shadow', 8.00, 42.00, 86, 'male', 'L2Monster', 'Fighter', 40, 7015, 10.000, 2089, 3.450, 40, 43, 30, 21, 20, 20, 60503, 6075, 3689, 886, 2077, 748, 253, 0, 500, 0, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2042, 22430, 'Slave of Gluttony', '', 'LineageMonster3.Death_Blader_Raid', 8.00, 32.00, 86, 'male', 'L2Monster', 'Fighter', 40, 7015, 10.000, 2089, 3.450, 40, 43, 30, 21, 20, 20, 60503, 6075, 3689, 886, 2077, 748, 253, 0, 500, 0, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2043, 22431, 'Original Sin Warden', '', 'LineageMonster4.behamah', 8.00, 38.00, 86, 'male', 'L2Monster', 'Fighter', 40, 175620, 8.400, 2089, 2.970, 40, 43, 30, 21, 20, 20, 139297, 13961, 18981, 1024, 8820, 1247, 253, 0, 500, 10278, 10278, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2044, 22432, 'Slave of Greed', '', 'LineageMonster2.ashuras', 8.00, 37.00, 86, 'male', 'L2Monster', 'Fighter', 40, 17111, 8.400, 2089, 2.970, 40, 43, 30, 21, 20, 20, 35640, 3714, 14355, 1024, 6674, 1247, 253, 0, 500, 0, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2045, 22433, 'Slave of Lust', '', 'LineageMonster3.Succubus_Raid', 8.00, 32.00, 86, 'female', 'L2Monster', 'Fighter', 40, 17111, 10.000, 2089, 3.450, 40, 43, 30, 21, 20, 20, 35640, 3714, 14355, 1024, 6674, 1247, 253, 0, 500, 0, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2046, 22434, 'Slave of Wrath', '', 'LineageMonster.vale_master_10_bi', 8.00, 46.00, 86, 'male', 'L2Monster', 'Fighter', 40, 17111, 8.400, 2089, 2.970, 40, 43, 30, 21, 20, 20, 35640, 3714, 14355, 1024, 6674, 1247, 253, 0, 500, 0, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2047, 22435, 'Slave of Sloth', '', 'LineageMonster2.giant_zombie', 8.00, 40.00, 86, 'male', 'L2Monster', 'Fighter', 40, 17111, 8.400, 2089, 2.970, 40, 43, 30, 21, 20, 20, 35640, 3714, 14355, 1024, 6674, 1247, 253, 0, 500, 0, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2048, 22436, 'Slave of Envy', '', 'LineageMonster3.Bloody_Queen_Raid', 8.00, 32.00, 86, 'female', 'L2Monster', 'Fighter', 80, 17111, 8.400, 2089, 2.970, 40, 43, 30, 21, 20, 20, 35640, 3714, 14355, 1024, 6674, 1247, 253, 0, 500, 0, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2049, 22437, 'Slave of Pride', '', 'LineageMonster2.knight_of_shadow', 8.00, 40.00, 86, 'male', 'L2Monster', 'Fighter', 40, 17111, 8.400, 2089, 2.970, 40, 43, 30, 21, 20, 20, 35640, 3714, 14355, 1024, 6674, 1247, 253, 0, 500, 0, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2050, 22438, 'Slave of Gluttony', '', 'LineageMonster3.Death_Blader_Raid', 8.00, 32.00, 86, 'male', 'L2Monster', 'Fighter', 40, 17111, 8.400, 2089, 2.970, 40, 43, 30, 21, 20, 20, 35640, 3714, 14355, 1024, 6674, 1247, 253, 0, 500, 0, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2051, 22439, 'Beleth\'s Assassin', '', 'LineageMonster.dark_mahum', 8.00, 25.00, 86, 'male', 'L2Monster', 'Fighter', 40, 175620, 8.400, 2089, 2.970, 40, 43, 30, 21, 20, 20, 733679, 76469, 18981, 1024, 8820, 1247, 253, 0, 500, 234, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2052, 22440, 'Beleth\'s Assassin', '', 'LineageMonster.dark_mahum', 8.00, 25.00, 86, 'male', 'L2Monster', 'Fighter', 40, 175620, 10.100, 2089, 3.480, 40, 43, 30, 21, 20, 20, 755088, 78701, 18981, 1024, 8820, 1247, 253, 0, 500, 234, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2053, 22441, 'Beleth\'s Minion', '', 'LineageMonster3.Vampire_Troop_Leader_120p', 16.00, 43.00, 86, 'male', 'L2Monster', 'Fighter', 40, 87880, 1.500, 2089, 0.900, 40, 43, 30, 21, 20, 20, 638455, 63306, 19478, 1024, 9055, 1247, 253, 0, 253, 8686, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2054, 22442, 'Beleth\'s Minion', '', 'LineageMonster3.Vampire_Troop_Leader_120p', 16.00, 43.00, 86, 'male', 'L2Monster', 'Fighter', 40, 51334, 1.500, 2089, 0.900, 40, 43, 30, 21, 20, 20, 363488, 36034, 12243, 1024, 5688, 1247, 253, 0, 253, 8686, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2055, 22443, 'Kertang\'s Messenger', '', 'LineageMonster4.snake_head_man', 10.00, 37.00, 45, 'male', 'L2Monster', 'Fighter', 40, 1870, 1.500, 678, 0.900, 40, 43, 30, 21, 20, 20, 3835, 266, 3689, 886, 2077, 748, 253, 0, 253, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2056, 22444, 'Kertang\'s Messenger', '', 'LineageMonster4.snake_head_man', 10.00, 37.00, 55, 'male', 'L2Monster', 'Fighter', 40, 2643, 1.500, 988, 0.900, 40, 43, 30, 21, 20, 20, 5728, 462, 3689, 886, 2077, 748, 253, 0, 253, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2057, 22445, 'Kertang\'s Messenger', '', 'LineageMonster4.snake_head_man', 10.00, 37.00, 65, 'male', 'L2Monster', 'Fighter', 40, 3466, 1.500, 1320, 0.900, 40, 43, 30, 21, 20, 20, 7798, 724, 3689, 886, 2077, 748, 253, 0, 253, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2058, 22446, 'Kertang\'s Messenger', '', 'LineageMonster4.snake_head_man', 10.00, 37.00, 75, 'male', 'L2Monster', 'Fighter', 40, 4229, 1.500, 1674, 0.900, 40, 43, 30, 21, 20, 20, 9659, 1018, 3689, 886, 2077, 748, 253, 0, 253, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2059, 22447, 'Kertang\'s Messenger', '', 'LineageMonster4.snake_head_man', 10.00, 37.00, 80, 'male', 'L2Monster', 'Fighter', 40, 5198, 1.500, 1859, 0.900, 40, 43, 30, 21, 20, 20, 10184, 1143, 3689, 886, 2077, 748, 253, 0, 253, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2060, 22448, 'Leodas', 'Resistance Commander', 'LineageNPC.a_fighterguild_master_Mhuman_old', 8.00, 23.50, 86, 'male', 'L2Monster', 'Fighter', 40, 307583, 10.000, 2089, 3.450, 40, 43, 30, 21, 20, 20, 944308, 93684, 9623, 1024, 4474, 1247, 253, 0, 500, 6611, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 6.00, 'false', 'NONE', 0, 0),
	(2061, 22449, 'Amaskari', 'Torture Expert', 'LineageMonster2.ahrimanes', 12.00, 55.00, 86, 'male', 'L2Monster', 'Mystic', 40, 102528, 10.000, 2089, 3.450, 40, 43, 30, 21, 20, 20, 213008, 22201, 11746, 1024, 5457, 1247, 253, 0, 253, 6722, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2062, 22450, 'Tortured Native', '', 'LineageNPC.a_common_peopleC_Mhuman', 8.00, 23.50, 86, 'male', 'L2Minion', 'TorturedNative', 40, 7015, 10.000, 2089, 3.450, 40, 43, 30, 21, 20, 20, 9210, 959, 3689, 886, 2077, 748, 253, 0, 253, 946, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2063, 22451, 'Native Elite Soldier', '', 'LineageNPC.a_common_peopleC_Mhuman', 8.00, 23.50, 86, 'male', 'L2Monster', 'Fighter', 40, 7015, 10.000, 2089, 3.450, 40, 43, 30, 21, 20, 20, 16123, 1680, 3689, 886, 2077, 748, 253, 0, 253, 135, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2064, 22452, 'White Skull Kanabion', '', 'LineageMonster.skeleton_pikeman', 10.00, 28.00, 25, 'male', 'Kanabion', 'Fighter', 80, 728, 3.900, 288, 1.620, 40, 43, 30, 21, 20, 20, 1136, 56, 88, 116, 42, 94, 253, 0, 500, 292, 0, 0, 40, 130, 'kanabion', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 0, 0),
	(2065, 22453, 'White Skull Kanabion', 'Doppler', 'LineageMonster.skeleton_knight_20_bi', 12.00, 30.50, 25, 'male', 'Kanabion', 'Fighter', 80, 728, 3.900, 288, 1.620, 40, 43, 30, 21, 20, 20, 1136, 56, 88, 116, 42, 94, 253, 0, 500, 5285, 0, 0, 40, 130, 'kanabion', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 0, 0),
	(2066, 22454, 'White Skull Kanabion', 'Void', 'LineageMonster.skeleton_royal_guard_30_bi', 14.00, 37.50, 27, 'male', 'Kanabion', 'Fighter', 40, 728, 3.900, 288, 1.620, 40, 43, 30, 21, 20, 20, 1463, 62, 89, 118, 43, 96, 253, 0, 500, 236, 0, 0, 40, 130, 'kanabion', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 0, 0),
	(2067, 22455, 'Begrudged Kanabion', '', 'LineageMonster.orc', 10.00, 21.00, 30, 'male', 'Kanabion', 'Fighter', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 1499, 81, 131, 141, 62, 115, 253, 0, 500, 127, 0, 0, 45, 140, 'kanabion', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 0, 0),
	(2068, 22456, 'Begrudged Kanabion', 'Doppler', 'LineageMonster.orc_fighter', 12.00, 22.00, 30, 'male', 'Kanabion', 'Fighter', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 1499, 81, 131, 141, 62, 115, 253, 0, 500, 129, 0, 0, 45, 140, 'kanabion', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 0, 0),
	(2069, 22457, 'Begrudged Kanabion', 'Void', 'LineageMonster.orc_champion', 10.00, 23.00, 32, 'male', 'Kanabion', 'Fighter', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 1883, 90, 133, 143, 60, 116, 253, 0, 500, 7886, 0, 0, 45, 140, 'kanabion', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 0, 0),
	(2070, 22458, 'Rotten Kanabion', '', 'LineageMonster.zombie_bi_one', 13.00, 30.50, 35, 'male', 'Kanabion', 'Fighter', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 2040, 120, 191, 170, 90, 138, 253, 0, 500, 0, 0, 0, 50, 165, 'kanabion', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 0, 0),
	(2071, 22459, 'Rotten Kanabion', 'Doppler', 'LineageMonster.neer_crawler', 14.00, 22.00, 35, 'male', 'Kanabion', 'Fighter', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 2040, 120, 191, 170, 90, 138, 253, 0, 500, 0, 0, 0, 50, 165, 'kanabion', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 0, 0),
	(2072, 22460, 'Rotten Kanabion', 'Void', 'LineageMonster3.Zombie_Raid', 30.00, 21.25, 37, 'male', 'Kanabion', 'Fighter', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 2517, 133, 194, 172, 88, 140, 253, 0, 500, 0, 0, 0, 50, 165, 'kanabion', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 0, 0),
	(2073, 22461, 'Gluttonous Kanabion', '', 'LineageMonster.crokian', 18.00, 29.00, 40, 'male', 'Kanabion', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 2665, 172, 271, 202, 127, 164, 253, 0, 500, 5128, 0, 0, 18, 174, 'kanabion', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 0, 0),
	(2074, 22462, 'Gluttonous Kanabion', 'Doppler', 'LineageMonster3.Crokian_Officer', 25.00, 33.00, 40, 'male', 'Kanabion', 'Fighter', 80, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 2665, 172, 271, 202, 127, 164, 253, 0, 500, 0, 0, 0, 18, 174, 'kanabion', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 0, 0),
	(2075, 22463, 'Gluttonous Kanabion', 'Void', 'LineageMonster.nos', 26.00, 42.00, 42, 'male', 'Kanabion', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 3243, 189, 275, 205, 125, 167, 253, 0, 500, 5130, 0, 0, 18, 174, 'kanabion', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 0, 0),
	(2076, 22464, 'Callous Kanabion', '', 'LineageMonster.zenta_lizardman', 11.00, 32.00, 45, 'male', 'Kanabion', 'Fighter', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 3373, 234, 375, 238, 172, 194, 253, 0, 500, 7887, 0, 0, 80, 174, 'kanabion', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 0, 0),
	(2077, 22465, 'Callous Kanabion', 'Doppler', 'LineageMonster.zenta_lizardman_warrior', 13.00, 35.00, 45, 'male', 'Kanabion', 'Fighter', 80, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 3373, 234, 375, 238, 172, 194, 253, 0, 500, 298, 0, 0, 80, 174, 'kanabion', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 0, 0),
	(2078, 22466, 'Callous Kanabion', 'Void', 'LineageMonster.zenta_lizardman_matriarch', 20.00, 40.00, 47, 'male', 'Kanabion', 'Fighter', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 4061, 258, 380, 242, 178, 196, 253, 0, 500, 226, 0, 0, 80, 174, 'kanabion', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 0, 0),
	(2079, 22467, 'Savage Kanabion', '', 'LineageMonster.heltor_silenos', 13.00, 29.00, 50, 'male', 'Kanabion', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 3984, 300, 505, 278, 232, 226, 253, 0, 500, 77, 0, 0, 27, 174, 'kanabion', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 0, 0),
	(2080, 22468, 'Savage Kanabion', 'Doppler', 'LineageMonster.heltor_silenos_warrior', 13.00, 31.00, 50, 'male', 'Kanabion', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 3984, 300, 505, 278, 232, 226, 253, 0, 500, 75, 0, 0, 27, 174, 'kanabion', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 0, 0),
	(2081, 22469, 'Savage Kanabion', 'Void', 'LineageMonster.heltor_silenos_chieftain', 13.00, 31.50, 52, 'male', 'Kanabion', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 4776, 332, 513, 282, 236, 229, 253, 0, 500, 84, 0, 0, 27, 174, 'kanabion', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 0, 0),
	(2082, 22470, 'Peerless Kanabion', '', 'LineageMonster.batur_orc_20_bi', 10.00, 25.30, 55, 'male', 'Kanabion', 'Fighter', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 4821, 389, 665, 322, 311, 262, 253, 0, 500, 7888, 0, 0, 36, 174, 'kanabion', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 0, 0),
	(2083, 22471, 'Peerless Kanabion', 'Doppler', 'LineageMonster.batur_orc_warrior_20_bi', 12.00, 24.00, 55, 'male', 'Kanabion', 'Fighter', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 4821, 389, 665, 322, 311, 262, 253, 0, 500, 84, 0, 0, 36, 174, 'kanabion', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 0, 0),
	(2084, 22472, 'Peerless Kanabion', 'Void', 'LineageMonster.batur_orc_overlord_20_bi', 14.00, 28.80, 57, 'male', 'Kanabion', 'Fighter', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 5739, 431, 674, 327, 315, 265, 253, 0, 500, 135, 0, 0, 36, 174, 'kanabion', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 0, 0),
	(2085, 22473, 'Massive Kanabion', '', 'LineageMonster.kel_mahum', 13.00, 26.00, 60, 'male', 'Kanabion', 'Fighter', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 5737, 497, 853, 369, 398, 300, 253, 0, 500, 127, 0, 0, 50, 160, 'kanabion', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 0, 0),
	(2086, 22474, 'Massive Kanabion', 'Doppler', 'LineageMonster.kel_mahum_warrior', 13.00, 28.00, 60, 'male', 'Kanabion', 'Fighter', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 5737, 497, 853, 369, 398, 300, 253, 0, 500, 148, 0, 0, 50, 160, 'kanabion', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 0, 0),
	(2087, 22475, 'Massive Kanabion', 'Void', 'LineageMonster.kel_mahum_champion', 13.00, 32.00, 62, 'male', 'Kanabion', 'Fighter', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 6790, 552, 865, 374, 400, 304, 253, 0, 500, 161, 0, 0, 50, 160, 'kanabion', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 0, 0),
	(2088, 22476, 'Fervent Kanabion', '', 'LineageMonster2.vampire_soldier', 8.00, 23.50, 65, 'male', 'Kanabion', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 6733, 625, 1068, 419, 498, 340, 253, 0, 500, 85, 0, 0, 60, 175, 'kanabion', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 0, 0),
	(2089, 22477, 'Fervent Kanabion', 'Doppler', 'LineageMonster2.vampire_warrior', 9.00, 31.50, 65, 'male', 'Kanabion', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 6733, 625, 1068, 419, 498, 340, 253, 0, 500, 6723, 0, 0, 60, 175, 'kanabion', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 0, 0),
	(2090, 22478, 'Fervent Kanabion', 'Void', 'LineageMonster3.Vampire_Troop_Leader', 19.00, 35.00, 67, 'male', 'Kanabion', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 7929, 693, 1082, 424, 500, 345, 253, 0, 500, 8686, 0, 0, 60, 175, 'kanabion', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 0, 0),
	(2091, 22479, 'Ruptured Kanabion', '', 'LineageMonster4.eyeless_080p', 8.00, 35.00, 70, 'male', 'Kanabion', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 7597, 753, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 60, 165, 'kanabion', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 0, 0),
	(2092, 22480, 'Ruptured Kanabion', 'Doppler', 'LineageMonster4.eyeless', 36.00, 43.50, 70, 'male', 'Kanabion', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 7597, 753, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 60, 165, 'kanabion', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 0, 0),
	(2093, 22481, 'Ruptured Kanabion', 'Void', 'LineageMonster4.eyeless_120p', 38.00, 54.00, 72, 'male', 'Kanabion', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 8933, 837, 1320, 476, 615, 387, 253, 0, 500, 0, 0, 0, 60, 165, 'kanabion', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 0, 0),
	(2094, 22482, 'Sword Kanabion', '', 'LineageMonster4.rah', 20.00, 40.60, 75, 'female', 'Kanabion', 'Fighter', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 8721, 919, 1551, 524, 722, 425, 253, 0, 500, 0, 0, 0, 30, 165, 'kanabion', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 0, 0),
	(2095, 22483, 'Sword Kanabion', 'Doppler', 'LineageMonster4.rahuu', 33.00, 49.00, 75, 'male', 'Kanabion', 'Fighter', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 8721, 919, 1551, 524, 722, 425, 253, 0, 500, 0, 0, 0, 30, 165, 'kanabion', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 0, 0),
	(2096, 22484, 'Sword Kanabion', 'Void', 'LineageMonster4.rahuu', 33.00, 49.00, 77, 'male', 'Kanabion', 'Fighter', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 10217, 1022, 1570, 530, 731, 430, 253, 0, 500, 0, 0, 0, 30, 165, 'kanabion', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 0, 0),
	(2097, 22485, 'Lost Watcher', '', 'LineageMonster.oel_mahum', 20.00, 37.00, 29, 'male', 'L2SpecialMonster', 'Fighter', 40, 7852, 4.300, 350, 1.740, 40, 43, 30, 21, 20, 20, 0, 0, 517, 467, 267, 265, 253, 1000, 500, 127, 0, 0, 80, 120, 'kamaloka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2098, 22486, 'Lost Watcher', '', 'LineageMonster.oel_mahum', 20.00, 37.00, 29, 'male', 'L2SpecialMonster', 'Fighter', 40, 7852, 4.300, 350, 1.740, 40, 43, 30, 21, 20, 20, 0, 0, 517, 467, 267, 265, 253, 1000, 500, 127, 0, 0, 80, 120, 'kamaloka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2099, 22487, 'Lost Beholder', '', 'LineageMonster.oel_mahum_warrior', 20.00, 38.00, 29, 'male', 'L2SpecialMonster', 'Fighter', 40, 15704, 4.300, 350, 1.740, 40, 43, 30, 21, 20, 20, 0, 0, 775, 670, 550, 473, 253, 1000, 500, 72, 0, 0, 80, 120, 'kamaloka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2100, 22488, 'Lost Watcher', '', 'LineageMonster.zenta_lizardman', 11.00, 32.00, 39, 'male', 'L2SpecialMonster', 'Fighter', 40, 11561, 5.400, 514, 2.040, 40, 43, 30, 21, 20, 20, 0, 0, 1452, 560, 673, 380, 253, 1000, 500, 68, 0, 0, 80, 120, 'kamaloka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2101, 22489, 'Lost Watcher', '', 'LineageMonster.zenta_lizardman', 11.00, 32.00, 39, 'male', 'L2SpecialMonster', 'Fighter', 40, 11561, 5.400, 514, 2.040, 40, 43, 30, 21, 20, 20, 0, 0, 1452, 560, 673, 380, 253, 1000, 500, 68, 0, 0, 80, 120, 'kamaloka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2102, 22490, 'Lost Beholder', '', 'LineageMonster.zenta_lizardman_warrior', 13.00, 35.00, 39, 'male', 'L2SpecialMonster', 'Fighter', 40, 23080, 5.400, 514, 2.040, 40, 43, 30, 21, 20, 20, 0, 0, 1202, 804, 660, 567, 253, 1000, 500, 16, 0, 0, 80, 120, 'kamaloka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2103, 22491, 'Lost Watcher', '', 'LineageMonster.stone_golem', 20.00, 31.00, 49, 'male', 'L2SpecialMonster', 'Fighter', 40, 26237, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 0, 0, 2570, 672, 1192, 526, 253, 1000, 500, 0, 0, 0, 80, 120, 'kamaloka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2104, 22492, 'Lost Watcher', '', 'LineageMonster.stone_golem', 20.00, 31.00, 49, 'male', 'L2SpecialMonster', 'Fighter', 40, 26237, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 0, 0, 2570, 672, 1192, 526, 253, 1000, 500, 0, 0, 0, 80, 120, 'kamaloka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2105, 22493, 'Lost Beholder', '', 'LineageMonster.iron_golem_bi', 27.00, 52.00, 49, 'male', 'L2SpecialMonster', 'Fighter', 40, 52474, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 0, 0, 2160, 964, 1006, 680, 253, 1000, 500, 0, 0, 0, 80, 120, 'kamaloka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2106, 22494, 'Lost Watcher', '', 'LineageMonster.skeleton_royal_guard', 11.00, 28.50, 59, 'male', 'L2SpecialMonster', 'Fighter', 40, 47350, 7.300, 1118, 2.640, 40, 43, 30, 21, 20, 20, 0, 0, 6236, 806, 2896, 701, 253, 1000, 500, 946, 945, 0, 80, 120, 'kamaloka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2107, 22495, 'Lost Watcher', '', 'LineageMonster.skeleton_royal_guard', 11.00, 28.50, 59, 'male', 'L2SpecialMonster', 'Fighter', 40, 47350, 7.300, 1118, 2.640, 40, 43, 30, 21, 20, 20, 0, 0, 6236, 806, 2896, 701, 253, 1000, 500, 946, 945, 0, 80, 120, 'kamaloka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2108, 22496, 'Lost Beholder', '', 'LineageMonster.doll_master', 20.00, 42.00, 59, 'male', 'L2SpecialMonster', 'Fighter', 40, 94601, 7.300, 1118, 2.640, 40, 43, 30, 21, 20, 20, 0, 0, 5654, 1156, 2630, 816, 253, 1000, 500, 0, 0, 0, 80, 120, 'kamaloka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2109, 22497, 'Lost Watcher', '', 'LineageMonster2.bandersnatch', 18.00, 25.00, 69, 'male', 'L2SpecialMonster', 'Fighter', 40, 54800, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 0, 0, 10100, 967, 4692, 897, 253, 1000, 500, 0, 0, 0, 80, 120, 'kamaloka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2110, 22498, 'Lost Watcher', '', 'LineageMonster2.bandersnatch', 18.00, 25.00, 69, 'male', 'L2SpecialMonster', 'Fighter', 40, 54800, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 0, 0, 10100, 967, 4692, 897, 253, 1000, 500, 0, 0, 0, 80, 120, 'kamaloka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2111, 22499, 'Lost Beholder', '', 'LineageMonster.onyx_beast_150p', 20.00, 23.50, 69, 'male', 'L2SpecialMonster', 'Fighter', 40, 109485, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 0, 0, 9901, 1387, 4603, 979, 253, 1000, 500, 0, 0, 0, 80, 120, 'kamaloka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2112, 22500, 'Lost Watcher', '', 'LineageMonster.angel', 13.50, 36.50, 78, 'male', 'L2SpecialMonster', 'Fighter', 40, 89836, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 17924, 1160, 8329, 1083, 253, 1000, 500, 148, 0, 0, 80, 120, 'kamaloka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2113, 22501, 'Lost Watcher', '', 'LineageMonster.angel', 13.50, 36.50, 78, 'male', 'L2SpecialMonster', 'Fighter', 40, 89836, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 17924, 1160, 8329, 1083, 253, 1000, 500, 148, 0, 0, 80, 120, 'kamaloka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2114, 22502, 'Lost Beholder', '', 'LineageMonster2.apostle_warrior', 8.00, 30.00, 78, 'female', 'L2SpecialMonster', 'Fighter', 40, 179531, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 17525, 1664, 8147, 1174, 253, 1000, 500, 6717, 0, 0, 80, 120, 'kamaloka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2115, 22503, 'Lost Watcher', '', 'LineageMonster4.behamah', 25.00, 37.50, 81, 'male', 'L2SpecialMonster', 'Fighter', 40, 89279, 9.800, 1897, 4.870, 40, 43, 30, 21, 20, 20, 0, 0, 18698, 1392, 8688, 1145, 253, 1000, 500, 10278, 10278, 0, 80, 120, 'kamaloka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2116, 22504, 'Lost Watcher', '', 'LineageMonster4.behamah', 25.00, 37.50, 81, 'male', 'L2SpecialMonster', 'Fighter', 40, 89279, 9.800, 1897, 4.870, 40, 43, 30, 21, 20, 20, 0, 0, 18698, 1392, 8688, 1145, 253, 1000, 500, 10278, 10278, 0, 80, 120, 'kamaloka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2117, 22505, 'Lost Beholder', '', 'LineageMonster2.hundred_eye', 21.00, 55.00, 81, 'male', 'L2SpecialMonster', 'Fighter', 40, 178417, 9.800, 1897, 4.870, 40, 43, 30, 21, 20, 20, 0, 0, 18258, 1996, 8484, 1408, 253, 1000, 500, 0, 0, 0, 80, 120, 'kamaloka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2118, 22506, 'Boom - Child', '', 'LineageMonster4.boom_eye', 33.00, 13.50, 75, 'male', 'L2Monster', 'Fighter', 40, 4229, 1.500, 1674, 2.700, 40, 43, 30, 21, 20, 20, 10044, 1059, 1823, 528, 1021, 447, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2119, 22507, 'Boom - Child', '', 'LineageMonster4.boom_eye', 33.00, 13.50, 77, 'male', 'L2Monster', 'Fighter', 40, 4514, 1.500, 1747, 2.700, 40, 43, 30, 21, 20, 20, 10067, 1089, 3689, 886, 2077, 748, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2120, 22508, 'Boom - Child', '', 'LineageMonster4.boom_eye', 33.00, 13.50, 80, 'male', 'L2Monster', 'Fighter', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 10499, 1178, 3689, 886, 2077, 748, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2121, 22509, 'Fanatic of Infinity', '', 'LineageMonster4.ravager_silen', 27.00, 48.50, 76, 'male', 'L2Monster', 'Fighter', 40, 4358, 1.500, 1710, 2.700, 40, 43, 30, 21, 20, 20, 75564, 7698, 2088, 594, 1170, 503, 253, 500, 500, 0, 0, 0, 110, 180, 'soi', 700, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2122, 22510, 'Rotten Messenger', '', 'LineageMonster4.death_scout_088p', 14.40, 22.00, 77, 'female', 'L2Monster', 'Fighter', 40, 4514, 1.500, 1747, 2.700, 40, 43, 30, 21, 20, 20, 68060, 7007, 2173, 606, 1219, 514, 253, 500, 500, 0, 0, 0, 110, 180, 'soi', 700, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2123, 22511, 'Zealot of Infinity', '', 'LineageMonster4.disciple_silen', 19.00, 44.00, 77, 'male', 'L2Monster', 'Fighter', 40, 4514, 1.500, 1747, 2.700, 40, 43, 30, 21, 20, 20, 69384, 7150, 2173, 606, 1219, 514, 253, 500, 500, 0, 0, 0, 110, 180, 'soi', 700, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2124, 22512, 'Body Severer', '', 'LineageMonster4.bonecreeper', 43.00, 47.50, 78, 'male', 'L2Monster', 'Fighter', 40, 4699, 1.500, 1784, 2.700, 40, 43, 30, 21, 20, 20, 72891, 7605, 2259, 620, 1268, 525, 253, 500, 500, 0, 0, 0, 110, 180, 'soi', 700, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2125, 22513, 'Body Harvester', '', 'LineageMonster4.corpseshambler', 0.01, 34.00, 79, 'male', 'L2Monster', 'Fighter', 40, 4942, 1.500, 1822, 2.700, 40, 43, 30, 21, 20, 20, 74772, 7900, 2350, 633, 1319, 536, 253, 500, 500, 0, 0, 0, 110, 180, 'soi', 700, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2126, 22514, 'Soul Exploiter', '', 'LineageMonster4.soul_harvester', 23.00, 31.00, 80, 'male', 'L2Monster', 'Fighter', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 66417, 7094, 2686, 712, 1509, 603, 253, 500, 500, 0, 0, 0, 110, 180, 'soi', 700, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2127, 22515, 'Soul Devourer', '', 'LineageMonster4.soul_wagon_104p', 56.00, 35.36, 81, 'male', 'L2Monster', 'Fighter', 40, 5470, 1.500, 1897, 2.700, 40, 43, 30, 21, 20, 20, 63246, 6665, 2791, 727, 1570, 615, 253, 500, 500, 0, 0, 0, 110, 180, 'soi', 700, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2128, 22516, 'Butcher of Infinity', '', 'LineageMonster4.ravager_silen', 27.00, 48.50, 81, 'male', 'L2Monster', 'Fighter', 40, 5470, 1.500, 1897, 2.700, 40, 43, 30, 21, 20, 20, 55248, 5826, 3689, 886, 2077, 748, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2129, 22517, 'Disciple of Infinity', '', 'LineageMonster4.disciple_silen', 19.00, 44.00, 81, 'male', 'L2Monster', 'Fighter', 40, 5470, 1.500, 1897, 2.700, 40, 43, 30, 21, 20, 20, 48912, 5151, 3689, 886, 2077, 748, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2130, 22518, 'Rotten Messenger', '', 'LineageMonster4.death_scout_088p', 14.40, 22.00, 82, 'female', 'L2Monster', 'Fighter', 40, 5757, 1.500, 1935, 2.700, 40, 43, 30, 21, 20, 20, 51135, 5315, 3689, 886, 2077, 748, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2131, 22519, 'Body Harvester', '', 'LineageMonster4.corpseshambler', 0.01, 34.00, 83, 'male', 'L2Monster', 'Fighter', 40, 6060, 1.500, 1973, 2.700, 40, 43, 30, 21, 20, 20, 58036, 5981, 3689, 886, 2077, 748, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2132, 22520, 'Body Severer', '', 'LineageMonster4.bonecreeper', 43.00, 47.50, 83, 'male', 'L2Monster', 'Fighter', 40, 6060, 1.500, 1973, 2.700, 40, 43, 30, 21, 20, 20, 56345, 5798, 3306, 834, 1862, 704, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2133, 22521, 'Soul Exploiter', '', 'LineageMonster4.soul_harvester', 23.00, 31.00, 83, 'male', 'L2Monster', 'Fighter', 40, 6060, 1.500, 1973, 2.700, 40, 43, 30, 21, 20, 20, 55722, 5702, 3306, 834, 1862, 704, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2134, 22522, 'Soul Devourer', '', 'LineageMonster4.soul_wagon_104p', 56.00, 35.36, 82, 'male', 'L2Monster', 'Fighter', 40, 5757, 1.500, 1935, 2.700, 40, 43, 30, 21, 20, 20, 50431, 5238, 3689, 886, 2077, 748, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2135, 22523, 'Soul Devourer', 'Food of Ekimus', 'LineageMonster4.soul_wagon_130p', 70.00, 44.20, 84, 'male', 'L2Monster', 'Fighter', 40, 176992, 1.500, 2011, 2.700, 40, 43, 30, 21, 20, 20, 1168301, 118417, 18695, 991, 8691, 1207, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2136, 22524, 'Emissary of Death', '', 'LineageMonster4.Death_slayer_080p', 16.00, 27.20, 83, 'male', 'L2Monster', 'Fighter', 40, 6060, 1.500, 1973, 2.700, 40, 43, 30, 21, 20, 20, 57235, 5894, 3306, 834, 1862, 704, 253, 0, 500, 13984, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2137, 22525, 'Emissary of Death', '', 'LineageMonster4.Death_slayer', 20.00, 34.00, 84, 'male', 'L2Monster', 'Fighter', 40, 6382, 1.500, 2011, 2.700, 40, 43, 30, 21, 20, 20, 60043, 6109, 3432, 849, 1932, 718, 253, 0, 500, 13984, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2138, 22526, 'Emissary of Death', '', 'LineageMonster4.Death_slayer_080p', 16.00, 27.20, 83, 'male', 'L2Monster', 'Fighter', 40, 6060, 1.500, 1973, 2.700, 40, 43, 30, 21, 20, 20, 58819, 6058, 3306, 834, 1862, 704, 253, 0, 500, 13985, 13986, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2139, 22527, 'Emissary of Death', '', 'LineageMonster4.Death_slayer', 20.00, 34.00, 84, 'male', 'L2Monster', 'Fighter', 40, 6382, 1.500, 2011, 2.700, 40, 43, 30, 21, 20, 20, 61705, 6278, 3432, 849, 1932, 718, 253, 0, 500, 13985, 13986, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2140, 22528, 'Cursed Prefect', '', 'LineageMonster4.death_knight_n_104p', 22.88, 41.60, 83, 'male', 'L2Monster', 'Fighter', 80, 6060, 1.500, 1973, 2.700, 40, 43, 30, 21, 20, 20, 74222, 7643, 3689, 886, 2077, 748, 253, 0, 500, 13982, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2141, 22529, 'Cursed Prefect', '', 'LineageMonster4.death_knight_n_130p', 28.60, 52.00, 84, 'male', 'L2Monster', 'Fighter', 80, 6382, 1.500, 2011, 2.700, 40, 43, 30, 21, 20, 20, 77864, 7922, 3689, 886, 2077, 748, 253, 0, 500, 13982, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2142, 22530, 'Cursed Prefect', '', 'LineageMonster4.death_knight_n_104p', 22.88, 41.60, 83, 'male', 'L2Monster', 'Fighter', 80, 6060, 1.500, 1973, 2.700, 40, 43, 30, 21, 20, 20, 59237, 6106, 3689, 886, 2077, 748, 253, 0, 500, 13983, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2143, 22531, 'Cursed Prefect', '', 'LineageMonster4.death_knight_n_130p', 28.60, 52.00, 84, 'male', 'L2Monster', 'Fighter', 80, 6382, 1.500, 2011, 2.700, 40, 43, 30, 21, 20, 20, 62144, 6328, 3689, 886, 2077, 748, 253, 0, 500, 13983, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2144, 22532, 'Law Scholar of Conclusions', '', 'LineageMonster4.lich_A_088p', 21.12, 40.48, 83, 'male', 'L2Monster', 'Fighter', 40, 6060, 1.500, 1973, 2.700, 40, 43, 30, 21, 20, 20, 56060, 5767, 3689, 886, 2077, 748, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2145, 22533, 'Law Scholar of Conclusions', '', 'LineageMonster4.lich_A_110p', 26.40, 50.60, 84, 'male', 'L2Monster', 'Fighter', 40, 6382, 1.500, 2011, 2.700, 40, 43, 30, 21, 20, 20, 58811, 5977, 3432, 849, 1932, 718, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2146, 22534, 'Law Scholar of Conclusions', '', 'LineageMonster4.lich_b_088p', 21.12, 40.48, 83, 'male', 'L2Monster', 'Fighter', 40, 6060, 1.500, 1973, 2.700, 40, 43, 30, 21, 20, 20, 53542, 5495, 3689, 886, 2077, 748, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2147, 22535, 'Law Scholar of Conclusions', '', 'LineageMonster4.lich_b_110p', 26.40, 50.60, 84, 'male', 'L2Monster', 'Fighter', 40, 6382, 1.500, 2011, 2.700, 40, 43, 30, 21, 20, 20, 56169, 5696, 3689, 886, 2077, 748, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2148, 22536, 'Royal Guard Captain', '', 'LineageMonster4.Dragon_eliteguard_075p', 40.00, 55.00, 84, 'male', 'L2Monster', 'Fighter', 80, 51737, 1.500, 2011, 2.700, 40, 43, 30, 21, 20, 20, 333644, 33883, 12017, 991, 5587, 1207, 253, 800, 500, 0, 0, 0, 110, 180, 'dragon', 900, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2149, 22537, 'Dragon Steed Troop Grand Magician', '', 'LineageMonster4.Dragon_archmage_135p', 25.00, 49.90, 84, 'male', 'L2Monster', 'Mystic', 40, 51737, 1.500, 2011, 2.700, 40, 43, 30, 21, 20, 20, 73171, 7447, 12017, 991, 5587, 1207, 253, 800, 500, 0, 0, 0, 110, 180, 'dragon', 900, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2150, 22538, 'Dragon Steed Troop Commander', '', 'LineageMonster4.Dragon_centurion_135p', 28.00, 46.50, 83, 'male', 'L2Monster', 'Fighter', 80, 51870, 1.500, 1973, 2.700, 40, 43, 30, 21, 20, 20, 96783, 10083, 11903, 974, 5534, 1186, 253, 800, 500, 13978, 0, 0, 110, 180, 'dragon', 900, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2151, 22539, 'Dragon Steed Troops No 1 Battalion Commander', '', 'LineageMonster4.Dragon_centurion_135p', 28.00, 46.50, 82, 'male', 'L2Monster', 'Fighter', 80, 52055, 1.500, 1935, 2.700, 40, 43, 30, 21, 20, 20, 98080, 10347, 11789, 957, 5477, 1166, 253, 800, 500, 13978, 0, 0, 110, 180, 'dragon', 900, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2152, 22540, 'White Dragon Leader', '', 'LineageMonster4.Dragon_centurion_120p', 22.00, 42.00, 81, 'male', 'L2Monster', 'Fighter', 40, 52146, 1.500, 1897, 2.700, 40, 43, 30, 21, 20, 20, 82134, 8708, 11673, 940, 5427, 1145, 253, 800, 500, 13979, 13980, 0, 110, 180, 'dragon', 900, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2153, 22541, 'Dragon Steed Troop Infantry', '', 'LineageMonster4.Dragon_centurion_120p', 22.00, 42.00, 80, 'male', 'L2Monster', 'Fighter', 40, 52288, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 83347, 8955, 11557, 923, 5374, 1125, 253, 800, 500, 13979, 13980, 0, 110, 180, 'dragon', 900, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2154, 22542, 'Dragon Steed Troop Magic Leader', '', 'LineageMonster4.dragon_mage_075p', 28.00, 39.50, 82, 'male', 'L2Monster', 'Mystic', 40, 52055, 1.500, 1935, 2.700, 40, 43, 30, 21, 20, 20, 193521, 21161, 11789, 957, 5477, 1166, 253, 800, 500, 0, 0, 0, 110, 180, 'dragon', 900, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2155, 22543, 'Dragon Steed Troop Magician', '', 'LineageMonster4.dragon_mage_075p', 28.00, 39.50, 81, 'male', 'L2Monster', 'Mystic', 40, 52146, 1.500, 1897, 2.700, 40, 43, 30, 21, 20, 20, 79493, 8397, 11673, 940, 5427, 1145, 253, 800, 500, 0, 0, 0, 110, 180, 'dragon', 900, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2156, 22544, 'Dragon Steed Troop Magic Soldier', '', 'LineageMonster4.dragon_mage_065p', 25.00, 34.50, 80, 'male', 'L2Monster', 'Mystic', 40, 52288, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 84936, 9090, 11557, 923, 5374, 1125, 253, 800, 500, 13981, 0, 0, 110, 180, 'dragon', 900, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2157, 22545, 'Wife of the Dragon of Darkness', '', 'LineageMonster4.dragon_shadow_110p', 60.00, 66.00, 83, 'male', 'L2Monster', 'Fighter', 40, 51870, 1.500, 1973, 2.700, 40, 43, 30, 21, 20, 20, 203716, 22000, 11903, 974, 5534, 1186, 253, 800, 500, 0, 0, 0, 110, 180, 'dragon', 900, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2158, 22546, 'Warrior of Light', '', 'LineageMonster4.dragon_berserker_090p', 50.00, 55.00, 79, 'male', 'L2Monster', 'Fighter', 40, 52385, 1.500, 1822, 2.700, 40, 43, 30, 21, 20, 20, 82511, 8653, 11354, 906, 5279, 1104, 253, 800, 500, 0, 0, 0, 110, 180, 'dragon', 900, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2159, 22547, 'Dragon Steed Troop Healer', '', 'LineageMonster4.dragon_mage_065p', 25.00, 34.50, 79, 'male', 'L2Monster', 'Priest', 40, 52385, 1.500, 1822, 2.700, 40, 43, 30, 21, 20, 20, 59035, 6215, 11354, 906, 5279, 1104, 253, 800, 500, 13981, 0, 0, 110, 180, 'dragon', 900, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2160, 22548, 'Dragon Steed Troop Javelin Thrower', '', 'LineageMonster4.dragon_peltast', 25.00, 46.50, 80, 'male', 'L2Monster', 'Ranger', 1100, 52288, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 94968, 10260, 11557, 923, 5374, 1125, 253, 800, 500, 13843, 0, 0, 110, 180, 'dragon', 900, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2161, 22549, 'Dragon Steed Troop Javelin Thrower', '', 'LineageMonster4.dragon_peltast', 25.00, 46.50, 80, 'male', 'L2Monster', 'Ranger', 1100, 52288, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 94968, 10260, 11557, 923, 5374, 1125, 253, 800, 500, 13843, 0, 0, 110, 180, 'dragon', 900, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2162, 22550, 'Savage Warrior', '', 'LineageMonster4.ravager_silen', 27.00, 48.50, 77, 'male', 'L2Monster', 'Fighter', 40, 31011, 1.500, 1747, 2.700, 40, 43, 30, 21, 20, 20, 103619, 10725, 8198, 872, 3808, 1062, 253, 800, 500, 13987, 0, 0, 110, 180, 'dragon', 900, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2163, 22551, 'Priest of Darkness', '', 'LineageMonster4.disciple_silen', 19.00, 44.00, 76, 'male', 'L2Monster', 'Mystic', 40, 31021, 1.500, 1710, 2.700, 40, 43, 30, 21, 20, 20, 95778, 9756, 8031, 855, 3734, 1041, 253, 800, 500, 0, 0, 0, 110, 180, 'dragon', 900, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2164, 22552, 'Mutation Drake', '', 'LineageMonster4.Mutant_drake', 48.00, 53.50, 78, 'male', 'L2Monster', 'Fighter', 40, 52476, 1.500, 1784, 2.700, 40, 43, 30, 21, 20, 20, 92347, 9614, 11141, 889, 5176, 1083, 253, 500, 800, 0, 0, 0, 110, 180, 'dragon', 900, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2165, 22553, 'Large Crystal Core', '', 'LineageNpcEV.source_facility', 62.00, 140.00, 75, 'female', 'L2Npc', 'npc', 40, 4229, 1.500, 1674, 2.700, 40, 43, 30, 21, 20, 20, 8087, 852, 1551, 524, 722, 425, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2166, 22554, 'Small Crystal Core', '', 'LineageNpcEV.source_facility', 62.00, 140.00, 75, 'female', 'L2Npc', 'npc', 40, 4229, 1.500, 1674, 2.700, 40, 43, 30, 21, 20, 20, 8087, 852, 1551, 524, 722, 425, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2167, 22555, 'Small Crystal Core', '', 'LineageNpcEV.source_facility', 62.00, 140.00, 75, 'female', 'L2Npc', 'npc', 40, 4229, 1.500, 1674, 2.700, 40, 43, 30, 21, 20, 20, 8087, 852, 1551, 524, 722, 425, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2168, 22556, 'Small Crystal Core', '', 'LineageNpcEV.source_facility', 62.00, 140.00, 75, 'female', 'L2Npc', 'npc', 40, 4229, 1.500, 1674, 2.700, 40, 43, 30, 21, 20, 20, 8087, 852, 1551, 524, 722, 425, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2169, 22557, 'Defense Mechanism', '', 'LineageMonster4.defence_mech', 86.00, 133.50, 75, 'male', 'L2Monster', 'Fighter', 40, 4229, 1.500, 1674, 2.700, 40, 43, 30, 21, 20, 20, 8087, 852, 1823, 528, 1021, 447, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2170, 22558, 'Defense Battery', '', 'LineageMonster4.defence_mech', 86.00, 133.50, 75, 'male', 'L2Monster', 'Fighter', 40, 4229, 1.500, 1674, 2.700, 40, 43, 30, 21, 20, 20, 8087, 852, 1823, 528, 1021, 447, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2171, 22559, 'Defeated Troops Commander', '', 'LineageMonster4.Dragon_centurion_135p', 28.00, 46.50, 83, 'male', 'L2Monster', 'Fighter', 40, 177460, 1.500, 1973, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 18550, 974, 8620, 1186, 253, 500, 500, 0, 0, 0, 110, 180, 'dragon', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2172, 22560, 'Defeated Troops No 1 Battalion Commander', '', 'LineageMonster4.Dragon_centurion_135p', 28.00, 46.50, 82, 'male', 'L2Monster', 'Fighter', 40, 178093, 1.500, 1935, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 18405, 957, 8553, 1166, 253, 500, 500, 0, 0, 0, 110, 180, 'dragon', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2173, 22561, 'Defeated Troops White Dragon Leader', '', 'LineageMonster4.Dragon_centurion_120p', 22.00, 42.00, 81, 'male', 'L2Monster', 'Fighter', 40, 178417, 1.500, 1897, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 18258, 940, 8484, 1145, 253, 500, 500, 0, 0, 0, 110, 180, 'dragon', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2174, 22562, 'Defeated Troops Infantry', '', 'LineageMonster4.Dragon_centurion_120p', 22.00, 42.00, 80, 'male', 'L2Monster', 'Fighter', 40, 178902, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 18111, 923, 8416, 1125, 253, 500, 500, 0, 0, 0, 110, 180, 'dragon', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2175, 22563, 'Defeated Troops Magic Leader', '', 'LineageMonster4.dragon_mage_075p', 28.00, 39.50, 82, 'male', 'L2Monster', 'Mystic', 40, 89117, 1.500, 1935, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 18856, 957, 8766, 1166, 253, 0, 500, 0, 0, 0, 110, 180, 'dragon', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2176, 22564, 'Defeated Troops Magician', '', 'LineageMonster4.dragon_mage_075p', 28.00, 39.50, 81, 'male', 'L2Monster', 'Mystic', 40, 89279, 1.500, 1897, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 18698, 940, 8688, 1145, 253, 500, 500, 0, 0, 0, 110, 180, 'dragon', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2177, 22565, 'Defeated Troops Magic Soldier', '', 'LineageMonster4.dragon_mage_065p', 25.00, 34.50, 80, 'male', 'L2Monster', 'Mystic', 40, 52288, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 11557, 923, 5374, 1125, 253, 500, 500, 0, 0, 0, 110, 180, 'dragon', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2178, 22566, 'Defeated Troops Healer', '', 'LineageMonster4.dragon_mage_065p', 25.00, 34.50, 79, 'male', 'L2Monster', 'Mystic', 40, 52385, 1.500, 1822, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 11354, 906, 5279, 1104, 253, 500, 500, 0, 0, 0, 110, 180, 'dragon', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2179, 22567, 'Defeated Troops Javelin Thrower', '', 'LineageMonster4.dragon_peltast', 25.00, 46.50, 80, 'male', 'L2Monster', 'Fighter', 1100, 89522, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 18539, 923, 8619, 1125, 253, 500, 500, 0, 0, 0, 110, 180, 'dragon', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2180, 22568, 'Defeated Troops Javelin Thrower', '', 'LineageMonster4.dragon_peltast', 25.00, 46.50, 80, 'male', 'L2Monster', 'Fighter', 1100, 89522, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 18539, 923, 8619, 1125, 253, 500, 500, 0, 0, 0, 110, 180, 'dragon', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2181, 22569, 'Soldiers of Bravery', 'Tiat\'s Bodyguard', 'LineageMonster4.dragon_rider', 36.00, 51.00, 85, 'male', 'L2Monster', 'Fighter', 80, 528731, 1.500, 2050, 2.700, 40, 43, 30, 21, 20, 20, 1322725, 139467, 16366, 1007, 7605, 1227, 253, 500, 500, 0, 0, 0, 110, 180, 'dragon', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2182, 22570, 'Royal Guard Captain', '', 'LineageMonster4.Dragon_eliteguard_075p', 40.00, 55.00, 84, 'male', 'L2Monster', 'Fighter', 40, 530976, 1.500, 2011, 2.700, 40, 43, 30, 21, 20, 20, 2410562, 244753, 16098, 991, 7480, 1207, 253, 500, 500, 0, 0, 0, 110, 180, 'dragon', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2183, 22571, 'Dragon Steed Troop Grand Magician', '', 'LineageMonster4.Dragon_archmage_135p', 25.00, 49.90, 84, 'male', 'L2Monster', 'Fighter', 40, 88567, 1.500, 2011, 2.700, 40, 43, 30, 21, 20, 20, 565516, 57381, 19169, 991, 8911, 1207, 253, 500, 500, 0, 0, 0, 110, 180, 'dragon', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2184, 22572, 'Dragon Steed Troop Commander', '', 'LineageMonster4.Dragon_centurion_135p', 28.00, 46.50, 83, 'male', 'L2Monster', 'Fighter', 80, 177460, 1.500, 1973, 2.700, 40, 43, 30, 21, 20, 20, 1277122, 131629, 18550, 974, 8620, 1186, 253, 500, 500, 13978, 0, 0, 110, 180, 'dragon', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2185, 22573, 'Dragon Steed Troops No 1 Battalion Commander', '', 'LineageMonster4.Dragon_centurion_135p', 28.00, 46.50, 82, 'male', 'L2Monster', 'Fighter', 80, 178093, 1.500, 1935, 2.700, 40, 43, 30, 21, 20, 20, 352899, 37237, 18405, 957, 8553, 1166, 253, 500, 500, 13978, 0, 0, 110, 180, 'dragon', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2186, 22574, 'White Dragon Leader', '', 'LineageMonster4.Dragon_centurion_120p', 22.00, 42.00, 81, 'male', 'L2Monster', 'Fighter', 40, 178417, 1.500, 1897, 2.700, 40, 43, 30, 21, 20, 20, 294906, 31273, 18258, 940, 8484, 1145, 253, 500, 500, 13979, 13980, 0, 110, 180, 'dragon', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2187, 22575, 'Dragon Steed Troop Infantry', '', 'LineageMonster4.Dragon_centurion_120p', 22.00, 42.00, 80, 'male', 'L2Monster', 'Fighter', 40, 178902, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 299241, 32156, 18111, 923, 8416, 1125, 253, 500, 500, 13979, 13980, 0, 110, 180, 'dragon', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2188, 22576, 'Dragon Steed Troop Magic Leader', '', 'LineageMonster4.dragon_mage_075p', 28.00, 39.50, 82, 'male', 'L2Monster', 'Mystic', 40, 89117, 1.500, 1935, 2.700, 40, 43, 30, 21, 20, 20, 136941, 14290, 18856, 957, 8766, 1166, 253, 500, 500, 0, 0, 0, 110, 180, 'dragon', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2189, 22577, 'Dragon Steed Troop Magician', '', 'LineageMonster4.dragon_mage_075p', 28.00, 39.50, 81, 'male', 'L2Monster', 'Mystic', 40, 89279, 1.500, 1897, 2.700, 40, 43, 30, 21, 20, 20, 136094, 14370, 18698, 940, 8688, 1145, 253, 500, 500, 0, 0, 0, 110, 180, 'dragon', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2190, 22578, 'Dragon Steed Troop Magic Soldier', '', 'LineageMonster4.dragon_mage_065p', 25.00, 34.50, 80, 'male', 'L2Monster', 'Mystic', 40, 89522, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 151605, 16251, 18539, 923, 8619, 1125, 253, 500, 500, 13981, 0, 0, 110, 180, 'dragon', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2191, 22579, 'Warrior of Light', '', 'LineageMonster4.dragon_berserker_090p', 50.00, 55.00, 79, 'male', 'L2Monster', 'Fighter', 40, 89680, 1.500, 1822, 2.700, 40, 43, 30, 21, 20, 20, 156549, 16504, 18239, 906, 8479, 1104, 253, 500, 500, 0, 0, 0, 110, 180, 'dragon', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2192, 22580, 'Dragon Steed Troop Healer', '', 'LineageMonster4.dragon_mage_065p', 25.00, 34.50, 79, 'male', 'L2Monster', 'Mystic', 40, 89680, 1.500, 1822, 2.700, 40, 43, 30, 21, 20, 20, 102203, 10760, 18239, 906, 8479, 1104, 253, 500, 500, 13981, 0, 0, 110, 180, 'dragon', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2193, 22581, 'Dragon Steed Troop Javelin Thrower', '', 'LineageMonster4.dragon_peltast', 25.00, 46.50, 80, 'male', 'L2Monster', 'Fighter', 1100, 89522, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 170995, 18501, 18539, 923, 8619, 1125, 253, 500, 500, 13843, 0, 0, 110, 180, 'dragon', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2194, 22582, 'Dragon Steed Troop Javelin Thrower', '', 'LineageMonster4.dragon_peltast', 25.00, 46.50, 80, 'male', 'L2Monster', 'Fighter', 1100, 89522, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 170995, 18501, 18539, 923, 8619, 1125, 253, 500, 500, 13843, 0, 0, 110, 180, 'dragon', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2195, 22583, 'Dragon Steed Troop Magic Leader', '', 'LineageMonster4.dragon_mage_075p', 28.00, 39.50, 82, 'male', 'L2Monster', 'Mystic', 40, 89117, 1.500, 1935, 2.700, 40, 43, 30, 21, 20, 20, 140831, 14711, 18856, 957, 8766, 1166, 253, 500, 500, 0, 0, 0, 110, 180, 'dragon', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2196, 22584, 'Dragon Steed Troop Magician', '', 'LineageMonster4.dragon_mage_075p', 28.00, 39.50, 81, 'male', 'L2Monster', 'Mystic', 40, 89279, 1.500, 1897, 2.700, 40, 43, 30, 21, 20, 20, 142800, 15110, 18698, 940, 8688, 1145, 253, 500, 500, 0, 0, 0, 110, 180, 'dragon', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2197, 22585, 'Dragon Steed Troop Magic Soldier', '', 'LineageMonster4.dragon_mage_065p', 25.00, 34.50, 80, 'male', 'L2Monster', 'Mystic', 40, 52288, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 87030, 9329, 11557, 923, 5374, 1125, 253, 500, 500, 13981, 0, 0, 110, 180, 'dragon', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2198, 22586, 'Dragon Steed Troop Commander', '', 'LineageMonster4.Dragon_centurion_135p', 28.00, 46.50, 83, 'male', 'L2Monster', 'Fighter', 80, 177460, 1.500, 1973, 2.700, 40, 43, 30, 21, 20, 20, 1295378, 133568, 18550, 974, 8620, 1186, 253, 500, 500, 13978, 0, 0, 110, 180, 'dragon', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2199, 22587, 'Dragon Steed Troop Captain #1', '', 'LineageMonster4.Dragon_centurion_135p', 28.00, 46.50, 82, 'male', 'L2Monster', 'Fighter', 80, 178093, 1.500, 1935, 2.700, 40, 43, 30, 21, 20, 20, 365328, 38596, 18405, 957, 8553, 1166, 253, 500, 500, 13978, 0, 0, 110, 180, 'dragon', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2200, 22588, 'White Dragon Leader', '', 'LineageMonster4.Dragon_centurion_120p', 22.00, 42.00, 81, 'male', 'L2Monster', 'Fighter', 40, 178417, 1.500, 1897, 2.700, 40, 43, 30, 21, 20, 20, 272419, 28783, 18258, 940, 8484, 1145, 253, 500, 500, 13979, 13980, 0, 110, 180, 'dragon', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2201, 22589, 'Dragon Steed Troop Infantry', '', 'LineageMonster4.Dragon_centurion_120p', 22.00, 42.00, 80, 'male', 'L2Monster', 'Fighter', 40, 178902, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 276411, 29594, 18111, 923, 8416, 1125, 253, 500, 500, 13979, 13980, 0, 110, 180, 'dragon', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2202, 22590, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 73, 'male', 'L2Npc', 'npc', 40, 29785, 1.500, 1601, 2.700, 40, 43, 30, 21, 20, 20, 116750, 11412, 7298, 804, 3394, 979, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2203, 22591, 'Dragon Steed Troop Magic Leader', '', 'LineageMonster4.dragon_mage_075p', 28.00, 39.50, 82, 'male', 'L2Monster', 'Mystic', 40, 52055, 1.500, 1935, 2.700, 40, 43, 30, 21, 20, 20, 82741, 8651, 11789, 957, 5477, 1166, 253, 500, 500, 0, 0, 0, 110, 180, 'dragon', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2204, 22592, 'Dragon Steed Troop Magician', '', 'LineageMonster4.dragon_mage_075p', 28.00, 39.50, 81, 'male', 'L2Monster', 'Mystic', 40, 52146, 1.500, 1897, 2.700, 40, 43, 30, 21, 20, 20, 82322, 8710, 11673, 940, 5427, 1145, 253, 500, 500, 0, 0, 0, 110, 180, 'dragon', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2205, 22593, 'Dragon Steed Troop Magic Soldier', '', 'LineageMonster4.dragon_mage_065p', 25.00, 34.50, 80, 'male', 'L2Monster', 'Mystic', 40, 52288, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 87800, 9411, 11557, 923, 5374, 1125, 253, 500, 500, 13981, 0, 0, 110, 180, 'dragon', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2206, 22594, 'Dragon Steed Troop Commander', '', 'LineageMonster4.Dragon_centurion_135p', 28.00, 46.50, 83, 'male', 'L2Monster', 'Fighter', 80, 51870, 1.500, 1973, 2.700, 40, 43, 30, 21, 20, 20, 359407, 37057, 11903, 974, 5534, 1186, 253, 500, 500, 13978, 0, 0, 110, 180, 'dragon', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2207, 22595, 'Dragon Steed Troops No 1 Battalion Commander', '', 'LineageMonster4.Dragon_centurion_135p', 28.00, 46.50, 82, 'male', 'L2Monster', 'Fighter', 80, 52055, 1.500, 1935, 2.700, 40, 43, 30, 21, 20, 20, 362118, 37795, 11789, 957, 5477, 1166, 253, 500, 500, 13978, 0, 0, 110, 180, 'dragon', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2208, 22596, 'White Dragon Leader', '', 'LineageMonster4.Dragon_centurion_120p', 22.00, 42.00, 81, 'male', 'L2Monster', 'WhiteDragonLeader', 40, 52146, 1.500, 1897, 2.700, 40, 43, 30, 21, 20, 20, 87965, 9354, 11673, 940, 5427, 1145, 253, 500, 500, 13979, 13980, 0, 110, 180, 'dragon', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2209, 22597, 'Dragon Steed Troop Infantry', '', 'LineageMonster4.Dragon_centurion_120p', 22.00, 42.00, 80, 'male', 'L2Monster', 'Fighter', 40, 52288, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 89268, 9620, 11557, 923, 5374, 1125, 253, 500, 500, 13979, 13980, 0, 110, 180, 'dragon', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2210, 22598, 'Obelisk', '', 'LineageNpcEV.obelisk_of_middle_square', 229.00, 177.50, 82, 'female', 'L2Npc', 'npc', 40, 52055, 1.500, 1935, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 11789, 957, 5477, 1166, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2211, 22599, 'Great Powerful Device', '', 'LineageNpcEV.crystal_of_secret_door', 57.00, 74.00, 82, 'female', 'L2Monster', 'npc', 40, 52055, 1.500, 1935, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 11789, 957, 5477, 1166, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2212, 22600, 'Throne of Destruction Powerful Device', '', 'LineageNpcEV.protector_of_seed', 57.00, 74.00, 82, 'female', 'L2Monster', 'npc', 40, 52055, 1.500, 1935, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 11789, 957, 5477, 1166, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2213, 22601, 'Heart Protection Device', '', 'LineageNpcEV.crystal_of_secret_door', 57.00, 74.00, 73, 'female', 'L2Npc', 'npc', 40, 29785, 1.500, 1601, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 7298, 804, 3394, 979, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2214, 22602, 'Mutant - Bird', '', 'LineageMonster4.mutant_hawk', 100.00, 85.00, 73, 'male', 'L2Monster', 'Fighter', 40, 4087, 1.500, 1601, 2.700, 40, 43, 30, 21, 20, 20, 14171, 1458, 1680, 505, 939, 427, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2215, 22603, 'Mutant - Bird', '', 'LineageMonster4.mutant_hawk', 100.00, 85.00, 74, 'male', 'L2Monster', 'Fighter', 40, 4159, 1.500, 1637, 2.700, 40, 43, 30, 21, 20, 20, 14562, 1517, 1750, 517, 980, 437, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2216, 22604, 'Dra Hawk', '', 'LineageMonster4.drahawk', 110.00, 35.00, 74, 'female', 'L2Monster', 'Fighter', 40, 4159, 1.500, 1637, 2.700, 40, 43, 30, 21, 20, 20, 9167, 955, 1750, 517, 980, 437, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2217, 22605, 'Dra Hawk', '', 'LineageMonster4.drahawk', 110.00, 35.00, 75, 'female', 'L2Monster', 'Fighter', 40, 4229, 1.500, 1674, 2.700, 40, 43, 30, 21, 20, 20, 9416, 993, 1823, 528, 1021, 447, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2218, 22606, 'Floating Skull', '', 'LineageMonster4.floating_skeleton', 28.00, 39.00, 76, 'male', 'L2Monster', 'Fighter', 40, 4358, 1.500, 1710, 2.700, 40, 43, 30, 21, 20, 20, 10528, 1125, 2088, 594, 1170, 503, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2219, 22607, 'Floating Skull', '', 'LineageMonster4.floating_skeleton', 28.00, 39.00, 77, 'male', 'L2Monster', 'Fighter', 40, 4514, 1.500, 1747, 2.700, 40, 43, 30, 21, 20, 20, 17574, 1901, 2173, 606, 1219, 514, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2220, 22608, 'Floating Zombie', '', 'LineageMonster4.floating_zombie', 70.00, 50.00, 75, 'female', 'L2Monster', 'Fighter', 40, 4229, 1.500, 1674, 2.700, 40, 43, 30, 21, 20, 20, 9720, 1025, 1823, 528, 1021, 447, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2221, 22609, 'Floating Zombie', '', 'LineageMonster4.floating_zombie', 70.00, 50.00, 76, 'female', 'L2Monster', 'Fighter', 40, 4358, 1.500, 1710, 2.700, 40, 43, 30, 21, 20, 20, 9475, 1012, 2088, 594, 1170, 503, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2222, 22610, 'Mutated Drake Wing', '', 'LineageMonster4.m_drake_wing_knave', 153.00, 63.00, 75, 'male', 'L2Monster', 'Fighter', 40, 4229, 1.500, 1674, 2.700, 40, 43, 30, 21, 20, 20, 11981, 1263, 931, 471, 434, 383, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2223, 22611, 'Mutated Drake Wing', '', 'LineageMonster4.m_drake_wing_knave', 153.00, 63.00, 76, 'male', 'L2Monster', 'Fighter', 40, 4358, 1.500, 1710, 2.700, 40, 43, 30, 21, 20, 20, 11797, 1261, 971, 481, 449, 391, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2224, 22612, 'Drak', '', 'LineageMonster4.drac', 100.00, 40.00, 76, 'female', 'L2Monster', 'Fighter', 40, 4358, 1.500, 1710, 2.700, 40, 43, 30, 21, 20, 20, 11485, 1227, 971, 481, 449, 391, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2225, 22613, 'Drak', '', 'LineageMonster4.drac', 100.00, 40.00, 77, 'female', 'L2Monster', 'Fighter', 40, 4514, 1.500, 1747, 2.700, 40, 43, 30, 21, 20, 20, 11789, 1275, 1015, 490, 469, 398, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2226, 22614, 'Vulture Rider', '', 'LineageMonster4.master_rider', 123.00, 90.00, 74, 'male', 'L2Monster', 'Fighter', 40, 4159, 1.500, 1637, 2.700, 40, 43, 30, 21, 20, 20, 10093, 1052, 901, 462, 416, 375, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2227, 22615, 'Vulture Rider', '', 'LineageMonster4.master_rider', 123.00, 90.00, 75, 'male', 'L2Monster', 'Fighter', 40, 4229, 1.500, 1674, 2.700, 40, 43, 30, 21, 20, 20, 10368, 1093, 931, 471, 434, 383, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2228, 22616, 'Seed of Pain', '', 'LineageMonster4.death_claw_054p', 14.00, 12.00, 81, 'male', 'L2Monster', 'Fighter', 40, 5470, 1.500, 1897, 2.700, 40, 43, 30, 21, 20, 20, 46442, 4907, 2048, 588, 949, 477, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2229, 22617, 'Spiked Stakato', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2230, 22618, 'Spiked Stakato Worker', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2231, 22619, 'Spiked Stakato Guard', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2232, 22620, 'Female Spiked Stakato', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2233, 22621, 'Male Spiked Stakato', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2234, 22622, 'Male Spiked Stakato', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2235, 22623, 'Spiked Stakato Sorcerer', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2236, 22624, 'Cannibalistic Stakato Follower', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2237, 22625, 'Cannibalistic Stakato Leader', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2238, 22626, 'Cannibalistic Stakato Leader', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2239, 22627, 'Spiked Stakato Soldier', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2240, 22628, 'Spiked Stakato Drone', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2241, 22629, 'Spiked Stakato Captain', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2242, 22630, 'Spike Stakato Nurse', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2243, 22631, 'Spike Stakato Nurse', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2244, 22632, 'Spiked Stakato Baby', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2245, 22633, 'Spiked Stakato Shaman', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2246, 22634, 'Scarlet Stakato Worker', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2247, 22635, 'Scarlet Stakato Soldier', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2248, 22636, 'Scarlet Stakato Noble', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2249, 22637, 'Tepra Scorpion', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2250, 22638, 'Tepra Scarab', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2251, 22639, 'Assassin Beetle', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2252, 22640, 'Mercenary of Destruction', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2253, 22641, 'Knight of Destruction', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2254, 22642, 'Lavastone Golem', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2255, 22643, 'Magma Golem', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2256, 22644, 'Arimanes of Destruction', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2257, 22645, 'Balrog of Destruction', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2258, 22646, 'Ashuras of Destruction', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2259, 22647, 'Lavasillisk', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2260, 22648, 'Blazing Ifrit', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2261, 22649, 'Magma Drake', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2262, 22650, 'Mucrokian Fanatic', '', NULL, 25.00, 41.00, 83, 'male', 'L2Monster', 'Fighter', 40, 9060, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 31222, 3214, 3549, 894, 1998, 756, 278, 0, 333, 0, 0, 0, 60, 185, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2263, 22651, 'Mucrokian Ascetic', '', NULL, 25.00, 41.00, 83, 'male', 'L2Monster', 'Fighter', 40, 9060, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 32290, 3329, 3549, 894, 1998, 756, 278, 0, 333, 0, 0, 0, 60, 185, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2264, 22652, 'Mucrokian Savior', '', NULL, 25.00, 41.00, 84, 'male', 'L2Monster', 'Fighter', 40, 9243, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 32754, 3330, 3683, 912, 2073, 771, 278, 0, 333, 0, 0, 0, 60, 185, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2265, 22653, 'Mucrokian Preacher', '', NULL, 25.00, 41.00, 84, 'male', 'L2Monster', 'Fighter', 40, 9243, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 33875, 3450, 3683, 912, 2073, 771, 278, 0, 333, 0, 0, 0, 60, 185, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2266, 22654, 'Contaminated Mucrokian', '', NULL, 18.00, 29.00, 83, 'male', 'L2Monster', 'Fighter', 40, 9060, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 11147, 1204, 3549, 894, 1998, 756, 278, 150, 333, 5128, 0, 0, 60, 185, 'Mucrokian', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2267, 22655, 'Awakened Mucrokian', '', NULL, 30.00, 52.00, 84, 'male', 'L2Monster', 'Fighter', 40, 9243, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 59920, 6084, 3683, 912, 2073, 771, 278, 0, 333, 0, 0, 0, 60, 185, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2268, 22656, 'Suppressor', '', NULL, 23.50, 41.50, 83, 'male', 'L2Monster', 'Fighter', 40, 9060, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 31222, 3214, 3549, 894, 1998, 756, 278, 0, 333, 0, 0, 0, 60, 185, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2269, 22657, 'Exterminator', '', NULL, 23.00, 41.00, 84, 'male', 'L2Monster', 'Fighter', 40, 9243, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 32754, 3330, 3683, 912, 2073, 771, 278, 0, 333, 0, 0, 0, 60, 185, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2270, 22658, 'Sentinel Waterspirit', '', NULL, 20.00, 41.00, 83, 'male', 'L2Monster', 'Fighter', 40, 9060, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 32290, 3329, 3549, 894, 1998, 756, 278, 0, 333, 0, 0, 0, 60, 185, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2271, 22659, 'Guardian Waterspirit', '', NULL, 20.00, 27.50, 84, 'male', 'L2Monster', 'Fighter', 40, 9243, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 33875, 3450, 3683, 912, 2073, 771, 278, 0, 333, 9638, 9638, 0, 60, 185, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2272, 22660, 'Lesser Giant', '', 'lesser_giant', 21.00, 44.00, 1, 'male', 'L2Monster', 'Fighter', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 14, 63, 11, 50, 253, 0, 500, 3937, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2273, 22661, 'Lesser Giant Soldier', '', 'lesser_giant', 40.00, 70.00, 81, 'male', 'L2Monster', 'Fighter', 40, 33003, 7.500, 1708, 2.700, 40, 43, 30, 21, 20, 10, 340299, 35858, 9882, 1030, 5559, 871, 278, 0, 500, 3937, 0, 0, 110, 220, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2274, 22662, 'Lesser Giant Shooter', '', 'lesser_giant_shooter', 40.00, 70.00, 82, 'male', 'L2Monster', 'Ranger', 1100, 32946, 7.500, 1743, 2.700, 40, 43, 30, 21, 20, 10, 327338, 34009, 10260, 1030, 5775, 871, 278, 0, 500, 4028, 0, 0, 110, 220, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2275, 22663, 'Lesser Giant Scout', '', 'lesser_giant_shooter', 40.00, 70.00, 82, 'male', 'L2Monster', 'Ranger', 1100, 32946, 7.500, 1743, 2.700, 40, 43, 30, 21, 20, 10, 327338, 34009, 10260, 1030, 5775, 871, 278, 0, 500, 4028, 0, 0, 110, 220, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2276, 22664, 'Lesser Giant Mage', '', 'lesser_giant_mage', 40.00, 70.00, 82, 'male', 'L2Monster', 'Mystic', 40, 32946, 7.500, 1743, 2.700, 40, 43, 30, 21, 20, 10, 334291, 34769, 10260, 1030, 5775, 871, 278, 0, 500, 3938, 0, 0, 110, 220, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2277, 22665, 'Lesser Giant Elder', '', 'lesser_giant_mage', 40.00, 70.00, 82, 'male', 'L2Monster', 'Mystic', 40, 32946, 7.500, 1743, 2.700, 40, 43, 30, 21, 20, 10, 330423, 34346, 10260, 1030, 5775, 871, 278, 0, 500, 3938, 0, 0, 110, 220, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2278, 22666, 'Barif', '', 'lesser_giant_mage', 40.00, 70.00, 82, 'male', 'L2Monster', 'Mystic', 40, 3643, 7.500, 1743, 2.700, 40, 43, 30, 21, 20, 10, 39543, 3085, 3420, 876, 1925, 741, 278, 500, 500, 3938, 0, 0, 110, 220, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2279, 22667, 'Barif\'s Pet', '', 'leogul', 15.00, 35.00, 81, 'male', 'L2Minion', 'Fighter', 40, 3461, 7.500, 1708, 2.700, 40, 43, 30, 21, 20, 10, 29758, 3156, 3294, 858, 1853, 726, 278, 500, 500, 0, 0, 0, 110, 220, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2280, 22668, 'Gamlin', 'Scout', 'gamlin', 11.00, 32.00, 81, 'male', 'L2Monster', 'Leogul', 40, 3461, 7.500, 1708, 2.700, 40, 43, 30, 21, 20, 10, 25150, 2646, 3294, 858, 1853, 726, 278, 750, 500, 0, 0, 0, 110, 220, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2281, 22669, 'Leogul', 'Scout', 'leogul', 15.00, 35.00, 81, 'male', 'L2Monster', 'Leogul', 40, 3461, 7.500, 1708, 2.700, 40, 43, 30, 21, 20, 10, 25150, 2646, 3294, 858, 1853, 726, 278, 750, 500, 0, 0, 0, 110, 220, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2282, 22670, 'Cursed Lord', '', NULL, 10.00, 56.00, 80, 'male', 'L2Monster', 'Fighter', 40, 3290, 7.500, 1674, 2.700, 40, 43, 30, 21, 20, 10, 30251, 3260, 3171, 840, 1782, 711, 278, 500, 500, 0, 0, 0, 60, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2283, 22671, 'Cursed Guardian!', '', NULL, 14.00, 15.00, 80, 'male', 'L2Monster', 'Fighter', 40, 3290, 7.500, 1674, 2.700, 40, 43, 30, 21, 20, 10, 28869, 3105, 3171, 840, 1782, 711, 278, 0, 500, 0, 0, 0, 30, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2284, 22672, 'Cursed Seer', '', NULL, 16.00, 65.00, 80, 'male', 'L2Monster', 'Fighter', 40, 3290, 7.500, 1674, 2.700, 40, 43, 30, 21, 20, 10, 28776, 3095, 3171, 840, 1782, 711, 278, 0, 500, 0, 0, 0, 140, 150, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2285, 22673, 'Hirokai', '', NULL, 10.00, 56.00, 80, 'male', 'L2Monster', 'Fighter', 40, 3290, 7.500, 1674, 2.700, 40, 43, 30, 21, 20, 10, 24791, 2648, 3171, 840, 1782, 711, 278, 0, 500, 0, 0, 0, 60, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2286, 22674, 'Imagro', '', NULL, 16.00, 65.00, 80, 'male', 'L2Monster', 'Fighter', 40, 3290, 7.500, 1674, 2.700, 40, 43, 30, 21, 20, 10, 24023, 2561, 3171, 840, 1782, 711, 278, 0, 500, 0, 0, 0, 140, 150, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2287, 22675, 'Palit', '', NULL, 20.00, 32.00, 80, 'male', 'L2Monster', 'Fighter', 40, 3290, 7.500, 1674, 2.700, 40, 43, 30, 21, 20, 10, 25228, 2697, 3171, 840, 1782, 711, 278, 0, 500, 0, 0, 0, 40, 150, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2288, 22676, 'Hamlet', '', NULL, 16.00, 65.00, 80, 'male', 'L2Monster', 'Fighter', 40, 3290, 7.500, 1674, 2.700, 40, 43, 30, 21, 20, 10, 24791, 2648, 3171, 840, 1782, 711, 278, 0, 500, 0, 0, 0, 100, 150, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2289, 22677, 'Klennot', '', NULL, 25.00, 45.00, 80, 'male', 'L2Monster', 'Fighter', 40, 3290, 7.500, 1674, 2.700, 40, 43, 30, 21, 20, 10, 25474, 2724, 3171, 840, 1782, 711, 278, 500, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2290, 22678, 'Grave Robber Summoner', 'Lunatic', NULL, 14.00, 27.50, 81, 'male', 'L2Monster', 'GraveRobberSummoner', 40, 8691, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 19856, 1844, 3294, 858, 1853, 726, 278, 0, 500, 0, 0, 0, 80, 120, 'mithril_mines', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2291, 22679, 'Grave Robber Magician', 'Lunatic', NULL, 14.00, 27.50, 82, 'male', 'L2Monster', 'GraveRobberSummoner', 40, 8876, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 20353, 1891, 3420, 876, 1925, 741, 278, 0, 500, 0, 0, 0, 80, 120, 'mithril_mines', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2292, 22680, 'Grave Robber Worker', 'Lunatic', NULL, 14.00, 27.50, 81, 'male', 'L2Monster', 'Fighter', 40, 8691, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 19856, 1844, 3294, 858, 1853, 726, 278, 0, 500, 0, 0, 0, 80, 120, 'mithril_mines', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2293, 22681, 'Grave Robber Warrior', 'Lunatic', NULL, 14.00, 27.50, 81, 'male', 'L2Monster', 'Fighter', 40, 8691, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 19856, 1844, 3294, 858, 1853, 726, 278, 0, 500, 0, 0, 0, 80, 120, 'mithril_mines', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2294, 22682, 'Grave Robber Warrior of Light', 'Lunatic', NULL, 14.00, 27.50, 82, 'male', 'L2Monster', 'Fighter', 40, 8876, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 20353, 1891, 3420, 876, 1925, 741, 278, 500, 500, 0, 0, 0, 80, 120, 'mithril_mines', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2295, 22683, 'Servitor of Darkness', '', NULL, 7.00, 33.00, 81, 'male', 'L2Monster', 'Fighter', 40, 8691, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 19856, 1844, 3294, 858, 1853, 726, 278, 500, 500, 0, 0, 0, 48, 140, 'mithril_mines', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2296, 22684, 'Servitor of Darkness', '', NULL, 10.00, 25.00, 81, 'male', 'L2Monster', 'Fighter', 40, 8691, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 19856, 1844, 3294, 858, 1853, 726, 278, 500, 500, 0, 0, 0, 80, 140, 'mithril_mines', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2297, 22685, 'Servitor of Darkness', '', NULL, 10.00, 40.00, 82, 'male', 'L2Monster', 'Fighter', 40, 8876, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 20353, 1891, 3420, 876, 1925, 741, 278, 500, 500, 0, 0, 0, 30, 150, 'mithril_mines', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2298, 22686, 'Servitor of Darkness', '', NULL, 12.50, 33.50, 82, 'male', 'L2Monster', 'Fighter', 40, 8876, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 20353, 1891, 3420, 876, 1925, 741, 278, 500, 500, 0, 0, 0, 80, 150, 'mithril_mines', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2299, 22687, 'Phantoms of the Mine', '', NULL, 12.50, 33.00, 82, 'male', 'L2Monster', 'Mystic', 40, 8876, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 20353, 1891, 3420, 876, 1925, 741, 253, 0, 500, 0, 0, 0, 110, 180, 'mithril_mines', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2300, 22688, 'Evil Spirits of the Mine', '', NULL, 12.00, 40.00, 82, 'male', 'L2Monster', 'Fighter', 40, 8876, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 20353, 1891, 3420, 876, 1925, 741, 278, 500, 500, 0, 0, 0, 70, 155, 'mithril_mines', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2301, 22689, 'Mine Bug', '', NULL, 12.00, 9.00, 82, 'male', 'L2Monster', 'Fighter', 40, 8876, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 5088, 472, 3420, 876, 1925, 741, 278, 500, 500, 0, 0, 0, 40, 60, 'mithril_mines', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2302, 22690, 'Earthworm\'s Descendant', '', NULL, 35.00, 35.00, 82, 'male', 'L2Monster', 'Fighter', 40, 8876, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 20353, 1891, 3420, 876, 1925, 741, 278, 0, 500, 0, 0, 0, 25, 100, 'mithril_mines', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2303, 22691, 'Ragna Orc', 'Spirit Infested', NULL, 9.00, 25.20, 81, 'male', 'L2Monster', 'Fighter', 40, 8691, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 19787, 2191, 3294, 858, 1853, 726, 278, 0, 500, 2, 0, 0, 80, 130, 'ragna_orc', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2304, 22692, 'Ragna Orc Warrior', 'Spirit Infested', NULL, 10.00, 24.00, 82, 'male', 'L2Monster', 'Fighter', 40, 8876, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 20944, 2263, 3420, 876, 1925, 741, 289, 0, 500, 127, 0, 0, 80, 120, 'ragna_orc', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2305, 22693, 'Ragna Orc Hero', 'Spirit Infested', NULL, 12.00, 28.00, 82, 'male', 'L2Monster', 'Fighter', 40, 8876, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 21464, 2346, 3420, 876, 1925, 741, 289, 0, 500, 6365, 0, 0, 80, 140, 'ragna_orc', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2306, 22694, 'Ragna Orc Commander', 'Spirit Infested', NULL, 12.00, 27.60, 82, 'male', 'L2Monster', 'Fighter', 40, 8876, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 20782, 2272, 3420, 876, 1925, 741, 289, 0, 500, 7892, 0, 0, 45, 130, 'ragna_orc', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2307, 22695, 'Ragna Orc Healer', 'Spirit Infested', NULL, 13.00, 20.80, 82, 'male', 'L2Monster', 'RagnaHealer', 40, 8876, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 18697, 2044, 3420, 876, 1925, 741, 289, 0, 500, 8680, 0, 0, 50, 120, 'ragna_orc', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2308, 22696, 'Ragna Orc Shaman', 'Spirit Infested', NULL, 13.00, 20.80, 81, 'male', 'L2Monster', 'Mystic', 40, 8691, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 19739, 2185, 3294, 858, 1853, 726, 289, 0, 500, 8680, 0, 0, 50, 120, 'ragna_orc', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2309, 22697, 'Ragna Orc Seer', 'Spirit Infested', NULL, 9.00, 27.00, 82, 'male', 'L2Monster', 'Fighter', 40, 8876, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 18697, 2044, 3420, 876, 1925, 741, 289, 0, 500, 8687, 0, 0, 45, 120, 'ragna_orc', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2310, 22698, 'Ragna Orc Archer', 'Spirit Infested', NULL, 11.00, 26.00, 81, 'male', 'L2Monster', 'Ranger', 1100, 8691, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 16973, 1880, 3294, 858, 1853, 726, 247, 0, 500, 8684, 0, 0, 45, 110, 'ragna_orc', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2311, 22699, 'Ragna Orc Sniper', 'Spirit Infested', NULL, 11.00, 26.00, 82, 'male', 'L2Monster', 'Ranger', 1100, 8876, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 21413, 2341, 3420, 876, 1925, 741, 247, 0, 500, 8684, 0, 0, 45, 110, 'ragna_orc', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2312, 22700, 'Varangka\'s Guardian', '', NULL, 14.00, 44.00, 82, 'male', 'L2Monster', 'Fighter', 40, 8876, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 21413, 2341, 3420, 876, 1925, 741, 253, 0, 500, 0, 0, 0, 50, 180, 'den_of_evil', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2313, 22701, 'Varangka\'s Dre Vanul', '', NULL, 14.00, 44.00, 81, 'male', 'L2Monster', 'Fighter', 40, 8691, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 16089, 1759, 3294, 858, 1853, 726, 278, 0, 500, 0, 0, 0, 70, 155, 'den_of_evil', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2314, 22702, 'Varangka\'s Destroyer', '', NULL, 19.00, 32.00, 82, 'male', 'L2Monster', 'Fighter', 40, 8876, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 16973, 1880, 3420, 876, 1925, 741, 278, 0, 500, 0, 0, 0, 37, 160, 'den_of_evil', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2315, 22703, 'Contaminated Morek Warrior', '', NULL, 14.00, 28.80, 81, 'male', 'L2Monster', 'Fighter', 40, 3461, 7.500, 1708, 2.700, 40, 43, 30, 21, 20, 10, 47031, 4946, 3294, 858, 1853, 726, 278, 0, 333, 135, 0, 0, 80, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2316, 22704, 'Contaminated Batur Warrior', '', NULL, 14.00, 34.80, 81, 'male', 'L2Monster', 'Fighter', 40, 3461, 7.500, 1708, 2.700, 40, 43, 30, 21, 20, 10, 58791, 6189, 3294, 858, 1853, 726, 278, 0, 333, 127, 0, 0, 45, 170, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2317, 22705, 'Contaminated Batur Commander', '', NULL, 14.00, 28.80, 82, 'male', 'L2Monster', 'Fighter', 40, 3643, 7.500, 1743, 2.700, 40, 43, 30, 21, 20, 10, 62053, 6450, 3420, 876, 1925, 741, 278, 0, 333, 127, 0, 0, 36, 170, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2318, 22706, 'Turka Follower\'s Ghost', '', NULL, 14.00, 28.80, 82, 'male', 'L2Monster', 'Fighter', 40, 3643, 7.500, 1743, 2.700, 40, 43, 30, 21, 20, 10, 67199, 6999, 3420, 876, 1925, 741, 278, 0, 333, 80, 0, 0, 33, 190, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2319, 22707, 'Turka Commander\'s Ghost', 'Grave Guardian Spirit', NULL, 11.00, 42.00, 82, 'male', 'L2Monster', 'Fighter', 40, 3643, 7.500, 1743, 2.700, 40, 43, 30, 21, 20, 10, 66139, 6866, 3420, 876, 1925, 741, 253, 0, 500, 6719, 0, 0, 110, 190, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2320, 22708, 'Invader Warrior of Nightmare', '', 'imperial_warlord_zombie', 7.00, 30.00, 81, 'male', 'L2Monster', 'Fighter', 40, 3461, 7.500, 1708, 2.700, 40, 43, 30, 21, 20, 10, 86802, 9470, 13835, 944, 7412, 799, 278, 500, 500, 134, 6721, 0, 110, 180, 'DelusionChamber', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2321, 22709, 'Invader Healer of Nightmare', '', 'doll_master', 20.00, 42.00, 81, 'male', 'L2Monster', 'Priest', 40, 3461, 7.500, 1708, 2.700, 40, 43, 30, 21, 20, 10, 86975, 9490, 13835, 944, 7412, 799, 278, 500, 500, 0, 0, 0, 110, 180, 'DelusionChamber', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2322, 22710, 'Invader Guide of Nightmare', '', 'doll_master', 20.00, 42.00, 81, 'male', 'L2Monster', 'Mystic', 40, 3461, 7.500, 1708, 2.700, 40, 43, 30, 21, 20, 10, 55431, 6053, 13835, 944, 7412, 799, 278, 500, 500, 0, 0, 0, 110, 180, 'DelusionChamber', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2323, 22711, 'Invader Destroyer of Nightmare', '', 'death_blader', 15.00, 45.00, 81, 'male', 'L2Monster', 'Fighter', 40, 3461, 7.500, 1708, 2.700, 40, 43, 30, 21, 20, 10, 76351, 8361, 13835, 944, 7412, 799, 278, 500, 500, 1472, 0, 0, 110, 180, 'DelusionChamber', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2324, 22712, 'Invader Assassin of Nightmare', '', NULL, 15.00, 22.00, 81, 'male', 'L2Monster', 'Fighter', 40, 3461, 7.500, 1708, 2.700, 40, 43, 30, 21, 20, 10, 56907, 6223, 13835, 944, 7412, 799, 278, 500, 500, 0, 0, 0, 110, 180, 'DelusionChamber', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2325, 22713, 'Invader Shaman of Nightmare', '', NULL, 9.00, 23.00, 81, 'male', 'L2Monster', 'Mystic', 40, 3461, 7.500, 1708, 2.700, 40, 43, 30, 21, 20, 10, 71490, 7803, 13835, 944, 7412, 799, 278, 500, 500, 0, 0, 0, 110, 180, 'DelusionChamber', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2326, 22714, 'Invader Archer of Nightmare', '', NULL, 9.00, 26.00, 81, 'male', 'L2Monster', 'Ranger', 800, 3461, 7.500, 1708, 2.700, 40, 43, 30, 21, 20, 10, 54103, 5901, 20789, 944, 7412, 799, 185, 500, 500, 0, 0, 0, 110, 180, 'DelusionChamber', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2327, 22715, 'Invader Soldier of Nightmare', '', 'giant_zombie', 13.00, 40.00, 81, 'male', 'L2Monster', 'Fighter', 40, 3461, 7.500, 1708, 2.700, 40, 43, 30, 21, 20, 10, 13526, 1475, 13835, 944, 7412, 799, 278, 500, 500, 0, 0, 0, 110, 180, 'DelusionChamber', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2328, 22716, 'Invader Soldier of Nightmare', '', 'giant_zombie', 13.00, 40.00, 81, 'male', 'L2Monster', 'Fighter', 40, 3461, 7.500, 1708, 2.700, 40, 43, 30, 21, 20, 10, 21388, 2454, 13835, 944, 7412, 799, 278, 500, 500, 0, 0, 0, 110, 180, 'DelusionChamber', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2329, 22717, 'Invader Disciple of Nightmare', '', 'neer_crawler', 14.00, 22.00, 81, 'male', 'L2Monster', 'Fighter', 40, 3461, 7.500, 1708, 2.700, 40, 43, 30, 21, 20, 10, 94735, 10335, 13835, 944, 7412, 799, 278, 500, 500, 0, 0, 0, 110, 180, 'DelusionChamber', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2330, 22718, 'Invader Elite Soldier of Nightmare', '', 'death_lord', 21.00, 40.00, 81, 'male', 'L2Monster', 'Fighter', 40, 3461, 7.500, 1708, 2.700, 40, 43, 30, 21, 20, 10, 102165, 11188, 13835, 944, 7412, 799, 278, 500, 500, 78, 0, 0, 110, 180, 'DelusionChamber', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2331, 22719, 'Nihil Invader Warrior', '', NULL, 12.00, 42.00, 82, 'male', 'L2Monster', 'Fighter', 40, 65802, 7.500, 1743, 2.700, 40, 43, 30, 21, 20, 10, 173525, 19428, 15390, 1051, 8663, 889, 278, 500, 500, 0, 0, 0, 110, 180, 'DelusionChamber', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2332, 22720, 'Nihil Invader Healer', '', NULL, 12.00, 30.00, 82, 'male', 'L2Monster', 'Priest', 40, 65802, 7.500, 1743, 2.700, 40, 43, 30, 21, 20, 10, 165990, 18584, 15390, 1051, 8663, 889, 278, 500, 500, 0, 0, 0, 110, 180, 'DelusionChamber', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2333, 22721, 'Nihil Invader Guide', '', NULL, 12.00, 30.00, 82, 'male', 'L2Monster', 'Mystic', 40, 32946, 7.500, 1743, 2.700, 40, 43, 30, 21, 20, 10, 91554, 10250, 15390, 1051, 8663, 889, 278, 500, 500, 0, 0, 0, 110, 180, 'DelusionChamber', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2334, 22722, 'Nihil Invader Destroyer', '', NULL, 20.00, 40.00, 82, 'male', 'L2Monster', 'Fighter', 40, 65802, 7.500, 1743, 2.700, 40, 43, 30, 21, 20, 10, 165520, 18532, 15390, 1051, 8663, 889, 278, 500, 500, 0, 0, 0, 110, 180, 'DelusionChamber', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2335, 22723, 'Nihil Invader Assassin', '', NULL, 7.00, 33.00, 82, 'male', 'L2Monster', 'Fighter', 40, 32946, 7.500, 1743, 2.700, 40, 43, 30, 21, 20, 10, 93237, 10439, 15390, 1051, 8663, 889, 278, 500, 500, 0, 0, 0, 110, 180, 'DelusionChamber', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2336, 22724, 'Nihil Invader Shaman', '', NULL, 12.00, 30.00, 82, 'male', 'L2Monster', 'Mystic', 40, 65802, 7.500, 1743, 2.700, 40, 43, 30, 21, 20, 10, 166465, 18638, 15390, 1051, 8663, 889, 278, 500, 500, 0, 0, 0, 110, 180, 'DelusionChamber', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2337, 22725, 'Nihil Invader Archer', '', NULL, 9.00, 33.00, 82, 'male', 'L2Monster', 'Ranger', 800, 65802, 7.500, 1743, 2.700, 40, 43, 30, 21, 20, 10, 162858, 18234, 23126, 1051, 8663, 889, 185, 500, 500, 0, 0, 0, 110, 180, 'DelusionChamber', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2338, 22726, 'Nihil Invader Soldier', '', NULL, 13.00, 45.00, 82, 'male', 'L2Monster', 'Fighter', 40, 65802, 7.500, 1743, 2.700, 40, 43, 30, 21, 20, 10, 165520, 18532, 15390, 1051, 8663, 889, 278, 500, 500, 0, 0, 0, 110, 180, 'DelusionChamber', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2339, 22727, 'Nihil Invader Soldier', '', NULL, 13.00, 45.00, 82, 'male', 'L2Monster', 'Fighter', 40, 65802, 7.500, 1743, 2.700, 40, 43, 30, 21, 20, 10, 41380, 4633, 15390, 1051, 8663, 889, 278, 500, 500, 0, 0, 0, 110, 180, 'DelusionChamber', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2340, 22728, 'Nihil Invader Disciple', '', NULL, 13.00, 35.00, 82, 'male', 'L2Monster', 'Mystic', 40, 65802, 7.500, 1743, 2.700, 40, 43, 30, 21, 20, 10, 165520, 18532, 15390, 1051, 8663, 889, 278, 500, 500, 0, 0, 0, 110, 180, 'DelusionChamber', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2341, 22729, 'Nihil Invader Elite Soldier', '', NULL, 12.00, 42.00, 82, 'male', 'L2Monster', 'Fighter', 40, 65802, 7.500, 1743, 2.700, 40, 43, 30, 21, 20, 10, 310252, 33057, 15390, 1051, 8663, 889, 278, 500, 500, 0, 0, 0, 110, 180, 'DelusionChamber', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2342, 22730, 'Mutant Warrior', '', NULL, 12.00, 42.00, 84, 'male', 'L2Monster', 'Fighter', 40, 11202, 7.500, 1812, 2.700, 40, 43, 30, 21, 20, 10, 357615, 38610, 22098, 1186, 12438, 1002, 278, 500, 500, 0, 0, 0, 110, 180, 'DelusionChamber', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2343, 22731, 'Mutant Healer', '', NULL, 20.00, 35.00, 84, 'male', 'L2Monster', 'Priest', 40, 112020, 7.500, 1812, 2.700, 40, 43, 30, 21, 20, 10, 337518, 36440, 22098, 1186, 12438, 1002, 278, 500, 500, 0, 0, 0, 110, 180, 'DelusionChamber', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2344, 22732, 'Mutant Guide', '', NULL, 20.00, 35.00, 84, 'male', 'L2Monster', 'Mystic', 40, 112020, 7.500, 1812, 2.700, 40, 43, 30, 21, 20, 10, 338470, 36543, 22098, 1186, 12438, 1002, 278, 500, 500, 0, 0, 0, 110, 180, 'DelusionChamber', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2345, 22733, 'Mutant Destroyer', '', NULL, 20.00, 40.00, 84, 'male', 'L2Monster', 'Fighter', 40, 112020, 7.500, 1812, 2.700, 40, 43, 30, 21, 20, 10, 356663, 38507, 22098, 1186, 12438, 1002, 278, 500, 500, 0, 0, 0, 110, 180, 'DelusionChamber', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2346, 22734, 'Mutant Assassin', '', NULL, 7.00, 33.00, 84, 'male', 'L2Monster', 'Fighter', 40, 56054, 7.500, 1812, 2.700, 40, 43, 30, 21, 20, 10, 166805, 18009, 22098, 1186, 12438, 1002, 278, 500, 500, 0, 0, 0, 110, 180, 'DelusionChamber', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2347, 22735, 'Mutant Shaman', '', NULL, 20.00, 35.00, 84, 'male', 'L2Monster', 'Mystic', 40, 112020, 7.500, 1812, 2.700, 40, 43, 30, 21, 20, 10, 338470, 36543, 22098, 1186, 12438, 1002, 278, 500, 500, 0, 0, 0, 110, 180, 'DelusionChamber', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2348, 22736, 'Mutant Overlord', '', NULL, 9.00, 33.00, 84, 'male', 'L2Monster', 'Ranger', 800, 56054, 7.500, 1812, 2.700, 40, 43, 30, 21, 20, 10, 159361, 17205, 33147, 1186, 12438, 1002, 185, 500, 500, 0, 0, 0, 110, 180, 'DelusionChamber', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2349, 22737, 'Mutant Soldier', '', NULL, 13.00, 45.00, 84, 'male', 'L2Monster', 'Fighter', 40, 112020, 7.500, 1812, 2.700, 40, 43, 30, 21, 20, 10, 336554, 36336, 22098, 1186, 12438, 1002, 278, 500, 500, 0, 0, 0, 110, 180, 'DelusionChamber', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2350, 22738, 'Mutant Soldier', '', NULL, 13.00, 45.00, 84, 'male', 'L2Monster', 'Fighter', 40, 112020, 7.500, 1812, 2.700, 40, 43, 30, 21, 20, 10, 84139, 9084, 22098, 1186, 12438, 1002, 278, 500, 500, 0, 0, 0, 110, 180, 'DelusionChamber', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2351, 22739, 'Mutant Disciple', '', NULL, 20.00, 55.00, 84, 'male', 'L2Monster', 'Mystic', 40, 112020, 7.500, 1812, 2.700, 40, 43, 30, 21, 20, 10, 618577, 63492, 22098, 1186, 12438, 1002, 278, 500, 500, 0, 0, 0, 110, 180, 'DelusionChamber', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2352, 22740, 'Mutant Elite Soldier', '', NULL, 7.00, 35.00, 84, 'male', 'L2Monster', 'Fighter', 40, 112020, 7.500, 1812, 2.700, 40, 43, 30, 21, 20, 10, 650929, 66985, 22098, 1186, 12438, 1002, 278, 500, 500, 0, 0, 0, 110, 180, 'DelusionChamber', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2353, 22741, 'Grave Robber Warrior', '', NULL, 14.00, 27.50, 81, 'male', 'L2Monster', 'Fighter', 40, 8691, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 19856, 1844, 3294, 858, 1853, 726, 278, 0, 500, 0, 0, 0, 80, 120, 'mithril_mines', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2354, 22742, 'Ornithomimus', '', 'ornithomimus', 15.00, 37.20, 80, 'male', 'L2Monster', 'Fighter', 40, 3290, 7.500, 1674, 2.700, 40, 43, 30, 21, 20, 10, 14514, 2715, 9513, 840, 3564, 711, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2355, 22743, 'Deinonychus', '', 'deinonychus', 14.00, 14.30, 80, 'male', 'L2Monster', 'Fighter', 40, 3290, 7.500, 1674, 2.700, 40, 43, 30, 21, 20, 10, 14514, 2715, 9513, 840, 3564, 711, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2356, 22744, 'Ornithomimus', '', 'ornithomimus', 15.00, 37.20, 80, 'male', 'L2Monster', 'Fighter', 40, 3290, 7.500, 1674, 2.700, 40, 43, 30, 21, 20, 10, 14514, 2715, 9513, 840, 3564, 711, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2357, 22745, 'Deinonychus', '', 'deinonychus', 14.00, 14.30, 80, 'male', 'L2Monster', 'Fighter', 40, 3290, 7.500, 1674, 2.700, 40, 43, 30, 21, 20, 10, 14514, 2715, 9513, 840, 3564, 711, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2358, 25001, 'Greyclaw Kutus', 'Raid Boss', 'ol_mahum_champion_50_bi', 21.00, 43.50, 23, 'male', 'L2RaidBoss', 'Fighter', 40, 63722, 3.700, 257, 1.560, 60, 57, 73, 76, 70, 80, 2690117, 69902, 84, 414, 6, 347, 253, 0, 3819, 67, 633, 0, 81, 275, '', 0, 0, 20, 382, 7, 30, 4, 20, 0, -18, 0.63, 'false', 'NONE', 1, 1),
	(2359, 25002, 'Guard of Kutus', 'Raid Fighter', 'ol_mahum', 13.50, 25.00, 22, 'male', 'L2Minion', 'Fighter', 40, 6613, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 0, 0, 311, 416, 105, 349, 253, 0, 500, 7, 0, 0, 50, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(2360, 25003, 'Pawn of Kutus', 'Raid Fighter', 'ol_mahum', 13.50, 25.00, 22, 'male', 'L2Minion', 'Fighter', 40, 9871, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 0, 0, 311, 416, 105, 349, 253, 0, 500, 123, 0, 0, 50, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(2361, 25004, 'Turek Mercenary Captain', 'Raid Boss', 'orc_champion_50_bi', 15.00, 35.00, 30, 'male', 'L2RaidBoss', 'Fighter', 40, 111772, 4.400, 366, 1.770, 60, 57, 73, 76, 70, 80, 1868579, 150667, 295, 545, 70, 461, 253, 0, 1972, 124, 0, 0, 45, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.76, 'false', 'NONE', 1, 1),
	(2362, 25005, 'Turek Mercenary Archer', 'Raid Fighter', 'orc_archer', 14.00, 25.00, 29, 'male', 'L2Minion', 'Ranger', 1100, 11414, 4.300, 350, 1.740, 40, 43, 30, 21, 20, 20, 0, 0, 550, 550, 218, 466, 253, 0, 500, 271, 0, 0, 45, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 1500, 0, 0.80, 'false', 'NONE', 1, 0),
	(2363, 25006, 'Turek Mercenary Warrior', 'Raid Fighter', 'orc_fighter', 12.00, 22.00, 29, 'male', 'L2Minion', 'Fighter', 40, 8518, 4.300, 350, 1.740, 40, 43, 30, 21, 20, 20, 0, 0, 550, 550, 218, 466, 253, 0, 500, 2, 0, 0, 45, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(2364, 25007, 'Retreat Spider Cletu', 'Raid Boss', 'poison_spider', 27.00, 25.50, 42, 'male', 'L2RaidBoss', 'Mystic', 40, 220086, 5.600, 589, 2.130, 60, 57, 73, 76, 70, 80, 3062105, 303198, 793, 832, 324, 705, 253, 0, 1972, 0, 0, 0, 60, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.65, 'false', 'NONE', 1, 1),
	(2365, 25008, 'Cletu\'s Retainer', 'Raid Fighter', 'giant_spider', 26.00, 26.50, 41, 'male', 'L2Minion', 'Mystic', 40, 33217, 5.500, 560, 2.100, 40, 43, 30, 21, 20, 20, 0, 0, 1467, 844, 626, 718, 253, 0, 500, 0, 0, 0, 72, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.26, 'false', 'NONE', 1, 0),
	(2366, 25009, 'Cletu\'s Pawn', 'Raid Fighter', 'giant_spider', 26.00, 26.50, 41, 'male', 'L2Minion', 'Mystic', 40, 16608, 5.500, 560, 2.100, 40, 43, 30, 21, 20, 20, 0, 0, 1467, 844, 626, 718, 253, 0, 500, 0, 0, 0, 72, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.26, 'false', 'NONE', 1, 0),
	(2367, 25010, 'Furious Thieles', 'Raid Boss', 'ti_mi_tran', 23.00, 90.00, 55, 'male', 'L2RaidBoss', 'Fighter', 40, 414560, 6.900, 988, 2.520, 60, 57, 73, 76, 70, 80, 3983098, 535296, 2471, 1228, 1817, 1041, 253, 0, 1972, 0, 0, 0, 12, 50, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.61, 'false', 'NONE', 1, 1),
	(2368, 25011, 'Guard of Thieles', 'Raid Fighter', 'zenta_lizardman_scout', 11.00, 30.00, 54, 'male', 'L2Minion', 'Ranger', 1100, 42807, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 0, 0, 3683, 1256, 1470, 1063, 253, 0, 500, 279, 0, 0, 37, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 1500, 0, 0.93, 'false', 'NONE', 1, 0),
	(2369, 25012, 'Follower of Thieles', 'Raid Fighter', 'dryad', 9.00, 20.00, 54, 'female', 'L2Minion', 'Fighter', 40, 31945, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 0, 0, 3683, 1256, 1470, 1063, 253, 0, 500, 0, 0, 0, 40, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(2370, 25013, 'Ghost of Peasant Leader', 'Raid Boss', 'skeleton_knight_50_bi', 15.00, 39.00, 50, 'male', 'L2RaidBoss', 'Fighter', 40, 336769, 6.400, 830, 2.370, 60, 57, 73, 76, 70, 80, 3551193, 422350, 1510, 1065, 862, 903, 253, 0, 1972, 145, 0, 0, 40, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.17, 'false', 'NONE', 1, 1),
	(2371, 25014, 'Ghost of Peasant', 'Raid Fighter', 'skeleton', 11.00, 25.00, 49, 'male', 'L2Minion', 'Fighter', 40, 51380, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 0, 0, 5299, 1084, 3222, 920, 253, 0, 500, 68, 0, 0, 60, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(2372, 25015, 'Ghost of Peasant', 'Raid Fighter', 'skeleton_archer', 11.00, 27.00, 49, 'male', 'L2Minion', 'Ranger', 1100, 25690, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 0, 0, 2650, 1084, 1084, 920, 253, 0, 500, 14, 0, 0, 40, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 1500, 0, 0.80, 'false', 'NONE', 1, 0),
	(2373, 25016, 'The 3rd Underwater Guardian', 'Raid Boss', 'susceptor_100_bi', 40.00, 73.00, 60, 'male', 'L2RaidBoss', 'Fighter', 40, 485257, 7.400, 1151, 2.670, 60, 57, 73, 76, 70, 80, 4154684, 587467, 3860, 1404, 3932, 1190, 253, 0, 1972, 0, 0, 0, 27, 150, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.43, 'false', 'NONE', 0, 1),
	(2374, 25017, 'Escort of the 3rd Guardian', 'Raid Fighter', 'will_o_wisp', 13.00, 22.00, 59, 'male', 'L2Minion', 'Fighter', 40, 75522, 7.300, 1118, 2.640, 40, 43, 30, 21, 20, 20, 0, 0, 4935, 1436, 2037, 1218, 253, 0, 500, 0, 0, 0, 80, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.10, 'false', 'NONE', 0, 0),
	(2375, 25018, 'Support of the 3rd Guardian', 'Raid Fighter', 'will_o_wisp', 13.00, 22.00, 59, 'male', 'L2Minion', 'Fighter', 40, 37761, 7.300, 1118, 2.640, 40, 43, 30, 21, 20, 20, 0, 0, 4935, 1436, 2037, 1218, 253, 0, 500, 0, 0, 0, 80, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.10, 'false', 'NONE', 0, 0),
	(2376, 25019, 'Pan Dryad', 'Raid Boss', 'pan_100_bi', 42.00, 73.00, 25, 'male', 'L2RaidBoss', 'Fighter', 40, 136880, 3.900, 288, 1.620, 60, 57, 73, 76, 70, 80, 2541012, 79280, 201, 449, 30, 378, 253, 0, 1972, 291, 0, 0, 45, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.58, 'false', 'NONE', 1, 1),
	(2377, 25020, 'Breka Warlock Pastu', 'Raid Boss', 'batur_orc_shaman_100_bi', 22.00, 35.00, 34, 'male', 'L2RaidBoss', 'Priest', 40, 103951, 4.800, 430, 1.890, 60, 57, 73, 76, 70, 80, 1918617, 135504, 280, 632, 55, 535, 253, 0, 1972, 8, 0, 0, 50, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.30, 'false', 'NONE', 1, 1),
	(2378, 25021, 'Pastu\'s Silhouette', 'Raid Fighter', 'silhouette', 8.00, 23.00, 33, 'female', 'L2Minion', 'Fighter', 40, 15774, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 0, 0, 748, 638, 323, 542, 253, 0, 500, 0, 0, 0, 80, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.54, 'false', 'NONE', 1, 0),
	(2379, 25022, 'Pastu\'s Shadow', 'Raid Fighter', 'shadow', 10.00, 30.00, 33, 'male', 'L2Minion', 'Mystic', 40, 7887, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 0, 0, 748, 638, 323, 542, 253, 0, 500, 0, 0, 0, 80, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.54, 'false', 'NONE', 1, 0),
	(2380, 25023, 'Stakato Queen Zyrnna', 'Raid Boss', 'marsh_stakato_queen_100_bi', 30.00, 76.00, 34, 'female', 'L2RaidBoss', 'Fighter', 40, 138097, 4.800, 430, 1.890, 60, 57, 73, 76, 70, 80, 2316590, 188679, 416, 632, 110, 535, 253, 0, 1972, 150, 0, 0, 50, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.41, 'false', 'NONE', 1, 1),
	(2381, 25024, 'Jeruna\'s Guard Captain', 'Raid Fighter', 'marsh_stakato_drone', 9.00, 24.00, 33, 'male', 'L2Minion', 'Fighter', 40, 20910, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 0, 0, 1528, 638, 612, 542, 253, 0, 500, 238, 0, 0, 80, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.39, 'false', 'NONE', 1, 0),
	(2382, 25025, 'Jeruna\'s Guard', 'Raid Fighter', 'marsh_stakato_soldier', 10.00, 25.00, 33, 'male', 'L2Minion', 'Fighter', 40, 10455, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 0, 0, 764, 638, 323, 542, 253, 0, 500, 144, 0, 0, 30, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.74, 'false', 'NONE', 1, 0),
	(2383, 25026, 'Katu Van Leader Atui', 'Raid Boss', 'ketra_orc_overload', 12.00, 24.00, 49, 'male', 'L2RaidBoss', 'Fighter', 40, 233960, 6.300, 799, 2.340, 60, 57, 73, 76, 70, 80, 2328069, 284981, 1147, 1034, 383, 876, 253, 0, 1972, 84, 0, 0, 33, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.48, 'false', 'NONE', 1, 1),
	(2384, 25027, 'Katu Van Marksman', 'Raid Fighter', 'ketra_orc_archer', 12.00, 27.00, 48, 'male', 'L2Minion', 'Ranger', 1100, 23911, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 0, 0, 1991, 1054, 1016, 895, 253, 0, 500, 279, 0, 0, 45, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 1500, 0, 0.91, 'false', 'NONE', 1, 0),
	(2385, 25028, 'Katu Van Raider', 'Raid Fighter', 'ketra_orc_warrior', 12.00, 24.00, 48, 'male', 'L2Minion', 'Fighter', 40, 17844, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 0, 0, 1991, 1054, 1016, 895, 253, 0, 500, 128, 0, 0, 36, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.54, 'false', 'NONE', 1, 0),
	(2386, 25029, 'Atraiban', 'Raid Boss', 'field_stalker_200_bi', 45.00, 96.00, 53, 'male', 'L2RaidBoss', 'Fighter', 40, 383841, 6.700, 924, 2.460, 60, 57, 73, 76, 70, 80, 3895772, 516213, 2344, 1161, 1974, 984, 253, 0, 1972, 0, 0, 0, 70, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.41, 'false', 'NONE', 1, 1),
	(2387, 25030, 'Atraiban\'s Top Disciple', 'Raid Fighter', 'will_o_wisp', 13.00, 22.00, 52, 'male', 'L2Minion', 'Mystic', 40, 58913, 6.600, 892, 2.430, 40, 43, 30, 21, 20, 20, 0, 0, 3242, 1184, 1306, 1004, 253, 0, 500, 0, 0, 0, 80, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.10, 'false', 'NONE', 1, 0),
	(2388, 25031, 'Atraiban\'s Disciple', 'Raid Fighter', 'liviona', 15.00, 28.00, 52, 'male', 'L2Minion', 'Fighter', 40, 29457, 6.600, 892, 2.430, 40, 43, 30, 21, 20, 20, 0, 0, 3242, 1184, 1306, 1004, 253, 0, 500, 0, 0, 0, 80, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(2389, 25032, 'Eva\'s Guardian Millenu', 'Raid Boss', 'banshee_50_bi', 13.50, 38.00, 58, 'female', 'L2RaidBoss', 'Mystic', 40, 458280, 7.200, 1085, 2.610, 60, 57, 73, 76, 70, 80, 4092905, 566683, 5880, 1332, 7541, 1129, 253, 0, 1972, 3939, 0, 0, 80, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.56, 'false', 'NONE', 0, 1),
	(2390, 25033, 'Millenu Guard Shaman', 'Raid Fighter', 'heltor_silenos_shaman', 13.00, 32.00, 57, 'male', 'L2Minion', 'Priest', 40, 47607, 7.100, 1052, 2.580, 40, 43, 30, 21, 20, 20, 0, 0, 5879, 1361, 3126, 1155, 253, 0, 500, 5131, 0, 0, 29, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.22, 'false', 'NONE', 0, 0),
	(2391, 25034, 'Mellenu Guard Warrior', 'Raid Fighter', 'skeleton_royal_guard', 11.00, 28.50, 57, 'male', 'L2Minion', 'Fighter', 40, 71056, 7.100, 1052, 2.580, 40, 43, 30, 21, 20, 20, 0, 0, 8819, 1361, 7028, 1155, 253, 0, 500, 946, 945, 0, 80, 170, '', 0, 0, 20, 534, 7, 30, 4, 20, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(2392, 25035, 'Shilen\'s Messenger Cabrio', 'Raid Boss', 'vale_master_50_bi', 18.00, 63.00, 70, 'male', 'L2RaidBoss', 'Fighter', 40, 589950, 8.400, 1494, 2.970, 60, 57, 73, 76, 70, 80, 4596479, 802604, 6981, 1796, 8986, 1520, 253, 0, 1972, 189, 0, 0, 70, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.74, 'false', 'NONE', 1, 1),
	(2393, 25036, 'Cabrio Captor', 'Raid Fighter', 'skeleton_archer', 11.00, 27.00, 69, 'male', 'L2Minion', 'Ranger', 1100, 62338, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 0, 0, 7856, 1844, 3551, 1558, 253, 0, 500, 279, 0, 0, 40, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 1500, 0, 0.80, 'false', 'NONE', 1, 0),
	(2394, 25037, 'Cabrio Blader', 'Raid Fighter', 'doll_blader', 6.00, 12.00, 69, 'male', 'L2Minion', 'Fighter', 40, 46521, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 0, 0, 7856, 1844, 3551, 1558, 253, 0, 500, 5129, 5129, 0, 22, 170, '', 0, 0, 0, 582, 7, 30, 4, 20, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(2395, 25038, 'Tirak', 'Raid Boss', 'dre_vanul_100_bi', 28.00, 75.00, 28, 'male', 'L2RaidBoss', 'Fighter', 40, 77395, 4.200, 334, 1.710, 60, 57, 73, 76, 70, 80, 2390045, 97281, 132, 505, 10, 426, 253, 0, 1972, 0, 0, 0, 80, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.35, 'false', 'NONE', 1, 1),
	(2396, 25039, 'Tirak\'s Guard', 'Raid Fighter', 'spartoi', 11.00, 27.00, 27, 'male', 'L2Minion', 'Fighter', 40, 11862, 4.100, 318, 1.680, 40, 43, 30, 21, 20, 20, 0, 0, 483, 508, 181, 428, 253, 0, 500, 68, 0, 0, 60, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(2397, 25040, 'Tirak\'s Knight', 'Raid Fighter', 'skeleton', 11.00, 25.00, 27, 'male', 'L2Minion', 'Fighter', 40, 5931, 4.100, 318, 1.680, 40, 43, 30, 21, 20, 20, 0, 0, 470, 508, 181, 428, 253, 0, 500, 2, 945, 0, 60, 170, '', 0, 0, 20, 216, 7, 30, 4, 20, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(2398, 25041, 'Remmel', 'Raid Boss', 'marsh_stakato_queen_100_bi', 30.00, 76.00, 35, 'female', 'L2RaidBoss', 'Fighter', 40, 109730, 4.900, 447, 1.920, 60, 57, 73, 76, 70, 80, 1912395, 144137, 242, 656, 28, 555, 253, 0, 1972, 221, 109, 0, 50, 170, '', 0, 0, 20, 546, 7, 30, 4, 20, 0, -18, 0.41, 'false', 'NONE', 1, 1),
	(2399, 25042, 'Remmel\'s Archer', 'Raid Fighter', 'batur_orc_archer', 11.00, 21.50, 34, 'male', 'L2Minion', 'Ranger', 1100, 11144, 4.800, 430, 1.890, 40, 43, 30, 21, 20, 20, 0, 0, 806, 664, 353, 563, 253, 0, 500, 275, 0, 0, 45, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 1500, 0, 0.96, 'false', 'NONE', 1, 0),
	(2400, 25043, 'Remmel\'s Guard', 'Raid Fighter', 'marsh_stakato', 10.00, 20.00, 34, 'male', 'L2Minion', 'Fighter', 40, 8316, 4.800, 430, 1.890, 40, 43, 30, 21, 20, 20, 0, 0, 806, 664, 353, 563, 253, 0, 500, 127, 0, 0, 21, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.74, 'false', 'NONE', 1, 0),
	(2401, 25044, 'Barion', 'Raid Boss', 'skeleton_knight_50_bi', 15.00, 39.00, 47, 'male', 'L2RaidBoss', 'Fighter', 40, 212299, 6.100, 738, 2.280, 60, 57, 73, 76, 70, 80, 2205665, 257531, 956, 974, 296, 825, 253, 0, 1972, 70, 0, 0, 40, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.17, 'false', 'NONE', 1, 1),
	(2402, 25045, 'Dark Mage\'s of Barion', 'Raid Fighter', 'batur_orc_shaman', 11.00, 16.00, 46, 'male', 'L2Minion', 'Priest', 40, 32281, 6.000, 708, 2.250, 40, 43, 30, 21, 20, 20, 0, 0, 1768, 991, 890, 840, 253, 0, 500, 159, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(2403, 25046, 'Barion\'s Grunt', 'Raid Fighter', 'spartoi', 11.00, 27.00, 46, 'male', 'L2Minion', 'Fighter', 40, 16140, 6.000, 708, 2.250, 40, 43, 30, 21, 20, 20, 0, 0, 1768, 991, 890, 840, 253, 0, 500, 129, 0, 0, 60, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(2404, 25047, 'Karte', 'Raid Boss', 'death_knight_50_bi', 18.00, 45.00, 49, 'male', 'L2RaidBoss', 'Fighter', 40, 233960, 6.300, 799, 2.340, 60, 57, 73, 76, 70, 80, 2328069, 284981, 769, 1034, 184, 876, 253, 0, 1972, 131, 0, 0, 27, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.71, 'false', 'NONE', 1, 1),
	(2405, 25048, 'Karte\'s Chief Knight', 'Raid Fighter', 'skeleton_knight', 10.00, 25.00, 48, 'male', 'L2Minion', 'Fighter', 40, 35688, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 0, 0, 2642, 1054, 1016, 895, 253, 0, 500, 71, 0, 0, 40, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.17, 'false', 'NONE', 1, 0),
	(2406, 25049, 'Karte\'s Royal Guard', 'Raid Fighter', 'spartoi', 11.00, 27.00, 48, 'male', 'L2Minion', 'Fighter', 40, 17844, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 0, 0, 1991, 1054, 1016, 895, 253, 0, 500, 74, 0, 0, 60, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(2407, 25050, 'Verfa', 'Raid Boss', 'death_blader_200_bi', 45.00, 141.00, 51, 'male', 'L2RaidBoss', 'Fighter', 40, 512066, 6.500, 861, 2.400, 60, 57, 73, 76, 70, 80, 2256714, 285537, 1700, 1096, 879, 929, 253, 0, 1972, 1472, 0, 0, 100, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.45, 'false', 'NONE', 1, 1),
	(2408, 25051, 'Rahha', 'Raid Boss', 'Bloody_Queen_Raid', 11.00, 34.00, 65, 'female', 'L2RaidBoss', 'Mystic', 40, 543679, 7.900, 1320, 2.820, 60, 57, 73, 76, 70, 80, 4489693, 746626, 4656, 1593, 4297, 1350, 253, 0, 1972, 0, 0, 0, 80, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.50, 'false', 'NONE', 1, 1),
	(2409, 25052, 'Priestess of Rahha', 'Raid Fighter', 'medusa', 10.00, 25.00, 64, 'female', 'L2Minion', 'Priest', 40, 85287, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 0, 0, 6357, 1634, 2912, 1382, 253, 0, 500, 0, 0, 0, 50, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(2410, 25053, 'Fanatics of Rahha', 'Raid Fighter', 'harpy', 10.00, 42.00, 64, 'female', 'L2Minion', 'Fighter', 40, 42643, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 0, 0, 6357, 1634, 2912, 1382, 253, 0, 500, 0, 0, 0, 60, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.65, 'false', 'NONE', 1, 0),
	(2411, 25054, 'Kernon', 'Raid Boss', 'kaim_vanul', 24.00, 40.00, 75, 'male', 'L2RaidBoss', 'Fighter', 40, 627951, 8.900, 1674, 3.120, 60, 57, 73, 76, 70, 80, 5231148, 864099, 8986, 2011, 12912, 1702, 253, 0, 1972, 0, 0, 0, 37, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.45, 'false', 'NONE', 1, 1),
	(2412, 25055, 'Taliadon', 'Raid Fighter', 'death_blader', 15.00, 45.00, 74, 'male', 'L2Minion', 'Fighter', 40, 99324, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 0, 0, 18598, 2066, 17998, 1747, 253, 0, 500, 1472, 0, 0, 100, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(2413, 25056, 'Vemsk', 'Raid Fighter', 'death_knight', 12.00, 30.00, 74, 'male', 'L2Minion', 'Fighter', 40, 49662, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 0, 0, 9299, 2066, 4497, 1747, 253, 0, 500, 142, 0, 0, 27, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.71, 'false', 'NONE', 1, 0),
	(2414, 25057, 'Biconne of Blue Sky', 'Raid Boss', 'lienrik', 12.00, 50.00, 45, 'male', 'L2RaidBoss', 'Fighter', 40, 191469, 5.900, 678, 2.220, 60, 57, 73, 76, 70, 80, 2085510, 229987, 538, 915, 112, 776, 253, 0, 1972, 0, 0, 0, 100, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.46, 'false', 'NONE', 1, 1),
	(2415, 25058, 'Biconne\'s Shooter', 'Raid Fighter', 'skeleton_archer', 11.00, 27.00, 44, 'male', 'L2Minion', 'Ranger', 1100, 19455, 5.800, 648, 2.190, 40, 43, 30, 21, 20, 20, 0, 0, 1567, 932, 777, 790, 253, 0, 500, 279, 0, 0, 40, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 1500, 0, 0.80, 'false', 'NONE', 1, 0),
	(2416, 25059, 'Biconne\'s Warrior', 'Raid Fighter', 'skeleton_knight', 10.00, 25.00, 44, 'male', 'L2Minion', 'Fighter', 40, 14519, 5.800, 648, 2.190, 40, 43, 30, 21, 20, 20, 0, 0, 1567, 932, 777, 790, 253, 0, 500, 150, 0, 0, 40, 160, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.17, 'false', 'NONE', 1, 0),
	(2417, 25060, 'Unrequited Kael', 'Raid Boss', 'succubus_100_bi', 20.00, 75.00, 24, 'female', 'L2RaidBoss', 'Mystic', 40, 65967, 3.800, 273, 1.590, 60, 57, 73, 76, 70, 80, 2584114, 74037, 92, 431, 5, 362, 253, 0, 1972, 0, 0, 0, 60, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.84, 'false', 'NONE', 1, 1),
	(2418, 25061, 'Kael\'s Bead', 'Raid Fighter', 'will_o_wisp', 13.00, 22.00, 23, 'male', 'L2Minion', 'Mystic', 40, 6831, 3.700, 257, 1.560, 40, 43, 30, 21, 20, 20, 0, 0, 336, 433, 118, 365, 253, 0, 500, 0, 0, 0, 80, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.10, 'false', 'NONE', 1, 0),
	(2419, 25062, 'Kael\'s Escort', 'Raid Fighter', 'harpy', 10.00, 42.00, 23, 'female', 'L2Minion', 'Fighter', 40, 10195, 3.700, 257, 1.560, 40, 43, 30, 21, 20, 20, 0, 0, 336, 433, 118, 365, 253, 0, 500, 0, 0, 0, 60, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.65, 'false', 'NONE', 1, 0),
	(2420, 25063, 'Chertuba of Great Soul', 'Raid Boss', 'ketra_orc_warrior_100_bi', 24.00, 51.00, 35, 'male', 'L2RaidBoss', 'Fighter', 40, 219461, 4.900, 447, 1.920, 60, 57, 73, 76, 70, 80, 1912395, 144137, 483, 656, 113, 555, 253, 0, 1972, 78, 0, 0, 36, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.54, 'false', 'NONE', 1, 1),
	(2421, 25064, 'Wizard of Storm Teruk', 'Raid Boss', 'zenta_lizardman_shaman_50_bi', 19.00, 55.00, 40, 'male', 'L2RaidBoss', 'Priest', 40, 145261, 5.400, 531, 2.070, 60, 57, 73, 76, 70, 80, 2030965, 181264, 363, 779, 42, 660, 253, 0, 1972, 90, 0, 0, 43, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.63, 'false', 'NONE', 1, 1),
	(2422, 25065, 'Teruk\'s Escort', 'Raid Fighter', 'zenta_lizardman', 11.00, 32.00, 39, 'male', 'L2Minion', 'Fighter', 40, 21961, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 0, 0, 1340, 790, 533, 668, 253, 0, 500, 123, 0, 0, 37, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.28, 'false', 'NONE', 1, 0),
	(2423, 25066, 'Teruk\'s Knight', 'Raid Fighter', 'zenta_lizardman_warrior', 13.00, 35.00, 39, 'male', 'L2Minion', 'Fighter', 40, 10981, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 0, 0, 1138, 790, 533, 668, 253, 0, 500, 291, 0, 0, 40, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(2424, 25067, 'Captain of Red Flag Shaka', 'Raid Boss', 'oel_mahum_warrior_50_bi', 30.00, 60.00, 52, 'male', 'L2RaidBoss', 'Fighter', 40, 368206, 6.600, 892, 2.430, 60, 57, 73, 76, 70, 80, 3849013, 503876, 1951, 1128, 1304, 957, 253, 0, 1972, 71, 0, 0, 70, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.65, 'false', 'NONE', 1, 1),
	(2425, 25068, 'Shaka\'s Shooter', 'Raid Fighter', 'ol_mahum_archer', 14.00, 25.00, 51, 'male', 'L2Minion', 'Ranger', 1100, 37787, 6.500, 861, 2.400, 40, 43, 30, 21, 20, 20, 0, 0, 3035, 1151, 1231, 974, 253, 0, 500, 277, 0, 0, 50, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 1500, 0, 0.93, 'false', 'NONE', 1, 0),
	(2426, 25069, 'Shaka\'s Follower', 'Raid Fighter', 'oel_mahum_champion', 23.00, 61.00, 51, 'male', 'L2Minion', 'Fighter', 40, 28199, 6.500, 861, 2.400, 40, 43, 30, 21, 20, 20, 0, 0, 3035, 1151, 1231, 974, 253, 0, 500, 128, 633, 0, 67, 170, '', 0, 0, 20, 409, 7, 30, 4, 20, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(2427, 25070, 'Enchanted Forest Watcher Ruell', 'Raid Boss', 'ti_mi_tran', 23.00, 90.00, 55, 'male', 'L2RaidBoss', 'Fighter', 40, 299663, 6.900, 988, 2.520, 60, 57, 73, 76, 70, 80, 2477107, 327038, 1364, 1228, 435, 1041, 253, 0, 1972, 0, 0, 0, 12, 50, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.61, 'false', 'NONE', 1, 1),
	(2428, 25071, 'Ruell\'s Wind', 'Raid Fighter', 'sylph', 11.00, 35.00, 54, 'female', 'L2Minion', 'Mystic', 40, 30976, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 0, 0, 2768, 1256, 1470, 1063, 253, 0, 500, 0, 0, 0, 60, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(2429, 25072, 'Ruell\'s Unicorn', 'Raid Fighter', 'unicorn', 14.00, 30.00, 54, 'male', 'L2Minion', 'Mystic', 40, 46232, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 0, 0, 3934, 1256, 1612, 1063, 253, 0, 500, 0, 0, 0, 46, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.74, 'false', 'NONE', 1, 0),
	(2430, 25073, 'Bloody Priest Rudelto', 'Raid Boss', 'karik_100_bi', 50.00, 180.00, 69, 'male', 'L2RaidBoss', 'Priest', 40, 581512, 8.300, 1459, 2.940, 60, 57, 73, 76, 70, 80, 4576841, 791290, 6751, 1754, 8676, 1485, 253, 0, 1972, 0, 0, 0, 37, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.45, 'false', 'NONE', 1, 1),
	(2431, 25074, 'Rudelto\'s Banshee', 'Raid Fighter', 'banshee', 9.00, 23.00, 68, 'female', 'L2Minion', 'Mystic', 40, 91632, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 0, 0, 7556, 1798, 3382, 1525, 253, 0, 500, 0, 0, 0, 80, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(2432, 25075, 'Rudelto\'s Dre Vanul', 'Raid Fighter', 'dre_vanul', 14.00, 36.00, 68, 'male', 'L2Minion', 'Fighter', 40, 45816, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 0, 0, 7556, 1798, 3382, 1525, 253, 0, 500, 0, 0, 0, 80, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.35, 'false', 'NONE', 1, 0),
	(2433, 25076, 'Princess Molrang', 'Raid Boss', 'poison_toad_100_bi', 40.00, 20.00, 25, 'male', 'L2RaidBoss', 'Fighter', 40, 68440, 3.900, 288, 1.620, 60, 57, 73, 76, 70, 80, 2541012, 79280, 101, 449, 7, 378, 253, 0, 1972, 0, 0, 0, 50, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.35, 'false', 'NONE', 1, 1),
	(2434, 25077, 'Captain Dogun', 'Raid Fighter', 'grizzly', 21.00, 40.00, 24, 'male', 'L2Minion', 'Fighter', 40, 10555, 3.800, 273, 1.590, 40, 43, 30, 21, 20, 20, 0, 0, 367, 454, 130, 382, 253, 0, 500, 0, 0, 0, 40, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(2435, 25078, 'Princess\' Guard', 'Raid Fighter', 'grizzly', 21.00, 40.00, 24, 'male', 'L2Minion', 'Fighter', 40, 5277, 3.800, 273, 1.590, 40, 43, 30, 21, 20, 20, 0, 0, 365, 454, 130, 382, 253, 0, 500, 0, 0, 0, 40, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(2436, 25079, 'Cat\'s Eye Bandit', 'Raid Boss', 'Ol_Mahum_Raid', 15.00, 25.00, 30, 'male', 'L2RaidBoss', 'Fighter', 40, 111772, 4.400, 366, 1.770, 60, 57, 73, 76, 70, 80, 1868579, 150667, 295, 545, 53, 461, 253, 0, 1972, 216, 0, 0, 50, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.63, 'false', 'NONE', 1, 1),
	(2437, 25080, 'Mercenary', 'Raid Fighter', 'orc_shaman', 9.00, 22.00, 29, 'male', 'L2Minion', 'Priest', 40, 17036, 4.300, 350, 1.740, 40, 43, 30, 21, 20, 20, 0, 0, 550, 550, 218, 466, 253, 0, 500, 179, 0, 0, 45, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.26, 'false', 'NONE', 1, 0),
	(2438, 25081, 'Cat\'s Eye Bandit', 'Raid Fighter', 'ol_mahum', 13.50, 25.00, 29, 'male', 'L2Minion', 'Fighter', 40, 8518, 4.300, 350, 1.740, 40, 43, 30, 21, 20, 20, 0, 0, 550, 550, 218, 466, 253, 0, 500, 218, 0, 0, 50, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(2439, 25082, 'Leader of Cat Gang', 'Raid Boss', 'cat_the_cat_50_bi', 13.50, 26.00, 39, 'male', 'L2RaidBoss', 'Fighter', 40, 137257, 5.300, 514, 2.040, 60, 57, 73, 76, 70, 80, 1988451, 173127, 335, 753, 39, 638, 253, 0, 1972, 0, 0, 0, 80, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.61, 'false', 'NONE', 1, 1),
	(2440, 25083, 'Cat Gang', 'Raid Fighter', 'cutie_cat', 8.00, 15.00, 38, 'female', 'L2Minion', 'Fighter', 40, 13904, 5.200, 497, 2.010, 40, 43, 30, 21, 20, 20, 0, 0, 1067, 764, 496, 647, 253, 0, 500, 0, 0, 0, 48, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(2441, 25084, 'Cat Gang', 'Raid Fighter', 'cat_the_cat', 9.00, 16.00, 38, 'male', 'L2Minion', 'Fighter', 40, 20752, 5.200, 497, 2.010, 40, 43, 30, 21, 20, 20, 0, 0, 1237, 764, 496, 647, 253, 0, 500, 0, 0, 0, 80, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(2442, 25085, 'Timak Orc Chief Ranger', 'Raid Boss', 'ketra_orc_warrior_100_bi', 24.00, 51.00, 44, 'male', 'L2RaidBoss', 'Fighter', 40, 246773, 5.800, 648, 2.190, 60, 57, 73, 76, 70, 80, 3196387, 320242, 923, 887, 414, 752, 253, 0, 1972, 157, 0, 0, 36, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.54, 'false', 'NONE', 1, 1),
	(2443, 25086, 'Timak Orc Ranger', 'Raid Fighter', 'ketra_orc_archer', 12.00, 27.00, 43, 'male', 'L2Minion', 'Ranger', 1100, 24994, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 0, 0, 1712, 903, 722, 764, 253, 0, 500, 14, 0, 0, 45, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 1500, 0, 0.91, 'false', 'NONE', 1, 0),
	(2444, 25087, 'Timak Orc Ranger', 'Raid Fighter', 'ketra_orc', 12.00, 29.00, 43, 'male', 'L2Minion', 'Fighter', 40, 18652, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 0, 0, 1712, 903, 722, 764, 253, 0, 500, 68, 0, 0, 45, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(2445, 25088, 'Crazy Mechanic Golem', 'Raid Boss', 'mechanic_golem_200_bi', 15.00, 63.00, 43, 'male', 'L2RaidBoss', 'Mystic', 40, 466311, 5.700, 619, 2.160, 60, 57, 73, 76, 70, 80, 3128858, 311947, 1794, 859, 1948, 728, 253, 0, 1972, 0, 0, 0, 30, 150, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.72, 'false', 'NONE', 1, 1),
	(2446, 25089, 'Soulless Wild Boar', 'Raid Boss', 'giant_wild_hog', 25.00, 27.00, 59, 'male', 'L2RaidBoss', 'Fighter', 40, 340028, 7.300, 1118, 2.640, 60, 57, 73, 76, 70, 80, 2684275, 381459, 2664, 1368, 1302, 1159, 253, 0, 1972, 0, 0, 0, 35, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.54, 'false', 'NONE', 1, 1),
	(2447, 25090, 'Soulless Wolf', 'Raid Fighter', 'dire_wolf', 13.00, 11.00, 58, 'male', 'L2Minion', 'Fighter', 40, 35417, 7.200, 1085, 2.610, 40, 43, 30, 21, 20, 20, 0, 0, 3402, 1399, 1835, 1184, 253, 0, 500, 0, 0, 0, 24, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.39, 'false', 'NONE', 1, 0),
	(2448, 25091, 'Soulless Bear', 'Raid Fighter', 'crimson_bear', 19.00, 36.00, 58, 'male', 'L2Minion', 'Fighter', 40, 52861, 7.200, 1085, 2.610, 40, 43, 30, 21, 20, 20, 0, 0, 4989, 1399, 2188, 1184, 253, 0, 500, 0, 0, 0, 37, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(2449, 25092, 'Korim', 'Raid Boss', 'heltor_silenos_shaman_50_bi', 19.50, 51.00, 70, 'male', 'L2RaidBoss', 'Priest', 40, 589950, 8.400, 1494, 2.970, 60, 57, 73, 76, 70, 80, 4596479, 802604, 5659, 1796, 5371, 1520, 253, 0, 1972, 201, 0, 0, 29, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.22, 'false', 'NONE', 1, 1),
	(2450, 25093, 'Korim Chief Guard Kaywon', 'Raid Fighter', 'heltor_silenos_warrior', 13.00, 31.00, 69, 'male', 'L2Minion', 'Fighter', 40, 93042, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 0, 0, 15713, 1844, 14196, 1558, 253, 0, 500, 162, 0, 0, 36, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.39, 'false', 'NONE', 1, 0),
	(2451, 25094, 'Korim Guards', 'Raid Fighter', 'heltor_silenos', 13.00, 29.00, 69, 'male', 'L2Minion', 'Fighter', 40, 46521, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 0, 0, 7856, 1844, 3551, 1558, 253, 0, 500, 86, 0, 0, 34, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(2452, 25095, 'Elf Renoa', 'Raid Boss', 'elf_ghost', 7.00, 21.00, 29, 'male', 'L2RaidBoss', 'Mystic', 40, 80953, 4.300, 350, 1.740, 60, 57, 73, 76, 70, 80, 2345715, 104160, 144, 525, 11, 443, 253, 0, 1972, 0, 0, 0, 80, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.41, 'false', 'NONE', 1, 1),
	(2453, 25096, 'Renoa\'s Elpy', 'Raid Fighter', 'elpy', 13.00, 13.00, 28, 'male', 'L2Minion', 'Fighter', 40, 8297, 4.200, 334, 1.710, 40, 43, 30, 21, 20, 20, 0, 0, 508, 529, 197, 449, 253, 0, 500, 0, 0, 0, 50, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(2454, 25097, 'Renoa\'s Hog', 'Raid Fighter', 'giant_wild_hog', 25.00, 27.00, 28, 'male', 'L2Minion', 'Fighter', 40, 12383, 4.200, 334, 1.710, 40, 43, 30, 21, 20, 20, 0, 0, 528, 529, 197, 449, 253, 0, 500, 0, 0, 0, 35, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.54, 'false', 'NONE', 1, 0),
	(2455, 25098, 'Sejarr\'s Servitor', 'Raid Boss', 'dark_fencer_200_bi', 30.00, 43.00, 35, 'male', 'L2RaidBoss', 'Fighter', 40, 219461, 4.900, 447, 1.920, 60, 57, 73, 76, 70, 80, 1912395, 144137, 483, 656, 113, 555, 253, 0, 1972, 0, 0, 0, 25, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.20, 'false', 'NONE', 1, 1),
	(2456, 25099, 'Rotten Tree Repiro', 'Raid Boss', 'hanged_man_ripper', 35.00, 80.00, 44, 'male', 'L2RaidBoss', 'Fighter', 40, 181485, 5.800, 648, 2.190, 60, 57, 73, 76, 70, 80, 2030767, 217826, 494, 887, 99, 752, 253, 0, 1972, 0, 0, 0, 55, 55, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.48, 'false', 'NONE', 1, 1),
	(2457, 25100, 'Spirit of Sea of Spores', 'Raid Fighter', 'pixy', 5.00, 25.00, 43, 'female', 'L2Minion', 'Fighter', 40, 27495, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 0, 0, 1474, 903, 722, 764, 253, 0, 500, 0, 0, 0, 80, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.72, 'false', 'NONE', 1, 0),
	(2458, 25101, 'Fighter of Sea of Spores', 'Raid Fighter', 'troll', 21.00, 35.00, 43, 'male', 'L2Minion', 'Fighter', 40, 13747, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 0, 0, 1474, 903, 722, 764, 253, 0, 500, 0, 0, 0, 55, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(2459, 25102, 'Shacram', 'Raid Boss', 'minotaur_100_bi', 42.00, 94.00, 45, 'male', 'L2RaidBoss', 'Fighter', 40, 382939, 5.900, 678, 2.220, 60, 57, 73, 76, 70, 80, 2085510, 229987, 1603, 915, 927, 776, 253, 0, 1972, 300, 0, 0, 40, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.59, 'false', 'NONE', 1, 1),
	(2460, 25103, 'Sorcerer Isirr', 'Raid Boss', 'zenta_lizardman_matriarch_50_bi', 30.00, 63.00, 55, 'male', 'L2RaidBoss', 'Mystic', 40, 299663, 6.900, 988, 2.520, 60, 57, 73, 76, 70, 80, 2477107, 327038, 1364, 1228, 435, 1041, 253, 0, 1972, 195, 0, 0, 53, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.46, 'false', 'NONE', 1, 1),
	(2461, 25104, 'Isirr\'s Guard', 'Raid Fighter', 'zenta_lizardman_warrior', 13.00, 35.00, 54, 'male', 'L2Minion', 'Fighter', 40, 46232, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 0, 0, 3934, 1256, 1612, 1063, 253, 0, 500, 95, 0, 0, 40, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(2462, 25105, 'Isirr\'s Guards', 'Raid Fighter', 'zenta_lizardman', 11.00, 32.00, 54, 'male', 'L2Minion', 'Fighter', 40, 23116, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 0, 0, 2768, 1256, 1470, 1063, 253, 0, 500, 131, 0, 0, 37, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.28, 'false', 'NONE', 1, 0),
	(2463, 25106, 'Ghost of the Well Lidia', 'Raid Boss', 'bloody_queen_100_bi', 28.00, 85.00, 60, 'female', 'L2RaidBoss', 'Mystic', 40, 349338, 7.400, 1151, 2.670, 60, 57, 73, 76, 70, 80, 2735033, 394692, 3581, 1404, 2006, 1190, 253, 0, 1972, 0, 0, 0, 80, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.50, 'false', 'NONE', 1, 1),
	(2464, 25107, 'Lidia\'s Archer', 'Raid Fighter', 'skeleton_archer', 11.00, 27.00, 59, 'male', 'L2Minion', 'Ranger', 1100, 36451, 7.300, 1118, 2.640, 40, 43, 30, 21, 20, 20, 0, 0, 3574, 1436, 1936, 1218, 253, 0, 500, 279, 0, 0, 40, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 1500, 0, 0.80, 'false', 'NONE', 1, 0),
	(2465, 25108, 'Lidia\'s Fighter', 'Raid Fighter', 'death_blader', 15.00, 45.00, 59, 'male', 'L2Minion', 'Fighter', 40, 27202, 7.300, 1118, 2.640, 40, 43, 30, 21, 20, 20, 0, 0, 3574, 1436, 1936, 1218, 253, 0, 500, 1472, 0, 0, 100, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(2466, 25109, 'Antharas Priest Cloe', 'Raid Boss', 'succubus_100_bi', 20.00, 75.00, 74, 'female', 'L2RaidBoss', 'Priest', 40, 620776, 8.800, 1637, 3.090, 60, 57, 73, 76, 70, 80, 5199407, 852059, 8715, 1967, 12471, 1665, 253, 0, 1972, 0, 0, 0, 60, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.84, 'false', 'NONE', 1, 1),
	(2467, 25110, 'Cloe\'s Servitor', 'Raid Fighter', 'silhouette', 8.00, 23.00, 73, 'female', 'L2Minion', 'Fighter', 40, 65759, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 0, 0, 12029, 2020, 7784, 1709, 253, 0, 500, 0, 0, 0, 80, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.54, 'false', 'NONE', 1, 0),
	(2468, 25111, 'Cloe\'s Servitor', 'Raid Fighter', 'shadow', 10.00, 30.00, 73, 'male', 'L2Minion', 'Mystic', 40, 98148, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 0, 0, 18045, 2020, 17523, 1709, 253, 0, 500, 0, 0, 0, 80, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.54, 'false', 'NONE', 1, 0),
	(2469, 25112, 'Agent of Beres, Meana', 'Raid Boss', 'medusa_100_bi', 20.00, 53.00, 30, 'female', 'L2RaidBoss', 'Fighter', 40, 84830, 4.400, 366, 1.770, 60, 57, 73, 76, 70, 80, 2308288, 111484, 169, 545, 26, 461, 253, 0, 1972, 0, 0, 0, 50, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.52, 'false', 'NONE', 1, 1),
	(2470, 25113, 'Meana\'s Maid', 'Raid Fighter', 'succubus', 10.00, 36.00, 29, 'female', 'L2Minion', 'Mystic', 40, 8678, 4.300, 350, 1.740, 40, 43, 30, 21, 20, 20, 0, 0, 550, 550, 218, 466, 253, 0, 500, 0, 0, 0, 60, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.84, 'false', 'NONE', 1, 0),
	(2471, 25114, 'Meana\'s Guard Doll', 'Raid Fighter', 'crimson_doll', 15.00, 38.00, 29, 'male', 'L2Minion', 'Fighter', 40, 12952, 4.300, 350, 1.740, 40, 43, 30, 21, 20, 20, 0, 0, 577, 550, 218, 466, 253, 0, 500, 0, 0, 0, 60, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.67, 'false', 'NONE', 1, 0),
	(2472, 25115, 'Icarus Sample 1', 'Raid Boss', 'mana_vampire_200_bi', 33.00, 51.00, 40, 'male', 'L2RaidBoss', 'Mystic', 40, 195739, 5.400, 531, 2.070, 60, 57, 73, 76, 70, 80, 2741414, 271385, 678, 779, 177, 660, 253, 0, 1972, 0, 0, 0, 90, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.39, 'false', 'NONE', 1, 1),
	(2473, 25116, 'Icarus Sample 2', 'Raid Fighter', 'skeleton_archer', 11.00, 27.00, 39, 'male', 'L2Minion', 'Ranger', 1100, 19780, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 0, 0, 1253, 790, 533, 668, 253, 0, 500, 273, 0, 0, 40, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 1500, 0, 0.80, 'false', 'NONE', 1, 0),
	(2474, 25117, 'Icarus Sample 3', 'Raid Fighter', 'magical_weaver', 11.00, 20.00, 39, 'male', 'L2Minion', 'Mystic', 40, 14761, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 0, 0, 1253, 790, 533, 668, 253, 0, 500, 0, 0, 0, 90, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.39, 'false', 'NONE', 1, 0),
	(2475, 25118, 'Guilotine, Warden of the Execution Grounds', 'Raid Boss', 'skeleton_pikeman_100_bi', 20.00, 58.00, 35, 'male', 'L2RaidBoss', 'Fighter', 40, 219461, 4.900, 447, 1.920, 60, 57, 73, 76, 70, 80, 1912395, 144137, 601, 656, 236, 555, 253, 0, 1972, 96, 0, 0, 50, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.21, 'false', 'NONE', 1, 1),
	(2476, 25119, 'Messenger of Fairy Queen Berun', 'Raid Boss', 'pan_100_bi', 42.00, 73.00, 50, 'male', 'L2RaidBoss', 'Fighter', 40, 336769, 6.400, 830, 2.370, 60, 57, 73, 76, 70, 80, 3551193, 422350, 1918, 1065, 1530, 903, 253, 0, 1972, 213, 0, 0, 45, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.58, 'false', 'NONE', 1, 1),
	(2477, 25120, 'Berun\'s Officer', 'Raid Fighter', 'pan', 14.00, 35.00, 49, 'male', 'L2Minion', 'Fighter', 40, 34425, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 0, 0, 3533, 1084, 1429, 920, 253, 0, 500, 90, 0, 0, 45, 110, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.58, 'false', 'NONE', 1, 0),
	(2478, 25121, 'Berun\'s Prattler', 'Raid Fighter', 'pixy', 5.00, 25.00, 49, 'female', 'L2Minion', 'Fighter', 40, 51380, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 0, 0, 5299, 1084, 3222, 920, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.72, 'false', 'NONE', 1, 0),
	(2479, 25122, 'Refugee Hopeful Leo', 'Raid Boss', 'oel_mahum_witch_doctor_50_bi', 22.50, 54.00, 56, 'male', 'L2RaidBoss', 'Fighter', 40, 310164, 7.000, 1020, 2.550, 60, 57, 73, 76, 70, 80, 2529799, 340561, 1459, 1262, 476, 1070, 253, 0, 1972, 201, 0, 0, 70, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.26, 'false', 'NONE', 1, 1),
	(2480, 25123, 'Leo\'s Servant', 'Raid Fighter', 'lesser_giant', 21.00, 44.00, 55, 'male', 'L2Minion', 'Fighter', 40, 47946, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 0, 0, 4184, 1289, 1747, 1092, 253, 0, 500, 3937, 0, 0, 15, 180, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.58, 'false', 'NONE', 1, 0),
	(2481, 25124, 'Leo\'s Steward', 'Raid Fighter', 'lesser_giant_mage', 21.00, 44.00, 55, 'male', 'L2Minion', 'Mystic', 40, 23973, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 0, 0, 2919, 1289, 1554, 1092, 253, 0, 500, 3938, 0, 0, 15, 180, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(2482, 25125, 'Fierce Tiger King Angel', 'Raid Boss', 'saber_toothed_tiger_200_bi', 72.00, 87.00, 65, 'male', 'L2RaidBoss', 'Fighter', 40, 1087358, 7.900, 1320, 2.820, 60, 57, 73, 76, 70, 80, 4489693, 746626, 11761, 1593, 30166, 1350, 253, 0, 1972, 0, 0, 0, 60, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.45, 'false', 'NONE', 1, 1),
	(2483, 25126, 'Longhorn Golkonda', 'Raid Boss', 'minotaur_100_bi', 42.00, 94.00, 79, 'male', 'L2RaidBoss', 'Fighter', 40, 1311095, 9.300, 1822, 3.240, 60, 57, 73, 76, 70, 80, 5390003, 1205333, 20224, 2193, 59372, 1856, 253, 0, 3819, 91, 0, 0, 64, 275, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.59, 'false', 'NONE', 1, 1),
	(2484, 25127, 'Langk Matriarch Rashkos', 'Raid Boss', 'virud_lizardman_matriarch_50_bi', 19.00, 57.00, 24, 'male', 'L2RaidBoss', 'Fighter', 40, 131933, 3.800, 273, 1.590, 60, 57, 73, 76, 70, 80, 2584114, 74037, 184, 431, 27, 362, 253, 0, 1972, 124, 0, 0, 56, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.65, 'false', 'NONE', 1, 1),
	(2485, 25128, 'Vuku Grand Seer Gharmash', 'Raid Boss', 'batur_orc_shaman_100_bi', 22.00, 35.00, 33, 'male', 'L2RaidBoss', 'Priest', 40, 98589, 4.700, 414, 1.860, 60, 57, 73, 76, 70, 80, 1932560, 127255, 204, 610, 24, 516, 253, 0, 1972, 195, 0, 0, 50, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.30, 'false', 'NONE', 1, 1),
	(2486, 25129, 'Vuku Shaman', 'Raid Fighter', 'orc_shaman', 9.00, 22.00, 32, 'male', 'L2Minion', 'Priest', 40, 10037, 4.600, 398, 1.830, 40, 43, 30, 21, 20, 20, 0, 0, 693, 617, 294, 521, 253, 0, 500, 7, 0, 0, 45, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.26, 'false', 'NONE', 1, 0),
	(2487, 25130, 'Gharmash\'s Pet Trimden', 'Raid Fighter', 'poison_spider', 27.00, 25.50, 32, 'male', 'L2Minion', 'Mystic', 40, 14980, 4.600, 398, 1.830, 40, 43, 30, 21, 20, 20, 0, 0, 749, 617, 294, 521, 253, 0, 500, 0, 0, 0, 60, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.65, 'false', 'NONE', 1, 0),
	(2488, 25131, 'Carnage Lord Gato', 'Raid Boss', 'oel_mahum_50_bi', 30.00, 57.00, 50, 'male', 'L2RaidBoss', 'Fighter', 40, 244973, 6.400, 830, 2.370, 60, 57, 73, 76, 70, 80, 2389767, 281312, 1243, 1065, 429, 903, 253, 0, 1972, 71, 0, 0, 70, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.48, 'false', 'NONE', 1, 1),
	(2489, 25132, 'Gato\'s Marksman', 'Raid Fighter', 'ol_mahum_archer', 14.00, 25.00, 49, 'male', 'L2Minion', 'Ranger', 1100, 25081, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 0, 0, 2104, 1084, 1084, 920, 253, 0, 500, 273, 0, 0, 50, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 1500, 0, 0.93, 'false', 'NONE', 1, 0),
	(2490, 25133, 'Gato\'s Troop Leader', 'Raid Fighter', 'ol_mahum_champion', 14.00, 27.00, 49, 'male', 'L2Minion', 'Fighter', 40, 18717, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 0, 0, 2104, 1084, 1084, 920, 253, 0, 500, 69, 0, 0, 50, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.63, 'false', 'NONE', 1, 0),
	(2491, 25134, 'Leto Chief Talkin', 'Raid Boss', 'Zenta_Lizardman_Raid', 30.00, 37.50, 40, 'female', 'L2RaidBoss', 'Fighter', 40, 145261, 5.400, 531, 2.070, 60, 57, 73, 76, 70, 80, 2030965, 181264, 427, 779, 87, 660, 253, 0, 1972, 221, 0, 0, 53, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.46, 'false', 'NONE', 1, 1),
	(2492, 25135, 'Talkin\'s Seer', 'Raid Fighter', 'virud_lizardman_shaman', 10.00, 29.00, 39, 'male', 'L2Minion', 'Priest', 40, 21961, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 0, 0, 1138, 790, 533, 668, 253, 0, 500, 7, 0, 0, 43, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(2493, 25136, 'Talkin\'s Bodyguard', 'Raid Fighter', 'zenta_lizardman_warrior', 13.00, 35.00, 39, 'male', 'L2Minion', 'Fighter', 40, 10981, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 0, 0, 1138, 790, 533, 668, 253, 0, 500, 16, 0, 0, 40, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(2494, 25137, 'Beleth\'s Seer Sephia', 'Raid Boss', 'bloody_queen_100_bi', 28.00, 85.00, 55, 'female', 'L2RaidBoss', 'Mystic', 40, 299663, 6.900, 988, 2.520, 60, 57, 73, 76, 70, 80, 2477107, 327038, 2034, 1228, 903, 1041, 253, 0, 1972, 0, 0, 0, 80, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.50, 'false', 'NONE', 1, 1),
	(2495, 25138, 'Soul Drinker', 'Raid Fighter', 'mana_vampire', 11.00, 20.00, 54, 'male', 'L2Minion', 'Mystic', 40, 30976, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 0, 0, 2768, 1256, 1470, 1063, 253, 0, 500, 0, 0, 0, 90, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.39, 'false', 'NONE', 1, 0),
	(2496, 25139, 'Sephia\'s Salve', 'Raid Fighter', 'kaim_vanul', 24.00, 40.00, 54, 'male', 'L2Minion', 'Fighter', 40, 46232, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 0, 0, 3934, 1256, 1612, 1063, 253, 0, 500, 0, 0, 0, 37, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(2497, 25140, 'Hekaton Prime', 'Raid Boss', 'susceptor', 20.00, 35.00, 65, 'male', 'L2RaidBoss', 'Fighter', 40, 543679, 7.900, 1320, 2.820, 60, 57, 73, 76, 70, 80, 4489693, 746626, 4656, 1593, 4297, 1350, 253, 0, 1972, 0, 0, 0, 27, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.43, 'false', 'NONE', 1, 1),
	(2498, 25141, 'Hekaton Cottus', 'Raid Fighter', 'gamlin', 11.00, 32.00, 64, 'male', 'L2Minion', 'Fighter', 40, 85287, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 0, 0, 12713, 1634, 11658, 1382, 253, 0, 500, 0, 0, 0, 80, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(2499, 25142, 'Hekaton Chires', 'Raid Fighter', 'lesser_giant', 21.00, 44.00, 64, 'male', 'L2Minion', 'Fighter', 40, 42643, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 0, 0, 6357, 1634, 2912, 1382, 253, 0, 500, 3937, 0, 0, 15, 180, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.58, 'false', 'NONE', 1, 0),
	(2500, 25143, 'Fire of Wrath Shuriel', 'Raid Boss', 'angel', 13.50, 36.50, 78, 'male', 'L2RaidBoss', 'Fighter', 40, 648749, 9.200, 1784, 3.210, 60, 57, 73, 76, 70, 80, 5346496, 1193017, 10051, 2147, 14666, 1817, 253, 0, 1972, 2500, 0, 0, 30, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.52, 'false', 'NONE', 1, 1),
	(2501, 25144, 'Shuriel\'s Oracle', 'Raid Fighter', 'oel_mahum_witch_doctor', 15.00, 34.00, 78, 'male', 'L2Minion', 'Fighter', 40, 103800, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 10305, 2481, 5073, 2098, 253, 0, 500, 201, 0, 0, 70, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.26, 'false', 'NONE', 1, 0),
	(2502, 25145, 'Shuriel\'s Paladin', 'Raid Fighter', 'kel_mahum_champion', 13.00, 32.00, 78, 'male', 'L2Minion', 'Fighter', 40, 51900, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 10305, 2481, 5073, 2098, 253, 0, 500, 147, 0, 0, 50, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(2503, 25146, 'Serpent Demon Bifrons', 'Raid Boss', 'serpent_slave_50_bi', 25.00, 72.00, 21, 'male', 'L2RaidBoss', 'Fighter', 40, 59861, 3.500, 228, 1.500, 60, 57, 73, 76, 70, 80, 2646357, 60367, 70, 381, 3, 319, 253, 0, 1972, 73, 0, 0, 70, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.46, 'false', 'NONE', 1, 1),
	(2504, 25147, 'Assassin of Bifrons', 'Raid Fighter', 'virud_lizardman_scout', 10.00, 22.00, 20, 'male', 'L2Minion', 'Ranger', 1100, 6241, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 0, 0, 260, 382, 84, 319, 253, 0, 500, 2507, 0, 0, 43, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 1500, 0, 0.72, 'false', 'NONE', 1, 0),
	(2505, 25148, 'Butcher of Bifrons', 'Raid Fighter', 'virud_lizardman_warrior', 12.00, 30.00, 20, 'male', 'L2Minion', 'Fighter', 40, 4657, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 0, 0, 260, 382, 84, 319, 253, 0, 500, 16, 0, 0, 52, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.59, 'false', 'NONE', 1, 0),
	(2506, 25149, 'Zombie Lord Crowl', 'Raid Boss', 'zombie_100_bi', 26.00, 45.00, 25, 'male', 'L2RaidBoss', 'Fighter', 40, 68440, 3.900, 288, 1.620, 60, 57, 73, 76, 70, 80, 2541012, 79280, 110, 449, 15, 378, 253, 0, 1972, 0, 0, 0, 15, 15, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.43, 'false', 'NONE', 1, 1),
	(2507, 25150, 'Evil Spirit Archer', 'Raid Fighter', 'skeleton_archer', 11.00, 27.00, 24, 'male', 'L2Minion', 'Ranger', 1100, 7072, 3.800, 273, 1.590, 40, 43, 30, 21, 20, 20, 0, 0, 365, 454, 130, 382, 253, 0, 500, 14, 0, 0, 40, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 1500, 0, 0.80, 'false', 'NONE', 1, 0),
	(2508, 25151, 'Evil Spirit Warrior', 'Raid Fighter', 'skeleton', 11.00, 25.00, 24, 'male', 'L2Minion', 'Fighter', 40, 5277, 3.800, 273, 1.590, 40, 43, 30, 21, 20, 20, 0, 0, 365, 454, 130, 382, 253, 0, 500, 946, 0, 0, 60, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(2509, 25152, 'Flame Lord Shadar', 'Raid Boss', 'dre_vanul_100_bi', 28.00, 75.00, 35, 'male', 'L2RaidBoss', 'Fighter', 40, 109730, 4.900, 447, 1.920, 60, 57, 73, 76, 70, 80, 1912395, 144137, 300, 656, 59, 555, 253, 0, 1972, 0, 0, 0, 80, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.35, 'false', 'NONE', 1, 1),
	(2510, 25153, 'Claws of Shadar', 'Raid Fighter', 'imp', 10.00, 24.00, 34, 'male', 'L2Minion', 'Fighter', 40, 16632, 4.800, 430, 1.890, 40, 43, 30, 21, 20, 20, 0, 0, 888, 664, 353, 563, 253, 0, 500, 0, 0, 0, 60, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(2511, 25154, 'Whip of Shadar', 'Raid Fighter', 'succubus', 10.00, 36.00, 34, 'female', 'L2Minion', 'Mystic', 40, 8316, 4.800, 430, 1.890, 40, 43, 30, 21, 20, 20, 0, 0, 806, 664, 353, 563, 253, 0, 500, 0, 0, 0, 60, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.84, 'false', 'NONE', 1, 0),
	(2512, 25155, 'Shaman King Selu', 'Raid Boss', 'batur_orc_overlord_100_bi', 24.00, 52.00, 40, 'male', 'L2RaidBoss', 'Fighter', 40, 195739, 5.400, 531, 2.070, 60, 57, 73, 76, 70, 80, 2741414, 271385, 678, 779, 234, 660, 253, 0, 1972, 79, 0, 0, 80, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.28, 'false', 'NONE', 1, 1),
	(2513, 25156, 'Fanatic Shaman', 'Raid Fighter', 'batur_orc_shaman', 11.00, 16.00, 39, 'male', 'L2Minion', 'Priest', 40, 19780, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 0, 0, 1671, 790, 533, 668, 253, 0, 500, 123, 19, 0, 50, 170, '', 0, 0, 20, 304, 7, 30, 4, 20, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(2514, 25157, 'Fanatic Soldier', 'Raid Fighter', 'batur_orc_warrior', 10.00, 20.00, 39, 'male', 'L2Minion', 'Fighter', 40, 29522, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 0, 0, 2506, 790, 992, 668, 253, 0, 500, 7, 0, 0, 80, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(2515, 25158, 'King Tarlk', 'Raid Boss', 'king_bugbear_200_bi', 45.00, 126.00, 48, 'male', 'L2RaidBoss', 'Fighter', 40, 611281, 6.200, 769, 2.310, 60, 57, 73, 76, 70, 80, 3443211, 354989, 2574, 1003, 2776, 851, 253, 0, 1972, 160, 0, 0, 55, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.28, 'false', 'NONE', 1, 1),
	(2516, 25159, 'Paniel the Unicorn', 'Raid Boss', 'unicorn', 14.00, 30.00, 54, 'male', 'L2RaidBoss', 'Fighter', 40, 288952, 6.800, 956, 2.490, 60, 57, 73, 76, 70, 80, 2422283, 313577, 1898, 1194, 823, 1012, 253, 0, 1972, 0, 0, 0, 46, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.74, 'false', 'NONE', 1, 1),
	(2517, 25160, 'Rapini the Unicorn', 'Raid Fighter', 'unicorn_boxer', 11.00, 18.00, 53, 'male', 'L2Minion', 'Mystic', 40, 44492, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 0, 0, 2625, 1218, 1386, 1033, 253, 0, 500, 0, 0, 0, 27, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.71, 'false', 'NONE', 1, 0),
	(2518, 25161, 'Ririf the Unicorn', 'Raid Fighter', 'unicorn_mirage', 13.00, 17.50, 53, 'male', 'L2Minion', 'Mystic', 40, 22246, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 0, 0, 2625, 1218, 1386, 1033, 253, 0, 500, 0, 0, 0, 27, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.69, 'false', 'NONE', 1, 0),
	(2519, 25162, 'Giant Marpanak', 'Raid Boss', 'lesser_giant_100_bi', 42.00, 91.00, 60, 'male', 'L2RaidBoss', 'Fighter', 40, 970514, 7.400, 1151, 2.670, 60, 57, 73, 76, 70, 80, 4154684, 587467, 7025, 1404, 11841, 1190, 253, 0, 1972, 3937, 0, 0, 15, 180, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.58, 'false', 'NONE', 1, 1),
	(2520, 25163, 'Roaring Skylancer', 'Raid Boss', 'Drake_Raid', 44.00, 51.50, 70, 'male', 'L2RaidBoss', 'Fighter', 40, 1179900, 8.400, 1494, 2.970, 60, 57, 73, 76, 70, 80, 4596479, 802604, 8155, 1796, 8986, 1520, 253, 0, 1972, 0, 0, 0, 70, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.84, 'false', 'NONE', 1, 1),
	(2521, 25166, 'Ikuntai', 'Raid Boss', 'skeleton_knight_50_bi', 15.00, 39.00, 25, 'male', 'L2RaidBoss', 'Fighter', 40, 89498, 3.900, 288, 1.620, 60, 57, 73, 76, 70, 80, 1589296, 122871, 187, 449, 31, 378, 253, 0, 1972, 150, 0, 0, 40, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.17, 'false', 'NONE', 1, 1),
	(2522, 25167, 'Ikuntai\'s Servitor', 'Raid Fighter', 'silhouette', 8.00, 23.00, 24, 'female', 'L2Minion', 'Priest', 40, 13786, 3.800, 273, 1.590, 40, 43, 30, 21, 20, 20, 0, 0, 365, 454, 130, 382, 253, 0, 500, 0, 0, 0, 80, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.54, 'false', 'NONE', 1, 0),
	(2523, 25168, 'Pawn of Ikuntai', 'Raid Fighter', 'skeleton_pikeman', 10.00, 28.00, 24, 'male', 'L2Minion', 'Fighter', 40, 6893, 3.800, 273, 1.590, 40, 43, 30, 21, 20, 20, 0, 0, 365, 454, 130, 382, 253, 0, 500, 299, 0, 0, 50, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.21, 'false', 'NONE', 1, 0),
	(2524, 25169, 'Ragraman', 'Raid Boss', 'batur_orc_overlord_100_bi', 24.00, 52.00, 30, 'male', 'L2RaidBoss', 'Fighter', 40, 223545, 4.400, 366, 1.770, 60, 57, 73, 76, 70, 80, 1868579, 150667, 589, 545, 212, 461, 253, 0, 1972, 72, 0, 0, 80, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.28, 'false', 'NONE', 1, 1),
	(2525, 25170, 'Lizardmen Leader Hellion', 'Raid Boss', 'zenta_lizardman_matriarch_50_bi', 30.00, 63.00, 38, 'male', 'L2RaidBoss', 'Fighter', 40, 129701, 5.200, 497, 2.010, 60, 57, 73, 76, 70, 80, 1957608, 163199, 309, 728, 36, 616, 253, 0, 1972, 223, 0, 0, 53, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.46, 'false', 'NONE', 1, 1),
	(2526, 25171, 'Hellion\'s Archers', 'Raid Fighter', 'zenta_lizardman_scout', 11.00, 30.00, 37, 'male', 'L2Minion', 'Ranger', 1100, 13142, 5.100, 480, 1.980, 40, 43, 30, 21, 20, 20, 0, 0, 995, 739, 454, 626, 253, 0, 500, 278, 0, 0, 37, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 1500, 0, 0.93, 'false', 'NONE', 1, 0),
	(2527, 25172, 'Hellion\'s Guards', 'Raid Fighter', 'zenta_lizardman_warrior', 13.00, 35.00, 37, 'male', 'L2Minion', 'Fighter', 40, 9808, 5.100, 480, 1.980, 40, 43, 30, 21, 20, 20, 0, 0, 995, 739, 454, 626, 253, 0, 500, 291, 0, 0, 40, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(2528, 25173, 'Tiger King Karuta', 'Raid Boss', 'saber_toothed_tiger_200_bi', 72.00, 87.00, 45, 'male', 'L2RaidBoss', 'Fighter', 40, 191469, 5.900, 678, 2.220, 60, 57, 73, 76, 70, 80, 2085510, 229987, 801, 915, 231, 776, 253, 0, 1972, 0, 0, 0, 60, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.45, 'false', 'NONE', 1, 1),
	(2529, 25174, 'Karuta\'s Follower', 'Raid Fighter', 'heltor_silenos_chieftain', 13.00, 31.50, 44, 'male', 'L2Minion', 'Fighter', 40, 29038, 5.800, 648, 2.190, 40, 43, 30, 21, 20, 20, 0, 0, 1567, 932, 777, 790, 253, 0, 500, 127, 0, 0, 27, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.39, 'false', 'NONE', 1, 0),
	(2530, 25175, 'Karuta\'s Inferiors', 'Raid Fighter', 'crimson_bear', 19.00, 36.00, 44, 'male', 'L2Minion', 'Fighter', 40, 14519, 5.800, 648, 2.190, 40, 43, 30, 21, 20, 20, 0, 0, 1567, 932, 777, 790, 253, 0, 500, 0, 0, 0, 37, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(2531, 25176, 'Black Lily', 'Raid Boss', 'Succubus_Raid', 12.00, 30.70, 55, 'female', 'L2RaidBoss', 'Mystic', 40, 299663, 6.900, 988, 2.520, 60, 57, 73, 76, 70, 80, 2477107, 327038, 1364, 1228, 435, 1041, 253, 0, 1972, 0, 0, 0, 80, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.50, 'false', 'NONE', 1, 1),
	(2532, 25177, 'Guardian Knight of Black Lily', 'Raid Fighter', 'death_knight', 12.00, 30.00, 54, 'male', 'L2Minion', 'Fighter', 40, 46232, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 0, 0, 3934, 1256, 1612, 1063, 253, 0, 500, 75, 0, 0, 27, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.71, 'false', 'NONE', 1, 0),
	(2533, 25178, 'Servitor of Black Lily', 'Raid Fighter', 'silhouette', 8.00, 23.00, 54, 'female', 'L2Minion', 'Fighter', 40, 23116, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 0, 0, 2768, 1256, 1470, 1063, 253, 0, 500, 0, 0, 0, 80, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.54, 'false', 'NONE', 1, 0),
	(2534, 25179, 'Guardian of the Statue of Giant Karum', 'Raid Boss', 'lesser_giant_50_bi', 31.50, 69.00, 60, 'male', 'L2RaidBoss', 'Fighter', 1100, 349338, 7.400, 1151, 2.670, 60, 57, 73, 76, 70, 80, 2735033, 394692, 2895, 1404, 1474, 1190, 253, 0, 1972, 4028, 0, 0, 15, 180, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.58, 'false', 'NONE', 1, 1),
	(2535, 25180, 'Karum\'s Guard', 'Raid Fighter', 'lesser_giant_mage', 21.00, 44.00, 59, 'male', 'L2Minion', 'Mystic', 40, 36451, 7.300, 1118, 2.640, 40, 43, 30, 21, 20, 20, 0, 0, 3574, 1436, 1936, 1218, 253, 0, 500, 3938, 0, 0, 15, 180, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(2536, 25181, 'Karum\'s Warrior', 'Raid Fighter', 'susceptor', 20.00, 35.00, 59, 'male', 'L2Minion', 'Fighter', 40, 54404, 7.300, 1118, 2.640, 40, 43, 30, 21, 20, 20, 0, 0, 5275, 1436, 2354, 1218, 253, 0, 500, 0, 0, 0, 27, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.43, 'false', 'NONE', 1, 0),
	(2537, 25182, 'Demon Kurikups', 'Raid Boss', 'karik_100_bi', 50.00, 180.00, 59, 'male', 'L2RaidBoss', 'Fighter', 40, 340028, 7.300, 1118, 2.640, 60, 57, 73, 76, 70, 80, 2684275, 381459, 3838, 1368, 2140, 1159, 253, 0, 1972, 0, 0, 0, 37, 200, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.45, 'false', 'NONE', 1, 1),
	(2538, 25183, 'Kurikups\' Wife', 'Raid Fighter', 'bloody_queen', 14.00, 40.00, 58, 'female', 'L2Minion', 'Mystic', 40, 52861, 7.200, 1085, 2.610, 40, 43, 30, 21, 20, 20, 0, 0, 2495, 525, 545, 568, 253, 0, 500, 0, 0, 0, 80, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(2539, 25184, 'Devil Blader of Chaos', 'Raid Fighter', 'death_blader', 15.00, 45.00, 58, 'male', 'L2Minion', 'Fighter', 40, 26430, 7.200, 1085, 2.610, 40, 43, 30, 21, 20, 20, 0, 0, 2495, 525, 545, 568, 253, 0, 500, 1472, 0, 0, 100, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(2540, 25185, 'Tasaba Patriarch Hellena', 'Raid Boss', 'zenta_lizardman_matriarch', 20.00, 40.00, 35, 'male', 'L2RaidBoss', 'Fighter', 40, 109730, 4.900, 447, 1.920, 60, 57, 73, 76, 70, 80, 1912395, 144137, 300, 656, 59, 555, 253, 0, 1972, 225, 0, 0, 53, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.46, 'false', 'NONE', 1, 1),
	(2541, 25186, 'Hellena\'s Marksman', 'Raid Fighter', 'zenta_lizardman_scout', 11.00, 30.00, 34, 'male', 'L2Minion', 'Ranger', 1100, 11144, 4.800, 430, 1.890, 40, 43, 30, 21, 20, 20, 0, 0, 806, 664, 353, 563, 253, 0, 500, 272, 0, 0, 37, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 1500, 0, 0.93, 'false', 'NONE', 1, 0),
	(2542, 25187, 'Helena\'s Soldier', 'Raid Fighter', 'zenta_lizardman_warrior', 13.00, 35.00, 34, 'male', 'L2Minion', 'Fighter', 40, 8316, 4.800, 430, 1.890, 40, 43, 30, 21, 20, 20, 0, 0, 806, 664, 353, 563, 253, 0, 500, 16, 0, 0, 40, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(2543, 25188, 'Apepi', 'Raid Boss', 'lienrik', 12.00, 50.00, 30, 'male', 'L2RaidBoss', 'Fighter', 40, 169661, 4.400, 366, 1.770, 60, 57, 73, 76, 70, 80, 2308288, 111484, 315, 545, 50, 461, 253, 0, 1972, 0, 0, 0, 100, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.46, 'false', 'NONE', 1, 1),
	(2544, 25189, 'Cronos\'s Servitor Mumu', 'Raid Boss', 'cutie_cat', 8.00, 15.00, 34, 'female', 'L2RaidBoss', 'Fighter', 40, 103951, 4.800, 430, 1.890, 60, 57, 73, 76, 70, 80, 1918617, 135504, 222, 632, 26, 535, 253, 0, 1972, 0, 0, 0, 48, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.34, 'false', 'NONE', 1, 1),
	(2545, 25190, 'Mumu\'s Wizard', 'Raid Fighter', 'cutie_cat', 8.00, 15.00, 33, 'female', 'L2Minion', 'Mystic', 40, 10569, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 0, 0, 748, 638, 323, 542, 253, 0, 500, 0, 0, 0, 48, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(2546, 25191, 'Mumu\'s Warrior', 'Raid Fighter', 'cat_the_cat', 9.00, 16.00, 33, 'male', 'L2Minion', 'Fighter', 40, 15774, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 0, 0, 816, 638, 323, 542, 253, 0, 500, 0, 0, 0, 80, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(2547, 25192, 'Earth Protector Panathen', 'Raid Boss', 'farhite', 16.00, 31.00, 43, 'male', 'L2RaidBoss', 'Fighter', 40, 171841, 5.700, 619, 2.160, 60, 57, 73, 76, 70, 80, 1976893, 206038, 673, 859, 182, 728, 253, 0, 1972, 183, 0, 0, 15, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.74, 'false', 'NONE', 1, 1),
	(2548, 25193, 'Panathen\'s Knight', 'Raid Fighter', 'nos', 26.00, 42.00, 42, 'male', 'L2Minion', 'Fighter', 40, 26011, 5.600, 589, 2.130, 40, 43, 30, 21, 20, 20, 0, 0, 1697, 874, 672, 739, 253, 0, 500, 5130, 0, 0, 18, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.78, 'false', 'NONE', 1, 0),
	(2549, 25194, 'Panathen\'s Protectors', 'Raid Fighter', 'dailaon', 20.00, 28.00, 42, 'male', 'L2Minion', 'Ranger', 1100, 13006, 5.600, 589, 2.130, 40, 43, 30, 21, 20, 20, 0, 0, 1382, 874, 672, 739, 253, 0, 500, 5127, 0, 0, 18, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 1500, 0, 0.91, 'false', 'NONE', 1, 0),
	(2550, 25198, 'Fafurion\'s Herald Lokness', 'Raid Boss', 'devastator_200_bi', 100.00, 105.00, 70, 'female', 'L2RaidBoss', 'Fighter', 40, 1179900, 8.400, 1494, 2.970, 60, 57, 73, 76, 70, 80, 4596479, 802604, 13963, 1796, 35947, 1520, 253, 0, 1972, 0, 0, 0, 70, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.84, 'false', 'NONE', 1, 1),
	(2551, 25199, 'Water Dragon Seer Sheshark', 'Raid Boss', 'kaim_vanul', 24.00, 40.00, 72, 'male', 'L2RaidBoss', 'Fighter', 40, 605867, 8.600, 1565, 3.030, 60, 57, 73, 76, 70, 80, 5140647, 827123, 7164, 1880, 8915, 1592, 253, 0, 1972, 181, 0, 0, 43, 200, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.48, 'false', 'NONE', 1, 1),
	(2552, 25200, 'Family of Sheshark', 'Raid Fighter', 'hunter_gargoyle', 25.00, 65.00, 71, 'male', 'L2Minion', 'Fighter', 40, 64111, 8.500, 1529, 3.000, 40, 43, 30, 21, 20, 20, 0, 0, 11265, 1928, 7328, 1634, 253, 0, 500, 0, 0, 0, 100, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(2553, 25201, 'Guard of Sheshark', 'Raid Fighter', 'serpent_slave', 17.00, 46.00, 71, 'male', 'L2Minion', 'Fighter', 40, 95689, 8.500, 1529, 3.000, 40, 43, 30, 21, 20, 20, 0, 0, 16898, 1928, 16495, 1634, 253, 0, 500, 6370, 0, 0, 52, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.59, 'false', 'NONE', 1, 0),
	(2554, 25202, 'Krokian Padisha Sobekk', 'Raid Boss', 'ant_soldier_200_bi', 75.00, 54.00, 74, 'male', 'L2RaidBoss', 'Fighter', 40, 620776, 8.800, 1637, 3.090, 60, 57, 73, 76, 70, 80, 5199407, 852059, 8715, 1967, 12471, 1665, 253, 0, 1972, 5130, 0, 0, 18, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.78, 'false', 'NONE', 1, 1),
	(2555, 25203, 'Parhit Padisha Sobekk', 'Raid Fighter', 'aracne', 15.00, 26.00, 73, 'male', 'L2Minion', 'Fighter', 40, 98148, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 0, 0, 9022, 2020, 4382, 1709, 253, 0, 500, 5131, 0, 0, 15, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.74, 'false', 'NONE', 1, 0),
	(2556, 25204, 'Krokian Padisha Sobekk', 'Raid Fighter', 'vampire_bat', 10.00, 33.50, 73, 'male', 'L2Minion', 'Mystic', 40, 49074, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 0, 0, 9022, 2020, 4382, 1709, 253, 0, 500, 5128, 0, 0, 18, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.78, 'false', 'NONE', 1, 0),
	(2557, 25205, 'Ocean Flame Ashakiel', 'Raid Boss', 'saber_toothed_tiger_200_bi', 72.00, 87.00, 76, 'male', 'L2RaidBoss', 'Fighter', 40, 634981, 9.000, 1710, 3.150, 60, 57, 73, 76, 70, 80, 5267108, 1171763, 8153, 2056, 10359, 1740, 253, 0, 1972, 98, 0, 0, 50, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.76, 'false', 'NONE', 1, 1),
	(2558, 25206, 'Ashakiel\'s Blade', 'Raid Fighter', 'dark_fencer_200_bi', 30.00, 43.00, 75, 'female', 'L2Minion', 'Fighter', 40, 100472, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 0, 0, 19135, 2113, 18465, 1789, 253, 0, 500, 6717, 0, 0, 50, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(2559, 25207, 'Ashakiel\'s Rod', 'Raid Fighter', 'unicorn', 14.00, 30.00, 75, 'male', 'L2Minion', 'Mystic', 40, 50236, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 0, 0, 9568, 2113, 4618, 1789, 253, 0, 500, 6718, 0, 0, 50, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(2560, 25208, 'Water Couatle Ateka', 'Raid Boss', 'lienrik', 12.00, 50.00, 40, 'male', 'L2RaidBoss', 'Fighter', 40, 145261, 5.400, 531, 2.070, 60, 57, 73, 76, 70, 80, 2030965, 181264, 427, 779, 87, 660, 253, 0, 1972, 0, 0, 0, 100, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.46, 'false', 'NONE', 1, 1),
	(2561, 25209, 'Ateka\'s Shaman', 'Raid Fighter', 'lienrik', 12.00, 50.00, 39, 'male', 'L2Minion', 'Priest', 40, 14714, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 0, 0, 1138, 790, 533, 668, 253, 0, 500, 0, 0, 0, 100, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(2562, 25210, 'Ateka\'s Grunt', 'Raid Fighter', 'lienrik', 12.00, 50.00, 39, 'male', 'L2Minion', 'Fighter', 40, 21961, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 0, 0, 1340, 790, 533, 668, 253, 0, 500, 0, 0, 0, 100, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(2563, 25211, 'Sebek', 'Raid Boss', 'nos', 26.00, 42.00, 36, 'male', 'L2RaidBoss', 'Fighter', 40, 115942, 5.000, 464, 1.950, 60, 57, 73, 76, 70, 80, 1916442, 153260, 326, 679, 65, 575, 253, 0, 1972, 5130, 0, 0, 18, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.78, 'false', 'NONE', 1, 1),
	(2564, 25212, 'Sebek\'s Priest', 'Raid Fighter', 'zenta_lizardman_scout', 11.00, 30.00, 35, 'male', 'L2Minion', 'Ranger', 1100, 11763, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 0, 0, 865, 689, 382, 584, 253, 0, 500, 279, 0, 0, 37, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 1500, 0, 0.93, 'false', 'NONE', 1, 0),
	(2565, 25213, 'Sebek\'s Fanatic', 'Raid Fighter', 'dailaon', 20.00, 28.00, 35, 'male', 'L2Minion', 'Ranger', 1100, 8778, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 0, 0, 865, 689, 382, 584, 253, 0, 500, 5127, 0, 0, 18, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 1500, 0, 0.91, 'false', 'NONE', 1, 0),
	(2566, 25214, 'Fafurion\'s Page Sika', 'Raid Boss', 'water_giant', 13.00, 44.00, 40, 'male', 'L2RaidBoss', 'Fighter', 80, 145261, 5.400, 531, 2.070, 60, 57, 73, 76, 70, 80, 2030965, 181264, 363, 779, 42, 660, 253, 0, 1972, 5132, 0, 0, 35, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.45, 'false', 'NONE', 1, 1),
	(2567, 25215, 'Sika\'s Wizard', 'Raid Fighter', 'undine', 12.00, 27.00, 39, 'female', 'L2Minion', 'Mystic', 40, 14714, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 0, 0, 1138, 790, 533, 668, 253, 0, 500, 0, 0, 0, 60, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.35, 'false', 'NONE', 1, 0),
	(2568, 25216, 'Sika\'s Fighter', 'Raid Fighter', 'undine', 12.00, 27.00, 39, 'female', 'L2Minion', 'Mystic', 40, 21961, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 0, 0, 1340, 790, 533, 668, 253, 0, 500, 0, 0, 0, 60, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.35, 'false', 'NONE', 1, 0),
	(2569, 25217, 'Cursed Clara', 'Raid Boss', 'medusa', 10.00, 25.00, 50, 'female', 'L2RaidBoss', 'Fighter', 40, 244973, 6.400, 830, 2.370, 60, 57, 73, 76, 70, 80, 2389767, 281312, 833, 1065, 206, 903, 253, 0, 1972, 0, 0, 0, 50, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.52, 'false', 'NONE', 1, 1),
	(2570, 25218, 'Clara\'s Marksman', 'Raid Fighter', 'virud_lizardman_scout', 10.00, 22.00, 49, 'male', 'L2Minion', 'Ranger', 1100, 25081, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 0, 0, 2104, 1084, 1084, 920, 253, 0, 500, 2507, 0, 0, 43, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 1500, 0, 0.72, 'false', 'NONE', 1, 0),
	(2571, 25219, 'Clara\'s Pawn', 'Raid Fighter', 'virud_lizardman_warrior', 12.00, 30.00, 49, 'male', 'L2Minion', 'Fighter', 40, 18717, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 0, 0, 2104, 1084, 1084, 920, 253, 0, 500, 94, 0, 0, 52, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.59, 'false', 'NONE', 1, 0),
	(2572, 25220, 'Death Lord Hallate', 'Raid Boss', 'death_lord', 21.00, 40.00, 73, 'male', 'L2RaidBoss', 'Fighter', 40, 613427, 8.700, 1601, 3.060, 60, 57, 73, 76, 70, 80, 5168419, 839126, 8449, 1923, 12049, 1628, 253, 0, 1972, 78, 0, 0, 40, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.50, 'false', 'NONE', 1, 1),
	(2573, 25221, 'Death Mage Krician', 'Raid Fighter', 'death_blader', 15.00, 45.00, 72, 'male', 'L2Minion', 'Fighter', 40, 64949, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 0, 0, 11651, 1974, 7547, 1672, 253, 0, 500, 1472, 0, 0, 100, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(2574, 25222, 'Death Fighter Harik', 'Raid Fighter', 'death_knight', 12.00, 30.00, 72, 'male', 'L2Minion', 'Fighter', 40, 96939, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 0, 0, 17477, 1974, 16979, 1672, 253, 0, 500, 75, 0, 0, 27, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.71, 'false', 'NONE', 1, 0),
	(2575, 25223, 'Soul Collector Acheron', 'Raid Boss', 'vale_master_50_bi', 18.00, 63.00, 35, 'male', 'L2RaidBoss', 'Fighter', 40, 109730, 4.900, 447, 1.920, 60, 57, 73, 76, 70, 80, 1912395, 144137, 242, 656, 28, 555, 253, 0, 1972, 192, 0, 0, 70, 160, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.74, 'false', 'NONE', 1, 1),
	(2576, 25224, 'Soul Slasher', 'Raid Fighter', 'dark_horror', 20.00, 35.00, 34, 'male', 'L2Minion', 'Fighter', 40, 11144, 4.800, 430, 1.890, 40, 43, 30, 21, 20, 20, 0, 0, 806, 664, 353, 563, 253, 0, 500, 0, 0, 0, 100, 140, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(2577, 25225, 'Soul Strainer', 'Raid Fighter', 'hungry_spirit', 13.00, 40.00, 34, 'male', 'L2Minion', 'Fighter', 40, 16632, 4.800, 430, 1.890, 40, 43, 30, 21, 20, 20, 0, 0, 888, 664, 353, 563, 253, 0, 500, 0, 0, 0, 15, 155, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(2578, 25226, 'Roaring Lord Kastor', 'Raid Boss', 'oel_mahum_witch_doctor_50_bi', 22.50, 54.00, 62, 'male', 'L2RaidBoss', 'Fighter', 40, 510206, 7.600, 1218, 2.730, 60, 57, 73, 76, 70, 80, 4417539, 712205, 4510, 1478, 4959, 1252, 253, 0, 1972, 186, 0, 0, 70, 180, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.26, 'false', 'NONE', 1, 1),
	(2579, 25227, 'Kastor\'s Seer', 'Raid Fighter', 'oel_mahum_witch_doctor', 15.00, 34.00, 61, 'male', 'L2Minion', 'Fighter', 40, 79679, 7.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 5487, 1512, 2528, 1281, 253, 0, 500, 9, 0, 0, 70, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.26, 'false', 'NONE', 1, 0),
	(2580, 25228, 'Kastor\'s Prefect', 'Raid Fighter', 'oel_mahum_warrior', 20.00, 38.00, 61, 'male', 'L2Minion', 'Fighter', 40, 39839, 7.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 5487, 1512, 2528, 1281, 253, 0, 500, 79, 0, 0, 70, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.65, 'false', 'NONE', 1, 0),
	(2581, 25229, 'Storm Winged Naga', 'Raid Boss', 'wyrm_50_bi', 58.00, 108.00, 75, 'male', 'L2RaidBoss', 'Fighter', 40, 1255902, 8.900, 1674, 3.120, 60, 57, 73, 76, 70, 80, 5231148, 864099, 17973, 2011, 51648, 1702, 253, 0, 1972, 0, 0, 0, 70, 200, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.19, 'false', 'NONE', 1, 1),
	(2582, 25230, 'Timak Seer Ragoth', 'Raid Boss', 'batur_orc_shaman_50_bi', 16.00, 25.00, 57, 'male', 'L2RaidBoss', 'Priest', 40, 320415, 7.100, 1052, 2.580, 60, 57, 73, 76, 70, 80, 2581681, 354156, 2325, 1297, 1079, 1099, 253, 0, 1972, 201, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.30, 'false', 'NONE', 1, 1),
	(2583, 25231, 'Ragoth\'s Guard', 'Raid Fighter', 'batur_orc_warrior', 10.00, 20.00, 56, 'male', 'L2Minion', 'Fighter', 40, 49626, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 0, 0, 4443, 1323, 1880, 1121, 253, 0, 500, 74, 657, 0, 80, 175, '', 0, 0, 20, 456, 7, 30, 4, 20, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(2584, 25232, 'Ragoth\'s Herald', 'Raid Fighter', 'batur_orc', 9.00, 21.50, 56, 'male', 'L2Minion', 'Fighter', 40, 24813, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 0, 0, 3074, 1323, 1646, 1121, 253, 0, 500, 74, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(2585, 25233, 'Spirit of Andras, the Betrayer', 'Raid Boss', 'headless_knight_50_bi', 30.00, 46.50, 69, 'male', 'L2RaidBoss', 'Fighter', 40, 834261, 8.300, 1459, 2.940, 60, 57, 73, 76, 70, 80, 2969653, 474928, 8956, 1754, 10177, 1485, 253, 0, 1972, 2500, 0, 0, 70, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.52, 'false', 'NONE', 1, 1),
	(2586, 25234, 'Ancient Weird Drake', 'Raid Boss', 'drake_50_bi', 45.00, 150.00, 60, 'male', 'L2RaidBoss', 'Fighter', 40, 698676, 7.400, 1151, 2.670, 60, 57, 73, 76, 70, 80, 2735033, 394692, 7676, 1404, 8563, 1190, 253, 0, 1972, 0, 0, 0, 70, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.84, 'false', 'NONE', 1, 1),
	(2587, 25235, 'Vanor Chief Kandra', 'Raid Boss', 'heltor_silenos_50_bi', 19.00, 43.50, 72, 'male', 'L2RaidBoss', 'Fighter', 40, 605867, 8.600, 1565, 3.030, 60, 57, 73, 76, 70, 80, 5140647, 827123, 8186, 1880, 11639, 1592, 253, 0, 1972, 135, 0, 0, 34, 180, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.46, 'false', 'NONE', 1, 1),
	(2588, 25236, 'Kandra\'s Healer', 'Raid Fighter', 'heltor_silenos_shaman', 13.00, 32.00, 71, 'male', 'L2Minion', 'Priest', 40, 95689, 8.500, 1529, 3.000, 40, 43, 30, 21, 20, 20, 0, 0, 8449, 1928, 4121, 1634, 253, 0, 500, 200, 0, 0, 29, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.22, 'false', 'NONE', 1, 0),
	(2589, 25237, 'Kandra\'s Guard', 'Raid Fighter', 'heltor_silenos_warrior', 13.00, 31.00, 71, 'male', 'L2Minion', 'Fighter', 40, 47844, 8.500, 1529, 3.000, 40, 43, 30, 21, 20, 20, 0, 0, 8449, 1928, 4121, 1634, 253, 0, 500, 228, 0, 0, 36, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.39, 'false', 'NONE', 1, 0),
	(2590, 25238, 'Abyss Brukunt', 'Raid Boss', 'drake_50_bi', 45.00, 150.00, 59, 'male', 'L2RaidBoss', 'Fighter', 40, 340028, 7.300, 1118, 2.640, 60, 57, 73, 76, 70, 80, 2684275, 381459, 4130, 1368, 2312, 1159, 253, 0, 1972, 0, 0, 0, 70, 185, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.84, 'false', 'NONE', 1, 1),
	(2591, 25239, 'Monstrous Beast of Abyss Brukunt', 'Raid Fighter', 'hunter_gargoyle', 25.00, 65.00, 58, 'male', 'L2Minion', 'Priest', 40, 52861, 7.200, 1085, 2.610, 40, 43, 30, 21, 20, 20, 0, 0, 3402, 1399, 1835, 1184, 253, 0, 500, 0, 0, 0, 60, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(2592, 25240, 'Wild Beast of Abyss Brukunt', 'Raid Fighter', 'saber_toothed_tiger', 34.00, 28.00, 58, 'male', 'L2Minion', 'Fighter', 40, 26430, 7.200, 1085, 2.610, 40, 43, 30, 21, 20, 20, 0, 0, 3402, 1399, 1835, 1184, 253, 0, 500, 0, 0, 0, 60, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(2593, 25241, 'Harit Hero Tamash', 'Raid Boss', 'zenta_lizardman_warrior_50_bi', 18.00, 53.00, 55, 'male', 'L2RaidBoss', 'Fighter', 40, 414560, 6.900, 988, 2.520, 60, 57, 73, 76, 70, 80, 3983098, 535296, 2471, 1228, 1817, 1041, 253, 0, 1972, 298, 0, 0, 40, 175, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.56, 'false', 'NONE', 1, 1),
	(2594, 25242, 'Tamash\'s Advisor', 'Raid Fighter', 'zenta_lizardman_shaman', 13.00, 35.00, 54, 'male', 'L2Minion', 'Priest', 40, 42807, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 0, 0, 4910, 1256, 2491, 1063, 253, 0, 500, 193, 0, 0, 43, 155, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.63, 'false', 'NONE', 1, 0),
	(2595, 25243, 'Tamash\'s Servant', 'Raid Fighter', 'zenta_lizardman', 11.00, 32.00, 54, 'male', 'L2Minion', 'Fighter', 40, 63891, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 0, 0, 7365, 1256, 5600, 1063, 253, 0, 500, 234, 0, 0, 37, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.28, 'false', 'NONE', 1, 0),
	(2596, 25244, 'Last Lesser Giant Olkuth', 'Raid Boss', 'lesser_giant_50_bi', 31.50, 69.00, 75, 'male', 'L2RaidBoss', 'Fighter', 40, 1255902, 8.900, 1674, 3.120, 60, 57, 73, 76, 70, 80, 5231148, 864099, 15764, 2011, 39730, 1702, 253, 0, 3819, 78, 0, 0, 15, 140, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.58, 'false', 'NONE', 1, 1),
	(2597, 25245, 'Last Lesser Giant Glaki', 'Raid Boss', 'lesser_giant_mage_50_bi', 30.00, 66.00, 78, 'male', 'L2RaidBoss', 'Mystic', 40, 648749, 9.200, 1784, 3.210, 60, 57, 73, 76, 70, 80, 5346496, 1193017, 7940, 2147, 8508, 1817, 253, 0, 1972, 179, 0, 0, 15, 95, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.56, 'false', 'NONE', 1, 1),
	(2598, 25246, 'Glaki\'s Henchman', 'Raid Fighter', 'lesser_giant', 21.00, 44.00, 77, 'male', 'L2Minion', 'Fighter', 40, 102704, 9.100, 1747, 3.180, 40, 43, 30, 21, 20, 20, 0, 0, 20140, 2426, 19692, 2056, 253, 0, 500, 169, 0, 0, 15, 150, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.58, 'false', 'NONE', 1, 0),
	(2599, 25247, 'Glaki\'s Servant', 'Raid Fighter', 'lesser_giant', 21.00, 44.00, 77, 'male', 'L2Minion', 'Fighter', 40, 51352, 9.100, 1747, 3.180, 40, 43, 30, 21, 20, 20, 0, 0, 10070, 2426, 4921, 2056, 253, 0, 500, 166, 0, 0, 15, 140, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.58, 'false', 'NONE', 1, 0),
	(2600, 25248, 'Doom Blade Tanatos', 'Raid Boss', 'death_blader_bi', 15.00, 32.50, 72, 'male', 'L2RaidBoss', 'Fighter', 40, 1211733, 8.600, 1565, 3.030, 60, 57, 73, 76, 70, 80, 5140647, 827123, 13026, 1880, 26791, 1592, 253, 0, 1972, 0, 0, 0, 100, 180, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.45, 'false', 'NONE', 1, 1),
	(2601, 25249, 'Palatanos of Horrific Power', 'Raid Boss', 'Jungle_Bleeze', 60.00, 47.00, 75, 'female', 'L2RaidBoss', 'Fighter', 40, 627951, 8.900, 1674, 3.120, 60, 57, 73, 76, 70, 80, 5231148, 864099, 7882, 2011, 9932, 1702, 253, 0, 1972, 0, 0, 0, 55, 165, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.48, 'false', 'NONE', 1, 1),
	(2602, 25250, 'Man-Eating Plant of Palatanos', 'Raid Fighter', 'magical_weaver', 11.00, 20.00, 74, 'female', 'L2Minion', 'Mystic', 40, 66547, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 0, 0, 12398, 2066, 7999, 1747, 253, 0, 500, 0, 0, 0, 90, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.39, 'false', 'NONE', 1, 0),
	(2603, 25251, 'Sapling of Palatanos', 'Raid Fighter', 'skeleton_knight', 10.00, 25.00, 74, 'female', 'L2Minion', 'Fighter', 40, 99324, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 0, 0, 18598, 2066, 17998, 1747, 253, 0, 500, 145, 629, 0, 40, 175, '', 0, 0, 20, 629, 7, 30, 4, 20, 0, 0, 0.17, 'false', 'NONE', 1, 0),
	(2604, 25252, 'Palibati Queen Themis', 'Raid Boss', 'cave_maiden_50_bi', 37.00, 98.00, 70, 'female', 'L2RaidBoss', 'Fighter', 40, 589950, 8.400, 1494, 2.970, 60, 57, 73, 76, 70, 80, 4596479, 802604, 6222, 1796, 7141, 1520, 253, 0, 1972, 234, 0, 0, 70, 160, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.43, 'false', 'NONE', 1, 1),
	(2605, 25253, 'Handmaiden of Themis', 'Raid Fighter', 'succubus', 10.00, 36.00, 69, 'female', 'L2Minion', 'Mystic', 40, 62338, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 0, 0, 10475, 1844, 6308, 1558, 253, 0, 500, 0, 0, 0, 60, 150, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.84, 'false', 'NONE', 1, 0),
	(2606, 25254, 'Themis\'s Sentinel', 'Raid Fighter', 'death_blader', 15.00, 45.00, 69, 'male', 'L2Minion', 'Fighter', 40, 93042, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 0, 0, 15713, 1844, 14196, 1558, 253, 0, 500, 1472, 0, 0, 100, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(2607, 25255, 'Gargoyle Lord Tiphon', 'Raid Boss', 'hunter_gargoyle_50_bi', 37.00, 98.00, 65, 'male', 'L2RaidBoss', 'Fighter', 40, 1087358, 7.900, 1320, 2.820, 60, 57, 73, 76, 70, 80, 4489693, 746626, 9313, 1593, 17189, 1350, 253, 0, 1972, 0, 0, 0, 100, 180, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.37, 'false', 'NONE', 1, 1),
	(2608, 25256, 'Taik High Prefect Arak', 'Raid Boss', 'ketra_orc_warrior_50_bi', 18.00, 37.00, 60, 'male', 'L2RaidBoss', 'Fighter', 40, 349338, 7.400, 1151, 2.670, 60, 57, 73, 76, 70, 80, 2735033, 394692, 2895, 1404, 1474, 1190, 253, 0, 1972, 71, 0, 0, 36, 175, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.54, 'false', 'NONE', 1, 1),
	(2609, 25257, 'Arak\'s Archer', 'Raid Fighter', 'ketra_orc_archer', 12.00, 27.00, 59, 'male', 'L2Minion', 'Ranger', 1100, 36451, 7.300, 1118, 2.640, 40, 43, 30, 21, 20, 20, 0, 0, 3574, 1436, 1936, 1218, 253, 0, 500, 283, 0, 0, 45, 160, '', 0, 0, 0, 0, 7, 30, 4, 20, 1500, 0, 0.91, 'false', 'NONE', 1, 0),
	(2610, 25258, 'Arak\'s Footman', 'Raid Fighter', 'ketra_orc', 12.00, 29.00, 59, 'male', 'L2Minion', 'Fighter', 40, 27202, 7.300, 1118, 2.640, 40, 43, 30, 21, 20, 20, 0, 0, 3574, 1436, 1936, 1218, 253, 0, 500, 127, 0, 0, 45, 175, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(2611, 25259, 'Zaken\'s Butcher Krantz', 'Raid Boss', 'ogre_50_bi', 30.00, 66.00, 55, 'male', 'L2RaidBoss', 'Fighter', 40, 829120, 6.900, 988, 2.520, 60, 57, 73, 76, 70, 80, 3983098, 535296, 4942, 1228, 7268, 1041, 253, 0, 1972, 297, 0, 0, 22, 160, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.82, 'false', 'NONE', 1, 1),
	(2612, 25260, 'Iron Giant Totem', 'Raid Boss', 'iron_golem_bi', 27.00, 52.00, 45, 'male', 'L2RaidBoss', 'Mystic', 40, 260890, 5.900, 678, 2.220, 60, 57, 73, 76, 70, 80, 3259016, 329439, 995, 915, 466, 776, 253, 0, 1972, 0, 0, 0, 20, 50, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.41, 'false', 'NONE', 1, 1),
	(2613, 25261, 'Totem Guard Archer', 'Raid Fighter', 'batur_orc_archer', 11.00, 21.50, 44, 'male', 'L2Minion', 'Ranger', 1100, 26454, 5.800, 648, 2.190, 40, 43, 30, 21, 20, 20, 0, 0, 1846, 932, 777, 790, 253, 0, 500, 282, 0, 0, 45, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 1500, 0, 0.96, 'false', 'NONE', 1, 0),
	(2614, 25262, 'Totem Guard', 'Raid Fighter', 'batur_orc', 9.00, 21.50, 44, 'male', 'L2Minion', 'Fighter', 40, 19742, 5.800, 648, 2.190, 40, 43, 30, 21, 20, 20, 0, 0, 1846, 932, 777, 790, 253, 0, 500, 215, 0, 0, 80, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(2615, 25263, 'Kernon\'s Faithful Servant Kelone', 'Raid Boss', 'medusa_100_bi', 20.00, 53.00, 67, 'female', 'L2RaidBoss', 'Mystic', 40, 563482, 8.100, 1389, 2.880, 60, 57, 73, 76, 70, 80, 4534433, 767699, 5015, 1672, 4648, 1417, 253, 0, 1972, 0, 0, 0, 70, 165, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.43, 'false', 'NONE', 1, 1),
	(2616, 25264, 'Kelone\'s Assassin', 'Raid Fighter', 'skeleton_royal_guard', 11.00, 28.50, 66, 'male', 'L2Minion', 'Fighter', 40, 59369, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 0, 0, 9272, 1714, 5576, 1453, 253, 0, 500, 229, 0, 0, 80, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(2617, 25265, 'Kelone\'s Secret Knight', 'Raid Fighter', 'drake', 11.00, 28.00, 66, 'male', 'L2Minion', 'Mystic', 40, 88611, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 0, 0, 13908, 1714, 12554, 1453, 253, 0, 500, 229, 0, 0, 70, 180, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.84, 'false', 'NONE', 1, 0),
	(2618, 25266, 'Bloody Empress Decarbia', 'Raid Boss', 'bloody_queen_50_bi', 21.00, 64.00, 75, 'female', 'L2RaidBoss', 'Mystic', 40, 627951, 8.900, 1674, 3.120, 60, 57, 73, 76, 70, 80, 5231148, 864099, 8986, 2011, 12912, 1702, 253, 0, 1972, 8209, 0, 0, 80, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.50, 'false', 'NONE', 1, 1),
	(2619, 25267, 'Decarbia\'s Royal Guard', 'Raid Fighter', 'death_knight', 12.00, 30.00, 74, 'male', 'L2Minion', 'Fighter', 40, 49662, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 0, 0, 9299, 2066, 4497, 1747, 253, 0, 500, 5286, 0, 0, 27, 200, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.71, 'false', 'NONE', 1, 0),
	(2620, 25268, 'Decarbia\'s Escort', 'Raid Fighter', 'skeleton_royal_guard', 11.00, 28.50, 74, 'male', 'L2Minion', 'Fighter', 40, 99324, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 0, 0, 18598, 2066, 17998, 1747, 253, 0, 500, 234, 0, 0, 80, 210, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(2621, 25269, 'Beast Lord Behemoth', 'Raid Boss', 'Elder_Troll', 46.00, 71.50, 70, 'male', 'L2RaidBoss', 'Fighter', 40, 589950, 8.400, 1494, 2.970, 60, 57, 73, 76, 70, 80, 4596479, 802604, 6222, 1796, 7141, 1520, 253, 0, 1972, 0, 0, 0, 55, 180, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.61, 'false', 'NONE', 1, 1),
	(2622, 25270, 'Behemoth Javeliner', 'Raid Fighter', 'virud_lizardman_scout', 10.00, 22.00, 69, 'male', 'L2Minion', 'Ranger', 1100, 62338, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 0, 0, 7856, 1844, 3551, 1558, 253, 0, 500, 2507, 0, 0, 43, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 1500, 0, 0.72, 'false', 'NONE', 1, 0),
	(2623, 25271, 'Behemoth Flare', 'Raid Fighter', 'will_o_wisp', 13.00, 22.00, 69, 'male', 'L2Minion', 'Mystic', 40, 46521, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 0, 0, 7856, 1844, 3551, 1558, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.10, 'false', 'NONE', 1, 0),
	(2624, 25272, 'Partisan Leader Talakin', 'Raid Boss', 'ol_mahum_champion_50_bi', 21.00, 43.50, 28, 'male', 'L2RaidBoss', 'Fighter', 40, 154789, 4.200, 334, 1.710, 60, 57, 73, 76, 70, 80, 2390045, 97281, 286, 505, 86, 426, 253, 0, 1972, 77, 0, 0, 50, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.63, 'false', 'NONE', 1, 1),
	(2625, 25273, 'Carnamakos', 'Raid Boss', 'iron_golem_bi', 27.00, 52.00, 50, 'male', 'L2RaidBoss', 'Mystic', 40, 336769, 6.400, 830, 2.370, 60, 57, 73, 76, 70, 80, 3551193, 422350, 2902, 1065, 2636, 903, 253, 0, 1972, 0, 0, 0, 20, 50, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.41, 'false', 'NONE', 0, 1),
	(2626, 25274, 'Carnabarun', 'Raid Fighter', 'magical_weaver', 11.00, 20.00, 49, 'male', 'L2Minion', 'Mystic', 40, 34425, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 0, 0, 3533, 1084, 1429, 920, 253, 0, 500, 0, 0, 0, 90, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(2627, 25275, 'Carnassiud', 'Raid Fighter', 'field_stalker', 15.00, 30.00, 49, 'male', 'L2Minion', 'Fighter', 40, 51380, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 0, 0, 5299, 1084, 3222, 920, 253, 0, 500, 0, 0, 0, 70, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.41, 'false', 'NONE', 0, 0),
	(2628, 25276, 'Death Lord Ipos', 'Raid Boss', 'death_lord_50_bi', 31.00, 61.50, 75, 'male', 'L2RaidBoss', 'Fighter', 40, 1255902, 8.900, 1674, 3.120, 60, 57, 73, 76, 70, 80, 5231148, 864099, 17973, 2011, 51648, 1702, 253, 0, 1972, 78, 0, 0, 40, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.50, 'false', 'NONE', 1, 1),
	(2629, 25277, 'Lilith\'s Witch Marilion', 'Raid Boss', 'bloody_queen_50_bi', 21.00, 64.00, 50, 'female', 'L2RaidBoss', 'Mystic', 40, 336769, 6.400, 830, 2.370, 60, 57, 73, 76, 70, 80, 3551193, 422350, 1658, 1065, 1143, 903, 253, 0, 1972, 0, 0, 0, 80, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.50, 'false', 'NONE', 1, 1),
	(2630, 25278, 'Dead Soul of Stigma', 'Raid Fighter', 'mana_vampire', 11.00, 20.00, 49, 'male', 'L2Minion', 'Mystic', 40, 51380, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 0, 0, 2650, 405, 807, 439, 253, 0, 500, 0, 0, 0, 90, 180, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(2631, 25279, 'Evil Spirit of Stigma', 'Raid Fighter', 'magical_weaver', 11.00, 20.00, 49, 'male', 'L2Minion', 'Mystic', 40, 25690, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 0, 0, 2650, 405, 807, 439, 253, 0, 500, 0, 0, 0, 90, 180, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(2632, 25280, 'Pagan Watcher Cerberon', 'Raid Boss', 'kel_mahum_champion_50_bi', 19.00, 48.00, 55, 'male', 'L2RaidBoss', 'Fighter', 40, 829120, 6.900, 988, 2.520, 60, 57, 73, 76, 70, 80, 3983098, 535296, 5426, 1228, 9639, 1041, 253, 0, 1972, 75, 0, 0, 50, 210, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.56, 'false', 'NONE', 1, 1),
	(2633, 25281, 'Anakim\'s Nemesis Zakaron', 'Raid Boss', 'karik_50_bi', 37.00, 136.50, 70, 'male', 'L2RaidBoss', 'Fighter', 40, 1179900, 8.400, 1494, 2.970, 60, 57, 73, 76, 70, 80, 4596479, 802604, 12444, 1796, 28565, 1520, 253, 0, 1972, 0, 0, 0, 37, 215, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.45, 'false', 'NONE', 1, 1),
	(2634, 25282, 'Death Lord Shax', 'Raid Boss', 'death_lord_50_bi', 31.00, 61.50, 75, 'male', 'L2RaidBoss', 'Fighter', 40, 1255902, 8.900, 1674, 3.120, 60, 57, 73, 76, 70, 80, 5231148, 864099, 17973, 2011, 51648, 1702, 253, 0, 1972, 2500, 0, 0, 40, 210, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.50, 'false', 'NONE', 1, 1),
	(2635, 25283, 'Lilith', 'Raid Boss', 'lilith', 42.50, 55.00, 80, 'female', 'L2RaidBoss', 'Fighter', 40, 1088173, 9.400, 1859, 3.270, 60, 57, 73, 76, 70, 80, 9911897, 1421059, 10404, 2240, 15367, 1895, 253, 0, 3819, 0, 0, 0, 45, 200, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.50, 'false', 'NONE', 0, 1),
	(2636, 25284, 'Lilith\'s Agent', 'Raid Fighter', 'lilim_wizard', 9.00, 34.00, 79, 'female', 'L2Minion', 'Mystic', 40, 115441, 9.300, 1822, 3.240, 40, 43, 30, 21, 20, 20, 0, 0, 20456, 2532, 6064, 2144, 253, 0, 500, 0, 0, 0, 50, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(2637, 25285, 'Lilith\'s Escort', 'Raid Fighter', 'lilim_knight', 12.00, 50.00, 79, 'male', 'L2Minion', 'Fighter', 40, 172300, 9.300, 1822, 3.240, 40, 43, 30, 21, 20, 20, 0, 0, 30685, 2532, 13651, 2144, 253, 0, 500, 5800, 5799, 0, 56, 220, '', 0, 0, 20, 674, 7, 30, 4, 20, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(2638, 25286, 'Anakim', 'Raid Boss', 'anakim', 15.50, 29.00, 80, 'female', 'L2RaidBoss', 'Fighter', 40, 1088173, 9.400, 1859, 3.270, 60, 57, 73, 76, 70, 80, 9911897, 1421059, 10404, 2240, 15367, 1895, 253, 0, 3819, 0, 0, 0, 45, 200, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.56, 'false', 'NONE', 0, 1),
	(2639, 25287, 'Anakim\'s Guardian', 'Raid Fighter', 'nephilim_priest', 23.00, 40.50, 79, 'male', 'L2Minion', 'Priest', 40, 172300, 9.300, 1822, 3.240, 40, 43, 30, 21, 20, 20, 0, 0, 15343, 2532, 5276, 2144, 253, 0, 500, 0, 0, 0, 50, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(2640, 25288, 'Anakim\'s Royal Guard', 'Raid Fighter', 'nephilim_lord', 10.00, 41.50, 79, 'male', 'L2Minion', 'Fighter', 40, 86150, 9.300, 1822, 3.240, 40, 43, 30, 21, 20, 20, 0, 0, 15343, 2532, 5276, 2144, 253, 0, 500, 0, 0, 0, 65, 220, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.63, 'false', 'NONE', 0, 0),
	(2641, 25289, 'Anakim\'s Executor', '', 'nephilim_slayer', 12.00, 36.00, 79, 'male', 'L2SpecialMonster', 'Fighter', 40, 86150, 9.300, 1822, 3.240, 40, 43, 30, 21, 20, 20, 0, 0, 15343, 2265, 4703, 920, 253, 0, 500, 0, 0, 0, 65, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.63, 'false', 'NONE', 0, 0),
	(2642, 25290, 'Daimon the White-Eyed', 'Raid Boss', 'hundred_eye', 21.00, 55.00, 78, 'male', 'L2RaidBoss', 'Fighter', 40, 648749, 9.200, 1784, 3.210, 60, 57, 73, 76, 70, 80, 5346496, 1193017, 9824, 2147, 14332, 1817, 253, 0, 2901, 0, 0, 0, 30, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.54, 'false', 'NONE', 0, 1),
	(2643, 25291, 'Family of Daimon', 'Raid Fighter', 'field_stalker', 15.00, 30.00, 77, 'male', 'L2Minion', 'Fighter', 40, 68812, 9.100, 1747, 3.180, 40, 43, 30, 21, 20, 20, 0, 0, 13427, 2426, 8754, 2056, 253, 0, 500, 0, 0, 0, 70, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.41, 'false', 'NONE', 0, 0),
	(2644, 25292, 'Family of Daimon', 'Raid Fighter', 'parasitic_eye', 25.00, 63.00, 77, 'male', 'L2Minion', 'Mystic', 40, 102704, 9.100, 1747, 3.180, 40, 43, 30, 21, 20, 20, 0, 0, 10070, 2426, 4921, 2056, 253, 0, 500, 0, 0, 0, 30, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(2645, 25293, 'Hestia, Guardian Deity of the Hot Springs', 'Raid Boss', 'pixy_bi', 10.00, 54.00, 78, 'female', 'L2RaidBoss', 'Fighter', 40, 648749, 9.200, 1784, 3.210, 60, 57, 73, 76, 70, 80, 5346496, 1193017, 7940, 2147, 8508, 1817, 253, 0, 3819, 0, 0, 0, 129, 307, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.72, 'false', 'NONE', 1, 1),
	(2646, 25294, 'Fighter of Hestia', 'Raid Fighter', 'yeti', 15.00, 27.50, 77, 'male', 'L2Minion', 'Fighter', 40, 102704, 9.100, 1747, 3.180, 40, 43, 30, 21, 20, 20, 0, 0, 20140, 2426, 19692, 2056, 253, 0, 500, 0, 0, 0, 17, 209, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(2647, 25295, 'Follower of Hestia', 'Raid Fighter', 'yeti', 15.00, 27.50, 77, 'male', 'L2Minion', 'Fighter', 40, 51352, 9.100, 1747, 3.180, 40, 43, 30, 21, 20, 20, 0, 0, 10070, 2426, 4921, 2056, 253, 0, 500, 0, 0, 0, 17, 209, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(2648, 25296, 'Icicle Emperor Bumbalump', 'Raid Boss', 'yeti_20_bi', 18.00, 32.00, 74, 'male', 'L2RaidBoss', 'Fighter', 40, 620776, 8.800, 1637, 3.090, 60, 57, 73, 76, 70, 80, 5199407, 852059, 8715, 1967, 12471, 1665, 253, 0, 3819, 0, 0, 0, 16, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.48, 'false', 'NONE', 0, 1),
	(2649, 25297, 'Icicle Giant', 'Raid Fighter', 'stone_golem', 20.00, 31.00, 73, 'male', 'L2Minion', 'Mystic', 40, 65759, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 0, 0, 12029, 2020, 7784, 1709, 253, 0, 500, 0, 0, 0, 23, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.41, 'false', 'NONE', 0, 0),
	(2650, 25298, 'Icicle Giant', 'Raid Fighter', 'stone_golem', 20.00, 31.00, 73, 'male', 'L2Minion', 'Mystic', 40, 98148, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 0, 0, 18045, 2020, 17523, 1709, 253, 0, 500, 0, 0, 0, 23, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.41, 'false', 'NONE', 0, 0),
	(2651, 25299, 'Ketra\'s Hero Hekaton', 'Raid Boss', 'ketra_orc_chieftain_20_bi', 17.00, 46.20, 80, 'male', 'L2RaidBoss', 'Fighter', 40, 474517, 9.400, 1859, 3.270, 60, 57, 73, 76, 70, 80, 3775961, 557272, 6959, 2240, 4585, 1895, 253, 0, 3819, 6719, 0, 0, 24, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.51, 'false', 'SOUL', 1, 1),
	(2652, 25300, 'Scout of Hekaton', 'Raid Fighter', 'ketra_orc_archer', 12.00, 27.00, 79, 'male', 'L2Minion', 'Ranger', 1100, 50350, 9.300, 1822, 3.240, 40, 43, 30, 21, 20, 20, 0, 0, 9397, 2532, 5276, 2144, 253, 0, 500, 288, 0, 0, 45, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 1500, 0, 0.91, 'false', 'NONE', 1, 0),
	(2653, 25301, 'Servant of Hekaton', 'Raid Fighter', 'ketra_orc', 12.00, 29.00, 79, 'male', 'L2Minion', 'Fighter', 40, 37574, 9.300, 1822, 3.240, 40, 43, 30, 21, 20, 20, 0, 0, 9397, 2532, 5276, 2144, 253, 0, 500, 79, 0, 0, 45, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(2654, 25302, 'Ketra\'s Commander Tayr', 'Raid Boss', 'ketra_orc_warlord_20_bi', 14.00, 36.00, 80, 'male', 'L2RaidBoss', 'Fighter', 40, 513535, 9.400, 2092, 3.270, 60, 57, 73, 76, 70, 80, 3775961, 557272, 7856, 2240, 5408, 1895, 253, 0, 3819, 80, 0, 0, 43, 307, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.48, 'false', 'SOUL', 1, 1),
	(2655, 25303, 'Tayr\'s Aide', 'Raid Fighter', 'ketra_orc_shaman', 10.00, 23.00, 80, 'male', 'L2Minion', 'Priest', 40, 53982, 9.400, 2032, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10744, 2846, 6038, 2409, 253, 0, 500, 213, 0, 0, 10, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(2656, 25304, 'Tayr\'s Guard', 'Raid Fighter', 'ketra_orc', 12.00, 29.00, 80, 'male', 'L2Minion', 'Fighter', 40, 80570, 9.400, 2032, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 11979, 2846, 6844, 2409, 253, 0, 500, 79, 6919, 0, 45, 190, '', 0, 0, 20, 707, 7, 30, 4, 20, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(2657, 25305, 'Ketra\'s Chief Brakki', 'Raid Boss', 'ketra_warbeast', 20.00, 33.50, 80, 'male', 'L2RaidBoss', 'Fighter', 40, 1088717, 9.400, 2277, 3.270, 60, 57, 73, 76, 70, 80, 3775961, 557272, 17006, 2240, 24162, 1895, 253, 0, 3819, 0, 0, 0, 42, 307, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.50, 'false', 'SOUL', 1, 1),
	(2658, 25306, 'Soul of Fire Nastron', 'Raid Boss', 'ifrit', 10.00, 42.00, 80, 'male', 'L2RaidBoss', 'Fighter', 40, 379975, 9.400, 2277, 3.270, 60, 57, 73, 76, 70, 80, 2643173, 390090, 8503, 2240, 6040, 1895, 253, 0, 3819, 0, 0, 0, 38, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.48, 'false', 'NONE', 0, 1),
	(2659, 25307, 'Family of Nastron', 'Raid Fighter', 'mana_vampire', 11.00, 20.00, 80, 'male', 'L2Minion', 'Mystic', 40, 59631, 9.400, 2214, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10744, 2846, 6568, 2409, 253, 0, 500, 0, 0, 0, 90, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(2660, 25308, 'Family of Nastron', 'Raid Fighter', 'mana_vampire', 11.00, 20.00, 80, 'male', 'L2Minion', 'Mystic', 40, 29816, 9.400, 2214, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10744, 2846, 6038, 2409, 253, 0, 500, 0, 0, 0, 90, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(2661, 25309, 'Varka\'s Hero Shadith', 'Raid Boss', 'barka_silenos_shaman_20_bi', 17.00, 47.50, 80, 'male', 'L2RaidBoss', 'Mystic', 40, 474517, 9.400, 1859, 3.270, 60, 57, 73, 76, 70, 80, 3775961, 557272, 6959, 2240, 4585, 1895, 253, 0, 3819, 6716, 0, 0, 36, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.54, 'false', 'SOUL_BSPIRIT', 1, 1),
	(2662, 25310, 'Shadith\'s Royal Guard Captain', 'Raid Fighter', 'barka_silenos_warrior', 16.00, 41.00, 79, 'male', 'L2Minion', 'Fighter', 40, 75149, 9.300, 1822, 3.240, 40, 43, 30, 21, 20, 20, 0, 0, 11391, 2532, 6017, 2144, 253, 0, 500, 142, 6918, 0, 34, 190, '', 0, 0, 20, 674, 7, 30, 4, 20, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(2663, 25311, 'Shadith\'s Sentinel', 'Raid Fighter', 'barka_silenos_hunter', 16.00, 38.00, 79, 'male', 'L2Minion', 'Fighter', 40, 37574, 9.300, 1822, 3.240, 40, 43, 30, 21, 20, 20, 0, 0, 9397, 2532, 5276, 2144, 253, 0, 500, 2504, 0, 0, 44, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(2664, 25312, 'Varka\'s Commander Mos', 'Raid Boss', 'barka_silenos_chieftain_20_bi', 22.00, 51.00, 80, 'male', 'L2RaidBoss', 'Fighter', 40, 513535, 9.400, 2092, 3.270, 60, 57, 73, 76, 70, 80, 3775961, 557272, 7856, 2240, 5408, 1895, 253, 0, 3819, 2500, 0, 0, 40, 307, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.48, 'false', 'SOUL', 1, 1),
	(2665, 25313, 'Mos\' Aide', 'Raid Fighter', 'barka_silenos_priest', 9.00, 41.50, 80, 'male', 'L2Minion', 'Priest', 40, 80570, 9.400, 2032, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10744, 2846, 6038, 2409, 253, 0, 500, 6716, 0, 0, 36, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.47, 'false', 'NONE', 1, 0),
	(2666, 25314, 'Mos\' Guard', 'Raid Fighter', 'barka_silenos_hunter', 16.00, 38.00, 80, 'male', 'L2Minion', 'Fighter', 40, 40285, 9.400, 2032, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10744, 2846, 6038, 2409, 253, 0, 500, 142, 0, 0, 44, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(2667, 25315, 'Varka\'s Chief Horus', 'Raid Boss', 'barka_silenos_chieftain_20_bi', 22.00, 51.00, 80, 'male', 'L2RaidBoss', 'Fighter', 40, 1088717, 9.400, 2277, 3.270, 60, 57, 73, 76, 70, 80, 3775961, 557272, 17006, 2240, 24162, 1895, 253, 0, 3819, 2500, 0, 0, 40, 307, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.48, 'false', 'NONE', 1, 1),
	(2668, 25316, 'Soul of Water Ashutar', 'Raid Boss', 'undine', 12.00, 27.00, 80, 'female', 'L2RaidBoss', 'Mystic', 40, 379975, 9.400, 2277, 3.270, 60, 57, 73, 76, 70, 80, 2643173, 390090, 8503, 2240, 6040, 1895, 253, 0, 3819, 0, 0, 0, 60, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.35, 'false', 'NONE', 0, 1),
	(2669, 25317, 'Family of Ashutar', 'Raid Fighter', 'magical_weaver', 11.00, 20.00, 80, 'male', 'L2Minion', 'Mystic', 40, 59631, 9.400, 2214, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10744, 2846, 6568, 2409, 253, 0, 500, 0, 0, 0, 90, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(2670, 25318, 'Family of Ashutar', 'Raid Fighter', 'magical_weaver', 11.00, 20.00, 80, 'male', 'L2Minion', 'Mystic', 40, 29816, 9.400, 2214, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10744, 2846, 6038, 2409, 253, 0, 500, 0, 0, 0, 90, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(2671, 25319, 'Ember', 'Raid Boss', 'inferno_drake_100_bi', 48.00, 73.00, 80, 'male', 'L2RaidBoss', 'Fighter', 40, 730913, 9.400, 2152, 3.270, 60, 57, 73, 76, 70, 80, 5437589, 1219007, 11906, 2240, 18324, 1895, 253, 0, 3819, 0, 0, 0, 92, 307, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.48, 'false', 'NONE', 1, 1),
	(2672, 25320, 'Sentinel of Ember', 'Raid Fighter', 'lava_golem', 22.00, 45.00, 80, 'male', 'L2Minion', 'Fighter', 40, 76839, 9.400, 2092, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 14909, 2846, 10756, 2409, 253, 0, 500, 0, 0, 0, 13, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.47, 'false', 'NONE', 1, 0),
	(2673, 25321, 'Messenger of Ember', 'Raid Fighter', 'ifrit', 10.00, 42.00, 80, 'male', 'L2Minion', 'Mystic', 40, 114686, 9.400, 2092, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 11182, 2846, 6049, 2409, 253, 0, 500, 0, 0, 0, 38, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(2674, 25322, 'Demon\'s Agent Falston', 'Raid Boss', 'vampire_warrior', 9.00, 31.50, 66, 'male', 'L2RaidBoss', 'Fighter', 40, 553817, 8.000, 1354, 2.850, 60, 57, 73, 76, 70, 80, 4512325, 757636, 6092, 1633, 7808, 1383, 253, 0, 3819, 6723, 0, 0, 43, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.60, 'false', 'NONE', 1, 1),
	(2675, 25323, 'Falston\'s Disciple', 'Raid Fighter', 'vampire_wizard', 5.50, 28.00, 65, 'female', 'L2Minion', 'Mystic', 40, 58282, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 0, 0, 8872, 1672, 5379, 1415, 253, 0, 500, 99, 0, 0, 46, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(2676, 25324, 'Servant of Falston', 'Raid Fighter', 'black_magician', 8.00, 30.00, 65, 'male', 'L2Minion', 'Mystic', 40, 86989, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 0, 0, 13308, 1672, 12102, 1415, 253, 0, 500, 178, 0, 0, 19, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(2677, 25325, 'Flame of Splendor Barakiel', 'Raid Boss', 'apostle_warrior', 8.00, 30.00, 70, 'female', 'L2RaidBoss', 'Fighter', 40, 589950, 8.400, 1494, 2.970, 60, 57, 73, 76, 70, 80, 4596479, 802604, 6222, 1796, 7141, 1520, 253, 0, 3819, 6717, 0, 0, 50, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.46, 'false', 'NONE', 1, 1),
	(2678, 25326, 'Barakiel\'s Disciple', 'Raid Fighter', 'apostle_mage', 11.00, 38.50, 69, 'male', 'L2Minion', 'Mystic', 40, 93042, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 0, 0, 15713, 1844, 14196, 1558, 253, 0, 500, 6718, 0, 0, 50, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(2679, 25327, 'Barakiel\'s Acolyte', 'Raid Fighter', 'apostle_mage', 11.00, 38.50, 69, 'male', 'L2Minion', 'Mystic', 40, 46521, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 0, 0, 7856, 1844, 3551, 1558, 253, 0, 500, 6718, 0, 0, 50, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(2680, 25328, 'Eilhalder von Hellmann', 'Raid Boss', 'vampire_lord', 7.50, 25.80, 71, 'male', 'L2RaidBoss', 'Quest024Fighter', 40, 598055, 8.500, 1529, 3.000, 60, 57, 73, 76, 70, 80, 5113018, 815421, 7927, 1838, 11244, 1556, 253, 0, 3819, 0, 0, 0, 15, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.56, 'false', 'NONE', 1, 1),
	(2681, 25329, 'Violet', 'Raid Fighter', 'vampire_witch', 6.00, 21.50, 70, 'female', 'L2Minion', 'Quest024Mystic', 40, 63243, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 10872, 1886, 6571, 1596, 253, 0, 500, 946, 0, 0, 64, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(2682, 25330, 'Kurstin', 'Raid Fighter', 'vampire_witch', 6.00, 21.50, 70, 'female', 'L2Minion', 'Quest024Mystic', 40, 63243, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 10872, 1886, 6571, 1596, 253, 0, 500, 946, 0, 0, 64, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(2683, 25331, 'Mina', 'Raid Fighter', 'vampire_witch', 6.00, 21.50, 70, 'female', 'L2Minion', 'Quest024Mystic', 40, 63243, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 10872, 1886, 6571, 1596, 253, 0, 500, 946, 0, 0, 64, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(2684, 25332, 'Dorian', 'Raid Fighter', 'vampire_soldier', 8.00, 23.50, 70, 'male', 'L2Minion', 'Quest024Fighter', 40, 94392, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 16309, 1886, 14781, 1596, 253, 0, 500, 234, 0, 0, 60, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(2685, 25333, 'Anakazel', 'Invaders\' Leader', 'dre_vanul_bi_one', 21.00, 54.00, 28, 'male', 'L2RaidBoss', 'Fighter', 40, 128633, 4.200, 334, 1.710, 60, 57, 73, 76, 70, 80, 1673031, 68097, 163, 505, 32, 426, 253, 0, 2901, 0, 0, 0, 59, 307, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.35, 'false', 'NONE', 0, 1),
	(2686, 25334, 'Anakazel', 'Invaders\' Leader', 'dre_vanul_bi_one', 21.00, 54.00, 38, 'male', 'L2RaidBoss', 'Fighter', 40, 203606, 5.200, 497, 2.010, 60, 57, 73, 76, 70, 80, 1370326, 114239, 425, 728, 113, 616, 253, 0, 2901, 0, 0, 0, 59, 307, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.35, 'false', 'NONE', 0, 1),
	(2687, 25335, 'Anakazel', 'Invaders\' Leader', 'kaim_vanul_20_bi', 28.00, 48.00, 48, 'male', 'L2RaidBoss', 'Fighter', 40, 328191, 6.200, 769, 2.310, 60, 57, 73, 76, 70, 80, 1586608, 189699, 1205, 1003, 514, 851, 253, 0, 2901, 0, 0, 0, 59, 307, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.45, 'false', 'NONE', 0, 1),
	(2688, 25336, 'Anakazel', 'Invaders\' Leader', 'kaim_vanul_20_bi', 28.00, 48.00, 58, 'male', 'L2RaidBoss', 'Fighter', 40, 468074, 7.200, 1085, 2.610, 60, 57, 73, 76, 70, 80, 1843815, 257493, 2848, 1332, 1790, 1129, 253, 0, 2901, 0, 0, 0, 59, 307, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.45, 'false', 'NONE', 0, 1),
	(2689, 25337, 'Anakazel', 'Invaders\' Leader', 'karik', 25.00, 90.00, 68, 'male', 'L2RaidBoss', 'Fighter', 40, 574781, 8.200, 1423, 2.910, 60, 57, 73, 76, 70, 80, 2044017, 324825, 4854, 1713, 3563, 1451, 253, 0, 2901, 0, 0, 0, 59, 307, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.45, 'false', 'NONE', 0, 1),
	(2690, 25338, 'Anakazel', 'Invaders\' Leader', 'karik', 25.00, 90.00, 78, 'male', 'L2RaidBoss', 'Fighter', 40, 648944, 9.200, 1784, 3.210, 60, 57, 73, 76, 70, 80, 2504378, 380180, 7410, 2147, 6271, 1817, 253, 0, 2901, 0, 0, 0, 59, 307, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.45, 'false', 'NONE', 0, 1),
	(2691, 25339, 'Shadow of Halisha', 'Ruler of Sepulcher', 'halisha_a', 23.00, 60.00, 80, 'female', 'L2SepulcherRaid', 'Ranger', 1100, 337881, 9.400, 1916, 3.270, 60, 57, 73, 76, 70, 80, 2643173, 390090, 4473, 2240, 1989, 1895, 253, 0, 3819, 6720, 0, 0, 43, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 1500, -18, 0.48, 'false', 'NONE', 0, 1),
	(2692, 25340, 'Knight of Shadow', '', 'vale_master', 12.00, 40.00, 80, 'male', 'L2Minion', 'Fighter', 40, 52996, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10744, 2846, 6038, 2409, 253, 0, 500, 0, 0, 0, 70, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.74, 'false', 'NONE', 0, 0),
	(2693, 25341, 'Knight of Shadow', '', 'eligor', 21.00, 35.00, 80, 'male', 'L2Minion', 'Fighter', 40, 26498, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10744, 2846, 6038, 2409, 253, 0, 500, 0, 0, 0, 35, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(2694, 25342, 'Shadow of Halisha', 'Ruler of Sepulcher', 'halisha_b', 23.00, 60.00, 80, 'female', 'L2SepulcherRaid', 'Ranger', 1100, 337881, 9.400, 1916, 3.270, 60, 57, 73, 76, 70, 80, 2643173, 390090, 4473, 2240, 1989, 1895, 253, 0, 3819, 6720, 0, 0, 43, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 1500, -18, 0.48, 'false', 'NONE', 0, 1),
	(2695, 25343, 'Knight of Shadow', '', 'vale_master', 12.00, 40.00, 80, 'male', 'L2Minion', 'Fighter', 40, 52996, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10744, 2846, 6038, 2409, 253, 0, 500, 0, 0, 0, 70, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.74, 'false', 'NONE', 0, 0),
	(2696, 25344, 'Knight of Shadow', '', 'fiend_archer', 17.00, 55.00, 80, 'male', 'L2Minion', 'Ranger', 1100, 35507, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10744, 2846, 6038, 2409, 253, 0, 500, 0, 0, 0, 70, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 1500, 0, 0.76, 'false', 'NONE', 0, 0),
	(2697, 25345, 'Knight of shadow', '', 'lilim_wizard', 9.00, 34.00, 80, 'female', 'L2Minion', 'Mystic', 40, 35507, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10744, 2846, 6038, 2409, 253, 0, 500, 0, 0, 0, 50, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(2698, 25346, 'Shadow of Halisha', 'Ruler of Sepulcher', 'halisha_c', 23.00, 60.00, 80, 'female', 'L2SepulcherRaid', 'Ranger', 1100, 337881, 9.400, 1916, 3.270, 60, 57, 73, 76, 70, 80, 2643173, 390090, 4473, 2240, 1989, 1895, 253, 0, 3819, 6720, 0, 0, 43, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 1500, -18, 0.48, 'false', 'NONE', 0, 1),
	(2699, 25347, 'Knight of Shadow', '', 'lilim_wizard', 9.00, 34.00, 80, 'female', 'L2Minion', 'Mystic', 40, 35507, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10744, 2846, 6038, 2409, 253, 0, 500, 0, 0, 0, 50, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(2700, 25348, 'Knight of Shadow', '', 'death_lord', 21.00, 40.00, 80, 'male', 'L2Minion', 'Fighter', 40, 52996, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10744, 2846, 6038, 2409, 253, 0, 500, 78, 0, 0, 40, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(2701, 25349, 'Shadow of Halisha', 'Ruler of Sepulcher', 'halisha_d', 23.00, 60.00, 80, 'female', 'L2SepulcherRaid', 'Ranger', 1100, 337881, 9.400, 1916, 3.270, 60, 57, 73, 76, 70, 80, 2643173, 390090, 4473, 2240, 1989, 1895, 253, 0, 3819, 6720, 0, 0, 43, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 1500, -18, 0.48, 'false', 'NONE', 0, 1),
	(2702, 25350, 'Knight of Shadow', '', 'lilim_wizard', 9.00, 34.00, 80, 'female', 'L2Minion', 'Mystic', 40, 35507, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10744, 2846, 6038, 2409, 253, 0, 500, 0, 0, 0, 50, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(2703, 25351, 'Knight of Shadow', '', 'vale_master', 12.00, 40.00, 80, 'male', 'L2Minion', 'Fighter', 40, 52996, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10744, 2846, 6038, 2409, 253, 0, 500, 0, 0, 0, 70, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.74, 'false', 'NONE', 0, 0),
	(2704, 25352, 'Giant Wasteland Basilisk', 'Raid Boss', 'lesser_basilisk', 12.00, 22.00, 30, 'male', 'L2RaidBoss', 'Fighter', 40, 84830, 4.400, 366, 1.770, 60, 57, 73, 76, 70, 80, 2308288, 111484, 157, 545, 9, 461, 253, 0, 3819, 0, 0, 0, 35, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.39, 'false', 'NONE', 1, 1),
	(2705, 25353, 'Giant Wasteland Basilisk', 'Raid Fighter', 'lesser_basilisk_sm', 12.00, 22.00, 29, 'male', 'L2Minion', 'Fighter', 40, 12952, 4.300, 350, 1.740, 40, 43, 30, 21, 20, 20, 0, 0, 577, 550, 218, 466, 253, 0, 500, 0, 0, 0, 35, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.39, 'false', 'NONE', 1, 0),
	(2706, 25354, 'Gargoyle Lord Sirocco', 'Raid Boss', 'gargoyle_bi', 16.00, 65.00, 35, 'male', 'L2RaidBoss', 'Fighter', 40, 109730, 4.900, 447, 1.920, 60, 57, 73, 76, 70, 80, 1912395, 144137, 300, 656, 59, 555, 253, 0, 3819, 0, 0, 0, 140, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.37, 'false', 'NONE', 1, 1),
	(2707, 25355, 'Sirocco\'s Gargoyle', 'Raid Fighter', 'gargoyle', 16.00, 50.00, 34, 'male', 'L2Minion', 'Fighter', 40, 8316, 4.800, 430, 1.890, 40, 43, 30, 21, 20, 20, 0, 0, 806, 664, 353, 563, 253, 0, 500, 0, 0, 0, 140, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(2708, 25356, 'Sirocco\'s Guards', 'Raid Fighter', 'gargoyle', 16.00, 50.00, 34, 'male', 'L2Minion', 'Fighter', 40, 16632, 4.800, 430, 1.890, 40, 43, 30, 21, 20, 20, 0, 0, 888, 664, 353, 563, 253, 0, 500, 0, 0, 0, 140, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(2709, 25357, 'Sukar Wererat Chief', 'Raid Boss', 'wererat', 14.00, 25.00, 21, 'male', 'L2RaidBoss', 'Fighter', 40, 59861, 3.500, 228, 1.500, 60, 57, 73, 76, 70, 80, 2646357, 60367, 70, 381, 3, 319, 253, 0, 3819, 216, 0, 0, 80, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.61, 'false', 'NONE', 1, 1),
	(2710, 25358, 'Sukar Wererat Guard', 'Raid Fighter', 'wererat_sm', 14.00, 18.70, 20, 'male', 'L2Minion', 'Fighter', 40, 9315, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 0, 0, 260, 382, 84, 319, 253, 0, 500, 216, 0, 0, 80, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(2711, 25359, 'Sukar Wererat Priest', 'Raid Fighter', 'wererat_sm', 14.00, 18.70, 20, 'male', 'L2Minion', 'Priest', 40, 9315, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 0, 0, 260, 382, 84, 319, 253, 0, 500, 179, 0, 0, 80, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(2712, 25360, 'Tiger Hornet', 'Raid Boss', 'giant_bee_bi', 8.00, 32.00, 26, 'male', 'L2RaidBoss', 'Fighter', 40, 71157, 4.000, 303, 1.650, 60, 57, 73, 76, 70, 80, 2487618, 84828, 110, 467, 6, 393, 253, 0, 3819, 0, 0, 0, 90, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.50, 'false', 'NONE', 1, 1),
	(2713, 25361, 'Yellow Hornet', 'Raid Fighter', 'giant_bee', 8.00, 24.50, 25, 'male', 'L2Minion', 'Fighter', 40, 10950, 3.900, 288, 1.620, 40, 43, 30, 21, 20, 20, 0, 0, 403, 470, 143, 395, 253, 0, 500, 0, 0, 0, 90, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(2714, 25362, 'Tracker Leader Sharuk', 'Raid Boss', 'virud_lizardman_warrior', 12.00, 30.00, 23, 'male', 'L2RaidBoss', 'Fighter', 40, 63722, 3.700, 257, 1.560, 60, 57, 73, 76, 70, 80, 2690117, 69902, 84, 414, 4, 347, 253, 0, 3819, 291, 0, 0, 52, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.59, 'false', 'NONE', 1, 1),
	(2715, 25363, 'Sharuk\'s Tracker', 'Raid Fighter', 'virud_lizardman', 10.00, 23.00, 22, 'male', 'L2Minion', 'Fighter', 40, 4935, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 0, 0, 311, 416, 105, 349, 253, 0, 500, 2, 0, 0, 43, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(2716, 25364, 'Sharuk\'s Marksman', 'Raid Fighter', 'virud_lizardman_scout', 10.00, 22.00, 22, 'male', 'L2Minion', 'Ranger', 1100, 6613, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 0, 0, 311, 416, 105, 349, 253, 0, 500, 2507, 0, 0, 43, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 1500, 0, 0.72, 'false', 'NONE', 1, 0),
	(2717, 25365, 'Patriarch Kuroboros', 'Raid Boss', 'virud_lizardman_warrior_bi', 12.00, 34.50, 26, 'male', 'L2RaidBoss', 'Priest', 40, 142314, 4.000, 303, 1.650, 60, 57, 73, 76, 70, 80, 2487618, 84828, 221, 467, 25, 393, 253, 0, 3819, 93, 0, 0, 52, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.59, 'false', 'NONE', 1, 1),
	(2718, 25366, 'Kuroboros\' Priest', 'Raid Boss', 'virud_lizardman_matriarch', 13.00, 37.00, 23, 'male', 'L2RaidBoss', 'Priest', 40, 63722, 3.700, 257, 1.560, 60, 57, 73, 76, 70, 80, 2690117, 69902, 84, 414, 4, 347, 253, 0, 3819, 2, 0, 0, 56, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.65, 'false', 'NONE', 1, 1),
	(2719, 25367, 'Kuroboros\' Follower', 'Raid Fighter', 'virud_lizardman', 10.00, 23.00, 22, 'male', 'L2Minion', 'Fighter', 40, 9871, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 0, 0, 311, 416, 105, 349, 253, 0, 500, 1, 102, 0, 43, 190, '', 0, 0, 20, 185, 7, 30, 4, 20, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(2720, 25368, 'Kuroboros\' Discipline', 'Raid Fighter', 'virud_lizardman_shaman', 10.00, 29.00, 22, 'male', 'L2Minion', 'Priest', 40, 9871, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 0, 0, 311, 416, 105, 349, 253, 0, 500, 179, 0, 0, 43, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(2721, 25369, 'Soul Scavenger', 'Raid Boss', 'dark_horror_bi', 20.00, 42.00, 25, 'male', 'L2RaidBoss', 'Fighter', 40, 68440, 3.900, 288, 1.620, 60, 57, 73, 76, 70, 80, 2541012, 79280, 101, 449, 6, 378, 253, 0, 3819, 0, 0, 0, 100, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.37, 'false', 'NONE', 1, 1),
	(2722, 25370, 'Corpse Scavenger', 'Raid Fighter', 'skeleton_bi', 11.00, 31.00, 24, 'male', 'L2Minion', 'Fighter', 40, 10555, 3.800, 273, 1.590, 40, 43, 30, 21, 20, 20, 0, 0, 367, 454, 130, 382, 253, 0, 500, 946, 0, 0, 60, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(2723, 25371, 'Anima Scavenger', 'Raid Fighter', 'spartoi', 11.00, 27.00, 24, 'male', 'L2Minion', 'Fighter', 40, 5277, 3.800, 273, 1.590, 40, 43, 30, 21, 20, 20, 0, 0, 365, 454, 130, 382, 253, 0, 500, 946, 0, 0, 60, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(2724, 25372, 'Discarded Guardian', 'Raid Boss', 'stone_golem_bi', 20.00, 40.30, 20, 'male', 'L2RaidBoss', 'Mystic', 40, 116437, 3.400, 213, 1.470, 60, 57, 73, 76, 70, 80, 3041766, 59634, 127, 365, 10, 306, 253, 0, 3819, 0, 0, 0, 23, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.41, 'false', 'NONE', 1, 1),
	(2725, 25373, 'Malex Herald of Dagoniel', 'Raid Boss', 'dre_vanul_bi_one', 14.00, 43.20, 21, 'male', 'L2RaidBoss', 'Fighter', 40, 59861, 3.500, 228, 1.500, 60, 57, 73, 76, 70, 80, 2646357, 60367, 70, 381, 3, 319, 253, 0, 3819, 0, 0, 0, 80, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.35, 'false', 'NONE', 1, 1),
	(2726, 25374, 'Abyss Flyer', 'Raid Fighter', 'vampire_bat', 10.00, 33.50, 20, 'male', 'L2Minion', 'Fighter', 40, 9315, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 0, 0, 260, 382, 84, 319, 253, 0, 500, 0, 0, 0, 60, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(2727, 25375, 'Zombie Lord Farakelsus', 'Raid Boss', 'zombie_bi', 13.00, 27.50, 20, 'male', 'L2RaidBoss', 'Fighter', 40, 58219, 3.400, 213, 1.470, 60, 57, 73, 76, 70, 80, 3041766, 59634, 63, 365, 2, 306, 253, 0, 3819, 0, 0, 0, 15, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.43, 'false', 'NONE', 1, 1),
	(2728, 25376, 'Warrior Zombie of Farakelsus', 'Raid Fighter', 'zombie', 13.00, 21.00, 19, 'male', 'L2Minion', 'Mystic', 40, 9081, 3.300, 203, 1.440, 40, 43, 30, 21, 20, 20, 0, 0, 235, 365, 71, 307, 253, 0, 500, 0, 0, 0, 15, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.43, 'false', 'NONE', 1, 0),
	(2729, 25377, 'Priest Zombie of Farakelsus', 'Raid Fighter', 'zombie', 13.00, 21.00, 19, 'male', 'L2Minion', 'Priest', 40, 9081, 3.300, 203, 1.440, 40, 43, 30, 21, 20, 20, 0, 0, 235, 365, 71, 307, 253, 0, 500, 0, 0, 0, 15, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.43, 'false', 'NONE', 1, 0),
	(2730, 25378, 'Madness Beast', 'Raid Boss', 'onyx_beast_bi', 14.00, 18.70, 20, 'male', 'L2RaidBoss', 'Fighter', 40, 58219, 3.400, 213, 1.470, 60, 57, 73, 76, 70, 80, 3041766, 59634, 63, 365, 2, 306, 253, 0, 3819, 0, 0, 0, 30, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.24, 'false', 'NONE', 1, 1),
	(2731, 25379, 'Dementia Beast', 'Raid Fighter', 'onyx_beast', 14.00, 14.50, 19, 'male', 'L2Minion', 'Fighter', 40, 9081, 3.300, 203, 1.440, 40, 43, 30, 21, 20, 20, 0, 0, 235, 365, 71, 307, 253, 0, 500, 0, 0, 0, 30, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.24, 'false', 'NONE', 1, 0),
	(2732, 25380, 'Kaysha Herald of Icarus', 'Raid Boss', 'succubus_bi', 10.00, 43.20, 21, 'female', 'L2RaidBoss', 'Mystic', 40, 59861, 3.500, 228, 1.500, 60, 57, 73, 76, 70, 80, 2646357, 60367, 70, 381, 3, 319, 253, 0, 3819, 0, 0, 0, 60, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.84, 'false', 'NONE', 1, 1),
	(2733, 25381, 'Nightmare Flyer', 'Raid Fighter', 'vampire_bat_bi', 10.00, 42.00, 19, 'male', 'L2Minion', 'Fighter', 40, 9081, 3.300, 203, 1.440, 40, 43, 30, 21, 20, 20, 0, 0, 235, 365, 71, 307, 253, 0, 500, 0, 0, 0, 60, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(2734, 25382, 'Hostile Flyer', 'Raid Fighter', 'vampire_bat', 10.00, 33.50, 19, 'male', 'L2Minion', 'Fighter', 40, 4540, 3.300, 203, 1.440, 40, 43, 30, 21, 20, 20, 0, 0, 235, 365, 71, 307, 253, 0, 500, 0, 0, 0, 60, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(2735, 25383, 'Revenant of Sir Calibus', 'Raid Boss', 'death_knight_bi', 12.00, 30.00, 34, 'male', 'L2RaidBoss', 'Fighter', 40, 103951, 4.800, 430, 1.890, 60, 57, 73, 76, 70, 80, 1918617, 135504, 222, 632, 20, 535, 253, 0, 3819, 75, 0, 0, 27, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.71, 'false', 'NONE', 1, 1),
	(2736, 25384, 'Servant of Calibus', 'Raid Fighter', 'spartoi', 11.00, 27.00, 33, 'male', 'L2Minion', 'Fighter', 40, 15774, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 0, 0, 816, 638, 323, 542, 253, 0, 500, 946, 0, 0, 60, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(2737, 25385, 'Evil Spirit Tempest', 'Raid Boss', 'dre_vanul_bi_one', 21.00, 54.00, 36, 'male', 'L2RaidBoss', 'Fighter', 40, 115942, 5.000, 464, 1.950, 60, 57, 73, 76, 70, 80, 1916442, 153260, 262, 679, 24, 575, 253, 0, 3819, 0, 0, 0, 80, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.35, 'false', 'NONE', 1, 1),
	(2738, 25386, 'Ghost of the Execution Grounds', 'Raid Fighter', 'skeleton_bi', 11.00, 31.00, 35, 'male', 'L2Minion', 'Fighter', 40, 17557, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 0, 0, 966, 689, 382, 584, 253, 0, 500, 128, 0, 0, 60, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(2739, 25387, 'Malignant Spirit of the Execution Grounds', 'Raid Fighter', 'skeleton', 11.00, 25.00, 35, 'male', 'L2Minion', 'Fighter', 40, 8778, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 0, 0, 865, 689, 382, 584, 253, 0, 500, 946, 0, 0, 60, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(2740, 25388, 'Red Eye Captain Trakia', 'Raid Boss', 'oel_mahum_bi', 30.00, 55.00, 35, 'male', 'L2RaidBoss', 'Fighter', 40, 109730, 4.900, 447, 1.920, 60, 57, 73, 76, 70, 80, 1912395, 144137, 242, 656, 21, 555, 253, 0, 3819, 70, 0, 0, 70, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.48, 'false', 'NONE', 1, 1),
	(2741, 25389, 'Red Eye Archer', 'Raid Fighter', 'ol_mahum_archer', 14.00, 25.00, 34, 'male', 'L2Minion', 'Ranger', 1100, 11144, 4.800, 430, 1.890, 40, 43, 30, 21, 20, 20, 0, 0, 806, 664, 353, 563, 253, 0, 500, 279, 0, 0, 50, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 1500, 0, 0.93, 'false', 'NONE', 1, 0),
	(2742, 25390, 'Red Eye Guards', 'Raid Fighter', 'ol_mahum_champion', 14.00, 27.00, 34, 'male', 'L2Minion', 'Fighter', 40, 8316, 4.800, 430, 1.890, 40, 43, 30, 21, 20, 20, 0, 0, 806, 664, 353, 563, 253, 0, 500, 128, 0, 0, 50, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.63, 'false', 'NONE', 1, 0),
	(2743, 25391, 'Nurka\'s Messenger', 'Raid Boss', 'ol_mahum_champion_bi', 21.00, 40.50, 33, 'male', 'L2RaidBoss', 'Fighter', 40, 197178, 4.700, 414, 1.860, 60, 57, 73, 76, 70, 80, 1932560, 127255, 408, 610, 75, 516, 253, 0, 3819, 127, 0, 0, 50, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.63, 'false', 'NONE', 1, 1),
	(2744, 25392, 'Captain of Queen\'s Royal Guards', 'Raid Boss', 'marsh_stakato_queen', 15.00, 37.00, 32, 'female', 'L2RaidBoss', 'Fighter', 40, 93628, 4.600, 398, 1.830, 60, 57, 73, 76, 70, 80, 1962692, 119633, 187, 588, 17, 497, 253, 0, 3819, 129, 0, 0, 130, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.41, 'false', 'NONE', 1, 1),
	(2745, 25393, 'Marsh Stakato Noble', 'Raid Fighter', 'marsh_stakato_drone', 9.00, 24.00, 31, 'male', 'L2Minion', 'Fighter', 40, 14248, 4.500, 382, 1.800, 40, 43, 30, 21, 20, 20, 0, 0, 687, 596, 269, 504, 253, 0, 500, 223, 0, 0, 80, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.39, 'false', 'NONE', 1, 0),
	(2746, 25394, 'Premo Prime', 'Raid Boss', 'twin_headed_giant', 17.00, 39.00, 38, 'male', 'L2RaidBoss', 'Fighter', 40, 259401, 5.200, 497, 2.010, 60, 57, 73, 76, 70, 80, 1957608, 163199, 618, 728, 113, 616, 253, 0, 3819, 88, 0, 0, 45, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.46, 'false', 'NONE', 1, 1),
	(2747, 25395, 'Archon Suscepter', 'Raid Boss', 'susceptor_prime', 45.00, 72.00, 45, 'male', 'L2RaidBoss', 'Fighter', 40, 191469, 5.900, 678, 2.220, 60, 57, 73, 76, 70, 80, 2085510, 229987, 532, 915, 86, 776, 253, 0, 3819, 0, 0, 0, 78, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.52, 'false', 'NONE', 1, 1),
	(2748, 25396, 'Kusion Suscepter', 'Raid Fighter', 'susceptor', 20.00, 35.00, 44, 'male', 'L2Minion', 'Fighter', 40, 29038, 5.800, 648, 2.190, 40, 43, 30, 21, 20, 20, 0, 0, 1567, 932, 777, 790, 253, 0, 500, 0, 0, 0, 27, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.43, 'false', 'NONE', 1, 0),
	(2749, 25397, 'Gustos Suscepter', 'Raid Fighter', 'susceptor', 20.00, 35.00, 44, 'male', 'L2Minion', 'Fighter', 40, 29038, 5.800, 648, 2.190, 40, 43, 30, 21, 20, 20, 0, 0, 1976, 932, 777, 790, 253, 0, 500, 0, 0, 0, 27, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.43, 'false', 'NONE', 1, 0),
	(2750, 25398, 'Eye of Beleth', 'Raid Boss', 'monster_eye', 21.00, 43.00, 35, 'male', 'L2RaidBoss', 'Mystic', 40, 109730, 4.900, 447, 1.920, 60, 57, 73, 76, 70, 80, 1912395, 144137, 242, 656, 21, 555, 253, 0, 3819, 0, 0, 0, 90, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.30, 'false', 'NONE', 1, 1),
	(2751, 25399, 'Apprentice of Watchman', 'Raid Fighter', 'mana_vampire', 11.00, 20.00, 34, 'male', 'L2Minion', 'Mystic', 40, 11144, 4.800, 430, 1.890, 40, 43, 30, 21, 20, 20, 0, 0, 806, 664, 353, 563, 253, 0, 500, 0, 0, 0, 90, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.39, 'false', 'NONE', 1, 0),
	(2752, 25400, 'Page of Watchman', 'Raid Fighter', 'magical_weaver', 11.00, 20.00, 34, 'male', 'L2Minion', 'Mystic', 40, 16632, 4.800, 430, 1.890, 40, 43, 30, 21, 20, 20, 0, 0, 806, 664, 353, 563, 253, 0, 500, 0, 0, 0, 90, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.39, 'false', 'NONE', 1, 0),
	(2753, 25401, 'Skyla', 'Raid Boss', 'zenta_lizardman_matriarch_bi', 30.00, 63.00, 32, 'male', 'L2RaidBoss', 'Fighter', 40, 93628, 4.600, 398, 1.830, 60, 57, 73, 76, 70, 80, 1962692, 119633, 187, 588, 17, 497, 253, 0, 3819, 215, 0, 0, 53, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.46, 'false', 'NONE', 1, 1),
	(2754, 25402, 'Retainer of Skyla', 'Raid Fighter', 'zenta_lizardman', 11.00, 32.00, 31, 'male', 'L2Minion', 'Fighter', 40, 14248, 4.500, 382, 1.800, 40, 43, 30, 21, 20, 20, 0, 0, 687, 596, 269, 504, 253, 0, 500, 221, 0, 0, 37, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.28, 'false', 'NONE', 1, 0),
	(2755, 25403, 'Follower of Skyla', 'Raid Fighter', 'zenta_lizardman_shaman', 13.00, 35.00, 31, 'male', 'L2Minion', 'Priest', 40, 9546, 4.500, 382, 1.800, 40, 43, 30, 21, 20, 20, 0, 0, 643, 596, 269, 504, 253, 0, 500, 180, 0, 0, 43, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.63, 'false', 'NONE', 1, 0),
	(2756, 25404, 'Corsair Captain Kylon', 'Raid Boss', 'pirates_zombie_captain', 16.00, 44.00, 33, 'male', 'L2RaidBoss', 'Fighter', 40, 98589, 4.700, 414, 1.860, 60, 57, 73, 76, 70, 80, 1932560, 127255, 204, 610, 18, 516, 253, 0, 3819, 231, 0, 0, 14, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.76, 'false', 'NONE', 1, 1),
	(2757, 25405, 'Kylon\'s Pirate', 'Raid Fighter', 'skeleton_bi_one', 16.00, 40.00, 32, 'male', 'L2Minion', 'Fighter', 40, 14980, 4.600, 398, 1.830, 40, 43, 30, 21, 20, 20, 0, 0, 749, 617, 294, 521, 253, 0, 500, 946, 945, 0, 60, 190, '', 0, 0, 20, 251, 7, 30, 4, 20, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(2758, 25406, 'Kylon\'s Mate', 'Raid Fighter', 'skeleton_knight_50_bi', 15.00, 39.00, 32, 'male', 'L2Minion', 'Fighter', 40, 14980, 4.600, 398, 1.830, 40, 43, 30, 21, 20, 20, 0, 0, 749, 617, 294, 521, 253, 0, 500, 130, 103, 0, 40, 190, '', 0, 0, 20, 251, 7, 30, 4, 20, 0, 0, 0.17, 'false', 'NONE', 1, 0),
	(2759, 25407, 'Lord Ishka', 'Raid Boss', 'death_blader_bi', 22.00, 67.00, 60, 'male', 'L2RaidBoss', 'Fighter', 40, 349338, 7.400, 1151, 2.670, 60, 57, 73, 76, 70, 80, 2735033, 394692, 1642, 1404, 547, 1190, 253, 0, 3819, 1472, 0, 0, 100, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.45, 'false', 'NONE', 1, 1),
	(2760, 25408, 'Ishka\'s Elite Officer', 'Raid Fighter', 'skeleton_royal_guard', 11.00, 28.50, 59, 'male', 'L2Minion', 'Fighter', 40, 54404, 7.300, 1118, 2.640, 40, 43, 30, 21, 20, 20, 0, 0, 5275, 1436, 2354, 1218, 253, 0, 500, 946, 945, 0, 80, 190, '', 0, 0, 20, 485, 7, 30, 4, 20, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(2761, 25409, 'Ishka\'s Elite Soldier', 'Raid Fighter', 'skeleton_knight_20_bi', 12.00, 30.50, 59, 'male', 'L2Minion', 'Fighter', 40, 54404, 7.300, 1118, 2.640, 40, 43, 30, 21, 20, 20, 0, 0, 5275, 1436, 2354, 1218, 253, 0, 500, 150, 103, 0, 40, 190, '', 0, 0, 20, 485, 7, 30, 4, 20, 0, 0, 0.17, 'false', 'NONE', 1, 0),
	(2762, 25410, 'Road Scavenger Leader', 'Raid Boss', 'wererat_bi', 21.00, 38.00, 40, 'male', 'L2RaidBoss', 'Fighter', 40, 145261, 5.400, 531, 2.070, 60, 57, 73, 76, 70, 80, 2030965, 181264, 427, 779, 87, 660, 253, 0, 3819, 88, 0, 0, 80, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.61, 'false', 'NONE', 1, 1),
	(2763, 25411, 'Road Scavenger Henchman', 'Raid Fighter', 'kobold_bi', 15.00, 24.00, 39, 'male', 'L2Minion', 'Fighter', 40, 21961, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 0, 0, 1340, 790, 533, 668, 253, 0, 500, 0, 0, 0, 47, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.54, 'false', 'NONE', 1, 0),
	(2764, 25412, 'Necrosentinel Royal Guard', 'Raid Boss', 'skeleton_royal_guard', 11.00, 28.50, 47, 'male', 'L2RaidBoss', 'Fighter', 40, 212299, 6.100, 738, 2.280, 60, 57, 73, 76, 70, 80, 2205665, 257531, 615, 974, 111, 825, 253, 0, 3819, 946, 946, 0, 80, 190, '', 0, 0, 0, 746, 7, 30, 4, 20, 0, -18, 0.52, 'false', 'NONE', 1, 1),
	(2765, 25413, 'Necrosentinel Archer', 'Raid Fighter', 'skeleton_archer', 11.00, 27.00, 46, 'male', 'L2Minion', 'Ranger', 1100, 21628, 6.000, 708, 2.250, 40, 43, 30, 21, 20, 20, 0, 0, 1768, 991, 890, 840, 253, 0, 500, 279, 0, 0, 40, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 1500, 0, 0.80, 'false', 'NONE', 1, 0),
	(2766, 25414, 'Necrosentinel Soldier', 'Raid Fighter', 'skeleton_knight', 10.00, 25.00, 46, 'male', 'L2Minion', 'Fighter', 40, 16140, 6.000, 708, 2.250, 40, 43, 30, 21, 20, 20, 0, 0, 1768, 991, 890, 840, 253, 0, 500, 150, 103, 0, 40, 190, '', 0, 0, 20, 364, 7, 30, 4, 20, 0, 0, 0.17, 'false', 'NONE', 1, 0),
	(2767, 25415, 'Nakondas', 'Raid Boss', 'drake_bi', 37.00, 125.00, 40, 'male', 'L2RaidBoss', 'Fighter', 40, 145261, 5.400, 531, 2.070, 60, 57, 73, 76, 70, 80, 2030965, 181264, 363, 779, 21, 660, 253, 0, 3819, 0, 0, 0, 70, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.84, 'false', 'NONE', 1, 1),
	(2768, 25416, 'Nakondas\' Slave', 'Raid Fighter', 'wyrm', 29.00, 72.00, 39, 'male', 'L2Minion', 'Fighter', 40, 14714, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 0, 0, 1138, 790, 533, 668, 253, 0, 500, 0, 0, 0, 70, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.19, 'false', 'NONE', 1, 0),
	(2769, 25417, 'Nakondas\' Chain', 'Raid Fighter', 'succubus', 10.00, 36.00, 39, 'female', 'L2Minion', 'Mystic', 40, 21961, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 0, 0, 1138, 790, 533, 668, 253, 0, 500, 0, 0, 0, 60, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.84, 'false', 'NONE', 1, 0),
	(2770, 25418, 'Dread Avenger Kraven', 'Raid Boss', 'death_knight_bi', 12.00, 30.00, 44, 'male', 'L2RaidBoss', 'Fighter', 40, 181485, 5.800, 648, 2.190, 60, 57, 73, 76, 70, 80, 2030767, 217826, 494, 887, 77, 752, 253, 0, 3819, 75, 0, 0, 27, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.71, 'false', 'NONE', 1, 1),
	(2771, 25419, 'Dread Panther', 'Raid Fighter', 'onyx_beast', 14.00, 14.50, 43, 'male', 'L2Minion', 'Fighter', 40, 27495, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 0, 0, 1832, 903, 722, 764, 253, 0, 500, 0, 0, 0, 30, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.24, 'false', 'NONE', 1, 0),
	(2772, 25420, 'Orfen\'s Handmaiden', 'Raid Boss', 'riba', 25.00, 72.00, 48, 'female', 'L2RaidBoss', 'Fighter', 40, 223051, 6.200, 769, 2.310, 60, 57, 73, 76, 70, 80, 2266583, 270998, 1060, 1003, 345, 851, 253, 0, 3819, 0, 0, 0, 60, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.45, 'false', 'NONE', 1, 1),
	(2773, 25421, 'Trisalim Escort', 'Raid Fighter', 'poison_spider_bi', 40.00, 38.00, 47, 'male', 'L2Minion', 'Mystic', 40, 22758, 6.100, 738, 2.280, 40, 43, 30, 21, 20, 20, 0, 0, 1877, 1021, 953, 865, 253, 0, 500, 0, 0, 0, 60, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.65, 'false', 'NONE', 1, 0),
	(2774, 25422, 'Page of Rotting Tree', 'Raid Fighter', 'hanged_man_ripper', 35.00, 80.00, 47, 'male', 'L2Minion', 'Fighter', 40, 33968, 6.100, 738, 2.280, 40, 43, 30, 21, 20, 20, 0, 0, 1877, 1021, 953, 865, 253, 0, 500, 0, 0, 0, 55, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(2775, 25423, 'Fairy Queen Timiniel', 'Raid Boss', 'pixy_bi', 10.00, 54.00, 61, 'female', 'L2RaidBoss', 'Fighter', 40, 358293, 7.500, 1184, 2.700, 60, 57, 73, 76, 70, 80, 2601295, 380861, 1468, 1441, 476, 1221, 253, 0, 3819, 0, 0, 0, 80, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.72, 'false', 'NONE', 1, 1),
	(2776, 25424, 'Timiniel\'s Royal Guards', 'Raid Fighter', 'pixy', 5.00, 25.00, 60, 'female', 'L2Minion', 'Fighter', 40, 27947, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 0, 0, 3755, 1474, 2041, 1247, 253, 0, 500, 0, 0, 0, 80, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.72, 'false', 'NONE', 1, 0),
	(2777, 25425, 'Timiniel\'s Royal Guard Captain', 'Raid Fighter', 'pixy', 5.00, 25.00, 60, 'female', 'L2Minion', 'Fighter', 40, 55894, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 0, 0, 5569, 1474, 2576, 1247, 253, 0, 500, 0, 0, 0, 80, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.72, 'false', 'NONE', 1, 0),
	(2778, 25426, 'Betrayer of Urutu Freki', 'Raid Boss', 'werewolf_bi', 11.00, 29.70, 25, 'male', 'L2RaidBoss', 'Fighter', 40, 68440, 3.900, 288, 1.620, 60, 57, 73, 76, 70, 80, 2541012, 79280, 101, 449, 6, 378, 253, 0, 3819, 0, 0, 0, 50, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.43, 'false', 'NONE', 1, 1),
	(2779, 25427, 'Freki\'s Vampire Bat', 'Raid Fighter', 'vampire_bat', 10.00, 33.50, 24, 'male', 'L2Minion', 'Mystic', 40, 10555, 3.800, 273, 1.590, 40, 43, 30, 21, 20, 20, 0, 0, 367, 454, 130, 382, 253, 0, 500, 0, 0, 0, 60, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(2780, 25428, 'Freki\'s Wild Bear', 'Raid Fighter', 'grizzly', 21.00, 40.00, 24, 'male', 'L2Minion', 'Fighter', 40, 10555, 3.800, 273, 1.590, 40, 43, 30, 21, 20, 20, 0, 0, 367, 454, 130, 382, 253, 0, 500, 0, 0, 0, 40, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(2781, 25429, 'Mammon Collector Talos', 'Raid Boss', 'ashuras', 13.00, 37.50, 25, 'male', 'L2RaidBoss', 'Fighter', 40, 68440, 3.900, 288, 1.620, 60, 57, 73, 76, 70, 80, 2541012, 79280, 101, 449, 6, 378, 253, 0, 3819, 0, 0, 0, 41, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.50, 'false', 'NONE', 1, 1),
	(2782, 25430, 'Talos\' Cohort', 'Raid Fighter', 'dre_vanul', 14.00, 36.00, 22, 'male', 'L2Minion', 'Fighter', 40, 9871, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 0, 0, 311, 416, 105, 349, 253, 0, 500, 0, 0, 0, 80, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.35, 'false', 'NONE', 1, 0),
	(2783, 25431, 'Flamestone Golem', 'Raid Boss', 'lava_golem', 22.00, 45.00, 44, 'male', 'L2RaidBoss', 'Fighter', 40, 181485, 5.800, 648, 2.190, 60, 57, 73, 76, 70, 80, 2030767, 217826, 494, 887, 77, 752, 253, 0, 3819, 0, 0, 0, 13, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.47, 'false', 'NONE', 1, 1),
	(2784, 25432, 'Elemental of Flame', 'Raid Fighter', 'mana_vampire', 11.00, 20.00, 43, 'male', 'L2Minion', 'Mystic', 40, 27495, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 0, 0, 1474, 903, 722, 764, 253, 0, 500, 0, 0, 0, 90, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.39, 'false', 'NONE', 1, 0),
	(2785, 25433, 'Elemental of Spark', 'Raid Fighter', 'magical_weaver', 11.00, 20.00, 43, 'male', 'L2Minion', 'Mystic', 40, 13747, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 0, 0, 1474, 903, 722, 764, 253, 0, 500, 0, 0, 0, 90, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.39, 'false', 'NONE', 1, 0),
	(2786, 25434, 'Bandit Leader Barda', 'Raid Boss', 'oel_mahum_warrior_50_bi', 30.00, 60.00, 55, 'male', 'L2RaidBoss', 'Fighter', 40, 299663, 6.900, 988, 2.520, 60, 57, 73, 76, 70, 80, 2477107, 327038, 1156, 1228, 336, 1041, 253, 0, 3819, 121, 0, 0, 70, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.65, 'false', 'NONE', 1, 1),
	(2787, 25435, 'Barda\'s Bandit', 'Raid Fighter', 'oel_mahum', 20.00, 37.00, 54, 'male', 'L2Minion', 'Fighter', 40, 46232, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 0, 0, 3934, 1256, 1612, 1063, 253, 0, 500, 145, 0, 0, 70, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(2788, 25436, 'Barda\'s Shaman', 'Raid Fighter', 'oel_mahum_witch_doctor', 15.00, 34.00, 54, 'male', 'L2Minion', 'Priest', 40, 30976, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 0, 0, 2768, 1256, 1470, 1063, 253, 0, 500, 201, 0, 0, 70, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.26, 'false', 'NONE', 1, 0),
	(2789, 25437, 'Timak Orc Gosmos', 'Raid Boss', 'batur_orc_overlord_100_bi', 24.00, 52.00, 45, 'male', 'L2RaidBoss', 'Fighter', 40, 382939, 5.900, 678, 2.220, 60, 57, 73, 76, 70, 80, 2085510, 229987, 1064, 915, 346, 776, 253, 0, 3819, 145, 0, 0, 80, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.28, 'false', 'NONE', 1, 1),
	(2790, 25438, 'Thief Kelbar', 'Raid Boss', 'wererat_100_bi', 25.00, 50.00, 44, 'male', 'L2RaidBoss', 'Fighter', 40, 181485, 5.800, 648, 2.190, 60, 57, 73, 76, 70, 80, 2030767, 217826, 494, 887, 77, 752, 253, 0, 3819, 239, 0, 0, 80, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.61, 'false', 'NONE', 1, 1),
	(2791, 25439, 'Kelbar\'s Inferior', 'Raid Fighter', 'wererat_bi', 21.00, 38.00, 43, 'male', 'L2Minion', 'Fighter', 40, 27495, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 0, 0, 1832, 903, 722, 764, 253, 0, 500, 130, 0, 0, 80, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(2792, 25440, 'Kelbar\'s Wizard', 'Raid Fighter', 'wererat', 14.00, 25.00, 43, 'male', 'L2Minion', 'Fighter', 40, 18421, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 0, 0, 1474, 903, 722, 764, 253, 0, 500, 99, 0, 0, 80, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(2793, 25441, 'Evil Spirit Cyrion', 'Raid Boss', 'drake_50_bi', 45.00, 150.00, 45, 'male', 'L2RaidBoss', 'Fighter', 40, 191469, 5.900, 678, 2.220, 60, 57, 73, 76, 70, 80, 2085510, 229987, 532, 915, 86, 776, 253, 0, 3819, 0, 0, 0, 70, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.84, 'false', 'NONE', 1, 1),
	(2794, 25442, 'Evil Creature of Forest', 'Raid Fighter', 'crimson_bear', 19.00, 36.00, 44, 'male', 'L2Minion', 'Fighter', 40, 14519, 5.800, 648, 2.190, 40, 43, 30, 21, 20, 20, 0, 0, 1567, 932, 777, 790, 253, 0, 500, 0, 0, 0, 37, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(2795, 25443, 'Anger of Forest', 'Raid Fighter', 'giant_wild_hog', 25.00, 27.00, 44, 'male', 'L2Minion', 'Fighter', 40, 29038, 5.800, 648, 2.190, 40, 43, 30, 21, 20, 20, 0, 0, 1976, 932, 777, 790, 253, 0, 500, 0, 0, 0, 35, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.54, 'false', 'NONE', 1, 0),
	(2796, 25444, 'Enmity Ghost Ramdal', 'Raid Boss', 'dark_horror_100_bi', 40.00, 70.00, 65, 'male', 'L2RaidBoss', 'Fighter', 40, 390444, 7.900, 1320, 2.820, 60, 57, 73, 76, 70, 80, 2780578, 429547, 2176, 1593, 794, 1350, 253, 0, 3819, 0, 0, 0, 100, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.37, 'false', 'NONE', 1, 1),
	(2797, 25445, 'Enmity Ghosts', 'Raid Fighter', 'crimson_doll', 15.00, 38.00, 64, 'male', 'L2Minion', 'Fighter', 40, 30636, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 0, 0, 4536, 1634, 2495, 1382, 253, 0, 500, 0, 0, 0, 60, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.67, 'false', 'NONE', 1, 0),
	(2798, 25446, 'Shooter of Enmity', 'Raid Fighter', 'skeleton_archer', 11.00, 27.00, 64, 'male', 'L2Minion', 'Ranger', 1100, 41052, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 0, 0, 4536, 1634, 2495, 1382, 253, 0, 500, 279, 0, 0, 40, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 1500, 0, 0.80, 'false', 'NONE', 1, 0),
	(2799, 25447, 'Immortal Savior Mardil', 'Raid Boss', 'banshee_50_bi', 13.50, 38.00, 71, 'female', 'L2RaidBoss', 'Mystic', 40, 428826, 8.500, 1529, 3.000, 60, 57, 73, 76, 70, 80, 3074084, 495533, 2947, 1838, 1195, 1556, 253, 0, 3819, 3939, 0, 0, 80, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.56, 'false', 'NONE', 1, 1),
	(2800, 25448, 'Immortal Savior', 'Raid Fighter', 'binding', 12.00, 21.00, 70, 'male', 'L2Minion', 'Fighter', 40, 33847, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 5922, 1886, 3297, 1596, 253, 0, 500, 0, 0, 0, 10, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.54, 'false', 'NONE', 1, 0),
	(2801, 25449, 'Immortal Guide', 'Raid Fighter', 'liviona', 15.00, 28.00, 70, 'male', 'L2Minion', 'Fighter', 40, 67695, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 5922, 1886, 3297, 1596, 253, 0, 500, 0, 0, 0, 80, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(2802, 25450, 'Cherub Galaxia', 'Raid Boss', 'archangel_50_bi', 22.00, 120.00, 79, 'male', 'L2RaidBoss', 'Fighter', 40, 655547, 9.300, 1822, 3.240, 60, 57, 73, 76, 70, 80, 5390003, 1205333, 9883, 2193, 14504, 1856, 253, 0, 3819, 97, 0, 0, 50, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.76, 'false', 'NONE', 1, 1),
	(2803, 25451, 'Galaxia\'s Guards', 'Raid Fighter', 'angel', 13.50, 36.50, 78, 'male', 'L2Minion', 'Fighter', 40, 69546, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 13740, 2481, 8943, 2098, 253, 0, 500, 148, 0, 0, 30, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(2804, 25452, 'Messenger of Angel', 'Raid Fighter', 'angel', 13.50, 36.50, 79, 'male', 'L2Minion', 'Fighter', 40, 104888, 9.300, 1822, 3.240, 40, 43, 30, 21, 20, 20, 0, 0, 10530, 2532, 5276, 2144, 253, 0, 500, 148, 0, 0, 30, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(2805, 25453, 'Meanas Anor', 'Raid Boss', 'wyrm_50_bi', 58.00, 108.00, 70, 'male', 'L2RaidBoss', 'Fighter', 40, 589950, 8.400, 1494, 2.970, 60, 57, 73, 76, 70, 80, 4596479, 802604, 5659, 1796, 5371, 1520, 253, 0, 3819, 0, 0, 0, 70, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.19, 'false', 'NONE', 1, 1),
	(2806, 25454, 'Wyvern of Marsh', 'Raid Fighter', 'wyrm', 29.00, 72.00, 69, 'male', 'L2Minion', 'Fighter', 40, 62338, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 0, 0, 10475, 1844, 6308, 1558, 253, 0, 500, 0, 0, 0, 70, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.19, 'false', 'NONE', 1, 0),
	(2807, 25455, 'Succubus of Marsh', 'Raid Fighter', 'succubus', 10.00, 36.00, 69, 'female', 'L2Minion', 'Mystic', 40, 93042, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 0, 0, 7856, 1844, 3551, 1558, 253, 0, 500, 0, 0, 0, 60, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.84, 'false', 'NONE', 1, 0),
	(2808, 25456, 'Mirror of Oblivion', 'Raid Boss', 'mirror_50_bi', 26.00, 82.00, 49, 'male', 'L2RaidBoss', 'Mystic', 40, 233960, 6.300, 799, 2.340, 60, 57, 73, 76, 70, 80, 2328069, 284981, 708, 1034, 143, 876, 253, 0, 3819, 0, 0, 0, 80, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.39, 'false', 'NONE', 1, 1),
	(2809, 25457, 'Shards of Oblivion', 'Raid Fighter', 'human_ghost', 8.00, 22.00, 48, 'male', 'L2Minion', 'Mystic', 40, 17844, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 0, 0, 1991, 1054, 1016, 895, 253, 0, 500, 0, 0, 0, 80, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.39, 'false', 'NONE', 1, 0),
	(2810, 25458, 'Shadow of Oblivion', 'Raid Fighter', 'elf_ghost', 7.00, 21.00, 48, 'male', 'L2Minion', 'Mystic', 40, 35688, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 0, 0, 1991, 1054, 1016, 895, 253, 0, 500, 0, 0, 0, 80, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.41, 'false', 'NONE', 1, 0),
	(2811, 25459, 'Shards of Oblivion', 'Raid Fighter', 'dwarf_ghost', 9.00, 16.50, 48, 'male', 'L2Minion', 'Mystic', 40, 17844, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 0, 0, 1991, 1054, 1016, 895, 253, 0, 500, 0, 0, 0, 80, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.39, 'false', 'NONE', 1, 0),
	(2812, 25460, 'Deadman Ereve', 'Raid Boss', 'death_blader_200_bi', 45.00, 141.00, 51, 'male', 'L2RaidBoss', 'Fighter', 40, 256033, 6.500, 861, 2.400, 60, 57, 73, 76, 70, 80, 2256714, 285537, 850, 1096, 219, 929, 253, 0, 3819, 194, 0, 0, 100, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.45, 'false', 'NONE', 1, 1),
	(2813, 25461, 'Ereve\'s Knight', 'Raid Fighter', 'skeleton_knight', 10.00, 25.00, 50, 'male', 'L2Minion', 'Fighter', 40, 39196, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 0, 0, 3033, 1117, 1155, 949, 253, 0, 500, 70, 0, 0, 40, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.17, 'false', 'NONE', 1, 0),
	(2814, 25462, 'Ereve\'s Squire', 'Raid Fighter', 'skeleton_pikeman', 10.00, 28.00, 50, 'male', 'L2Minion', 'Fighter', 40, 39196, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 0, 0, 3033, 1117, 1155, 949, 253, 0, 500, 98, 0, 0, 50, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.21, 'false', 'NONE', 1, 0),
	(2815, 25463, 'Harit Guardian Garangky', 'Raid Boss', 'saber_toothed_tiger', 34.00, 28.00, 56, 'male', 'L2RaidBoss', 'Fighter', 40, 310164, 7.000, 1020, 2.550, 60, 57, 73, 76, 70, 80, 2529799, 340561, 1237, 1262, 368, 1070, 253, 0, 3819, 0, 0, 0, 60, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.45, 'false', 'NONE', 1, 1),
	(2816, 25464, 'Garangky Guard Captain', 'Raid Fighter', 'zenta_lizardman_warrior', 13.00, 35.00, 55, 'male', 'L2Minion', 'Fighter', 40, 47946, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 0, 0, 4184, 1289, 1747, 1092, 253, 0, 500, 303, 0, 0, 40, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(2817, 25465, 'Garangky Guard Shaman', 'Raid Fighter', 'zenta_lizardman_shaman', 13.00, 35.00, 55, 'male', 'L2Minion', 'Priest', 40, 47946, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 0, 0, 2919, 1289, 1554, 1092, 253, 0, 500, 206, 0, 0, 43, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.63, 'false', 'NONE', 1, 0),
	(2818, 25466, 'Garangky Guard', 'Raid Fighter', 'zenta_lizardman', 11.00, 32.00, 55, 'male', 'L2Minion', 'Fighter', 40, 47946, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 0, 0, 4184, 1289, 1747, 1092, 253, 0, 500, 77, 0, 0, 37, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.28, 'false', 'NONE', 1, 0),
	(2819, 25467, 'Gorgolos', 'Raid Boss', 'field_stalker_200_bi', 45.00, 96.00, 64, 'male', 'L2RaidBoss', 'Fighter', 40, 382952, 7.800, 1285, 2.790, 60, 57, 73, 76, 70, 80, 2736355, 417632, 2103, 1554, 769, 1317, 253, 0, 3819, 0, 0, 0, 70, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.41, 'false', 'NONE', 1, 1),
	(2820, 25468, 'Cursed Life', 'Raid Fighter', 'field_stalker', 15.00, 30.00, 63, 'male', 'L2Minion', 'Fighter', 40, 30008, 7.700, 1251, 2.760, 40, 43, 30, 21, 20, 20, 0, 0, 4330, 1592, 2373, 1348, 253, 0, 500, 0, 0, 0, 70, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.41, 'false', 'NONE', 1, 0),
	(2821, 25469, 'Cursed Soul', 'Raid Fighter', 'field_stalker', 15.00, 30.00, 63, 'male', 'L2Minion', 'Fighter', 40, 60016, 7.700, 1251, 2.760, 40, 43, 30, 21, 20, 20, 0, 0, 6492, 1592, 3242, 1348, 253, 0, 500, 0, 0, 0, 70, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.41, 'false', 'NONE', 1, 0),
	(2822, 25470, 'Last Titan Utenus', 'Raid Boss', 'lesser_giant_mage', 21.00, 44.00, 66, 'male', 'L2RaidBoss', 'Mystic', 40, 397588, 8.000, 1354, 2.850, 60, 57, 73, 76, 70, 80, 2826358, 441301, 2252, 1633, 821, 1383, 253, 0, 3819, 3938, 0, 0, 15, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.56, 'false', 'NONE', 1, 1),
	(2823, 25471, 'Utenus\'s Wizard', 'Raid Fighter', 'lesser_giant', 21.00, 44.00, 65, 'male', 'L2Minion', 'Mystic', 40, 41856, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 0, 0, 4757, 1672, 2617, 1415, 253, 0, 500, 0, 0, 0, 15, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.58, 'false', 'NONE', 1, 0),
	(2824, 25472, 'Utenus\'s Guard', 'Raid Fighter', 'leogul', 15.00, 35.00, 65, 'male', 'L2Minion', 'Fighter', 40, 62471, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 0, 0, 7135, 1672, 3497, 1415, 253, 0, 500, 0, 0, 0, 80, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.72, 'false', 'NONE', 1, 0),
	(2825, 25473, 'Grave Robber Kim', 'Raid Boss', 'batur_orc_warrior_100_bi', 20.00, 42.00, 52, 'male', 'L2RaidBoss', 'Fighter', 40, 267086, 6.600, 892, 2.430, 60, 57, 73, 76, 70, 80, 2313340, 287521, 914, 1128, 242, 957, 253, 0, 3819, 160, 0, 0, 80, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.30, 'false', 'NONE', 1, 1),
	(2826, 25474, 'Kim\'s Gang', 'Raid Fighter', 'batur_orc', 9.00, 21.50, 51, 'male', 'L2Minion', 'Fighter', 40, 40965, 6.500, 861, 2.400, 40, 43, 30, 21, 20, 20, 0, 0, 3244, 1151, 1234, 974, 253, 0, 500, 89, 0, 0, 80, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(2827, 25475, 'Ghost Knight Kabed', 'Raid Boss', 'headless_knight_50_bi', 30.00, 46.50, 55, 'male', 'L2RaidBoss', 'Fighter', 40, 299663, 6.900, 988, 2.520, 60, 57, 73, 76, 70, 80, 2477107, 327038, 1156, 1228, 336, 1041, 253, 0, 3819, 145, 0, 0, 70, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.52, 'false', 'NONE', 1, 1),
	(2828, 25476, 'Kabed\'s Soldier', 'Raid Fighter', 'skeleton_knight', 10.00, 25.00, 54, 'male', 'L2Minion', 'Fighter', 40, 23116, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 0, 0, 2768, 1256, 1470, 1063, 253, 0, 500, 125, 0, 0, 40, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.17, 'false', 'NONE', 1, 0),
	(2829, 25477, 'Kabed\'s Archer', 'Raid Fighter', 'skeleton_archer', 11.00, 27.00, 54, 'male', 'L2Minion', 'Ranger', 1100, 30976, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 0, 0, 2768, 1256, 1470, 1063, 253, 0, 500, 279, 0, 0, 40, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 1500, 0, 0.80, 'false', 'NONE', 1, 0),
	(2830, 25478, 'Shilen\'s Priest Hisilrome', 'Raid Boss', 'cave_maiden', 25.00, 65.00, 65, 'female', 'L2RaidBoss', 'Priest', 40, 390444, 7.900, 1320, 2.820, 60, 57, 73, 76, 70, 80, 2780578, 429547, 2176, 1593, 794, 1350, 253, 0, 3819, 230, 0, 0, 70, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.43, 'false', 'NONE', 1, 1),
	(2831, 25479, 'Hisilrome\'s Servitor', 'Raid Fighter', 'serpent_slave', 17.00, 46.00, 64, 'male', 'L2Minion', 'Fighter', 40, 41052, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 0, 0, 4541, 1634, 2495, 1382, 253, 0, 500, 68, 0, 0, 70, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(2832, 25480, 'Hisilrome\'s Page', 'Raid Fighter', 'lienrik', 12.00, 50.00, 64, 'male', 'L2Minion', 'Fighter', 40, 61272, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 0, 0, 4536, 1634, 2495, 1382, 253, 0, 500, 0, 0, 0, 100, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(2833, 25481, 'Magus Kenishee', 'Raid Boss', 'banshee_50_bi', 13.50, 38.00, 53, 'female', 'L2RaidBoss', 'Mystic', 40, 278076, 6.700, 924, 2.460, 60, 57, 73, 76, 70, 80, 2368104, 300304, 996, 1161, 274, 984, 253, 0, 3819, 3939, 0, 0, 80, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.56, 'false', 'NONE', 1, 1),
	(2834, 25482, 'Shadow of Kenishee', 'Raid Fighter', 'shadow', 10.00, 30.00, 52, 'male', 'L2Minion', 'Mystic', 40, 42734, 6.600, 892, 2.430, 40, 43, 30, 21, 20, 20, 0, 0, 3464, 1184, 1336, 1004, 253, 0, 500, 0, 0, 0, 80, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.54, 'false', 'NONE', 1, 0),
	(2835, 25483, 'Phantom of Kenishee', 'Raid Fighter', 'silhouette', 8.00, 23.00, 52, 'female', 'L2Minion', 'Fighter', 40, 42734, 6.600, 892, 2.430, 40, 43, 30, 21, 20, 20, 0, 0, 2486, 1184, 1306, 1004, 253, 0, 500, 0, 0, 0, 80, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.54, 'false', 'NONE', 1, 0),
	(2836, 25484, 'Zaken\'s Chief Mate Tillion', 'Raid Boss', 'skeleton_knight_50_bi', 15.00, 39.00, 50, 'male', 'L2RaidBoss', 'Fighter', 40, 244973, 6.400, 830, 2.370, 60, 57, 73, 76, 70, 80, 2389767, 281312, 758, 1065, 159, 903, 253, 0, 3819, 160, 0, 0, 40, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.17, 'false', 'NONE', 1, 1),
	(2837, 25485, 'Tillion\'s Inferior', 'Raid Fighter', 'skeleton_bi', 11.00, 31.00, 49, 'male', 'L2Minion', 'Fighter', 40, 37434, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 0, 0, 2833, 1084, 1084, 920, 253, 0, 500, 131, 0, 0, 60, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(2838, 25486, 'Tillion\'s Bat', 'Raid Fighter', 'vampire_bat', 10.00, 33.50, 49, 'male', 'L2Minion', 'Mystic', 40, 37434, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 0, 0, 2833, 1084, 1084, 920, 253, 0, 500, 0, 0, 0, 60, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(2839, 25487, 'Water Spirit Lian', 'Raid Boss', 'pixy_bi', 15.00, 81.00, 40, 'female', 'L2RaidBoss', 'Fighter', 40, 145261, 5.400, 531, 2.070, 60, 57, 73, 76, 70, 80, 2030965, 181264, 363, 779, 32, 660, 253, 0, 3819, 0, 0, 0, 80, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.72, 'false', 'NONE', 1, 1),
	(2840, 25488, 'Spirit of Gildor', 'Raid Fighter', 'pixy', 5.00, 25.00, 39, 'female', 'L2Minion', 'Fighter', 40, 14714, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 0, 0, 1138, 790, 533, 668, 253, 0, 500, 0, 0, 0, 80, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.72, 'false', 'NONE', 1, 0),
	(2841, 25489, 'Guardian of Gildor', 'Raid Fighter', 'pixy', 5.00, 25.00, 39, 'female', 'L2Minion', 'Fighter', 40, 21961, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 0, 0, 1340, 790, 533, 668, 253, 0, 500, 0, 0, 0, 80, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.72, 'false', 'NONE', 1, 0),
	(2842, 25490, 'Gwindorr', 'Raid Boss', 'serpent_slave', 17.00, 46.00, 40, 'male', 'L2RaidBoss', 'Fighter', 40, 145261, 5.400, 531, 2.070, 60, 57, 73, 76, 70, 80, 2030965, 181264, 363, 779, 32, 660, 253, 0, 3819, 129, 0, 0, 70, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.46, 'false', 'NONE', 1, 1),
	(2843, 25491, 'Guard of Gwindorr', 'Raid Fighter', 'virud_lizardman_scout', 10.00, 22.00, 39, 'male', 'L2Minion', 'Ranger', 1100, 14714, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 0, 0, 1138, 790, 533, 668, 253, 0, 500, 2507, 0, 0, 43, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 1500, 0, 0.72, 'false', 'NONE', 1, 0),
	(2844, 25492, 'Follower of Gwindorr', 'Raid Fighter', 'virud_lizardman', 10.00, 23.00, 39, 'male', 'L2Minion', 'Fighter', 40, 10981, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 0, 0, 1138, 790, 533, 668, 253, 0, 500, 2, 0, 0, 43, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(2845, 25493, 'Eva\'s Spirit Niniel', 'Raid Boss', 'cutie_cat', 8.00, 15.00, 55, 'female', 'L2RaidBoss', 'Fighter', 40, 299663, 6.900, 988, 2.520, 60, 57, 73, 76, 70, 80, 2477107, 327038, 1156, 1228, 336, 1041, 253, 0, 3819, 0, 0, 0, 48, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.34, 'false', 'NONE', 1, 1),
	(2846, 25494, 'Spirit of Niniel', 'Raid Fighter', 'pixy', 5.00, 25.00, 54, 'female', 'L2Minion', 'Fighter', 40, 46232, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 0, 0, 3934, 1256, 1612, 1063, 253, 0, 500, 0, 0, 0, 80, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.72, 'false', 'NONE', 1, 0),
	(2847, 25495, 'Spirit of Niniel', 'Raid Fighter', 'pixy', 5.00, 25.00, 54, 'female', 'L2Minion', 'Fighter', 40, 23116, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 0, 0, 2768, 1256, 1470, 1063, 253, 0, 500, 0, 0, 0, 80, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.72, 'false', 'NONE', 1, 0),
	(2848, 25496, 'Fafurion\'s Envoy Pingolpin', 'Raid Boss', 'riba', 25.00, 72.00, 52, 'female', 'L2RaidBoss', 'Fighter', 40, 267086, 6.600, 892, 2.430, 60, 57, 73, 76, 70, 80, 2313340, 287521, 914, 1128, 242, 957, 253, 0, 3819, 0, 0, 0, 60, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.45, 'false', 'NONE', 1, 1),
	(2849, 25497, 'Fafurion\'s Envoy', 'Raid Fighter', 'marsh_stakato_soldier', 10.00, 25.00, 51, 'male', 'L2Minion', 'Fighter', 40, 40965, 6.500, 861, 2.400, 40, 43, 30, 21, 20, 20, 0, 0, 3244, 1151, 1234, 974, 253, 0, 500, 76, 0, 0, 30, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.74, 'false', 'NONE', 1, 0),
	(2850, 25498, 'Fafurion\'s Henchman Istary', 'Raid Boss', 'farhite_50_bi', 24.00, 48.00, 45, 'male', 'L2RaidBoss', 'Fighter', 40, 191469, 5.900, 678, 2.220, 60, 57, 73, 76, 70, 80, 2085510, 229987, 532, 915, 86, 776, 253, 0, 3819, 5131, 0, 0, 15, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.74, 'false', 'NONE', 1, 1),
	(2851, 25499, 'Alligator of Istary', 'Raid Fighter', 'crocodile', 28.00, 11.50, 44, 'male', 'L2Minion', 'Fighter', 40, 29038, 5.800, 648, 2.190, 40, 43, 30, 21, 20, 20, 0, 0, 1976, 932, 777, 790, 253, 0, 500, 0, 0, 0, 70, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.41, 'false', 'NONE', 1, 0),
	(2852, 25500, 'Alligator of Istary', 'Raid Fighter', 'crocodile', 28.00, 11.50, 44, 'male', 'L2Minion', 'Fighter', 40, 14519, 5.800, 648, 2.190, 40, 43, 30, 21, 20, 20, 0, 0, 1567, 932, 777, 790, 253, 0, 500, 0, 0, 0, 70, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.41, 'false', 'NONE', 1, 0),
	(2853, 25501, 'Boss Akata', 'Raid Boss', 'e_collector_teacher_Mdwarf_mon_130p', 11.00, 23.60, 30, 'male', 'L2RaidBoss', 'Fighter', 40, 84830, 4.400, 366, 1.770, 60, 57, 73, 76, 70, 80, 2308288, 111484, 157, 545, 9, 461, 253, 0, 3819, 8528, 0, 0, 36, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.39, 'false', 'NONE', 1, 1),
	(2854, 25502, 'Akata\'s Thug', 'Raid Fighter', 'e_traderB_Fdwarf_mon_120p', 8.00, 22.00, 30, 'female', 'L2Minion', 'Fighter', 1100, 9094, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 0, 0, 596, 571, 244, 483, 253, 0, 333, 8527, 0, 0, 49, 190, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(2855, 25503, 'Akata\'s Lackey', 'Raid Fighter', 'e_collector_teacher_Fdwarf_mon_120p', 9.00, 21.40, 30, 'female', 'L2Minion', 'Fighter', 40, 6786, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 0, 0, 596, 571, 244, 483, 253, 0, 333, 8529, 0, 0, 45, 190, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(2856, 25504, 'Nellis\' Vengeful Spirit', 'Raid Boss', 'a_mageguild_teacher_Mhuman_mon_120p', 10.00, 28.10, 39, 'male', 'L2RaidBoss', 'Fighter', 40, 137257, 5.300, 514, 2.040, 60, 57, 73, 76, 70, 80, 1988451, 173127, 335, 753, 39, 638, 253, 0, 1972, 8532, 0, 0, 88, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.61, 'false', 'NONE', 1, 1),
	(2857, 25505, 'Nellis\' Follower', 'Raid Fighter', 'dwarf_ghost', 10.00, 18.70, 38, 'male', 'L2Minion', 'Fighter', 40, 20752, 5.200, 497, 2.010, 40, 43, 30, 21, 20, 20, 0, 0, 1237, 764, 496, 647, 253, 0, 500, 0, 0, 0, 48, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(2858, 25506, 'Rayito the Looter', 'Raid Boss', 'ol_mahum_champion_05te_120p', 16.00, 33.20, 37, 'male', 'L2RaidBoss', 'Fighter', 40, 122596, 5.100, 480, 1.980, 60, 57, 73, 76, 70, 80, 1932589, 153693, 285, 703, 30, 595, 253, 0, 4000, 67, 633, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.35, 'false', 'NONE', 1, 1),
	(2859, 25507, 'Rayito\'s Henchman', 'Raid Fighter', 'ol_mahum_05te_110p', 14.50, 28.00, 36, 'male', 'L2Minion', 'Fighter', 40, 18551, 5.000, 464, 1.950, 40, 43, 30, 21, 20, 20, 0, 0, 1050, 714, 420, 605, 253, 0, 500, 123, 19, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(2860, 25508, 'Rayito\'s Henchman', 'Raid Fighter', 'northern_goblin_110p', 6.00, 16.60, 36, 'male', 'L2Minion', 'Fighter', 40, 12429, 5.000, 464, 1.950, 40, 43, 30, 21, 20, 20, 0, 0, 928, 714, 420, 605, 253, 0, 500, 66, 102, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(2861, 25509, 'Dark Shaman Varangka', 'Raid Boss', 'batur_orc_shaman_a_01te_120p', 13.00, 20.80, 53, 'male', 'L2RaidBoss', 'Fighter', 40, 278076, 6.700, 924, 2.460, 60, 57, 73, 76, 70, 80, 2368104, 300304, 3500, 1161, 6000, 984, 253, 0, 3819, 316, 0, 0, 88, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.41, 'false', 'NONE', 1, 1),
	(2862, 25510, 'Varangka\'s Descendant', 'Raid Fighter', 'batur_orc_overlord_01te_110p', 13.00, 26.90, 52, 'male', 'L2Minion', 'Fighter', 40, 42734, 6.600, 892, 2.430, 40, 43, 30, 21, 20, 20, 0, 0, 3464, 1184, 1336, 1004, 253, 0, 500, 74, 0, 0, 88, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(2863, 25511, 'Varangka\'s Page', 'Raid Fighter', 'batur_orc_shaman_a_01te_110p', 12.00, 18.80, 52, 'male', 'L2Minion', 'Fighter', 40, 21367, 6.600, 892, 2.430, 40, 43, 30, 21, 20, 20, 0, 0, 2486, 1184, 1306, 1004, 253, 0, 500, 179, 0, 0, 88, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(2864, 25512, 'Gigantic Chaos Golem', 'Raid Boss', 'chaos_golem', 31.00, 51.80, 52, 'male', 'L2RaidBoss', 'Fighter', 40, 534172, 6.600, 892, 2.430, 60, 57, 73, 76, 70, 80, 2313340, 287521, 9000, 1128, 6000, 957, 253, 0, 3819, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.60, 'false', 'NONE', 1, 1),
	(2865, 25514, 'Queen Shyeed', 'Raid Boss', 'cannibal_stakato_leader_tran_120p', 45.00, 50.80, 80, 'male', 'L2RaidBoss', 'Fighter', 40, 474517, 9.400, 1859, 3.270, 60, 57, 73, 76, 70, 80, 3775961, 557272, 6959, 2240, 4585, 1895, 253, 0, 3819, 0, 0, 0, 58, 307, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.60, 'false', 'NONE', 1, 1),
	(2866, 25515, 'Spiked Stakato', 'Raid Fighter', 'spike_stakato_110p', 13.00, 21.00, 79, 'male', 'L2Minion', 'Fighter', 40, 50350, 9.300, 1822, 3.240, 40, 43, 30, 21, 20, 20, 0, 0, 9397, 2532, 5276, 2144, 253, 0, 500, 123, 0, 0, 40, 209, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.41, 'false', 'NONE', 1, 0),
	(2867, 25516, 'Spiked Stakato', 'Raid Fighter', 'spike_stakato_worker_110p', 13.00, 22.20, 79, 'male', 'L2Minion', 'Fighter', 40, 75149, 9.300, 1822, 3.240, 40, 43, 30, 21, 20, 20, 0, 0, 11391, 2532, 6017, 2144, 253, 0, 500, 0, 0, 0, 40, 209, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.41, 'false', 'NONE', 1, 0),
	(2868, 25523, 'Plague Golem', 'Raid Boss', 'stone_golem_bi', 20.00, 40.30, 73, 'male', 'L2RaidBoss', 'Fighter', 40, 1226854, 8.700, 1601, 3.060, 60, 57, 73, 76, 70, 80, 5168419, 839126, 13500, 1923, 28000, 1628, 253, 0, 2000, 0, 0, 0, 88, 180, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.45, 'false', 'NONE', 1, 1),
	(2869, 25524, 'Flamestone Giant', 'Raid Boss', 'lava_golem', 22.00, 45.00, 76, 'male', 'L2RaidBoss', 'Fighter', 40, 634981, 9.000, 1710, 3.150, 60, 57, 73, 76, 70, 80, 5267108, 1171763, 8153, 2056, 10359, 1740, 253, 0, 3819, 0, 0, 0, 81, 275, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.60, 'false', 'NONE', 1, 1),
	(2870, 25525, 'Flame Spirit', 'Raid Fighter', 'mana_vampire', 11.00, 20.00, 75, 'male', 'L2Minion', 'Fighter', 40, 100472, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 0, 0, 9568, 2113, 4618, 1789, 253, 0, 500, 0, 0, 0, 55, 187, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.41, 'false', 'NONE', 1, 0),
	(2871, 25526, 'Charged Spirit', 'Raid Fighter', 'magical_weaver', 11.00, 20.00, 75, 'male', 'L2Minion', 'Fighter', 40, 50236, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 0, 0, 9568, 2113, 4618, 1789, 253, 0, 500, 0, 0, 0, 55, 187, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.41, 'false', 'NONE', 1, 0),
	(2872, 25527, 'Uruka', 'Raid Boss', 'Crokian_Elder', 30.00, 42.51, 80, 'male', 'L2RaidBoss', 'Fighter', 40, 1067863, 9.400, 226, 3.270, 60, 57, 73, 76, 70, 80, 3775961, 557272, 17006, 2240, 24162, 1895, 253, 0, 3819, 6365, 0, 0, 88, 307, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.48, 'false', 'NONE', 1, 1),
	(2873, 25528, 'Tiberias', 'Prime Inspector', 'LineageMonster4.K_Examiner', 10.00, 24.62, 22, 'male', 'L2Npc', 'npc', 40, 49149, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 225568, 18408, 116, 206, 33, 167, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2874, 25529, 'Garden Guard', 'Vice Inspector', 'LineageMonster4.Mostro_Fighter', 15.50, 22.50, 22, 'male', 'L2Npc', 'npc', 40, 3932, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 0, 0, 68, 103, 29, 84, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2875, 25530, 'Garden Guard', 'Vice Inspector', 'LineageMonster4.Mostro_Fighter', 15.50, 22.50, 22, 'male', 'L2Npc', 'npc', 40, 1966, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 0, 0, 68, 103, 29, 84, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2876, 25531, 'Darnel', 'Torture Maiden', 'LineageMonster4.Rah', 20.00, 40.60, 81, 'female', 'L2RaidBoss', 'Darnel', 40, 2140552, 9.500, 1897, 3.300, 40, 43, 30, 21, 20, 80, 1713495, 1026728, 10545, 2287, 10896, 1935, 253, 500, 3819, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.37, 'false', 'NONE', 0, 1),
	(2877, 25532, 'Kechi', 'Fire', 'LineageMonster4.Keyache', 12.00, 29.00, 82, 'male', 'L2RaidBoss', 'Kechi', 40, 534278, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 80, 2586436, 1438503, 10997, 2335, 10896, 1975, 253, 500, 3819, 0, 0, 0, 80, 165, 'Kechi_clan', 500, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.37, 'false', 'NONE', 0, 1),
	(2878, 25533, 'Kechi\'s Henchman', '', 'LineageMonster3.Death_Blader_Raid', 15.00, 32.50, 82, 'male', 'L2Minion', 'Fighter', 40, 29706, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 0, 0, 4351, 1077, 2020, 1166, 253, 0, 500, 0, 0, 0, 80, 120, 'Kechi_clan', 500, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2879, 25534, 'Tears', 'Ice', 'LineageMonster4.tears', 20.00, 27.50, 83, 'female', 'L2RaidBoss', 'Tears', 40, 2129067, 9.700, 1973, 3.360, 40, 43, 30, 21, 20, 80, 2010425, 1208631, 10904, 2384, 10558, 2016, 253, 500, 3819, 9638, 9638, 0, 60, 240, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.37, 'false', 'NONE', 0, 1),
	(2880, 25535, 'Tears', 'Ice', 'LineageMonster4.tears', 20.00, 27.50, 83, 'female', 'L2SpecialMonster', 'Fighter', 40, 2129067, 9.700, 1973, 3.360, 40, 43, 30, 21, 20, 80, 0, 0, 436, 1096, 200, 653, 253, 0, 500, 9638, 9638, 0, 60, 240, '', 0, 25534, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2881, 25536, 'Hannibal', 'Raid Boss', 'LineageMonster4.rah', 20.00, 40.60, 83, 'female', 'L2Npc', 'npc', 40, 682392, 9.700, 1973, 3.360, 60, 57, 73, 76, 70, 80, 5614732, 1265702, 5634, 1826, 1404, 989, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2882, 25537, 'Enmity', 'Raid Fighter', 'LineageMonster4.eyeless', 36.00, 43.50, 83, 'male', 'L2Npc', 'npc', 40, 54591, 9.700, 1973, 3.360, 40, 43, 30, 21, 20, 20, 0, 0, 11268, 913, 5627, 989, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2883, 25538, 'Vengeance', 'Raid Fighter', 'LineageMonster4.eyeless', 36.00, 43.50, 83, 'male', 'L2Npc', 'npc', 40, 109183, 9.700, 1973, 3.360, 40, 43, 30, 21, 20, 20, 0, 0, 11268, 913, 5627, 989, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2884, 25539, 'Typhoon', 'Raid Boss', 'LineageMonster3.Death_Blader_Raid_sand', 15.00, 32.50, 84, 'male', 'L2RaidBoss', 'Fighter', 40, 1378432, 9.800, 2011, 3.390, 60, 57, 73, 76, 70, 80, 5678637, 1283185, 11447, 2433, 10558, 2057, 253, 0, 3819, 0, 0, 0, 80, 200, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.37, 'false', 'NONE', 0, 1),
	(2885, 25540, 'Demon Prince', 'Raid Boss', 'LineageMonster4.Rahuu', 33.00, 49.00, 85, 'male', 'L2RaidBoss', 'DemonPrince', 40, 3524173, 9.900, 2050, 3.420, 40, 43, 30, 21, 20, 80, 2524505, 1696759, 10666, 1259, 4959, 1350, 253, 500, 500, 0, 0, 0, 80, 220, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2886, 25541, 'Fiend', 'Raid Fighter', 'LineageMonster3.Self_blaster', 9.00, 25.80, 85, 'male', 'L2Minion', 'Fighter', 40, 88192, 9.900, 2050, 3.420, 40, 43, 30, 21, 20, 20, 0, 0, 19323, 1259, 8983, 675, 253, 0, 500, 0, 0, 0, 80, 200, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2887, 25542, 'Ranku', 'Raid Boss', 'LineageMonster4.LaneCoo', 13.00, 29.00, 85, 'male', 'L2RaidBoss', 'Ranku', 40, 3524173, 9.900, 2050, 3.420, 40, 43, 30, 21, 20, 80, 2352633, 1976879, 7309, 1259, 3399, 675, 253, 500, 500, 0, 0, 0, 80, 220, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2888, 25543, 'Eidolon', 'Raid Fighter', 'LineageMonster4.eyeless_080p', 20.00, 35.00, 85, 'male', 'L2Minion', 'Mystic', 40, 88192, 9.900, 2050, 3.420, 40, 43, 30, 21, 20, 20, 0, 0, 19323, 1259, 8983, 675, 253, 0, 500, 0, 0, 0, 80, 200, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2889, 25544, 'Tully', 'Steel Citadel', 'LineageMonster4.Tollese', 19.00, 41.00, 86, 'male', 'L2Npc', 'npc', 40, 2682423, 10.000, 2089, 3.450, 40, 43, 30, 21, 20, 80, 2522625, 1749150, 10819, 1280, 5030, 687, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2890, 25545, 'Tully\'s Banshee', 'Raid Fighter', 'LineageMonster4.Giga_whirligig', 33.00, 47.50, 86, 'male', 'L2Npc', 'npc', 40, 6848740, 10.000, 2089, 3.450, 40, 43, 30, 21, 20, 20, 0, 0, 10819, 1280, 5030, 1247, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2891, 25546, 'Rhianna the Traitor', 'Forsaken Prisoner', 'LineageMonster.banshee_50_bi', 13.50, 38.00, 71, 'female', 'L2Monster', 'Fighter', 40, 299581, 8.500, 1529, 3.000, 60, 57, 73, 76, 70, 80, 2151859, 346873, 6178, 1928, 3444, 1634, 253, 0, 500, 3939, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2892, 25547, 'Rhianna\'s Escort', '', 'LineageMonster.Binding', 12.00, 21.00, 70, 'male', 'L2Minion', 'Fighter', 40, 23653, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 5922, 1886, 3297, 1596, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2893, 25548, 'Rhianna\'s Healer', '', 'LineageMonster.Liviona', 15.00, 28.00, 70, 'male', 'L2Minion', 'Fighter', 40, 47306, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 5922, 1886, 3297, 1596, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2894, 25549, 'Tesla the Deceiver', 'Forsaken Prisoner', 'LineageMonster.Virud_lizardman_shaman', 10.00, 29.00, 72, 'male', 'L2Monster', 'Priest', 40, 303374, 8.600, 1565, 3.030, 60, 57, 73, 76, 70, 80, 2192267, 353878, 6447, 1974, 3595, 1672, 253, 0, 500, 7, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2895, 25550, 'Tesla\'s Apprentice', '', 'LineageMonster.Zenta_lizardman_warrior', 13.00, 35.00, 71, 'male', 'L2Minion', 'Fighter', 40, 32115, 8.500, 1529, 3.000, 40, 43, 30, 21, 20, 20, 0, 0, 6178, 1928, 3444, 1634, 253, 0, 500, 291, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2896, 25551, 'Tesla\'s Herald', '', 'LineageMonster.Virud_lizardman_warrior', 12.00, 30.00, 71, 'male', 'L2Minion', 'Fighter', 40, 47933, 8.500, 1529, 3.000, 40, 43, 30, 21, 20, 20, 0, 0, 6178, 1928, 4126, 1634, 253, 0, 500, 16, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2897, 25552, 'Soul Hunter Chakundel', 'Forsaken Prisoner', 'LineageMonster3.Death_Blader_Raid', 15.00, 32.50, 73, 'male', 'L2Monster', 'Fighter', 40, 614122, 8.700, 1601, 3.060, 60, 57, 73, 76, 70, 80, 2234730, 360602, 6720, 2020, 3755, 1709, 253, 0, 500, 1472, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2898, 25553, 'Durango the Crusher', 'Forsaken Prisoner', 'LineageMonster3.Steel_Trapper', 35.00, 46.38, 74, 'male', 'L2Monster', 'Fighter', 40, 621319, 8.800, 1637, 3.090, 60, 57, 73, 76, 70, 80, 2280801, 367102, 7001, 2066, 3919, 1747, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2899, 25554, 'Brutus the Obstinate', 'Forsaken Prisoner', 'LineageMonster.Kaim_vanul', 24.00, 40.00, 75, 'male', 'L2Monster', 'Fighter', 40, 314186, 8.900, 1674, 3.120, 60, 57, 73, 76, 70, 80, 2329614, 373311, 7291, 2113, 4082, 1789, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2900, 25555, 'Brutus\' Right Hand', '', 'LineageMonster.Death_blader', 15.00, 45.00, 74, 'male', 'L2Minion', 'Fighter', 40, 49705, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 0, 0, 7001, 2066, 4530, 1747, 253, 0, 500, 1472, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2901, 25556, 'Brutus\' Left Hand', '', 'LineageMonster.Death_knight', 24.00, 29.00, 74, 'male', 'L2Minion', 'Fighter', 40, 24853, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 0, 0, 7001, 2066, 3919, 1747, 253, 0, 500, 142, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2902, 25557, 'Ranger Karankawa', 'Forsaken Prisoner', 'LineageMonster3.Jungle_Bleeze', 60.00, 47.00, 76, 'female', 'L2Monster', 'Priest', 40, 317653, 9.000, 1710, 3.150, 60, 57, 73, 76, 70, 80, 2383519, 369370, 8353, 2375, 4681, 2010, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2903, 25558, 'Karankawa\'s Root', '', 'LineageMonster.mandragora_a', 15.00, 26.00, 75, 'female', 'L2Minion', 'Fighter', 40, 33681, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 0, 0, 7291, 2113, 4082, 1789, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2904, 25559, 'Karankawa\'s Blossom', '', 'LineageMonster.mandragora_b', 12.00, 25.50, 75, 'female', 'L2Minion', 'Fighter', 40, 50270, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 0, 0, 7291, 2113, 4653, 1789, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2905, 25560, 'Sargon the Mad', 'Forsaken Prisoner', 'LineageMonster.heltor_silenos_50_bi', 19.00, 43.50, 77, 'male', 'L2Monster', 'Fighter', 40, 321077, 9.100, 1747, 3.180, 60, 57, 73, 76, 70, 80, 2441393, 374864, 8690, 2426, 4874, 2056, 253, 0, 500, 135, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2906, 25561, 'Sargon Attendant', '', 'LineageMonster.Heltor_silenos_shaman', 13.00, 32.00, 76, 'male', 'L2Minion', 'Priest', 40, 50824, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 8353, 2375, 4681, 2010, 253, 0, 500, 200, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2907, 25562, 'Sargon\'s Squire', '', 'LineageMonster.Heltor_silenos_warrior', 13.00, 31.00, 76, 'male', 'L2Minion', 'Fighter', 40, 25412, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 8353, 2375, 4681, 2010, 253, 0, 500, 228, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2908, 25563, 'Beautiful Atrielle', 'Forsaken Prisoner', 'LineageMonster.succubus_100_bi', 20.00, 75.00, 78, 'female', 'L2Monster', 'Mystic', 40, 324472, 9.200, 1784, 3.210, 60, 57, 73, 76, 70, 80, 2504378, 380180, 9037, 2481, 5073, 2098, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2909, 25564, 'Atrielle\'s Follower', '', 'LineageMonster.Bloody_queen', 8.00, 40.00, 77, 'female', 'L2Minion', 'Priest', 40, 51372, 9.100, 1747, 3.180, 40, 43, 30, 21, 20, 20, 0, 0, 8690, 2426, 4977, 2056, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2910, 25565, 'Atrielle\'s Minion', '', 'LineageMonster.Silhouette', 8.00, 23.00, 77, 'female', 'L2Minion', 'Fighter', 40, 25686, 9.100, 1747, 3.180, 40, 43, 30, 21, 20, 20, 0, 0, 8690, 2426, 4874, 2056, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2911, 25566, 'Nagen the Tomboy', 'Forsaken Prisoner', 'LineageMonster.pixy_bi', 10.00, 54.00, 79, 'female', 'L2Monster', 'Fighter', 40, 327851, 9.300, 1822, 3.240, 60, 57, 73, 76, 70, 80, 2571289, 385228, 9397, 2532, 5276, 2144, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2912, 25567, 'Nagen\'s Cohort', '', 'LineageMonster.Dryad', 9.00, 20.00, 78, 'female', 'L2Minion', 'Fighter', 40, 34783, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 9037, 2481, 5073, 2098, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2913, 25568, 'Nagen\'s Friend', '', 'LineageMonster.Dryad', 9.00, 20.00, 78, 'female', 'L2Minion', 'Fighter', 40, 51916, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 9037, 2481, 5073, 2098, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2914, 25569, 'Jax the Destroyer', 'Forsaken Prisoner', 'LineageMonster2.ketra_orc_chieftain_20_bi', 17.00, 46.20, 80, 'male', 'L2Monster', 'Fighter', 40, 331224, 9.400, 1859, 3.270, 60, 57, 73, 76, 70, 80, 2643173, 390090, 10744, 2846, 6038, 2409, 253, 0, 500, 6719, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2915, 25570, 'Jax\'s Vanguard', '', 'LineageMonster.Ketra_orc_archer', 12.00, 27.00, 79, 'male', 'L2Minion', 'Ranger', 1100, 35146, 9.300, 1822, 3.240, 40, 43, 30, 21, 20, 20, 0, 0, 9397, 2532, 5276, 2144, 253, 0, 500, 279, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2916, 25571, 'Jax\'s Raider', '', 'LineageMonster.Ketra_orc', 12.00, 29.00, 79, 'male', 'L2Minion', 'Fighter', 40, 26228, 9.300, 1822, 3.240, 40, 43, 30, 21, 20, 20, 0, 0, 9397, 2532, 5276, 2144, 253, 0, 500, 68, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2917, 25572, 'Hager the Outlaw', 'Forsaken Inmate', 'LineageMonster.oel_mahum_witch_doctor_50_bi', 22.50, 54.00, 61, 'male', 'L2Monster', 'Priest', 40, 252337, 7.500, 1184, 2.700, 60, 57, 73, 76, 70, 80, 1820907, 266603, 3940, 1512, 2146, 1281, 253, 0, 500, 201, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2918, 25573, 'Hager\'s Henchman', '', 'LineageMonster.oel_mahum_witch_doctor', 15.00, 34.00, 60, 'male', 'L2Minion', 'Priest', 40, 39432, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 0, 0, 3755, 1474, 2041, 1247, 253, 0, 500, 9, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2919, 25574, 'Hager\'s Bodyguard', '', 'LineageMonster.oel_mahum_warrior', 20.00, 38.00, 60, 'male', 'L2Minion', 'Fighter', 40, 19716, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 0, 0, 3755, 1474, 2041, 1247, 253, 0, 500, 79, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2920, 25575, 'All-Seeing Rango', 'Forsaken Inmate', 'LineageMonster3.Kernon_Raider', 33.00, 51.00, 62, 'male', 'L2Monster', 'Fighter', 40, 257999, 7.600, 1218, 2.730, 60, 57, 73, 76, 70, 80, 1852512, 275294, 4133, 1550, 2260, 1315, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2921, 25576, 'Rango\'s Iris', '', 'LineageMonster.Monster_eye', 21.00, 43.00, 61, 'male', 'L2Minion', 'Mystic', 40, 20187, 7.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 3940, 1512, 2146, 1281, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2922, 25577, 'Rango\'s Lens', '', 'LineageMonster.Field_stalker', 15.00, 30.00, 61, 'male', 'L2Minion', 'Fighter', 40, 40374, 7.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 3940, 1512, 2478, 1281, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2923, 25578, 'Jakard', 'Forsaken Inmate', 'LineageMonster.hunter_gargoyle_50_bi', 37.00, 98.00, 63, 'male', 'L2Monster', 'Fighter', 40, 526872, 7.700, 1251, 2.760, 60, 57, 73, 76, 70, 80, 1883977, 283840, 4330, 1592, 2373, 1348, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2924, 25579, 'Helsing', 'Forsaken Inmate', 'LineageMonster3.lidia_von_helmann_120p', 14.00, 31.00, 64, 'female', 'L2Monster', 'Fighter', 40, 268648, 7.800, 1285, 2.790, 60, 57, 73, 76, 70, 80, 1915449, 292342, 4536, 1634, 2495, 1382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2925, 25580, 'Helsing\'s Guard', '', 'LineageMonster.Death_knight', 24.00, 29.00, 63, 'male', 'L2Minion', 'Fighter', 40, 21075, 7.700, 1251, 2.760, 40, 43, 30, 21, 20, 20, 0, 0, 4330, 1592, 2373, 1348, 253, 0, 500, 142, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2926, 25581, 'Helsing\'s Assassin', '', 'LineageMonster.skeleton_royal_guard', 11.00, 28.50, 63, 'male', 'L2Minion', 'Fighter', 40, 42150, 7.700, 1251, 2.760, 40, 43, 30, 21, 20, 20, 0, 0, 4330, 1592, 2752, 1348, 253, 0, 500, 229, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2927, 25582, 'Gillien', 'Forsaken Inmate', 'LineageMonster2.Vampire_warrior', 9.00, 31.50, 65, 'male', 'L2Monster', 'Fighter', 40, 273641, 7.900, 1320, 2.820, 60, 57, 73, 76, 70, 80, 1946404, 300683, 4750, 1672, 2617, 1415, 253, 0, 500, 6723, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2928, 25583, 'Gillien\'s Daughter', '', 'LineageMonster2.Vampire_wizard', 5.50, 28.00, 64, 'female', 'L2Minion', 'Mystic', 40, 42984, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 0, 0, 4536, 1634, 2495, 1382, 253, 0, 500, 99, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2929, 25584, 'Gillien\'s Attendant', '', 'LineageMonster2.Black_magician', 8.00, 30.00, 64, 'male', 'L2Minion', 'Mystic', 40, 21492, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 0, 0, 4536, 1634, 2495, 1382, 253, 0, 500, 178, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2930, 25585, 'Medici', 'Forsaken Inmate', 'LineageMonster.medusa_100_bi', 20.00, 53.00, 66, 'female', 'L2Monster', 'Fighter', 40, 278421, 8.000, 1354, 2.850, 60, 57, 73, 76, 70, 80, 1978450, 308910, 4969, 1714, 2743, 1453, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2931, 25586, 'Medici\'s Sister', '', 'LineageMonster2.Lilim_wizard', 9.00, 34.00, 65, 'female', 'L2Minion', 'Fighter', 40, 29334, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 0, 0, 4750, 1672, 2617, 1415, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2932, 25587, 'Medici\'s Brother', '', 'LineageMonster.Skeleton_royal_guard', 11.00, 28.50, 65, 'male', 'L2Minion', 'Fighter', 40, 43783, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 0, 0, 4750, 1672, 2981, 1415, 253, 0, 500, 229, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2933, 25588, 'Immortal Muus', 'Forsaken Inmate', 'LineageMonster.headless_knight_50_bi', 30.00, 46.50, 67, 'male', 'L2Monster', 'Fighter', 40, 566000, 8.100, 1389, 2.880, 60, 57, 73, 76, 70, 80, 2011117, 316977, 5195, 1756, 2877, 1487, 253, 0, 500, 2500, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2934, 25589, 'Brand the Exile', 'Forsaken Inmate', 'LineageMonster.heltor_silenos_shaman_50_bi', 19.50, 51.00, 68, 'male', 'L2Monster', 'Priest', 40, 287390, 8.200, 1423, 2.910, 60, 57, 73, 76, 70, 80, 2044017, 324825, 5431, 1798, 3011, 1525, 253, 0, 500, 5131, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2935, 25590, 'Brand\'s Chamberlain', '', 'LineageMonster.Heltor_silenos_warrior', 13.00, 31.00, 67, 'male', 'L2Minion', 'Fighter', 40, 45280, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 0, 0, 5195, 1756, 3233, 1487, 253, 0, 500, 162, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2936, 25591, 'Brand\'s Servant', '', 'LineageMonster.Heltor_silenos_shaman', 13.00, 32.00, 67, 'male', 'L2Minion', 'Priest', 40, 22640, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 0, 0, 5195, 1756, 2877, 1487, 253, 0, 500, 200, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2937, 25592, 'Commander Koenig', 'Forsaken Inmate', 'LineageMonster2.Ketra_warbeast', 20.00, 33.50, 69, 'male', 'L2Monster', 'Fighter', 40, 583213, 8.300, 1459, 2.940, 60, 57, 73, 76, 70, 80, 2078757, 332450, 5674, 1844, 3150, 1558, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2938, 25593, 'Gerg the Hunter', 'Forsaken Inmate', 'LineageMonster3.Elder_Troll', 46.00, 71.50, 70, 'male', 'L2Monster', 'Fighter', 40, 295664, 8.400, 1494, 2.970, 60, 57, 73, 76, 70, 80, 2113727, 339842, 5922, 1886, 3297, 1596, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2939, 25594, 'Gerg\'s Follower', '', 'LineageMonster.Virud_lizardman_scout', 10.00, 22.00, 69, 'male', 'L2Minion', 'Fighter', 1100, 31260, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 0, 0, 5674, 1844, 3150, 1558, 253, 0, 500, 2507, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2940, 25595, 'Gerg\'s Henchman', '', 'LineageMonster.Batur_orc', 9.00, 21.50, 69, 'male', 'L2Minion', 'Fighter', 40, 23329, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 0, 0, 5674, 1844, 3150, 1558, 253, 0, 500, 74, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(2941, 25596, 'Ocular Servitor', '', 'Monster2.parasitic_eye_20_sm', 8.00, 24.00, 87, 'male', 'L2Npc', 'npc', 40, 4900, 8.400, 2128, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 2123, 650, 984, 528, 253, 0, 333, 0, 0, 0, 60, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2942, 25597, 'Heurel', '', 'Monster2.erinyes', 8.00, 24.00, 87, 'male', 'L2Npc', 'npc', 40, 4900, 8.400, 2128, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 2123, 650, 984, 528, 253, 0, 333, 0, 0, 0, 60, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2943, 25598, 'Gegei', '', 'Monster3.Elder_Troll', 8.00, 24.00, 87, 'male', 'L2Npc', 'npc', 40, 4900, 8.400, 2128, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 2123, 650, 984, 528, 253, 0, 333, 0, 0, 0, 60, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2944, 25599, 'Iglas', '', 'Monster2.magmagoil_lad_20_sm', 8.00, 24.00, 87, 'male', 'L2Npc', 'npc', 40, 4900, 8.400, 2128, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 2123, 650, 984, 528, 253, 0, 333, 0, 0, 0, 60, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2945, 25600, 'Temenir', 'Darion\'s Challenger', 'Monster4.behamah', 8.00, 24.00, 87, 'male', 'L2Npc', 'npc', 80, 401394, 8.400, 2128, 2.970, 40, 43, 30, 21, 20, 20, 1404180, 488611, 11944, 2600, 5549, 1584, 253, 0, 333, 10277, 0, 0, 60, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2946, 25601, 'Draksius', 'Darion\'s Challenger', 'Monster2.ahrimanes_20_sm', 8.00, 24.00, 87, 'male', 'L2Npc', 'npc', 80, 428135, 8.400, 2128, 2.970, 40, 43, 30, 21, 20, 20, 1463241, 575349, 10750, 3250, 4998, 2640, 253, 0, 333, 6722, 0, 0, 60, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2947, 25602, 'Kiretcenah', 'Darion\'s Challenger', 'Monster.rakul', 8.00, 24.00, 87, 'male', 'L2Npc', 'npc', 40, 401394, 8.400, 2128, 2.970, 40, 43, 30, 21, 20, 20, 1384493, 459564, 11944, 1300, 5549, 2112, 253, 0, 333, 9442, 0, 0, 60, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2948, 25603, 'Darion', '', 'Monster4.darion', 8.00, 24.00, 87, 'male', 'L2Npc', 'npc', 80, 1532600, 10.100, 2128, 3.480, 60, 57, 73, 76, 70, 80, 4712138, 598881, 6491, 1950, 1778, 1056, 253, 0, 333, 0, 10548, 0, 60, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2949, 25604, 'Mutated Elpy', 'Naia\'s Creature', 'Monster.elpy', 8.00, 24.00, 50, 'male', 'L2Npc', 'npc', 40, 2245, 8.400, 830, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 505, 278, 232, 226, 253, 0, 333, 0, 0, 0, 60, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2950, 25605, 'Naia Spore', '', 'Monster4.guard_naia_b1t', 8.00, 24.00, 85, 'male', 'L2Npc', 'npc', 40, 29397, 8.400, 2050, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 4482, 1007, 2486, 1227, 253, 0, 333, 0, 0, 0, 60, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2951, 25606, 'Naia Spore', '', 'Monster4.guard_naia_b2t', 8.00, 24.00, 85, 'female', 'L2Npc', 'npc', 40, 29397, 8.400, 2050, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 4482, 1007, 2486, 1227, 253, 0, 333, 0, 0, 0, 60, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2952, 25607, 'Naia Spore', '', 'Monster4.guard_naia_b3t', 8.00, 24.00, 85, 'female', 'L2Npc', 'npc', 40, 29397, 8.400, 2050, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 4482, 1007, 2486, 1227, 253, 0, 333, 0, 0, 0, 60, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2953, 25608, 'Naia Spore', '', 'Monster4.guard_naia_b4t', 8.00, 24.00, 85, 'male', 'L2Npc', 'npc', 40, 29397, 8.400, 2050, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 4482, 1007, 2486, 1227, 253, 0, 333, 0, 0, 0, 60, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2954, 25609, 'Epidos', 'Naia Shambler', 'Monster4.guard_naia_c', 8.00, 24.00, 87, 'male', 'L2Npc', 'npc', 40, 1558033, 8.400, 2128, 2.970, 60, 57, 73, 76, 70, 80, 13455636, 2851570, 11802, 1950, 6464, 1584, 253, 0, 333, 0, 0, 0, 60, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2955, 25610, 'Epidos', 'Naia Shambler', 'Monster4.guard_naia_c', 8.00, 24.00, 87, 'male', 'L2Npc', 'npc', 40, 1558033, 8.400, 2128, 2.970, 60, 57, 73, 76, 70, 80, 13455636, 2851570, 11802, 1950, 6464, 1584, 253, 0, 333, 0, 0, 0, 60, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2956, 25611, 'Epidos', 'Naia Shambler', 'Monster4.guard_naia_c', 8.00, 24.00, 87, 'male', 'L2Npc', 'npc', 40, 1558033, 8.400, 2128, 2.970, 60, 57, 73, 76, 70, 80, 13455636, 2851570, 11802, 1950, 6464, 1584, 253, 0, 333, 0, 0, 0, 60, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2957, 25612, 'Epidos', 'Naia Shambler', 'Monster4.guard_naia_c', 8.00, 24.00, 87, 'male', 'L2Npc', 'npc', 40, 1558033, 8.400, 2128, 2.970, 60, 57, 73, 76, 70, 80, 13455636, 2851570, 11802, 1950, 6464, 1584, 253, 0, 333, 0, 0, 0, 60, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2958, 25613, 'Naia Spore', '', 'Monster4.guard_naia_a', 8.00, 24.00, 85, 'male', 'L2Npc', 'npc', 40, 6690, 8.400, 2050, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 2462, 630, 1146, 511, 253, 0, 333, 0, 0, 0, 60, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2959, 25614, 'Floating Ghost', '', 'Monster4.roaming_Msoul', 8.00, 24.00, 85, 'male', 'L2Npc', 'npc', 40, 4814, 9.900, 2050, 3.420, 40, 43, 30, 21, 20, 20, 0, 0, 2035, 630, 944, 511, 253, 0, 333, 0, 0, 0, 60, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2960, 25615, 'Floating Ghost', '', 'Monster4.roaming_Fsoul', 8.00, 24.00, 85, 'female', 'L2Npc', 'npc', 40, 4814, 9.900, 2050, 3.420, 40, 43, 30, 21, 20, 20, 0, 0, 2035, 630, 944, 511, 253, 0, 333, 0, 0, 0, 60, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(2961, 25616, 'Lost Warden', '', 'LineageMonster.oel_mahum_witch_doctor', 15.00, 34.00, 29, 'male', 'L2SpecialMonster', 'Fighter', 40, 67841, 4.300, 350, 1.740, 60, 57, 73, 76, 70, 80, 821000, 36456, 1335, 470, 780, 382, 253, 600, 500, 201, 0, 0, 80, 120, 'kamaloka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2962, 25617, 'Lost Warden', '', 'LineageMonster.zenta_lizardman_matriarch', 20.00, 40.00, 39, 'male', 'L2SpecialMonster', 'Fighter', 40, 108330, 5.400, 514, 2.270, 60, 57, 73, 76, 70, 80, 695958, 60594, 2002, 705, 1170, 573, 253, 600, 500, 221, 0, 0, 80, 120, 'kamaloka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2963, 25618, 'Lost Warden', '', 'LineageMonster.gargoyle_bi', 16.00, 65.00, 49, 'male', 'L2SpecialMonster', 'Fighter', 40, 173382, 6.300, 799, 2.340, 60, 57, 73, 76, 70, 80, 814824, 99743, 3003, 1057, 1755, 859, 253, 600, 500, 0, 0, 0, 80, 120, 'kamaloka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2964, 25619, 'Lost Warden', '', 'LineageMonster.death_knight_120p', 22.00, 35.30, 59, 'male', 'L2SpecialMonster', 'Fighter', 40, 243367, 7.300, 1118, 2.640, 60, 57, 73, 76, 70, 80, 939496, 133511, 4504, 1585, 2632, 1288, 253, 600, 500, 75, 0, 0, 80, 120, 'kamaloka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2965, 25620, 'Lost Warden', '', 'LineageMonster2.eligor', 21.00, 35.00, 69, 'male', 'L2SpecialMonster', 'Fighter', 40, 295267, 8.300, 1459, 2.940, 60, 57, 73, 76, 70, 80, 1039378, 166225, 6756, 2377, 3948, 1932, 253, 600, 500, 0, 0, 0, 80, 120, 'kamaloka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2966, 25621, 'Lost Warden', '', 'LineageMonster3.apostle_grail', 13.00, 47.00, 78, 'male', 'L2SpecialMonster', 'Fighter', 80, 328545, 9.200, 1784, 3.210, 60, 57, 73, 76, 70, 80, 1252189, 190090, 8134, 3565, 5922, 2898, 253, 600, 500, 8221, 0, 0, 80, 120, 'kamaloka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2967, 25622, 'Lost Warden', '', 'LineageMonster.death_lord', 21.00, 40.00, 81, 'male', 'L2SpecialMonster', 'Fighter', 40, 338735, 9.700, 1897, 3.870, 60, 57, 73, 76, 70, 80, 1365139, 197071, 9201, 4353, 7106, 3347, 253, 600, 500, 78, 0, 0, 80, 120, 'kamaloka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(2968, 25623, 'Valdstone', 'Master Rider', 'LineageMonster4.master_rider', 123.00, 90.00, 80, 'male', 'L2Npc', 'npc', 40, 489654, 1.500, 1859, 2.700, 60, 57, 73, 76, 70, 80, 3539613, 991696, 1195, 1558, 159, 843, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2969, 25624, 'Rok', 'King of Birds', 'LineageMonster4.loc', 197.00, 130.50, 83, 'female', 'L2RaidBoss', 'Mystic', 40, 504491, 1.500, 1973, 2.700, 60, 57, 73, 76, 70, 80, 3658390, 1026322, 10904, 2384, 10558, 2016, 253, 0, 3819, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.60, 'false', 'NONE', 0, 1),
	(2970, 25625, 'Enira', 'Banshee Queen', 'LineageMonster4.banshee_queen', 11.00, 33.50, 85, 'female', 'L2Npc', 'npc', 40, 514631, 1.500, 2050, 2.700, 60, 57, 73, 76, 70, 80, 3745533, 1082907, 1293, 1700, 173, 920, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2971, 25626, 'Dius', 'Deadman of Destruction', 'LineageMonster4.mutant_drake_wing', 112.00, 60.00, 85, 'male', 'L2Npc', 'npc', 40, 514631, 1.500, 2050, 2.700, 40, 43, 30, 21, 20, 20, 3745533, 1082907, 1293, 1700, 173, 920, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2972, 25627, 'Mutant Bird', 'Subordinate of King', 'LineageMonster4.mutant_hawk', 100.00, 85.00, 75, 'male', 'L2Npc', 'npc', 40, 91055, 1.500, 1674, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 837, 707, 138, 765, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2973, 25628, 'Dra Hawk', 'Subordinate of King', 'LineageMonster4.drahawk', 110.00, 35.00, 76, 'female', 'L2Npc', 'npc', 40, 92575, 1.500, 1710, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 864, 721, 142, 781, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2974, 25629, 'Floating Skull', 'Enira\'s Evil Spirit', 'LineageMonster4.floating_skeleton', 28.00, 39.00, 78, 'male', 'L2Npc', 'npc', 40, 95386, 1.500, 1784, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 913, 750, 148, 812, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2975, 25630, 'Floating Zombie', 'Enira\'s Evil Spirit', 'LineageMonster4.floating_zombie', 70.00, 50.00, 77, 'female', 'L2Npc', 'npc', 40, 94017, 1.500, 1747, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 889, 736, 144, 797, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2976, 25631, 'Drake Wing', 'Underling of Destruction', 'LineageMonster4.m_drake_wing_knave', 153.00, 63.00, 77, 'male', 'L2Npc', 'npc', 40, 94017, 1.500, 1747, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 889, 736, 144, 797, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2977, 25632, 'Drak', 'Underling of Destruction', 'LineageMonster4.drac', 100.00, 40.00, 78, 'female', 'L2Npc', 'npc', 40, 95386, 1.500, 1784, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 913, 750, 148, 812, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2978, 25633, 'Elite Rider', 'Valdstone\'s Elites', 'LineageMonster4.master_rider', 123.00, 90.00, 76, 'male', 'L2Npc', 'npc', 40, 92575, 1.500, 1710, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 864, 721, 142, 781, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2979, 25634, 'Cohemenes', 'Soul Collector', 'LineageMonster4.lich_A_132p', 31.68, 60.72, 84, 'male', 'L2Npc', 'npc', 40, 689345, 1.500, 2011, 2.700, 60, 57, 73, 76, 70, 80, 3004658, 406483, 3676, 1857, 1454, 1006, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2980, 25635, 'Argekunte', 'Vacuous Soul', 'LineageMonster4.lich_A_132p', 31.68, 60.72, 84, 'male', 'L2Npc', 'npc', 40, 689345, 1.500, 2011, 2.700, 60, 57, 73, 76, 70, 80, 3004658, 406483, 3676, 1857, 1454, 1006, 253, 0, 500, 13985, 13986, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2981, 25636, 'Ravenous Soul Devourer', '', 'LineageMonster4.soul_wagon_130p', 70.00, 44.20, 85, 'male', 'L2Npc', 'npc', 40, 696239, 1.500, 2050, 2.700, 60, 57, 73, 76, 70, 80, 3100452, 410692, 3734, 1889, 1486, 1023, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2982, 25637, 'Karpencharr', 'Prophet of Lies', 'LineageMonster4.lich_A_132p', 31.68, 60.72, 85, 'male', 'L2Npc', 'npc', 40, 696239, 1.500, 2050, 2.700, 60, 57, 73, 76, 70, 80, 3100452, 410692, 3734, 1889, 1486, 1023, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2983, 25638, 'Romerohiv', 'Betrayer of Oblivion', 'LineageMonster4.lich_b_132p', 31.68, 60.72, 85, 'male', 'L2Npc', 'npc', 40, 696239, 1.500, 2050, 2.700, 60, 57, 73, 76, 70, 80, 3100452, 410692, 3734, 1889, 1486, 1023, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2984, 25639, 'Hitchkarshiek', 'Wise Retainer of Suffering', 'LineageMonster4.Death_slayer_120p', 24.00, 40.80, 85, 'male', 'L2Npc', 'npc', 40, 696239, 1.500, 2050, 2.700, 60, 57, 73, 76, 70, 80, 3100452, 410692, 3734, 1889, 1486, 1023, 253, 0, 500, 13985, 13986, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2985, 25640, 'Freedkyilla', 'Hand of Night', 'LineageMonster4.Death_slayer_120p', 24.00, 40.80, 85, 'male', 'L2Npc', 'npc', 40, 696239, 1.500, 2050, 2.700, 60, 57, 73, 76, 70, 80, 3100452, 410692, 3734, 1889, 1486, 1023, 253, 0, 500, 13984, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2986, 25641, 'Yehan Cravenizad', 'Bloodsucker', 'LineageMonster4.death_knight_n_156p', 34.32, 62.40, 85, 'male', 'L2Npc', 'npc', 80, 696239, 1.500, 2050, 2.700, 60, 57, 73, 76, 70, 80, 3100452, 410692, 3734, 1889, 1486, 1023, 253, 0, 500, 13982, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2987, 25642, 'Yehan Jaxsibhan', 'Dark Guardian', 'LineageMonster4.death_knight_n_156p', 34.32, 62.40, 85, 'male', 'L2Npc', 'npc', 80, 696239, 1.500, 2050, 2.700, 60, 57, 73, 76, 70, 80, 3100452, 410692, 3734, 1889, 1486, 1023, 253, 0, 500, 13983, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2988, 25643, 'Awakened Ancient Sentry', 'Raid Boss', 'LineageMonster4.death_scout_110p', 18.00, 27.50, 85, 'female', 'L2Npc', 'npc', 40, 696239, 1.500, 2050, 2.700, 60, 57, 73, 76, 70, 80, 3100452, 410692, 3734, 1889, 1486, 1023, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2989, 25644, 'Awakened Ancient Severer', 'Raid Boss', 'LineageMonster4.bonecreeper_120p', 51.60, 57.00, 85, 'male', 'L2Npc', 'npc', 40, 696239, 1.500, 2050, 2.700, 60, 57, 73, 76, 70, 80, 3100452, 410692, 3734, 1889, 1486, 1023, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2990, 25645, 'Awakened Ancient Soul Extractor', 'Raid Boss', 'LineageMonster4.soul_harvester_120p', 27.60, 37.20, 85, 'male', 'L2Npc', 'npc', 40, 696239, 1.500, 2050, 2.700, 60, 57, 73, 76, 70, 80, 3100452, 410692, 3734, 1889, 1486, 1023, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2991, 25646, 'Awakened Ancient Soul Devourer', 'Raid Boss', 'LineageMonster4.soul_wagon_130p', 70.00, 44.20, 85, 'male', 'L2Npc', 'npc', 40, 696239, 1.500, 2050, 2.700, 60, 57, 73, 76, 70, 80, 3100452, 410692, 3734, 1889, 1486, 1023, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2992, 25647, 'Awakened Ancient Fighter', 'Raid Boss', 'LineageMonster4.death_knight_n_156p', 34.32, 62.40, 85, 'male', 'L2Npc', 'npc', 80, 696239, 1.500, 2050, 2.700, 60, 57, 73, 76, 70, 80, 3100452, 410692, 3734, 1889, 1486, 1023, 253, 0, 500, 13982, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2993, 25648, 'Awakened Ancient Fighter', 'Raid Boss', 'LineageMonster4.death_knight_n_156p', 34.32, 62.40, 85, 'male', 'L2Npc', 'npc', 80, 696239, 1.500, 2050, 2.700, 60, 57, 73, 76, 70, 80, 3100452, 410692, 3734, 1889, 1486, 1023, 253, 0, 500, 13983, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2994, 25649, 'Awakened Ancient Executor', 'Raid Boss', 'LineageMonster4.Death_slayer_120p', 24.00, 40.80, 85, 'male', 'L2Npc', 'npc', 40, 696239, 1.500, 2050, 2.700, 60, 57, 73, 76, 70, 80, 3100452, 410692, 3734, 1889, 1486, 1023, 253, 0, 500, 13985, 13986, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2995, 25650, 'Awakened Ancient Executor', 'Raid Boss', 'LineageMonster4.Death_slayer_120p', 24.00, 40.80, 85, 'male', 'L2Npc', 'npc', 40, 696239, 1.500, 2050, 2.700, 60, 57, 73, 76, 70, 80, 3100452, 410692, 3734, 1889, 1486, 1023, 253, 0, 500, 13984, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2996, 25651, 'Awakened Ancient Prophet', 'Raid Boss', 'LineageMonster4.lich_A_132p', 31.68, 60.72, 85, 'male', 'L2Npc', 'npc', 40, 696239, 1.500, 2050, 2.700, 60, 57, 73, 76, 70, 80, 3100452, 410692, 3734, 1889, 1486, 1023, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2997, 25652, 'Awakened Ancient Prophet', 'Raid Boss', 'LineageMonster4.lich_b_132p', 31.68, 60.72, 85, 'male', 'L2Npc', 'npc', 40, 696239, 1.500, 2050, 2.700, 60, 57, 73, 76, 70, 80, 3100452, 410692, 3734, 1889, 1486, 1023, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2998, 25653, 'Kanadis Herald', 'Invading Forces', 'LineageMonster4.pailaka_invader', 30.00, 33.00, 79, 'male', 'L2Npc', 'npc', 80, 327851, 1.500, 1822, 2.700, 60, 57, 73, 76, 70, 80, 2571289, 385228, 2027, 1699, 324, 920, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(2999, 25654, 'Kanadis Herald', 'Invading Forces', 'LineageMonster4.pailaka_invader', 30.00, 33.00, 82, 'male', 'L2Npc', 'npc', 40, 337881, 1.500, 1935, 2.700, 60, 57, 73, 76, 70, 80, 2819565, 398177, 2137, 1794, 348, 972, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3000, 25655, 'Kanadis Herald', 'Invading Forces', 'LineageMonster4.pailaka_invader', 30.00, 33.00, 85, 'male', 'L2Npc', 'npc', 40, 348119, 1.500, 2050, 2.700, 60, 57, 73, 76, 70, 80, 3100452, 410692, 2240, 1889, 369, 1023, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3001, 25656, 'Kanadis Fanatic', '', 'LineageMonster3.solina_brother', 9.00, 23.40, 77, 'male', 'L2Npc', 'npc', 80, 64215, 1.500, 1747, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1548, 817, 309, 885, 253, 0, 500, 152, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3002, 25657, 'Kanadis Fanatic', '', 'LineageMonster3.solina_brother', 9.00, 23.40, 80, 'male', 'L2Npc', 'npc', 40, 66245, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1656, 865, 335, 937, 253, 0, 500, 8212, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3003, 25658, 'Kanadis Fanatic', '', 'LineageMonster3.solina_brother', 9.00, 23.40, 83, 'male', 'L2Npc', 'npc', 40, 68252, 1.500, 1973, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1737, 913, 358, 989, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3004, 25659, 'Kanadis Guide', 'Invading Forces', 'LineageMonster4.pailaka_invader', 30.00, 33.00, 69, 'male', 'L2Npc', 'npc', 80, 291606, 1.500, 1459, 2.700, 60, 57, 73, 76, 70, 80, 2078757, 332450, 1237, 1104, 222, 747, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3005, 25660, 'Kanadis Guide', 'Invading Forces', 'LineageMonster4.pailaka_invader', 30.00, 33.00, 72, 'male', 'L2Npc', 'npc', 40, 303374, 1.500, 1565, 2.700, 60, 57, 73, 76, 70, 80, 2192267, 353878, 1386, 1180, 267, 799, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3006, 25661, 'Kanadis Guide', 'Invading Forces', 'LineageMonster4.pailaka_invader', 30.00, 33.00, 75, 'male', 'L2Npc', 'npc', 40, 314186, 1.500, 1674, 2.700, 60, 57, 73, 76, 70, 80, 2329614, 373311, 1527, 1257, 288, 851, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3007, 25662, 'Kanadis Follower', '', 'LineageMonster3.solina_brother', 9.00, 23.40, 67, 'male', 'L2Npc', 'npc', 80, 56600, 1.500, 1389, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 909, 527, 200, 714, 253, 0, 500, 152, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3008, 25663, 'Kanadis Follower', '', 'LineageMonster3.solina_brother', 9.00, 23.40, 70, 'male', 'L2Npc', 'npc', 40, 59133, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1029, 565, 228, 764, 253, 0, 500, 8212, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3009, 25664, 'Kanadis Follower', '', 'LineageMonster3.solina_brother', 9.00, 23.40, 73, 'male', 'L2Npc', 'npc', 40, 61412, 1.500, 1601, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1147, 603, 273, 816, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3010, 25665, 'Yehan Klodekus', 'Soul Destroyer', 'LineageMonster4.death_knight_n_raid', 34.32, 62.40, 82, 'male', 'HoSBoss', 'HallOfSufferingBoss', 80, 235319, 1.500, 1935, 2.700, 60, 57, 73, 76, 70, 80, 5044000, 1152586, 4356, 3500, 2221, 2000, 253, 500, 500, 13982, 0, 0, 110, 200, 'soi', 800, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(3011, 25666, 'Yehan Klanikus', 'Guide of Darkness', 'LineageMonster4.death_knight_n_raid', 34.32, 62.40, 82, 'male', 'HoSBoss', 'HallOfSufferingBoss', 80, 235319, 1.500, 1935, 2.700, 60, 57, 73, 76, 70, 80, 5044000, 1152586, 4356, 3500, 2221, 2000, 253, 500, 500, 13983, 0, 0, 110, 200, 'soi', 800, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(3012, 25667, 'Cannibalistic Stakato Chief', 'Shadow of Violence', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3013, 25668, 'Cannibalistic Stakato Chief', 'Shadow of Violence', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3014, 25669, 'Cannibalistic Stakato Chief', 'Shadow of Violence', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3015, 25670, 'Cannibalistic Stakato Chief', 'Shadow of Violence', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3016, 25671, 'Queen Shyeed', 'Raid Boss', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3017, 25672, 'Spiked Stakato', 'Raid Fighter', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3018, 25673, 'Spiked Stakato', 'Raid Fighter', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3019, 25674, 'Gwindorr', 'Raid Boss', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3020, 25675, 'Guard of Gwindorr', 'Raid Fighter', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3021, 25676, 'Follower of Gwindorr', 'Raid Fighter', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3022, 25677, 'Water Spirit Lian', 'Raid Boss', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3023, 25678, 'Sprite of Gildor', 'Raid Fighter', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3024, 25679, 'Guardian of Gildor', 'Raid Fighter', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3025, 25680, 'Giant Marpanak', 'Raid Boss', 'lesser_giant_100_bi', 42.00, 91.00, 82, 'male', 'L2RaidBoss', 'Fighter', 40, 855234, 7.500, 1743, 2.700, 40, 43, 30, 21, 20, 10, 5553282, 1249267, 16098, 2335, 10896, 1975, 253, 0, 3819, 3937, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3026, 25681, 'Gorgolos', 'Raid Boss', NULL, 15.00, 96.00, 82, 'male', 'L2RaidBoss', 'Fighter', 40, 306363, 7.500, 1743, 2.700, 40, 43, 30, 21, 20, 10, 4027949, 568824, 10997, 2335, 10896, 1975, 253, 0, 3819, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3027, 25682, 'Cursed Life', 'Raid Fighter', NULL, 15.00, 60.00, 82, 'male', 'L2Minion', 'Fighter', 40, 32842, 7.500, 1743, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 3420, 1077, 6277, 741, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3028, 25683, 'Cursed Soul', 'Raid Fighter', NULL, 15.00, 60.00, 82, 'male', 'L2Minion', 'Fighter', 40, 32842, 7.500, 1743, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 3420, 1077, 6277, 741, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3029, 25684, 'Last Titan Utenus', 'Raid Boss', 'lesser_giant_mage', 40.00, 70.00, 83, 'male', 'L2RaidBoss', 'Fighter', 40, 309427, 7.500, 1777, 2.700, 40, 43, 30, 21, 20, 10, 4158609, 574729, 10904, 2384, 10558, 2016, 253, 0, 3819, 3938, 0, 0, 110, 230, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3030, 25685, 'Utenus\'s Wizard', 'Raid Fighter', 'lesser_giant', 40.00, 80.00, 82, 'male', 'L2Minion', 'Mystic', 40, 32842, 7.500, 1743, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 3420, 1077, 6277, 741, 253, 0, 500, 3938, 0, 0, 110, 230, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3031, 25686, 'Utenus\'s Guard', 'Raid Fighter', 'leogul', 15.00, 35.00, 82, 'male', 'L2Minion', 'Fighter', 40, 49018, 7.500, 1743, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 3420, 1077, 6277, 741, 253, 0, 500, 0, 0, 0, 110, 230, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3032, 25687, 'Hekaton Prime', 'Raid Boss', 'susceptor', 20.00, 35.00, 83, 'male', 'L2RaidBoss', 'Fighter', 40, 431893, 7.500, 1777, 2.700, 40, 43, 30, 21, 20, 10, 5614732, 1265702, 10904, 2384, 10558, 2016, 253, 0, 3819, 0, 0, 0, 110, 230, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3033, 25688, 'Hekaton Cottus', 'Raid Fighter', 'gamlin', 11.00, 32.00, 83, 'male', 'L2Minion', 'Fighter', 40, 46298, 7.500, 1777, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 3420, 1077, 6277, 741, 253, 0, 500, 0, 0, 0, 110, 230, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3034, 25689, 'Hekaton Chires', 'Raid Fighter', 'lesser_giant', 40.00, 70.00, 83, 'male', 'L2Minion', 'Fighter', 40, 69102, 7.500, 1777, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 3420, 1077, 6277, 741, 253, 0, 500, 3938, 0, 0, 110, 230, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3035, 25690, 'Aenkinel', 'Invader of Dream', NULL, 15.00, 30.00, 81, 'male', 'L2RaidBoss', 'Aenkinel', 40, 436294, 7.500, 18120, 2.700, 40, 43, 30, 21, 20, 10, 3327990, 394141, 20877, 6720, 39426, 7580, 506, 0, 3819, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3036, 25691, 'Aenkinel', 'Invader of Dream', NULL, 15.00, 30.00, 81, 'male', 'L2RaidBoss', 'Aenkinel', 40, 436294, 7.500, 18120, 2.700, 40, 43, 30, 21, 20, 10, 3327990, 394141, 20877, 6720, 39426, 7580, 506, 0, 3819, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3037, 25692, 'Aenkinel', 'Invader of Dream', NULL, 15.00, 30.00, 81, 'male', 'L2RaidBoss', 'Aenkinel', 40, 436294, 7.500, 18120, 2.700, 40, 43, 30, 21, 20, 10, 3327990, 394141, 20877, 6720, 39426, 7580, 506, 0, 3819, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3038, 25693, 'Aenkinel', 'Invader of Dream', NULL, 15.00, 30.00, 81, 'male', 'L2RaidBoss', 'Aenkinel', 40, 436294, 7.500, 18120, 2.700, 40, 43, 30, 21, 20, 10, 3327990, 394141, 20877, 6720, 39426, 7580, 506, 0, 3819, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3039, 25694, 'Aenkinel', 'Invader of Dream', NULL, 15.00, 30.00, 82, 'male', 'L2RaidBoss', 'Aenkinel', 40, 436294, 7.500, 18120, 2.700, 40, 43, 30, 21, 20, 10, 37775745, 1117041, 32991, 7005, 43584, 7900, 506, 0, 3819, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3040, 25695, 'Aenkinel', 'Invader of Dream', NULL, 15.00, 30.00, 84, 'male', 'L2RaidBoss', 'Aenkinel', 40, 449514, 7.500, 19170, 2.700, 40, 43, 30, 21, 20, 10, 42720365, 1206690, 33044, 8044, 47396, 8228, 506, 1500, 3819, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3041, 29001, 'Queen Ant', '', 'queen_ant', 45.00, 53.00, 40, 'female', 'QueenAnt', 'Mystic', 40, 152622, 5.400, 334, 2.070, 60, 57, 73, 76, 70, 80, 2179536, 140740, 329, 1615, 77, 655, 253, 0, 1972, 0, 0, 0, 129, 372, 'queen_ant_clan', 1000, 0, 0, 0, 300, 30, 7, 40, 0, -18, 0.37, 'false', 'NONE', 1, 0),
	(3042, 29002, 'Queen Ant Larva', '', 'ant_larva', 12.00, 8.00, 38, 'male', 'QueenAntLarva', 'Fighter', 40, 935, 5.200, 350, 2.010, 40, 43, 30, 21, 20, 20, 0, 0, 135, 151, 62, 119, 253, 0, 500, 0, 0, 0, 40, 60, 'queen_ant_clan', 1, 0, 0, 0, 7, 30, 7, 40, 0, 0, 0.35, 'false', 'NONE', 0, 0),
	(3043, 29003, 'Nurse Ant', '', 'ant', 26.00, 15.00, 35, 'male', 'L2Minion', 'Queen_Ant_Nurse', 40, 6320, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 0, 0, 940, 678, 398, 275, 253, 0, 500, 0, 0, 0, 40, 130, 'queen_ant_clan', 2500, 0, 0, 0, 7, 30, 7, 40, 0, 0, 0.26, 'false', 'NONE', 1, 0),
	(3044, 29004, 'Guard Ant', '', 'ant', 26.00, 15.00, 37, 'male', 'L2SpecialMonster', 'Fighter', 40, 6862, 5.100, 480, 1.980, 40, 43, 30, 21, 20, 20, 0, 0, 269, 728, 62, 295, 253, 500, 500, 0, 0, 0, 40, 230, 'queen_ant_clan', 1500, 0, 0, 0, 7, 30, 7, 40, 0, 0, 0.26, 'false', 'NONE', 1, 0),
	(3045, 29005, 'Royal Guard Ant', '', 'ant', 26.00, 15.00, 39, 'male', 'L2Minion', 'Fighter', 40, 11141, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 0, 0, 1813, 781, 1115, 317, 253, 0, 500, 0, 0, 0, 40, 230, 'queen_ant_clan', 1000, 0, 0, 0, 7, 30, 7, 40, 0, 0, 0.26, 'false', 'NONE', 1, 0),
	(3046, 29006, 'Core', '', 'core', 140.00, 75.00, 50, 'male', 'L2Boss', 'Core', 40, 413252, 6.400, 1897, 2.370, 60, 57, 73, 76, 70, 80, 2041407, 153786, 1195, 2227, 1572, 904, 253, 0, 1972, 0, 0, 0, 80, 120, 'curma_core_clan', 2500, 0, 0, 0, 10, 30, 7, 40, 0, -18, 0.60, 'false', 'NONE', 1, 1),
	(3047, 29007, 'Death Knight', '', 'death_knight', 12.00, 30.00, 50, 'male', 'L2Minion', 'Fighter', 40, 21831, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 0, 1, 678, 1113, 289, 452, 253, 1050, 500, 75, 0, 0, 27, 110, 'curma_core_clan', 2300, 0, 0, 0, 7, 30, 7, 40, 0, 0, 0.71, 'false', 'NONE', 1, 0),
	(3048, 29008, 'Doom Wraith', '', 'death_blader', 15.00, 45.00, 55, 'male', 'L2Minion', 'Fighter', 40, 25299, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 0, 1, 805, 1289, 835, 523, 253, 950, 500, 1472, 0, 0, 100, 230, 'curma_core_clan', 700, 0, 0, 0, 7, 30, 7, 40, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(3049, 29009, 'Dicor', '', 'mandragora_b', 12.00, 25.50, 47, 'female', 'L2SpecialMonster', 'Fighter', 40, 19820, 6.100, 738, 2.280, 40, 43, 30, 21, 20, 20, 0, 1, 577, 1016, 162, 412, 253, 650, 500, 0, 0, 0, 80, 120, 'curma_core_clan', 800, 0, 0, 0, 7, 30, 7, 40, 0, 0, 0.13, 'false', 'NONE', 1, 0),
	(3050, 29010, 'Validus', '', 'grave', 15.00, 29.00, 46, 'male', 'L2SpecialMonster', 'Fighter', 40, 19165, 6.000, 708, 2.250, 40, 43, 30, 21, 20, 20, 0, 1, 545, 984, 154, 400, 253, 750, 500, 0, 0, 0, 70, 110, 'curma_core_clan', 1200, 0, 0, 0, 7, 30, 7, 40, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(3051, 29011, 'Susceptor', '', 'susceptor', 20.00, 35.00, 49, 'male', 'L2Minion', 'Fighter', 40, 21155, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 0, 1, 642, 1081, 271, 438, 253, 850, 500, 0, 0, 0, 27, 150, 'curma_core_clan', 1500, 0, 0, 0, 7, 30, 7, 40, 0, 0, 0.43, 'false', 'NONE', 1, 0),
	(3052, 29012, 'Perum', '', 'iron_golem', 18.00, 34.00, 48, 'male', 'L2SpecialMonster', 'Mystic', 40, 20483, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 0, 1, 611, 1048, 173, 426, 253, 750, 500, 0, 0, 0, 20, 20, 'curma_core_clan', 800, 0, 0, 0, 7, 30, 7, 40, 0, 0, 0.41, 'false', 'NONE', 1, 0),
	(3053, 29013, 'Premo', '', 'troll', 21.00, 35.00, 45, 'male', 'L2SpecialMonster', 'Fighter', 40, 18519, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 0, 1, 514, 953, 144, 387, 253, 0, 500, 0, 0, 0, 55, 110, 'curma_core_clan', 1200, 0, 0, 0, 7, 30, 7, 40, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(3054, 29014, 'Orfen', '', 'orfen', 35.00, 143.00, 50, 'female', 'Orfen', 'Orfen', 40, 413252, 6.400, 1897, 2.370, 60, 57, 73, 76, 70, 80, 2041407, 153786, 1195, 2227, 1572, 904, 253, 500, 1972, 0, 0, 0, 97, 372, 'orfen_clan', 3000, 0, 0, 0, 300, 30, 7, 40, 0, -18, 0.71, 'false', 'NONE', 1, 0),
	(3055, 29015, 'Raikel', '', 'raikel', 37.00, 64.00, 48, 'male', 'L2SpecialMonster', 'Mystic', 40, 10242, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 0, 1, 489, 1048, 109, 426, 253, 0, 500, 0, 0, 0, 60, 230, 'orfen_clan', 2500, 0, 0, 0, 7, 30, 7, 40, 0, 0, 0.54, 'false', 'NONE', 1, 0),
	(3056, 29016, 'Raikel Leos', '', 'raikel', 37.00, 64.00, 49, 'male', 'L2Minion', 'Fighter', 40, 10577, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 0, 1, 1737, 1081, 1745, 438, 253, 0, 500, 0, 0, 0, 60, 230, 'orfen_clan', 2700, 0, 0, 0, 7, 30, 15, 40, 0, 0, 0.54, 'false', 'NONE', 1, 0),
	(3057, 29017, 'Riba', '', 'riba', 25.00, 72.00, 48, 'female', 'L2SpecialMonster', 'Mystic', 40, 10242, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 0, 1, 489, 1048, 109, 426, 253, 0, 500, 0, 0, 0, 60, 230, 'orfen_clan', 2700, 0, 0, 0, 7, 30, 7, 40, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(3058, 29018, 'Riba Iren', '', 'riba', 25.00, 72.00, 49, 'female', 'L2SpecialMonster', 'Orfen_RibaIren', 40, 21155, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 0, 1, 1752, 1081, 4358, 438, 253, 500, 500, 0, 0, 0, 60, 230, 'orfen_clan', 2900, 0, 0, 0, 7, 30, 7, 40, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(3059, 29019, 'Antharas', '', 'antaras', 300.00, 300.00, 79, 'male', 'L2Boss', 'Antharas', 40, 11850000, 9.300, 19980, 3.240, 60, 57, 73, 76, 70, 80, 262720918, 29116376, 13308, 8064, 28099, 10000, 253, 2000, 2362, 0, 0, 0, 81, 301, 'antharas_clan', 2000, 0, 0, 0, 14, 30, 4, 40, 0, -18, 0.60, 'false', 'NONE', 0, 1),
	(3060, 29020, 'Baium', '', 'baium', 65.00, 174.00, 75, 'male', 'L2Boss', 'Baium', 40, 4068372, 8.900, 2034186, 3.120, 60, 57, 73, 76, 70, 80, 10253400, 1081544, 10000, 10500, 9000, 9500, 253, 1000, 2362, 0, 0, 0, 129, 194, '', 0, 0, 0, 0, 13, 30, 4, 40, 0, -25, 0.60, 'false', 'NONE', 0, 1),
	(3061, 29021, 'Archangel', '', 'archangel', 15.00, 80.00, 74, 'male', 'L2Minion', 'Fighter', 80, 295326, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 6571, 343, 2706, 8326, 980, 3050, 253, 500, 2362, 93, 0, 0, 50, 170, '', 0, 0, 0, 0, 7, 30, 4, 40, 0, -25, 0.76, 'false', 'SOUL_BSPIRIT', 0, 0),
	(3062, 29022, 'Zaken', '', 'zaken', 16.00, 32.00, 60, 'male', 'L2Boss', 'Zaken', 40, 569941, 7.400, 199800, 2.670, 60, 57, 73, 76, 70, 80, 4879746, 423589, 7273, 2952, 19762, 1598, 253, 500, 2362, 0, 0, 0, 68, 275, '', 0, 0, 0, 0, 300, 30, 4, 40, 0, -18, 0.59, 'false', 'NONE', 1, 1),
	(3063, 29023, 'Doll Blader', '', 'doll_blader', 6.00, 12.00, 58, 'male', 'L2Monster', 'Fighter', 40, 2888, 7.200, 924, 2.610, 40, 43, 30, 21, 20, 20, 0, 0, 851, 384, 459, 312, 253, 150, 500, 5129, 0, 0, 22, 150, '', 0, 0, 0, 0, 7, 30, 4, 40, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(3064, 29024, 'Vale master', '', 'vale_master', 12.00, 40.00, 59, 'male', 'L2Monster', 'Fighter', 40, 2970, 7.300, 956, 2.640, 40, 43, 30, 21, 20, 20, 0, 0, 894, 395, 484, 320, 253, 150, 500, 0, 0, 0, 70, 155, '', 0, 0, 0, 0, 7, 30, 4, 40, 0, 0, 0.74, 'false', 'NONE', 0, 0),
	(3065, 29025, 'Baium', '', 'baium_npc', 65.00, 82.00, 75, 'male', 'L2Npc', 'BaiumNpc', 40, 2700852, 8.900, 19980, 3.120, 60, 57, 73, 76, 70, 80, 0, 0, 3658, 5412, 2123, 4005, 253, 0, 2901, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, -18, 0.60, 'false', 'NONE', 0, 0),
	(3066, 29026, 'Pirate Zombie Captain', '', 'pirates_zombie_captain', 17.00, 28.00, 60, 'male', 'L2Monster', 'Fighter', 40, 3054, 7.400, 892, 2.670, 40, 43, 30, 21, 20, 20, 0, 0, 939, 405, 510, 329, 253, 150, 500, 232, 0, 0, 14, 140, '', 0, 0, 0, 0, 7, 10, 8, 40, 0, 0, 0.76, 'false', 'NONE', 0, 0),
	(3067, 29027, 'Pirate Zombie', '', 'pirates_zombie', 10.00, 23.00, 57, 'male', 'L2Monster', 'Mystic', 40, 2806, 7.100, 648, 2.580, 40, 43, 30, 21, 20, 20, 0, 0, 809, 374, 435, 303, 253, 150, 500, 225, 0, 0, 11, 140, '', 0, 0, 0, 0, 7, 10, 8, 40, 0, 0, 0.74, 'false', 'NONE', 0, 0),
	(3068, 29028, 'Valakas', '', 'valakas', 190.00, 335.00, 85, 'male', 'L2Boss', 'Valakas', 40, 11850000, 9.900, 1998000, 3.420, 60, 57, 73, 76, 70, 80, 284286178, 27215401, 18495, 7999, 36620, 10500, 253, 1500, 2362, 0, 0, 0, 194, 486, 'valakas_clan', 300, 0, 0, 0, 21, 30, 4, 40, 0, -18, 0.60, 'false', 'NONE', 0, 1),
	(3069, 29029, 'Elderly Lavasaurus', 'Family of Valakas', 'golem', 13.00, 75.00, 84, 'male', 'L2SpecialMonster', 'PaganGuard', 1100, 4820, 9.700, 1953, 3.360, 40, 43, 30, 21, 20, 20, 0, 0, 10652, 626, 1332, 508, 253, 1200, 500, 0, 0, 0, 1, 1, 'valakas_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.48, 'false', 'NONE', 1, 0),
	(3070, 29030, 'Fenril Hound Kerinne', 'Family of Valakas', 'bandersnatch_20_bi', 21.00, 30.00, 84, 'male', 'L2RaidBoss', 'Fighter', 40, 165246, 9.800, 1840, 3.390, 60, 57, 73, 76, 70, 80, 2407887, 1226568, 10699, 4640, 10558, 2057, 253, 1500, 3819, 0, 0, 0, 30, 200, 'fire_clan', 300, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.49, 'false', 'NONE', 1, 1),
	(3071, 29031, 'Kerinne\'s Ifrit', '', 'ifrit', 10.00, 42.00, 84, 'male', 'L2Minion', 'Priest', 40, 32625, 9.400, 1785, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10744, 2846, 6038, 2409, 253, 1500, 500, 0, 0, 0, 38, 170, 'fire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(3072, 29032, 'Kerinne\'s Golem', '', 'lava_golem', 22.00, 45.00, 84, 'male', 'L2Minion', 'Fighter', 40, 4510, 9.400, 1785, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 13724, 3399, 7724, 2874, 253, 1500, 500, 0, 0, 0, 13, 60, 'fire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.47, 'false', 'NONE', 1, 0),
	(3073, 29033, 'Fenril Hound Freki', 'Family of Valakas', 'bandersnatch_20_bi', 21.00, 30.00, 84, 'male', 'L2RaidBoss', 'Fighter', 40, 167278, 9.600, 1896, 3.330, 60, 57, 73, 76, 70, 80, 2434088, 1257012, 10997, 4744, 10896, 2057, 253, 1500, 3819, 0, 0, 0, 30, 200, 'fire_clan', 300, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.49, 'false', 'NONE', 1, 1),
	(3074, 29034, 'Freki\'s Ifrit', '', 'ifrit', 10.00, 42.00, 84, 'male', 'L2Minion', 'Mystic', 40, 33049, 9.500, 1840, 3.300, 40, 43, 30, 21, 20, 20, 0, 0, 13758, 2906, 8817, 2460, 253, 1500, 500, 0, 0, 0, 38, 170, 'fire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(3075, 29035, 'Freki\'s Golem', '', 'lava_golem', 22.00, 45.00, 84, 'male', 'L2Minion', 'Fighter', 40, 33049, 9.500, 1840, 3.300, 40, 43, 30, 21, 20, 20, 0, 0, 11160, 2906, 6277, 2460, 253, 1500, 500, 0, 0, 0, 13, 60, 'fire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.47, 'false', 'NONE', 1, 0),
	(3076, 29036, 'Fenril Hound Uruz', 'Family of Valakas', 'bandersnatch_20_bi', 21.00, 30.00, 84, 'male', 'L2RaidBoss', 'Fighter', 40, 338435, 9.700, 1953, 3.360, 60, 57, 73, 76, 70, 80, 2466262, 1289662, 22594, 4848, 11233, 2057, 253, 1500, 3819, 0, 0, 0, 30, 200, 'fire_clan', 300, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.49, 'false', 'NONE', 1, 1),
	(3077, 29037, 'Fenril Hound Kinaz', 'Family of Valakas', 'bandersnatch_20_bi', 21.00, 30.00, 84, 'male', 'L2RaidBoss', 'Fighter', 40, 171061, 9.800, 2011, 3.390, 60, 57, 73, 76, 70, 80, 2504880, 1322688, 11600, 4953, 11569, 2057, 253, 1500, 3819, 0, 0, 0, 30, 200, 'fire_clan', 300, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.49, 'false', 'NONE', 1, 1),
	(3078, 29038, 'Kinaz\'s Ifrit', '', 'ifrit', 10.00, 42.00, 84, 'male', 'L2Minion', 'Mystic', 40, 33049, 9.500, 1840, 3.300, 40, 43, 30, 21, 20, 20, 0, 0, 13758, 3399, 8817, 2874, 253, 1500, 500, 0, 0, 0, 38, 170, 'fire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(3079, 29039, 'Kinaz\'s Ifrit', '', 'ifrit', 10.00, 42.00, 84, 'male', 'L2Minion', 'Priest', 40, 33049, 9.500, 1840, 3.300, 40, 43, 30, 21, 20, 20, 0, 0, 11160, 2906, 6277, 2460, 253, 1500, 500, 0, 0, 0, 38, 170, 'fire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(3080, 29040, 'Wings of Flame, Ixion', 'Gatekeeper of Valakas', 'inferno_drake_20_bi', 29.00, 42.00, 84, 'male', 'L2RaidBoss', 'Fighter', 40, 345612, 9.900, 2070, 3.420, 60, 57, 73, 76, 70, 80, 2535975, 1356048, 23813, 5057, 11902, 2057, 253, 1500, 3819, 0, 0, 0, 57, 200, 'fire_clan', 300, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.48, 'false', 'NONE', 1, 1),
	(3081, 29041, 'Inferno Golem', '', 'lava_golem', 22.00, 45.00, 84, 'male', 'L2Minion', 'Fighter', 40, 33049, 9.500, 1840, 3.300, 40, 43, 30, 21, 20, 20, 0, 0, 20688, 2906, 19842, 2460, 253, 1500, 500, 0, 0, 0, 13, 60, 'fire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.47, 'false', 'NONE', 1, 0),
	(3082, 29042, 'Inferno Golem', '', 'lava_golem', 22.00, 45.00, 84, 'male', 'L2Minion', 'Fighter', 40, 33049, 9.500, 1840, 3.300, 40, 43, 30, 21, 20, 20, 0, 0, 13724, 3399, 7724, 2874, 253, 1500, 500, 0, 0, 0, 13, 60, 'fire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.47, 'false', 'NONE', 1, 0),
	(3083, 29043, 'Howling Ifrit', '', 'ifrit', 10.00, 42.00, 84, 'male', 'L2Minion', 'Mystic', 40, 33049, 9.500, 1840, 3.300, 40, 43, 30, 21, 20, 20, 0, 0, 11160, 2906, 6277, 2460, 253, 1500, 500, 0, 0, 0, 38, 170, 'fire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(3084, 29044, 'Howling Ifrit', '', 'ifrit', 10.00, 42.00, 84, 'male', 'L2Minion', 'Priest', 40, 33049, 9.500, 1840, 3.300, 40, 43, 30, 21, 20, 20, 0, 0, 13758, 3399, 8817, 2874, 253, 1500, 500, 0, 0, 0, 38, 170, 'fire_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(3085, 29045, 'Frintezza', '', 'frintessa', 45.00, 42.70, 85, 'male', 'L2Npc', 'npc', 40, 525571, 9.900, 23579, 3.420, 60, 57, 73, 76, 43, 80, 0, 0, 6427, 6926, 1116, 5638, 253, 0, 500, 0, 0, 0, 38, 170, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 0, 1),
	(3086, 29046, 'Scarlet van Halisha', '', 'follower_of_frintessa', 45.00, 90.70, 85, 'male', 'L2Boss', 'Scarlet', 40, 1216600, 9.900, 11100, 3.420, 60, 57, 73, 76, 43, 80, 0, 0, 4141, 1723, 1298, 2974, 253, 6000, 3819, 8204, 0, 0, 55, 132, 'frintezza_clan', 6000, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 1),
	(3087, 29047, 'Scarlet van Halisha', '', 'follower_of_frintessa_tran', 92.00, 112.80, 85, 'male', 'L2Boss', 'Scarlet', 40, 1824900, 9.900, 23310, 3.420, 60, 57, 73, 76, 43, 80, 111550355, 9525390, 11740, 2010, 8082, 3123, 253, 6000, 3819, 8222, 0, 0, 92, 187, 'frintezza_clan', 6000, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 1),
	(3088, 29048, 'Evil Spirit', '', 'Evilate', 40.00, 100.00, 84, 'female', 'L2SpecialMonster', 'Fighter', 40, 101713, 9.800, 2192, 3.390, 40, 43, 30, 21, 20, 20, 0, 0, 2150, 2673, 1031, 1978, 253, 6000, 500, 0, 0, 0, 80, 120, 'frintezza_clan', 6000, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3089, 29049, 'Evil Spirit', '', 'Evilate', 40.00, 100.00, 84, 'female', 'L2SpecialMonster', 'Fighter', 40, 101713, 9.800, 2192, 3.390, 40, 43, 30, 21, 20, 20, 0, 0, 2150, 2673, 1031, 1978, 253, 6000, 500, 0, 0, 0, 80, 120, 'frintezza_clan', 6000, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3090, 29050, 'Breath of Halisha', '', 'portrait_spirit', 23.00, 40.00, 84, 'male', 'L2SpecialMonster', 'Fighter', 40, 15956, 9.800, 20696, 3.390, 40, 43, 30, 21, 20, 20, 0, 0, 2044, 1048, 957, 776, 253, 6000, 500, 0, 0, 0, 55, 66, 'frintezza_clan', 6000, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3091, 29051, 'Breath of Halisha', '', 'portrait_spirit_winged', 23.00, 40.00, 84, 'male', 'L2SpecialMonster', 'Fighter', 40, 15956, 9.800, 20696, 3.390, 40, 43, 30, 21, 20, 20, 0, 0, 2044, 1048, 957, 776, 253, 6000, 500, 0, 0, 0, 55, 66, 'frintezza_clan', 6000, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3092, 29052, '', '', 'ti_mi_tran', 23.00, 90.00, 84, 'female', 'L2Npc', 'Turnir', 40, 4862, 9.900, 2070, 3.420, 40, 43, 30, 21, 20, 20, 0, 0, 2044, 6309, 957, 5122, 253, 0, 2901, 0, 0, 0, 12, 12, 'all_elemental_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(3093, 29053, '', '', 'Follower_Dummy', 1.00, 58.00, 84, 'female', 'L2SpecialMonster', 'Fighter', 40, 4862, 11.300, 2070, 3.840, 40, 43, 30, 21, 20, 20, 0, 0, 2044, 6309, 957, 5122, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3094, 29054, 'Benom', 'Triol\'s Leader', 'benom', 20.00, 56.00, 75, 'male', 'L2RaidBoss', 'Fighter', 40, 898044, 8.900, 4519, 3.120, 60, 57, 73, 76, 70, 80, 2499951, 1757872, 16973, 4189, 31648, 1702, 253, 0, 3819, 8203, 8203, 0, 80, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.43, 'false', 'NONE', 1, 1),
	(3095, 29055, 'Teleportation Cubic', '', 'teleport_npc', 40.00, 80.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 6000, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3096, 29056, 'Ice Fairy Sirra', 'Raid Boss', 'ice_fairy', 16.00, 35.60, 60, 'female', 'L2RaidBoss', 'Fighter', 40, 125057, 7.400, 1151, 2.670, 60, 57, 73, 76, 70, 80, 1610848, 371722, 3860, 2952, 2006, 1190, 253, 500, 1972, 0, 0, 0, 50, 275, 'demonic_clan', 300, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.43, 'false', 'NONE', 0, 1),
	(3097, 29057, 'Sirra\'s Page', 'Raid Fighter', 'sylph_110p', 12.00, 39.70, 59, 'female', 'L2Minion', 'Fighter', 40, 12200, 7.300, 1118, 2.640, 40, 43, 30, 21, 20, 20, 0, 0, 2080, 1437, 484, 584, 253, 0, 500, 0, 0, 0, 50, 278, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.10, 'false', 'NONE', 0, 0),
	(3098, 29058, 'Sirra\'s Beholder', 'Raid Fighter', 'field_stalker_20_bi', 18.00, 36.00, 59, 'male', 'L2Minion', 'Fighter', 40, 6100, 7.300, 1118, 2.640, 40, 43, 30, 21, 20, 20, 0, 0, 2080, 1437, 484, 584, 253, 0, 500, 0, 0, 0, 50, 278, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.10, 'false', 'NONE', 0, 0),
	(3099, 29059, '', '', 'clear_npc', 0.10, 0.10, 80, 'male', 'L2Npc', 'npc', 40, 5054, 8.400, 2152, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 2076, 642, 1015, 521, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3100, 29060, 'Captain of the Ice Queen\'s Royal Guard', 'Raid Boss', 'gargoyle_02te_120p', 19.00, 61.00, 59, 'male', 'L2RaidBoss', 'Fighter', 40, 104571, 7.300, 1118, 2.640, 60, 57, 73, 76, 70, 80, 1749007, 397080, 3750, 2875, 1998, 1159, 253, 0, 3819, 0, 0, 0, 50, 275, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.46, 'false', 'NONE', 1, 1),
	(3101, 29061, 'Teleportation Cubic', '', 'teleport_npc_frin', 40.00, 80.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 500, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3102, 29062, 'Andreas Van Halter', 'Seer of Pagan', 'heretic_priest_110p', 9.00, 21.30, 80, 'male', 'L2RaidBoss', 'Fighter', 40, 182819, 9.400, 2277, 3.270, 60, 57, 73, 76, 70, 80, 2915973, 2380617, 6304, 5343, 2560, 1895, 253, 500, 1972, 8208, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.60, 'false', 'NONE', 1, 1),
	(3103, 29063, 'Andreas\' Acolyte', 'Raid Fighter', 'heretic_privates', 7.70, 28.40, 80, 'male', 'L2Minion', 'Fighter', 40, 24148, 10.000, 2214, 3.450, 40, 43, 30, 21, 20, 20, 0, 0, 16332, 2846, 11578, 2409, 253, 500, 500, 8205, 0, 0, 50, 278, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.10, 'false', 'NONE', 1, 0),
	(3104, 29064, 'Andreas\' Acolyte', 'Raid Fighter', 'heretic_privates_a', 7.70, 28.40, 80, 'male', 'L2Minion', 'Fighter', 40, 35930, 9.900, 2152, 3.420, 40, 43, 30, 21, 20, 20, 0, 0, 11893, 2846, 6237, 2409, 253, 500, 500, 8207, 8207, 0, 50, 278, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.10, 'false', 'NONE', 1, 0),
	(3105, 29065, 'Sailren', 'Sealed Evil Power', 'sailren', 100.00, 82.10, 80, 'male', 'L2Boss', 'Fighter', 40, 1088717, 9.400, 2277, 3.270, 60, 57, 73, 76, 70, 80, 4569145, 592766, 17006, 2240, 24162, 1895, 253, 0, 2901, 0, 0, 0, 26, 190, '0', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.50, 'false', 'NONE', 1, 1),
	(3106, 29066, 'Antharas', '', 'antaras', 300.00, 300.00, 79, 'male', 'L2Boss', 'Antharas', 40, 9638000, 9.300, 1998000, 3.240, 60, 57, 73, 76, 70, 80, 262720918, 29116376, 13308, 8064, 28099, 10000, 253, 2000, 2362, 0, 0, 0, 81, 301, 'antharas_clan', 2000, 0, 0, 0, 14, 30, 4, 40, 0, -18, 0.60, 'false', 'NONE', 0, 1),
	(3107, 29067, 'Antharas', '', 'antaras', 300.00, 300.00, 79, 'male', 'L2Boss', 'Antharas', 40, 10744000, 9.300, 1998000, 3.240, 60, 57, 73, 76, 70, 80, 354676030, 39307416, 13308, 8064, 28099, 10000, 253, 2000, 2362, 0, 0, 0, 81, 301, 'antharas_clan', 2000, 0, 0, 0, 14, 30, 4, 40, 0, -18, 0.60, 'false', 'NONE', 0, 1),
	(3108, 29068, 'Antharas', '', 'antaras', 300.00, 300.00, 79, 'male', 'L2Boss', 'Antharas', 40, 11850000, 9.300, 1998000, 3.240, 60, 57, 73, 76, 70, 80, 446624683, 49497740, 13308, 8064, 28099, 10000, 253, 2000, 2362, 0, 0, 0, 81, 301, 'antharas_clan', 2000, 0, 0, 0, 14, 30, 4, 40, 0, -18, 0.60, 'false', 'NONE', 0, 1),
	(3109, 29069, 'Behemoth Dragon', '', 'antaras_ex_a', 63.00, 54.00, 78, 'male', 'L2SpecialMonster', 'BehemothDragon', 40, 232414, 9.200, 1784, 3.210, 60, 57, 73, 76, 70, 80, 0, 0, 6480, 2270, 4247, 2219, 253, 2000, 500, 0, 0, 0, 78, 245, 'antharas_clan', 2000, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.52, 'true', 'SOUL_BSPIRIT', 0, 0),
	(3110, 29070, 'Dragon Bomber', '', 'antaras_ex_b_80p', 37.00, 28.00, 78, 'male', 'L2SpecialMonster', 'Fighter', 40, 1580, 9.200, 1784, 3.210, 60, 57, 73, 76, 70, 80, 0, 0, 1701, 556, 788, 451, 253, 2000, 500, 0, 0, 0, 78, 170, 'antharas_clan', 2000, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.52, 'true', 'SOUL_BSPIRIT', 0, 0),
	(3111, 29071, 'Dragon Bomber', '', 'antaras_ex_b_80p', 37.00, 28.00, 78, 'male', 'L2SpecialMonster', 'Fighter', 40, 1580, 9.200, 1784, 3.210, 60, 57, 73, 76, 70, 80, 0, 0, 1701, 556, 788, 451, 253, 2000, 500, 0, 0, 0, 78, 170, 'antharas_clan', 2000, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.52, 'true', 'SOUL_BSPIRIT', 0, 0),
	(3112, 29072, 'Dragon Bomber', '', 'antaras_ex_b_80p', 37.00, 28.00, 78, 'male', 'L2SpecialMonster', 'Fighter', 40, 1580, 9.200, 1784, 3.210, 60, 57, 73, 76, 70, 80, 0, 0, 1701, 556, 788, 451, 253, 2000, 500, 0, 0, 0, 78, 170, 'antharas_clan', 2000, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.52, 'true', 'SOUL_BSPIRIT', 0, 0),
	(3113, 29073, 'Dragon Bomber', '', 'antaras_ex_b_80p', 37.00, 28.00, 78, 'male', 'L2SpecialMonster', 'Fighter', 40, 1580, 9.200, 1784, 3.210, 60, 57, 73, 76, 70, 80, 0, 0, 1701, 556, 788, 451, 253, 2000, 500, 0, 0, 0, 78, 170, 'antharas_clan', 2000, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.52, 'true', 'SOUL_BSPIRIT', 0, 0),
	(3114, 29074, 'Dragon Bomber', '', 'antaras_ex_b_80p', 37.00, 28.00, 78, 'male', 'L2SpecialMonster', 'Fighter', 40, 1580, 9.200, 1784, 3.210, 60, 57, 73, 76, 70, 80, 0, 0, 1701, 556, 788, 451, 253, 2000, 500, 0, 0, 0, 78, 170, 'antharas_clan', 2000, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.52, 'false', 'SOUL_BSPIRIT', 0, 0),
	(3115, 29075, 'Dragon Bomber', '', 'antaras_ex_b_80p', 37.00, 28.00, 78, 'male', 'L2SpecialMonster', 'Fighter', 40, 1580, 9.200, 1784, 3.210, 60, 57, 73, 76, 70, 80, 0, 0, 1701, 556, 788, 451, 253, 2000, 500, 0, 0, 0, 78, 170, 'antharas_clan', 2000, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.52, 'true', 'SOUL_BSPIRIT', 0, 0),
	(3116, 29076, 'Dragon Bomber', '', 'antaras_ex_b', 42.00, 34.50, 78, 'male', 'L2SpecialMonster', 'Fighter', 40, 1580, 9.200, 1784, 3.210, 60, 57, 73, 76, 70, 80, 0, 0, 1701, 556, 788, 451, 253, 2000, 500, 0, 0, 0, 78, 170, 'antharas_clan', 2000, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.52, 'true', 'SOUL_BSPIRIT', 0, 0),
	(3117, 29077, '', '', 'clear_npc', 0.10, 0.10, 78, 'male', 'L2Npc', 'npc', 40, 4429, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3118, 29078, '', '', 'clear_npc', 0.10, 0.10, 78, 'male', 'L2Npc', 'npc', 40, 4429, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3119, 29079, '', '', 'clear_npc', 0.10, 0.10, 78, 'male', 'L2Npc', 'npc', 40, 4429, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3120, 29080, '', '', 'clear_npc', 0.10, 0.10, 78, 'male', 'L2Npc', 'npc', 40, 4429, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3121, 29081, '', '', 'clear_npc', 0.10, 0.10, 78, 'male', 'L2Npc', 'npc', 40, 4429, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3122, 29082, '', '', 'clear_npc', 0.10, 0.10, 78, 'male', 'L2Npc', 'npc', 40, 4429, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3123, 29083, '', '', 'clear_npc', 0.10, 0.10, 78, 'male', 'L2Npc', 'npc', 40, 4429, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3124, 29084, '', '', 'clear_npc', 0.10, 0.10, 78, 'male', 'L2Npc', 'npc', 40, 4429, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3125, 29085, '', '', 'clear_npc', 0.10, 0.10, 78, 'male', 'L2Npc', 'npc', 40, 4429, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3126, 29086, '', '', 'clear_npc', 0.10, 0.10, 78, 'male', 'L2Npc', 'npc', 40, 4429, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3127, 29087, '', '', 'clear_npc', 0.10, 0.10, 78, 'male', 'L2Npc', 'npc', 40, 4429, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3128, 29088, '', '', 'clear_npc', 0.10, 0.10, 78, 'male', 'L2Npc', 'npc', 40, 4429, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3129, 29089, '', '', 'clear_npc', 0.10, 0.10, 78, 'male', 'L2Npc', 'npc', 40, 4429, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3130, 29090, '', '', 'clear_npc', 0.10, 0.10, 78, 'male', 'L2Npc', 'npc', 40, 4429, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3131, 29091, '', '', 'clear_npc', 0.10, 0.10, 78, 'male', 'L2Npc', 'npc', 40, 4429, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3132, 29092, '', '', 'clear_npc', 0.10, 0.10, 78, 'male', 'L2Npc', 'npc', 40, 4429, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3133, 29093, '', '', 'clear_npc', 0.10, 0.10, 78, 'male', 'L2Npc', 'npc', 40, 4429, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3134, 29094, '', '', 'clear_npc', 0.10, 0.10, 78, 'male', 'L2Npc', 'npc', 40, 4429, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3135, 29095, 'Gordon', 'Knight of Destruction', 'Cruel_Rider', 43.00, 46.60, 80, 'male', 'L2RaidBoss', 'Gordon', 40, 1519614, 9.400, 2277, 3.270, 60, 57, 73, 76, 70, 80, 5885017, 1455305, 17006, 2240, 24162, 1895, 253, 1000, 3819, 2500, 0, 0, 40, 307, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.48, 'false', 'NONE', 1, 1),
	(3136, 29096, 'Anais', 'Lord of Splendor', 'solina_priest_120p', 16.00, 41.80, 80, 'male', 'L2RaidBoss', 'Fighter', 40, 759807, 9.400, 2277, 3.270, 60, 57, 73, 76, 70, 80, 8827525, 2036475, 7659, 2240, 6571, 1895, 253, 1000, 3819, 8214, 0, 0, 60, 160, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.19, 'false', 'NONE', 1, 1),
	(3137, 29097, 'Splendor Disciple', 'Raid Fighter', 'apostle_grail', 13.00, 47.00, 80, 'male', 'L2Minion', 'Fighter', 40, 59620, 9.400, 2214, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 12091, 2846, 6476, 2409, 253, 0, 500, 8221, 0, 0, 30, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -14, 0.19, 'false', 'NONE', 1, 0),
	(3138, 29098, 'Splendor Worshiper', 'Raid Fighter', 'apostle_grail_a', 13.00, 47.00, 80, 'male', 'L2Minion', 'Fighter', 40, 79891, 9.400, 2214, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 12091, 2846, 6476, 2409, 253, 0, 500, 0, 0, 0, 30, 190, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -14, 0.19, 'false', 'NONE', 1, 0),
	(3139, 29099, 'Baylor', 'Warden', 'LineageMonster4.Barler', 54.00, 77.50, 83, 'male', 'L2Boss', 'Baylor', 40, 1703893, 9.700, 111000, 3.360, 60, 57, 73, 76, 70, 80, 3190205, 2191683, 11906, 2435, 17324, 2016, 253, 2000, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 1),
	(3140, 29100, 'Crystal Prison Guard', '', 'LineageMonster4.Eyeless', 36.00, 43.50, 83, 'male', 'L2Monster', 'Fighter', 40, 29600, 9.700, 1973, 3.360, 40, 43, 30, 21, 20, 20, 0, 0, 3626, 974, 1862, 791, 253, 750, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'SOUL', 0, 0),
	(3141, 29101, 'Crystalline Golem', '', 'LineageMonster4.Crystal_Golem', 30.00, 47.00, 83, 'male', 'L2Monster', 'Fighter', 40, 177460, 9.900, 1973, 3.420, 40, 43, 30, 21, 20, 20, 0, 0, 3306, 834, 1862, 704, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3142, 29102, 'Crystalline Golem', '', 'LineageMonster4.Crystal_Golem', 30.00, 47.00, 83, 'male', 'L2Monster', 'Fighter', 40, 4717, 9.900, 1973, 3.420, 40, 43, 30, 21, 20, 20, 0, 0, 3559, 868, 2005, 734, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3143, 29103, 'Baylor', 'Warden', 'LineageMonster4.Barler', 54.00, 77.50, 83, 'male', 'L2Boss', 'Baylor', 40, 4717, 10.100, 1973, 3.480, 40, 43, 30, 21, 20, 20, 0, 0, 11906, 2384, 17324, 2016, 253, 2000, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 1),
	(3144, 29104, 'Crystal Prison Guard', '', 'LineageMonster4.Eyeless', 36.00, 43.50, 83, 'male', 'L2Monster', 'Fighter', 40, 4717, 9.900, 1973, 3.420, 40, 43, 30, 21, 20, 20, 0, 0, 3559, 868, 2005, 734, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3145, 29105, 'Crystalline Golem', '', 'LineageMonster4.Crystal_Golem', 30.00, 47.00, 83, 'male', 'L2Monster', 'Fighter', 40, 4717, 9.900, 1973, 3.420, 40, 43, 30, 21, 20, 20, 0, 0, 3559, 868, 2005, 734, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3146, 29106, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 83, 'male', 'L2Npc', 'npc', 40, 4717, 1.500, 1973, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1943, 609, 901, 494, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3147, 29107, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 83, 'male', 'L2Npc', 'npc', 40, 2, 1.500, 1, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 2, 2, 3, 2, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3148, 29108, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 83, 'male', 'L2Npc', 'npc', 40, 2, 1.500, 1, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 2, 2, 3, 2, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3149, 29109, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 83, 'male', 'L2Npc', 'npc', 40, 2, 1.500, 1, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 2, 2, 3, 2, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3150, 29110, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 83, 'male', 'L2Npc', 'npc', 40, 2, 1.500, 1, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 2, 2, 3, 2, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3151, 29111, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 83, 'male', 'L2Npc', 'npc', 40, 2, 1.500, 1, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 2, 2, 3, 2, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3152, 29112, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 83, 'male', 'L2Npc', 'npc', 40, 2, 1.500, 1, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 2, 2, 3, 2, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3153, 29113, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 83, 'male', 'L2Npc', 'npc', 40, 2, 1.500, 1, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 2, 2, 3, 2, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3154, 29114, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 83, 'male', 'L2Npc', 'npc', 40, 2, 1.500, 1, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 2, 2, 3, 2, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3155, 29115, 'Crystal Prison Guard', '', 'LineageMonster4.eyeless_080p', 30.00, 35.00, 83, 'male', 'L2Npc', 'npc', 40, 4717, 1.500, 1973, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1943, 609, 901, 494, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3156, 29116, 'Baylor\'s Treasure Chest', '', 'LineageMonster.Mimic_even', 8.50, 8.50, 83, 'male', 'L2Monster', 'Fighter', 40, 4717, 9.700, 1973, 3.360, 40, 43, 30, 21, 20, 20, 0, 0, 3306, 834, 1862, 704, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3157, 29117, 'Baylor\'s Treasure Chest', '', 'LineageMonster.Mimic_even', 8.50, 8.50, 83, 'male', 'L2Monster', 'Fighter', 40, 4717, 1.500, 1973, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 3306, 834, 1862, 704, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3158, 29118, 'Beleth', '', 'LineageMonster4.bereth_key', 15.00, 30.00, 87, 'male', 'L2Npc', 'npc', 40, 1106000, 9.800, 1110000, 3.390, 40, 43, 30, 21, 20, 20, 16447437, 1362651, 8378, 1038, 3276, 1270, 253, 800, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3159, 29119, 'Beleth', '', 'LineageMonster4.bereth', 15.00, 30.00, 87, 'male', 'L2Npc', 'npc', 80, 94800, 9.800, 1110000, 3.390, 40, 43, 30, 21, 20, 20, 0, 0, 8378, 1038, 3276, 1270, 253, 800, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3160, 29120, 'Beleth Camera 1', '', 'LineageNPC.clear_npc', 0.10, 0.10, 80, 'male', 'L2Npc', 'npc', 40, 4551, 8.400, 1859, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3161, 29121, 'Beleth Camera 2', '', 'LineageNPC.clear_npc', 0.10, 0.10, 80, 'male', 'L2Npc', 'npc', 40, 4551, 8.400, 1859, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3162, 29122, 'Beleth Camera 3', '', 'LineageNPC.clear_npc', 0.10, 0.10, 80, 'male', 'L2Npc', 'npc', 40, 4551, 8.400, 1859, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3163, 29123, 'Beleth Camera 4', '', 'LineageNPC.clear_npc', 0.10, 0.10, 80, 'male', 'L2Npc', 'npc', 40, 4551, 8.400, 1859, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3164, 29124, 'Beleth Camera 5', '', 'LineageNPC.clear_npc', 0.10, 0.10, 80, 'male', 'L2Npc', 'npc', 40, 4551, 8.400, 1859, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3165, 29125, 'Beleth Camera 6', '', 'LineageNPC2.bereth_entry', 8.50, 25.00, 80, 'male', 'L2Npc', 'npc', 40, 4551, 8.400, 1859, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3166, 29126, 'Beleth Presentation Incarnation 1', '', 'LineageMonster4.bereth', 15.00, 30.00, 80, 'male', 'L2Npc', 'npc', 80, 4551, 8.400, 1859, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3167, 29127, 'Beleth Presentation Incarnation 2', '', 'LineageMonster4.bereth', 15.00, 30.00, 80, 'male', 'L2Npc', 'npc', 80, 4551, 8.400, 1859, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3168, 29128, 'Beleth Presentation Elf', '', 'LineageNPC2.bereth_fake', 7.00, 22.00, 80, 'male', 'L2Npc', 'npc', 40, 4551, 8.400, 1859, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3169, 29129, 'Lost Captain', '', 'LineageMonster.oel_mahum_champion_05te_120p', 16.00, 33.20, 29, 'male', 'L2ReflectionBoss', 'Fighter', 40, 81572, 4.300, 350, 1.740, 60, 57, 73, 76, 70, 80, 5013133, 233765, 702, 1221, 110, 661, 253, 0, 500, 0, 0, 0, 80, 120, 'kamaloka', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(3170, 29130, 'Lost Guard', '', 'LineageMonster.oel_mahum_warrior', 20.00, 38.00, 29, 'male', 'L2Minion', 'Fighter', 40, 5126, 4.300, 350, 1.740, 40, 43, 30, 21, 20, 20, 0, 0, 351, 204, 161, 110, 253, 0, 500, 72, 0, 0, 80, 120, 'kamaloka', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(3171, 29131, 'Lost Assistant Guard', '', 'LineageMonster.oel_mahum_witch_doctor', 15.00, 34.00, 29, 'male', 'L2Minion', 'Priest', 40, 5126, 4.300, 350, 1.740, 40, 43, 30, 21, 20, 20, 0, 0, 234, 204, 110, 110, 253, 0, 500, 201, 0, 0, 80, 120, 'kamaloka', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(3172, 29132, 'Lost Captain', '', 'LineageMonster3.Zenta_Lizardman_Raid_120p', 40.00, 45.00, 39, 'female', 'L2ReflectionBoss', 'Fighter', 40, 133529, 5.300, 514, 2.340, 60, 57, 73, 76, 70, 80, 4952216, 390467, 1625, 1756, 249, 951, 253, 0, 500, 0, 0, 0, 80, 120, 'kamaloka', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(3173, 29133, 'Lost Guard', '', 'LineageMonster.zenta_lizardman_warrior', 13.00, 35.00, 39, 'male', 'L2Minion', 'Fighter', 80, 8184, 5.300, 514, 2.340, 40, 43, 30, 21, 20, 20, 0, 0, 813, 293, 379, 159, 253, 0, 500, 16, 0, 0, 80, 120, 'kamaloka', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(3174, 29134, 'Lost Assistant Guard', '', 'LineageMonster.zenta_lizardman_shaman', 13.00, 35.00, 39, 'male', 'L2Minion', 'Priest', 40, 8184, 5.300, 514, 2.340, 40, 43, 30, 21, 20, 20, 0, 0, 542, 293, 249, 159, 253, 0, 500, 7, 0, 0, 80, 120, 'kamaloka', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(3175, 29135, 'Lost Captain', '', 'LineageMonster3.Steel_Trapper_120p', 45.00, 56.00, 49, 'male', 'L2ReflectionBoss', 'Fighter', 40, 218663, 6.300, 799, 2.340, 60, 57, 73, 76, 70, 80, 6038762, 629275, 3435, 2430, 534, 1316, 253, 0, 500, 0, 0, 0, 80, 120, 'kamaloka', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(3176, 29136, 'Lost Guard', '', 'LineageMonster3.golem_cannon_catapult_a', 23.50, 34.70, 49, 'male', 'L2Minion', 'Fighter', 40, 13099, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 0, 0, 1718, 405, 796, 219, 253, 0, 500, 0, 0, 0, 80, 120, 'kamaloka', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(3177, 29137, 'Lost Assistant Guard', '', 'LineageMonster3.golem_repair', 23.00, 32.80, 49, 'male', 'L2Minion', 'Priest', 40, 13099, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 0, 0, 1145, 405, 534, 219, 253, 0, 500, 0, 0, 0, 80, 120, 'kamaloka', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(3178, 29138, 'Lost Captain', '', 'LineageMonster.headless_knight_170p', 35.00, 54.50, 59, 'male', 'L2ReflectionBoss', 'Fighter', 40, 310778, 7.300, 1118, 2.870, 60, 57, 73, 76, 70, 80, 7188264, 860647, 6406, 3234, 994, 1751, 253, 0, 500, 135, 0, 0, 80, 120, 'kamaloka', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(3179, 29139, 'Lost Guard', '', 'LineageMonster.dark_horror_bi', 20.00, 42.00, 59, 'male', 'L2Minion', 'Fighter', 40, 18387, 7.300, 1118, 2.870, 40, 43, 30, 21, 20, 20, 0, 0, 3203, 539, 1490, 292, 253, 0, 500, 0, 0, 0, 80, 120, 'kamaloka', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(3180, 29140, 'Lost Assistant Guard', '', 'LineageMonster.dark_horror_bi', 20.00, 42.00, 59, 'male', 'L2Minion', 'Priest', 40, 18387, 7.300, 1118, 2.870, 40, 43, 30, 21, 20, 20, 0, 0, 2135, 539, 994, 292, 253, 0, 500, 0, 0, 0, 80, 120, 'kamaloka', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(3181, 29141, 'Lost Captain', '', 'LineageMonster2.ketra_warbeast_130p', 40.00, 44.50, 69, 'male', 'L2ReflectionBoss', 'Fighter', 40, 378800, 8.300, 1459, 2.940, 60, 57, 73, 76, 70, 80, 8315797, 1112310, 10278, 4140, 1594, 2242, 253, 0, 500, 0, 0, 0, 80, 120, 'kamaloka', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(3182, 29142, 'Lost Guard', '', 'LineageMonster4.eyeless', 36.00, 43.50, 69, 'male', 'L2Minion', 'Fighter', 40, 22308, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 0, 0, 5139, 690, 2390, 374, 253, 0, 500, 0, 0, 0, 80, 120, 'kamaloka', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(3183, 29143, 'Lost Assistant Guard', '', 'LineageMonster4.eyeless', 36.00, 43.50, 69, 'male', 'L2Minion', 'Priest', 40, 22308, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 0, 0, 3426, 690, 1594, 374, 253, 0, 500, 0, 0, 0, 80, 120, 'kamaloka', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(3184, 29144, 'Lost Captain', '', 'LineageMonster.archangel', 15.00, 80.00, 78, 'male', 'L2ReflectionBoss', 'Fighter', 80, 421975, 9.200, 1784, 3.210, 60, 57, 73, 76, 70, 80, 12606595, 1625206, 13565, 5000, 2103, 2708, 253, 0, 500, 97, 0, 0, 80, 120, 'kamaloka', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(3185, 29145, 'Lost Guard', '', 'LineageMonster3.apostle_grail', 13.00, 47.00, 78, 'male', 'L2Minion', 'Fighter', 40, 24822, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 6783, 833, 3154, 451, 253, 0, 500, 8221, 0, 0, 80, 120, 'kamaloka', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(3186, 29146, 'Lost Assistant Guard', '', 'LineageMonster2.apostle_mage', 11.00, 38.50, 78, 'male', 'L2Minion', 'Priest', 40, 24822, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 4522, 833, 2103, 451, 253, 0, 500, 6718, 0, 0, 80, 120, 'kamaloka', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(3187, 29147, 'Lost Captain', '', 'LineageMonster3.Drake_Raid', 44.00, 51.50, 81, 'male', 'L2ReflectionBoss', 'Fighter', 40, 435095, 9.500, 1897, 3.300, 60, 57, 73, 76, 70, 80, 11783051, 1517406, 14379, 5288, 2225, 2863, 253, 0, 500, 0, 0, 0, 80, 120, 'kamaloka', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(3188, 29148, 'Lost Guard', '', 'LineageMonster3.antaras_ex_b', 42.00, 34.50, 81, 'male', 'L2Minion', 'Fighter', 40, 25592, 9.500, 1897, 3.300, 40, 43, 30, 21, 20, 20, 0, 0, 7190, 881, 3343, 477, 253, 0, 500, 0, 0, 0, 80, 120, 'kamaloka', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(3189, 29149, 'Lost Assistant Guard', '', 'LineageMonster3.antaras_ex_b', 42.00, 34.50, 81, 'male', 'L2Minion', 'Priest', 40, 25592, 9.500, 1897, 3.300, 40, 43, 30, 21, 20, 20, 0, 0, 4793, 881, 2225, 477, 253, 0, 500, 0, 0, 0, 80, 120, 'kamaloka', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(3190, 29150, 'Ekimus', 'Lord of Immortality', 'LineageMonster4.echmus', 25.00, 70.00, 85, 'male', 'L2Npc', 'npc', 40, 1861899, 1.500, 204995, 2.700, 60, 57, 73, 76, 70, 80, 0, 0, 4253, 22159, 2120, 16362, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3191, 29151, 'Feral Hound of the Netherworld', '', 'LineageMonster4.voidhound_080p', 64.00, 48.40, 85, 'male', 'L2Npc', 'npc', 40, 6690, 1.500, 204995, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 2462, 630, 1146, 511, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3192, 29152, 'Feral Hound of the Netherworld', '', 'LineageMonster4.voidhound_080p', 64.00, 48.40, 85, 'male', 'L2Npc', 'npc', 40, 6690, 1.500, 204995, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 4314, 630, 1146, 511, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3193, 29153, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 73, 'male', 'L2Npc', 'npc', 40, 4087, 1.500, 1601, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1451, 502, 672, 408, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3194, 29154, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 73, 'male', 'L2Npc', 'npc', 40, 4087, 1.500, 1601, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1451, 502, 672, 408, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3195, 29155, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 73, 'male', 'L2Npc', 'npc', 40, 4087, 1.500, 1601, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1451, 502, 672, 408, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3196, 29156, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 73, 'male', 'L2Npc', 'npc', 40, 4087, 1.500, 1601, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1451, 502, 672, 408, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3197, 29157, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 73, 'male', 'L2Npc', 'npc', 40, 4087, 1.500, 1601, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1451, 502, 672, 408, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3198, 29158, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 73, 'male', 'L2Npc', 'npc', 40, 4087, 1.500, 1601, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1451, 502, 672, 408, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3199, 29159, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 73, 'male', 'L2Npc', 'npc', 40, 4087, 1.500, 1601, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1451, 502, 672, 408, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3200, 29160, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 73, 'male', 'L2Npc', 'npc', 40, 4087, 1.500, 1601, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1451, 502, 672, 408, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3201, 29161, 'Pre-Awakened Ekimus', '', 'LineageMonster4.echmus_born', 25.00, 70.00, 73, 'male', 'L2Npc', 'npc', 40, 4087, 1.500, 1601, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1451, 502, 672, 408, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3202, 29162, 'Soldiers of Bravery', 'Tiat\'s Bodyguards', 'LineageMonster4.dragon_rider', 36.00, 51.00, 85, 'male', 'L2SpecialMonster', 'Mystic', 80, 528731, 1.500, 204995, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 16366, 1007, 7605, 1227, 253, 800, 500, 0, 0, 0, 110, 190, 'dragon', 900, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(3203, 29163, 'Tiat', 'Witch of the Dragon of Darkness', 'LineageMonster4.tiat', 55.00, 104.00, 85, 'female', 'L2ReflectionBoss', 'Tiat', 40, 13146753, 1.500, 504995, 2.700, 60, 57, 73, 76, 70, 80, 0, 0, 6406, 1923, 5979, 3682, 253, 0, 500, 13842, 0, 0, 110, 220, 'dragon', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'SOUL_BSPIRIT', 0, 0),
	(3204, 29164, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 73, 'male', 'L2Npc', 'npc', 40, 4087, 1.500, 1601, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1451, 502, 672, 408, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3205, 29165, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 73, 'male', 'L2Npc', 'npc', 40, 4087, 1.500, 1601, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1451, 502, 672, 408, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3206, 29166, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 73, 'male', 'L2Npc', 'npc', 40, 4087, 1.500, 1601, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1451, 502, 672, 408, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3207, 29167, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 73, 'male', 'L2Npc', 'npc', 40, 4087, 1.500, 1601, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1451, 502, 672, 408, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3208, 29168, '', '', 'LineageMonster4.tiat', 55.00, 104.00, 73, 'female', 'L2Npc', 'npc', 40, 4087, 1.500, 1601, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1451, 502, 672, 408, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3209, 29169, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 73, 'male', 'L2Npc', 'npc', 40, 4087, 1.500, 1601, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1451, 502, 672, 408, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3210, 29170, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 73, 'male', 'L2Npc', 'npc', 40, 4087, 1.500, 1601, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1451, 502, 672, 408, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3211, 29171, '', '', 'LineageNpcEV.tiat_release_effect', 0.01, 7.00, 73, 'female', 'L2Npc', 'npc', 40, 4087, 1.500, 1601, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1451, 502, 672, 408, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3212, 29172, '', '', 'LineageNpcEV.tiat_change_effect', 0.01, 7.00, 73, 'female', 'L2Npc', 'npc', 40, 4087, 1.500, 1601, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1451, 502, 672, 408, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3213, 29173, 'Tiat Priest', '', 'LineageNPC2.tiat_oracle', 8.00, 25.00, 73, 'female', 'L2Npc', 'npc', 40, 4087, 1.500, 1601, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1451, 502, 672, 408, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3214, 29174, 'Tiat Priest', '', 'LineageNPC2.tiat_oracle', 8.00, 25.00, 73, 'female', 'L2Npc', 'npc', 40, 4087, 1.500, 1601, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1451, 502, 672, 408, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3215, 29175, 'Tiat', 'Witch of the Dragon of Darkness', 'LineageMonster4.tiat', 55.00, 104.00, 85, 'female', 'L2Npc', 'npc', 40, 8727677, 1.500, 204995, 2.700, 60, 57, 73, 76, 70, 80, 11480335, 4460470, 6406, 923, 2979, 682, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3216, 29176, 'Zaken', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3217, 18001, 'Blood Queen', '', 'bloody_queen', 14.00, 40.00, 60, 'female', 'L2Monster', 'Mystic', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 4536, 394, 939, 369, 510, 312, 253, 500, 500, 0, 0, 0, 80, 160, 'cave_servant_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(3218, 18002, 'Blood Queen', '', 'bloody_queen', 14.00, 40.00, 60, 'female', 'L2Monster', 'Mystic', 40, 3054, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 4320, 375, 939, 369, 510, 312, 253, 500, 500, 0, 0, 0, 80, 160, 'cave_servant_clan', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(3219, 18003, 'Bearded Keltir', '', 'keltir', 13.00, 10.00, 1, 'male', 'L2Monster', 'Fighter', 40, 63, 1.500, 44, 0.900, 40, 43, 30, 21, 20, 20, 29, 2, 9, 44, 7, 35, 253, 0, 500, 0, 0, 0, 23, 110, '', 0, 0, 0, 0, 7, 30, 8, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3220, 18004, 'Susceptor Prime', '', 'susceptor_prime', 45.00, 72.00, 49, 'male', 'L2Monster', 'Ranger', 1100, 2168, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 0, 1, 526, 271, 271, 230, 253, 0, 500, 0, 0, 0, 78, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3221, 18005, 'Mimic', '', 'mimic', 8.50, 8.50, 52, 'male', 'L2Monster', 'Fighter', 40, 2480, 6.600, 892, 2.430, 40, 43, 30, 21, 20, 20, 3245, 251, 622, 305, 327, 251, 253, 0, 500, 0, 0, 0, 80, 156, '', 0, 0, 0, 0, 7, 10, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3222, 18006, 'Maruk Lord', '', 'death_blader', 15.00, 45.00, 68, 'male', 'L2Monster', 'Fighter', 40, 3826, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 6057, 586, 1358, 464, 753, 381, 253, 500, 500, 1472, 0, 0, 100, 170, 'malruk_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(3223, 18007, 'Limal Karinness', '', 'bloody_queen', 14.00, 40.00, 69, 'female', 'L2Monster', 'Mystic', 40, 3785, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 5951, 582, 1419, 461, 788, 390, 253, 500, 500, 0, 0, 0, 80, 140, 'malruk_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(3224, 18008, 'Karik', '', 'karik', 25.00, 90.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 6370, 632, 1481, 471, 824, 399, 253, 500, 500, 0, 0, 0, 37, 200, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(3225, 18009, 'Offering of Branded Elder', '', 'orc_fighter_bi', 12.00, 26.40, 34, 'male', 'L2FestivalMonster', 'Fighter', 40, 1164, 4.800, 430, 1.890, 40, 43, 30, 21, 20, 20, 1755, 102, 178, 164, 82, 132, 253, 1000, 500, 127, 0, 0, 45, 30, 'mercenary_siege_clan', 500, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(3226, 18010, 'Offering of the Branded', '', 'orc', 10.00, 21.00, 32, 'male', 'L2FestivalMonster', 'Fighter', 40, 1056, 4.600, 398, 1.830, 40, 43, 30, 21, 20, 20, 1524, 86, 134, 129, 69, 123, 253, 1000, 500, 218, 0, 0, 45, 30, '', 0, 0, 0, 0, 3, 10, 8, 4, 0, 10, 0.48, 'false', 'NONE', 0, 0),
	(3227, 18011, 'Offering of Branded Archer', '', 'orc_archer', 14.00, 25.00, 28, 'male', 'L2FestivalMonster', 'Ranger', 1100, 859, 4.200, 334, 1.710, 40, 43, 30, 21, 20, 20, 1001, 53, 251, 111, 54, 106, 253, 1000, 500, 14, 0, 0, 45, 60, '', 0, 0, 0, 0, 3, 10, 8, 4, 1500, 10, 0.80, 'false', 'NONE', 0, 0),
	(3228, 18012, 'Offering of Branded Warrior', '', 'orc_champion', 10.00, 23.00, 29, 'male', 'L2FestivalMonster', 'Fighter', 40, 906, 4.300, 350, 1.740, 40, 43, 30, 21, 20, 20, 1026, 55, 122, 136, 58, 110, 253, 1000, 500, 125, 0, 0, 45, 110, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.76, 'false', 'NONE', 0, 0),
	(3229, 18013, 'Offering of Branded Follower', '', 'orc_fighter', 12.00, 22.00, 29, 'male', 'L2FestivalMonster', 'Fighter', 40, 906, 4.300, 350, 1.740, 40, 43, 30, 21, 20, 20, 1227, 66, 107, 115, 58, 110, 253, 1000, 500, 316, 0, 0, 45, 150, '', 0, 0, 0, 0, 3, 10, 8, 4, 0, 10, 0.26, 'false', 'NONE', 0, 0),
	(3230, 18014, 'Offering of Branded Berserker', '', 'orc_champion_20_bi', 12.00, 27.60, 37, 'male', 'L2FestivalMonster', 'Fighter', 40, 1339, 5.100, 480, 1.980, 40, 43, 30, 21, 20, 20, 2277, 140, 222, 182, 104, 147, 253, 1000, 500, 292, 0, 0, 43, 115, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3231, 18015, 'Offering of Branded Zealot', '', 'orc_fighter_bi', 12.00, 26.40, 34, 'male', 'L2FestivalMonster', 'Fighter', 40, 1164, 4.800, 430, 1.890, 40, 43, 30, 21, 20, 20, 1651, 96, 156, 139, 82, 132, 253, 1000, 500, 158, 0, 0, 45, 155, '', 0, 0, 0, 0, 3, 10, 8, 4, 0, 10, 0.46, 'false', 'NONE', 0, 0),
	(3232, 18016, 'Offering of Branded Marksman', '', 'orc_archer_20_bi', 16.00, 30.00, 32, 'male', 'L2FestivalMonster', 'Ranger', 1100, 1056, 4.600, 398, 1.830, 40, 43, 30, 21, 20, 20, 1266, 71, 342, 129, 69, 123, 253, 1000, 500, 273, 0, 0, 45, 130, '', 0, 0, 0, 0, 3, 10, 8, 4, 1500, 10, 0.80, 'false', 'NONE', 0, 0),
	(3233, 18017, 'Offering of Branded Disciple', '', 'batur_orc', 9.00, 21.50, 34, 'male', 'L2FestivalMonster', 'Fighter', 40, 1164, 4.800, 430, 1.890, 40, 43, 30, 21, 20, 20, 1651, 96, 178, 164, 82, 132, 253, 1000, 500, 129, 0, 0, 80, 165, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(3234, 18018, 'Offering of Branded Saint', '', 'batur_orc_20_bi', 10.00, 25.30, 39, 'male', 'L2FestivalMonster', 'Fighter', 40, 1463, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 2172, 138, 255, 195, 121, 158, 253, 1000, 500, 72, 0, 0, 80, 165, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(3235, 18019, 'Apostate\'s Offering Elder', '', 'orc_champion_20_bi', 12.00, 27.60, 45, 'male', 'L2FestivalMonster', 'Fighter', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 3013, 210, 377, 238, 188, 193, 253, 1000, 500, 72, 0, 0, 45, 30, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.76, 'false', 'NONE', 0, 0),
	(3236, 18020, 'Apostate\'s Offering', '', 'orc_fighter', 12.00, 22.00, 43, 'male', 'L2FestivalMonster', 'Fighter', 40, 1729, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 2751, 186, 291, 190, 163, 181, 253, 1000, 500, 223, 0, 0, 45, 30, '', 0, 0, 0, 0, 3, 10, 8, 4, 0, 10, 0.46, 'false', 'NONE', 0, 0),
	(3237, 18021, 'Apostate\'s Offering Archer', '', 'batur_orc_archer', 11.00, 21.50, 39, 'male', 'L2FestivalMonster', 'Ranger', 1100, 1463, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 1880, 119, 566, 166, 121, 158, 253, 1000, 500, 275, 0, 0, 45, 60, '', 0, 0, 0, 0, 3, 10, 8, 4, 1500, 10, 0.96, 'false', 'NONE', 0, 0),
	(3238, 18022, 'Apostate\'s Offering Warrior', '', 'batur_orc_warrior', 10.00, 20.00, 40, 'male', 'L2FestivalMonster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 1920, 124, 273, 202, 131, 164, 253, 1000, 500, 127, 0, 0, 80, 115, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(3239, 18023, 'Apostate\'s Offering Follower', '', 'batur_orc', 9.00, 21.50, 40, 'male', 'L2FestivalMonster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 2296, 148, 238, 172, 131, 164, 253, 1000, 500, 316, 0, 0, 50, 155, '', 0, 0, 0, 0, 3, 10, 8, 4, 0, 10, 0.30, 'false', 'NONE', 0, 0),
	(3240, 18024, 'Apostate\'s Offering Berserker', '', 'batur_orc_warrior_20_bi', 12.00, 24.00, 48, 'male', 'L2FestivalMonster', 'Fighter', 40, 2092, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 3832, 280, 453, 262, 231, 212, 253, 1000, 500, 297, 0, 0, 37, 120, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(3241, 18025, 'Apostate\'s Offering Zealot', '', 'batur_orc_20_bi', 10.00, 25.30, 45, 'male', 'L2FestivalMonster', 'Fighter', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 2892, 201, 330, 202, 188, 193, 253, 1000, 500, 172, 0, 0, 80, 160, '', 0, 0, 0, 0, 3, 10, 8, 4, 0, 10, 0.46, 'false', 'NONE', 0, 0),
	(3242, 18026, 'Apostate\'s Offering Marksman', '', 'batur_orc_archer_20_bi', 13.00, 25.30, 43, 'male', 'L2FestivalMonster', 'Ranger', 1100, 1729, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 2285, 154, 739, 190, 163, 181, 253, 1000, 500, 277, 0, 0, 45, 135, '', 0, 0, 0, 0, 3, 10, 8, 4, 1500, 10, 0.96, 'false', 'NONE', 0, 0),
	(3243, 18027, 'Apostate\'s Offering Disciple', '', 'batur_orc_overlord', 12.00, 24.00, 45, 'male', 'L2FestivalMonster', 'Fighter', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 2892, 201, 377, 238, 188, 193, 253, 1000, 500, 74, 0, 0, 80, 170, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(3244, 18028, 'Apostate\'s Offering Saint', '', 'batur_orc_overlord_20_bi', 14.00, 28.80, 50, 'male', 'L2FestivalMonster', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 3570, 269, 509, 278, 264, 226, 253, 1000, 500, 133, 0, 0, 80, 170, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(3245, 18029, 'Witch\'s Offering Elder', '', 'batur_orc_warrior_20_bi', 12.00, 24.00, 56, 'male', 'L2FestivalMonster', 'Mystic', 40, 2725, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 4666, 383, 706, 331, 382, 269, 253, 1000, 500, 133, 0, 0, 80, 30, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(3246, 18030, 'Witch\'s Offering', '', 'batur_orc', 9.00, 21.50, 54, 'male', 'L2FestivalMonster', 'Mystic', 40, 2562, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 4339, 346, 556, 266, 339, 254, 253, 1000, 500, 226, 0, 0, 80, 30, '', 0, 0, 0, 0, 3, 10, 8, 4, 0, 10, 0.46, 'false', 'NONE', 0, 0),
	(3247, 18031, 'Witch\'s Offering Archer', '', 'batur_orc_archer', 11.00, 21.50, 50, 'male', 'L2FestivalMonster', 'Ranger', 1100, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 3090, 233, 1132, 237, 264, 226, 253, 1000, 500, 278, 0, 0, 45, 70, '', 0, 0, 0, 0, 3, 10, 8, 4, 1500, 10, 0.96, 'false', 'NONE', 0, 0),
	(3248, 18032, 'Witch\'s Offering Warrior', '', 'batur_orc_warrior', 10.00, 20.00, 51, 'male', 'L2FestivalMonster', 'Mystic', 40, 2323, 6.500, 861, 2.400, 40, 43, 30, 21, 20, 20, 3121, 238, 539, 287, 281, 232, 253, 1000, 500, 72, 0, 0, 80, 120, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(3249, 18033, 'Witch\'s Offering Follower', '', 'batur_orc', 9.00, 21.50, 51, 'male', 'L2FestivalMonster', 'Mystic', 40, 2323, 6.500, 861, 2.400, 40, 43, 30, 21, 20, 20, 3733, 285, 472, 244, 281, 232, 253, 1000, 500, 316, 0, 0, 50, 160, '', 0, 0, 0, 0, 3, 10, 8, 4, 0, 10, 0.30, 'false', 'NONE', 0, 0),
	(3250, 18034, 'Witch\'s Offering Berserker', '', 'batur_orc_warrior_20_bi', 12.00, 24.00, 59, 'male', 'L2FestivalMonster', 'Mystic', 40, 2972, 7.300, 1118, 2.640, 40, 43, 30, 21, 20, 20, 5790, 495, 820, 359, 453, 291, 253, 1000, 500, 301, 0, 0, 52, 125, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(3251, 18035, 'Witch\'s Offering Zealot', '', 'batur_orc_20_bi', 10.00, 25.30, 56, 'male', 'L2FestivalMonster', 'Mystic', 40, 2725, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 4478, 368, 618, 282, 382, 269, 253, 1000, 500, 91, 0, 0, 80, 165, '', 0, 0, 0, 0, 3, 10, 8, 4, 0, 10, 0.46, 'false', 'NONE', 0, 0),
	(3252, 18036, 'Witch\'s Offering Marksman', '', 'batur_orc_archer_20_bi', 13.00, 25.30, 54, 'male', 'L2FestivalMonster', 'Ranger', 1100, 2562, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 3604, 287, 1413, 266, 339, 254, 253, 1000, 500, 282, 0, 0, 45, 140, '', 0, 0, 0, 0, 3, 10, 8, 4, 1500, 10, 0.96, 'false', 'NONE', 0, 0),
	(3253, 18037, 'Witch\'s Offering Disciple', '', 'batur_orc_overlord', 12.00, 24.00, 56, 'male', 'L2FestivalMonster', 'Mystic', 40, 2725, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 4478, 368, 706, 331, 382, 269, 253, 1000, 500, 135, 0, 0, 80, 175, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(3254, 18038, 'Witch\'s Offering Saint', '', 'batur_orc_overlord_20_bi', 14.00, 28.80, 61, 'male', 'L2FestivalMonster', 'Mystic', 40, 3137, 7.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 5314, 468, 901, 379, 505, 307, 253, 1000, 500, 79, 0, 0, 80, 175, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(3255, 18039, 'Dark Omen Offering Elder', '', 'batur_orc_warrior_20_bi', 12.00, 24.00, 67, 'male', 'L2FestivalMonster', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 6680, 636, 1169, 439, 681, 356, 253, 1000, 500, 79, 0, 0, 80, 30, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(3256, 18040, 'Dark Omen Offering', '', 'batur_orc', 9.00, 21.50, 65, 'male', 'L2FestivalMonster', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 6287, 584, 942, 356, 619, 340, 253, 1000, 500, 234, 0, 0, 80, 30, '', 0, 0, 0, 0, 3, 10, 8, 4, 0, 10, 0.46, 'false', 'NONE', 0, 0),
	(3257, 18041, 'Dark Omen Offering Archer', '', 'batur_orc_archer', 11.00, 21.50, 61, 'male', 'L2FestivalMonster', 'Ranger', 1100, 3137, 7.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 4599, 405, 2004, 322, 505, 307, 253, 1000, 500, 283, 0, 0, 45, 70, '', 0, 0, 0, 0, 3, 10, 8, 4, 1500, 10, 0.96, 'false', 'NONE', 0, 0),
	(3258, 18042, 'Dark Omen Offering Warrior', '', 'batur_orc_warrior', 10.00, 20.00, 62, 'male', 'L2FestivalMonster', 'Fighter', 40, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 4613, 411, 944, 389, 532, 315, 253, 1000, 500, 133, 0, 0, 80, 125, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(3259, 18043, 'Dark Omen Offering Follower', '', 'batur_orc', 9.00, 21.50, 62, 'male', 'L2FestivalMonster', 'Fighter', 40, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 5517, 492, 826, 330, 532, 315, 253, 1000, 500, 316, 0, 0, 50, 165, '', 0, 0, 0, 0, 3, 10, 8, 4, 0, 10, 0.30, 'false', 'NONE', 0, 0),
	(3260, 18044, 'Dark Omen Offering Berserker', '', 'batur_orc_warrior_20_bi', 12.00, 24.00, 70, 'male', 'L2FestivalMonster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 8150, 808, 1314, 471, 780, 382, 253, 1000, 500, 97, 0, 0, 52, 130, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(3261, 18045, 'Dark Omen Offering Zealot', '', 'batur_orc_20_bi', 10.00, 25.30, 67, 'male', 'L2FestivalMonster', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 6410, 610, 1023, 373, 681, 356, 253, 1000, 500, 2503, 0, 0, 80, 170, '', 0, 0, 0, 0, 3, 10, 8, 4, 0, 10, 0.46, 'false', 'NONE', 0, 0),
	(3262, 18046, 'Dark Omen Offering Marksman', '', 'batur_orc_archer_20_bi', 13.00, 25.30, 65, 'male', 'L2FestivalMonster', 'Ranger', 1100, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 5222, 485, 2393, 356, 619, 340, 253, 1000, 500, 286, 0, 0, 45, 145, '', 0, 0, 0, 0, 3, 10, 8, 4, 1500, 10, 0.96, 'false', 'NONE', 0, 0),
	(3263, 18047, 'Dark Omen Offering Disciple', '', 'batur_orc_overlord', 12.00, 24.00, 67, 'male', 'L2FestivalMonster', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 6410, 610, 1169, 439, 681, 356, 253, 1000, 500, 142, 0, 0, 80, 180, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(3264, 18048, 'Dark Omen Offering Saint', '', 'batur_orc_overlord_20_bi', 14.00, 28.80, 72, 'male', 'L2FestivalMonster', 'Fighter', 40, 4013, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 7403, 752, 1413, 492, 849, 399, 253, 1000, 500, 2500, 0, 0, 80, 180, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(3265, 18049, 'Offering of Forbidden Path Elder', '', 'batur_orc_overlord_20_bi', 14.00, 28.80, 78, 'male', 'L2FestivalMonster', 'Fighter', 40, 4429, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 9053, 991, 1715, 556, 1069, 451, 253, 1000, 500, 2500, 0, 0, 80, 30, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(3266, 18050, 'Offering of Forbidden Path', '', 'batur_orc_warrior', 10.00, 20.00, 76, 'male', 'L2FestivalMonster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 8595, 919, 1412, 454, 994, 433, 253, 1000, 500, 236, 0, 0, 80, 30, '', 0, 0, 0, 0, 3, 10, 8, 4, 0, 10, 0.30, 'false', 'NONE', 0, 0),
	(3267, 18051, 'Offering of Forbidden Path Archer', '', 'ketra_orc_archer', 12.00, 27.00, 78, 'male', 'L2FestivalMonster', 'Ranger', 1100, 4757, 9.200, 1973, 3.210, 40, 43, 30, 21, 20, 20, 8311, 955, 4424, 525, 1220, 485, 253, 1000, 500, 287, 0, 0, 45, 70, '', 0, 0, 0, 0, 3, 10, 8, 4, 1500, 10, 0.91, 'false', 'NONE', 0, 0),
	(3268, 18052, 'Offering of Forbidden Path Warrior', '', 'ketra_orc_warrior', 12.00, 24.00, 78, 'male', 'L2FestivalMonster', 'Fighter', 40, 4642, 9.200, 1896, 3.210, 40, 43, 30, 21, 20, 20, 7680, 862, 1814, 581, 1144, 468, 253, 1000, 500, 79, 0, 0, 36, 130, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(3269, 18053, 'Offering of Forbidden Path Follower', '', 'ketra_orc', 12.00, 29.00, 78, 'male', 'L2FestivalMonster', 'Fighter', 40, 4642, 9.200, 1896, 3.210, 40, 43, 30, 21, 20, 20, 9185, 1031, 1587, 494, 1144, 468, 253, 1000, 500, 316, 0, 0, 10, 180, '', 0, 0, 0, 0, 3, 10, 8, 4, 0, 10, 0.34, 'false', 'NONE', 0, 0),
	(3270, 18054, 'Offering of Forbidden Path Berserker', '', 'ketra_orc_warrior_20_bi', 14.00, 28.80, 78, 'male', 'L2FestivalMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 10912, 1239, 1904, 600, 1182, 477, 253, 1000, 500, 305, 0, 0, 40, 135, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3271, 18055, 'Offering of Forbidden Path Zealot', '', 'ketra_orc_20_bi', 14.00, 34.80, 78, 'male', 'L2FestivalMonster', 'Fighter', 40, 4429, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 8688, 951, 1500, 472, 1069, 451, 253, 1000, 500, 175, 0, 0, 45, 195, '', 0, 0, 0, 0, 3, 10, 8, 4, 0, 10, 0.46, 'false', 'NONE', 0, 0),
	(3272, 18056, 'Offering of Forbidden Path Marksman', '', 'ketra_orc_archer_20_bi', 14.00, 32.40, 76, 'male', 'L2FestivalMonster', 'Ranger', 1100, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 7139, 763, 3587, 454, 994, 433, 253, 1000, 500, 289, 0, 0, 45, 150, '', 0, 0, 0, 0, 3, 10, 8, 4, 1500, 10, 0.91, 'false', 'NONE', 0, 0),
	(3273, 18057, 'Offering of Forbidden Path Disciple', '', 'ketra_orc_overload', 12.00, 24.00, 78, 'male', 'L2FestivalMonster', 'Fighter', 40, 4429, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 8688, 951, 1715, 556, 1069, 451, 253, 1000, 500, 151, 0, 0, 33, 195, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3274, 18058, 'Offering of Forbidden Path Saint', '', 'ketra_orc_overload_20_bi', 14.00, 28.80, 78, 'male', 'L2FestivalMonster', 'Fighter', 40, 4811, 9.200, 2012, 3.210, 40, 43, 30, 21, 20, 20, 9837, 1144, 2079, 636, 1258, 494, 253, 1000, 500, 2500, 0, 0, 33, 195, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3275, 18059, 'Offering of Branded Elder', '', 'orc_fighter_bi', 12.00, 26.40, 34, 'male', 'L2FestivalMonster', 'Fighter', 40, 1164, 4.800, 430, 1.890, 40, 43, 30, 21, 20, 20, 1720, 100, 178, 164, 82, 132, 253, 1000, 500, 127, 0, 0, 45, 30, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(3276, 18060, 'Offering of the Branded', '', 'orc', 10.00, 21.00, 32, 'male', 'L2FestivalMonster', 'Fighter', 40, 1056, 4.600, 398, 1.830, 40, 43, 30, 21, 20, 20, 1524, 86, 134, 129, 69, 123, 253, 1000, 500, 218, 0, 0, 45, 30, '', 0, 0, 0, 0, 3, 10, 8, 4, 0, 10, 0.48, 'false', 'NONE', 0, 0),
	(3277, 18061, 'Offering of Branded Archer', '', 'orc_archer', 14.00, 25.00, 28, 'male', 'L2FestivalMonster', 'Ranger', 1100, 859, 4.200, 334, 1.710, 40, 43, 30, 21, 20, 20, 1001, 53, 251, 111, 54, 106, 253, 1000, 500, 14, 0, 0, 45, 60, '', 0, 0, 0, 0, 3, 10, 8, 4, 1500, 10, 0.80, 'false', 'NONE', 0, 0),
	(3278, 18062, 'Offering of Branded Warrior', '', 'orc_champion', 10.00, 23.00, 29, 'male', 'L2FestivalMonster', 'Fighter', 40, 906, 4.300, 350, 1.740, 40, 43, 30, 21, 20, 20, 1026, 55, 122, 136, 58, 110, 253, 1000, 500, 125, 0, 0, 45, 110, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.76, 'false', 'NONE', 0, 0),
	(3279, 18063, 'Offering of Branded Follower', '', 'orc_fighter', 12.00, 22.00, 29, 'male', 'L2FestivalMonster', 'Fighter', 40, 906, 4.300, 350, 1.740, 40, 43, 30, 21, 20, 20, 1227, 66, 107, 115, 58, 110, 253, 1000, 500, 316, 0, 0, 45, 150, '', 0, 0, 0, 0, 3, 10, 8, 4, 0, 10, 0.26, 'false', 'NONE', 0, 0),
	(3280, 18064, 'Offering of Branded Berserker', '', 'orc_champion_20_bi', 12.00, 27.60, 37, 'male', 'L2FestivalMonster', 'Fighter', 40, 1339, 5.100, 480, 1.980, 40, 43, 30, 21, 20, 20, 2277, 140, 222, 182, 104, 147, 253, 1000, 500, 292, 0, 0, 43, 115, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3281, 18065, 'Offering of Branded Zealot', '', 'orc_fighter_bi', 12.00, 26.40, 34, 'male', 'L2FestivalMonster', 'Fighter', 40, 1164, 4.800, 430, 1.890, 40, 43, 30, 21, 20, 20, 1651, 96, 156, 139, 82, 132, 253, 1000, 500, 158, 0, 0, 45, 155, '', 0, 0, 0, 0, 3, 10, 8, 4, 0, 10, 0.46, 'false', 'NONE', 0, 0),
	(3282, 18066, 'Offering of Branded Marksman', '', 'orc_archer_20_bi', 16.00, 30.00, 32, 'male', 'L2FestivalMonster', 'Ranger', 1100, 1056, 4.600, 398, 1.830, 40, 43, 30, 21, 20, 20, 1266, 71, 342, 129, 69, 123, 253, 1000, 500, 273, 0, 0, 45, 130, '', 0, 0, 0, 0, 3, 10, 8, 4, 1500, 10, 0.80, 'false', 'NONE', 0, 0),
	(3283, 18067, 'Offering of Branded Disciple', '', 'batur_orc', 9.00, 21.50, 34, 'male', 'L2FestivalMonster', 'Fighter', 40, 1164, 4.800, 430, 1.890, 40, 43, 30, 21, 20, 20, 1651, 96, 178, 164, 82, 132, 253, 1000, 500, 129, 0, 0, 80, 165, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(3284, 18068, 'Offering of Branded Saint', '', 'batur_orc_20_bi', 10.00, 25.30, 39, 'male', 'L2FestivalMonster', 'Fighter', 40, 1463, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 2172, 138, 255, 195, 121, 158, 253, 1000, 500, 72, 0, 0, 80, 165, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(3285, 18069, 'Apostate\'s Offering Elder', '', 'orc_champion_20_bi', 12.00, 27.60, 45, 'male', 'L2FestivalMonster', 'Fighter', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 3013, 210, 377, 238, 188, 193, 253, 1000, 500, 72, 0, 0, 45, 30, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.76, 'false', 'NONE', 0, 0),
	(3286, 18070, 'Apostate\'s Offering', '', 'orc_fighter', 12.00, 22.00, 43, 'male', 'L2FestivalMonster', 'Fighter', 40, 1729, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 2751, 186, 291, 190, 163, 181, 253, 1000, 500, 223, 0, 0, 45, 30, '', 0, 0, 0, 0, 3, 10, 8, 4, 0, 10, 0.46, 'false', 'NONE', 0, 0),
	(3287, 18071, 'Apostate\'s Offering Archer', '', 'batur_orc_archer', 11.00, 21.50, 39, 'male', 'L2FestivalMonster', 'Ranger', 1100, 1463, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 1880, 119, 566, 166, 121, 158, 253, 1000, 500, 275, 0, 0, 45, 60, '', 0, 0, 0, 0, 3, 10, 8, 4, 1500, 10, 0.96, 'false', 'NONE', 0, 0),
	(3288, 18072, 'Apostate\'s Offering Warrior', '', 'batur_orc_warrior', 10.00, 20.00, 40, 'male', 'L2FestivalMonster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 1920, 124, 273, 202, 131, 164, 253, 1000, 500, 127, 0, 0, 80, 115, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(3289, 18073, 'Apostate\'s Offering Follower', '', 'batur_orc', 9.00, 21.50, 40, 'male', 'L2FestivalMonster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 2296, 148, 238, 172, 131, 164, 253, 1000, 500, 316, 0, 0, 50, 155, '', 0, 0, 0, 0, 3, 10, 8, 4, 0, 10, 0.30, 'false', 'NONE', 0, 0),
	(3290, 18074, 'Apostate\'s Offering Berserker', '', 'batur_orc_warrior_20_bi', 12.00, 24.00, 48, 'male', 'L2FestivalMonster', 'Fighter', 40, 2092, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 3832, 280, 453, 262, 231, 212, 253, 1000, 500, 297, 0, 0, 37, 120, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(3291, 18075, 'Apostate\'s Offering Zealot', '', 'batur_orc_20_bi', 10.00, 25.30, 45, 'male', 'L2FestivalMonster', 'Fighter', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 2892, 201, 330, 202, 188, 193, 253, 1000, 500, 172, 0, 0, 80, 160, '', 0, 0, 0, 0, 3, 10, 8, 4, 0, 10, 0.46, 'false', 'NONE', 0, 0),
	(3292, 18076, 'Apostate\'s Offering Marksman', '', 'batur_orc_archer_20_bi', 13.00, 25.30, 43, 'male', 'L2FestivalMonster', 'Ranger', 1100, 1729, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 2285, 154, 739, 190, 163, 181, 253, 1000, 500, 277, 0, 0, 45, 135, '', 0, 0, 0, 0, 3, 10, 8, 4, 1500, 10, 0.96, 'false', 'NONE', 0, 0),
	(3293, 18077, 'Apostate\'s Offering Disciple', '', 'batur_orc_overlord', 12.00, 24.00, 45, 'male', 'L2FestivalMonster', 'Fighter', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 2892, 201, 377, 238, 188, 193, 253, 1000, 500, 74, 0, 0, 80, 170, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(3294, 18078, 'Apostate\'s Offering Saint', '', 'batur_orc_overlord_20_bi', 14.00, 28.80, 50, 'male', 'L2FestivalMonster', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 3570, 269, 509, 278, 264, 226, 253, 1000, 500, 133, 0, 0, 80, 170, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(3295, 18079, 'Witch\'s Offering Elder', '', 'batur_orc_warrior_20_bi', 12.00, 24.00, 56, 'male', 'L2FestivalMonster', 'Mystic', 40, 2725, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 4666, 383, 706, 331, 382, 269, 253, 1000, 500, 133, 0, 0, 80, 30, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(3296, 18080, 'Witch\'s Offering', '', 'batur_orc', 9.00, 21.50, 54, 'male', 'L2FestivalMonster', 'Mystic', 40, 2562, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 4339, 346, 556, 266, 339, 254, 253, 1000, 500, 226, 0, 0, 80, 30, '', 0, 0, 0, 0, 3, 10, 8, 4, 0, 10, 0.46, 'false', 'NONE', 0, 0),
	(3297, 18081, 'Witch\'s Offering Archer', '', 'batur_orc_archer', 11.00, 21.50, 50, 'male', 'L2FestivalMonster', 'Ranger', 1100, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 3090, 233, 1132, 237, 264, 226, 253, 1000, 500, 278, 0, 0, 45, 70, '', 0, 0, 0, 0, 3, 10, 8, 4, 1500, 10, 0.96, 'false', 'NONE', 0, 0),
	(3298, 18082, 'Witch\'s Offering Warrior', '', 'batur_orc_warrior', 10.00, 20.00, 51, 'male', 'L2FestivalMonster', 'Mystic', 40, 2323, 6.500, 861, 2.400, 40, 43, 30, 21, 20, 20, 3121, 238, 539, 287, 281, 232, 253, 1000, 500, 72, 0, 0, 80, 120, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(3299, 18083, 'Witch\'s Offering Follower', '', 'batur_orc', 9.00, 21.50, 51, 'male', 'L2FestivalMonster', 'Mystic', 40, 2323, 6.500, 861, 2.400, 40, 43, 30, 21, 20, 20, 3733, 285, 472, 244, 281, 232, 253, 1000, 500, 316, 0, 0, 50, 160, '', 0, 0, 0, 0, 3, 10, 8, 4, 0, 10, 0.30, 'false', 'NONE', 0, 0),
	(3300, 18084, 'Witch\'s Offering Berserker', '', 'batur_orc_warrior_20_bi', 12.00, 24.00, 59, 'male', 'L2FestivalMonster', 'Mystic', 40, 2972, 7.300, 1118, 2.640, 40, 43, 30, 21, 20, 20, 5790, 495, 820, 359, 453, 291, 253, 1000, 500, 301, 0, 0, 52, 125, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(3301, 18085, 'Witch\'s Offering Zealot', '', 'batur_orc_20_bi', 10.00, 25.30, 56, 'male', 'L2FestivalMonster', 'Mystic', 40, 2725, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 4478, 368, 618, 282, 382, 269, 253, 1000, 500, 91, 0, 0, 80, 165, '', 0, 0, 0, 0, 3, 10, 8, 4, 0, 10, 0.46, 'false', 'NONE', 0, 0),
	(3302, 18086, 'Witch\'s Offering Marksman', '', 'batur_orc_archer_20_bi', 13.00, 25.30, 54, 'male', 'L2FestivalMonster', 'Ranger', 1100, 2562, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 3604, 287, 1413, 266, 339, 254, 253, 1000, 500, 282, 0, 0, 45, 140, '', 0, 0, 0, 0, 3, 10, 8, 4, 1500, 10, 0.96, 'false', 'NONE', 0, 0),
	(3303, 18087, 'Witch\'s Offering Disciple', '', 'batur_orc_overlord', 12.00, 24.00, 56, 'male', 'L2FestivalMonster', 'Mystic', 40, 2725, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 4478, 368, 706, 331, 382, 269, 253, 1000, 500, 135, 0, 0, 80, 175, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(3304, 18088, 'Witch\'s Offering Saint', '', 'batur_orc_overlord_20_bi', 14.00, 28.80, 61, 'male', 'L2FestivalMonster', 'Mystic', 40, 3137, 7.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 5314, 468, 901, 379, 505, 307, 253, 1000, 500, 79, 0, 0, 80, 175, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(3305, 18089, 'Dark Omen Offering Elder', '', 'batur_orc_warrior_20_bi', 12.00, 24.00, 67, 'male', 'L2FestivalMonster', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 6680, 636, 1169, 439, 681, 356, 253, 1000, 500, 79, 0, 0, 80, 30, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(3306, 18090, 'Dark Omen Offering', '', 'batur_orc', 9.00, 21.50, 65, 'male', 'L2FestivalMonster', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 6287, 584, 942, 356, 619, 340, 253, 1000, 500, 234, 0, 0, 80, 30, '', 0, 0, 0, 0, 3, 10, 8, 4, 0, 10, 0.46, 'false', 'NONE', 0, 0),
	(3307, 18091, 'Dark Omen Offering Archer', '', 'batur_orc_archer', 11.00, 21.50, 61, 'male', 'L2FestivalMonster', 'Ranger', 1100, 3137, 7.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 4599, 405, 2004, 322, 505, 307, 253, 1000, 500, 283, 0, 0, 45, 70, '', 0, 0, 0, 0, 3, 10, 8, 4, 1500, 10, 0.96, 'false', 'NONE', 0, 0),
	(3308, 18092, 'Dark Omen Offering Warrior', '', 'batur_orc_warrior', 10.00, 20.00, 62, 'male', 'L2FestivalMonster', 'Fighter', 40, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 4613, 411, 944, 389, 532, 315, 253, 1000, 500, 133, 0, 0, 80, 125, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(3309, 18093, 'Dark Omen Offering Follower', '', 'batur_orc', 9.00, 21.50, 62, 'male', 'L2FestivalMonster', 'Fighter', 40, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 5517, 492, 826, 330, 532, 315, 253, 1000, 500, 316, 0, 0, 50, 165, '', 0, 0, 0, 0, 3, 10, 8, 4, 0, 10, 0.30, 'false', 'NONE', 0, 0),
	(3310, 18094, 'Dark Omen Offering Berserker', '', 'batur_orc_warrior_20_bi', 12.00, 24.00, 70, 'male', 'L2FestivalMonster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 8150, 808, 1314, 471, 780, 382, 253, 1000, 500, 97, 0, 0, 52, 130, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(3311, 18095, 'Dark Omen Offering Zealot', '', 'batur_orc_20_bi', 10.00, 25.30, 67, 'male', 'L2FestivalMonster', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 6410, 610, 1023, 373, 681, 356, 253, 1000, 500, 2503, 0, 0, 80, 170, '', 0, 0, 0, 0, 3, 10, 8, 4, 0, 10, 0.46, 'false', 'NONE', 0, 0),
	(3312, 18096, 'Dark Omen Offering Marksman', '', 'batur_orc_archer_20_bi', 13.00, 25.30, 65, 'male', 'L2FestivalMonster', 'Ranger', 1100, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 5222, 485, 2393, 356, 619, 340, 253, 1000, 500, 286, 0, 0, 45, 145, '', 0, 0, 0, 0, 3, 10, 8, 4, 1500, 10, 0.96, 'false', 'NONE', 0, 0),
	(3313, 18097, 'Dark Omen Offering Disciple', '', 'batur_orc_overlord', 12.00, 24.00, 67, 'male', 'L2FestivalMonster', 'Fighter', 40, 3627, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 6410, 610, 1169, 439, 681, 356, 253, 1000, 500, 142, 0, 0, 80, 180, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(3314, 18098, 'Dark Omen Offering Saint', '', 'batur_orc_overlord_20_bi', 14.00, 28.80, 72, 'male', 'L2FestivalMonster', 'Fighter', 40, 4013, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 7403, 752, 1413, 492, 849, 399, 253, 1000, 500, 2500, 0, 0, 80, 180, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(3315, 18099, 'Offering of Forbidden Path Elder', '', 'batur_orc_overlord_20_bi', 14.00, 28.80, 78, 'male', 'L2FestivalMonster', 'Fighter', 40, 4429, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 9053, 991, 1715, 556, 1069, 451, 253, 1000, 500, 2500, 0, 0, 80, 30, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(3316, 18100, 'Offering of Forbidden Path', '', 'batur_orc_warrior', 10.00, 20.00, 76, 'male', 'L2FestivalMonster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 8595, 919, 1412, 454, 994, 433, 253, 1000, 500, 236, 0, 0, 80, 30, '', 0, 0, 0, 0, 3, 10, 8, 4, 0, 10, 0.30, 'false', 'NONE', 0, 0),
	(3317, 18101, 'Offering of Forbidden Path Archer', '', 'ketra_orc_archer', 12.00, 27.00, 78, 'male', 'L2FestivalMonster', 'Ranger', 1100, 4757, 9.200, 1973, 3.210, 40, 43, 30, 21, 20, 20, 8311, 955, 4424, 525, 1220, 485, 253, 1000, 500, 287, 0, 0, 45, 70, '', 0, 0, 0, 0, 3, 10, 8, 4, 1500, 10, 0.91, 'false', 'NONE', 0, 0),
	(3318, 18102, 'Offering of Forbidden Path Warrior', '', 'ketra_orc_warrior', 12.00, 24.00, 78, 'male', 'L2FestivalMonster', 'Fighter', 40, 4642, 9.200, 1896, 3.210, 40, 43, 30, 21, 20, 20, 7680, 862, 1814, 581, 1144, 468, 253, 1000, 500, 79, 0, 0, 36, 130, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(3319, 18103, 'Offering of Forbidden Path Follower', '', 'ketra_orc', 12.00, 29.00, 78, 'male', 'L2FestivalMonster', 'Fighter', 40, 4642, 9.200, 1896, 3.210, 40, 43, 30, 21, 20, 20, 9185, 1031, 1587, 494, 1144, 468, 253, 1000, 500, 316, 0, 0, 10, 180, '', 0, 0, 0, 0, 3, 10, 8, 4, 0, 10, 0.34, 'false', 'NONE', 0, 0),
	(3320, 18104, 'Offering of Forbidden Path Berserker', '', 'ketra_orc_warrior_20_bi', 14.00, 28.80, 78, 'male', 'L2FestivalMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 10912, 1239, 1904, 600, 1182, 477, 253, 1000, 500, 305, 0, 0, 40, 135, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3321, 18105, 'Offering of Forbidden Path Zealot', '', 'ketra_orc_20_bi', 14.00, 34.80, 78, 'male', 'L2FestivalMonster', 'Fighter', 40, 4429, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 8688, 951, 1500, 472, 1069, 451, 253, 1000, 500, 175, 0, 0, 45, 195, '', 0, 0, 0, 0, 3, 10, 8, 4, 0, 10, 0.46, 'false', 'NONE', 0, 0),
	(3322, 18106, 'Offering of Forbidden Path Marksman', '', 'ketra_orc_archer_20_bi', 14.00, 32.40, 76, 'male', 'L2FestivalMonster', 'Ranger', 1100, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 7139, 763, 3587, 454, 994, 433, 253, 1000, 500, 289, 0, 0, 45, 150, '', 0, 0, 0, 0, 3, 10, 8, 4, 1500, 10, 0.91, 'false', 'NONE', 0, 0),
	(3323, 18107, 'Offering of Forbidden Path Disciple', '', 'ketra_orc_overload', 12.00, 24.00, 78, 'male', 'L2FestivalMonster', 'Fighter', 40, 4429, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 8688, 951, 1715, 556, 1069, 451, 253, 1000, 500, 151, 0, 0, 33, 195, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3324, 18108, 'Offering of Forbidden Path Saint', '', 'ketra_orc_overload_20_bi', 14.00, 28.80, 78, 'male', 'L2FestivalMonster', 'Fighter', 40, 4811, 9.200, 2012, 3.210, 40, 43, 30, 21, 20, 20, 9837, 1144, 2079, 636, 1258, 494, 253, 1000, 500, 2500, 0, 0, 33, 195, '', 0, 0, 0, 0, 3, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3325, 18109, 'Treasures of the Festival', '', 'coffer_a', 12.00, 9.50, 30, 'male', 'L2FestivalMonster', 'Fighter', 40, 1000, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 90, 0, 0, 141, 2, 114, 253, 0, 500, 0, 0, 0, 80, 195, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3326, 18110, 'Treasures of the Festival', '', 'coffer_a', 12.00, 9.50, 41, 'male', 'L2FestivalMonster', 'Fighter', 40, 1489, 5.500, 560, 2.100, 40, 43, 30, 21, 20, 20, 168, 0, 0, 209, 2, 169, 253, 0, 500, 0, 0, 0, 80, 195, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3327, 18111, 'Treasures of the Festival', '', 'coffer_a', 12.00, 9.50, 52, 'male', 'L2FestivalMonster', 'Fighter', 40, 2058, 6.600, 892, 2.430, 40, 43, 30, 21, 20, 20, 270, 0, 0, 295, 2, 239, 253, 0, 500, 0, 0, 0, 80, 195, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3328, 18112, 'Treasures of the Festival', '', 'coffer_a', 12.00, 9.50, 63, 'male', 'L2FestivalMonster', 'Fighter', 40, 2641, 7.700, 1251, 2.760, 40, 43, 30, 21, 20, 20, 397, 0, 0, 399, 2, 323, 253, 0, 500, 0, 0, 0, 80, 195, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3329, 18113, 'Treasures of the Festival', '', 'coffer_a', 12.00, 9.50, 72, 'male', 'L2FestivalMonster', 'Fighter', 40, 3063, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 518, 0, 0, 492, 2, 399, 253, 0, 500, 0, 0, 0, 80, 195, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3330, 18114, 'Treasures of the Festival', '', 'coffer_a', 12.00, 9.50, 30, 'male', 'L2FestivalMonster', 'Fighter', 40, 1000, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 90, 0, 0, 141, 2, 114, 253, 0, 500, 0, 0, 0, 80, 195, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3331, 18115, 'Treasures of the Festival', '', 'coffer_a', 12.00, 9.50, 41, 'male', 'L2FestivalMonster', 'Fighter', 40, 1489, 5.500, 560, 2.100, 40, 43, 30, 21, 20, 20, 168, 0, 0, 209, 2, 169, 253, 0, 500, 0, 0, 0, 80, 195, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3332, 18116, 'Treasures of the Festival', '', 'coffer_a', 12.00, 9.50, 52, 'male', 'L2FestivalMonster', 'Fighter', 40, 2058, 6.600, 892, 2.430, 40, 43, 30, 21, 20, 20, 270, 0, 0, 295, 2, 239, 253, 0, 500, 0, 0, 0, 80, 195, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3333, 18117, 'Treasures of the Festival', '', 'coffer_a', 12.00, 9.50, 63, 'male', 'L2FestivalMonster', 'Fighter', 40, 2641, 7.700, 1251, 2.760, 40, 43, 30, 21, 20, 20, 397, 0, 0, 399, 2, 323, 253, 0, 500, 0, 0, 0, 80, 195, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3334, 18118, 'Treasures of the Festival', '', 'coffer_a', 12.00, 9.50, 72, 'male', 'L2FestivalMonster', 'Fighter', 40, 3063, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 518, 0, 0, 492, 2, 399, 253, 0, 500, 0, 0, 0, 80, 195, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3335, 18119, 'Corpse of Deadman', '', 'zombie_corpse', 13.00, 21.00, 63, 'male', 'L2DeadMan', 'Mystic', 40, 3302, 7.700, 1251, 2.760, 40, 43, 30, 21, 20, 20, 0, 0, 987, 399, 560, 323, 253, 0, 500, 0, 0, 0, 15, 1, '', 0, 0, 0, 0, 240, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 1, 0),
	(3336, 18120, 'Halisha\'s Officer', '', 'imperial_warlord_zombie_20_bi', 9.00, 36.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 58584, 6652, 2303, 620, 1325, 525, 253, 0, 500, 134, 6721, 0, 39, 150, 'tomb1_clan', 600, 0, 20, 172, 7, 30, 4, 4, 0, -6, 0.48, 'false', 'NONE', 0, 0),
	(3337, 18121, 'Halisha\'s Officer', '', 'imperial_warlord_zombie_20_bi', 9.00, 36.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 55563, 6309, 2259, 726, 1268, 525, 253, 0, 500, 134, 6721, 0, 39, 150, 'tomb1_clan', 600, 0, 20, 172, 7, 30, 4, 4, 0, -6, 0.48, 'false', 'NONE', 0, 0),
	(3338, 18122, 'Halisha\'s Officer', '', 'imperial_warlord_zombie_20_bi', 9.00, 36.00, 78, 'male', 'L2SepulcherMonster', 'RndTeleportFighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 42434, 4818, 2259, 620, 1268, 525, 253, 0, 500, 134, 6721, 0, 39, 150, 'tomb1_clan', 600, 0, 20, 172, 7, 30, 4, 4, 0, -6, 0.48, 'false', 'NONE', 0, 0),
	(3339, 18123, 'Halisha\'s Officer', '', 'imperial_warlord_zombie_20_bi', 9.00, 36.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 58584, 6652, 2303, 620, 1325, 525, 253, 0, 500, 134, 6721, 0, 39, 150, 'tomb1_clan', 600, 0, 20, 172, 7, 30, 4, 4, 0, -6, 0.48, 'false', 'NONE', 0, 0),
	(3340, 18124, 'Halisha\'s Officer', '', 'imperial_warlord_zombie_20_bi', 9.00, 36.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.400, 1935, 3.270, 40, 43, 30, 21, 20, 20, 55563, 6309, 2259, 726, 1268, 525, 253, 0, 500, 134, 6721, 0, 39, 150, 'tomb1_clan', 600, 0, 20, 172, 7, 30, 4, 4, 0, -6, 0.48, 'false', 'NONE', 0, 0),
	(3341, 18125, 'Halisha\'s Officer', '', 'imperial_warlord_zombie_20_bi', 9.00, 36.00, 78, 'male', 'L2SepulcherMonster', 'RndTeleportFighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 42434, 4818, 2259, 620, 1268, 525, 253, 0, 500, 134, 6721, 0, 39, 150, 'tomb1_clan', 600, 0, 20, 172, 7, 30, 4, 4, 0, -6, 0.48, 'false', 'NONE', 0, 0),
	(3342, 18126, 'Halisha\'s Officer', '', 'imperial_warlord_zombie_20_bi', 9.00, 36.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 58584, 6652, 2303, 620, 1325, 525, 253, 0, 500, 134, 6721, 0, 39, 150, 'tomb1_clan', 600, 0, 20, 172, 7, 30, 4, 4, 0, -6, 0.48, 'false', 'NONE', 0, 0),
	(3343, 18127, 'Halisha\'s Officer', '', 'imperial_warlord_zombie_20_bi', 9.00, 36.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 55563, 6309, 2259, 726, 1268, 525, 253, 0, 500, 134, 6721, 0, 39, 150, 'tomb1_clan', 600, 0, 20, 172, 7, 30, 4, 4, 0, -6, 0.48, 'false', 'NONE', 0, 0),
	(3344, 18128, 'Halisha\'s Officer', '', 'imperial_warlord_zombie_20_bi', 9.00, 36.00, 78, 'male', 'L2SepulcherMonster', 'RndTeleportFighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 42434, 4818, 2259, 620, 1268, 525, 253, 0, 500, 134, 6721, 0, 39, 150, 'tomb1_clan', 600, 0, 20, 172, 7, 30, 4, 4, 0, -6, 0.48, 'false', 'NONE', 0, 0),
	(3345, 18129, 'Halisha\'s Officer', '', 'imperial_warlord_zombie_20_bi', 9.00, 36.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 58584, 6652, 2303, 620, 1325, 525, 253, 0, 500, 134, 6721, 0, 39, 150, 'tomb1_clan', 600, 0, 20, 172, 7, 30, 4, 4, 0, -6, 0.48, 'false', 'NONE', 0, 0),
	(3346, 18130, 'Halisha\'s Officer', '', 'imperial_warlord_zombie_20_bi', 9.00, 36.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 55563, 6309, 2259, 726, 1268, 525, 253, 0, 500, 134, 6721, 0, 39, 150, 'tomb1_clan', 600, 0, 20, 172, 7, 30, 4, 4, 0, -6, 0.48, 'false', 'NONE', 0, 0),
	(3347, 18131, 'Halisha\'s Officer', '', 'imperial_warlord_zombie_20_bi', 9.00, 36.00, 78, 'male', 'L2SepulcherMonster', 'RndTeleportFighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 42434, 4818, 2259, 620, 1268, 525, 253, 0, 500, 134, 6721, 0, 39, 150, 'tomb1_clan', 600, 0, 20, 172, 7, 30, 4, 4, 0, -6, 0.48, 'false', 'NONE', 0, 0),
	(3348, 18132, 'Imperial Healer', '', 'tera_beetle', 19.00, 54.50, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 59699, 6779, 2259, 798, 1268, 537, 253, 0, 500, 0, 0, 0, 45, 170, 'tomb1_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(3349, 18133, 'Imperial Mosaic', '', 'scorpion', 28.00, 66.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 55141, 6261, 2259, 620, 1268, 525, 253, 0, 500, 0, 0, 0, 37, 170, 'tomb1_clan', 600, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(3350, 18134, 'Imperial Mosaic', '', 'scorpion', 28.00, 66.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 41438, 4705, 2259, 620, 1268, 525, 253, 0, 500, 0, 0, 0, 37, 170, 'tomb1_clan', 600, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(3351, 18135, 'Imperial Mosaic', '', 'scorpion', 28.00, 66.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 54900, 6234, 2259, 620, 1268, 525, 253, 0, 500, 0, 0, 0, 37, 170, 'tomb1_clan', 600, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(3352, 18136, 'Imperial Mosaic', '', 'scorpion', 28.00, 66.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 55141, 6261, 2259, 726, 1268, 525, 253, 0, 500, 0, 0, 0, 37, 170, 'tomb1_clan', 600, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(3353, 18137, 'Imperial Mosaic', '', 'scarab', 14.00, 22.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 40876, 4641, 2259, 620, 1268, 525, 253, 0, 500, 0, 0, 0, 45, 180, 'tomb1_clan', 600, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3354, 18138, 'Imperial Mosaic', '', 'scarab', 14.00, 22.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 54418, 6179, 2259, 620, 1268, 525, 253, 0, 500, 0, 0, 0, 45, 180, 'tomb1_clan', 600, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3355, 18139, 'Imperial Mosaic', '', 'scarab', 14.00, 22.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 53615, 6088, 2259, 620, 1268, 525, 253, 0, 500, 0, 0, 0, 45, 180, 'tomb1_clan', 600, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3356, 18140, 'Imperial Mosaic', '', 'scarab', 14.00, 22.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 54394, 6176, 2259, 726, 1268, 525, 253, 0, 500, 0, 0, 0, 45, 180, 'tomb1_clan', 600, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3357, 18141, 'Beetle of Grave', '', 'scarab', 14.00, 22.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 34982, 3972, 3066, 620, 2354, 525, 253, 0, 500, 0, 0, 0, 45, 180, 'tomb2_clan', 600, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3358, 18142, 'Beetle of Grave', '', 'scarab', 14.00, 22.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 34982, 3972, 3066, 620, 2354, 525, 253, 0, 500, 0, 0, 0, 45, 180, 'tomb2_clan', 600, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3359, 18143, 'Beetle of Grave', '', 'scarab', 14.00, 22.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 34982, 3972, 3066, 620, 2354, 525, 253, 0, 500, 0, 0, 0, 45, 180, 'tomb2_clan', 600, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3360, 18144, 'Beetle of Grave', '', 'scarab', 14.00, 22.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 34982, 3972, 3066, 620, 2354, 525, 253, 0, 500, 0, 0, 0, 45, 180, 'tomb2_clan', 600, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3361, 18145, 'Beetle of Grave', '', 'scarab', 14.00, 22.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.500, 1935, 3.300, 40, 43, 30, 21, 20, 20, 29597, 3361, 2791, 727, 1604, 615, 253, 0, 500, 0, 0, 0, 45, 180, 'tomb2_clan', 600, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3362, 18146, 'Beetle of Grave', '', 'scarab', 14.00, 22.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 30276, 3438, 2534, 620, 1604, 525, 253, 0, 500, 0, 0, 0, 45, 180, 'tomb2_clan', 600, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3363, 18147, 'Beetle of Grave', '', 'scarab', 14.00, 22.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.500, 1935, 3.300, 40, 43, 30, 21, 20, 20, 28188, 3201, 2791, 727, 1604, 615, 253, 0, 500, 0, 0, 0, 45, 180, 'tomb2_clan', 600, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3364, 18148, 'Beetle of Grave', '', 'scarab', 14.00, 22.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 32814, 3726, 2534, 620, 1604, 525, 253, 0, 500, 0, 0, 0, 45, 180, 'tomb2_clan', 600, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3365, 18149, 'Beetle of Grave', '', 'scarab', 14.00, 22.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 28991, 3292, 2534, 620, 1604, 525, 253, 0, 500, 0, 0, 0, 45, 180, 'tomb2_clan', 600, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3366, 18150, 'Victim', '', 'a_tombkeeperA', 7.00, 23.00, 78, 'female', 'L2SepulcherMonster', 'npc', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 1904, 600, 904, 403, 253, 0, 500, 0, 0, 0, 50, 100, 'tomb3_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3367, 18151, 'Victim', '', 'a_tombkeeperA', 7.00, 23.00, 78, 'female', 'L2SepulcherMonster', 'npc', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 1904, 600, 904, 403, 253, 0, 500, 0, 0, 0, 50, 100, 'tomb3_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3368, 18152, 'Victim', '', 'a_tombkeeperA', 7.00, 23.00, 78, 'female', 'L2SepulcherMonster', 'npc', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 1904, 600, 904, 403, 253, 0, 500, 0, 0, 0, 50, 100, 'tomb3_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3369, 18153, 'Victim', '', 'a_tombkeeperA', 7.00, 23.00, 78, 'female', 'L2SepulcherMonster', 'npc', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 1904, 600, 904, 403, 253, 0, 500, 0, 0, 0, 50, 100, 'tomb3_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3370, 18154, 'Victim', '', 'a_tombkeeperA', 7.00, 23.00, 78, 'female', 'L2SepulcherMonster', 'npc', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 1904, 600, 904, 403, 253, 0, 500, 0, 0, 0, 50, 100, 'tomb3_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3371, 18155, 'Victim', '', 'a_tombkeeperA', 7.00, 23.00, 78, 'female', 'L2SepulcherMonster', 'npc', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 1904, 600, 904, 403, 253, 0, 500, 0, 0, 0, 50, 100, 'tomb3_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3372, 18156, 'Victim', '', 'a_tombkeeperA', 7.00, 23.00, 78, 'female', 'L2SepulcherMonster', 'npc', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 1904, 600, 904, 403, 253, 0, 500, 0, 0, 0, 50, 100, 'tomb3_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3373, 18157, 'Victim', '', 'a_tombkeeperA', 7.00, 23.00, 78, 'female', 'L2SepulcherMonster', 'npc', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 1904, 600, 904, 403, 253, 0, 500, 0, 0, 0, 50, 100, 'tomb3_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3374, 18158, 'Executioner of Halisha', '', 'erinyes', 21.00, 50.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 28205, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2303, 1051, 1325, 525, 253, 0, 500, 0, 0, 0, 31, 150, 'tomb3_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3375, 18159, 'Executioner of Halisha', '', 'erinyes', 21.00, 50.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 28205, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2303, 620, 1325, 707, 253, 0, 500, 0, 0, 0, 31, 150, 'tomb3_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3376, 18160, 'Executioner of Halisha', '', 'erinyes', 21.00, 50.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 28205, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2303, 1051, 1325, 525, 253, 0, 500, 0, 0, 0, 31, 150, 'tomb3_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3377, 18161, 'Executioner of Halisha', '', 'erinyes', 21.00, 50.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 28205, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2303, 620, 1325, 707, 253, 0, 500, 0, 0, 0, 31, 150, 'tomb3_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3378, 18162, 'Executioner of Halisha', '', 'erinyes', 21.00, 50.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 28205, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2303, 1051, 1325, 525, 253, 0, 500, 0, 0, 0, 31, 150, 'tomb3_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3379, 18163, 'Executioner of Halisha', '', 'erinyes', 21.00, 50.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 28205, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2303, 620, 1325, 707, 253, 0, 500, 0, 0, 0, 31, 150, 'tomb3_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3380, 18164, 'Executioner of Halisha', '', 'erinyes', 21.00, 50.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 28205, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2303, 1051, 1325, 525, 253, 0, 500, 0, 0, 0, 31, 150, 'tomb3_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3381, 18165, 'Executioner of Halisha', '', 'erinyes', 21.00, 50.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 28205, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2303, 620, 1325, 707, 253, 0, 500, 0, 0, 0, 31, 150, 'tomb3_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3382, 18166, 'Imperial Guard', '', 'death_knight', 12.00, 30.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 42032, 4773, 2303, 620, 1325, 525, 253, 0, 500, 142, 0, 0, 27, 110, 'tomb3_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(3383, 18167, 'Imperial Guard', '', 'death_knight', 12.00, 30.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 41438, 4705, 2259, 726, 1268, 525, 253, 0, 500, 142, 0, 0, 27, 110, 'tomb3_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(3384, 18168, 'Imperial Guard', '', 'death_knight', 12.00, 30.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 42595, 4837, 2259, 620, 1268, 525, 253, 0, 500, 142, 0, 0, 27, 110, 'tomb3_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(3385, 18169, 'Imperial Guard', '', 'death_knight', 12.00, 30.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 41237, 4683, 2259, 726, 1268, 525, 253, 0, 500, 142, 0, 0, 27, 110, 'tomb3_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(3386, 18170, 'Imperial Guard', '', 'death_knight', 12.00, 30.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 41278, 4687, 2259, 620, 1604, 525, 253, 0, 500, 0, 0, 0, 80, 160, 'tomb3_clan', 600, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3387, 18171, 'Imperial Guard', '', 'death_knight', 12.00, 30.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 42884, 4869, 2259, 798, 1268, 537, 253, 0, 500, 0, 0, 0, 80, 160, 'tomb3_clan', 600, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3388, 18172, 'Imperial Guard', '', 'death_knight', 12.00, 30.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 40876, 4641, 2259, 620, 1268, 525, 253, 0, 500, 0, 0, 0, 80, 160, 'tomb3_clan', 600, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3389, 18173, 'Halisha\'s Foreman', '', 'kaim_vanul', 24.00, 40.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 45345, 5149, 2303, 620, 1325, 525, 253, 0, 500, 0, 0, 0, 37, 160, 'tomb4_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(3390, 18174, 'Halisha\'s Foreman', '', 'kaim_vanul', 24.00, 40.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 55932, 6351, 2303, 620, 1325, 525, 253, 0, 500, 0, 0, 0, 37, 160, 'tomb4_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(3391, 18175, 'Halisha\'s Foreman', '', 'kaim_vanul', 24.00, 40.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.500, 1935, 3.300, 40, 43, 30, 21, 20, 20, 42803, 4860, 2791, 727, 1570, 615, 253, 0, 500, 0, 0, 0, 37, 160, 'tomb4_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(3392, 18176, 'Halisha\'s Foreman', '', 'kaim_vanul', 24.00, 40.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 45345, 5149, 2303, 620, 1325, 525, 253, 0, 500, 0, 0, 0, 37, 160, 'tomb4_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(3393, 18177, 'Halisha\'s Foreman', '', 'kaim_vanul', 24.00, 40.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 55932, 6351, 2303, 620, 1325, 525, 253, 0, 500, 0, 0, 0, 37, 160, 'tomb4_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(3394, 18178, 'Halisha\'s Foreman', '', 'kaim_vanul', 24.00, 40.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.500, 1935, 3.300, 40, 43, 30, 21, 20, 20, 42803, 4860, 2791, 727, 1570, 615, 253, 0, 500, 0, 0, 0, 37, 160, 'tomb4_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(3395, 18179, 'Halisha\'s Foreman', '', 'kaim_vanul', 24.00, 40.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 45345, 5149, 2303, 620, 1325, 525, 253, 0, 500, 0, 0, 0, 37, 160, 'tomb4_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(3396, 18180, 'Halisha\'s Foreman', '', 'kaim_vanul', 24.00, 40.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 55932, 6351, 2303, 620, 1325, 525, 253, 0, 500, 0, 0, 0, 37, 160, 'tomb4_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(3397, 18181, 'Halisha\'s Foreman', '', 'kaim_vanul', 24.00, 40.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.500, 1935, 3.300, 40, 43, 30, 21, 20, 20, 42803, 4860, 2791, 727, 1570, 615, 253, 0, 500, 0, 0, 0, 37, 160, 'tomb4_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(3398, 18182, 'Halisha\'s Foreman', '', 'kaim_vanul', 24.00, 40.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 45345, 5149, 2303, 620, 1325, 525, 253, 0, 500, 0, 0, 0, 37, 160, 'tomb4_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(3399, 18183, 'Halisha\'s Foreman', '', 'kaim_vanul', 24.00, 40.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 55932, 6351, 2303, 620, 1325, 525, 253, 0, 500, 0, 0, 0, 37, 160, 'tomb4_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(3400, 18184, 'Halisha\'s Foreman', '', 'kaim_vanul', 24.00, 40.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.500, 1935, 3.300, 40, 43, 30, 21, 20, 20, 42803, 4860, 2791, 727, 1570, 615, 253, 0, 500, 0, 0, 0, 37, 160, 'tomb4_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(3401, 18185, 'Evil Astrologer', '', 'doll_blader', 6.00, 12.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 56482, 6414, 2259, 726, 1268, 525, 253, 0, 500, 5129, 5129, 0, 22, 150, 'tomb4_clan', 600, 0, 0, 184, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(3402, 18186, 'Evil Astrologer', '', 'doll_blader', 6.00, 12.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 56803, 6450, 2259, 726, 1268, 525, 253, 0, 500, 5129, 5129, 0, 22, 150, 'tomb4_clan', 600, 0, 0, 184, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(3403, 18187, 'Knight of Darkness', '', 'death_lord', 21.00, 40.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 55141, 6261, 2303, 620, 1325, 525, 253, 0, 500, 78, 0, 0, 40, 160, 'tomb4_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(3404, 18188, 'Knight of Darkness', '', 'death_lord', 21.00, 40.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 41438, 4705, 2303, 620, 1325, 525, 253, 0, 500, 78, 0, 0, 40, 160, 'tomb4_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(3405, 18189, 'Knight of Darkness', '', 'death_lord', 21.00, 40.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 54900, 6234, 2303, 620, 1325, 525, 253, 0, 500, 78, 0, 0, 40, 160, 'tomb4_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(3406, 18190, 'Knight of Darkness', '', 'death_lord', 21.00, 40.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 55141, 6261, 2303, 620, 1325, 525, 253, 0, 500, 78, 0, 0, 40, 160, 'tomb4_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(3407, 18191, 'Witch of dust', '', 'banshee', 9.00, 23.00, 78, 'female', 'L2SepulcherMonster', 'Mystic', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 40876, 4641, 2303, 620, 1325, 525, 253, 0, 500, 3939, 0, 0, 80, 160, 'tomb4_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3408, 18192, 'Witch of dust', '', 'banshee', 9.00, 23.00, 78, 'female', 'L2SepulcherMonster', 'Mystic', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 54418, 6179, 2303, 620, 1325, 525, 253, 0, 500, 3939, 0, 0, 80, 160, 'tomb4_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3409, 18193, 'Witch of dust', '', 'banshee', 9.00, 23.00, 78, 'female', 'L2SepulcherMonster', 'Mystic', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 53615, 6088, 2303, 620, 1325, 525, 253, 0, 500, 3939, 0, 0, 80, 160, 'tomb4_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3410, 18194, 'Witch of dust', '', 'banshee', 9.00, 23.00, 78, 'female', 'L2SepulcherMonster', 'Mystic', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 54394, 6176, 2303, 620, 1325, 525, 253, 0, 500, 3939, 0, 0, 80, 160, 'tomb4_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3411, 18195, 'Signet of Emperor', '', 'ant_larva', 12.00, 8.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 41679, 4733, 3066, 620, 2354, 525, 253, 0, 500, 0, 0, 0, 40, 60, 'tomb4_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.35, 'false', 'NONE', 0, 0),
	(3412, 18196, 'Charm of Corner', '', 'magmagoil_lad', 15.00, 75.00, 78, 'male', 'L2SepulcherMonster', 'PaganGuard', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 136143, 15459, 2259, 966, 1268, 650, 253, 0, 500, 0, 0, 0, 1, 1, 'tomb4_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3413, 18197, 'Charm of Corner', '', 'magmagoil_lad', 15.00, 75.00, 78, 'male', 'L2SepulcherMonster', 'PaganGuard', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 136143, 15459, 2259, 966, 1268, 650, 253, 0, 500, 0, 0, 0, 1, 1, 'tomb4_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3414, 18198, 'Charm of Corner', '', 'magmagoil_lad', 15.00, 75.00, 78, 'male', 'L2SepulcherMonster', 'PaganGuard', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 136143, 15459, 2259, 966, 1268, 650, 253, 0, 500, 0, 0, 0, 1, 1, 'tomb4_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3415, 18199, 'Charm of Corner', '', 'magmagoil_lad', 15.00, 75.00, 78, 'male', 'L2SepulcherMonster', 'PaganGuard', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 136143, 15459, 2259, 966, 1268, 650, 253, 0, 500, 0, 0, 0, 1, 1, 'tomb4_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3416, 18200, 'Charm of Corner', '', 'magmagoil_lad', 15.00, 75.00, 78, 'male', 'L2SepulcherMonster', 'PaganGuard', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 136143, 15459, 2259, 966, 1268, 650, 253, 0, 500, 0, 0, 0, 1, 1, 'tomb4_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3417, 18201, 'Charm of Corner', '', 'magmagoil_lad', 15.00, 75.00, 78, 'male', 'L2SepulcherMonster', 'PaganGuard', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 136143, 15459, 2259, 966, 1268, 650, 253, 0, 500, 0, 0, 0, 1, 1, 'tomb4_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3418, 18202, 'Charm of Corner', '', 'magmagoil_lad', 15.00, 75.00, 78, 'male', 'L2SepulcherMonster', 'PaganGuard', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 136143, 15459, 2259, 966, 1268, 650, 253, 0, 500, 0, 0, 0, 1, 1, 'tomb4_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3419, 18203, 'Charm of Corner', '', 'magmagoil_lad', 15.00, 75.00, 78, 'male', 'L2SepulcherMonster', 'PaganGuard', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 136143, 15459, 2259, 966, 1268, 650, 253, 0, 500, 0, 0, 0, 1, 1, 'tomb4_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3420, 18204, 'Charm of Corner', '', 'magmagoil_lad', 15.00, 75.00, 78, 'male', 'L2SepulcherMonster', 'PaganGuard', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 136143, 15459, 2259, 966, 1268, 650, 253, 0, 500, 0, 0, 0, 1, 1, 'tomb4_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3421, 18205, 'Charm of Corner', '', 'magmagoil_lad', 15.00, 75.00, 78, 'male', 'L2SepulcherMonster', 'PaganGuard', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 136143, 15459, 2259, 966, 1268, 650, 253, 0, 500, 0, 0, 0, 1, 1, 'tomb4_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3422, 18206, 'Charm of Corner', '', 'magmagoil_lad', 15.00, 75.00, 78, 'male', 'L2SepulcherMonster', 'PaganGuard', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 136143, 15459, 2259, 966, 1268, 650, 253, 0, 500, 0, 0, 0, 1, 1, 'tomb4_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3423, 18207, 'Charm of Corner', '', 'magmagoil_lad', 15.00, 75.00, 78, 'male', 'L2SepulcherMonster', 'PaganGuard', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 136143, 15459, 2259, 966, 1268, 650, 253, 0, 500, 0, 0, 0, 1, 1, 'tomb4_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3424, 18208, 'Charm of Corner', '', 'magmagoil_lad', 15.00, 75.00, 78, 'male', 'L2SepulcherMonster', 'PaganGuard', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 136143, 15459, 2259, 966, 1268, 650, 253, 0, 500, 0, 0, 0, 1, 1, 'tomb4_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3425, 18209, 'Charm of Corner', '', 'magmagoil_lad', 15.00, 75.00, 78, 'male', 'L2SepulcherMonster', 'PaganGuard', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 136143, 15459, 2259, 966, 1268, 650, 253, 0, 500, 0, 0, 0, 1, 1, 'tomb4_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3426, 18210, 'Charm of Corner', '', 'magmagoil_lad', 15.00, 75.00, 78, 'male', 'L2SepulcherMonster', 'PaganGuard', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 136143, 15459, 2259, 966, 1268, 650, 253, 0, 500, 0, 0, 0, 1, 1, 'tomb4_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3427, 18211, 'Charm of Corner', '', 'magmagoil_lad', 15.00, 75.00, 78, 'male', 'L2SepulcherMonster', 'PaganGuard', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 136143, 15459, 2259, 966, 1268, 650, 253, 0, 500, 0, 0, 0, 1, 1, 'tomb4_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3428, 18212, 'Archon of Halisha', '', 'ahrimanes', 14.00, 57.75, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 173610, 19713, 2259, 798, 1268, 537, 253, 0, 500, 6722, 0, 0, 35, 185, 'tomb5_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3429, 18213, 'Archon of Halisha', '', 'ahrimanes', 14.00, 57.75, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.500, 1935, 3.300, 40, 43, 30, 21, 20, 20, 173610, 19713, 2791, 798, 1570, 615, 253, 0, 500, 6722, 0, 0, 35, 185, 'tomb5_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3430, 18214, 'Archon of Halisha', '', 'ahrimanes', 14.00, 57.75, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 173610, 19713, 2259, 798, 1268, 537, 253, 0, 500, 6722, 0, 0, 35, 185, 'tomb5_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3431, 18215, 'Archon of Halisha', '', 'ahrimanes', 14.00, 57.75, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 173610, 19713, 2259, 798, 1268, 537, 253, 0, 500, 6722, 0, 0, 35, 185, 'tomb5_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3432, 18216, 'Archon of Halisha', '', 'ahrimanes', 14.00, 57.75, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 173610, 19713, 2259, 798, 1268, 537, 253, 0, 500, 6722, 0, 0, 35, 185, 'tomb5_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3433, 18217, 'Archon of Halisha', '', 'ahrimanes', 14.00, 57.75, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 173610, 19713, 2259, 798, 1268, 537, 253, 0, 500, 6722, 0, 0, 35, 185, 'tomb5_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3434, 18218, 'Archon of Halisha', '', 'ahrimanes', 14.00, 57.75, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 173610, 19713, 2259, 798, 1268, 537, 253, 0, 500, 6722, 0, 0, 35, 185, 'tomb5_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3435, 18219, 'Archon of Halisha', '', 'ahrimanes', 14.00, 57.75, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 173610, 19713, 2259, 798, 1268, 537, 253, 0, 500, 6722, 0, 0, 35, 185, 'tomb5_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3436, 18220, 'Shaman of Darkness', '', 'banshee', 9.00, 23.00, 78, 'female', 'L2SepulcherMonster', 'Mystic', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 56803, 6450, 2259, 620, 1268, 525, 253, 0, 500, 3939, 0, 0, 80, 160, 'tomb5_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3437, 18221, 'Shaman of Darkness', '', 'banshee', 9.00, 23.00, 78, 'female', 'L2SepulcherMonster', 'Mystic', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 58329, 6623, 2259, 620, 1268, 525, 253, 0, 500, 3939, 0, 0, 80, 160, 'tomb5_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3438, 18222, 'Assassin of Darkness', '', 'ashuras', 13.00, 37.50, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 55261, 6275, 2534, 620, 1604, 525, 253, 0, 500, 0, 0, 0, 41, 190, 'tomb5_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(3439, 18223, 'Assassin of Darkness', '', 'ashuras', 13.00, 37.50, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 41438, 4705, 2259, 620, 1268, 525, 253, 0, 500, 0, 0, 0, 41, 190, 'tomb5_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(3440, 18224, 'Assassin of Darkness', '', 'ashuras', 13.00, 37.50, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 55823, 6339, 2534, 620, 1604, 525, 253, 0, 500, 0, 0, 0, 41, 190, 'tomb5_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(3441, 18225, 'Assassin of Darkness', '', 'ashuras', 13.00, 37.50, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 55261, 6275, 2259, 620, 1268, 525, 253, 0, 500, 0, 0, 0, 41, 190, 'tomb5_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(3442, 18226, 'Caster of Darkness', '', 'vale_master', 12.00, 40.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 40876, 4641, 2534, 620, 1604, 525, 253, 0, 500, 0, 0, 0, 70, 155, 'tomb5_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.74, 'false', 'NONE', 0, 0),
	(3443, 18227, 'Caster of Darkness', '', 'vale_master', 12.00, 40.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 70240, 7976, 2259, 620, 1268, 525, 253, 0, 500, 0, 0, 0, 70, 155, 'tomb5_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.74, 'false', 'NONE', 0, 0),
	(3444, 18228, 'Caster of Darkness', '', 'vale_master', 12.00, 40.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 52812, 5997, 2534, 620, 1604, 525, 253, 0, 500, 0, 0, 0, 70, 155, 'tomb5_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.74, 'false', 'NONE', 0, 0),
	(3445, 18229, 'Caster of Darkness', '', 'vale_master', 12.00, 40.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 54394, 6176, 2259, 620, 1268, 525, 253, 0, 500, 0, 0, 0, 70, 155, 'tomb5_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.74, 'false', 'NONE', 0, 0),
	(3446, 18230, 'Signet of Emperor', '', 'ant_larva', 12.00, 8.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 22486, 2553, 3066, 620, 2354, 525, 253, 0, 500, 0, 0, 0, 40, 60, 'tomb5_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.35, 'false', 'NONE', 0, 0),
	(3447, 18231, 'Statue of Protection', '', 'temple_guard_a', 15.00, 42.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.500, 1935, 3.300, 40, 43, 30, 21, 20, 20, 66895, 7596, 2791, 727, 1570, 615, 253, 600, 500, 5795, 0, 0, 53, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3448, 18232, 'Statue of Protection', '', 'temple_guard_a', 15.00, 42.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.500, 1935, 3.300, 40, 43, 30, 21, 20, 20, 66895, 7596, 2791, 727, 1570, 615, 253, 600, 500, 5795, 0, 0, 53, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3449, 18233, 'Statue of Protection', '', 'temple_guard_a', 15.00, 42.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.500, 1935, 3.300, 40, 43, 30, 21, 20, 20, 66895, 7596, 2791, 727, 1570, 615, 253, 600, 500, 5795, 0, 0, 53, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3450, 18234, 'Statue of Protection', '', 'temple_guard_a', 15.00, 42.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.500, 1935, 3.300, 40, 43, 30, 21, 20, 20, 66895, 7596, 2791, 727, 1570, 615, 253, 600, 500, 5795, 0, 0, 53, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3451, 18235, 'Statue of Protection', '', 'temple_guard_a', 15.00, 42.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.500, 1935, 3.300, 40, 43, 30, 21, 20, 20, 66895, 7596, 2791, 727, 1570, 615, 253, 600, 500, 5795, 0, 0, 53, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3452, 18236, 'Statue of Protection', '', 'temple_guard_a', 15.00, 42.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.500, 1935, 3.300, 40, 43, 30, 21, 20, 20, 66895, 7596, 2791, 727, 1570, 615, 253, 600, 500, 5795, 0, 0, 53, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3453, 18237, 'Statue of Protection', '', 'temple_guard_a', 15.00, 42.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.500, 1935, 3.300, 40, 43, 30, 21, 20, 20, 66895, 7596, 2791, 727, 1570, 615, 253, 600, 500, 5795, 0, 0, 53, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3454, 18238, 'Statue of Protection', '', 'temple_guard_a', 15.00, 42.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.500, 1935, 3.300, 40, 43, 30, 21, 20, 20, 66895, 7596, 2791, 727, 1570, 615, 253, 600, 500, 5795, 0, 0, 53, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3455, 18239, 'Statue of Protection', '', 'temple_guard_a', 15.00, 42.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.500, 1935, 3.300, 40, 43, 30, 21, 20, 20, 66895, 7596, 2791, 727, 1570, 615, 253, 600, 500, 5795, 0, 0, 53, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3456, 18240, 'Statue of Protection', '', 'temple_guard_a', 15.00, 42.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.500, 1935, 3.300, 40, 43, 30, 21, 20, 20, 66895, 7596, 2791, 727, 1570, 615, 253, 600, 500, 5795, 0, 0, 53, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3457, 18241, 'Statue of Protection', '', 'temple_guard_a', 15.00, 42.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.500, 1935, 3.300, 40, 43, 30, 21, 20, 20, 66895, 7596, 2791, 727, 1570, 615, 253, 600, 500, 5795, 0, 0, 53, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3458, 18242, 'Statue of Protection', '', 'temple_guard_a', 15.00, 42.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.500, 1935, 3.300, 40, 43, 30, 21, 20, 20, 66895, 7596, 2791, 727, 1570, 615, 253, 600, 500, 5795, 0, 0, 53, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3459, 18243, 'Statue of Protection', '', 'temple_guard_a', 15.00, 42.00, 78, 'male', 'L2SepulcherMonster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 66895, 7596, 2259, 726, 1268, 525, 253, 600, 500, 5795, 0, 0, 53, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3460, 18244, 'Watchman of Grave', '', 'mana_vampire', 11.00, 20.00, 78, 'male', 'L2SepulcherMonster', 'Mystic', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2534, 620, 1604, 525, 253, 0, 500, 0, 0, 0, 90, 1, 'tomb1_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(3461, 18245, 'Watchman of Grave', '', 'mana_vampire', 11.00, 20.00, 78, 'male', 'L2SepulcherMonster', 'Mystic', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2259, 726, 1268, 525, 253, 0, 500, 0, 0, 0, 90, 1, 'tomb1_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(3462, 18246, 'Watchman of Grave', '', 'mana_vampire', 11.00, 20.00, 78, 'male', 'L2SepulcherMonster', 'Mystic', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2259, 620, 1268, 525, 253, 0, 500, 0, 0, 0, 90, 1, 'tomb1_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(3463, 18247, 'Watchman of Grave', '', 'mana_vampire', 11.00, 20.00, 78, 'male', 'L2SepulcherMonster', 'Mystic', 40, 4701, 9.500, 1935, 3.300, 40, 43, 30, 21, 20, 20, 0, 0, 2791, 727, 1604, 615, 253, 0, 500, 0, 0, 0, 90, 1, 'tomb2_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(3464, 18248, 'Watchman of Grave', '', 'mana_vampire', 11.00, 20.00, 78, 'male', 'L2SepulcherMonster', 'Mystic', 40, 4701, 9.500, 1935, 3.300, 40, 43, 30, 21, 20, 20, 0, 0, 2791, 727, 1570, 615, 253, 0, 500, 0, 0, 0, 90, 1, 'tomb2_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(3465, 18249, 'Watchman of Grave', '', 'mana_vampire', 11.00, 20.00, 78, 'male', 'L2SepulcherMonster', 'Mystic', 40, 4701, 9.500, 1935, 3.300, 40, 43, 30, 21, 20, 20, 0, 0, 2791, 727, 1570, 615, 253, 0, 500, 0, 0, 0, 90, 1, 'tomb2_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(3466, 18250, 'Watchman of Grave', '', 'mana_vampire', 11.00, 20.00, 78, 'male', 'L2SepulcherMonster', 'Mystic', 40, 4701, 9.500, 1935, 3.300, 40, 43, 30, 21, 20, 20, 0, 0, 2791, 727, 1604, 615, 253, 0, 500, 0, 0, 0, 90, 1, 'tomb3_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(3467, 18251, 'Watchman of Grave', '', 'mana_vampire', 11.00, 20.00, 78, 'male', 'L2SepulcherMonster', 'Mystic', 40, 4701, 9.500, 1935, 3.300, 40, 43, 30, 21, 20, 20, 0, 0, 2791, 727, 1570, 615, 253, 0, 500, 0, 0, 0, 90, 1, 'tomb3_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(3468, 18252, 'Watchman of Grave', '', 'mana_vampire', 11.00, 20.00, 78, 'male', 'L2SepulcherMonster', 'Mystic', 40, 4701, 9.500, 1935, 3.300, 40, 43, 30, 21, 20, 20, 0, 0, 2791, 727, 1570, 615, 253, 0, 500, 0, 0, 0, 90, 1, 'tomb3_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(3469, 18253, 'Watchman of Grave', '', 'mana_vampire', 11.00, 20.00, 78, 'male', 'L2SepulcherMonster', 'Mystic', 40, 4701, 9.500, 1935, 3.300, 40, 43, 30, 21, 20, 20, 0, 0, 2791, 727, 1604, 615, 253, 0, 500, 0, 0, 0, 90, 1, 'tomb4_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(3470, 18254, 'Watchman of Grave', '', 'mana_vampire', 11.00, 20.00, 78, 'male', 'L2SepulcherMonster', 'Mystic', 40, 4701, 9.500, 1935, 3.300, 40, 43, 30, 21, 20, 20, 0, 0, 2791, 727, 1570, 615, 253, 0, 500, 0, 0, 0, 90, 1, 'tomb4_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(3471, 18255, 'Watchman of Grave', '', 'mana_vampire', 11.00, 20.00, 78, 'male', 'L2SepulcherMonster', 'Mystic', 40, 4701, 9.500, 1935, 3.300, 40, 43, 30, 21, 20, 20, 0, 0, 2791, 727, 1570, 615, 253, 0, 500, 0, 0, 0, 90, 1, 'tomb4_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(3472, 18256, 'Halisha\'s Treasure Box', '', 'mimic', 8.50, 8.50, 78, 'male', 'L2SepulcherMonster', 'npc', 40, 2, 9.200, 1, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2, 2, 3, 2, 253, 0, 500, 0, 0, 0, 80, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3473, 18257, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 78, 'male', 'L2Chest', 'Fighter', 40, 5317, 9.900, 2193, 3.420, 40, 43, 30, 21, 20, 20, 0, 0, 2090, 667, 1333, 527, 253, 0, 500, 0, 0, 0, 80, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3474, 18258, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 78, 'male', 'L2Chest', 'Fighter', 40, 5317, 9.900, 2193, 3.420, 40, 43, 30, 21, 20, 20, 0, 0, 2090, 667, 1333, 527, 253, 0, 500, 0, 0, 0, 80, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3475, 18259, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 78, 'male', 'L2Chest', 'Fighter', 40, 5317, 9.900, 2193, 3.420, 40, 43, 30, 21, 20, 20, 0, 0, 2090, 667, 1333, 527, 253, 0, 500, 0, 0, 0, 80, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3476, 18260, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 78, 'male', 'L2Chest', 'Fighter', 40, 5317, 9.900, 2193, 3.420, 40, 43, 30, 21, 20, 20, 0, 0, 2090, 667, 1333, 527, 253, 0, 500, 0, 0, 0, 80, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3477, 18261, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 78, 'male', 'L2Chest', 'Fighter', 40, 5317, 9.900, 2193, 3.420, 40, 43, 30, 21, 20, 20, 0, 0, 2090, 667, 1333, 527, 253, 0, 500, 0, 0, 0, 80, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3478, 18262, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 78, 'male', 'L2Chest', 'Fighter', 40, 5317, 9.900, 2193, 3.420, 40, 43, 30, 21, 20, 20, 0, 0, 2090, 667, 1333, 527, 253, 0, 500, 0, 0, 0, 80, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3479, 18263, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 78, 'male', 'L2Chest', 'Fighter', 40, 5317, 9.900, 2193, 3.420, 40, 43, 30, 21, 20, 20, 0, 0, 2090, 667, 1333, 527, 253, 0, 500, 0, 0, 0, 80, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3480, 18264, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 78, 'male', 'L2Chest', 'Fighter', 40, 5317, 9.900, 2193, 3.420, 40, 43, 30, 21, 20, 20, 0, 0, 2090, 667, 1333, 527, 253, 0, 500, 0, 0, 0, 80, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3481, 18265, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 21, 'male', 'L2Chest', 'Fighter', 40, 594, 3.500, 228, 1.500, 40, 43, 30, 21, 20, 20, 0, 0, 63, 102, 31, 82, 253, 0, 500, 0, 0, 0, 80, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3482, 18266, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 24, 'male', 'L2Chest', 'Fighter', 40, 710, 3.800, 273, 1.590, 40, 43, 30, 21, 20, 20, 0, 0, 81, 115, 39, 93, 253, 0, 500, 0, 0, 0, 80, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3483, 18267, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 27, 'male', 'L2Chest', 'Fighter', 40, 840, 4.100, 318, 1.680, 40, 43, 30, 21, 20, 20, 0, 0, 104, 130, 50, 105, 253, 0, 500, 0, 0, 0, 80, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3484, 18268, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 30, 'male', 'L2Chest', 'Fighter', 40, 985, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 0, 0, 132, 146, 62, 118, 253, 0, 500, 0, 0, 0, 80, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3485, 18269, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 33, 'male', 'L2Chest', 'Fighter', 40, 1145, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 0, 0, 166, 163, 78, 132, 253, 0, 500, 0, 0, 0, 80, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3486, 18270, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 36, 'male', 'L2Chest', 'Fighter', 40, 1320, 5.000, 464, 1.950, 40, 43, 30, 21, 20, 20, 0, 0, 206, 181, 96, 147, 253, 0, 500, 0, 0, 0, 80, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3487, 18271, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 39, 'male', 'L2Chest', 'Fighter', 40, 1510, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 0, 0, 255, 201, 121, 163, 253, 0, 500, 0, 0, 0, 80, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3488, 18272, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 42, 'male', 'L2Chest', 'Fighter', 40, 1714, 5.600, 589, 2.130, 40, 43, 30, 21, 20, 20, 0, 0, 311, 223, 152, 181, 253, 0, 500, 0, 0, 0, 80, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3489, 18273, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 45, 'male', 'L2Chest', 'Fighter', 40, 1931, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 0, 0, 377, 246, 188, 199, 253, 0, 333, 0, 0, 0, 80, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3490, 18274, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 48, 'male', 'L2Chest', 'Fighter', 40, 2159, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 0, 0, 453, 270, 231, 219, 253, 0, 333, 0, 0, 0, 80, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3491, 18275, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 51, 'male', 'L2Chest', 'Fighter', 40, 2398, 6.500, 861, 2.400, 40, 43, 30, 21, 20, 20, 0, 0, 539, 296, 281, 240, 253, 0, 333, 0, 0, 0, 80, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3492, 18276, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 54, 'male', 'L2Chest', 'Fighter', 40, 2645, 6.800, 956, 2.490, 40, 43, 30, 21, 20, 20, 0, 0, 636, 323, 339, 262, 253, 0, 500, 0, 0, 0, 80, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3493, 18277, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 57, 'male', 'L2Chest', 'Fighter', 40, 2898, 7.100, 1052, 2.580, 40, 43, 30, 21, 20, 20, 0, 0, 743, 351, 405, 285, 253, 0, 333, 0, 0, 0, 80, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3494, 18278, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 60, 'male', 'L2Chest', 'Fighter', 40, 3153, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 0, 0, 860, 381, 478, 309, 253, 0, 500, 0, 0, 0, 80, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3495, 18279, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 63, 'male', 'L2Chest', 'Fighter', 40, 3409, 7.700, 1251, 2.760, 40, 43, 30, 21, 20, 20, 0, 0, 987, 411, 560, 334, 253, 0, 500, 0, 0, 0, 80, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3496, 18280, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 66, 'male', 'L2Chest', 'Fighter', 40, 3661, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 0, 0, 1123, 443, 649, 359, 253, 0, 500, 0, 0, 0, 80, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3497, 18281, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 69, 'male', 'L2Chest', 'Fighter', 40, 3907, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 0, 0, 1265, 475, 746, 385, 253, 0, 500, 0, 0, 0, 80, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3498, 18282, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 72, 'male', 'L2Chest', 'Fighter', 40, 4143, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 0, 0, 1413, 507, 849, 412, 253, 0, 500, 0, 0, 0, 80, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3499, 18283, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 75, 'male', 'L2Chest', 'Fighter', 40, 4366, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 0, 0, 1563, 540, 957, 438, 253, 0, 500, 0, 0, 0, 80, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3500, 18284, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 78, 'male', 'L2Chest', 'Fighter', 40, 4572, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 1715, 574, 1069, 465, 253, 0, 500, 0, 0, 0, 80, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3501, 18285, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 78, 'male', 'L2Chest', 'Fighter', 40, 4900, 9.200, 1954, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 1922, 625, 1182, 492, 253, 0, 500, 0, 0, 0, 80, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3502, 18286, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 78, 'male', 'L2Chest', 'Fighter', 40, 5216, 9.200, 2132, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2036, 654, 1296, 519, 253, 0, 500, 0, 0, 0, 80, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3503, 18287, 'Otherworldly Invader Food', '', 'mimic', 8.50, 8.50, 33, 'male', 'L2Chest', 'Fighter', 40, 1109, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 0, 0, 178, 158, 78, 129, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3504, 18288, 'Otherworldly Invader Food', '', 'mimic', 8.50, 8.50, 35, 'male', 'L2Chest', 'Fighter', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 0, 0, 206, 170, 91, 139, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3505, 18289, 'Dimension Invader Food', '', 'mimic', 8.50, 8.50, 43, 'male', 'L2Chest', 'Fighter', 40, 1729, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 0, 0, 351, 223, 172, 182, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3506, 18290, 'Dimension Invader Food', '', 'mimic', 8.50, 8.50, 45, 'male', 'L2Chest', 'Fighter', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 0, 0, 397, 238, 198, 194, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3507, 18291, 'Purgatory Invader Food', '', 'mimic', 8.50, 8.50, 53, 'male', 'L2Chest', 'Fighter', 40, 2482, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 0, 0, 625, 304, 330, 246, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3508, 18292, 'Purgatory Invader Food', '', 'mimic', 8.50, 8.50, 55, 'male', 'L2Chest', 'Fighter', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 0, 0, 695, 322, 370, 260, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3509, 18293, 'Forbidden Path Invader Food', '', 'mimic', 8.50, 8.50, 63, 'male', 'L2Chest', 'Fighter', 40, 3302, 7.700, 1251, 2.760, 40, 43, 30, 21, 20, 20, 0, 0, 1031, 399, 565, 321, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3510, 18294, 'Forbidden Path Invader Food', '', 'mimic', 8.50, 8.50, 65, 'male', 'L2Chest', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 0, 0, 1131, 419, 623, 337, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3511, 18295, 'Dark Omen Invader Food', '', 'mimic', 8.50, 8.50, 73, 'male', 'L2Chest', 'Fighter', 40, 4087, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 0, 0, 1600, 502, 894, 407, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3512, 18296, 'Dark Omen Invader Food', '', 'mimic', 8.50, 8.50, 75, 'male', 'L2Chest', 'Fighter', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 0, 0, 1736, 524, 972, 426, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3513, 18297, 'Messenger Invader Food', '', 'mimic', 8.50, 8.50, 78, 'male', 'L2Chest', 'Fighter', 40, 4952, 9.200, 2072, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 1981, 620, 1098, 454, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3514, 18298, 'Messenger Invader Food', '', 'mimic', 8.50, 8.50, 78, 'male', 'L2Chest', 'Fighter', 40, 5151, 9.200, 2193, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2090, 646, 1098, 454, 253, 0, 500, 0, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(3515, 18299, 'Flame of the Branded', '', 'big_boom', 6.00, 13.00, 35, 'male', 'L2Monster', 'Fighter', 40, 3663, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 4894, 290, 216, 172, 96, 146, 253, 0, 500, 0, 0, 0, 48, 30, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3516, 18300, 'Offering of the Branded, Evoked Spirit', '', 'orc', 10.00, 21.00, 33, 'male', 'L2Monster', 'Fighter', 40, 1109, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 1751, 100, 187, 160, 81, 135, 253, 0, 500, 158, 0, 0, 45, 155, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3517, 18301, 'Flame of Apostates', '', 'big_boom', 6.00, 13.00, 46, 'male', 'L2Monster', 'Fighter', 40, 5829, 6.000, 708, 2.250, 40, 43, 30, 21, 20, 20, 8454, 599, 442, 248, 223, 210, 253, 0, 500, 0, 0, 0, 48, 30, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3518, 18302, 'Offering of Apostates, Evoked Spirit', '', 'orc_fighter', 12.00, 22.00, 44, 'male', 'L2Monster', 'Fighter', 40, 1799, 5.800, 648, 2.190, 40, 43, 30, 21, 20, 20, 3113, 213, 392, 233, 194, 197, 253, 0, 500, 172, 0, 0, 45, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(3519, 18303, 'Flame of the Witch', '', 'big_boom', 6.00, 13.00, 57, 'male', 'L2Monster', 'Mystic', 40, 8421, 7.100, 1052, 2.580, 40, 43, 30, 21, 20, 20, 12980, 1079, 809, 340, 435, 289, 253, 0, 500, 0, 0, 0, 48, 30, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3520, 18304, 'Offering of the Witch, Evoked Spirit', '', 'batur_orc', 9.00, 21.50, 55, 'male', 'L2Monster', 'Mystic', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 4864, 393, 730, 322, 389, 273, 253, 0, 500, 91, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(3521, 18305, 'Flame of Dark Omen', '', 'big_boom', 6.00, 13.00, 68, 'male', 'L2Monster', 'Fighter', 40, 11119, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 18473, 1784, 1358, 450, 753, 381, 253, 0, 500, 0, 0, 0, 48, 30, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3522, 18306, 'Offering of Dark Omen, Evoked Spirit', '', 'batur_orc', 9.00, 21.50, 66, 'male', 'L2Monster', 'Fighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 7004, 659, 1242, 429, 686, 363, 253, 0, 500, 2503, 0, 0, 80, 170, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(3523, 18307, 'Flame of Forbidden Path', '', 'big_boom', 6.00, 13.00, 78, 'male', 'L2Monster', 'Fighter', 40, 13607, 9.200, 1840, 3.210, 40, 43, 30, 21, 20, 20, 24933, 2763, 2259, 620, 1268, 525, 253, 0, 500, 0, 0, 0, 48, 30, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3524, 18308, 'Offering of /Forbidden Path, Evoked Spirit', '', 'batur_orc_warrior', 10.00, 20.00, 77, 'male', 'L2Monster', 'Fighter', 40, 4364, 9.100, 1747, 3.180, 40, 43, 30, 21, 20, 20, 9534, 1032, 2173, 606, 1219, 514, 253, 0, 500, 175, 0, 0, 80, 175, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(3525, 18309, 'Flame of the Branded', '', 'big_boom', 6.00, 13.00, 35, 'male', 'L2Monster', 'Fighter', 40, 3663, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 4894, 290, 216, 172, 96, 146, 253, 0, 500, 0, 0, 0, 48, 30, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3526, 18310, 'Offering of the Branded, Evoked Spirit', '', 'orc', 10.00, 21.00, 33, 'male', 'L2Monster', 'Fighter', 40, 1109, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 1751, 100, 187, 160, 81, 135, 253, 0, 500, 158, 0, 0, 45, 155, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(3527, 18311, 'Flame of Apostates', '', 'big_boom', 6.00, 13.00, 46, 'male', 'L2Monster', 'Fighter', 40, 5829, 6.000, 708, 2.250, 40, 43, 30, 21, 20, 20, 8454, 599, 442, 248, 223, 210, 253, 0, 500, 0, 0, 0, 48, 30, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3528, 18312, 'Offering of Apostates, Evoked Spirit', '', 'orc_fighter', 12.00, 22.00, 44, 'male', 'L2Monster', 'Fighter', 40, 1799, 5.800, 648, 2.190, 40, 43, 30, 21, 20, 20, 3113, 213, 392, 233, 194, 197, 253, 0, 500, 172, 0, 0, 45, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(3529, 18313, 'Flame of the Witch', '', 'big_boom', 6.00, 13.00, 57, 'male', 'L2Monster', 'Mystic', 40, 8421, 7.100, 1052, 2.580, 40, 43, 30, 21, 20, 20, 12980, 1079, 809, 340, 435, 289, 253, 0, 500, 0, 0, 0, 48, 30, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3530, 18314, 'Offering of the Witch, Evoked Spirit', '', 'batur_orc', 9.00, 21.50, 55, 'male', 'L2Monster', 'Mystic', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 4864, 393, 730, 322, 389, 273, 253, 0, 500, 91, 0, 0, 80, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(3531, 18315, 'Flame of Dark Omen', '', 'big_boom', 6.00, 13.00, 68, 'male', 'L2Monster', 'Fighter', 40, 11119, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 18473, 1784, 1358, 450, 753, 381, 253, 0, 500, 0, 0, 0, 48, 30, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3532, 18316, 'Offering of Dark Omen, Evoked Spirit', '', 'batur_orc', 9.00, 21.50, 66, 'male', 'L2Monster', 'Fighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 7004, 659, 1242, 429, 686, 363, 253, 0, 500, 2503, 0, 0, 80, 170, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(3533, 18317, 'Flame of Forbidden Path', '', 'big_boom', 6.00, 13.00, 78, 'male', 'L2Monster', 'Fighter', 40, 13473, 9.200, 1822, 3.210, 40, 43, 30, 21, 20, 20, 24933, 2763, 2259, 620, 1268, 525, 253, 0, 500, 0, 0, 0, 48, 30, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3534, 18318, 'Offering of Forbidden Path, Evoked Spirit', '', 'batur_orc_warrior', 10.00, 20.00, 77, 'male', 'L2Monster', 'Fighter', 40, 4364, 9.100, 1747, 3.180, 40, 43, 30, 21, 20, 20, 9534, 1032, 2173, 606, 1219, 514, 253, 0, 500, 175, 0, 0, 80, 175, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(3535, 18319, 'Caught Frog', '', 'poison_toad', 20.00, 10.00, 10, 'male', 'L2PenaltyMonster', 'CaughtFighter', 40, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 422, 14, 23, 52, 8, 49, 253, 0, 500, 0, 0, 0, 50, 110, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.35, 'false', 'NONE', 0, 0),
	(3536, 18320, 'Caught Undine', '', 'undine', 12.00, 27.00, 20, 'female', 'L2PenaltyMonster', 'CaughtMystic', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 844, 37, 57, 80, 24, 76, 253, 0, 500, 0, 0, 0, 60, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.35, 'false', 'NONE', 0, 0),
	(3537, 18321, 'Caught Rakul', '', 'rakul', 30.00, 39.00, 30, 'male', 'L2PenaltyMonster', 'CaughtFighter', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 1550, 85, 132, 120, 62, 114, 253, 0, 500, 156, 0, 0, 60, 130, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.59, 'false', 'NONE', 0, 0),
	(3538, 18322, 'Caught Sea Giant', '', 'water_giant', 13.00, 44.00, 40, 'male', 'L2PenaltyMonster', 'CaughtFighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 2756, 178, 273, 172, 131, 164, 253, 0, 500, 131, 0, 0, 35, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.45, 'false', 'NONE', 0, 0),
	(3539, 18323, 'Caught Sea Horse Soldier', '', 'theeder', 9.00, 32.00, 50, 'male', 'L2PenaltyMonster', 'CaughtFighter', 80, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 4306, 324, 509, 237, 264, 226, 253, 0, 500, 291, 0, 0, 80, 150, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.45, 'false', 'NONE', 0, 0),
	(3540, 18324, 'Caught Homunculus', '', 'homunculus', 12.00, 32.50, 60, 'male', 'L2PenaltyMonster', 'CaughtFighter', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 6200, 538, 860, 314, 478, 299, 253, 0, 500, 0, 0, 0, 30, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.50, 'false', 'NONE', 0, 0),
	(3541, 18325, 'Caught Flava', '', 'flava', 18.00, 34.00, 70, 'male', 'L2PenaltyMonster', 'CaughtFighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 8439, 837, 1314, 400, 780, 382, 253, 0, 500, 0, 0, 0, 30, 170, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.45, 'false', 'NONE', 0, 0),
	(3542, 18326, 'Caught Gigantic Eye', '', 'hundred_eye', 21.00, 55.00, 78, 'male', 'L2PenaltyMonster', 'CaughtMystic', 40, 4551, 9.200, 1859, 3.210, 40, 43, 30, 21, 20, 20, 11022, 1237, 1814, 490, 1144, 468, 253, 0, 500, 0, 0, 0, 30, 180, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.54, 'false', 'NONE', 0, 0),
	(3543, 18327, 'Freya\'s Servant', '', 'gargoyle_02te', 16.00, 50.00, 58, 'male', 'L2Monster', 'Fighter', 40, 2889, 7.200, 1085, 2.610, 40, 43, 30, 21, 20, 20, 0, 0, 851, 350, 459, 296, 253, 500, 500, 223, 0, 0, 70, 174, '', 300, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(3544, 18328, 'Hall Alarm Device', '', 'grave_keeper_key', 8.00, 21.00, 78, 'male', 'L2Monster', 'npc', 40, 158000, 9.200, 2050, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2056, 3000, 1031, 2500, 253, 500, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3545, 18329, 'Hall Keeper Captain', '', 'death_lord', 21.00, 40.00, 78, 'male', 'L2Monster', 'Fighter', 80, 4717, 9.200, 1973, 3.210, 40, 43, 30, 21, 20, 20, 38689, 4290, 2259, 623, 1268, 525, 253, 1000, 500, 78, 0, 0, 30, 165, 'hall_keeper_clan', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(3546, 18330, 'Hall Keeper Wizard', '', 'vale_master', 12.00, 40.00, 78, 'male', 'L2Monster', 'Mystic', 40, 4551, 9.200, 1859, 3.210, 40, 43, 30, 21, 20, 20, 29019, 3105, 2259, 620, 1268, 525, 253, 1000, 500, 326, 0, 0, 30, 180, 'hall_keeper_clan', 0, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.54, 'false', 'NONE', 0, 0),
	(3547, 18331, 'Hall Keeper Guard', '', 'death_knight', 12.00, 30.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4664, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 31388, 3443, 2259, 620, 1268, 525, 253, 1000, 500, 142, 0, 0, 36, 175, 'hall_keeper_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(3548, 18332, 'Hall Keeper Patrol', '', 'headless_knight', 21.00, 31.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4609, 9.200, 1897, 3.210, 40, 43, 30, 21, 20, 20, 30627, 3320, 2259, 620, 1268, 525, 253, 1000, 500, 124, 0, 0, 35, 170, 'hall_keeper_clan', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(3549, 18333, 'Hall Keeper Suicidal Soldier', '', 'self_blaster', 9.00, 25.80, 78, 'male', 'L2Monster', 'Fighter', 40, 4551, 9.200, 1859, 3.210, 40, 43, 30, 21, 20, 20, 29875, 3201, 2259, 620, 1268, 525, 253, 1000, 500, 0, 0, 0, 48, 200, 'hall_keeper_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(3550, 18334, 'Dark Choir Captain', '', 'erinyes_cmd', 21.00, 50.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4814, 9.200, 2050, 3.210, 40, 43, 30, 21, 20, 20, 41536, 4607, 2259, 633, 1268, 525, 253, 2000, 500, 0, 0, 0, 23, 190, 'dark_choir_clan', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.54, 'false', 'NONE', 0, 0),
	(3551, 18335, 'Dark Choir Prima Donna', '', 'portrait_spirit', 23.00, 40.00, 78, 'male', 'L2Monster', 'Mystic', 40, 4664, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 31388, 3443, 2259, 620, 1268, 525, 253, 2000, 500, 6716, 0, 0, 36, 175, 'dark_choir_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(3552, 18336, 'Dark Choir Lancer', '', 'death_blader', 15.00, 45.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4664, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 31388, 3443, 2259, 620, 1268, 525, 253, 2000, 500, 1472, 0, 0, 36, 175, 'dark_choir_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(3553, 18337, 'Dark Choir Archer', '', 'skeleton_archer_20_bi', 13.00, 32.50, 78, 'male', 'L2Monster', 'Ranger', 1100, 4664, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 31388, 3443, 4337, 620, 1268, 525, 253, 2000, 500, 279, 0, 0, 36, 175, 'dark_choir_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(3554, 18338, 'Dark Choir Witch Doctor', '', 'portrait_spirit_winged', 23.00, 40.00, 78, 'male', 'L2Monster', 'Mystic', 40, 4664, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 23952, 2626, 2259, 620, 1268, 525, 253, 2000, 500, 6716, 0, 0, 36, 175, 'dark_choir_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(3555, 18339, 'Dark Choir Player', '', 'skeleton', 11.00, 25.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4551, 9.200, 1859, 3.210, 40, 43, 30, 21, 20, 20, 29875, 3201, 2259, 620, 1268, 525, 253, 150, 500, 150, 103, 0, 48, 200, 'dark_choir_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(3556, 18340, 'Hall Keeper Suicidal Soldier', '', 'self_blaster', 9.00, 25.80, 78, 'male', 'L2Monster', 'Fighter', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 2686, 712, 1509, 603, 253, 2000, 500, 0, 0, 0, 48, 200, '', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(3557, 18341, 'Hall Keeper Suicidal Soldier', '', 'self_blaster', 9.00, 25.80, 78, 'male', 'L2Monster', 'Fighter', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 2686, 712, 1509, 603, 253, 2000, 500, 0, 0, 0, 48, 200, '', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(3558, 18342, 'Gremlin', '', 'gremlin', 10.00, 15.00, 1, 'male', 'L2Monster', 'Fighter', 40, 63, 1.500, 44, 0.900, 40, 43, 30, 21, 20, 20, 29, 2, 9, 44, 7, 35, 253, 0, 500, 0, 0, 0, 20, 50, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(3559, 18343, 'Gatekeeper Zombie', '', 'zombie_gateguard', 17.00, 30.50, 78, 'male', 'L2SpecialMonster', 'GatekeeperZombie', 40, 4717, 9.200, 1973, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2038, 623, 1098, 506, 253, 500, 500, 8217, 0, 0, 33, 120, 'pagan_clan', 1000, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(3560, 18344, 'Ancient Egg', '', 'dinosaur_nest', 53.00, 11.50, 78, 'female', 'L2SpecialMonster', 'Fighter', 40, 16, 9.200, 2089, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 1985, 611, 957, 1182, 253, 0, 500, 0, 0, 0, 50, 100, 'dino', 2000, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(3561, 18345, 'Sprigant', '', 'Arachnoid', 45.00, 67.00, 78, 'female', 'L2Monster', 'Fighter', 40, 4717, 9.200, 1973, 3.210, 40, 43, 30, 21, 20, 20, 8267, 961, 2259, 623, 1268, 525, 253, 500, 500, 0, 0, 0, 80, 192, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(3562, 18346, 'Sprigant', '', 'Arachnoid', 45.00, 67.00, 78, 'female', 'L2Monster', 'Fighter', 40, 4717, 9.200, 1973, 3.210, 40, 43, 30, 21, 20, 20, 8267, 961, 2259, 623, 1268, 525, 253, 500, 500, 0, 0, 0, 80, 192, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(3563, 18347, 'Garden Guard', '', 'LineageMonster4.Mostro_Fighter', 15.50, 22.50, 20, 'male', 'L2Monster', 'Fighter', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 708, 31, 65, 96, 24, 80, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3564, 18348, 'Garden Guard', '', 'LineageMonster4.Mostro_Fighter', 15.50, 22.50, 21, 'male', 'L2Monster', 'Fighter', 40, 576, 3.500, 228, 1.500, 40, 43, 30, 21, 20, 20, 949, 35, 70, 100, 31, 84, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3565, 18349, 'Garden Guard', '', 'LineageMonster4.Mostro_Gunner', 15.00, 24.50, 21, 'male', 'L2Monster', 'Ranger', 700, 576, 3.500, 228, 1.500, 40, 43, 30, 21, 20, 20, 907, 41, 70, 100, 31, 84, 253, 0, 500, 10128, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3566, 18350, 'Garden Guard', '', 'LineageMonster4.Mostro_Fighter', 15.50, 22.50, 21, 'male', 'L2Monster', 'Fighter', 40, 576, 3.500, 228, 1.500, 40, 43, 30, 21, 20, 20, 1000, 35, 70, 100, 31, 84, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3567, 18351, 'Garden Guard', '', 'LineageMonster4.Mostro_Fighter', 15.50, 22.50, 21, 'male', 'L2Monster', 'Fighter', 40, 576, 3.500, 228, 1.500, 40, 43, 30, 21, 20, 20, 952, 35, 70, 100, 31, 84, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3568, 18352, 'Kamael Guard', '', 'LineageMonster4.Mostro_Fighter', 15.50, 22.50, 22, 'male', 'L2Monster', 'Fighter', 40, 612, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 1808, 68, 78, 104, 29, 87, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3569, 18353, 'Guardian of Records', '', 'LineageMonster4.Mostro_Fighter', 15.50, 22.50, 22, 'male', 'L2Monster', 'Fighter', 40, 612, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 2401, 99, 78, 104, 29, 87, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3570, 18354, 'Guardian of Observation', '', 'LineageMonster4.Mostro_Fighter', 15.50, 22.50, 22, 'male', 'L2Monster', 'Fighter', 40, 612, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 1808, 68, 78, 104, 29, 87, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3571, 18355, 'Spicula\'s Guard', '', 'LineageMonster4.Mostro_Fighter', 15.50, 22.50, 22, 'male', 'L2Monster', 'Fighter', 40, 612, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 2542, 99, 78, 104, 29, 87, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3572, 18356, 'Harkilgamed\'s Gatekeeper', '', 'LineageMonster4.Mostro_Gunner', 15.00, 24.50, 22, 'male', 'L2Monster', 'Ranger', 700, 612, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 2470, 111, 78, 104, 29, 87, 253, 0, 500, 10128, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3573, 18357, 'Rodenpicula\'s Gatekeeper', '', 'LineageMonster4.Mostro_Fighter', 15.50, 22.50, 22, 'male', 'L2Monster', 'Fighter', 40, 612, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 2401, 99, 78, 104, 29, 87, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3574, 18358, 'Guardian of Secrets', '', 'LineageMonster4.Mostro_Fighter', 15.50, 22.50, 22, 'male', 'L2Monster', 'Fighter', 40, 612, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 1808, 68, 78, 104, 29, 87, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3575, 18359, 'Arviterre\'s Guardian', '', 'LineageMonster4.Mostro_Fighter', 15.50, 22.50, 22, 'male', 'L2Monster', 'Fighter', 40, 612, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 1808, 68, 78, 104, 29, 87, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3576, 18360, 'Katenar\'s Gatekeeper', '', 'LineageMonster4.Mostro_Fighter', 15.50, 22.50, 22, 'male', 'L2Monster', 'Fighter', 40, 612, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 1808, 68, 78, 104, 29, 87, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3577, 18361, 'Guardian of Prediction', '', 'LineageMonster4.Mostro_Fighter', 15.50, 22.50, 22, 'male', 'L2Monster', 'Fighter', 40, 612, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 2401, 99, 78, 104, 29, 87, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3578, 18362, 'Garden Guard', '', 'LineageMonster4.Mostro_Fighter', 15.50, 22.50, 19, 'male', 'L2Monster', 'Fighter', 40, 508, 3.300, 203, 1.440, 40, 43, 30, 21, 20, 20, 742, 30, 59, 91, 26, 77, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3579, 18363, 'Garden Guard', '', 'LineageMonster4.Mostro_Gunner', 15.00, 24.50, 19, 'male', 'L2Monster', 'Ranger', 700, 508, 3.300, 203, 1.440, 40, 43, 30, 21, 20, 20, 670, 29, 59, 91, 26, 77, 253, 0, 500, 10128, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3580, 18364, 'Witch Warder', '', 'LineageMonster.Onyx_beast', 14.00, 14.50, 79, 'male', 'L2SpecialMonster', 'WitchWarder', 40, 4491, 9.300, 1822, 3.240, 40, 43, 30, 21, 20, 20, 0, 0, 3530, 962, 2214, 918, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3581, 18365, 'Witch Warder', '', 'LineageMonster.Onyx_beast', 14.00, 14.50, 80, 'male', 'L2SpecialMonster', 'WitchWarder', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 3450, 950, 2114, 890, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3582, 18366, 'Witch Warder', '', 'LineageMonster.Onyx_beast', 14.00, 14.50, 82, 'male', 'L2SpecialMonster', 'WitchWarder', 40, 4664, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 0, 0, 4250, 1150, 2780, 1005, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3583, 18367, 'Prison Guard', '', 'LineageMonster3.zombie_gateguard', 17.00, 30.50, 80, 'male', 'L2Monster', 'PrisonGuard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 2686, 712, 1509, 603, 253, 300, 500, 8217, 0, 0, 80, 192, 'prison_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(3584, 18368, 'Prison Guard', '', 'LineageMonster3.zombie_gateguard', 17.00, 30.50, 80, 'male', 'L2Monster', 'PrisonGuard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 8579, 962, 2686, 712, 1509, 603, 253, 300, 500, 8217, 0, 0, 80, 192, 'prison_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(3585, 18369, 'Chromatic Crystalline Golem', '', 'LineageMonster4.Crystal_Golem', 30.00, 47.00, 82, 'male', 'L2Monster', 'Fighter', 40, 4664, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 9308, 1017, 2896, 741, 1630, 628, 253, 500, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'SOUL_BSPIRIT', 0, 0),
	(3586, 18370, 'Chromatic Crystalline Golem', '', 'LineageMonster4.Crystal_Golem', 30.00, 47.00, 82, 'male', 'L2Monster', 'Fighter', 40, 4664, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 8545, 934, 2896, 741, 1630, 628, 253, 500, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'SOUL_BSPIRIT', 0, 0),
	(3587, 18371, 'Beleth Sample', '', 'LineageMonster3.zombie_gateguard', 17.00, 30.50, 82, 'male', 'L2Monster', 'Fighter', 40, 4664, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 7697, 841, 2896, 741, 1630, 628, 253, 0, 500, 8217, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3588, 18372, 'Beleth Sample', '', 'LineageMonster3.Zombie_laborer', 11.00, 24.60, 82, 'male', 'L2Monster', 'Fighter', 40, 4664, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 7697, 841, 2896, 741, 1630, 628, 253, 0, 500, 123, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3589, 18373, 'Beleth Sample', '', 'LineageMonster3.Zombie_enlisted_man', 17.00, 22.30, 82, 'male', 'L2Monster', 'Fighter', 40, 4664, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 7697, 841, 2896, 741, 1630, 628, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3590, 18374, 'Beleth Sample', '', 'LineageMonster3.Zombie_knight', 17.00, 22.30, 82, 'male', 'L2Monster', 'Fighter', 40, 4664, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 7697, 841, 2896, 741, 1630, 628, 253, 0, 500, 8215, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3591, 18375, 'Beleth Sample', '', 'LineageMonster.Skeleton_royal_guard', 11.00, 28.50, 82, 'male', 'L2Monster', 'Fighter', 40, 4664, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 7697, 841, 2896, 741, 1630, 628, 253, 0, 500, 946, 945, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3592, 18376, 'Beleth Sample', '', 'LineageMonster.Vale_master', 16.00, 47.00, 82, 'male', 'L2Monster', 'Fighter', 40, 4664, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 7697, 841, 2896, 741, 1630, 628, 253, 0, 500, 205, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3593, 18377, 'Beleth Sample', '', 'LineageMonster.Skeleton_knight', 10.00, 25.00, 82, 'male', 'L2Monster', 'Fighter', 40, 4664, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 7697, 841, 2896, 741, 1630, 628, 253, 0, 500, 150, 103, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3594, 18378, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_switch', 20.00, 13.50, 78, 'female', 'L2Npc', 'npc', 40, 4429, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3595, 18379, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3596, 18380, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3597, 18381, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3598, 18382, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3599, 18383, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3600, 18384, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3601, 18385, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3602, 18386, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3603, 18387, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3604, 18388, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3605, 18389, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3606, 18390, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3607, 18391, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3608, 18392, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3609, 18393, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3610, 18394, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3611, 18395, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3612, 18396, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3613, 18397, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3614, 18398, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3615, 18399, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3616, 18400, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3617, 18401, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3618, 18402, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3619, 18403, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3620, 18404, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3621, 18405, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3622, 18406, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3623, 18407, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3624, 18408, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3625, 18409, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3626, 18410, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3627, 18411, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3628, 18412, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3629, 18413, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3630, 18414, 'Warrior\'s Gatekeeper', '', 'LineageNpcEV.trioll_altar', 9.00, 33.50, 18, 'female', 'L2Npc', 'npc', 40, 477, 1.500, 194, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 48, 87, 20, 71, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3631, 18415, 'Midway Gatekeeper', '', 'LineageNpcEV.trioll_altar', 9.00, 33.50, 18, 'female', 'L2Npc', 'npc', 40, 477, 1.500, 194, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 48, 87, 20, 71, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3632, 18416, 'Doorman', '', 'LineageNpcEV.trioll_altar', 9.00, 33.50, 18, 'female', 'L2Npc', 'npc', 40, 477, 1.500, 194, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 48, 87, 20, 71, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3633, 18417, 'Bridge Keeper', '', 'LineageNpcEV.trioll_altar', 9.00, 33.50, 18, 'female', 'L2Npc', 'npc', 40, 477, 1.500, 194, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 48, 87, 20, 71, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3634, 18418, 'Bridge Keeper', '', 'LineageNpcEV.trioll_altar', 9.00, 33.50, 18, 'female', 'L2Npc', 'npc', 40, 477, 1.500, 194, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 48, 87, 20, 71, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3635, 18419, 'Bridge Keeper', '', 'LineageNpcEV.trioll_altar', 9.00, 33.50, 18, 'female', 'L2Npc', 'npc', 40, 477, 1.500, 194, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 48, 87, 20, 71, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3636, 18420, 'Trap', '', 'LineageNpcEV.trioll_altar', 9.00, 33.50, 18, 'female', 'L2Npc', 'npc', 40, 477, 3.200, 194, 1.410, 40, 43, 30, 21, 20, 20, 0, 0, 48, 87, 20, 71, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3637, 18427, '', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4699, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1770, 556, 820, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3638, 18428, '', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4699, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1770, 556, 820, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3639, 18429, '', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4699, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1770, 556, 820, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3640, 18430, '', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4699, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1770, 556, 820, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3641, 18431, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3642, 18432, 'Trap', '', 'LineageNpcEV.Trap_device_wall_switch', 13.60, 38.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3643, 18433, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3644, 18434, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3645, 18435, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3646, 18436, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3647, 18437, 'Trap', '', 'LineageNPC.clear_npc', 0.10, 0.10, 18, 'male', 'L2Npc', 'npc', 40, 477, 3.200, 194, 1.410, 40, 43, 30, 21, 20, 20, 0, 0, 48, 87, 20, 71, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3648, 18438, 'Trap', '', 'LineageNpcEV.trioll_altar', 9.00, 33.50, 15, 'female', 'L2Npc', 'npc', 40, 477, 1.500, 194, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 47, 85, 23, 69, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3649, 18441, 'Kamael Gatekeeper', '', 'LineageNpcEV.trioll_altar', 9.00, 33.50, 18, 'female', 'L2Npc', 'npc', 40, 477, 1.500, 194, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 48, 87, 20, 71, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3650, 18442, 'Trap', '', 'LineageNpcEV.trioll_altar', 9.00, 33.50, 18, 'female', 'L2Npc', 'npc', 40, 477, 1.500, 194, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 48, 87, 20, 71, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3651, 18443, 'Trap', '', 'LineageNpcEV.Trap_device_bottom_staff', 30.00, 13.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3652, 18444, 'Garden Guard', '', 'LineageMonster4.Mostro_Fighter', 15.50, 22.50, 20, 'male', 'L2Monster', 'Fighter', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 816, 36, 65, 96, 24, 80, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3653, 18445, 'Tully\'s Gatekeeper', '', 'LineageNpcEV.trioll_altar', 9.00, 33.50, 80, 'female', 'L2Npc', 'npc', 40, 4429, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 1721, 562, 797, 457, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3654, 18446, 'Tully\'s Gatekeeper', '', 'LineageNpcEV.trioll_altar', 9.00, 33.50, 80, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1721, 562, 797, 457, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3655, 18447, 'Tully\'s Gatekeeper', '', 'LineageNpcEV.trioll_altar', 9.00, 33.50, 80, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1721, 562, 797, 457, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3656, 18448, 'Tully\'s Gatekeeper', '', 'LineageNpcEV.trioll_altar', 9.00, 33.50, 80, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1721, 562, 797, 457, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3657, 18449, 'Tully\'s Gatekeeper', '', 'LineageNpcEV.trioll_altar', 9.00, 33.50, 80, 'female', 'L2Npc', 'npc', 40, 4429, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 1721, 562, 797, 457, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3658, 18450, 'Tully\'s Gatekeeper', '', 'LineageNpcEV.trioll_altar', 9.00, 33.50, 80, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1721, 562, 797, 457, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3659, 18451, 'Tully\'s Gatekeeper', '', 'LineageNpcEV.trioll_altar', 9.00, 33.50, 80, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1721, 562, 797, 457, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3660, 18452, 'Tully\'s Gatekeeper', '', 'LineageNpcEV.trioll_altar', 9.00, 33.50, 80, 'female', 'L2Npc', 'npc', 40, 4429, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 1721, 562, 797, 457, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3661, 18453, 'Tully\'s Gatekeeper', '', 'LineageNpcEV.trioll_altar', 9.00, 33.50, 80, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1721, 562, 797, 457, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3662, 18454, 'Tully\'s Gatekeeper', '', 'LineageNpcEV.trioll_altar', 9.00, 33.50, 80, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1721, 562, 797, 457, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3663, 18455, 'Tully\'s Gatekeeper', '', 'LineageNpcEV.trioll_altar', 9.00, 33.50, 80, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1721, 562, 797, 457, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3664, 18456, 'Tully\'s Gatekeeper', '', 'LineageNpcEV.trioll_altar', 9.00, 33.50, 80, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1721, 562, 797, 457, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3665, 18457, 'Tully\'s Gatekeeper', '', 'LineageNpcEV.trioll_altar', 9.00, 33.50, 80, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1721, 562, 797, 457, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3666, 18458, 'Tully\'s Gatekeeper', '', 'LineageNpcEV.trioll_altar', 9.00, 33.50, 80, 'female', 'L2Npc', 'npc', 40, 4429, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1721, 562, 797, 457, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3667, 18459, 'Tully\'s Gatekeeper', '', 'LineageNpcEV.trioll_altar', 9.00, 33.50, 80, 'female', 'L2Npc', 'npc', 40, 4429, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 1721, 562, 797, 457, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3668, 18460, 'Tully\'s Gatekeeper', '', 'LineageNpcEV.trioll_altar', 9.00, 33.50, 80, 'female', 'L2Npc', 'npc', 40, 4429, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 1721, 562, 797, 457, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3669, 18461, 'Tully\'s Gatekeeper', '', 'LineageNpcEV.trioll_altar', 9.00, 33.50, 80, 'female', 'L2Npc', 'npc', 40, 4429, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 1721, 562, 797, 457, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3670, 18463, 'Remnant Diabolist', '', 'LineageNPC.e_traderB_Fdwarf_mon_120p', 8.00, 22.00, 83, 'female', 'HellboundRemnant', '18463', 1100, 103599, 9.700, 1973, 3.360, 40, 43, 30, 21, 20, 20, 260217, 28102, 11441, 974, 5319, 1186, 253, 0, 500, 8527, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3671, 18464, 'Remnant Diviner', '', 'LineageNPC.a_mageguild_teacher_Mhuman_mon', 8.00, 23.00, 83, 'male', 'HellboundRemnant', 'Fighter', 40, 103599, 9.700, 1973, 3.360, 40, 43, 30, 21, 20, 20, 254867, 27524, 11441, 974, 5319, 1186, 253, 0, 500, 8532, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3672, 18465, 'Derek', 'First Generation Seer', 'LineageNPC.a_mageguild_teacher_Mhuman_mon_120p', 10.00, 28.10, 83, 'male', 'L2Npc', 'npc', 40, 532380, 1.500, 1973, 0.900, 40, 43, 30, 21, 20, 20, 1067320, 115266, 15829, 974, 7359, 1186, 253, 0, 500, 8678, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3673, 18466, 'Outpost Captain', '', 'LineageMonster3.Benom', 20.00, 56.00, 85, 'male', 'L2Npc', 'npc', 40, 176244, 9.900, 2050, 3.420, 40, 43, 30, 21, 20, 20, 0, 0, 18838, 1007, 8758, 1227, 253, 0, 500, 8203, 8203, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3674, 18467, 'Wounded Land Guard', '', 'LineageMonster4.Eyeless', 36.00, 43.50, 84, 'male', 'L2Npc', 'npc', 40, 530976, 9.800, 2011, 3.390, 40, 43, 30, 21, 20, 20, 0, 0, 16098, 991, 7480, 1207, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3675, 18468, 'Doorman', '', 'LineageNpcEV.trioll_altar', 9.00, 33.50, 18, 'female', 'L2Npc', 'npc', 40, 477, 3.200, 194, 1.410, 40, 43, 30, 21, 20, 20, 0, 0, 48, 87, 20, 71, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3676, 18469, 'Hall Guard', '', 'LineageMonster.blade_stakato_120p', 18.00, 43.20, 83, 'male', 'L2Npc', 'npc', 40, 51870, 1.500, 1973, 0.900, 40, 43, 30, 21, 20, 20, 253630, 26086, 11903, 974, 5534, 1186, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3677, 18470, 'Hall Guard', '', 'LineageMonster.blade_stakato_soldier_120p', 23.00, 45.50, 83, 'male', 'L2Npc', 'npc', 40, 51870, 1.500, 1973, 0.900, 40, 43, 30, 21, 20, 20, 103029, 11126, 11903, 974, 5534, 1186, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3678, 18471, 'Hall Guard', '', 'LineageMonster4.Anthias', 20.00, 41.00, 83, 'male', 'L2Npc', 'npc', 40, 51870, 1.500, 1973, 0.900, 40, 43, 30, 21, 20, 20, 45987, 4761, 11903, 974, 5534, 1186, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3679, 18472, 'Hall Guard', '', 'LineageMonster4.Anthias', 20.00, 41.00, 83, 'male', 'L2Npc', 'npc', 40, 51870, 1.500, 1973, 0.900, 40, 43, 30, 21, 20, 20, 112394, 12138, 11903, 974, 5534, 1186, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3680, 18473, 'Hall Captain', '', 'LineageMonster3.cannibal_stakato_leader_120p', 20.00, 48.80, 83, 'male', 'L2Npc', 'npc', 40, 532380, 9.700, 1973, 3.360, 40, 43, 30, 21, 20, 20, 724449, 78237, 15829, 974, 7359, 1186, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3681, 18474, 'Alarm', '', 'LineageNpcEV.trioll_altar', 9.00, 33.50, 83, 'female', 'L2Npc', 'npc', 40, 4717, 9.700, 1973, 3.360, 40, 43, 30, 21, 20, 20, 0, 0, 1943, 609, 901, 494, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3682, 18475, 'Hall Guard', '', 'LineageMonster.undine', 12.00, 27.00, 83, 'female', 'L2Npc', 'npc', 40, 51870, 1.500, 1973, 0.900, 40, 43, 30, 21, 20, 20, 90678, 9792, 11903, 974, 5534, 1186, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3683, 18476, 'Hall Guard', '', 'LineageMonster.lienrik_210p', 12.00, 50.00, 83, 'male', 'L2Npc', 'npc', 40, 51870, 1.500, 1973, 0.900, 40, 43, 30, 21, 20, 20, 104688, 11305, 11903, 974, 5534, 1186, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3684, 18477, 'Coral Treasure Chest', '', 'LineageMonster.mimic_even', 8.50, 8.50, 83, 'male', 'L2Npc', 'npc', 40, 4717, 1.500, 1973, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1943, 609, 901, 494, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3685, 18478, 'Herb Jar', '', 'LineageNpcEV.herb_pot', 8.00, 21.50, 15, 'male', 'L2Npc', 'npc', 40, 390, 2.900, 166, 1.320, 40, 43, 30, 21, 20, 20, 0, 0, 37, 76, 19, 62, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'true', 'NONE', 0, 0),
	(3686, 18479, 'Inner Castle Sentry', '', 'LineageMonster.kel_mahum', 13.00, 26.00, 85, 'male', 'L2Npc', 'npc', 40, 6690, 1.500, 2050, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 2462, 630, 1146, 511, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3687, 18480, 'Inner Castle Guard', '', 'LineageMonster4.Eyeless', 36.00, 43.50, 85, 'male', 'L2Npc', 'npc', 40, 6690, 1.500, 2050, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 2462, 630, 1146, 511, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3688, 18481, 'Inner Castle Seer', '', 'LineageMonster4.Eyeless', 36.00, 43.50, 85, 'male', 'L2Npc', 'npc', 40, 6690, 1.500, 2050, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 2462, 630, 1146, 511, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3689, 18482, 'Fafurion Kindred', '', 'LineageMonster3.Water_Drake', 35.00, 58.00, 82, 'female', 'L2SpecialMonster', 'FafurionKindred', 40, 4664, 9.600, 1935, 3.330, 40, 43, 30, 21, 20, 20, 0, 0, 2280, 598, 1283, 494, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3690, 18483, 'Garden Guard', '', 'LineageMonster4.Mostro_Fighter', 15.50, 22.50, 19, 'male', 'L2Monster', 'Fighter', 40, 508, 3.300, 203, 1.440, 40, 43, 30, 21, 20, 20, 1353, 57, 59, 91, 26, 77, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(3691, 18484, 'Naia Failan', '', 'LineageNPC.heart_of_warding', 17.00, 75.00, 83, 'female', 'L2Npc', 'npc', 40, 6060, 9.700, 1973, 3.360, 40, 43, 30, 21, 20, 20, 0, 0, 2250, 609, 1047, 494, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3692, 18485, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 78, 'male', 'L2Npc', 'npc', 40, 4699, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1770, 556, 820, 451, 253, 0, 500, 0, 0, 0, 1, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3693, 18486, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 78, 'male', 'L2Npc', 'npc', 40, 4699, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 1770, 556, 820, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(3694, 18487, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 78, 'male', 'L2Npc', 'npc', 40, 4699, 1.500, 1784, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1770, 556, 820, 451, 253, 0, 500, 0, 0, 0, 1, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3695, 18488, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 78, 'male', 'L2Npc', 'npc', 40, 4699, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 1770, 556, 820, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3696, 18489, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 78, 'male', 'L2Npc', 'npc', 40, 4699, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 1770, 556, 820, 451, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3697, 18490, 'Beleth\'s Slave', '', 'LineageMonster4.devil_doll', 8.00, 17.50, 86, 'female', 'L2Npc', 'npc', 40, 29293, 8.400, 2089, 2.970, 40, 43, 30, 21, 20, 20, 65975, 6876, 21589, 1024, 10032, 1247, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3698, 18491, 'Lock', 'Tower of Naia', 'LineageNpcEV.soulprison', 21.00, 53.00, 87, 'male', 'L2Npc', 'npc', 40, 944116, 8.400, 2128, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 2, 2288, 3, 2837, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3699, 18492, 'Controller', 'Tower of Naia', 'LineageNpcEV.elobrate_machine', 13.00, 20.00, 87, 'male', 'L2Npc', 'npc', 40, 7358, 8.400, 2128, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 2681, 650, 1244, 528, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3700, 18493, 'Ward', 'Tower of Naia', 'LineageMonster2.hundred_eye', 21.00, 55.00, 87, 'male', 'L2Npc', 'npc', 40, 16053769, 8.400, 2128, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 27369, 1300, 12723, 2112, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3701, 18494, 'Ingenious Contraption', '', 'LineageNpcEV.elobrate_machine', 13.00, 20.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3702, 18495, 'Ingenious Contraption', '', 'LineageNpcEV.elobrate_machine', 13.00, 20.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3703, 18496, 'Ingenious Contraption', '', 'LineageNpcEV.elobrate_machine', 13.00, 20.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3704, 18497, 'Ingenious Contraption', '', 'LineageNpcEV.elobrate_machine', 13.00, 20.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3705, 18498, 'Ingenious Contraption', '', 'LineageNpcEV.elobrate_machine', 13.00, 20.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3706, 18499, 'Ingenious Contraption', '', 'LineageNpcEV.elobrate_machine', 13.00, 20.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3707, 18500, 'Ingenious Contraption', '', 'LineageNpcEV.elobrate_machine', 13.00, 20.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3708, 18501, 'Ingenious Contraption', '', 'LineageNpcEV.elobrate_machine', 13.00, 20.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3709, 18502, 'Ingenious Contraption', '', 'LineageNpcEV.elobrate_machine', 13.00, 20.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3710, 18503, 'Ingenious Contraption', '', 'LineageNpcEV.elobrate_machine', 13.00, 20.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3711, 18504, 'Ingenious Contraption', '', 'LineageNpcEV.elobrate_machine', 13.00, 20.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3712, 18505, 'Ingenious Contraption', '', 'LineageNpcEV.elobrate_machine', 13.00, 20.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3713, 18506, 'Soul Crystal Pillar', '', 'LineageNpcEV.soulprison', 21.00, 53.00, 87, 'male', 'L2Npc', 'npc', 40, 7358, 10.100, 2128, 3.480, 40, 43, 30, 21, 20, 20, 0, 0, 2681, 650, 1244, 528, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3714, 18507, '', '', 'LineageNpcEV.trap_ironcastle', 12.00, 20.40, 78, 'male', 'L2Npc', 'npc', 40, 4699, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1770, 556, 820, 451, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3715, 18508, '', '', 'LineageNpcEV.trap_ironcastle', 12.00, 20.40, 78, 'male', 'L2Npc', 'npc', 40, 4699, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1770, 556, 820, 451, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3716, 18509, '', '', 'LineageNpcEV.trap_ironcastle', 12.00, 20.40, 78, 'male', 'L2Npc', 'npc', 40, 4699, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1770, 556, 820, 451, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3717, 18510, '', '', 'LineageNpcEV.trap_ironcastle', 12.00, 20.40, 78, 'male', 'L2Npc', 'npc', 40, 4699, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1770, 556, 820, 451, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3718, 18511, '', '', 'LineageNpcEV.trap_ironcastle', 12.00, 20.40, 78, 'male', 'L2Npc', 'npc', 40, 4699, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1770, 556, 820, 451, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3719, 18512, '', '', 'LineageNpcEV.trap_ironcastle', 12.00, 20.40, 78, 'male', 'L2Npc', 'npc', 40, 4699, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1770, 556, 820, 451, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3720, 18513, '', '', 'LineageNpcEV.trap_ironcastle', 12.00, 20.40, 78, 'male', 'L2Npc', 'npc', 40, 4699, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1770, 556, 820, 451, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3721, 18514, '', '', 'LineageNpcEV.trap_ironcastle', 12.00, 20.40, 78, 'male', 'L2Npc', 'npc', 40, 4699, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1770, 556, 820, 451, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3722, 18515, '', '', 'LineageNpcEV.trap_ironcastle', 12.00, 20.40, 78, 'male', 'L2Npc', 'npc', 40, 4699, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1770, 556, 820, 451, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3723, 18516, '', '', 'LineageNpcEV.trap_ironcastle', 12.00, 20.40, 78, 'male', 'L2Npc', 'npc', 40, 4699, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1770, 556, 820, 451, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3724, 18517, '', '', 'LineageNpcEV.trap_ironcastle', 12.00, 20.40, 78, 'male', 'L2Npc', 'npc', 40, 4699, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1770, 556, 820, 451, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3725, 18518, '', '', 'LineageNpcEV.trap_ironcastle', 12.00, 20.40, 78, 'male', 'L2Npc', 'npc', 40, 4699, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1770, 556, 820, 451, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3726, 18519, '', '', 'LineageNpcEV.trap_ironcastle', 12.00, 20.40, 78, 'male', 'L2Npc', 'npc', 40, 4699, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1770, 556, 820, 451, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3727, 18520, '', '', 'LineageNpcEV.trap_ironcastle', 12.00, 20.40, 78, 'male', 'L2Npc', 'npc', 40, 4699, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1770, 556, 820, 451, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3728, 18521, '', '', 'LineageNpcEV.trap_ironcastle', 12.00, 20.40, 78, 'male', 'L2Npc', 'npc', 40, 4699, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1770, 556, 820, 451, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3729, 18522, '', '', 'LineageNpcEV.trap_ironcastle', 12.00, 20.40, 78, 'male', 'L2Npc', 'npc', 40, 4699, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1770, 556, 820, 451, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3730, 18523, '', '', 'LineageNpcEV.trap_ironcastle', 12.00, 20.40, 78, 'male', 'L2Npc', 'npc', 40, 4699, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1770, 556, 820, 451, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3731, 18524, '', '', 'LineageNpcEV.trap_ironcastle', 12.00, 20.40, 78, 'male', 'L2Npc', 'npc', 40, 4699, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1770, 556, 820, 451, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3732, 18525, '', '', 'LineageNpcEV.trap_ironcastle', 12.00, 20.40, 78, 'male', 'L2Npc', 'npc', 40, 4699, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1770, 556, 820, 451, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3733, 18526, '', '', 'LineageNpcEV.trap_ironcastle', 12.00, 20.40, 78, 'male', 'L2Npc', 'npc', 40, 4699, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1770, 556, 820, 451, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3734, 18527, '', '', 'LineageNpcEV.trap_ironcastle', 12.00, 20.40, 78, 'male', 'L2Npc', 'npc', 40, 4699, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1770, 556, 820, 451, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3735, 18528, '', '', 'LineageNpcEV.trap_ironcastle', 12.00, 20.40, 78, 'male', 'L2Npc', 'npc', 40, 4699, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1770, 556, 820, 451, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3736, 18529, '', '', 'LineageNpcEV.trap_ironcastle', 12.00, 20.40, 78, 'male', 'L2Npc', 'npc', 40, 4699, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1770, 556, 820, 451, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3737, 18530, '', '', 'LineageNpcEV.trap_ironcastle', 12.00, 20.40, 78, 'male', 'L2Npc', 'npc', 40, 4699, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1770, 556, 820, 451, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3738, 18531, '', '', 'LineageNpcEV.trap_ironcastle', 12.00, 20.40, 78, 'male', 'L2Npc', 'npc', 40, 4699, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1770, 556, 820, 451, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3739, 18532, '', '', 'LineageNpcEV.trap_ironcastle', 12.00, 20.40, 78, 'male', 'L2Npc', 'npc', 40, 4699, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1770, 556, 820, 451, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3740, 18533, '', '', 'LineageNpcEV.trap_ironcastle', 12.00, 20.40, 78, 'male', 'L2Npc', 'npc', 40, 4699, 8.400, 1784, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1770, 556, 820, 451, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3741, 18534, 'Kertang\'s Treasure Chest', '', 'LineageMonster.mimic', 8.50, 8.50, 45, 'male', 'L2Chest', 'Fighter', 40, 1870, 8.400, 678, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 470, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3742, 18535, 'Kertang\'s Treasure Chest', '', 'LineageMonster.mimic', 8.50, 8.50, 55, 'male', 'L2Chest', 'Fighter', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 470, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3743, 18536, 'Kertang\'s Treasure Chest', '', 'LineageMonster.mimic', 8.50, 8.50, 65, 'male', 'L2Chest', 'Fighter', 40, 3466, 8.400, 1320, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 470, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3744, 18537, 'Kertang\'s Treasure Chest', '', 'LineageMonster.mimic', 8.50, 8.50, 75, 'male', 'L2Chest', 'Fighter', 40, 4229, 8.400, 1674, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1551, 524, 780, 425, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3745, 18538, 'Kertang\'s Treasure Chest', '', 'LineageMonster.mimic', 8.50, 8.50, 85, 'male', 'L2Chest', 'Fighter', 40, 6690, 8.400, 2050, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 2462, 630, 1146, 511, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3746, 18539, 'Resurrection Tower', '', 'LineageNpcEV.resurrection_tower', 28.00, 50.00, 45, 'male', 'L2Npc', 'npc', 40, 38120, 8.400, 678, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1538, 381, 713, 464, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3747, 18540, 'Resurrection Tower', '', 'LineageNpcEV.resurrection_tower', 28.00, 50.00, 55, 'male', 'L2Npc', 'npc', 40, 73028, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 3799, 515, 1767, 628, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3748, 18541, 'Resurrection Tower', '', 'LineageNpcEV.resurrection_tower', 28.00, 50.00, 65, 'male', 'L2Npc', 'npc', 40, 102244, 8.400, 1320, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 8234, 670, 3825, 816, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3749, 18542, 'Resurrection Tower', '', 'LineageNpcEV.resurrection_tower', 28.00, 50.00, 75, 'male', 'L2Npc', 'npc', 40, 117407, 8.400, 1674, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 12467, 838, 5792, 1021, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3750, 18543, 'Resurrection Tower', '', 'LineageNpcEV.resurrection_tower', 28.00, 50.00, 80, 'male', 'L2Npc', 'npc', 40, 178902, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 18111, 923, 8416, 1125, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3751, 18544, 'Cruma Border', 'Event Monster', 'LineageNpcEV.trap_ironcastle', 12.00, 20.40, 45, 'male', 'L2Npc', 'npc', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 0, 0, 375, 238, 172, 194, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'true', 'NONE', 0, 0),
	(3752, 18545, 'Ancient Experiment', 'Event Monster', 'LineageMonster.marsh_stakato_soldier', 10.00, 25.00, 45, 'male', 'L2Npc', 'npc', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 0, 0, 375, 238, 172, 194, 253, 0, 500, 127, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3753, 18546, 'Ancient Experiment', 'Event Monster', 'LineageMonster.stone_golem', 20.00, 31.00, 45, 'male', 'L2Npc', 'npc', 40, 19910, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 0, 0, 858, 381, 396, 464, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3754, 18547, 'Ancient Experiment', 'Event Monster', 'LineageMonster.onyx_beast', 14.00, 14.50, 45, 'male', 'L2Npc', 'npc', 40, 59729, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 0, 0, 536, 381, 251, 464, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3755, 18548, 'Ancient Experiment', '', 'LineageMonster.onyx_beast', 14.00, 14.50, 45, 'male', 'L2Npc', 'npc', 40, 19910, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 0, 0, 858, 381, 396, 464, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3756, 18549, 'Ancient Experiment', '', 'LineageMonster.onyx_beast', 14.00, 14.50, 45, 'male', 'L2Npc', 'npc', 40, 19910, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 0, 0, 858, 381, 396, 464, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3757, 18550, 'Cruma Phantom', 'Event Monster', 'LineageMonster.death_blader', 15.00, 45.00, 50, 'male', 'L2Npc', 'npc', 40, 27995, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 0, 0, 1310, 445, 610, 543, 253, 0, 500, 1472, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3758, 18551, 'Cruma Phantom', 'Event Monster', 'LineageMonster.susceptor', 20.00, 35.00, 50, 'male', 'L2Npc', 'npc', 40, 83985, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 0, 0, 812, 445, 379, 543, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3759, 18552, 'Cruma Phantom', '', 'LineageMonster.gamlin', 11.00, 32.00, 50, 'male', 'L2Npc', 'npc', 40, 27995, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 0, 0, 1310, 445, 610, 543, 253, 0, 500, 6307, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3760, 18553, 'Cruma Phantom', '', 'LineageMonster.leogul', 15.00, 35.00, 50, 'male', 'L2Npc', 'npc', 40, 27995, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 0, 0, 1310, 445, 610, 543, 253, 0, 500, 6307, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3761, 18554, 'Tomlan Kamos', 'Kaneus', 'LineageMonster.bugbear_bi', 25.00, 53.00, 23, 'male', 'L2ReflectionBoss', 'Fighter', 40, 81589, 3.700, 1287, 1.560, 40, 43, 30, 21, 20, 20, 355901, 19458, 91, 171, 40, 209, 253, 0, 500, 4, 0, 0, 30, 160, 'kamaloka', 4000, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(3762, 18555, 'Ol Ariosh', 'Kaneus', 'LineageMonster.ol_mahum_champion_05te_120p', 16.00, 33.20, 26, 'male', 'Kama26Boss', 'Fighter', 40, 95696, 4.000, 1515, 1.650, 40, 43, 30, 21, 20, 20, 397272, 23285, 136, 193, 61, 235, 253, 0, 500, 67, 633, 0, 30, 160, 'kamaloka', 4000, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(3763, 18556, 'Follower of Ariosh', '', 'LineageMonster.ol_mahum_champion', 14.00, 27.00, 26, 'male', 'L2SpecialMonster', 'Fighter', 40, 770, 4.000, 1515, 1.650, 40, 43, 30, 21, 20, 20, 0, 0, 95, 121, 46, 98, 253, 0, 500, 69, 102, 0, 30, 160, 'kamaloka', 4000, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3764, 18557, 'Ranc Deumus', 'Kaneus', 'LineageMonster.virud_lizardman_warrior_bi', 12.00, 34.50, 26, 'male', 'L2Npc', 'npc', 40, 95696, 8.400, 1515, 2.970, 40, 43, 30, 21, 20, 20, 397272, 23285, 136, 193, 61, 235, 253, 500, 500, 93, 0, 0, 30, 160, 'kamaloka', 4000, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3765, 18558, 'Crimson Hatu Otis', 'Kaneus', 'LineageMonster.crimson_bear', 19.00, 36.00, 33, 'male', 'L2ReflectionBoss', 'Fighter', 40, 121680, 4.700, 2070, 1.860, 40, 43, 30, 21, 20, 20, 549172, 35415, 278, 252, 131, 307, 253, 0, 500, 0, 0, 0, 30, 160, 'kamaloka', 4000, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(3766, 18559, 'Seer Flouros', 'Kaneus', 'LineageMonster.monster_eye_05te_ef', 21.00, 43.00, 36, 'male', 'L2ReflectionBoss', 'Mystic', 40, 148876, 5.000, 2318, 1.950, 40, 43, 30, 21, 20, 20, 620253, 41849, 366, 281, 168, 343, 253, 0, 500, 0, 0, 0, 30, 160, 'kamaloka', 4000, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL_BSPIRIT', 0, 0),
	(3767, 18560, 'Follower of Flouros', '', 'LineageMonster.monster_eye', 21.00, 43.00, 36, 'male', 'L2SpecialMonster', 'Mystic', 40, 1279, 5.000, 2318, 1.950, 40, 43, 30, 21, 20, 20, 0, 0, 205, 176, 93, 143, 253, 0, 500, 0, 0, 0, 30, 160, 'kamaloka', 4000, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3768, 18561, 'Granitick Duerga', 'Kaneus', 'LineageMonster.stone_golem', 20.00, 31.00, 36, 'male', 'L2Npc', 'npc', 40, 148876, 8.400, 2318, 2.970, 40, 43, 30, 21, 20, 20, 620253, 41849, 366, 281, 168, 343, 253, 500, 500, 0, 0, 0, 30, 160, 'kamaloka', 4000, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3769, 18562, 'Blade Otis', 'Kaneus', 'LineageMonster.blade_stakato_drone_10_sm', 14.00, 35.10, 43, 'male', 'L2ReflectionBoss', 'Fighter', 40, 209563, 5.700, 3094, 2.160, 40, 43, 30, 21, 20, 20, 784383, 58093, 567, 357, 261, 435, 253, 0, 500, 131, 0, 0, 30, 160, 'kamaloka', 4000, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(3770, 18563, 'Follower of Otis', '', 'LineageMonster.marsh_stakato_drone', 9.00, 24.00, 43, 'male', 'L2SpecialMonster', 'Fighter', 40, 1729, 5.700, 3094, 2.160, 40, 43, 30, 21, 20, 20, 0, 0, 330, 223, 155, 181, 253, 0, 500, 223, 0, 0, 30, 160, 'kamaloka', 4000, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3771, 18564, 'Weird Bunei', 'Kaneus', 'LineageMonster3.Water_Drake', 55.00, 80.50, 46, 'female', 'L2ReflectionBoss', 'Mystic', 40, 261052, 6.000, 3540, 2.250, 40, 43, 30, 21, 20, 20, 848114, 69276, 756, 394, 349, 479, 253, 0, 500, 0, 0, 0, 30, 160, 'kamaloka', 4000, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL_BSPIRIT', 0, 0),
	(3772, 18565, 'Brave Martim', 'Kaneus', 'LineageMonster.ogre_50_bi', 30.00, 66.00, 46, 'male', 'L2Npc', 'npc', 40, 261052, 8.400, 3540, 2.970, 40, 43, 30, 21, 20, 20, 848114, 69276, 756, 394, 349, 479, 253, 500, 500, 298, 0, 0, 30, 160, 'kamaloka', 4000, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3773, 18566, 'Kaim Abigore', 'Kaneus', 'LineageMonster.kaim_vanul_50_bi', 36.00, 60.00, 53, 'male', 'L2ReflectionBoss', 'Fighter', 40, 464796, 6.700, 4620, 2.460, 40, 43, 30, 21, 20, 20, 967925, 88254, 1361, 487, 634, 593, 253, 0, 500, 0, 0, 0, 30, 160, 'kamaloka', 4000, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(3774, 18567, 'Follower of Abigore', '', 'LineageMonster.liviona', 15.00, 28.00, 53, 'male', 'L2SpecialMonster', 'Fighter', 40, 2482, 6.700, 4620, 2.460, 40, 43, 30, 21, 20, 20, 0, 0, 598, 304, 279, 247, 253, 0, 500, 0, 0, 0, 30, 160, 'kamaloka', 4000, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3775, 18568, 'Knight Montagnar', 'Kaneus', 'LineageMonster.skeleton_royal_guard', 11.00, 28.50, 56, 'male', 'L2ReflectionBoss', 'Kama56Boss', 40, 502835, 7.000, 5099, 2.550, 40, 43, 30, 21, 20, 20, 1002611, 124970, 1923, 530, 892, 646, 253, 0, 500, 946, 945, 0, 30, 160, 'kamaloka', 4000, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(3776, 18569, 'Follower of Montagnar', '', 'LineageMonster.dark_fencer', 7.00, 13.00, 56, 'male', 'L2SpecialMonster', 'Kama56Minion', 40, 2725, 7.000, 5099, 2.550, 40, 43, 30, 21, 20, 20, 0, 0, 700, 331, 327, 269, 253, 0, 500, 0, 0, 0, 30, 140, 'kamaloka', 4000, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3777, 18570, 'Summer Yaganitan', 'Kaneus', 'LineageMonster2.flava_15_bi', 23.00, 39.00, 56, 'male', 'L2Npc', 'npc', 40, 502835, 8.400, 5099, 2.970, 40, 43, 30, 21, 20, 20, 1002611, 124970, 1923, 530, 892, 646, 253, 500, 500, 0, 0, 0, 30, 160, 'kamaloka', 4000, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3778, 18571, 'Venomous Storace', 'Kaneus', 'LineageMonster.serpent_slave_50_bi', 25.00, 72.00, 63, 'male', 'L2ReflectionBoss', 'Fighter', 40, 664392, 7.700, 6257, 2.760, 40, 43, 30, 21, 20, 20, 1046467, 179455, 3388, 638, 1572, 777, 253, 0, 500, 73, 0, 0, 30, 160, 'kamaloka', 4000, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(3779, 18572, 'Follower of Storace', '', 'LineageMonster.cave_maiden_080p', 21.00, 54.00, 63, 'female', 'L2SpecialMonster', 'Kama63Minion', 40, 3302, 7.700, 6257, 2.760, 40, 43, 30, 21, 20, 20, 0, 0, 979, 399, 453, 324, 253, 0, 500, 73, 0, 0, 30, 160, 'kamaloka', 4000, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3780, 18573, 'Kel Bilette', 'Kaneus', 'LineageMonster.kel_mahum_champion_50_bi', 19.00, 48.00, 66, 'male', 'L2ReflectionBoss', 'Fighter', 40, 704666, 8.000, 6770, 2.850, 40, 43, 30, 21, 20, 20, 1052061, 186892, 3928, 686, 1827, 836, 253, 0, 500, 75, 0, 0, 30, 160, 'kamaloka', 4000, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(3781, 18574, 'Follower of Bilette', '', 'LineageMonster.kel_mahum_witch_doctor', 13.00, 25.00, 66, 'male', 'L2SpecialMonster', 'Fighter', 40, 3547, 8.000, 6770, 2.850, 40, 43, 30, 21, 20, 20, 0, 0, 1114, 429, 519, 348, 253, 0, 500, 193, 0, 0, 30, 160, 'kamaloka', 4000, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3782, 18575, 'Warlord Tamuze', 'Kaneus', 'LineageMonster3.Vampire_Troop_Leader_120p', 22.00, 43.00, 66, 'male', 'L2Npc', 'npc', 40, 704666, 8.400, 6770, 2.970, 40, 43, 30, 21, 20, 20, 1052061, 186892, 3928, 686, 1827, 836, 253, 500, 500, 8686, 0, 0, 30, 160, 'kamaloka', 4000, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3783, 18576, 'Follower of Tamuze', '', 'LineageMonster3.self_blaster', 9.00, 25.80, 66, 'male', 'L2Npc', 'npc', 40, 3547, 8.400, 6770, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 30, 160, 'kamaloka', 4000, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3784, 18577, 'White Allosce', 'Kaneus', 'LineageMonster2.hundred_eye', 21.00, 55.00, 73, 'male', 'L2ReflectionBoss', 'Mystic', 40, 750958, 8.700, 8005, 3.060, 40, 43, 30, 21, 20, 20, 1169076, 202886, 5666, 804, 2635, 979, 253, 0, 500, 0, 0, 0, 30, 160, 'kamaloka', 4000, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL_BSPIRIT', 0, 0),
	(3785, 18578, 'Follower of Allosce', '', 'LineageMonster.monster_eye', 21.00, 43.00, 73, 'male', 'L2SpecialMonster', 'Mystic', 40, 4087, 8.700, 8005, 3.060, 40, 43, 30, 21, 20, 20, 0, 0, 1451, 502, 672, 408, 253, 0, 500, 0, 0, 0, 30, 160, 'kamaloka', 4000, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(3786, 18579, 'Hunting Ground Keeper', '', 'LineageMonster4.employee_of_baroness', 15.00, 28.70, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 13062, 0, 0, 30, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3787, 18580, 'Cursed Girl', '', 'LineageMonster4.cursed_housemaid', 8.00, 17.00, 71, 'male', 'L2Npc', 'npc', 40, 3939, 8.500, 1529, 3.000, 40, 43, 30, 21, 20, 20, 0, 0, 1352, 481, 630, 391, 253, 0, 500, 0, 0, 0, 30, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3788, 18581, 'Gardener', '', 'LineageMonster4.gardener', 17.00, 26.80, 72, 'male', 'L2Npc', 'npc', 40, 4013, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 0, 0, 1402, 492, 649, 399, 253, 0, 500, 0, 0, 0, 30, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3789, 18582, 'Turned Girl', 'Kratei\'s Fortune', 'LineageMonster4.cursed_housemaid', 8.00, 17.00, 75, 'male', 'L2Npc', 'npc', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 0, 0, 1551, 524, 722, 425, 253, 0, 500, 0, 0, 0, 30, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3790, 18583, 'Housekeeper', '', 'LineageMonster4.mad_laundry_maid', 9.00, 21.60, 74, 'male', 'L2Npc', 'npc', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 0, 0, 1501, 513, 699, 417, 253, 0, 500, 0, 0, 0, 30, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3791, 18584, 'Turned Boy', '', 'LineageMonster4.cursed_errand_boy', 8.00, 12.80, 75, 'male', 'L2Npc', 'npc', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 0, 0, 1551, 524, 722, 425, 253, 0, 500, 0, 0, 0, 30, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3792, 18585, 'Cursed Girl', '', 'LineageMonster4.cursed_housemaid', 8.00, 17.00, 75, 'male', 'L2Npc', 'npc', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 0, 0, 1551, 524, 722, 425, 253, 0, 500, 0, 0, 0, 30, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3793, 18586, 'Gardener', '', 'LineageMonster4.gardener', 17.00, 26.80, 75, 'male', 'L2Npc', 'npc', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 0, 0, 1551, 524, 722, 425, 253, 0, 500, 0, 0, 0, 30, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3794, 18587, 'Begrudged Maid', '', 'LineageMonster4.head_parlour_maid', 25.00, 32.00, 76, 'male', 'L2Npc', 'npc', 40, 4358, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 1619, 534, 754, 434, 253, 0, 500, 0, 0, 0, 30, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3795, 18588, 'Hunting Ground Keeper', '', 'LineageMonster4.employee_of_baroness', 15.00, 28.70, 77, 'male', 'L2Npc', 'npc', 40, 4514, 9.100, 1747, 3.180, 40, 43, 30, 21, 20, 20, 0, 0, 1692, 545, 784, 443, 253, 0, 500, 13062, 0, 0, 30, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3796, 18589, 'Cursed Gardener', '', 'LineageMonster4.gardener', 17.00, 26.80, 77, 'male', 'L2SpecialMonster', 'Mystic', 40, 4514, 9.100, 1747, 3.180, 40, 43, 30, 21, 20, 20, 0, 0, 1692, 545, 784, 443, 253, 0, 500, 0, 0, 0, 30, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3797, 18590, 'Baroness\' Employee', '', 'LineageMonster4.employee_of_baroness', 15.00, 28.70, 78, 'male', 'L2Npc', 'npc', 40, 4699, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 1770, 556, 820, 451, 253, 0, 500, 13061, 0, 0, 30, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3798, 18591, 'Begrudged Boy', '', 'LineageMonster4.cursed_errand_boy', 8.00, 12.80, 79, 'male', 'L2Npc', 'npc', 40, 4942, 9.300, 1822, 3.240, 40, 43, 30, 21, 20, 20, 0, 0, 1859, 566, 866, 460, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3799, 18592, 'Kratei\'s Steward', '', 'LineageMonster4.chief_steward', 18.00, 31.00, 80, 'male', 'L2Npc', 'npc', 40, 5198, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3800, 18593, 'Housekeeper', '', 'LineageMonster4.mad_laundry_maid', 9.00, 21.60, 80, 'male', 'L2SpecialMonster', 'Mystic', 40, 5198, 8.800, 1859, 3.090, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3801, 18594, 'Mansion Guide', '', 'LineageMonster4.mad_laundry_maid', 9.00, 21.60, 81, 'male', 'L2Npc', 'npc', 40, 5470, 1.400, 1897, 0.870, 40, 43, 30, 21, 20, 20, 0, 0, 2048, 588, 949, 477, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3802, 18595, 'Baroness\' Employee', '', 'LineageMonster4.employee_of_baroness', 15.00, 28.70, 82, 'male', 'L2SpecialMonster', 'Mystic', 40, 5757, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2147, 598, 996, 486, 253, 0, 500, 13061, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3803, 18596, 'Cursed Gardener', '', 'LineageMonster4.gardener', 17.00, 26.80, 83, 'male', 'L2SpecialMonster', 'Mystic', 40, 6060, 9.100, 1973, 3.180, 40, 43, 30, 21, 20, 20, 0, 0, 2250, 609, 1047, 494, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3804, 18597, 'Begrudged Maid', '', 'LineageMonster4.head_parlour_maid', 25.00, 32.00, 84, 'male', 'L2SpecialMonster', 'Mystic', 40, 6382, 9.000, 2011, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2357, 619, 1093, 503, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3805, 18598, 'Cursed Head Maid', '', 'LineageMonster4.head_parlour_maid', 25.00, 32.00, 85, 'male', 'L2Npc', 'npc', 40, 6690, 1.400, 2050, 0.870, 40, 43, 30, 21, 20, 20, 0, 0, 2462, 630, 1146, 511, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3806, 18599, 'Mansion Manager', '', 'LineageMonster4.steward', 21.00, 25.00, 85, 'male', 'L2Npc', 'npc', 40, 6690, 1.400, 2050, 0.870, 40, 43, 30, 21, 20, 20, 0, 0, 2462, 630, 1146, 511, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3807, 18600, 'Kratei\'s Steward', '', 'LineageMonster4.chief_steward', 18.00, 31.00, 86, 'male', 'L2Npc', 'npc', 40, 7015, 1.400, 2089, 0.870, 40, 43, 30, 21, 20, 20, 0, 0, 2570, 640, 1192, 520, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3808, 18601, 'Kratei\'s Watcher', '', 'LineageNpcEV.trap_ironcastle_150p_a', 18.00, 32.00, 70, 'male', 'L2Npc', 'npc', 40, 2, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3809, 18602, 'Kratei\'s Watcher', '', 'LineageNpcEV.trap_ironcastle_150p', 18.00, 32.00, 70, 'male', 'L2Npc', 'npc', 40, 2, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3810, 18603, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 73, 'male', 'L2Npc', 'npc', 40, 4087, 1.400, 1601, 0.870, 40, 43, 30, 21, 20, 20, 0, 0, 1451, 502, 672, 408, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3811, 18604, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 73, 'male', 'L2Npc', 'npc', 40, 4087, 1.400, 1601, 0.870, 40, 43, 30, 21, 20, 20, 0, 0, 1451, 502, 672, 408, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3812, 18605, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 73, 'male', 'L2Npc', 'npc', 40, 4087, 1.400, 1601, 0.870, 40, 43, 30, 21, 20, 20, 0, 0, 1451, 502, 672, 408, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3813, 18606, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 73, 'male', 'L2Npc', 'npc', 40, 4087, 1.400, 1601, 0.870, 40, 43, 30, 21, 20, 20, 0, 0, 1451, 502, 672, 408, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3814, 18607, 'Gargos', 'Spirit of Fire', 'LineageMonster.vale_master', 12.00, 40.00, 39, 'male', 'L2Monster', 'Fighter', 40, 41343, 5.300, 430, 2.040, 40, 43, 30, 21, 20, 20, 11225, 714, 285, 197, 133, 167, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3815, 18608, 'Kinsus', 'Spirit of Fire', 'LineageMonster4.Anthias', 20.00, 41.00, 39, 'male', 'L2Monster', 'Fighter', 40, 25740, 5.300, 430, 2.040, 40, 43, 30, 21, 20, 20, 11225, 714, 285, 197, 133, 167, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3816, 18609, 'Papion', 'Spirit of Water', 'LineageMonster4.Anthias', 20.00, 41.00, 36, 'male', 'L2Monster', 'Fighter', 40, 16610, 5.000, 382, 1.950, 40, 43, 30, 21, 20, 20, 10783, 652, 232, 179, 105, 151, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3817, 18610, 'Hillas', 'Spirit of Water', 'LineageMonster.sylph_100_bi', 20.00, 70.00, 36, 'female', 'L2Monster', 'Fighter', 40, 19187, 5.000, 382, 1.950, 40, 43, 30, 21, 20, 20, 10783, 652, 232, 179, 105, 151, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3818, 18611, 'Spirit of Water', '', 'LineageMonster.undine', 12.00, 27.00, 33, 'female', 'L2Monster', 'Fighter', 40, 1109, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 631, 22, 165, 158, 78, 128, 253, 300, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3819, 18612, 'Spirit of Water', '', 'LineageMonster.sylph', 11.00, 35.00, 36, 'female', 'L2Monster', 'Fighter', 40, 1279, 5.000, 464, 1.950, 40, 43, 30, 21, 20, 20, 726, 28, 232, 179, 105, 151, 253, 300, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3820, 18613, 'Spirit of Water', '', 'LineageMonster.sylph_110p', 12.00, 39.70, 39, 'female', 'L2Monster', 'Fighter', 40, 1463, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 852, 35, 285, 197, 133, 167, 253, 300, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3821, 18614, 'Spirit of Fire', '', 'LineageMonster.skeleton_knight', 10.00, 25.00, 36, 'male', 'L2Monster', 'Fighter', 40, 1279, 5.000, 464, 1.950, 40, 43, 30, 21, 20, 20, 726, 28, 232, 179, 105, 151, 253, 300, 500, 150, 103, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3822, 18615, 'Spirit of Fire', '', 'LineageMonster.dre_vanul', 14.00, 36.00, 39, 'male', 'L2Monster', 'Fighter', 40, 1463, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 852, 35, 285, 197, 133, 167, 253, 300, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3823, 18616, 'Bloom', '', 'LineageMonster.magical_weaver', 11.00, 20.00, 36, 'male', 'L2Monster', 'Fighter', 40, 1279, 5.000, 464, 1.950, 40, 43, 30, 21, 20, 20, 726, 28, 232, 179, 105, 151, 253, 300, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3824, 18617, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 36, 'male', 'L2Npc', 'npc', 40, 1279, 1.400, 464, 0.870, 40, 43, 30, 21, 20, 20, 726, 28, 205, 176, 93, 143, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3825, 18618, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 36, 'male', 'L2Npc', 'npc', 40, 1279, 1.400, 464, 0.870, 40, 43, 30, 21, 20, 20, 726, 28, 205, 176, 93, 143, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3826, 18619, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 36, 'male', 'L2Npc', 'npc', 40, 1279, 1.400, 464, 0.870, 40, 43, 30, 21, 20, 20, 726, 28, 205, 176, 93, 143, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3827, 18620, 'Adiantum', '', 'LineageMonster.onyx_beast', 14.00, 14.50, 42, 'male', 'L2Monster', 'Fighter', 40, 43410, 5.600, 480, 2.130, 40, 43, 30, 21, 20, 20, 91640, 4070, 309, 189, 104, 154, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3828, 18621, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 42, 'male', 'L2Npc', 'npc', 40, 1660, 1.400, 589, 0.870, 40, 43, 30, 21, 20, 20, 989, 44, 309, 216, 141, 175, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3829, 18622, 'Powder Keg', '', 'LineageNPCEV.gunpowder', 80.00, 60.00, 61, 'female', 'L2Monster', 'npc', 40, 3137, 7.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 2085, 174, 894, 379, 413, 308, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3830, 18623, 'Begrudged Archer', '', 'LineageMonster.skeleton_archer_20_bi', 13.00, 32.50, 61, 'male', 'L2Monster', 'Ranger', 1100, 3137, 7.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 3210, 273, 985, 379, 537, 320, 253, 500, 500, 279, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3831, 18624, 'Deadman\'s Grudge', '', 'LineageMonster.unpleasant_humming', 12.00, 26.00, 58, 'male', 'L2Monster', 'Fighter', 40, 2889, 7.200, 1085, 2.610, 40, 43, 30, 21, 20, 20, 1885, 151, 851, 350, 459, 296, 253, 500, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3832, 18625, 'Deadman\'s Grudge', '', 'LineageMonster.skeleton_knight', 10.00, 25.00, 61, 'male', 'L2Monster', 'Fighter', 40, 3137, 7.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 2085, 174, 894, 379, 413, 308, 253, 500, 500, 78, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3833, 18626, 'Deadman\'s Grudge', '', 'LineageMonster.skeleton_royal_guard', 11.00, 28.50, 64, 'male', 'L2Monster', 'Fighter', 40, 3384, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 2295, 199, 1134, 409, 624, 345, 253, 500, 500, 225, 945, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3834, 18627, 'Deadman\'s Grudge', '', 'LineageMonster.skeleton_royal_guard', 11.00, 28.50, 64, 'male', 'L2Monster', 'Fighter', 40, 3384, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 2295, 199, 1134, 409, 624, 345, 253, 500, 500, 225, 945, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3835, 18628, 'Atan', 'Lookout', 'LineageMonster.pirates_zombie', 10.00, 23.00, 61, 'male', 'L2Monster', 'Fighter', 40, 3137, 1.400, 1184, 0.870, 40, 43, 30, 21, 20, 20, 2934, 249, 894, 379, 413, 308, 253, 500, 500, 232, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3836, 18629, 'Kams', 'Panuka', 'LineageMonster.skeleton_knight_50_bi', 15.00, 39.00, 61, 'male', 'L2Monster', 'Fighter', 40, 34907, 7.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 63183, 5562, 985, 379, 537, 320, 253, 0, 500, 150, 103, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3837, 18630, 'Hikoro', 'Panuka', 'LineageMonster.rakul', 30.00, 39.00, 61, 'male', 'L2Monster', 'Fighter', 40, 34907, 7.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 63183, 5562, 894, 379, 413, 308, 253, 0, 500, 3, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3838, 18631, 'Alkaso', 'Panuka', 'LineageMonster.pirates_zombie_captain_20_bi', 20.00, 33.60, 64, 'male', 'L2Monster', 'Fighter', 40, 36120, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 64881, 5952, 1134, 409, 624, 345, 253, 0, 500, 232, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3839, 18632, 'Gerbera', 'Panuka', 'LineageMonster2.imperial_warlord_zombie_20_bi', 9.00, 36.00, 64, 'male', 'L2Monster', 'Fighter', 40, 39056, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 64881, 5952, 1134, 409, 624, 345, 253, 0, 500, 134, 6721, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3840, 18633, 'Lematan', '', 'LineageMonster4.cursed_pirate', 24.00, 37.00, 67, 'male', 'L2Monster', 'Fighter', 40, 78113, 8.100, 1389, 2.880, 40, 43, 30, 21, 20, 20, 317821, 23080, 1299, 439, 719, 372, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3841, 18634, 'Lematan\'s Follower', '', 'LineageMonster.pirates_zombie', 10.00, 23.00, 64, 'male', 'L2Monster', 'Fighter', 40, 3384, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 2295, 199, 1023, 409, 473, 332, 253, 0, 500, 232, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3842, 18635, 'Varka Silenos Recruit', '', 'LineageMonster2.barka_silenos_hunter', 16.00, 38.00, 71, 'male', 'L2Monster', 'Fighter', 40, 11824, 8.500, 1565, 3.000, 40, 43, 30, 21, 20, 20, 31557, 2980, 1545, 489, 861, 408, 253, 500, 500, 2504, 6918, 0, 80, 120, 'Varka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3843, 18636, 'Varka Silenos Footman', '', 'LineageMonster2.barka_silenos_warrior', 16.00, 41.00, 71, 'male', 'L2Monster', 'Fighter', 40, 11824, 8.500, 1565, 3.000, 40, 43, 30, 21, 20, 20, 31557, 2980, 696, 489, 163, 397, 253, 500, 500, 2504, 6918, 0, 80, 120, 'Varka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3844, 18637, 'Grazing Antelope', '', 'LineageMonster2.antelope', 17.00, 34.00, 72, 'male', 'L2Monster', 'Fighter', 40, 4013, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 4087, 400, 1402, 492, 649, 399, 253, 500, 500, 0, 0, 0, 80, 120, 'Antelope', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3845, 18638, 'Varka Silenos Scout', '', 'LineageMonster2.barka_silenos_hunter', 16.00, 38.00, 72, 'male', 'L2Monster', 'Fighter', 80, 11973, 1.400, 1565, 0.870, 40, 43, 30, 21, 20, 20, 3341, 338, 701, 492, 160, 399, 253, 500, 500, 2504, 6918, 0, 80, 120, 'Varka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3846, 18639, 'Varka Silenos Hunter', '', 'LineageMonster2.barka_silenos_archer', 8.00, 37.50, 72, 'male', 'L2Monster', 'Ranger', 1100, 4013, 1.400, 1565, 0.870, 40, 43, 30, 21, 20, 20, 2905, 292, 1402, 492, 649, 399, 253, 500, 500, 6917, 0, 0, 80, 120, 'Varka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3847, 18640, 'Varka Silenos Shaman', '', 'LineageMonster2.barka_silenos_shaman', 14.00, 39.50, 72, 'male', 'L2Monster', 'Priest', 40, 4013, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 2905, 292, 1402, 492, 649, 399, 253, 500, 500, 6716, 0, 0, 80, 120, 'Varka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3848, 18641, 'Varka Silenos Priest', '', 'LineageMonster2.barka_silenos_priest', 9.00, 41.50, 72, 'male', 'L2Monster', 'Priest', 40, 4013, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 4802, 513, 1402, 492, 649, 399, 253, 500, 500, 6716, 0, 0, 80, 120, 'Varka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3849, 18642, 'Varka Silenos Warrior', '', 'LineageMonster2.barka_silenos_warrior', 16.00, 41.00, 72, 'male', 'L2Monster', 'Fighter', 40, 11973, 8.600, 1637, 3.030, 40, 43, 30, 21, 20, 20, 3801, 402, 740, 507, 174, 411, 253, 500, 500, 142, 6918, 0, 80, 120, 'Varka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3850, 18643, 'Grazing Antelope', '', 'LineageMonster2.antelope', 17.00, 34.00, 73, 'male', 'L2Monster', 'Fighter', 40, 4087, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 4201, 434, 1451, 502, 672, 408, 253, 500, 500, 0, 0, 0, 80, 120, 'Antelope', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3851, 18644, 'Varka Silenos Medium', '', 'LineageMonster2.barka_silenos_shaman', 14.00, 39.50, 72, 'male', 'L2Monster', 'Priest', 40, 4013, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 2905, 316, 1402, 492, 649, 399, 253, 500, 500, 6716, 0, 0, 80, 120, 'Varka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3852, 18645, 'Varka Silenos Magus', '', 'LineageMonster2.barka_silenos_mage_20_bi', 11.00, 55.20, 73, 'male', 'L2Monster', 'Mystic', 40, 4087, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 3255, 360, 1451, 502, 672, 408, 253, 500, 500, 6716, 6918, 0, 80, 120, 'Varka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3853, 18646, 'Varka Silenos Officer', '', 'LineageMonster2.barka_silenos_chieftain', 18.00, 42.50, 73, 'male', 'L2Monster', 'Fighter', 40, 10524, 8.700, 1710, 3.060, 40, 43, 30, 21, 20, 20, 37623, 3932, 795, 525, 186, 426, 253, 500, 500, 2504, 6918, 0, 80, 120, 'Varka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3854, 18647, 'Grazing Flava', '', 'LineageMonster2.flava', 18.00, 34.00, 74, 'male', 'L2Monster', 'Fighter', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 4133, 449, 1750, 517, 980, 437, 253, 500, 500, 0, 0, 0, 80, 120, 'Flava', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3855, 18648, 'Varka Silenos Seer', '', 'LineageMonster2.barka_silenos_shaman', 14.00, 39.50, 73, 'male', 'L2Monster', 'Priest', 40, 4087, 8.700, 1601, 3.060, 40, 43, 30, 21, 20, 20, 2807, 308, 1451, 502, 672, 408, 253, 500, 500, 6716, 0, 0, 80, 120, 'Varka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3856, 18649, 'Varka Silenos Great Magus', '', 'LineageMonster2.barka_silenos_warrior_20_bi', 20.00, 49.20, 73, 'male', 'L2Monster', 'Mystic', 40, 14811, 8.700, 1747, 3.060, 40, 43, 30, 21, 20, 20, 37090, 4028, 845, 532, 189, 432, 253, 500, 500, 2500, 6918, 0, 80, 120, 'Varka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3857, 18650, 'Varka Silenos General', '', 'LineageMonster2.barka_silenos_chieftain', 18.00, 42.50, 73, 'male', 'L2Monster', 'Fighter', 40, 14811, 8.700, 1747, 3.060, 40, 43, 30, 21, 20, 20, 37090, 4028, 845, 532, 189, 432, 253, 500, 500, 2500, 6918, 0, 80, 120, 'Varka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3858, 18651, 'Grazing Elder Antelope', '', 'LineageMonster2.antelope', 17.00, 34.00, 74, 'male', 'L2Monster', 'Fighter', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 4133, 467, 1750, 517, 980, 437, 253, 500, 500, 0, 0, 0, 80, 120, 'Antelope', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3859, 18652, 'Varka Silenos Great Seer', '', 'LineageMonster2.barka_silenos_shaman', 14.00, 39.50, 74, 'male', 'L2Monster', 'Priest', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 2885, 333, 1501, 513, 699, 417, 253, 500, 500, 6716, 0, 0, 80, 120, 'Varka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3860, 18653, 'Varka\'s Elite Guard', '', 'LineageMonster2.barka_silenos_warrior', 16.00, 41.00, 74, 'male', 'L2Monster', 'Fighter', 40, 10592, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 39208, 3836, 750, 513, 699, 417, 253, 500, 500, 2504, 6918, 0, 80, 120, 'Varka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3861, 18654, 'Varka\'s Commander', '', 'LineageMonster2.barka_silenos_chieftain_20_bi', 22.00, 51.00, 72, 'male', 'L2Monster', 'Fighter', 40, 10518, 8.600, 1674, 3.030, 40, 43, 30, 21, 20, 20, 36599, 3398, 761, 514, 705, 417, 253, 500, 500, 2500, 6918, 0, 80, 120, 'Varka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3862, 18655, 'Varka\'s Head Guard', '', 'LineageMonster2.barka_silenos_warrior', 16.00, 41.00, 74, 'male', 'L2Monster', 'Fighter', 40, 13618, 8.800, 1747, 3.090, 40, 43, 30, 21, 20, 20, 38113, 4028, 1750, 535, 980, 437, 253, 500, 500, 142, 6918, 0, 80, 120, 'Varka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3863, 18656, 'Varka\'s Head Magus', '', 'LineageMonster2.barka_silenos_shaman', 14.00, 39.50, 74, 'male', 'L2Monster', 'Mystic', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 2885, 333, 1501, 513, 699, 417, 253, 500, 500, 6716, 0, 0, 80, 120, 'Varka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3864, 18657, 'Prophet Guard', '', 'LineageMonster2.barka_silenos_warrior', 16.00, 41.00, 74, 'male', 'L2Monster', 'Priest', 40, 13618, 8.800, 1784, 3.090, 40, 43, 30, 21, 20, 20, 37565, 4122, 864, 542, 202, 440, 253, 500, 500, 2504, 6918, 0, 80, 120, 'Varka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3865, 18658, 'Disciple of Prophet', '', 'LineageMonster2.barka_silenos_priest', 9.00, 41.50, 74, 'male', 'L2Monster', 'Priest', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 2885, 333, 1501, 513, 699, 417, 253, 500, 500, 6716, 0, 0, 80, 120, 'Varka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3866, 18659, 'Varka\'s Prophet', '', 'LineageMonster2.barka_silenos_shaman_20_bi', 17.00, 47.50, 74, 'male', 'L2Monster', 'Priest', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 2885, 346, 1501, 513, 699, 417, 253, 500, 500, 6716, 0, 0, 80, 120, 'Varka', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3867, 18660, 'Latana', '', 'LineageMonster4.wounded_dragon', 60.00, 60.00, 75, 'female', 'L2Monster', 'PaganGuard', 100, 95315, 8.900, 1389, 3.120, 40, 43, 30, 21, 20, 20, 453825, 4067, 9306, 528, 1021, 447, 253, 500, 500, 0, 0, 0, 1, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3868, 18661, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 75, 'male', 'L2Npc', 'npc', 40, 4229, 1.400, 1674, 0.870, 40, 43, 30, 21, 20, 20, 8087, 614, 1551, 524, 722, 425, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3869, 18662, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 73, 'male', 'L2Npc', 'npc', 40, 4087, 1.400, 1601, 0.870, 40, 43, 30, 21, 20, 20, 7661, 300, 1451, 502, 672, 408, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3870, 18663, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 73, 'male', 'L2Npc', 'npc', 40, 4087, 1.400, 1601, 0.870, 40, 43, 30, 21, 20, 20, 0, 0, 1451, 502, 672, 408, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3871, 18664, 'Fortune Bug', '', 'LineageMonster4.jackpot_bug', 16.00, 22.50, 52, 'male', 'L2Npc', 'npc', 40, 2402, 1.400, 892, 0.870, 40, 43, 30, 21, 20, 20, 0, 0, 566, 295, 260, 240, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3872, 18665, 'Fortune Bug', '', 'LineageMonster4.jackpot_bug', 16.00, 22.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.400, 1494, 0.870, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3873, 18666, 'Fortune Bug', '', 'LineageMonster4.jackpot_bug', 16.00, 22.50, 75, 'male', 'L2Npc', 'npc', 40, 4229, 1.400, 1674, 0.870, 40, 43, 30, 21, 20, 20, 0, 0, 1551, 524, 722, 425, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3874, 18667, 'Ward of Death', '', 'LineageNpcEV.trap_immortality', 24.00, 48.50, 83, 'female', 'L2Npc', 'npc', 40, 6060, 1.500, 1973, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 2250, 609, 1047, 494, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3875, 18668, 'Ward of Death', '', 'LineageNpcEV.trap_immortality', 24.00, 48.50, 83, 'female', 'L2Npc', 'npc', 40, 6060, 1.500, 1973, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 2250, 609, 1047, 494, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3876, 18669, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 73, 'male', 'L2Npc', 'npc', 40, 4087, 1.500, 1601, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1451, 502, 672, 408, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3877, 18670, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 73, 'male', 'L2Npc', 'npc', 40, 4087, 1.500, 1601, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1451, 502, 672, 408, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3878, 18671, 'Block', '', 'LineageNPC2.block', 16.00, 17.00, 1, 'female', 'L2Npc', 'npc', 40, 63, 1.500, 44, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 9, 40, 6, 32, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3879, 18672, 'Block', '', 'LineageNPC2.block', 16.00, 17.00, 1, 'female', 'L2Npc', 'npc', 40, 63, 1.500, 44, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 9, 40, 6, 32, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3880, 18673, 'Block', '', 'LineageNPC2.block', 16.00, 17.00, 1, 'female', 'L2Npc', 'npc', 40, 63, 1.500, 44, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 9, 40, 6, 32, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3881, 18674, 'Block', '', 'LineageNPC2.block', 16.00, 17.00, 1, 'female', 'L2Npc', 'npc', 40, 63, 1.500, 44, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 9, 40, 6, 32, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3882, 18675, 'Block', '', 'LineageNPC2.block', 16.00, 17.00, 1, 'female', 'L2Npc', 'npc', 40, 63, 1.500, 44, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 9, 40, 6, 32, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3883, 18676, 'Block-Carrying GIrl', '', 'LineageNPC2.block_mother', 12.00, 31.00, 73, 'female', 'L2Npc', 'npc', 40, 4087, 1.500, 1601, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1451, 502, 672, 408, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3884, 18677, 'Dragon Steed Troop Messenger', '', 'LineageMonster4.dragon_peltast', 25.00, 46.50, 73, 'male', 'L2Npc', 'npc', 40, 4087, 1.500, 1601, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1451, 502, 672, 408, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3885, 18678, 'Energy Seed - Water', '', 'LineageNPC.seed_click_dummy_water', 10.00, 10.00, 1, 'male', 'L2EnergySeed', 'npc', 40, 63, 1.500, 44, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 9, 40, 6, 32, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3886, 18679, 'Energy Seed - Fire', '', 'LineageNPC.seed_click_dummy_fire', 10.00, 10.00, 1, 'male', 'L2EnergySeed', 'npc', 40, 63, 1.500, 44, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 9, 40, 6, 32, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3887, 18680, 'Energy Seed - Wind', '', 'LineageNPC.seed_click_dummy_wind', 10.00, 10.00, 2, 'male', 'L2EnergySeed', 'npc', 40, 76, 1.500, 52, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 10, 42, 6, 34, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3888, 18681, 'Energy Seed - Earth', '', 'LineageNPC.seed_click_dummy_earth', 10.00, 10.00, 2, 'male', 'L2EnergySeed', 'npc', 40, 76, 1.500, 52, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 10, 42, 6, 34, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3889, 18682, 'Energy Seed - Divinity', '', 'LineageNPC.seed_click_dummy_holy', 10.00, 10.00, 3, 'male', 'L2EnergySeed', 'npc', 40, 91, 1.500, 61, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 11, 44, 7, 36, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3890, 18683, 'Energy Seed - Darkness', '', 'LineageNPC.seed_click_dummy_dark', 10.00, 10.00, 3, 'male', 'L2EnergySeed', 'npc', 40, 91, 1.500, 61, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 11, 44, 7, 36, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3891, 18684, 'Red Star Stone', '', 'LineageNpcEV.star_stone_a', 54.00, 61.00, 1, 'female', 'L2StarStone', 'npc', 40, 63, 1.500, 44, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 9, 40, 6, 32, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3892, 18685, 'Red Star Stone', '', 'LineageNpcEV.star_stone_b', 38.00, 43.50, 1, 'female', 'L2StarStone', 'npc', 40, 63, 1.500, 44, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 9, 40, 6, 32, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3893, 18686, 'Red Star Stone', '', 'LineageNpcEV.star_stone_c', 38.00, 30.50, 1, 'female', 'L2StarStone', 'npc', 40, 63, 1.500, 44, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 9, 40, 6, 32, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3894, 18687, 'Blue Star Stone', '', 'LineageNpcEV.star_stone_a', 54.00, 61.00, 1, 'female', 'L2StarStone', 'npc', 40, 76, 1.500, 52, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 10, 42, 6, 34, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3895, 18688, 'Blue Star Stone', '', 'LineageNpcEV.star_stone_b', 38.00, 43.50, 1, 'female', 'L2StarStone', 'npc', 40, 76, 1.500, 52, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 10, 42, 6, 34, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3896, 18689, 'Blue Star Stone', '', 'LineageNpcEV.star_stone_c', 38.00, 30.50, 1, 'female', 'L2StarStone', 'npc', 40, 76, 1.500, 52, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 10, 42, 6, 34, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3897, 18690, 'Green Star Stone', '', 'LineageNpcEV.star_stone_a', 54.00, 61.00, 1, 'female', 'L2StarStone', 'npc', 40, 91, 1.500, 61, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 11, 43, 7, 35, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3898, 18691, 'Green Star Stone', '', 'LineageNpcEV.star_stone_b', 38.00, 43.50, 1, 'female', 'L2StarStone', 'npc', 40, 91, 1.500, 61, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 11, 43, 7, 35, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3899, 18692, 'Green Star Stone', '', 'LineageNpcEV.star_stone_c', 38.00, 30.50, 1, 'female', 'L2StarStone', 'npc', 40, 91, 1.500, 61, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 11, 43, 7, 35, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3900, 18693, 'Treasure Box of the Ancient Giants', '', 'LineageMonster.mimic', 8.50, 8.50, 76, 'male', 'L2Npc', 'npc', 40, 2, 1.500, 1710, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1619, 534, 754, 434, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3901, 18694, 'Treasure Box Guard', '', 'LineageMonster2.magmagoil_lad_20_sm', 12.00, 60.00, 78, 'male', 'L2Npc', 'npc', 40, 4699, 1.500, 1784, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1770, 556, 820, 451, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3902, 18695, 'Treasure Box Guard', '', 'LineageMonster2.magmagoil_20_sm', 12.00, 60.00, 78, 'male', 'L2Npc', 'npc', 40, 4699, 1.500, 1784, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1770, 556, 820, 451, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3903, 18696, 'Dimension Moving Device', '', 'LineageNpcEV.teleport_gate_of_legion', 44.50, 7.00, 85, 'female', 'ImmuneMonster', 'DimensionMovingDevice', 40, 21338, 1.500, 2050, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 2462, 3286, 1146, 511, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3904, 18697, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3905, 18698, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3906, 18699, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3907, 18700, '', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3908, 18701, '', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3909, 18702, 'Dimension Moving Device', '', 'LineageNpcEV.teleport_gate_of_legion', 44.50, 7.00, 85, 'female', 'L2Npc', 'npc', 40, 176244, 1.500, 2050, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 18838, 1007, 8758, 1227, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3910, 18703, 'Defeated Troops Controller', '', 'LineageNpcEV.crystal_of_secret_door', 57.00, 74.00, 85, 'female', 'L2Npc', 'npc', 40, 176244, 1.500, 2050, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 18838, 1007, 8758, 1227, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3911, 18704, 'Tumor of Death', '', 'LineageNpcEV.tumor_immortality', 42.00, 55.00, 80, 'female', 'L2Monster', 'npc', 40, 536706, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 15036, 923, 6990, 1125, 253, 0, 500, 0, 0, 0, 110, 180, 'soi', 700, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3912, 18705, 'Destroyed Tumor', '', 'LineageNpcEV.tumor_immortality_a', 42.00, 55.00, 80, 'female', 'DestroyedTumor', 'npc', 40, 536706, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 15036, 923, 6990, 1125, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3913, 18706, 'Soul Coffin', '', 'LineageNpcEV.vein_immortality', 0.00, 6.00, 80, 'female', 'L2Npc', 'npc', 40, 52288, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 11557, 923, 5374, 1125, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3914, 18707, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 73, 'male', 'L2Npc', 'npc', 40, 4087, 1.500, 1601, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1451, 502, 672, 408, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3915, 18708, 'Tumor of Death', '', 'LineageNpcEV.tumor_immortality', 42.00, 55.00, 85, 'female', 'L2Npc', 'npc', 40, 176244, 1.500, 2050, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 18838, 1007, 8758, 1227, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3916, 18709, 'Soul Coffin', '', 'LineageNpcEV.vein_immortality_080p', 0.10, 6.10, 80, 'female', 'L2Npc', 'npc', 40, 52288, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 11557, 923, 5374, 1125, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3917, 18710, 'Soul Coffin', '', 'LineageNpcEV.vein_immortality', 0.00, 6.00, 82, 'female', 'L2Npc', 'npc', 40, 52055, 1.500, 1935, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 11789, 957, 5477, 1166, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3918, 18711, 'Soul Coffin', '', 'LineageNpcEV.vein_immortality_120p', 0.00, 8.50, 85, 'female', 'L2Npc', 'npc', 40, 51502, 1.500, 2050, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 12130, 1007, 5636, 1227, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3919, 18712, 'Soul Coffin', '', 'LineageNpcEV.vein_immortality_080p', 0.10, 6.10, 85, 'female', 'L2Npc', 'npc', 40, 102864, 1.500, 2050, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 11645, 1007, 5414, 1227, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3920, 18713, 'Soul Coffin', '', 'LineageNpcEV.vein_immortality', 0.00, 6.00, 85, 'female', 'L2Npc', 'npc', 40, 102864, 1.500, 2050, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 11645, 1007, 5414, 1227, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3921, 18714, 'Soul Coffin', '', 'LineageNpcEV.vein_immortality_120p', 0.00, 8.50, 85, 'female', 'L2Npc', 'npc', 40, 102864, 1.500, 2050, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 11645, 1007, 5414, 1227, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3922, 18715, 'Conquered Soul', '', 'LineageMonster4.death_knight_n_104p', 22.88, 41.60, 83, 'male', 'L2Npc', 'npc', 80, 6060, 1.500, 1973, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 2250, 609, 1047, 494, 253, 0, 500, 13983, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3923, 18716, 'Conquered Soul', '', 'LineageMonster4.Death_slayer_080p', 16.00, 27.20, 83, 'male', 'L2Npc', 'npc', 40, 6060, 1.500, 1973, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 2250, 609, 1047, 494, 253, 0, 500, 13985, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3924, 18717, 'Conquered Soul', '', 'LineageMonster4.lich_b_088p', 21.12, 40.48, 83, 'male', 'L2Npc', 'npc', 40, 6060, 1.500, 1973, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 2250, 609, 1047, 494, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3925, 18718, 'Sacrificed Fanatic', '', 'LineageMonster4.ravager_silen_dead', 27.00, 48.50, 82, 'male', 'L2Npc', 'npc', 40, 4229, 1.500, 1674, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1617, 546, 749, 443, 253, 0, 500, 13987, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3926, 18719, 'Sacrificed Fanatic', '', 'LineageMonster4.disciple_silen_dead', 19.00, 44.00, 82, 'male', 'L2Npc', 'npc', 40, 4229, 1.500, 1674, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1617, 546, 749, 443, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3927, 18720, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3928, 18721, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3929, 18722, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3930, 18723, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3931, 18724, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3932, 18725, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3933, 18726, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3934, 18727, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3935, 18728, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3936, 18729, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3937, 18730, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3938, 18731, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3939, 18732, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3940, 18733, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3941, 18734, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3942, 18735, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3943, 18736, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3944, 18737, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3945, 18738, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3946, 18739, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3947, 18740, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3948, 18741, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3949, 18742, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3950, 18743, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3951, 18744, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3952, 18745, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3953, 18746, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3954, 18747, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3955, 18748, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3956, 18749, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3957, 18750, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3958, 18751, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3959, 18752, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3960, 18753, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3961, 18754, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3962, 18755, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3963, 18756, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3964, 18757, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3965, 18758, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3966, 18759, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3967, 18760, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3968, 18761, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3969, 18762, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3970, 18763, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3971, 18764, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3972, 18765, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3973, 18766, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3974, 18767, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3975, 18768, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3976, 18769, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3977, 18770, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3978, 18771, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3979, 18772, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3980, 18773, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3981, 18774, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3982, 18775, 'Seed of Destruction Control Device', '', 'LineageNpcEV.crystal_of_secret_door', 57.00, 74.00, 82, 'female', 'L2Npc', 'npc', 40, 52055, 1.500, 1935, 2.700, 40, 43, 30, 21, 20, 20, 147312, 11412, 11789, 957, 5477, 1166, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3983, 18776, 'Obelisk', '', 'LineageNpcEV.obelisk_of_middle_square', 229.00, 177.50, 82, 'female', 'Obelisk', 'Obelisk', 40, 52055, 1.500, 1935, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 11789, 957, 5477, 1166, 253, 0, 500, 0, 0, 0, 110, 180, 'dragon', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3984, 18777, 'Great Powerful Device', '', 'LineageNpcEV.crystal_of_secret_door', 57.00, 74.00, 82, 'female', 'ImmuneMonster', 'GreatPowerfulDevice', 40, 52055, 1.500, 1935, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 11789, 957, 5477, 1166, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3985, 18778, 'Throne of Destruction Powerful Device', '', 'LineageNpcEV.protector_of_seed', 57.00, 74.00, 82, 'female', 'ImmuneMonster', 'ThroneofDestruction', 40, 52055, 1.500, 1935, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 11789, 957, 5477, 1166, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(3986, 18779, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 82, 'male', 'L2Npc', 'npc', 40, 5757, 1.500, 1935, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 2147, 598, 996, 486, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3987, 18780, 'Symbol of Cohemenes', '', 'LineageNpcEV.trap_immortality', 24.00, 48.50, 83, 'female', 'L2Npc', 'npc', 40, 6060, 1.500, 1973, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 2250, 609, 1047, 494, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3988, 18781, 'Young Drake Wing', '', 'LineageMonster4.m_drake_wing_knave', 153.00, 63.00, 83, 'male', 'L2Npc', 'npc', 40, 6060, 1.500, 1973, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 2250, 609, 1047, 494, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3989, 18782, 'Zealot of Shilen', '', 'LineageMonster4.disciple_silen', 19.00, 44.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3990, 18783, 'Defeated Troops Commander', '', 'LineageMonster4.Dragon_centurion_135p', 28.00, 46.50, 83, 'male', 'L2Npc', 'npc', 40, 177460, 1.500, 1973, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 18550, 974, 8620, 1186, 253, 0, 500, 13978, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3991, 18784, 'Defeated Troops No 1 Battalion Commander', '', 'LineageMonster4.Dragon_centurion_135p', 28.00, 46.50, 82, 'male', 'L2Npc', 'npc', 40, 178093, 1.500, 1935, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 18405, 957, 8553, 1166, 253, 0, 500, 13978, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3992, 18785, 'Defeated Troops White Dragon Leader', '', 'LineageMonster4.Dragon_centurion_120p', 22.00, 42.00, 81, 'male', 'L2Npc', 'npc', 40, 178417, 1.500, 1897, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 18258, 940, 8484, 1145, 253, 0, 500, 13979, 13980, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3993, 18786, 'Defeated Troops Infantry', '', 'LineageMonster4.Dragon_centurion_120p', 22.00, 42.00, 80, 'male', 'L2Npc', 'npc', 40, 178902, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 18111, 923, 8416, 1125, 253, 0, 500, 13979, 13980, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3994, 18787, 'Defeated Troops Magic Leader', '', 'LineageMonster4.dragon_mage_075p', 28.00, 39.50, 82, 'male', 'L2Npc', 'npc', 40, 89117, 1.500, 1935, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 18856, 957, 8766, 1166, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3995, 18788, 'Defeated Troops Magician', '', 'LineageMonster4.dragon_mage_075p', 28.00, 39.50, 81, 'male', 'L2Npc', 'npc', 40, 89279, 1.500, 1897, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 18698, 940, 8688, 1145, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3996, 18789, 'Defeated Troops Magic Soldier', '', 'LineageMonster4.dragon_mage_065p', 25.00, 34.50, 80, 'male', 'L2Npc', 'npc', 40, 52288, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 11557, 923, 5374, 1125, 253, 0, 500, 13981, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3997, 18790, 'Defeated Troops Healer', '', 'LineageMonster4.dragon_mage_065p', 25.00, 34.50, 79, 'male', 'L2Npc', 'npc', 40, 52385, 1.500, 1822, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 11354, 906, 5279, 1104, 253, 0, 500, 13981, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3998, 18791, 'Defeated Troops Javelin Thrower', '', 'LineageMonster4.dragon_peltast', 25.00, 46.50, 80, 'male', 'L2Npc', 'npc', 1100, 89522, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 18539, 923, 8619, 1125, 253, 0, 500, 13843, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(3999, 18792, 'Defeated Troops Javelin Thrower', '', 'LineageMonster4.dragon_peltast', 25.00, 46.50, 80, 'male', 'L2Npc', 'npc', 1100, 89522, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 18539, 923, 8619, 1125, 253, 0, 500, 13843, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4000, 18793, 'Bizarre Cocoon', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4001, 18794, 'Bizarre Cocoon', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4002, 18795, 'Bizarre Cocoon', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4003, 18796, 'Bizarre Cocoon', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4004, 18797, 'Bizarre Cocoon', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4005, 18798, 'Bizarre Cocoon', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4006, 18799, 'Newborn Lavasaurus', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4007, 18800, 'Fledgling Lavasaurus', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4008, 18801, 'Adult Lavasaurus', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4009, 18802, 'Elderly Lavasaurus', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4010, 18803, 'Ancient Lavasaurus', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4011, 18804, 'Tar Beetle', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4012, 18805, 'Waste Landfill Machine', '', NULL, 19.00, 28.00, 82, 'male', 'L2Monster', 'FieldMachine', 40, 10000, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 1000, 500, 800, 278, 0, 333, 0, 0, 0, 0, 0, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(4013, 18806, 'Brazier of Purity', '', NULL, 16.00, 31.00, 82, 'male', 'L2Monster', 'FieldMachine', 40, 10000, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 1000, 500, 800, 278, 0, 333, 0, 0, 0, 0, 0, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(4014, 18807, 'Frightened Ragna Orc', '', NULL, 9.00, 21.50, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 289, 0, 333, 0, 0, 0, 80, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4015, 18808, 'Dark Shaman Varangka', 'Raid Boss', 'ketra_orc_chieftain_20_bi', 17.00, 46.20, 82, 'male', 'L2RaidBoss', 'Fighter', 40, 534278, 9.600, 2092, 3.270, 60, 57, 73, 76, 70, 80, 2586436, 1438503, 10997, 2335, 10896, 1975, 253, 0, 3819, 6719, 0, 0, 88, 170, '', 0, 0, 0, 0, 7, 30, 4, 20, 0, -18, 0.41, 'false', 'NONE', 1, 1),
	(4016, 18809, 'Varangka\'s Retainer', 'Raid Fighter', NULL, 28.00, 52.50, 82, 'male', 'L2Minion', 'Fighter', 40, 8876, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 20944, 2263, 3420, 876, 1925, 741, 253, 0, 500, 0, 0, 0, 80, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4017, 18810, 'Varangka\'s Page', 'Raid Fighter', NULL, 12.00, 18.80, 82, 'male', 'L2Minion', 'Fighter', 40, 8876, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 20944, 2263, 3420, 876, 1925, 741, 253, 0, 500, 0, 0, 0, 80, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4018, 18811, 'Guardian of the Altar', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4019, 18812, 'Kasha\'s Eye', '', NULL, 17.00, 29.00, 81, 'male', 'L2Monster', 'KashasEye', 40, 8691, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 3294, 858, 1853, 726, 278, 0, 500, 0, 0, 0, 30, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4020, 18813, 'Kasha\'s Eye', '', NULL, 17.00, 29.00, 81, 'male', 'L2Monster', 'KashasEye', 40, 8691, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 3294, 858, 1853, 726, 278, 0, 500, 0, 0, 0, 30, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4021, 18814, 'Kasha\'s Eye', '', NULL, 17.00, 29.00, 81, 'male', 'L2Monster', 'KashasEye', 40, 8691, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 3294, 858, 1853, 726, 278, 0, 500, 0, 0, 0, 30, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4022, 18815, 'Guard of the Grave', 'Death-calling', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4023, 18816, 'Chieftain\'s Treasure Chest', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4024, 18817, 'Invader Martyr of Nightmare', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4025, 18818, 'Nihil Invader Martyr', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4026, 18819, 'Nihil Invader Treasure Chest', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4027, 18820, 'Nihil Invader Treasure Chest', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4028, 18821, 'Mutant Martyr', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4029, 18822, 'Mutant Treasure Chest', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4030, 18823, 'Mutant Treasure Chest', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4031, 18824, 'Merchant of Mammon A', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4032, 18825, 'Merchant of Mammon B', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0);
INSERT INTO `npc` (`ordinal`, `id`, `name`, `title`, `class`, `collision_radius`, `collision_height`, `level`, `sex`, `type`, `ai_type`, `attackrange`, `hp`, `base_hp_regen`, `mp`, `base_mp_regen`, `str`, `con`, `dex`, `int`, `wit`, `men`, `exp`, `sp`, `patk`, `pdef`, `matk`, `mdef`, `atkspd`, `aggro`, `matkspd`, `rhand`, `lhand`, `armor`, `walkspd`, `runspd`, `faction_id`, `faction_range`, `displayId`, `shield_defense_rate`, `shield_defense`, `corpse_time`, `base_rand_dam`, `base_critical`, `physical_hit_modify`, `base_reuse_delay`, `physical_avoid_modify`, `hit_time_factor`, `isDropHerbs`, `shots`, `map_flag`, `boss_flag`) VALUES
	(4033, 18826, 'Shilen\'s Evil Thoughts For Presentation', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4034, 18827, 'Priest Cain for Presentation', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4035, 18828, 'High Priest of Dawn', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4036, 18829, 'Shilen\'s Evil Thoughts Leader For Presentatio', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4037, 18830, 'ssq For Presentation Camera Dummy 1', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4038, 18831, 'ssq For Presentation Camera Dummy 2', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4039, 18832, 'ssq For Presentation Camera Dummy 3', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4040, 18833, 'Emperor\'s Seal Device', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4041, 18834, 'Guards of the Dawn', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4042, 18835, 'Guards of the Dawn', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4043, 18836, 'Varangka\'s Guardian', 'Raid Fighter', NULL, 14.00, 44.00, 82, 'male', 'L2Minion', 'Fighter', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 3420, 1077, 6277, 741, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4044, 18837, '', '', NULL, 0.10, 0.10, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 278, 0, 333, 0, 0, 0, 1, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4045, 18838, 'Treasure Chest of Invader Soldier of Nightmar', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4046, 27001, 'Orc Sniper', '', 'orc_archer', 14.00, 25.00, 10, 'male', 'L2Monster', 'Ranger', 1100, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 0, 0, 25, 62, 8, 51, 253, 0, 500, 14, 0, 0, 45, 110, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.80, 'false', 'NONE', 0, 0),
	(4047, 27002, 'Orc Fighter', '', 'orc_fighter', 12.00, 22.00, 12, 'male', 'L2Monster', 'Fighter', 40, 315, 2.600, 138, 1.230, 40, 43, 30, 21, 20, 20, 0, 0, 30, 68, 14, 56, 253, 0, 500, 1, 0, 0, 45, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(4048, 27003, 'Spirit Of Mirrors', 'Quest Monster', 'poison_toad', 20.00, 10.00, 9, 'male', 'L2Monster', 'Fighter', 40, 226, 2.300, 112, 1.140, 40, 43, 30, 21, 20, 20, 0, 0, 23, 60, 11, 48, 253, 0, 500, 0, 0, 0, 50, 100, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.35, 'false', 'NONE', 1, 0),
	(4049, 27004, 'Spirit Of Mirrors', 'Quest Monster', 'orc_fighter', 12.00, 22.00, 10, 'male', 'L2Monster', 'Fighter', 40, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 0, 0, 25, 62, 8, 51, 253, 0, 500, 0, 0, 0, 45, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(4050, 27005, 'Spirit Of Mirrors', 'Quest Monster', 'werewolf', 10.00, 26.00, 11, 'male', 'L2Monster', 'Fighter', 40, 293, 2.500, 129, 1.200, 40, 43, 30, 21, 20, 20, 0, 0, 28, 65, 9, 54, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 1, 0),
	(4051, 27006, 'Bhato Bloodspear', '', 'orc_fighter', 12.00, 22.00, 11, 'male', 'L2Monster', 'Fighter', 40, 293, 2.500, 129, 1.200, 40, 43, 30, 21, 20, 20, 0, 0, 28, 65, 9, 54, 253, 0, 500, 0, 0, 0, 45, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(4052, 27007, 'Tanuki Skullcrusher', '', 'orc_fighter', 12.00, 22.00, 11, 'male', 'L2Monster', 'Fighter', 40, 293, 2.500, 129, 1.200, 40, 43, 30, 21, 20, 20, 0, 0, 28, 65, 9, 54, 253, 0, 500, 0, 0, 0, 45, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(4053, 27008, 'Kraacul Blackskull', '', 'orc_fighter', 12.00, 22.00, 11, 'male', 'L2Monster', 'Fighter', 40, 293, 2.500, 129, 1.200, 40, 43, 30, 21, 20, 20, 0, 0, 28, 65, 9, 54, 253, 0, 500, 0, 0, 0, 45, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(4054, 27009, 'Taarq Blackskull', '', 'orc_archer', 14.00, 25.00, 11, 'male', 'L2Monster', 'Fighter', 40, 293, 2.500, 129, 1.200, 40, 43, 30, 21, 20, 20, 0, 0, 28, 65, 9, 54, 253, 0, 500, 0, 0, 0, 45, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.80, 'false', 'NONE', 0, 0),
	(4055, 27016, 'Nerkas', 'Quest Monster', 'dre_vanul', 14.00, 36.00, 22, 'male', 'L2Monster', 'Fighter', 40, 612, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 0, 0, 78, 104, 29, 87, 253, 0, 500, 0, 0, 0, 80, 80, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.35, 'false', 'NONE', 1, 0),
	(4056, 27017, 'Plague Zombie', 'Quest Monster', 'zombie', 13.00, 21.00, 14, 'male', 'L2Monster', 'Mystic', 40, 364, 2.800, 156, 1.290, 40, 43, 30, 21, 20, 20, 0, 0, 37, 75, 13, 61, 253, 0, 500, 0, 0, 0, 15, 15, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 1, 0),
	(4057, 27018, 'Orc Warrior', '', 'orc_fighter', 12.00, 22.00, 10, 'male', 'L2Monster', 'Fighter', 40, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 0, 0, 25, 62, 8, 51, 253, 0, 500, 0, 0, 0, 45, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(4058, 27019, 'Orc Warrior Leader', '', 'orc_fighter', 12.00, 22.00, 11, 'male', 'L2Monster', 'Fighter', 40, 293, 2.500, 129, 1.200, 40, 43, 30, 21, 20, 20, 0, 0, 28, 65, 9, 54, 253, 0, 500, 0, 0, 0, 45, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(4059, 27020, 'Varool Foulclaw', 'Quest Monster', 'wererat', 14.00, 25.00, 20, 'male', 'L2Monster', 'Fighter', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 0, 0, 65, 96, 24, 80, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(4060, 27021, 'Kirunak', 'Quest Monster', 'dre_vanul', 14.00, 36.00, 22, 'male', 'L2Monster', 'Fighter', 40, 612, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 0, 0, 78, 104, 29, 87, 253, 0, 500, 0, 0, 0, 80, 80, 'kirunak_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.35, 'false', 'NONE', 1, 0),
	(4061, 27022, 'Merkenis', 'Quest Monster', 'succubus', 10.00, 36.00, 22, 'female', 'L2Monster', 'Mystic', 40, 612, 3.600, 243, 1.530, 40, 43, 30, 21, 20, 20, 0, 0, 78, 104, 29, 87, 253, 0, 500, 0, 0, 0, 60, 100, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.84, 'false', 'NONE', 1, 0),
	(4062, 27024, 'Undead Priest', 'Quest Monster', 'zombie', 13.00, 21.00, 17, 'male', 'L2Monster', 'Priest', 40, 446, 3.100, 184, 1.380, 40, 43, 30, 21, 20, 20, 0, 0, 49, 84, 22, 70, 253, 0, 500, 0, 0, 0, 15, 15, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 1, 0),
	(4063, 27029, 'Phantom Salamander', 'Quest Monster', 'salamander', 16.00, 6.80, 17, 'male', 'L2Monster', 'Fighter', 40, 446, 3.100, 184, 1.380, 40, 43, 30, 21, 20, 20, 0, 0, 49, 84, 22, 70, 253, 500, 500, 0, 0, 0, 64, 96, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(4064, 27030, 'Water Seer', 'Quest Monster', 'monster_eye', 21.00, 43.00, 17, 'male', 'L2Monster', 'Mystic', 40, 446, 3.100, 184, 1.380, 40, 43, 30, 21, 20, 20, 0, 0, 49, 84, 22, 70, 253, 500, 500, 0, 0, 0, 90, 90, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(4065, 27031, 'Ol Mahum Sentry', 'Quest Monster', 'ol_mahum', 13.50, 25.00, 17, 'male', 'L2Monster', 'Fighter', 40, 446, 3.100, 184, 1.380, 40, 43, 30, 21, 20, 20, 0, 0, 49, 84, 22, 70, 253, 0, 500, 2, 0, 0, 50, 110, 'ol_mahum_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(4066, 27032, 'Lizardman Warrior', 'Quest Monster', 'virud_lizardman_warrior', 12.00, 30.00, 13, 'male', 'L2Monster', 'Fighter', 80, 339, 2.700, 147, 1.260, 40, 43, 30, 21, 20, 20, 0, 0, 34, 71, 12, 59, 253, 500, 500, 16, 0, 0, 52, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(4067, 27033, 'Lizardman Scout', 'Quest Monster', 'virud_lizardman', 10.00, 23.00, 12, 'male', 'L2Monster', 'Fighter', 40, 315, 2.600, 138, 1.230, 40, 43, 30, 21, 20, 20, 0, 0, 30, 68, 14, 56, 253, 500, 500, 1, 0, 0, 43, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4068, 27034, 'Lizardman', 'Quest Monster', 'virud_lizardman', 10.00, 23.00, 11, 'male', 'L2Monster', 'Fighter', 80, 293, 2.500, 129, 1.200, 40, 43, 30, 21, 20, 20, 0, 0, 28, 65, 9, 54, 253, 500, 500, 291, 0, 0, 43, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4069, 27035, 'Tamil', 'Quest Monster', 'bugbear', 17.00, 35.00, 19, 'male', 'L2Monster', 'Fighter', 40, 508, 3.300, 203, 1.440, 40, 43, 30, 21, 20, 20, 0, 0, 59, 91, 26, 77, 253, 500, 500, 4, 0, 0, 55, 130, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(4070, 27036, 'Calpico', 'Quest Monster', 'orc_fighter', 12.00, 22.00, 13, 'male', 'L2Monster', 'Fighter', 40, 339, 2.700, 147, 1.260, 40, 43, 30, 21, 20, 20, 0, 0, 34, 71, 12, 59, 253, 0, 500, 2, 0, 0, 45, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(4071, 27037, 'Calpico\'s Goons', 'Quest Monster', 'orc', 10.00, 21.00, 10, 'male', 'L2Minion', 'Fighter', 40, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 0, 0, 25, 62, 8, 51, 253, 0, 500, 1, 0, 0, 45, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(4072, 27038, 'Cat\'s Eye Bandit', 'Quest Monster', 'ol_mahum', 13.50, 25.00, 15, 'male', 'L2Monster', 'Fighter', 40, 390, 2.900, 166, 1.320, 40, 43, 30, 21, 20, 20, 0, 0, 41, 78, 19, 64, 253, 0, 500, 218, 0, 0, 50, 110, '', 0, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(4073, 27041, 'Baranka\'s Messenger', 'Quest Monster', 'orc_fighter', 12.00, 22.00, 12, 'male', 'L2Monster', 'Fighter', 40, 315, 2.600, 138, 1.230, 40, 43, 30, 21, 20, 20, 0, 0, 30, 68, 14, 56, 253, 0, 500, 2, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(4074, 27042, 'Orc Escort', 'Quest Monster', 'orc_fighter', 12.00, 22.00, 12, 'male', 'L2Monster', 'Fighter', 40, 315, 2.600, 138, 1.230, 40, 43, 30, 21, 20, 20, 0, 0, 30, 68, 14, 56, 253, 0, 500, 2, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(4075, 27043, 'Varangka\'s Tracker', 'Quest Monster', 'vampire_bat', 10.00, 33.50, 11, 'male', 'L2Monster', 'Mystic', 40, 293, 2.500, 129, 1.200, 40, 43, 30, 21, 20, 20, 0, 0, 28, 65, 9, 54, 253, 500, 500, 0, 0, 0, 60, 80, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(4076, 27044, 'Kasha Bear Totem Spirit', 'Quest Monster', 'grizzly', 21.00, 40.00, 17, 'male', 'L2Monster', 'Fighter', 40, 446, 3.100, 184, 1.380, 40, 43, 30, 21, 20, 20, 0, 0, 49, 84, 22, 70, 253, 500, 500, 0, 0, 0, 40, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(4077, 27045, 'Kuruka Ratman Leader', 'Quest Monster', 'wererat', 14.00, 25.00, 18, 'male', 'L2Monster', 'Fighter', 40, 477, 3.200, 194, 1.410, 40, 43, 30, 21, 20, 20, 0, 0, 54, 88, 20, 74, 253, 500, 500, 1, 0, 0, 80, 120, 'wererat_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(4078, 27046, 'Sumi', 'Orc Betrayer', 'batur_orc', 9.00, 21.50, 20, 'male', 'L2Monster', 'Fighter', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 0, 0, 65, 96, 24, 80, 253, 0, 500, 2, 0, 0, 80, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(4079, 27047, 'Wanuk', 'Orc Betrayer', 'batur_orc', 9.00, 21.50, 20, 'male', 'L2Monster', 'Fighter', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 0, 0, 65, 96, 24, 80, 253, 0, 500, 2, 0, 0, 80, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(4080, 27048, 'Chewba', 'Orc Betrayer', 'batur_orc', 9.00, 21.50, 20, 'male', 'L2Monster', 'Fighter', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 0, 0, 65, 96, 24, 80, 253, 0, 500, 2, 0, 0, 80, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(4081, 27049, 'Heitafu', 'Orc Betrayer', 'batur_orc', 9.00, 21.50, 20, 'male', 'L2Monster', 'Fighter', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 0, 0, 65, 96, 24, 80, 253, 0, 500, 2, 0, 0, 80, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(4082, 27050, 'Picubo', 'Orc Betrayer', 'batur_orc', 9.00, 21.50, 20, 'male', 'L2Monster', 'Fighter', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 0, 0, 65, 96, 24, 80, 253, 0, 500, 2, 0, 0, 80, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(4083, 27051, 'Bumbum', 'Orc Betrayer', 'batur_orc', 9.00, 21.50, 20, 'male', 'L2Monster', 'Fighter', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 0, 0, 65, 96, 24, 80, 253, 0, 500, 2, 0, 0, 80, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(4084, 27052, 'Minsku', 'Orc Betrayer', 'batur_orc', 9.00, 21.50, 20, 'male', 'L2Monster', 'Fighter', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 0, 0, 65, 96, 24, 80, 253, 0, 500, 2, 0, 0, 80, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(4085, 27053, 'Chuchu', 'Orc Betrayer', 'batur_orc', 9.00, 21.50, 20, 'male', 'L2Monster', 'Fighter', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 0, 0, 65, 96, 24, 80, 253, 0, 500, 2, 0, 0, 80, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(4086, 27054, 'Umbar Orc', 'Quest Monster', 'batur_orc', 9.00, 21.50, 20, 'male', 'L2Monster', 'Fighter', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 0, 0, 65, 96, 24, 80, 253, 0, 500, 2, 0, 0, 80, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(4087, 27055, 'Zakan', 'Orc Betrayer', 'batur_orc', 9.00, 21.50, 20, 'male', 'L2Monster', 'Fighter', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 0, 0, 65, 96, 24, 80, 253, 0, 500, 2, 0, 0, 80, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(4088, 27056, 'Durka Spirit', 'Quest Monster', 'magical_weaver', 11.00, 20.00, 18, 'male', 'L2Monster', 'Mystic', 40, 477, 3.200, 194, 1.410, 40, 43, 30, 21, 20, 20, 0, 0, 54, 88, 20, 74, 253, 500, 500, 0, 0, 0, 90, 90, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(4089, 27058, 'Honey Bear', 'Quest Monster', 'grizzly', 21.00, 40.00, 17, 'male', 'L2Monster', 'Fighter', 40, 446, 3.100, 184, 1.380, 40, 43, 30, 21, 20, 20, 0, 0, 49, 84, 22, 70, 253, 0, 500, 0, 0, 0, 40, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(4090, 27059, 'Uoph', 'Kaboo Chief', 'orc_fighter', 12.00, 22.00, 11, 'male', 'L2Monster', 'Fighter', 40, 293, 2.500, 129, 1.200, 40, 43, 30, 21, 20, 20, 0, 0, 28, 65, 9, 54, 253, 0, 500, 2, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(4091, 27060, 'Kracha', 'Kaboo Chief', 'orc_archer', 14.00, 25.00, 11, 'male', 'L2Monster', 'Ranger', 1100, 293, 2.500, 129, 1.200, 40, 43, 30, 21, 20, 20, 0, 0, 28, 65, 9, 54, 253, 0, 500, 275, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.80, 'false', 'NONE', 1, 0),
	(4092, 27061, 'Batoh', 'Kaboo Chief', 'orc_fighter', 12.00, 22.00, 11, 'male', 'L2Monster', 'Fighter', 40, 293, 2.500, 129, 1.200, 40, 43, 30, 21, 20, 20, 0, 0, 28, 65, 9, 54, 253, 0, 500, 86, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(4093, 27062, 'Tanukia', 'Kaboo Chief', 'orc_fighter', 12.00, 22.00, 8, 'male', 'L2Monster', 'Fighter', 40, 197, 2.200, 103, 1.110, 40, 43, 30, 21, 20, 20, 0, 0, 21, 58, 10, 46, 253, 0, 500, 2, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(4094, 27063, 'Tanukia\'s Warhound', 'Quest Monster', 'wolf', 13.00, 9.00, 4, 'male', 'L2Monster', 'Fighter', 40, 108, 1.800, 69, 0.990, 40, 43, 30, 21, 20, 20, 0, 0, 14, 48, 7, 39, 253, 0, 500, 0, 0, 0, 24, 110, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(4095, 27064, 'Turel', 'Kaboo Chief', 'orc_fighter', 12.00, 22.00, 11, 'male', 'L2Monster', 'Fighter', 40, 293, 2.500, 129, 1.200, 40, 43, 30, 21, 20, 20, 0, 0, 28, 65, 9, 54, 253, 0, 500, 2, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(4096, 27065, 'Roko', 'Kaboo Chief', 'orc_archer', 14.00, 25.00, 8, 'male', 'L2Monster', 'Ranger', 1100, 197, 2.200, 103, 1.110, 40, 43, 30, 21, 20, 20, 0, 0, 21, 58, 10, 46, 253, 0, 500, 275, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.80, 'false', 'NONE', 1, 0),
	(4097, 27066, 'Roko\'s Warhound', 'Quest Monster', 'wolf', 13.00, 9.00, 4, 'male', 'L2Monster', 'Fighter', 40, 108, 1.800, 69, 0.990, 40, 43, 30, 21, 20, 20, 0, 0, 14, 48, 7, 39, 253, 0, 500, 0, 0, 0, 24, 110, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(4098, 27067, 'Kamut', 'Kaboo Chief', 'orc_fighter', 12.00, 22.00, 11, 'male', 'L2Monster', 'Fighter', 40, 293, 2.500, 129, 1.200, 40, 43, 30, 21, 20, 20, 0, 0, 28, 65, 9, 54, 253, 0, 500, 86, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(4099, 27068, 'Murtika', 'Kaboo Chief', 'orc_archer', 14.00, 25.00, 8, 'male', 'L2Monster', 'Ranger', 1100, 197, 2.200, 103, 1.110, 40, 43, 30, 21, 20, 20, 0, 0, 21, 58, 10, 46, 253, 0, 500, 275, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.80, 'false', 'NONE', 1, 0),
	(4100, 27069, 'Murtika\'s Warhound', 'Quest Monster', 'wolf', 13.00, 9.00, 4, 'male', 'L2Monster', 'Fighter', 40, 108, 1.800, 69, 0.990, 40, 43, 30, 21, 20, 20, 0, 0, 14, 48, 7, 39, 253, 0, 500, 0, 0, 0, 24, 110, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(4101, 27070, 'Tumran Orc Brigand', 'Quest Monster', 'orc_fighter', 12.00, 22.00, 11, 'male', 'L2Monster', 'Fighter', 40, 293, 2.500, 129, 1.200, 40, 43, 30, 21, 20, 20, 0, 0, 28, 65, 9, 54, 253, 0, 500, 2, 0, 0, 45, 110, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(4102, 27077, 'Unicorn Of Eva', 'Quest Monster', 'unicorn', 14.00, 30.00, 30, 'male', 'L2Monster', 'Mystic', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 0, 0, 149, 143, 62, 121, 253, 0, 500, 0, 0, 0, 46, 150, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.74, 'false', 'NONE', 1, 0),
	(4103, 27078, 'Trimden Lord', 'Quest Monster', 'poison_spider', 27.00, 25.50, 39, 'male', 'L2Monster', 'Fighter', 40, 1463, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 0, 0, 285, 197, 133, 167, 253, 0, 500, 0, 0, 0, 60, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.65, 'false', 'NONE', 0, 0),
	(4104, 27079, 'Black Willow Lurker', 'Quest Monster', 'hanged_man_ripper', 35.00, 80.00, 39, 'male', 'L2Monster', 'Fighter', 40, 1463, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 0, 0, 285, 197, 133, 167, 253, 0, 500, 0, 0, 0, 55, 55, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(4105, 27080, 'Pashika Son Of Voltar', 'Quest Monster', 'batur_orc_warrior', 10.00, 20.00, 37, 'male', 'L2Monster', 'Fighter', 40, 1339, 5.100, 480, 1.980, 40, 43, 30, 21, 20, 20, 0, 0, 249, 185, 113, 156, 253, 500, 500, 2, 0, 0, 80, 120, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(4106, 27081, 'Vultus Son Of Voltar', 'Quest Monster', 'batur_orc_warrior', 10.00, 20.00, 37, 'male', 'L2Monster', 'Fighter', 40, 1339, 5.100, 480, 1.980, 40, 43, 30, 21, 20, 20, 0, 0, 249, 185, 113, 156, 253, 500, 500, 2, 0, 0, 80, 120, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(4107, 27082, 'Enku Orc Overlord', 'Quest Monster', 'batur_orc_warrior', 10.00, 20.00, 33, 'male', 'L2Monster', 'Fighter', 40, 1109, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 0, 0, 187, 160, 81, 135, 253, 500, 500, 2, 0, 0, 80, 120, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(4108, 27083, 'Makum Bugbear Thug', 'Quest Monster', 'bugbear', 17.00, 35.00, 37, 'male', 'L2Monster', 'Fighter', 40, 1339, 5.100, 480, 1.980, 40, 43, 30, 21, 20, 20, 0, 0, 249, 185, 113, 156, 253, 500, 500, 2, 0, 0, 55, 130, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(4109, 27086, 'Revenant of Tantos Chief', 'Quest Monster', 'batur_orc_overlord', 12.00, 24.00, 39, 'male', 'L2Monster', 'Fighter', 40, 1463, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 0, 0, 285, 197, 133, 167, 253, 0, 500, 66, 0, 0, 80, 140, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(4110, 27088, 'Harpy Matriarch', 'Quest Monster', 'harpy', 10.00, 42.00, 34, 'female', 'L2Monster', 'Fighter', 40, 1164, 4.800, 430, 1.890, 40, 43, 30, 21, 20, 20, 0, 0, 202, 166, 88, 141, 253, 500, 500, 0, 0, 0, 60, 100, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.65, 'false', 'NONE', 0, 0),
	(4111, 27089, 'Road Collector', 'Quest Monster', 'wererat', 14.00, 25.00, 36, 'male', 'L2Monster', 'Fighter', 40, 1279, 5.000, 464, 1.950, 40, 43, 30, 21, 20, 20, 0, 0, 232, 179, 105, 151, 253, 500, 500, 12, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(4112, 27090, 'Serpent Demon Kadesh', 'Quest Monster', 'serpent_slave', 17.00, 46.00, 41, 'male', 'L2Monster', 'Fighter', 40, 1593, 5.500, 560, 2.100, 40, 43, 30, 21, 20, 20, 0, 0, 324, 211, 156, 180, 253, 0, 500, 73, 0, 0, 70, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(4113, 27092, 'Neer Bodyguard', 'Quest Monster', 'neer_crawler', 14.00, 22.00, 33, 'male', 'L2Monster', 'Fighter', 40, 1109, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 0, 0, 187, 160, 81, 135, 253, 500, 500, 0, 0, 0, 50, 90, 'lizardman_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(4114, 27093, 'Delu Chief Kalkis', 'Quest Monster', 'virud_lizardman_matriarch', 13.00, 37.00, 37, 'male', 'L2Monster', 'Fighter', 40, 1339, 5.100, 480, 1.980, 40, 43, 30, 21, 20, 20, 0, 0, 249, 185, 113, 156, 253, 0, 500, 12, 0, 0, 56, 130, 'lizardman_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.65, 'false', 'NONE', 1, 0),
	(4115, 27094, 'Delu Lizardman Assassin', 'Quest Monster', 'virud_lizardman', 10.00, 23.00, 36, 'male', 'L2Monster', 'Fighter', 40, 1279, 5.000, 464, 1.950, 40, 43, 30, 21, 20, 20, 0, 0, 232, 179, 105, 151, 253, 500, 500, 2, 0, 0, 43, 130, 'lizardman_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4116, 27095, 'Singing Flower Phantasm', 'Quest Monster', 'mandragora_b', 12.00, 25.50, 44, 'female', 'L2Monster', 'Fighter', 40, 1799, 5.800, 648, 2.190, 40, 43, 30, 21, 20, 20, 0, 0, 392, 233, 194, 197, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.13, 'false', 'NONE', 1, 0),
	(4117, 27096, 'Singing Flower Nightmare', 'Quest Monster', 'mandragora_b', 12.00, 25.50, 44, 'female', 'L2Monster', 'Fighter', 40, 1799, 5.800, 648, 2.190, 40, 43, 30, 21, 20, 20, 0, 0, 392, 233, 194, 197, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.13, 'false', 'NONE', 1, 0),
	(4118, 27097, 'Singing Flower Darkling', 'Quest Monster', 'mandragora_b', 12.00, 25.50, 44, 'female', 'L2Monster', 'Fighter', 40, 1799, 5.800, 648, 2.190, 40, 43, 30, 21, 20, 20, 0, 0, 392, 233, 194, 197, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.13, 'false', 'NONE', 1, 0),
	(4119, 27098, 'Ghost Fire', 'Quest Monster', 'will_o_wisp', 13.00, 22.00, 42, 'male', 'L2Monster', 'Mystic', 40, 1660, 5.600, 589, 2.130, 40, 43, 30, 21, 20, 20, 0, 0, 345, 218, 168, 185, 253, 0, 500, 0, 0, 0, 80, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.10, 'false', 'NONE', 1, 0),
	(4120, 27099, 'Nameless Revenant', 'Quest Monster', 'zombie', 13.00, 21.00, 38, 'male', 'L2Monster', 'Mystic', 40, 1400, 5.200, 497, 2.010, 40, 43, 30, 21, 20, 20, 0, 0, 267, 191, 124, 162, 253, 0, 500, 0, 0, 0, 15, 15, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 1, 0),
	(4121, 27100, 'Skeletal Mercenary', 'Quest Monster', 'skeleton_knight', 10.00, 25.00, 39, 'male', 'L2Monster', 'Fighter', 40, 1463, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 0, 0, 285, 197, 133, 167, 253, 0, 500, 69, 0, 0, 40, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.17, 'false', 'NONE', 1, 0),
	(4122, 27101, 'Drevanul Prince Zeruel', 'Quest Monster', 'dre_vanul', 14.00, 36.00, 42, 'male', 'L2Monster', 'Fighter', 40, 1660, 5.600, 589, 2.130, 40, 43, 30, 21, 20, 20, 0, 0, 345, 218, 168, 185, 253, 0, 500, 0, 0, 0, 80, 80, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.35, 'false', 'NONE', 0, 0),
	(4123, 27102, 'Pako The Cat', 'Quest Monster', 'cat_the_cat', 9.00, 16.00, 38, 'male', 'L2Monster', 'Fighter', 40, 1400, 5.200, 497, 2.010, 40, 43, 30, 21, 20, 20, 0, 0, 267, 191, 124, 162, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(4124, 27103, 'Unicorn Racer', 'Quest Monster', 'unicorn_boxer', 11.00, 18.00, 38, 'male', 'L2Monster', 'Mystic', 40, 1400, 5.200, 497, 2.010, 40, 43, 30, 21, 20, 20, 0, 0, 267, 191, 124, 162, 253, 0, 500, 0, 0, 0, 27, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 1, 0),
	(4125, 27104, 'Shadow Turen', 'Quest Monster', 'shadow', 10.00, 30.00, 39, 'male', 'L2Monster', 'Mystic', 40, 1463, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 0, 0, 285, 197, 133, 167, 253, 0, 500, 0, 0, 0, 80, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 1, 0),
	(4126, 27105, 'Mimi The Cat', 'Quest Monster', 'cutie_cat', 8.00, 15.00, 39, 'female', 'L2Monster', 'Fighter', 40, 1463, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 0, 0, 285, 197, 133, 167, 253, 0, 500, 0, 0, 0, 48, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(4127, 27106, 'Unicorn Phantasm', 'Quest Monster', 'unicorn_mirage', 13.00, 17.50, 40, 'male', 'L2Monster', 'Mystic', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 0, 0, 305, 205, 145, 173, 253, 0, 500, 0, 0, 0, 27, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 1, 0),
	(4128, 27107, 'Silhouette Tilfo', 'Quest Monster', 'silhouette', 8.00, 23.00, 40, 'female', 'L2Monster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 0, 0, 305, 205, 145, 173, 253, 0, 500, 0, 0, 0, 80, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 1, 0),
	(4129, 27108, 'Stenoa Gorgon Queen', 'Quest Monster', 'cave_maiden', 25.00, 65.00, 37, 'female', 'L2Monster', 'Fighter', 40, 1339, 5.100, 480, 1.980, 40, 43, 30, 21, 20, 20, 0, 0, 249, 185, 113, 156, 253, 0, 500, 127, 0, 0, 70, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 1, 0),
	(4130, 27109, 'Handmaiden Of Stenoa', 'Quest Monster', 'medusa', 10.00, 25.00, 33, 'female', 'L2Monster', 'Mystic', 40, 1109, 4.700, 414, 1.860, 40, 43, 30, 21, 20, 20, 0, 0, 187, 160, 81, 135, 253, 0, 500, 0, 0, 0, 50, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(4131, 27110, 'Shyslassys', 'Quest Monster', 'medusa', 10.00, 25.00, 36, 'female', 'L2Monster', 'Mystic', 40, 1279, 5.000, 464, 1.950, 40, 43, 30, 21, 20, 20, 0, 0, 232, 179, 105, 151, 253, 0, 500, 0, 0, 0, 50, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(4132, 27111, 'Cave Basilisk', 'Quest Monster', 'lesser_basilisk', 34.00, 25.00, 30, 'male', 'L2Monster', 'Fighter', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 0, 0, 149, 143, 62, 121, 253, 0, 500, 0, 0, 0, 35, 54, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(4133, 27112, 'Gorr', 'Quest Monster', 'medusa', 10.00, 25.00, 36, 'female', 'L2Monster', 'Mystic', 40, 1279, 5.000, 464, 1.950, 40, 43, 30, 21, 20, 20, 0, 0, 232, 179, 105, 151, 253, 0, 500, 0, 0, 0, 50, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(4134, 27113, 'Baraham', 'Quest Monster', 'medusa', 10.00, 25.00, 36, 'female', 'L2Monster', 'Mystic', 40, 1279, 5.000, 464, 1.950, 40, 43, 30, 21, 20, 20, 0, 0, 232, 179, 105, 151, 253, 0, 500, 0, 0, 0, 50, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(4135, 27114, 'Succubus Queen', 'Quest Monster', 'succubus', 10.00, 36.00, 34, 'female', 'L2Monster', 'Mystic', 40, 1164, 4.800, 430, 1.890, 40, 43, 30, 21, 20, 20, 0, 0, 202, 166, 88, 141, 253, 0, 500, 0, 0, 0, 60, 100, 'demonic_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.84, 'false', 'NONE', 1, 0),
	(4136, 27115, 'Claw Of Succubus', 'Quest Monster', 'succubus', 10.00, 36.00, 28, 'female', 'L2Minion', 'Mystic', 40, 859, 4.200, 334, 1.710, 40, 43, 30, 21, 20, 20, 0, 0, 127, 132, 54, 112, 253, 0, 500, 0, 0, 0, 60, 100, 'demonic_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.84, 'false', 'NONE', 1, 0),
	(4137, 27116, 'Lava Salamander', 'Quest Monster', 'salamander', 16.00, 6.80, 35, 'male', 'L2Monster', 'Fighter', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 0, 0, 216, 172, 96, 146, 253, 0, 500, 0, 0, 0, 64, 96, 'elemental3_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.20, 'false', 'NONE', 1, 0),
	(4138, 27117, 'Nahir', 'Quest Monster', 'dre_vanul', 14.00, 36.00, 35, 'male', 'L2Monster', 'Fighter', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 0, 0, 216, 172, 96, 146, 253, 0, 500, 0, 0, 0, 80, 80, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.35, 'false', 'NONE', 1, 0),
	(4139, 27118, 'Black Willow', 'Quest Monster', 'hanged_man_ripper', 35.00, 80.00, 30, 'male', 'L2Monster', 'Fighter', 40, 954, 4.400, 366, 1.770, 40, 43, 30, 21, 20, 20, 0, 0, 149, 143, 62, 121, 253, 0, 500, 0, 0, 0, 55, 55, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(4140, 27119, 'Spirit of Sir Herod', 'Quest Monster', 'skeleton_royal_guard', 11.00, 28.50, 35, 'male', 'L2Monster', 'Fighter', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 0, 0, 216, 172, 96, 146, 253, 0, 500, 69, 0, 0, 80, 120, 'skeleton_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(4141, 27120, 'Luell Of Zephyr Winds', 'Quest Monster', 'sylph', 11.00, 35.00, 37, 'female', 'L2Monster', 'Mystic', 40, 1339, 5.100, 480, 1.980, 40, 43, 30, 21, 20, 20, 0, 0, 249, 185, 113, 156, 253, 0, 500, 0, 0, 0, 60, 60, 'elemental2_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(4142, 27121, 'Actea Of Verdant Wilds', 'Quest Monster', 'dryad', 9.00, 20.00, 37, 'female', 'L2Monster', 'Fighter', 40, 1339, 5.100, 480, 1.980, 40, 43, 30, 21, 20, 20, 0, 0, 249, 185, 113, 156, 253, 0, 500, 0, 0, 0, 40, 110, 'elemental1_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(4143, 27122, 'Leto Lizardman Agent', 'Quest Monster', 'zenta_lizardman', 11.00, 32.00, 35, 'male', 'L2Monster', 'Fighter', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 0, 0, 216, 172, 96, 146, 253, 0, 500, 1, 0, 0, 37, 140, 'lizardman_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(4144, 27123, 'Leto Lizardman Leader', 'Quest Monster', 'zenta_lizardman_warrior', 13.00, 35.00, 38, 'male', 'L2Monster', 'Fighter', 40, 1400, 5.200, 497, 2.010, 40, 43, 30, 21, 20, 20, 0, 0, 267, 191, 124, 162, 253, 0, 500, 66, 0, 0, 40, 140, 'lizardman_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(4145, 27124, 'Leto Lizardman Assassin', 'Quest Monster', 'zenta_lizardman', 11.00, 32.00, 37, 'male', 'L2Monster', 'Fighter', 40, 1339, 5.100, 480, 1.980, 40, 43, 30, 21, 20, 20, 0, 0, 249, 185, 113, 156, 253, 500, 500, 217, 0, 0, 37, 140, 'lizardman_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(4146, 27125, 'Leto Lizardman Sniper', 'Quest Monster', 'zenta_lizardman_scout', 11.00, 30.00, 36, 'male', 'L2Monster', 'Ranger', 1100, 1279, 5.000, 464, 1.950, 40, 43, 30, 21, 20, 20, 0, 0, 232, 179, 105, 151, 253, 0, 500, 14, 0, 0, 37, 150, 'lizardman_clan', 300, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.93, 'false', 'NONE', 0, 0),
	(4147, 27126, 'Leto Lizardman Wizard', 'Quest Monster', 'zenta_lizardman_shaman', 13.00, 35.00, 39, 'male', 'L2Monster', 'Priest', 40, 1463, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 0, 0, 285, 197, 133, 167, 253, 0, 500, 7, 0, 0, 43, 130, 'lizardman_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.63, 'false', 'NONE', 0, 0),
	(4148, 27127, 'Leto Lizardman Lord', 'Quest Monster', 'zenta_lizardman_matriarch', 20.00, 40.00, 40, 'male', 'L2Monster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 0, 0, 305, 205, 145, 173, 253, 500, 500, 69, 0, 0, 53, 140, 'lizardman_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(4149, 27128, 'Aruraune', 'Quest Monster', 'mandragora_b', 12.00, 25.50, 40, 'female', 'L2Monster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 0, 0, 305, 205, 145, 173, 253, 500, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.13, 'false', 'NONE', 0, 0),
	(4150, 27129, 'Ol Mahum Inspector', 'Quest Monster', 'ol_mahum', 13.50, 25.00, 38, 'male', 'L2Monster', 'Fighter', 40, 1400, 5.200, 497, 2.010, 40, 43, 30, 21, 20, 20, 0, 0, 267, 191, 124, 162, 253, 500, 500, 2, 0, 0, 50, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(4151, 27130, 'Ol Mahum Betrayer', 'Quest Monster', 'ol_mahum', 13.50, 25.00, 36, 'male', 'L2Monster', 'Fighter', 40, 1279, 5.000, 464, 1.950, 40, 43, 30, 21, 20, 20, 0, 0, 232, 179, 105, 151, 253, 0, 500, 12, 0, 0, 50, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(4152, 27131, 'Crimson Werewolf', 'Quest Monster', 'werewolf', 10.00, 26.00, 36, 'male', 'L2Monster', 'Fighter', 40, 1279, 5.000, 464, 1.950, 40, 43, 30, 21, 20, 20, 0, 0, 232, 179, 105, 151, 253, 500, 500, 0, 0, 0, 50, 120, 'werewolf_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(4153, 27132, 'Krudel Lizardman', 'Quest Monster', 'virud_lizardman', 10.00, 23.00, 36, 'male', 'L2Monster', 'Fighter', 80, 1279, 5.000, 464, 1.950, 40, 43, 30, 21, 20, 20, 0, 0, 232, 179, 105, 151, 253, 500, 500, 291, 0, 0, 43, 130, 'elemental1_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4154, 27133, 'Evil Eye Lord', 'Quest Monster', 'monster_eye', 21.00, 43.00, 37, 'male', 'L2Monster', 'Fighter', 40, 1339, 5.100, 480, 1.980, 40, 43, 30, 21, 20, 20, 0, 0, 249, 185, 113, 156, 253, 500, 500, 0, 0, 0, 90, 90, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(4155, 27134, 'Tatoma', 'Quest Monster', 'king_bugbear', 15.00, 40.00, 32, 'male', 'L2Monster', 'Fighter', 40, 1056, 4.600, 398, 1.830, 40, 43, 30, 21, 20, 20, 0, 0, 173, 154, 74, 130, 253, 500, 500, 88, 0, 0, 55, 130, 'orc_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(4156, 27135, 'Grima', 'Quest Monster', 'devastator', 35.00, 35.00, 50, 'male', 'L2Monster', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 0, 0, 558, 279, 289, 237, 253, 500, 500, 0, 0, 0, 25, 170, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(4157, 27136, 'Succubus Of Seduction', 'Quest Monster', 'succubus', 10.00, 36.00, 40, 'female', 'L2Monster', 'Mystic', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 0, 0, 305, 205, 145, 173, 253, 500, 500, 0, 0, 0, 60, 100, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.84, 'false', 'NONE', 0, 0),
	(4158, 27137, 'Demon King', 'Quest Monster', 'dre_vanul', 14.00, 36.00, 50, 'male', 'L2Monster', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 0, 0, 558, 279, 289, 237, 253, 500, 500, 0, 0, 0, 80, 80, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.35, 'false', 'NONE', 0, 0),
	(4159, 27138, 'Great Demon King', 'Quest Monster', 'death_knight', 12.00, 30.00, 60, 'male', 'L2Monster', 'Fighter', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 0, 0, 939, 369, 510, 312, 253, 500, 500, 127, 0, 0, 27, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(4160, 27139, 'Secret Keeper Tree', 'Quest Monster', 'ti_mi_tran', 23.00, 90.00, 47, 'male', 'L2Monster', 'Fighter', 40, 2017, 6.100, 738, 2.280, 40, 43, 30, 21, 20, 20, 0, 0, 469, 255, 238, 216, 253, 0, 500, 0, 0, 0, 12, 12, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(4161, 27140, 'Breka Overlord Haka', 'Quest Monster', 'batur_orc_overlord', 12.00, 24.00, 36, 'male', 'L2Monster', 'Fighter', 40, 1279, 5.000, 464, 1.950, 40, 43, 30, 21, 20, 20, 0, 0, 232, 179, 105, 151, 253, 500, 500, 66, 0, 0, 80, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(4162, 27141, 'Breka Overlord Jaka', 'Quest Monster', 'batur_orc_overlord', 12.00, 24.00, 36, 'male', 'L2Monster', 'Fighter', 40, 1279, 5.000, 464, 1.950, 40, 43, 30, 21, 20, 20, 0, 0, 232, 179, 105, 151, 253, 500, 500, 66, 0, 0, 80, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(4163, 27142, 'Breka Overlord Marka', 'Quest Monster', 'batur_orc_overlord', 12.00, 24.00, 36, 'male', 'L2Monster', 'Fighter', 40, 1279, 5.000, 464, 1.950, 40, 43, 30, 21, 20, 20, 0, 0, 232, 179, 105, 151, 253, 500, 500, 66, 0, 0, 80, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(4164, 27143, 'Windsus Aleph', 'Quest Monster', 'giant_wild_hog', 25.00, 27.00, 42, 'male', 'L2Monster', 'Fighter', 40, 1660, 5.600, 589, 2.130, 40, 43, 30, 21, 20, 20, 0, 0, 345, 218, 168, 185, 253, 500, 500, 0, 0, 0, 35, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(4165, 27144, 'Tarlk Raider Athu', 'Quest Monster', 'king_bugbear', 15.00, 40.00, 48, 'male', 'L2Monster', 'Fighter', 40, 2092, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 0, 0, 498, 264, 254, 224, 253, 500, 500, 88, 0, 0, 55, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(4166, 27145, 'Tarlk Raider Lanka', 'Quest Monster', 'king_bugbear', 15.00, 40.00, 48, 'male', 'L2Monster', 'Fighter', 40, 2092, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 0, 0, 498, 264, 254, 224, 253, 500, 500, 88, 0, 0, 55, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(4167, 27146, 'Tarlk Raider Triska', 'Quest Monster', 'king_bugbear', 15.00, 40.00, 48, 'male', 'L2Monster', 'Fighter', 40, 2092, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 0, 0, 498, 264, 254, 224, 253, 500, 500, 88, 0, 0, 55, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(4168, 27147, 'Tarlk Raider Motura', 'Quest Monster', 'king_bugbear', 15.00, 40.00, 48, 'male', 'L2Monster', 'Fighter', 40, 2092, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 0, 0, 498, 264, 254, 224, 253, 500, 500, 88, 0, 0, 55, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(4169, 27148, 'Tarlk Raider Kalath', 'Quest Monster', 'king_bugbear', 15.00, 40.00, 48, 'male', 'L2Monster', 'Fighter', 40, 2092, 6.200, 769, 2.310, 40, 43, 30, 21, 20, 20, 0, 0, 498, 264, 254, 224, 253, 500, 500, 88, 0, 0, 55, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(4170, 27149, 'Gremlin Filcher', 'Quest Monster', 'gremlin', 10.00, 15.00, 12, 'male', 'L2Monster', 'Fighter', 40, 315, 2.600, 138, 1.230, 40, 43, 30, 21, 20, 20, 0, 0, 30, 68, 14, 56, 253, 500, 500, 0, 0, 0, 20, 50, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(4171, 27150, 'Black Legion Stormtrooper', 'Quest Monster', 'skeleton_royal_guard', 11.00, 28.50, 43, 'male', 'L2Monster', 'Fighter', 40, 1729, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 0, 0, 369, 226, 181, 191, 253, 500, 500, 217, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(4172, 27151, 'Delu Lizardman Headhunter', 'Quest Monster', 'virud_lizardman_scout', 10.00, 22.00, 28, 'male', 'L2Monster', 'Ranger', 1100, 859, 4.200, 334, 1.710, 40, 43, 30, 21, 20, 20, 0, 0, 127, 132, 54, 112, 253, 500, 500, 2507, 0, 0, 43, 130, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.72, 'false', 'NONE', 0, 0),
	(4173, 27152, 'Marsh Stakato Marquess', 'Quest Monster', 'marsh_stakato_queen', 15.00, 37.00, 35, 'female', 'L2Monster', 'Fighter', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 0, 0, 216, 172, 96, 146, 253, 500, 500, 0, 0, 0, 130, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'false', 'NONE', 0, 0),
	(4174, 27153, 'Alexandro Sanches', 'Dark Lord', 'imp', 10.00, 24.00, 3, 'male', 'L2Monster', 'Fighter', 40, 91, 1.700, 61, 0.960, 40, 43, 30, 21, 20, 20, 0, 0, 13, 47, 7, 38, 253, 0, 500, 0, 0, 0, 60, 80, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(4175, 27154, 'Bonaparterius', 'Abyss King', 'goblin', 10.00, 16.50, 3, 'male', 'L2Monster', 'Fighter', 40, 91, 1.700, 61, 0.960, 40, 43, 30, 21, 20, 20, 0, 0, 13, 47, 7, 38, 253, 0, 500, 4, 0, 0, 40, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 0, 0),
	(4176, 27155, 'Ramsebalius', 'Evil Overlord', 'orc', 10.00, 21.00, 3, 'male', 'L2Monster', 'Fighter', 40, 91, 1.700, 61, 0.960, 40, 43, 30, 21, 20, 20, 0, 0, 13, 47, 7, 38, 253, 0, 500, 2, 0, 0, 45, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4177, 27156, 'Leto Shaman Ketz', 'Quest Monster', 'zenta_lizardman_shaman', 13.00, 35.00, 40, 'male', 'L2Monster', 'Priest', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 0, 0, 305, 205, 145, 173, 253, 500, 500, 159, 0, 0, 43, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.63, 'false', 'NONE', 0, 0),
	(4178, 27157, 'Leto Chief Narak', 'Quest Monster', 'zenta_lizardman_matriarch', 20.00, 40.00, 41, 'male', 'L2Monster', 'Fighter', 40, 1593, 5.500, 560, 2.100, 40, 43, 30, 21, 20, 20, 0, 0, 324, 211, 156, 180, 253, 500, 500, 221, 0, 0, 53, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(4179, 27158, 'Timak Raider Kaikee', 'Quest Monster', 'batur_orc', 9.00, 21.50, 43, 'male', 'L2Monster', 'Fighter', 40, 1729, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 0, 0, 369, 226, 181, 191, 253, 500, 500, 66, 0, 0, 80, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(4180, 27159, 'Timak Overlord Okun', 'Quest Monster', 'batur_orc_overlord', 12.00, 24.00, 46, 'male', 'L2Monster', 'Fighter', 40, 1943, 6.000, 708, 2.250, 40, 43, 30, 21, 20, 20, 0, 0, 442, 248, 223, 210, 253, 500, 500, 127, 0, 0, 80, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(4181, 27160, 'Gok Magok', 'Grandis Chief', 'twin_headed_giant', 17.00, 39.00, 43, 'male', 'L2Monster', 'Fighter', 40, 1729, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 0, 0, 369, 226, 181, 191, 253, 500, 500, 0, 0, 0, 45, 100, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(4182, 27161, 'Taik Overlord Kakran', 'Quest Monster', 'ketra_orc_warrior', 12.00, 24.00, 45, 'male', 'L2Monster', 'Fighter', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 0, 0, 417, 240, 208, 204, 253, 500, 500, 69, 0, 0, 36, 170, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(4183, 27162, 'Hatar Chieftain Kubel', 'Quest Monster', 'medusa', 10.00, 25.00, 52, 'female', 'L2Monster', 'Mystic', 40, 2402, 6.600, 892, 2.430, 40, 43, 30, 21, 20, 20, 0, 0, 622, 296, 327, 251, 253, 500, 500, 0, 0, 0, 50, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(4184, 27163, 'Vanor Elder Kerunos', 'Quest Monster', 'heltor_silenos_chieftain', 13.00, 31.50, 51, 'male', 'L2Monster', 'Fighter', 40, 2323, 6.500, 861, 2.400, 40, 43, 30, 21, 20, 20, 0, 0, 589, 288, 308, 244, 253, 500, 500, 179, 0, 0, 27, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(4185, 27164, 'Karul Chief Orooto', 'Quest Monster', 'bugbear', 17.00, 35.00, 43, 'male', 'L2Monster', 'Fighter', 40, 1729, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 0, 0, 369, 226, 181, 191, 253, 500, 500, 88, 0, 0, 55, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(4186, 27165, 'Abyssal Jewel 1', 'Quest Monster', 'mirror', 26.00, 52.00, 60, 'male', 'L2Monster', 'Mystic', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 0, 0, 939, 369, 510, 312, 253, 0, 500, 0, 0, 0, 80, 165, 'abyss_jewel_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 1, 0),
	(4187, 27166, 'Abyssal Jewel 2', 'Quest Monster', 'mirror', 26.00, 52.00, 60, 'male', 'L2Monster', 'Mystic', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 0, 0, 939, 369, 510, 312, 253, 0, 500, 0, 0, 0, 80, 165, 'abyss_jewel_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 1, 0),
	(4188, 27167, 'Abyssal Jewel 3', 'Quest Monster', 'mirror', 26.00, 52.00, 60, 'male', 'L2Monster', 'Mystic', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 0, 0, 939, 369, 510, 312, 253, 0, 500, 0, 0, 0, 80, 165, 'abyss_jewel_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(4189, 27168, 'Jewel Guardian Mara', 'Quest Monster', 'succubus', 10.00, 36.00, 53, 'female', 'L2Monster', 'Mystic', 40, 2482, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 0, 0, 656, 305, 347, 258, 253, 500, 500, 0, 0, 0, 60, 100, 'abyss_jewel_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.84, 'false', 'NONE', 0, 0),
	(4190, 27169, 'Jewel Guardian Musfel', 'Quest Monster', 'dre_vanul', 14.00, 36.00, 53, 'male', 'L2Monster', 'Fighter', 40, 2482, 6.700, 924, 2.460, 40, 43, 30, 21, 20, 20, 0, 0, 656, 305, 347, 258, 253, 500, 500, 0, 0, 0, 80, 80, 'abyss_jewel_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.35, 'false', 'NONE', 0, 0),
	(4191, 27170, 'Jewel Guardian Pyton', 'Quest Monster', 'serpent_slave', 17.00, 46.00, 58, 'male', 'L2Monster', 'Fighter', 40, 2889, 7.200, 1085, 2.610, 40, 43, 30, 21, 20, 20, 0, 0, 851, 350, 459, 296, 253, 500, 500, 223, 0, 0, 70, 110, 'abyss_jewel_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(4192, 27171, 'Sacrifice Of The Sacrificed', 'Quest Monster', 'magical_weaver', 11.00, 20.00, 20, 'male', 'L2Monster', 'Mystic', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 0, 0, 65, 96, 24, 80, 253, 0, 500, 0, 0, 0, 90, 90, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(4193, 27172, 'Harit Lizardman Zealot', 'Quest Monster', 'zenta_lizardman_warrior', 13.00, 35.00, 55, 'male', 'L2Monster', 'Fighter', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 0, 0, 730, 322, 389, 273, 253, 500, 500, 16, 0, 0, 40, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(4194, 27173, 'Box Of Athrea 1', 'Quest Monster', 'coffer_a', 12.00, 9.50, 50, 'female', 'L2Monster', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 0, 0, 558, 279, 289, 237, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(4195, 27174, 'Box Of Athrea 2', 'Quest Monster', 'coffer_a', 12.00, 9.50, 50, 'female', 'L2Monster', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 0, 0, 558, 279, 289, 237, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(4196, 27175, 'Box Of Athrea 3', 'Quest Monster', 'coffer_a', 12.00, 9.50, 50, 'female', 'L2Monster', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 0, 0, 558, 279, 289, 237, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(4197, 27176, 'Box Of Athrea 4', 'Quest Monster', 'coffer_a', 12.00, 9.50, 50, 'female', 'L2Monster', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 0, 0, 558, 279, 289, 237, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(4198, 27177, 'Box Of Athrea 5', 'Quest Monster', 'coffer_a', 12.00, 9.50, 50, 'female', 'L2Monster', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 0, 0, 558, 279, 289, 237, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(4199, 27178, 'Blitz Wyrm', 'Quest Monster', 'wyrm', 29.00, 72.00, 60, 'male', 'L2Monster', 'Fighter', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 0, 0, 939, 369, 510, 312, 253, 500, 500, 0, 0, 0, 70, 70, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.19, 'false', 'NONE', 0, 0),
	(4200, 27179, 'Grave Keymaster', 'Quest Monster', 'gargoyle', 16.00, 50.00, 65, 'male', 'L2Monster', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 0, 0, 1188, 419, 654, 354, 253, 0, 500, 0, 0, 0, 140, 140, 'grave_guard_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(4201, 27180, 'Imperial Slave', 'Quest Monster', 'binding', 12.00, 21.00, 56, 'male', 'L2Monster', 'Fighter', 40, 2725, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 0, 0, 769, 331, 412, 280, 253, 500, 500, 0, 0, 0, 10, 140, 'grave_keeper_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 1, 0),
	(4202, 27181, 'Imperial Gravekeeper', 'Quest Monster', 'death_blader', 15.00, 45.00, 60, 'male', 'L2Monster', 'Fighter', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 0, 0, 939, 369, 510, 312, 253, 0, 500, 1472, 0, 0, 100, 170, 'grave_keeper_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(4203, 27182, 'Ark Guardian Elberoth', 'Quest Monster', 'archangel', 15.00, 80.00, 60, 'male', 'L2Monster', 'Fighter', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 0, 0, 939, 369, 510, 312, 253, 0, 500, 6370, 0, 0, 50, 200, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.76, 'false', 'NONE', 0, 0),
	(4204, 27183, 'Ark Guardian Shadowfang', 'Quest Monster', 'kel_mahum_archer', 13.00, 27.00, 60, 'male', 'L2Monster', 'Ranger', 1100, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 0, 0, 939, 369, 510, 312, 253, 0, 500, 288, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.91, 'false', 'NONE', 0, 0),
	(4205, 27184, 'Angel Killer', 'Quest Monster', 'death_lord', 21.00, 40.00, 60, 'male', 'L2Monster', 'Fighter', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 0, 0, 939, 369, 510, 312, 253, 0, 500, 130, 0, 0, 40, 200, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(4206, 27185, 'Fairy Tree of Wind', 'Quest Monster', 'human_tree', 35.00, 90.00, 55, 'female', 'L2SpecialMonster', 'Quest421FairyTree', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 0, 0, 665, 322, 360, 262, 253, 0, 500, 0, 0, 0, 50, 120, 'q421_tree_clan', 1000, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.60, 'false', 'NONE', 1, 0),
	(4207, 27186, 'Fairy Tree of Star', 'Quest Monster', 'human_tree', 35.00, 90.00, 55, 'female', 'L2SpecialMonster', 'Quest421FairyTree', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 0, 0, 665, 389, 360, 262, 253, 0, 500, 0, 0, 0, 50, 120, 'q421_tree_clan', 1000, 0, 0, 0, 7, 30, 4, 5, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4208, 27187, 'Fairy Tree of Twilight', 'Quest Monster', 'human_tree', 35.00, 90.00, 55, 'female', 'L2SpecialMonster', 'Quest421FairyTree', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 0, 0, 665, 322, 360, 262, 253, 0, 500, 0, 0, 0, 50, 120, 'q421_tree_clan', 1000, 0, 0, 0, 7, 30, 4, 5, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4209, 27188, 'Fairy Tree of Abyss', 'Quest Monster', 'human_tree', 35.00, 90.00, 55, 'female', 'L2SpecialMonster', 'Quest421FairyTree', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 0, 0, 665, 322, 360, 262, 253, 0, 500, 0, 0, 0, 50, 120, 'q421_tree_clan', 1000, 0, 0, 0, 7, 30, 4, 5, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4210, 27189, 'Soul of Tree Guardian', 'Quest Monster', 'elf_ghost', 7.00, 21.00, 50, 'male', 'L2Monster', 'Mystic', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 0, 0, 558, 279, 289, 237, 253, 500, 500, 0, 0, 0, 80, 140, 'q421_tree_clan', 1000, 0, 0, 0, 7, 30, 4, 5, 0, 10, 0.41, 'false', 'NONE', 1, 0),
	(4211, 27190, 'Ol Mahum Support Troop', 'Quest Monster', 'ol_mahum_champion', 14.00, 27.00, 26, 'male', 'L2Monster', 'Fighter', 40, 770, 4.000, 303, 1.650, 40, 43, 30, 21, 20, 20, 0, 0, 108, 123, 46, 103, 253, 500, 500, 69, 0, 0, 50, 150, 'orc_clan', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.63, 'false', 'NONE', 0, 0),
	(4212, 27191, 'Malcom', 'Quest Monster', 'grizzly', 21.00, 40.00, 25, 'male', 'L2Monster', 'Fighter', 40, 728, 3.900, 288, 1.620, 40, 43, 30, 21, 20, 20, 0, 0, 100, 118, 42, 99, 253, 500, 500, 0, 0, 0, 40, 159, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(4213, 27192, 'Succubus Handmaiden', 'Quest Monster', 'succubus', 10.00, 36.00, 18, 'female', 'L2Monster', 'Mystic', 40, 477, 3.200, 194, 1.410, 40, 43, 30, 21, 20, 20, 0, 0, 54, 88, 20, 74, 253, 500, 500, 0, 0, 0, 60, 134, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.84, 'false', 'NONE', 0, 0),
	(4214, 27193, 'Goblin Servant', 'Quest Monster', 'goblin', 10.00, 16.50, 12, 'male', 'L2Monster', 'Fighter', 40, 315, 2.600, 138, 1.230, 40, 43, 30, 21, 20, 20, 0, 0, 30, 68, 14, 56, 253, 500, 500, 0, 0, 0, 40, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.32, 'false', 'NONE', 0, 0),
	(4215, 27194, 'Julie the Ripper', 'Quest Monster', 'doll_blader', 6.00, 12.00, 40, 'male', 'L2Monster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 0, 0, 305, 205, 145, 173, 253, 500, 500, 5129, 5129, 0, 22, 174, '', 0, 0, 0, 60, 7, 10, 8, 4, 0, 10, 0.50, 'false', 'NONE', 0, 0),
	(4216, 27195, 'Male Ant', 'Quest Monster', 'noble_ant', 20.00, 48.00, 32, 'male', 'L2Monster', 'Fighter', 40, 1056, 4.600, 398, 1.830, 40, 43, 30, 21, 20, 20, 0, 0, 173, 154, 74, 130, 253, 0, 500, 0, 0, 0, 80, 150, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(4217, 27196, 'Bluebacked Alligator', 'Quest Monster', 'crocodile', 28.00, 11.50, 40, 'male', 'L2Monster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 0, 0, 305, 205, 145, 173, 253, 500, 500, 0, 0, 0, 70, 110, 'croc_clan', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'false', 'NONE', 0, 0),
	(4218, 27197, 'Bejewelled Alligator', 'Quest Monster', 'crocodile', 28.00, 11.50, 40, 'male', 'L2Monster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 0, 0, 305, 205, 145, 173, 253, 500, 500, 0, 0, 0, 70, 110, 'croc_clan', 200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'false', 'NONE', 0, 0),
	(4219, 27199, 'Crimson Werewolf', 'Quest Monster', 'werewolf', 10.00, 26.00, 36, 'male', 'L2Monster', 'Fighter', 40, 1279, 5.000, 464, 1.950, 40, 43, 30, 21, 20, 20, 0, 0, 232, 179, 105, 151, 253, 0, 500, 0, 0, 0, 50, 120, 'werewolf_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 1, 0),
	(4220, 27200, 'Krudel Lizardman', 'Quest Monster', 'virud_lizardman', 10.00, 23.00, 36, 'male', 'L2Monster', 'Fighter', 80, 1279, 5.000, 464, 1.950, 40, 43, 30, 21, 20, 20, 0, 0, 232, 179, 105, 151, 253, 0, 500, 291, 0, 0, 43, 130, 'elemental1_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(4221, 27201, '', '', 'bugbear', 17.00, 35.00, 10, 'male', 'L2Monster', 'Fighter', 80, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 0, 0, 25, 62, 8, 51, 253, 0, 500, 291, 0, 0, 55, 180, 'elemental1_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(4222, 27202, '', '', 'bugbear', 17.00, 35.00, 10, 'male', 'L2Monster', 'Fighter', 80, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 0, 0, 25, 62, 8, 51, 253, 0, 500, 291, 0, 0, 55, 180, 'elemental1_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(4223, 27203, '', '', 'bugbear', 17.00, 35.00, 10, 'male', 'L2Monster', 'Fighter', 80, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 0, 0, 25, 62, 8, 51, 253, 0, 500, 291, 0, 0, 55, 180, 'elemental1_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(4224, 27204, '', '', 'bugbear', 17.00, 35.00, 10, 'male', 'L2Monster', 'Fighter', 80, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 0, 0, 25, 62, 8, 51, 253, 0, 500, 291, 0, 0, 55, 180, 'elemental1_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(4225, 27205, '', '', 'bugbear', 17.00, 35.00, 10, 'male', 'L2Monster', 'Fighter', 80, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 0, 0, 25, 62, 8, 51, 253, 0, 500, 291, 0, 0, 55, 180, 'elemental1_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(4226, 27206, '', '', 'bugbear', 17.00, 35.00, 10, 'male', 'L2Monster', 'Fighter', 80, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 0, 0, 25, 62, 8, 51, 253, 0, 500, 291, 0, 0, 55, 180, 'elemental1_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(4227, 27207, '', '', 'bugbear', 17.00, 35.00, 10, 'male', 'L2Monster', 'Fighter', 80, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 0, 0, 25, 62, 8, 51, 253, 0, 500, 291, 0, 0, 55, 180, 'elemental1_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(4228, 27208, '', '', 'bugbear', 17.00, 35.00, 10, 'male', 'L2Monster', 'Fighter', 80, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 0, 0, 25, 62, 8, 51, 253, 0, 500, 291, 0, 0, 55, 180, 'elemental1_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(4229, 27209, '', '', 'bugbear', 17.00, 35.00, 10, 'male', 'L2Monster', 'Fighter', 80, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 0, 0, 25, 62, 8, 51, 253, 0, 500, 291, 0, 0, 55, 180, 'elemental1_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(4230, 27210, '', '', 'bugbear', 17.00, 35.00, 10, 'male', 'L2Monster', 'Fighter', 80, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 0, 0, 25, 62, 8, 51, 253, 0, 500, 291, 0, 0, 55, 180, 'elemental1_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(4231, 27211, '', '', 'bugbear', 17.00, 35.00, 10, 'male', 'L2Monster', 'Fighter', 80, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 0, 0, 25, 62, 8, 51, 253, 0, 500, 291, 0, 0, 55, 180, 'elemental1_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(4232, 27212, '', '', 'bugbear', 17.00, 35.00, 10, 'male', 'L2Monster', 'Fighter', 80, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 0, 0, 25, 62, 8, 51, 253, 0, 500, 291, 0, 0, 55, 180, 'elemental1_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(4233, 27213, '', '', 'bugbear', 17.00, 35.00, 10, 'male', 'L2Monster', 'Fighter', 80, 258, 2.400, 120, 1.170, 40, 43, 30, 21, 20, 20, 0, 0, 25, 62, 8, 51, 253, 0, 500, 291, 0, 0, 55, 180, 'elemental1_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(4234, 27214, 'Guardian of Forbidden Knowledge', 'Quest Monster', 'apostle_warrior', 8.00, 30.00, 76, 'female', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 80, 0, 0, 50, 180, 'guard_of_secrets_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(4235, 27215, 'Guardian of Forbidden Knowledge', 'Quest Monster', 'apostle_warrior', 8.00, 30.00, 76, 'female', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 80, 0, 0, 50, 180, 'guard_of_secrets_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(4236, 27216, 'Guardian of Forbidden Knowledge', 'Quest Monster', 'apostle_warrior', 8.00, 30.00, 76, 'female', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 80, 0, 0, 50, 180, 'guard_of_secrets_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(4237, 27217, 'Soul of Well', 'Quest Monster', 'dark_horror', 20.00, 35.00, 63, 'male', 'L2Monster', 'Fighter', 40, 3302, 7.700, 1251, 2.760, 40, 43, 30, 21, 20, 20, 0, 0, 1083, 399, 593, 337, 253, 150, 500, 0, 0, 0, 100, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.37, 'false', 'NONE', 0, 0),
	(4238, 27218, 'Triol\'s Pawn', 'Quest Monster', 'dre_vanul', 14.00, 36.00, 65, 'male', 'L2Monster', 'Fighter', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 0, 0, 1188, 419, 654, 354, 253, 150, 500, 0, 0, 0, 80, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.35, 'false', 'NONE', 0, 0),
	(4239, 27219, 'Archon of Halisha', 'Quest Monster', 'ahrimanes', 14.00, 57.75, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 150, 500, 6722, 0, 0, 35, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4240, 27220, 'Archon of Halisha', 'Quest Monster', 'ahrimanes', 14.00, 57.75, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 150, 500, 6722, 0, 0, 35, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4241, 27221, 'Archon of Halisha', 'Quest Monster', 'ahrimanes', 14.00, 57.75, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 150, 500, 6722, 0, 0, 35, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4242, 27222, 'Archon of Halisha', 'Quest Monster', 'ahrimanes', 14.00, 57.75, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 150, 500, 6722, 0, 0, 35, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4243, 27223, 'Archon of Halisha', 'Quest Monster', 'ahrimanes', 14.00, 57.75, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 150, 500, 6722, 0, 0, 35, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4244, 27224, 'Archon of Halisha', 'Quest Monster', 'ahrimanes', 14.00, 57.75, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 150, 500, 6722, 0, 0, 35, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4245, 27225, 'Archon of Halisha', 'Quest Monster', 'ahrimanes', 14.00, 57.75, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 150, 500, 6722, 0, 0, 35, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4246, 27226, 'Archon of Halisha', 'Quest Monster', 'ahrimanes', 14.00, 57.75, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 150, 500, 6722, 0, 0, 35, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4247, 27227, 'Archon of Halisha', 'Quest Monster', 'ahrimanes', 14.00, 57.75, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 150, 500, 6722, 0, 0, 35, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4248, 27228, 'Archon of Halisha', 'Quest Monster', 'ahrimanes', 14.00, 57.75, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 150, 500, 6722, 0, 0, 35, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4249, 27229, 'Archon of Halisha', 'Quest Monster', 'ahrimanes', 14.00, 57.75, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 150, 500, 6722, 0, 0, 35, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4250, 27230, 'Archon of Halisha', 'Quest Monster', 'ahrimanes', 14.00, 57.75, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 150, 500, 6722, 0, 0, 35, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4251, 27231, 'Archon of Halisha', 'Quest Monster', 'ahrimanes', 14.00, 57.75, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 150, 500, 6722, 0, 0, 35, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4252, 27232, 'Archon of Halisha', 'Quest Monster', 'ahrimanes', 14.00, 57.75, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 150, 500, 6722, 0, 0, 35, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4253, 27233, 'Archon of Halisha', 'Quest Monster', 'ahrimanes', 14.00, 57.75, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 150, 500, 6722, 0, 0, 35, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4254, 27234, 'Archon of Halisha', 'Quest Monster', 'ahrimanes', 14.00, 57.75, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 150, 500, 6722, 0, 0, 35, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4255, 27235, 'Archon of Halisha', 'Quest Monster', 'ahrimanes', 14.00, 57.75, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 150, 500, 6722, 0, 0, 35, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4256, 27236, 'Archon of Halisha', 'Quest Monster', 'ahrimanes', 14.00, 57.75, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 150, 500, 6722, 0, 0, 35, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4257, 27237, 'Archon of Halisha', 'Quest Monster', 'ahrimanes', 14.00, 57.75, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 150, 500, 6722, 0, 0, 35, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4258, 27238, 'Archon of Halisha', 'Quest Monster', 'ahrimanes', 14.00, 57.75, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 150, 500, 6722, 0, 0, 35, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4259, 27239, 'Archon of Halisha', 'Quest Monster', 'ahrimanes', 14.00, 57.75, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 150, 500, 6722, 0, 0, 35, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4260, 27240, 'Archon of Halisha', 'Quest Monster', 'ahrimanes', 14.00, 57.75, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 150, 500, 6722, 0, 0, 35, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4261, 27241, 'Archon of Halisha', 'Quest Monster', 'ahrimanes', 14.00, 57.75, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 150, 500, 6722, 0, 0, 35, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4262, 27242, 'Archon of Halisha', 'Quest Monster', 'ahrimanes', 14.00, 57.75, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 150, 500, 6722, 0, 0, 35, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4263, 27243, 'Archon of Halisha', 'Quest Monster', 'ahrimanes', 14.00, 57.75, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 150, 500, 6722, 0, 0, 35, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4264, 27244, 'Archon of Halisha', 'Quest Monster', 'ahrimanes', 14.00, 57.75, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 150, 500, 6722, 0, 0, 35, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4265, 27245, 'Archon of Halisha', 'Quest Monster', 'ahrimanes', 14.00, 57.75, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 150, 500, 6722, 0, 0, 35, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4266, 27246, 'Archon of Halisha', 'Quest Monster', 'ahrimanes', 14.00, 57.75, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 150, 500, 6722, 0, 0, 35, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4267, 27247, 'Archon of Halisha', 'Quest Monster', 'ahrimanes', 14.00, 57.75, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 150, 500, 6722, 0, 0, 35, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4268, 27248, 'Archon of Halisha', 'Quest Monster', 'ahrimanes', 14.00, 57.75, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 150, 500, 6722, 0, 0, 35, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4269, 27249, 'Archon of Halisha', 'Quest Monster', 'ahrimanes', 14.00, 57.75, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 150, 500, 6722, 0, 0, 35, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4270, 27250, 'Fallen Angel Allector', 'Quest Monster', 'karik', 25.00, 90.00, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 0, 0, 0, 37, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(4271, 27251, 'Fallen Angel Allector', 'Quest Monster', 'karik', 25.00, 90.00, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 0, 0, 0, 37, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(4272, 27252, 'Fallen Angel Allector', 'Quest Monster', 'karik', 25.00, 90.00, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 0, 0, 0, 37, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(4273, 27253, 'Hell Fire', 'Quest Monster', 'will_o_wisp', 13.00, 22.00, 76, 'male', 'L2Monster', 'Mystic', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 0, 0, 0, 80, 170, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.10, 'false', 'NONE', 0, 0),
	(4274, 27254, 'Unknown Stopper', 'Quest Monster', 'fiend_archer', 17.00, 55.00, 78, 'male', 'L2Monster', 'Ranger', 1100, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 70, 180, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.76, 'false', 'NONE', 0, 0),
	(4275, 27255, 'Unknown Stopper', 'Quest Monster', 'fiend_archer', 17.00, 55.00, 78, 'male', 'L2Monster', 'Ranger', 1100, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 70, 180, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.76, 'false', 'NONE', 0, 0),
	(4276, 27256, 'Unknown Stopper', 'Quest Monster', 'fiend_archer', 17.00, 55.00, 78, 'male', 'L2Monster', 'Ranger', 1100, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 70, 180, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.76, 'false', 'NONE', 0, 0),
	(4277, 27257, 'Archangel Iconoclasis', 'Quest Monster', 'apostle_mage', 11.00, 38.50, 76, 'male', 'L2Monster', 'Mystic', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 161, 0, 0, 50, 180, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.48, 'false', 'NONE', 0, 0),
	(4278, 27258, 'Archangel Iconoclasis', 'Quest Monster', 'apostle_mage', 11.00, 38.50, 76, 'male', 'L2Monster', 'Mystic', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 161, 0, 0, 50, 180, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.48, 'false', 'NONE', 0, 0),
	(4279, 27259, 'Archangel Iconoclasis', 'Quest Monster', 'apostle_mage', 11.00, 38.50, 76, 'male', 'L2Monster', 'Mystic', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 161, 0, 0, 50, 180, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.48, 'false', 'NONE', 0, 0),
	(4280, 27260, 'Archangel Iconoclasis', 'Quest Monster', 'apostle_mage', 11.00, 38.50, 76, 'male', 'L2Monster', 'Mystic', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 161, 0, 0, 50, 180, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.48, 'false', 'NONE', 0, 0),
	(4281, 27261, 'Bead of Sacred Flame', 'Quest Monster', 'will_o_wisp', 13.00, 22.00, 76, 'male', 'L2Monster', 'Mystic', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 0, 0, 0, 80, 180, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.10, 'false', 'NONE', 0, 0),
	(4282, 27262, 'Death Lord Hallate', 'Quest Monster', 'death_lord', 21.00, 40.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2259, 620, 1268, 525, 253, 150, 500, 78, 0, 0, 40, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(4283, 27263, 'Death Lord Hallate', 'Quest Monster', 'death_lord', 21.00, 40.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2259, 620, 1268, 525, 253, 150, 500, 78, 0, 0, 40, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(4284, 27264, 'Death Lord Hallate', 'Quest Monster', 'death_lord', 21.00, 40.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2259, 620, 1268, 525, 253, 150, 500, 78, 0, 0, 40, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(4285, 27265, 'Lich King Icarus', 'Quest Monster', 'vale_master', 12.00, 40.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2259, 620, 1268, 525, 253, 150, 500, 205, 0, 0, 70, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.74, 'false', 'NONE', 0, 0),
	(4286, 27266, 'Fallen Angel Haures', 'Quest Monster', 'doll_master', 20.00, 42.00, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 0, 0, 0, 80, 180, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.56, 'false', 'NONE', 0, 0),
	(4287, 27267, 'Fallen Angel Haures', 'Quest Monster', 'doll_master', 20.00, 42.00, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 0, 0, 0, 80, 180, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.56, 'false', 'NONE', 0, 0),
	(4288, 27268, 'Guard of Haures', 'Quest Monster', 'neer_crawler', 14.00, 22.00, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 0, 0, 0, 50, 180, '', 0, 0, 0, 0, 7, 10, 8, 4, 0, 10, 0.37, 'false', 'NONE', 0, 0),
	(4289, 27269, 'Fallen Angel Naverius', 'Quest Monster', 'banshee', 9.00, 23.00, 76, 'female', 'L2Monster', 'Mystic', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 3939, 0, 0, 80, 180, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.56, 'false', 'NONE', 0, 0),
	(4290, 27270, 'Fallen Angel Naverius', 'Quest Monster', 'banshee', 9.00, 23.00, 76, 'female', 'L2Monster', 'Mystic', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 3939, 0, 0, 80, 180, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.56, 'false', 'NONE', 0, 0),
	(4291, 27271, 'Chimera Golem', 'Quest Monster', 'lava_golem', 22.00, 45.00, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 0, 0, 0, 13, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.47, 'false', 'NONE', 0, 0),
	(4292, 27272, 'Hallate\'s Dancer Lillian', 'Quest Monster', 'banshee', 9.00, 23.00, 76, 'female', 'L2Monster', 'Mystic', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 3939, 0, 0, 80, 180, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.56, 'false', 'NONE', 0, 0),
	(4293, 27273, 'Assassin Pezel', 'Quest Monster', 'skeleton_royal_guard', 11.00, 28.50, 78, 'male', 'L2Monster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2259, 620, 1268, 525, 253, 150, 500, 242, 0, 0, 80, 180, '', 0, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(4294, 27274, 'Fallen Angel Tanakia', 'Quest Monster', 'halisha_d', 23.00, 60.00, 78, 'female', 'L2Monster', 'Ranger', 1100, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2259, 620, 1268, 525, 253, 150, 500, 286, 0, 0, 43, 180, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.48, 'false', 'NONE', 0, 0),
	(4295, 27275, 'Fallen Angel Tanakia', 'Quest Monster', 'halisha_d', 23.00, 60.00, 78, 'female', 'L2Monster', 'Ranger', 1100, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2259, 620, 1268, 525, 253, 150, 500, 286, 0, 0, 43, 180, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.48, 'false', 'NONE', 0, 0),
	(4296, 27276, 'Fallen Angel Tanakia', 'Quest Monster', 'halisha_d', 23.00, 60.00, 78, 'female', 'L2Monster', 'Ranger', 1100, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2259, 620, 1268, 525, 253, 150, 500, 286, 0, 0, 43, 180, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.48, 'false', 'NONE', 0, 0),
	(4297, 27277, 'Fallen Angel Tanakia', 'Quest Monster', 'halisha_d', 23.00, 60.00, 78, 'female', 'L2Monster', 'Ranger', 1100, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2259, 620, 1268, 525, 253, 150, 500, 286, 0, 0, 43, 180, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.48, 'false', 'NONE', 0, 0),
	(4298, 27278, 'Shadow of Beleth', 'Quest Monster', 'vale_master', 12.00, 40.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4701, 9.500, 1935, 3.300, 40, 43, 30, 21, 20, 20, 0, 0, 2791, 727, 1570, 615, 253, 150, 500, 205, 0, 0, 70, 180, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.74, 'false', 'NONE', 0, 0),
	(4299, 27279, 'Cursed Kesadein', 'Quest Monster', 'doll_master', 20.00, 42.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4701, 9.500, 1935, 3.300, 40, 43, 30, 21, 20, 20, 0, 0, 2791, 727, 1570, 615, 253, 150, 500, 0, 0, 0, 80, 180, '', 0, 0, 0, 0, 7, 10, 8, 4, 0, 10, 0.56, 'false', 'NONE', 0, 0),
	(4300, 27280, 'Fallen Angel Narcissus', 'Quest Monster', 'karik', 25.00, 90.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 37, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(4301, 27281, 'Fallen Angel Metellus', 'Quest Monster', 'karik', 25.00, 90.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 37, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(4302, 27282, 'Dark Angel Othiel', 'Quest Monster', 'archangel', 15.00, 80.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2259, 620, 1268, 525, 253, 150, 500, 97, 0, 0, 50, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.76, 'false', 'NONE', 0, 0),
	(4303, 27283, 'Grandpapa Askalius', 'Quest Monster', 'susceptor_prime', 45.00, 72.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 78, 180, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(4304, 27284, 'Flame Evil Spirit Azira', 'Quest Monster', 'ifrit', 10.00, 42.00, 78, 'male', 'L2Monster', 'Mystic', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 38, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4305, 27285, 'Lizard\'s Totem Sharuhi', 'Quest Monster', 'serpent_slave', 17.00, 46.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2259, 620, 1268, 525, 253, 150, 500, 72, 0, 0, 70, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(4306, 27286, 'Fallen Knight Adhil', 'Quest Monster', 'a_guard_MHuman', 8.00, 24.00, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 79, 107, 0, 50, 180, '', 0, 0, 20, 161, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 0, 0),
	(4307, 27287, 'Bound Elf Panacea', 'Quest Monster', 'a_guard_MElf', 8.00, 23.50, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 145, 0, 0, 50, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(4308, 27288, 'Sword Player Biel', 'Quest Monster', 'a_patriarch_MElf', 8.00, 22.50, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 74, 74, 0, 50, 180, '', 0, 0, 0, 167, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(4309, 27289, 'Ancient Sword Master Iron', 'Quest Monster', 'lilim_knight_10_bi', 13.00, 55.00, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 5800, 5799, 0, 56, 180, '', 0, 0, 20, 161, 7, 30, 4, 4, 0, -6, 0.46, 'false', 'NONE', 0, 0),
	(4310, 27290, 'White Wing Commander', 'Quest Monster', 'archangel', 15.00, 80.00, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 97, 0, 0, 50, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.76, 'false', 'NONE', 0, 0),
	(4311, 27291, 'White Wing Fighter', 'Quest Monster', 'apostle_warrior', 8.00, 30.00, 76, 'female', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 80, 0, 0, 50, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(4312, 27292, 'Fallen Noble Orc Muhark', 'Quest Monster', 'ketra_orc_warrior', 12.00, 24.00, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 7834, 0, 0, 36, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(4313, 27293, 'Khavatari Uruz', 'Quest Monster', 'ketra_orc_warrior', 12.00, 24.00, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 0, 0, 0, 36, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(4314, 27294, 'Overlord Atrus', 'Quest Monster', 'ketra_orc_chieftain', 11.00, 38.50, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 6719, 0, 0, 24, 180, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.51, 'false', 'NONE', 0, 0),
	(4315, 27295, 'Sharuhi Mouth Mudaha', 'Quest Monster', 'ketra_orc_chieftain', 11.00, 38.50, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 6719, 0, 0, 24, 180, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.51, 'false', 'NONE', 0, 0),
	(4316, 27296, 'Monument Watcher Ezekiel', 'Quest Monster', 'archangel', 15.00, 80.00, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 97, 0, 0, 50, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.76, 'false', 'NONE', 0, 0),
	(4317, 27297, 'Monument Watcher Ezekiel', 'Quest Monster', 'archangel', 15.00, 80.00, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 97, 0, 0, 50, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.76, 'false', 'NONE', 0, 0),
	(4318, 27298, 'Monument Watcher Ezekiel', 'Quest Monster', 'archangel', 15.00, 80.00, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 97, 0, 0, 50, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.76, 'false', 'NONE', 0, 0),
	(4319, 27299, 'Monument Watcher Ezekiel', 'Quest Monster', 'archangel', 15.00, 80.00, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 97, 0, 0, 50, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.76, 'false', 'NONE', 0, 0),
	(4320, 27300, 'Monument Watcher Ezekiel', 'Quest Monster', 'archangel', 15.00, 80.00, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 97, 0, 0, 50, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.76, 'false', 'NONE', 0, 0),
	(4321, 27301, 'Monument Watcher Ezekiel', 'Quest Monster', 'archangel', 15.00, 80.00, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 97, 0, 0, 50, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.76, 'false', 'NONE', 0, 0),
	(4322, 27302, 'Monument Defender Azrael', 'Quest Monster', 'archangel', 15.00, 80.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2259, 620, 1268, 525, 253, 150, 500, 97, 0, 0, 50, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.76, 'false', 'NONE', 0, 0),
	(4323, 27303, 'Monument Defender Azrael', 'Quest Monster', 'archangel', 15.00, 80.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4701, 9.500, 1935, 3.300, 40, 43, 30, 21, 20, 20, 0, 0, 2259, 620, 1268, 525, 253, 150, 500, 97, 0, 0, 50, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.76, 'false', 'NONE', 0, 0),
	(4324, 27304, 'Monument Defender Azrael', 'Quest Monster', 'archangel', 15.00, 80.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2259, 620, 1268, 525, 253, 150, 500, 97, 0, 0, 50, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.76, 'false', 'NONE', 0, 0),
	(4325, 27305, 'Monument Defender Azrael', 'Quest Monster', 'archangel', 15.00, 80.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2259, 620, 1268, 525, 253, 150, 500, 97, 0, 0, 50, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.76, 'false', 'NONE', 0, 0),
	(4326, 27306, 'Monument Defender Azrael', 'Quest Monster', 'archangel', 15.00, 80.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2259, 620, 1268, 525, 253, 150, 500, 97, 0, 0, 50, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.76, 'false', 'NONE', 0, 0),
	(4327, 27307, 'Monument Defender Azrael', 'Quest Monster', 'archangel', 15.00, 80.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2259, 620, 1268, 525, 253, 150, 500, 97, 0, 0, 50, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.76, 'false', 'NONE', 0, 0),
	(4328, 27308, 'Assassin Frost', 'Quest Monster', 'vampire_soldier', 8.00, 23.50, 78, 'male', 'L2Monster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2259, 620, 1268, 525, 253, 150, 500, 229, 0, 0, 60, 180, '', 0, 0, 0, 0, 7, 10, 8, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(4329, 27309, 'Minervia Van Hacken', 'Quest Monster', 'vampire_witch', 6.00, 21.50, 78, 'female', 'L2Monster', 'Mystic', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2259, 620, 1268, 525, 253, 150, 500, 229, 0, 0, 64, 180, '', 0, 0, 0, 0, 7, 10, 8, 4, 0, 10, 0.50, 'false', 'NONE', 0, 0),
	(4330, 27310, 'Kitanis Van Hacken', 'Quest Monster', 'vampire_lord', 7.50, 25.80, 78, 'male', 'L2Monster', 'Fighter', 40, 4701, 9.500, 1935, 3.300, 40, 43, 30, 21, 20, 20, 0, 0, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 15, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(4331, 27311, 'Judgment Hound Dog Kelvas', 'Quest Monster', 'eligor', 21.00, 35.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4701, 9.200, 1935, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 35, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4332, 27312, 'Mysterious Servitor', 'Quest Monster', 'shadeless', 7.00, 28.00, 78, 'male', 'L2Monster', 'Fighter', 40, 4701, 9.500, 1935, 3.300, 40, 43, 30, 21, 20, 20, 0, 0, 2259, 620, 1268, 525, 253, 150, 500, 0, 0, 0, 48, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.61, 'false', 'NONE', 0, 0),
	(4333, 27313, 'Vision Guardian Shakiel', 'Quest Monster', 'apostle_mage', 11.00, 38.50, 76, 'male', 'L2Monster', 'Mystic', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 161, 0, 0, 50, 180, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.48, 'false', 'NONE', 0, 0),
	(4334, 27314, 'Vision Guardian Shakiel', 'Quest Monster', 'apostle_mage', 11.00, 38.50, 76, 'male', 'L2Monster', 'Mystic', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 161, 0, 0, 50, 180, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.48, 'false', 'NONE', 0, 0),
	(4335, 27315, 'Vision Guardian Shakiel', 'Quest Monster', 'apostle_mage', 11.00, 38.50, 76, 'male', 'L2Monster', 'Mystic', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 161, 0, 0, 50, 180, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.48, 'false', 'NONE', 0, 0),
	(4336, 27316, 'Fallen Chieftain Vegus', 'Quest Monster', 'ketra_orc_warrior', 12.00, 24.00, 55, 'male', 'L2Monster', 'Fighter', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 0, 0, 730, 322, 389, 273, 253, 0, 500, 161, 0, 0, 36, 180, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.54, 'false', 'NONE', 1, 0),
	(4337, 27317, 'Restrainer of Glory', 'Quest Monster', 'kel_mahum_champion', 13.00, 32.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 161, 0, 0, 50, 180, '', 0, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.56, 'false', 'NONE', 1, 0),
	(4338, 27318, 'Wendy\'s Guardian', 'Quest Monster', 'golem_guardian_090p', 16.00, 37.20, 46, 'male', 'L2Monster', 'Fighter', 40, 1943, 6.000, 708, 2.250, 40, 43, 30, 21, 20, 20, 0, 0, 442, 248, 223, 210, 253, 500, 500, 0, 0, 0, 70, 174, '', 400, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(4339, 27319, 'Black Leopard', 'Quest Monster', 'onyx_beast', 14.00, 14.50, 18, 'male', 'L2Monster', 'Fighter', 40, 477, 3.200, 194, 1.410, 40, 43, 30, 21, 20, 20, 0, 0, 54, 88, 20, 74, 253, 0, 500, 0, 0, 0, 30, 145, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.24, 'false', 'NONE', 1, 0),
	(4340, 27320, 'Timora Orc', 'Quest Monster', 'batur_orc', 9.00, 21.50, 20, 'male', 'L2Monster', 'Fighter', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 0, 0, 65, 96, 24, 80, 253, 500, 333, 2, 0, 0, 80, 130, 'lizardman_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(4341, 27321, 'Bruin Lizardman', 'Quest Monster', 'virud_lizardman', 10.00, 23.00, 20, 'male', 'L2Monster', 'Fighter', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 0, 0, 65, 96, 24, 80, 253, 0, 500, 291, 0, 0, 43, 130, 'lizardman_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(4342, 27322, 'Picot Araneid', 'Quest Monster', 'giant_spider_50_bi', 39.00, 38.00, 27, 'male', 'L2Monster', 'Mystic', 40, 814, 4.100, 318, 1.680, 40, 43, 30, 21, 20, 20, 0, 0, 118, 127, 50, 107, 253, 500, 500, 0, 0, 0, 72, 130, 'lizardman_clan', 300, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.26, 'false', 'NONE', 1, 0),
	(4343, 27323, 'Divine Emissary', 'Quest Monster', 'LineageMonster.Angel', 13.50, 36.50, 40, 'male', 'L2Monster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 0, 0, 305, 205, 145, 173, 253, 0, 500, 148, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(4344, 27324, 'Vision Guard Eranus', 'Quest Monster', 'LineageMonster2.Apostle_warrior', 8.00, 30.00, 76, 'female', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 6717, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(4345, 27325, 'Archon of Halisha', 'Quest Monster', 'ahrimanes', 14.00, 57.75, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 150, 500, 6722, 0, 0, 35, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4346, 27326, 'Archangel Kanriel', 'Quest Monster', 'archangel_050p', 13.00, 37.50, 81, 'male', 'L2Monster', 'Fighter', 80, 4609, 9.500, 1897, 3.300, 40, 43, 30, 21, 20, 20, 0, 0, 2791, 727, 1570, 615, 253, 150, 500, 97, 0, 0, 70, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(4347, 27327, 'Zakorel\'s Executor', 'Quest Monster', 'LineageMonster2.Apostle_mage', 11.00, 38.50, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 1.500, 1710, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 6718, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(4348, 27328, 'Zakorel', 'Quest Monster', 'LineageMonster3.Apostle_grail', 13.00, 47.00, 81, 'male', 'L2Monster', 'Fighter', 40, 4609, 9.000, 1897, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 6717, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(4349, 27329, 'Archon of Halisha', 'Quest Monster', 'ahrimanes', 14.00, 57.75, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 150, 500, 6722, 0, 0, 35, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4350, 27332, 'Guardian Angel', 'Quest Monster', 'LineageMonster.Angel', 13.50, 36.50, 35, 'male', 'L2Monster', 'GuardianAngel', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 0, 0, 216, 172, 96, 146, 253, 0, 500, 196, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(4351, 27333, 'Crimson Duchess', 'Quest Monster', 'LineageMonster3.Lidia_von_helmann', 10.00, 25.40, 76, 'female', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 161, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(4352, 27334, 'Archon of Halisha', 'Quest Monster', 'ahrimanes', 14.00, 57.75, 76, 'male', 'L2Monster', 'Fighter', 40, 4298, 9.000, 1710, 3.150, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 150, 500, 6722, 0, 0, 35, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(4353, 27335, 'Dark Angel Othiel', 'Quest Monster', 'LineageMonster.Archangel', 15.00, 80.00, 81, 'male', 'L2Monster', 'Fighter', 40, 4609, 9.500, 1897, 3.300, 40, 43, 30, 21, 20, 20, 0, 0, 2791, 727, 1570, 615, 253, 150, 500, 97, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(4354, 27336, 'Crimson Lady', 'Quest Monster', 'LineageMonster.Succubus', 10.00, 36.00, 40, 'female', 'L2Monster', 'Fighter', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 0, 0, 305, 205, 145, 173, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(4355, 27337, 'Ol Mahum Officer Tak', 'Quest Monster', 'LineageMonster.ol_mahum_champion', 14.00, 27.00, 20, 'male', 'L2Monster', 'Fighter', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 0, 0, 65, 96, 24, 80, 253, 0, 500, 69, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(4356, 27338, 'Fallen Angel', 'Quest Monster', 'LineageMonster.ol_mahum_champion', 8.00, 30.00, 38, 'female', 'L2Monster', 'Fighter', 40, 1400, 5.200, 497, 2.010, 40, 43, 30, 21, 20, 20, 0, 0, 267, 191, 124, 162, 253, 0, 500, 6717, 0, 0, 64, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(4357, 27339, 'Cruma Marshlands Traitor', 'Quest Monster', 'LineageMonster.ol_mahum_champion', 8.00, 30.00, 35, 'female', 'L2Monster', 'Fighter', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 0, 0, 216, 172, 96, 146, 253, 0, 500, 946, 0, 0, 50, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(4358, 27340, 'Pursuer', '', 'LineageMonster.ol_mahum', 13.50, 25.00, 39, 'male', 'L2Monster', 'Fighter', 40, 1463, 5.300, 514, 2.040, 40, 43, 30, 21, 20, 20, 0, 0, 285, 197, 133, 167, 253, 150, 500, 219, 0, 0, 50, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(4359, 27341, 'Shilen\'s Evil Thoughts', '', 'LineageNPC.training_doll_150p', 13.00, 40.00, 51, 'female', 'L2Monster', 'Fighter', 40, 4181, 1.500, 861, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 535, 287, 250, 233, 278, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4360, 27342, 'Shilen\'s Evil Thoughts', '', 'LineageNPC.training_doll_150p', 13.00, 40.00, 61, 'female', 'L2Monster', 'Fighter', 40, 5646, 1.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 894, 379, 413, 308, 278, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4361, 27343, 'Shilen\'s Evil Thoughts', '', 'LineageNPC.training_doll_150p', 14.00, 40.00, 74, 'female', 'L2Monster', 'Fighter', 40, 7500, 1.500, 1637, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1501, 513, 699, 417, 278, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4362, 27344, 'Shilen\'s Evil Thoughts', '', 'LineageNPC.training_doll_150p', 13.00, 40.00, 51, 'female', 'L2Monster', 'Fighter', 40, 4181, 1.500, 861, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 535, 287, 250, 233, 278, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4363, 27345, 'Shilen\'s Evil Thoughts', '', 'LineageNPC.training_doll_150p', 13.00, 40.00, 61, 'female', 'L2Monster', 'Fighter', 40, 5646, 1.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 894, 379, 413, 308, 278, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4364, 27346, 'Shilen\'s Evil Thoughts', '', 'LineageNPC.training_doll_150p', 13.00, 40.00, 74, 'female', 'L2Monster', 'Fighter', 40, 7486, 1.500, 1637, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1501, 513, 699, 417, 278, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4365, 27347, 'Guards of the Dawn Oracle', '', 'LineageNPC.a_fighterguild_master_Mhuman', 8.00, 23.50, 85, 'male', 'L2Npc', 'npc', 40, 7359, 1.500, 2050, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 2708, 630, 1256, 511, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4366, 27348, 'Guards of the Dawn Oracle', '', 'LineageNPC.a_fighterguild_master_Mhuman', 8.00, 23.50, 85, 'male', 'L2Npc', 'npc', 40, 7359, 1.500, 2050, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 2708, 630, 1256, 511, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4367, 27349, 'Guards of the Dawn Oracle', '', 'LineageNPC.a_mageguild_master_MHuman', 8.00, 24.00, 85, 'male', 'L2Npc', 'npc', 40, 7359, 1.500, 2050, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 2708, 630, 1256, 511, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4368, 27350, 'Guards of the Dawn Oracle', '', 'LineageNPC.a_mageguild_master_MHuman', 8.00, 24.00, 85, 'male', 'L2Npc', 'npc', 40, 7359, 1.500, 2050, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 2708, 630, 1256, 511, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4369, 27351, 'Guards of the Dawn', '', 'LineageNPC.a_mageguild_master_FHuman', 8.00, 23.00, 85, 'female', 'L2Npc', 'npc', 40, 7359, 1.500, 2050, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 2708, 630, 1256, 511, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4370, 27352, 'Guards of the Dawn Oracle', '', 'LineageNPC.a_mageguild_master_FHuman', 8.00, 23.00, 85, 'female', 'L2Npc', 'npc', 40, 7359, 1.500, 2050, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 2708, 630, 1256, 511, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4371, 27353, 'Lilim Butcher', '', 'LineageMonster2.lilim_assassin_10_sm', 11.00, 36.00, 51, 'male', 'L2Npc', 'npc', 40, 2323, 1.500, 861, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 535, 287, 250, 233, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4372, 27354, 'Lilim Magus', '', 'LineageMonster2.lilim_wizard_10_sm', 8.00, 30.60, 51, 'female', 'L2Npc', 'npc', 40, 2323, 1.500, 861, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 535, 287, 250, 233, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4373, 27355, 'Lilim Slave Knight', '', 'LineageMonster2.lilim_knight_10_sm', 11.00, 45.00, 51, 'male', 'L2Npc', 'npc', 40, 2323, 1.500, 861, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 535, 287, 250, 233, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4374, 27356, 'Lilim Stabber', '', 'LineageMonster2.lilim_assassin_10_sm', 11.00, 36.00, 51, 'male', 'L2Npc', 'npc', 40, 2323, 1.500, 861, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 535, 287, 250, 233, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4375, 27357, 'Lilim Seer', '', 'LineageMonster2.lilim_wizard_10_sm', 8.00, 30.60, 51, 'female', 'L2Npc', 'npc', 40, 2323, 1.500, 861, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 535, 287, 250, 233, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4376, 27358, 'Lilim Knight', '', 'LineageMonster2.lilim_knight_10_sm', 11.00, 45.00, 51, 'male', 'L2Npc', 'npc', 40, 2323, 1.500, 861, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 535, 287, 250, 233, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4377, 27359, 'Lilim Assassin', '', 'LineageMonster2.lilim_assassin_10_bi', 13.00, 44.00, 51, 'male', 'L2Npc', 'npc', 40, 2323, 1.500, 861, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 535, 287, 250, 233, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4378, 27360, 'Lilim Great Magus', '', 'LineageMonster2.lilim_wizard_10_bi', 10.00, 37.50, 51, 'female', 'L2Npc', 'npc', 40, 2323, 1.500, 861, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 535, 287, 250, 233, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4379, 27361, 'Lilim Guard Knight', '', 'LineageMonster2.lilim_knight_10_bi', 13.00, 55.00, 51, 'male', 'L2Npc', 'npc', 40, 2323, 1.500, 861, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 535, 287, 250, 233, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4380, 27362, 'Lilim Butcher', '', 'LineageMonster2.lilim_assassin_10_sm', 11.00, 36.00, 61, 'male', 'L2Npc', 'npc', 40, 3137, 1.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 894, 379, 413, 308, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4381, 27363, 'Lilim Magus', '', 'LineageMonster2.lilim_wizard_10_sm', 8.00, 30.60, 61, 'female', 'L2Npc', 'npc', 40, 3137, 1.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 894, 379, 413, 308, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4382, 27364, 'Lilim Slave Knight', '', 'LineageMonster2.lilim_knight_10_sm', 11.00, 45.00, 61, 'male', 'L2Npc', 'npc', 40, 3137, 1.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 894, 379, 413, 308, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4383, 27365, 'Lilim Stabber', '', 'LineageMonster2.lilim_assassin_10_sm', 11.00, 36.00, 61, 'male', 'L2Npc', 'npc', 40, 3137, 1.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 894, 379, 413, 308, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4384, 27366, 'Lilim Seer', '', 'LineageMonster2.lilim_wizard_10_sm', 8.00, 30.60, 61, 'female', 'L2Npc', 'npc', 40, 3137, 1.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 894, 379, 413, 308, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4385, 27367, 'Lilim Knight', '', 'LineageMonster2.lilim_knight_10_sm', 11.00, 45.00, 61, 'male', 'L2Npc', 'npc', 40, 3137, 1.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 894, 379, 413, 308, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4386, 27368, 'Lilim Assassin', '', 'LineageMonster2.lilim_assassin_10_bi', 13.00, 44.00, 61, 'male', 'L2Npc', 'npc', 40, 3137, 1.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 894, 379, 413, 308, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4387, 27369, 'Lilim Great Magus', '', 'LineageMonster2.lilim_wizard_10_bi', 10.00, 37.50, 61, 'female', 'L2Npc', 'npc', 40, 3137, 1.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 894, 379, 413, 308, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4388, 27370, 'Lilim Guard Knight', '', 'LineageMonster2.lilim_knight_10_bi', 13.00, 55.00, 61, 'male', 'L2Npc', 'npc', 40, 3137, 1.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 894, 379, 413, 308, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4389, 27371, 'Lilim Butcher', '', 'LineageMonster2.lilim_assassin_10_sm', 11.00, 36.00, 74, 'male', 'L2Npc', 'npc', 40, 4159, 1.500, 1637, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1501, 513, 699, 417, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4390, 27372, 'Lilim Magus', '', 'LineageMonster2.lilim_wizard_10_sm', 8.00, 30.60, 74, 'female', 'L2Npc', 'npc', 40, 4159, 1.500, 1637, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1501, 513, 699, 417, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4391, 27373, 'Lilim Slave Knight', '', 'LineageMonster2.lilim_knight_10_sm', 11.00, 45.00, 74, 'male', 'L2Npc', 'npc', 40, 4159, 1.500, 1637, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1501, 513, 699, 417, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4392, 27374, 'Shilen\'s Evil Thoughts', '', 'LineageMonster2.lilim_assassin_10_sm', 11.00, 36.00, 74, 'male', 'L2Npc', 'npc', 40, 4159, 1.500, 1637, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1501, 513, 699, 417, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4393, 27375, 'Shilen\'s Evil Thoughts', '', 'LineageMonster2.lilim_wizard_10_sm', 8.00, 28.00, 74, 'male', 'L2Monster', 'Fighter', 40, 7500, 1.500, 1637, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1501, 513, 699, 417, 278, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4394, 27376, 'Lilim Knight', '', 'LineageMonster2.lilim_knight_10_sm', 11.00, 45.00, 74, 'male', 'L2Npc', 'npc', 40, 4159, 1.500, 1637, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1501, 513, 699, 417, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4395, 27377, 'Lilim Assassin', '', 'LineageMonster2.lilim_assassin_10_bi', 13.00, 44.00, 74, 'male', 'L2Npc', 'npc', 40, 4159, 1.500, 1637, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1501, 513, 699, 417, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4396, 27378, 'Lilim Great Magus', '', 'LineageMonster2.lilim_wizard_10_bi', 10.00, 37.50, 74, 'female', 'L2Npc', 'npc', 40, 4159, 1.500, 1637, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1501, 513, 699, 417, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4397, 27379, 'Lilim Guard Knight', '', 'LineageMonster2.lilim_knight_10_bi', 13.00, 55.00, 74, 'male', 'L2Npc', 'npc', 40, 4159, 1.500, 1637, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1501, 513, 699, 417, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4398, 27380, 'Reckless Sprite of Water', 'Quest Monster', 'LineageMonster.undine', 12.00, 27.00, 76, 'female', 'L2Monster', 'Fighter', 40, 4358, 1.500, 1710, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4399, 27381, 'Reckless Sprite of Air', 'Quest Monster', 'LineageMonster.sylph', 11.00, 35.00, 76, 'female', 'L2Monster', 'Fighter', 40, 4358, 1.500, 1710, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 2088, 594, 1170, 503, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4400, 27382, 'Power of Seal Isolation', '', 'LineageNPC.training_doll_150p', 13.00, 40.00, 51, 'female', 'L2Npc', 'npc', 40, 2323, 1.500, 861, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 535, 287, 250, 233, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4401, 27383, 'Power of Seal Isolation', '', 'LineageNPC.training_doll_150p', 13.00, 40.00, 61, 'female', 'L2Npc', 'npc', 40, 3137, 1.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 894, 379, 413, 308, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4402, 27384, 'Seal Device', 'Emperor Shunaiman\'s', 'LineageNPC.training_doll_150p', 13.00, 40.00, 74, 'female', 'L2Npc', 'npc', 40, 4159, 1.500, 1637, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1501, 513, 699, 417, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4403, 27385, 'Lilith', 'Holy Mother of Abyss', 'LineageMonster2.lilith', 42.50, 55.00, 85, 'female', 'L2Npc', 'npc', 40, 6690, 1.500, 2050, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 2462, 630, 1146, 511, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4404, 27386, 'Lilith\'s Steward', '', 'LineageMonster2.lilim_wizard', 9.00, 34.00, 85, 'female', 'L2Npc', 'npc', 40, 6690, 1.500, 2050, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 2462, 630, 1146, 511, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4405, 27387, 'Lilith\'s Elite', '', 'LineageMonster2.lilim_knight', 12.00, 50.00, 85, 'male', 'L2Npc', 'npc', 40, 6690, 1.500, 2050, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 2462, 630, 1146, 511, 253, 0, 500, 5800, 5799, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4406, 27388, 'Anakim', 'Flames of Sacred Fire', 'LineageMonster2.anakim', 15.50, 29.00, 85, 'female', 'L2Npc', 'npc', 40, 6690, 1.500, 2050, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 2462, 630, 1146, 511, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4407, 27389, 'Anakim\'s Guardian', '', 'LineageMonster2.nephilim_priest', 23.00, 40.50, 85, 'male', 'L2Npc', 'npc', 40, 6690, 1.500, 2050, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 2462, 630, 1146, 511, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4408, 27390, 'Anakim\'s Guard', '', 'LineageMonster2.nephilim_lord', 12.00, 43.00, 85, 'male', 'L2Npc', 'npc', 40, 6690, 1.500, 2050, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 2462, 630, 1146, 511, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4409, 27391, 'Anakim\'s Executor', '', 'LineageMonster2.nephilim_slayer', 12.00, 36.00, 85, 'male', 'L2Npc', 'npc', 40, 6690, 1.500, 2050, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 2462, 630, 1146, 511, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4410, 27392, 'Bloody Axe Aide', '', 'LineageMonster.ol_mahum_champion', 14.00, 27.00, 65, 'male', 'L2Npc', 'npc', 40, 3466, 1.500, 1320, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1068, 419, 498, 340, 253, 0, 500, 69, 19, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4411, 27393, 'Headless Knight', '', 'LineageMonster.headless_knight', 21.00, 31.00, 65, 'male', 'L2Npc', 'npc', 40, 3466, 1.500, 1320, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1068, 419, 498, 340, 253, 0, 500, 135, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4412, 27394, 'Shilen\'s Evil Thoughts', '', 'LineageNPC.training_doll_150p', 13.00, 40.00, 51, 'female', 'L2Npc', 'npc', 40, 2323, 1.500, 861, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 535, 287, 250, 233, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4413, 27395, 'Shilen\'s Evil Thoughts', '', 'LineageNPC.training_doll_150p', 13.00, 40.00, 61, 'female', 'L2Npc', 'npc', 40, 3137, 1.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 894, 379, 413, 308, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4414, 27396, 'Shilen\'s Evil Thoughts', '', 'LineageNPC.training_doll_150p', 13.00, 40.00, 74, 'female', 'L2Npc', 'npc', 40, 4159, 1.500, 1637, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1501, 513, 699, 417, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4415, 27397, 'Shilen\'s Evil Thoughts', '', 'LineageNPC.training_doll_150p', 13.00, 40.00, 51, 'female', 'L2Npc', 'npc', 40, 2323, 1.500, 861, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 535, 287, 250, 233, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4416, 27398, 'Shilen\'s Evil Thoughts', '', 'LineageNPC.training_doll_150p', 13.00, 40.00, 61, 'female', 'L2Npc', 'npc', 40, 3137, 1.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 894, 379, 413, 308, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4417, 27399, 'Shilen\'s Evil Thoughts', '', 'LineageNPC.training_doll_150p', 13.00, 40.00, 74, 'female', 'L2Npc', 'npc', 40, 4159, 1.500, 1637, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1501, 513, 699, 417, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4418, 27400, 'Shilen\'s Evil Thoughts', '', 'LineageNPC.training_doll_150p', 13.00, 40.00, 51, 'female', 'L2Npc', 'npc', 40, 2323, 1.500, 861, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 535, 287, 250, 233, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4419, 27401, 'Shilen\'s Evil Thoughts', '', 'LineageNPC.training_doll_150p', 13.00, 40.00, 61, 'female', 'L2Npc', 'npc', 40, 3137, 1.500, 1184, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 894, 379, 413, 308, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4420, 27402, 'Shilen\'s Evil Thoughts', '', 'LineageNPC.training_doll_150p', 13.00, 40.00, 74, 'female', 'L2Npc', 'npc', 40, 4159, 1.500, 1637, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1501, 513, 699, 417, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(4421, 30001, 'Lector', 'Trader', 'a_traderA_MHuman', 10.00, 24.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4422, 30002, 'Jackson', 'Trader', 'a_traderB_MHuman', 8.00, 25.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4423, 30003, 'Silvia', 'Trader', 'a_traderA_FHuman', 8.00, 23.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4424, 30004, 'Katerina', 'Trader', 'a_traderB_FHuman', 8.00, 25.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4425, 30005, 'Wilford', 'Warehouse Keeper', 'a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4426, 30006, 'Roxxy', 'Gatekeeper', 'a_teleporter_FHuman', 8.00, 25.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4427, 30008, 'Roien', 'Grand Master', 'a_fighterguild_master_Mhuman_old', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4428, 30009, 'Newbie Helper', '', 'a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4429, 30010, 'Auron', 'Master', 'a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4430, 30014, 'Celma', 'Master', 'a_fighterguild_teacher_FHuman', 9.50, 22.40, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4431, 30017, 'Gallint', 'Grand Magister', 'a_mageguild_master_MHuman', 8.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4432, 30019, 'Newbie Helper', '', 'a_mageguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4433, 30022, 'Zigaunt', 'Priest', 'a_sanctuary_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4434, 30026, 'Bitz', 'Grand Master', 'a_fighterguild_master_Mhuman_old', 8.00, 23.50, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4435, 30027, 'Gwinter', 'Master', 'a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4436, 30028, 'Pintage', 'Master', 'a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4437, 30029, 'Minia', 'Master', 'a_fighterguild_teacher_FHuman', 9.50, 22.40, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4438, 30030, 'Vivyan', 'Priestess', 'a_sanctuary_teacher_FHuman', 8.00, 22.50, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4439, 30031, 'Biotin', 'High Priest', 'a_sanctuary_master_MHuman', 8.00, 24.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4440, 30032, 'Yohanes', 'Priest', 'a_sanctuary_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4441, 30033, 'Baulro', 'Magister', 'a_mageguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4442, 30034, 'Iris', 'Magister', 'a_mageguild_teacher_FHuman', 8.00, 23.50, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4443, 30035, 'Harrys', 'Magister', 'a_mageguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4444, 30036, 'Petron', 'Priest', 'a_sanctuary_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4445, 30037, 'Levian', 'High Priestess', 'a_sanctuary_teacher_FHuman', 8.00, 22.50, 70, 'female', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4446, 30039, 'Gilbert', 'Captain', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 129, 102, 0, 50, 160, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(4447, 30040, 'Leon', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 275, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4448, 30041, 'Arnold', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 275, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4449, 30042, 'Abellos', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 2, 20, 0, 50, 189, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(4450, 30043, 'Johnstone', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 2, 20, 0, 50, 160, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(4451, 30044, 'Chiperan', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 275, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4452, 30045, 'Kenyos', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 275, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4453, 30046, 'Hanks', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 2, 20, 0, 50, 160, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(4454, 30047, 'Firon', 'Wharf Manager', 'a_wharfinger_MHuman', 8.00, 23.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4455, 30048, 'Darin', '', 'a_common_peopleB_MHuman', 8.00, 22.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4456, 30049, 'Bonnie', '', 'a_common_peopleB_FHuman', 8.00, 20.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 10, 0, 0, 50, 114, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4457, 30050, 'Elias', '', 'a_common_peopleA_MHuman', 8.00, 21.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4458, 30051, 'Cristel', '', 'a_common_peopleA_FHuman', 8.00, 21.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 117, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4459, 30054, 'Rant', 'Warehouse Keeper', 'a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4460, 30055, 'Rolfe', 'Warehouse Keeper', 'a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4461, 30057, 'Aldo', 'Warehouse Keeper', 'a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4462, 30058, 'Holvas', 'Warehouse Keeper', 'a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4463, 30059, 'Trisha', 'Gatekeeper', 'a_teleporter_FHuman', 8.00, 25.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4464, 30060, 'Sabrin', 'Trader', 'a_traderA_MHuman', 10.00, 24.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4465, 30061, 'Casey', 'Trader', 'a_traderB_MHuman', 8.00, 25.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4466, 30062, 'Sonia', 'Trader', 'a_traderA_FHuman', 7.00, 23.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4467, 30063, 'Lara', 'Trader', 'a_traderB_FHuman', 8.00, 24.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4468, 30064, 'Terry', 'Master', 'a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4469, 30065, 'Arnelle', 'Master', 'a_fighterguild_teacher_FHuman', 9.50, 22.40, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4470, 30066, 'Pabris', 'Grand Master', 'a_fighterguild_master_Mhuman_old', 8.00, 23.50, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4471, 30067, 'Glyvka', 'Priestess', 'a_sanctuary_teacher_FHuman', 8.00, 22.50, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4472, 30068, 'Shegfield', 'Priest', 'a_patriarch_MElf', 7.00, 22.20, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4473, 30069, 'Rollant', 'Magister', 'a_mageguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4474, 30070, 'Sylvain', 'High Priest', 'a_sanctuary_master_MHuman', 8.00, 24.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4475, 30071, 'Lucas', 'Captain', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Npc', 'npc', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 1000, 500, 129, 102, 0, 50, 160, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(4476, 30072, 'Metty', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 275, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4477, 30073, 'Jacob', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 275, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4478, 30074, 'Harlan', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 2, 20, 0, 50, 160, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(4479, 30075, 'Xaber', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 275, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4480, 30076, 'Liam', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 2, 20, 0, 50, 160, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(4481, 30078, 'Pano', 'Grocer', 'a_common_peopleA_MHuman', 8.00, 21.50, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4482, 30079, 'Barder', 'Warehouse Keeper', 'a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4483, 30080, 'Clarissa', 'Gatekeeper', 'a_teleporter_FHuman', 8.00, 25.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4484, 30081, 'Helvetia', 'Grocer', 'a_traderB_FHuman', 8.00, 24.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4485, 30082, 'Denkus', 'Grocer', 'a_traderB_MHuman', 8.00, 25.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4486, 30083, 'Pochi', 'Warehouse Keeper', 'a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4487, 30084, 'Graham', 'Weapons Trader', 'a_traderA_MHuman', 10.00, 24.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4488, 30085, 'Stanford', 'Weapons Trader', 'a_traderA_MHuman', 10.00, 24.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4489, 30086, 'Taurin', 'Warehouse Keeper', 'a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4490, 30087, 'Peta', 'Armor Trader', 'a_traderA_FHuman', 7.00, 23.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4491, 30088, 'Radia', 'Armor Trader', 'a_traderB_FHuman', 8.00, 24.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4492, 30090, 'Sandra', 'Jeweler', 'a_traderB_FHuman', 8.00, 24.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4493, 30091, 'Ellie', 'Jeweler', 'a_traderA_FHuman', 7.00, 23.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4494, 30092, 'Collob', 'Warehouse Keeper', 'a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4495, 30093, 'Groot', 'Magic Trader', 'a_traderA_MHuman', 10.00, 24.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4496, 30094, 'Gentler', 'Magic Trader', 'a_traderB_MHuman', 8.00, 25.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4497, 30095, 'Randolf', 'Warehouse Keeper', 'a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4498, 30097, 'Galladucci', 'Trader', 'a_traderA_MDwarf', 8.00, 17.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4499, 30098, 'Alexandria', 'Trader', 'a_traderB_FHuman', 8.00, 24.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4500, 30103, 'Valkon', 'Warehouse Keeper', 'a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4501, 30104, 'Parman', 'Warehouse Keeper', 'a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4502, 30105, 'Genwitter', 'Master', 'a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4503, 30106, 'Dufner', 'Master', 'a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4504, 30107, 'Goldian', 'Master', 'a_guard_MElf', 7.00, 22.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4505, 30108, 'Macken', 'Master', 'a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4506, 30109, 'Hannavalt', 'Grand Master', 'a_fighterguild_master_Mhuman_old', 8.00, 23.50, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4507, 30110, 'Iker', 'Magister', 'a_mageguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4508, 30111, 'Dieter', 'Magister', 'a_mageguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4509, 30112, 'Maurius', 'Magister', 'a_patriarch_MElf', 8.00, 22.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4510, 30113, 'Juris', 'Magister', 'a_trader_FElf', 8.00, 24.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4511, 30114, 'Roa', 'Magister', 'a_mageguild_teacher_FHuman', 8.00, 23.50, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4512, 30115, 'Jurek', 'Grand Magister', 'a_mageguild_master_MHuman', 8.00, 24.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4513, 30116, 'Dustin', 'Priest', 'a_sanctuary_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4514, 30117, 'Primos', 'Priest', 'a_sanctuary_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4515, 30118, 'Pupina', 'Priestess', 'a_sanctuary_teacher_FHuman', 8.00, 22.50, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4516, 30119, 'Isabellin', 'Priestess', 'a_trader_FElf', 7.00, 22.20, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4517, 30120, 'Maximilian', 'High Priest', 'a_sanctuary_master_MHuman', 8.00, 24.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4518, 30121, 'Jeronin', 'Captain', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 129, 102, 0, 50, 160, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(4519, 30122, 'Bane', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 275, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4520, 30123, 'Vesa', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 333, 275, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4521, 30124, 'Zerome', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 333, 2, 20, 0, 50, 160, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(4522, 30125, 'Belton', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 2, 20, 0, 50, 160, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(4523, 30126, 'Rath', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 2, 20, 0, 50, 160, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(4524, 30128, 'Atanas', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 2, 20, 0, 50, 160, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(4525, 30129, 'Mitraell', 'Hierarch', 'a_clergyman_MDarkElf', 8.00, 22.30, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4526, 30130, 'Undrias', 'Abyssal Celebrant', 'a_clergyman_MDarkElf', 8.00, 22.30, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4527, 30131, 'Newbie Helper', '', 'a_clergyman_FDarkElf', 8.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4528, 30132, 'Cecktinon', 'Abyssal Celebrant', 'a_clergyman_MDarkElf', 8.00, 22.30, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4529, 30133, 'Kartia', 'Abyssal Celebrant', 'a_clergyman_FDarkElf', 8.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4530, 30134, 'Jasmine', 'Gatekeeper', 'a_teleporter_FDarkElf', 8.00, 25.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4531, 30135, 'Iria', 'Trader', 'a_trader_Fdarkelf', 8.00, 24.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4532, 30136, 'Payne', 'Trader', 'a_trader_MDarkElf', 8.00, 22.50, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4533, 30137, 'Vollodos', 'Trader', 'a_trader_MDarkElf', 8.00, 22.50, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4534, 30138, 'Minaless', 'Trader', 'a_trader_Fdarkelf', 8.00, 24.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4535, 30139, 'Dorankus', 'Warehouse Keeper', 'a_trader_MDarkElf', 8.00, 22.50, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4536, 30140, 'Erviante', 'Warehouse Keeper', 'a_trader_MDarkElf', 8.00, 22.50, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4537, 30141, 'Talloth', 'Tetrarch', 'a_clergyman_MDarkElf', 6.00, 23.80, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 3, 0, 0, 50, 123, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4538, 30143, 'Trudy', 'Master', 'a_fighterguild_teacher_FDarkElf', 8.00, 23.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4539, 30144, 'Harne', 'Magister', 'a_mageguild_teacher_FDarkElf', 8.00, 23.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4540, 30145, 'Vlasty', 'Magister', 'a_mageguild_teacher_MDarkElf', 8.00, 22.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4541, 30146, 'Mirabel', 'Gatekeeper', 'a_common_people_FElf', 8.00, 25.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4542, 30147, 'Unoren', 'Trader', 'a_trader_MElf', 8.00, 25.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4543, 30148, 'Ariel', 'Trader', 'a_trader_FElf', 8.00, 24.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4544, 30149, 'Creamees', 'Trader', 'a_trader_MElf', 8.00, 25.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4545, 30150, 'Herbiel', 'Trader', 'a_trader_MElf', 8.00, 25.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4546, 30151, 'Chad', 'Warehouse Keeper', 'a_trader_MElf', 8.00, 25.00, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4547, 30152, 'Julia', 'Warehouse Keeper', 'a_common_people_FElf', 8.00, 25.50, 70, 'female', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4548, 30153, 'Markius', 'Warehouse Keeper', 'a_trader_MElf', 8.00, 25.00, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4549, 30154, 'Asterios', 'Hierarch', 'a_patriarch_MElf', 8.00, 22.50, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4550, 30155, 'Ellenia', 'Master', 'a_fighterguild_teacher_FElf', 8.00, 22.50, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4551, 30156, 'Cobendell', 'Master', 'a_guard_MElf', 8.00, 23.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4552, 30157, 'Greenis', 'Magister', 'a_trader_FElf', 8.00, 24.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4553, 30158, 'Esrandell', 'Magister', 'a_patriarch_MElf', 8.00, 22.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4554, 30162, 'Karin', 'Gatekeeper', 'a_teleporter_FHuman', 8.00, 25.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4555, 30163, 'Rex', 'Trader', 'a_traderB_MHuman', 8.00, 25.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4556, 30164, 'Ian', 'Trader', 'a_traderB_MHuman', 8.00, 25.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4557, 30165, 'Ralford', 'Trader', 'a_trader_FElf', 8.00, 24.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4558, 30166, 'Wesley', 'Magic Trader', 'a_traderA_MHuman', 10.00, 24.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4559, 30169, 'Marty', 'Warehouse Keeper', 'a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4560, 30170, 'Radic', 'Warehouse Keeper', 'a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4561, 30171, 'Gaius', 'Magister', 'a_mageguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4562, 30174, 'Arkenias', 'Grand Magister', 'a_mageguild_teacher_FElf', 7.00, 21.20, 70, 'female', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4563, 30175, 'Fairen', 'Grand Magister', 'a_mageguild_teacher_FDarkElf', 8.00, 23.00, 70, 'female', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4564, 30176, 'Valleria', 'Grand Magister', 'a_mageguild_master_FHuman', 8.00, 23.00, 70, 'female', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4565, 30177, 'Valentina', 'Gatekeeper', 'a_teleporter_FHuman', 8.00, 25.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4566, 30178, 'Zenkin', 'Trader', 'a_traderA_MHuman', 10.00, 24.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4567, 30179, 'Raudia', 'Trader', 'a_traderB_FHuman', 8.00, 24.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4568, 30180, 'Sara', 'Trader', 'a_traderA_FHuman', 7.00, 23.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4569, 30181, 'Galibredo', 'Trader', 'a_traderA_MHuman', 10.00, 24.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4570, 30182, 'Cliff', 'Warehouse Keeper', 'a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4571, 30183, 'Hagger', 'Warehouse Keeper', 'a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4572, 30184, 'Rigol', 'Master', 'a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4573, 30185, 'Taniac Blackbird', 'Master', 'a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4574, 30186, 'Bhan', 'Master', 'a_guard_MElf', 7.00, 22.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4575, 30187, 'Klaus Blackbird', 'Grand Master', 'a_fighterguild_master_Mhuman_old', 8.00, 23.50, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4576, 30188, 'Vadin', 'Priest', 'a_sanctuary_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4577, 30189, 'Rovia', 'Magister', 'a_mageguild_teacher_FElf', 7.00, 21.20, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4578, 30190, 'Phanovia', 'Magister', 'a_mageguild_teacher_FHuman', 8.00, 23.50, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4579, 30191, 'Hollint', 'High Priest', 'a_sanctuary_master_MHuman', 8.00, 24.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4580, 30192, 'Darya', 'Master', 'a_fighterguild_teacher_FDarkElf', 8.00, 23.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4581, 30194, 'Gideon', 'Magister', 'a_mageguild_teacher_MDarkElf', 8.00, 22.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4582, 30195, 'Brecson', 'Grand Master', 'a_guild_master_MDarkElf', 8.00, 23.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4583, 30196, 'Mouen', 'Captain', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Npc', 'npc', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 1000, 500, 129, 102, 0, 50, 160, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(4584, 30197, 'Hector', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 275, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4585, 30198, 'Jerin', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 2, 20, 0, 50, 160, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(4586, 30199, 'Yates', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 275, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4587, 30200, 'Stan', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 275, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4588, 30201, 'Pinaps', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 275, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4589, 30207, 'Arodin', 'Trader', 'a_traderA_MHuman', 10.00, 24.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4590, 30208, 'Damion', 'Trader', 'a_traderB_MHuman', 8.00, 25.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4591, 30209, 'Colleen', 'Trader', 'a_traderB_FHuman', 8.00, 24.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4592, 30210, 'Norman', 'Warehouse Keeper', 'a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4593, 30216, 'Wheeler', 'Sentinel', 'a_guard_MElf', 8.00, 23.50, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 130, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4594, 30217, 'Berros', 'Sentinel', 'a_guard_MElf', 8.00, 23.50, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 276, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4595, 30218, 'Kendell', 'Sentinel', 'a_guard_MElf', 8.00, 23.50, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 276, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4596, 30219, 'Veltress', 'Sentinel', 'a_guard_MElf', 8.00, 23.50, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 130, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4597, 30220, 'Starden', 'Sentinel', 'a_guard_MElf', 8.00, 23.50, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 276, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4598, 30221, 'Rayen', 'Sentinel', 'a_guard_MElf', 8.00, 23.50, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 130, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4599, 30222, 'Alshupes', '', 'a_common_people_MElf', 6.00, 21.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4600, 30223, 'Arujien', '', 'a_trader_MElf', 8.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4601, 30224, 'Rayla', 'Sentry Knight', 'a_guard_FDarkelf', 8.00, 25.00, 80, 'female', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 79, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4602, 30230, 'Edroc', 'Trader', 'a_traderB_MHuman', 8.00, 25.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4603, 30231, 'Garette', 'Trader', 'a_traderB_MHuman', 8.00, 25.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4604, 30232, 'Sorint', 'Warehouse Keeper', 'a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4605, 30233, 'Esmeralda', 'Gatekeeper', 'a_teleporter_FHuman', 8.00, 25.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4606, 30253, 'Simplon', 'Trader', 'a_traderA_MHuman', 10.00, 24.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4607, 30254, 'Harmony', 'Trader', 'a_traderA_FHuman', 7.00, 23.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4608, 30255, 'Haprock', 'Warehouse Keeper', 'a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4609, 30256, 'Bella', 'Gatekeeper', 'a_teleporter_FHuman', 8.00, 25.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4610, 30283, 'Altran', 'Blacksmith', 'e_smith_master_MDwarf', 8.00, 17.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 89, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4611, 30284, 'Alberius', 'Sentinel Knight', 'a_guard_MElf', 8.00, 23.50, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 150, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4612, 30285, 'Gartrandell', 'Sentinel', 'a_guard_MElf', 8.00, 23.50, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 130, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4613, 30288, 'Rains', 'Grand Master', 'a_fighterguild_master_Mhuman_old', 8.00, 23.50, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4614, 30289, 'Raymond', 'High Priest', 'a_sanctuary_master_MHuman', 8.00, 24.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4615, 30290, 'Xenos', 'Grand Master', 'a_guild_master_MDarkElf', 8.00, 23.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4616, 30291, 'Alex', 'Captain', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 1000, 500, 68, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4617, 30293, 'Manuel', 'Priest', 'a_patriarch_MElf', 7.00, 22.20, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4618, 30294, 'Varan', 'Trader', 'a_traderB_MHuman', 8.00, 25.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4619, 30297, 'Tobias', 'Grand Master', 'a_guild_master_MDarkElf', 8.00, 23.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4620, 30298, 'Pinter', 'Blacksmith', 'e_smith_master_MDwarf', 7.00, 16.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 89, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4621, 30300, 'Pushkin', 'Blacksmith', 'e_smith_master_MDwarf', 7.00, 16.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 89, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4622, 30301, 'Hally', 'Trader', 'a_traderA_FHuman', 7.00, 23.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4623, 30305, 'Vellior', 'Tetrarch', 'a_clergyman_MDarkElf', 8.00, 22.30, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4624, 30307, 'Karrod', 'Blacksmith', 'a_common_people_MDarkElf', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4625, 30311, 'Sir Collin Windawood', '', 'a_royal_guardA_MHuman', 8.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4626, 30312, 'Rockswell', 'Lighthouse Keeper', 'a_common_peopleA_MHuman', 8.00, 21.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4627, 30313, 'Asha', 'Trader', 'a_traderA_FHuman', 7.00, 23.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4628, 30314, 'Nestle', 'Trader', 'a_traderB_MHuman', 8.00, 25.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4629, 30315, 'Poesia', 'Trader', 'a_traderA_FHuman', 7.00, 23.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4630, 30316, 'Raut', 'Warehouse Keeper', 'a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4631, 30317, 'Kluto', 'Blacksmith', 'e_smith_master_MDwarf', 7.00, 16.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 89, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4632, 30320, 'Richlin', 'Gatekeeper', 'a_teleporter_FHuman', 8.00, 25.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4633, 30321, 'Sydnia', 'Trader', 'a_traderA_FHuman', 7.00, 23.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4634, 30322, 'Ballin', 'Warehouse Keeper', 'a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4635, 30325, 'Audiberti', 'Master', 'a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4636, 30326, 'Leona', 'Master', 'a_fighterguild_teacher_FHuman', 9.50, 22.40, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4637, 30327, 'Sorius', 'Master', 'a_guard_MElf', 7.00, 22.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4638, 30328, 'Reisa', 'Master', 'a_common_people_FElf', 8.00, 22.50, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4639, 30329, 'Virgil', 'Master', 'a_fighterguild_teacher_MDarkElf', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4640, 30330, 'Sidra', 'Magister', 'a_mageguild_teacher_FDarkElf', 8.00, 23.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4641, 30331, 'Thoma', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 333, 275, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4642, 30332, 'Bathis', 'Captain', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Npc', 'npc', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 1000, 333, 129, 102, 0, 50, 160, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(4643, 30333, 'Praga', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 333, 2, 20, 0, 50, 160, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(4644, 30334, 'Babenco', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 275, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4645, 30335, 'Brynn', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 275, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4646, 30336, 'Curtis', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 275, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4647, 30337, 'Moretti', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 333, 2, 20, 0, 50, 160, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(4648, 30338, 'Melville', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 333, 275, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4649, 30342, 'Varsak', '', 'a_common_peopleB_MHuman', 8.00, 22.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4650, 30344, 'Rohmer', 'Magister', 'a_mageguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4651, 30345, 'Ramoniell', 'Magister', 'a_trader_FElf', 7.00, 21.20, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4652, 30346, 'Kayleen', 'Sentry', 'a_guard_FDarkelf', 8.00, 25.00, 80, 'female', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 277, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4653, 30347, 'Marion', 'Sentry', 'a_guard_FDarkelf', 8.00, 25.00, 80, 'female', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 132, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4654, 30348, 'Nelsya', 'Sentry', 'a_guard_FDarkelf', 8.00, 25.00, 80, 'female', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 132, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4655, 30349, 'Jenna', 'Sentry', 'a_guard_FDarkelf', 8.00, 25.00, 80, 'female', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 277, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4656, 30350, 'Carlon', 'Warehouse Keeper', 'a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4657, 30351, 'Astaron', '', 'a_common_people_MDarkElf', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4658, 30352, 'Karina', '', 'a_common_people_FDarkElf', 8.00, 21.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4659, 30353, 'Jughead', '', 'a_common_people_MDarkElf', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4660, 30354, 'Jewel', '', 'a_common_people_FDarkElf', 8.00, 21.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4661, 30355, 'Roselyn', 'Sentry', 'a_guard_FDarkelf', 7.00, 25.00, 80, 'female', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 277, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4662, 30356, 'Altima', 'Sentry', 'a_guard_FDarkelf', 8.00, 25.00, 80, 'female', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 277, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4663, 30357, 'Kristin', 'Sentry', 'a_guard_FDarkelf', 8.00, 25.00, 80, 'female', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 132, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4664, 30358, 'Thifiell', 'Tetrarch', 'a_clergyman_MDarkElf', 8.00, 22.30, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4665, 30359, 'Kaitar', 'Tetrarch', 'a_clergyman_MDarkElf', 8.00, 22.30, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4666, 30360, 'Harant', 'Master', 'a_fighterguild_teacher_MDarkElf', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4667, 30361, 'Rizraell', '', 'a_common_people_FElf', 8.00, 25.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4668, 30362, 'Andellia', '', 'a_common_people_FElf', 8.00, 25.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4669, 30363, 'Aios', 'Blacksmith', 'a_trader_MElf', 6.00, 21.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4670, 30368, 'Lilith', '', 'a_common_people_FElf', 8.00, 25.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4671, 30369, 'Baenedes', 'Master', 'a_guard_MElf', 7.00, 22.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4672, 30370, 'Nerupa', '', 'aracne', 15.00, 26.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 64, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(4673, 30371, 'Thalia', '', 'a_common_people_FElf', 8.00, 25.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4674, 30373, 'Ramos', 'Grand Master', 'a_fighterguild_master_Mhuman_old', 8.00, 23.50, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4675, 30374, 'Rhodiell', 'Master', 'a_common_people_FElf', 8.00, 22.50, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4676, 30375, 'Adonius', 'Priest', 'a_patriarch_MElf', 7.00, 22.20, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4677, 30376, 'Nell', 'Magister', 'a_trader_FElf', 7.00, 21.20, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4678, 30377, 'Talbot', 'Magister', 'a_mageguild_teacher_MDarkElf', 8.00, 22.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4679, 30378, 'Estella', 'Master', 'a_fighterguild_teacher_FDarkElf', 8.00, 23.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4680, 30379, 'Bezique', 'Captain', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 280, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4681, 30380, 'Plink', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 275, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4682, 30381, 'Alvah', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 275, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4683, 30382, 'Leikan', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 2, 20, 0, 50, 160, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(4684, 30383, 'Scott', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 275, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4685, 30384, 'Linus', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 2, 20, 0, 50, 160, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(4686, 30385, 'Weisz', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 275, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4687, 30386, 'Luis', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 2, 20, 0, 50, 160, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(4688, 30387, 'Clancy', 'Wharf Manager', 'a_wharfinger_MHuman', 8.00, 23.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4689, 30391, 'Parina', '', 'a_common_peopleB_FHuman', 8.00, 20.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4690, 30400, 'Newbie Helper', '', 'a_guard_MElf', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4691, 30401, 'Newbie Helper', '', 'a_guard_MElf', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(4692, 30402, 'Newbie Helper', '', 'a_guard_MElf', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(4693, 30403, 'Newbie Helper', '', 'a_guard_MElf', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(4694, 30404, 'Newbie Helper', '', 'a_clergyman_MDarkElf', 8.00, 22.30, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(4695, 30405, 'Marius', '', 'a_trader_MElf', 8.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4696, 30406, 'Matheo', '', 'a_common_peopleA_MHuman', 8.00, 21.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4697, 30407, 'Mesella', '', 'a_common_peopleA_FHuman', 8.00, 21.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4698, 30408, 'Lionel', '', 'a_common_peopleA_MHuman', 8.00, 21.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4699, 30409, 'Earth Snake', '', 'lesser_basilisk', 34.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 35, 100, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 1, 0),
	(4700, 30410, 'Wasteland Lizardman', '', 'virud_lizardman', 10.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 43, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(4701, 30411, 'Flame Salamander', '', 'salamander', 16.00, 6.80, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 64, 96, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.20, 'false', 'NONE', 1, 0),
	(4702, 30412, 'Wind Sylph', '', 'sylph', 11.00, 35.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 60, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(4703, 30413, 'Water Undine', '', 'undine', 12.00, 27.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 60, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.35, 'false', 'NONE', 1, 0),
	(4704, 30414, 'Rosella', '', 'a_common_people_FElf', 8.00, 25.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4705, 30415, 'Charkeren', '', 'a_common_people_MDarkElf', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4706, 30416, 'Triskel', '', 'a_common_people_MDarkElf', 7.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4707, 30417, 'Sir Klaus Vasper', '', 'a_royal_guardA_MHuman', 7.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4708, 30418, 'Annika', '', 'a_common_people_FDarkElf', 8.00, 21.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4709, 30419, 'Arkenia', 'Witch', 'a_clergyman_FDarkElf', 8.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4710, 30420, 'Tyra', '', 'a_trader_Fdarkelf', 8.00, 24.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4711, 30421, 'Varika', 'Witch', 'a_clergyman_FDarkElf', 8.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4712, 30422, 'Kalinta', 'Abyssal Celebrant', 'a_clergyman_FDarkElf', 8.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4713, 30423, 'Northwind', '', 'a_trader_MElf', 8.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4714, 30424, 'Allana', '', 'a_sanctuary_teacher_FHuman', 8.00, 22.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4715, 30425, 'Neti', '', 'a_common_peopleA_FHuman', 8.00, 21.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4716, 30426, 'Prias', '', 'a_wharfinger_MHuman', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4717, 30427, 'Siff', 'Gatekeeper', 'a_teleporter_FHuman', 8.00, 25.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4718, 30428, 'Perrin', '', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4719, 30429, 'Tiramisa', 'Gatekeeper', 'a_teleporter_FHuman', 8.00, 25.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4720, 30430, 'Trionell', 'Sentinel', 'a_guard_MElf', 8.00, 23.50, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 130, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4721, 30431, 'Eriel', 'Sentinel', 'a_guard_MElf', 8.00, 23.50, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 130, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4722, 30432, 'Irene', 'Sentry', 'a_guard_FDarkelf', 8.00, 25.00, 80, 'female', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 132, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4723, 30433, 'Kathaway', 'Sentry', 'a_guard_FDarkelf', 8.00, 25.00, 80, 'female', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 132, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4724, 30434, 'Samed', '', 'a_wharfinger_MHuman', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4725, 30435, 'Leopold', '', 'a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4726, 30436, 'Sarien', 'Trader', 'a_traderA_MHuman', 8.00, 24.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4727, 30437, 'Rolento', 'Trader', 'a_traderA_MDwarf', 8.00, 17.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4728, 30452, 'Kurt', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 333, 2, 20, 0, 50, 160, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(4729, 30458, 'Poitan', 'Blacksmith', 'e_smith_master_MDwarf', 7.00, 16.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 89, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4730, 30459, 'Wandius', 'Master', 'a_guard_MElf', 7.00, 22.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4731, 30460, 'Cardien', 'Master', 'a_fighterguild_teacher_FElf', 8.00, 22.50, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4732, 30461, 'Mirien', 'Magister', 'a_mageguild_teacher_FElf', 7.00, 21.20, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4733, 30462, 'Tronix', 'Grand Master', 'a_guild_master_MDarkElf', 8.00, 23.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4734, 30463, 'Ixia', 'Master', 'a_fighterguild_teacher_FDarkElf', 8.00, 23.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4735, 30464, 'Clayton', 'Magister', 'a_mageguild_teacher_MDarkElf', 8.00, 22.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4736, 30465, 'Herven', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 275, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4737, 30466, 'Bright', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 2, 20, 0, 50, 160, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(4738, 30469, 'Jonas', '', 'a_common_peopleB_MHuman', 8.00, 22.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4739, 30471, 'Rupio', 'Blacksmith', 'e_smith_master_MDwarf', 7.00, 16.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 89, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4740, 30472, 'Rosheria', 'Master', 'a_common_people_FElf', 8.00, 22.50, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4741, 30473, 'Bandellos', 'Priest', 'a_patriarch_MElf', 7.00, 22.20, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4742, 30474, 'Angus', 'Grand Master', 'a_guild_master_MDarkElf', 8.00, 23.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4743, 30475, 'Stapin', 'Master', 'a_fighterguild_teacher_MDarkElf', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4744, 30476, 'Kaira', 'Magister', 'a_mageguild_teacher_FDarkElf', 8.00, 23.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4745, 30477, 'Sir Ortho Lancer', '', 'a_royal_guardA_MHuman', 7.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4746, 30478, 'Reikin', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 275, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4747, 30483, 'Mozella', 'Gatekeeper', 'a_teleporter_FHuman', 8.00, 25.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4748, 30484, 'Ponti', 'Gatekeeper', 'a_teleporter_FHuman', 8.00, 25.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4749, 30485, 'Capella', 'Gatekeeper', 'a_teleporter_FHuman', 8.00, 25.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4750, 30486, 'Hanna', 'Gatekeeper', 'a_teleporter_FHuman', 8.00, 25.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4751, 30487, 'Penelope', 'Gatekeeper', 'a_teleporter_FHuman', 8.00, 25.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4752, 30497, 'Edmond', '', 'a_common_peopleB_MHuman', 8.00, 22.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4753, 30498, 'Moke', 'Warehouse Chief', 'a_warehouse_keeper_MDwarf', 8.00, 17.50, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4754, 30499, 'Tapoy', 'Head Blacksmith', 'e_smith_master_MDwarf', 8.00, 16.50, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4755, 30500, 'Osborn', 'High Prefect', 'e_guard_MOrc', 8.00, 26.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4756, 30501, 'Kasman', 'Prefect', 'e_fighterguild_teacher_MOrc', 8.00, 28.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4757, 30502, 'Umos', 'Seer', 'e_clergyman_MOrc', 8.00, 29.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4758, 30503, 'Rikadio', 'Warehouse Chief', 'a_warehouse_keeper_MDwarf', 8.00, 17.50, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4759, 30504, 'Mendio', 'Head Blacksmith', 'e_smith_master_MDwarf', 8.00, 16.50, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4760, 30505, 'Drikus', 'High Prefect', 'e_guard_MOrc', 8.00, 26.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4761, 30506, 'Buka', 'Prefect', 'e_fighterguild_teacher_MOrc', 8.00, 28.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4762, 30507, 'Racoy', 'Seer', 'e_clergyman_MOrc', 8.00, 29.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4763, 30508, 'Castor', 'High Prefect', 'e_guard_MOrc', 8.00, 26.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4764, 30509, 'Dowki', 'Prefect', 'e_fighterguild_teacher_MOrc', 8.00, 28.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4765, 30510, 'Somak', 'Seer', 'e_clergyman_MOrc', 8.00, 29.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4766, 30511, 'Gesto', 'Warehouse Chief', 'a_warehouse_keeper_MDwarf', 8.00, 17.50, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4767, 30512, 'Kusto', 'Head Blacksmith', 'e_smith_master_MDwarf', 8.00, 16.50, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4768, 30513, 'Penatus', 'High Prefect', 'e_guard_MOrc', 8.00, 26.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4769, 30514, 'Vokian', 'Prefect', 'e_fighterguild_teacher_MOrc', 8.00, 28.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4770, 30515, 'Manakia', 'Seer', 'e_clergyman_MOrc', 8.00, 29.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4771, 30516, 'Reep', 'Trader', 'a_traderA_MDwarf', 8.00, 17.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4772, 30517, 'Shari', 'Trader', 'e_traderA_FDwarf', 7.00, 18.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4773, 30518, 'Garita', 'Trader', 'a_traderA_MDwarf', 8.00, 17.50, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4774, 30519, 'Mion', 'Trader', 'e_traderA_FDwarf', 7.00, 18.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4775, 30520, 'Reed', 'Warehouse Chief', 'a_warehouse_keeper_MDwarf', 8.00, 17.50, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4776, 30521, 'Murdoc', 'Warehouse Keeper', 'a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4777, 30522, 'Airy', 'Warehouse Keeper', 'e_traderA_FDwarf', 7.00, 18.00, 70, 'female', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4778, 30523, 'Gouph', 'Collector', 'e_collector_teacher_MDwarf', 8.00, 17.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4779, 30524, 'Pippi', 'Collector', 'e_collector_teacher_FDwarf', 8.00, 17.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4780, 30525, 'Bronk', 'Head Blacksmith', 'e_smith_master_MDwarf', 8.00, 16.50, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4781, 30526, 'Brunon', 'Blacksmith', 'e_smith_master_MDwarf', 7.00, 16.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 89, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4782, 30527, 'Silvera', 'Blacksmith', 'e_smith_Fdwarf', 8.00, 17.50, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4783, 30528, 'Laferon', 'Foreman', 'e_guard_MDwarf', 8.00, 19.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4784, 30529, 'Maron', 'Miner', 'e_mine_master_MDwarf', 8.00, 19.70, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4785, 30530, 'Newbie Helper', '', 'e_mine_teacher_FDwarf', 8.00, 18.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4786, 30531, 'Lockirin', 'Iron Gate\'s', 'a_warehouse_keeper_MDwarf', 8.00, 17.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4787, 30532, 'Spiron', 'Golden Wheel\'s', 'a_traderA_MDwarf', 8.00, 18.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4788, 30533, 'Balanki', 'Silver Scale\'s', 'a_traderA_MDwarf', 8.00, 17.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4789, 30534, 'Keef', 'Bronze Key\'s', 'e_collector_master_MDwarf', 8.00, 18.40, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4790, 30535, 'Filaur', 'Gray Pillar Member', 'e_mine_master_MDwarf', 8.00, 19.70, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4791, 30536, 'Arin', 'Black Anvil\'s', 'e_smith_master_MDwarf', 8.00, 16.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4792, 30537, 'Daichir', 'Priest of the Earth', 'e_clergyman_MDwarf', 8.00, 19.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4793, 30538, 'Zimenf', 'Priest of the Earth', 'e_clergyman_MDwarf', 8.00, 17.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4794, 30539, 'Chichirin', 'Priestess of the Earth', 'e_traderA_FDwarf', 7.00, 18.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4795, 30540, 'Wirphy', 'Gatekeeper', 'e_teleporter_FDwarf', 8.00, 21.30, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4796, 30541, 'Paion', 'Protector', 'e_guard_MDwarf', 8.00, 19.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 333, 282, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4797, 30542, 'Runant', 'Defender', 'e_guard_MDwarf', 8.00, 19.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 333, 273, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4798, 30543, 'Ethan', 'Defender', 'e_guard_MDwarf', 8.00, 19.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 333, 296, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4799, 30544, 'Cromwell', 'Defender', 'e_guard_MDwarf', 8.00, 19.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 333, 296, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4800, 30545, 'Proton', 'Defender', 'e_guard_MDwarf', 8.00, 19.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 333, 296, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4801, 30546, 'Dinkey', 'Defender', 'e_guard_MDwarf', 8.00, 19.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 333, 273, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4802, 30547, 'Tardyon', 'Defender', 'e_guard_MDwarf', 8.00, 19.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 333, 273, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4803, 30548, 'Nathan', 'Defender', 'e_guard_MDwarf', 8.00, 19.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 333, 296, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4804, 30549, 'Ghouliff Droopstone', '', 'a_traderA_MDwarf', 8.00, 17.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(4805, 30550, 'Gauri Twinklerock', '', 'e_traderA_FDwarf', 7.00, 18.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4806, 30551, 'Tink Wandergold', '', 'a_traderA_MDwarf', 8.00, 17.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(4807, 30552, 'Kiril Sparkystone', '', 'e_traderA_FDwarf', 8.00, 19.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(4808, 30553, 'Maryse Redbonnet', '', 'e_traderA_FDwarf', 7.00, 18.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4809, 30554, 'Bolter', 'Miner', 'e_mine_master_MDwarf', 8.00, 19.70, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4810, 30555, 'Torocco', 'Carrier', 'a_traderA_MDwarf', 8.00, 17.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4811, 30556, 'Toma', 'Master', 'e_collector_master_MDwarf', 8.00, 18.40, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4812, 30557, 'Torai', '', 'a_traderA_MDwarf', 8.00, 17.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4813, 30558, 'Jakal', 'Trader', 'e_trader_MOrc', 8.00, 23.50, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4814, 30559, 'Kunai', 'Trader', 'e_trader_FOrc', 8.00, 24.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4815, 30560, 'Uska', 'Trader', 'e_trader_MOrc', 8.00, 23.50, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4816, 30561, 'Papuma', 'Trader', 'e_trader_MOrc', 8.00, 23.50, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4817, 30562, 'Grookin', 'Warehouse Keeper', 'e_trader_MOrc', 8.00, 23.50, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4818, 30563, 'Imantu', 'Warehouse Keeper', 'e_trader_MOrc', 8.00, 23.50, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4819, 30564, 'Sumari', 'Blacksmith', 'e_trader_MOrc', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4820, 30565, 'Kakai', 'Flame Lord', 'e_fighterguild_teacher_MOrc', 8.00, 28.50, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4821, 30566, 'Varkees', 'Atuba Chief', 'e_guard_MOrc', 8.00, 27.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 81, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4822, 30567, 'Tantus', 'Neruga Chief', 'e_guard_MOrc', 8.00, 27.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 175, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4823, 30568, 'Hatos', 'Urutu Chief', 'e_guard_MOrc', 8.00, 27.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 202, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4824, 30569, 'Brukurse', 'Prefect', 'e_fighterguild_teacher_MOrc', 8.00, 28.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4825, 30570, 'Karukia', 'Prefect', 'e_trader_FOrc', 8.00, 24.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4826, 30571, 'Tanapi', 'Seer', 'e_clergyman_MOrc', 8.00, 29.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4827, 30572, 'Livina', 'Seer', 'e_clergyman_FOrc', 7.00, 28.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 3, 0, 0, 50, 123, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4828, 30573, 'Vulkus', 'Flame Guardian', 'e_fighterguild_teacher_MOrc', 8.00, 28.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4829, 30575, 'Newbie Helper', '', 'e_clergyman_FOrc', 6.50, 28.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4830, 30576, 'Tamil', 'Gatekeeper', 'e_teleporter_FOrc', 8.00, 32.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4831, 30577, 'Rukain', 'Praetorian', 'e_guard_MOrc', 8.00, 27.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 279, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4832, 30578, 'Nakusin', 'Centurion', 'e_guard_MOrc', 8.00, 27.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 275, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4833, 30579, 'Tamai', 'Centurion', 'e_guard_MOrc', 8.00, 27.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 275, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4834, 30580, 'Parugon', 'Centurion', 'e_guard_MOrc', 8.00, 27.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 91, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4835, 30581, 'Orinak', 'Centurion', 'e_guard_MOrc', 8.00, 27.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 275, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4836, 30582, 'Tiku', 'Centurion', 'e_guard_MOrc', 8.00, 27.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 91, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4837, 30583, 'Petukai', 'Centurion', 'e_guard_MOrc', 8.00, 27.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 91, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4838, 30584, 'Vapook', 'Centurion', 'e_guard_MOrc', 8.00, 27.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 91, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4839, 30585, 'Tataru Zu Hestui', '', 'e_common_people_MOrc', 8.00, 26.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4840, 30586, 'Anai Zu Neruga', '', 'e_trader_FOrc', 8.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(4841, 30587, 'Gantaki Zu Urutu', '', 'e_common_people_MOrc', 8.00, 26.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4842, 30588, 'Takia Zu Duda-Mara', '', 'e_trader_FOrc', 8.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(4843, 30589, 'Kazkin Zu Gandi', '', 'e_trader_MOrc', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(4844, 30590, 'Rosheek', 'Khavatari', 'e_fighterguild_teacher_MOrc', 8.00, 28.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4845, 30591, 'Toruku', 'Khavatari', 'e_fighterguild_teacher_MOrc', 8.00, 28.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4846, 30592, 'Hestui Totem Spirit', '', 'grizzly', 21.00, 40.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 40, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(4847, 30593, 'Duda-Mara Totem Spirit', '', 'giant_spider', 26.00, 26.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 72, 130, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.26, 'false', 'NONE', 1, 0),
	(4848, 30594, 'Ranspo', 'Warehouse Chief', 'a_warehouse_keeper_MDwarf', 8.00, 17.50, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4849, 30595, 'Opix', 'Head Blacksmith', 'e_smith_master_MDwarf', 8.00, 16.50, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4850, 30596, 'Harkel', 'Partisan Doorman', 'ol_mahum', 13.50, 25.00, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(4851, 30597, 'Piotur', '', 'a_common_peopleB_MHuman', 8.00, 22.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4852, 30598, 'Newbie Guide', '', 'a_sanctuary_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2NewbieGuide', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4853, 30599, 'Newbie Guide', '', 'a_guard_MElf', 8.00, 23.50, 70, 'male', 'L2NewbieGuide', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4854, 30600, 'Newbie Guide', '', 'a_guild_master_MDarkElf', 8.00, 23.00, 70, 'male', 'L2NewbieGuide', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4855, 30601, 'Newbie Guide', '', 'e_guard_MDwarf', 8.00, 19.00, 70, 'male', 'L2NewbieGuide', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4856, 30602, 'Newbie Guide', '', 'e_guard_MOrc', 8.00, 27.00, 70, 'male', 'L2NewbieGuide', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4857, 30608, 'Maria', '', 'a_common_peopleB_FHuman', 8.00, 20.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4858, 30609, 'Creta', 'Astrologer', 'a_mageguild_teacher_FHuman', 8.00, 23.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4859, 30610, 'Cronos', 'Elder', 'a_mageguild_master_MHuman', 8.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4860, 30611, 'Triff', 'Drunkard', 'a_traderA_MDwarf', 8.00, 17.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4861, 30612, 'Casian', 'Elder', 'a_mageguild_master_MHuman', 8.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4862, 30613, 'Alders Spirit', '', 'a_common_peopleB_MHuman', 8.00, 22.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(4863, 30614, 'Metheus', 'Brother', 'a_sanctuary_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4864, 30615, 'Voltar', 'Breka Chief', 'e_guard_MOrc', 8.00, 27.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 173, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 1, 0),
	(4865, 30616, 'Kepra', 'Enku Chief', 'e_guard_MOrc', 8.00, 27.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 162, 0, 0, 45, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.76, 'false', 'NONE', 1, 0),
	(4866, 30617, 'Burai', 'Turek Chief', 'e_guard_MOrc', 8.00, 27.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 172, 0, 0, 45, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.26, 'false', 'NONE', 1, 0),
	(4867, 30618, 'Harak', 'Leunt Chief', 'e_guard_MOrc', 8.00, 27.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 172, 0, 0, 45, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(4868, 30619, 'Driko', 'Vuku Chief', 'e_guard_MOrc', 8.00, 27.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 183, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 1, 0),
	(4869, 30620, 'Emily', '', 'a_common_peopleA_FHuman', 8.00, 21.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4870, 30621, 'Nikola', 'Maestro', 'e_smith_master_MDwarf', 8.00, 17.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4871, 30622, 'Box Of Titan', '', 'coffer_b', 12.00, 9.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4872, 30623, 'Kaien', 'Duelist', 'a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 135, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4873, 30624, 'Ascalon', 'Veteran', 'a_wharfinger_MHuman', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 16, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4874, 30625, 'Mason', '', 'a_wharfinger_MHuman', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4875, 30626, 'Hamil', 'Sagittarius', 'a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4876, 30627, 'Tree', '', 'human_tree', 35.00, 90.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4877, 30628, 'Strong Wooden Chest', '', 'box', 18.00, 14.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(4878, 30629, 'Rukal', 'Bard', 'a_common_people_MElf', 6.00, 21.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 4202, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4879, 30630, 'Orim', 'Shadow', 'a_hardins_pupil_MHuman', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4880, 30631, 'Roderik', 'Warden', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 2, 20, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(4881, 30632, 'Endrigo', 'Warden', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 2, 20, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(4882, 30633, 'Evert', 'Fisher', 'a_common_peopleA_MHuman', 8.00, 21.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4883, 30634, 'Galatea', 'High Summoner', 'a_mageguild_master_FHuman', 8.00, 23.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4884, 30635, 'Almors', 'Summoner', 'a_mageguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4885, 30636, 'Camoniell', 'Summoner', 'a_trader_FElf', 8.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4886, 30637, 'Belthus', 'Summoner', 'a_mageguild_teacher_MDarkElf', 8.00, 22.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4887, 30638, 'Basilla', 'Summoner', 'a_mageguild_teacher_FHuman', 8.00, 23.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4888, 30639, 'Celestiel', 'Summoner', 'a_patriarch_MElf', 8.00, 22.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4889, 30640, 'Brynthea', 'Summoner', 'a_mageguild_teacher_FDarkElf', 8.00, 23.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4890, 30641, 'Takuna', 'Duda-Mara Chief', 'e_guard_MOrc', 8.00, 28.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 202, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4891, 30642, 'Chianta', 'Gandi Chief', 'e_guard_MOrc', 8.00, 28.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 175, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4892, 30643, 'First Orc', '', 'e_fighterguild_teacher_MOrc', 8.00, 28.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(4893, 30644, 'Kash', '', 'a_common_peopleA_MHuman', 8.00, 21.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4894, 30645, 'Martien', '', 'a_common_peopleB_MHuman', 8.00, 22.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4895, 30646, 'Raldo', 'Champion', 'a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(4896, 30647, 'Chest Of Shyslassys', '', 'coffer_c', 12.00, 9.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(4897, 30648, 'Santiago', 'Hermit', 'a_traderA_MHuman', 8.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4898, 30649, 'Ancestor Martankus', '', 'orc_head', 110.00, 103.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4899, 30650, 'Gerald', 'Priest of the Earth', 'e_traderA_FDwarf', 8.00, 17.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4900, 30651, 'Dorf', 'Wanderer', 'a_traderA_MDwarf', 8.00, 17.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4901, 30652, 'Uruha', '', 'a_common_people_FDarkElf', 8.00, 21.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4902, 30653, 'Sir Aron Tanford', '', 'a_royal_guardA_MHuman', 8.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4903, 30654, 'Sir Kiel Nighthawk', '', 'a_fighterguild_teacher_MDarkElf', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 74, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4904, 30655, 'Isael Silvershadow', '', 'a_fighterguild_teacher_FHuman', 9.50, 22.40, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4905, 30656, 'Spirit Of Sir Talianus', '', 'a_royal_guardA_MHuman', 8.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(4906, 30657, 'Seresin', 'Cardinal', 'a_sanctuary_teacher_FHuman', 8.00, 22.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4907, 30658, 'Gupu', 'Father', 'a_traderA_MDwarf', 8.00, 17.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4908, 30659, 'Orphan Girl', '', 'e_traderA_FDwarf', 8.00, 19.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4909, 30660, 'Windy Shaoring', '', 'e_collector_teacher_FDwarf', 8.00, 17.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4910, 30661, 'Mysterious Dark Elf', '', 'a_casino_FDarkElf', 8.00, 23.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4911, 30662, 'Piper Longbow', '', 'a_common_people_FElf', 8.00, 25.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4912, 30663, 'Slein Shining Blade', '', 'a_guard_MElf', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 69, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4913, 30664, 'Cain Flying Knife', '', 'a_guard_MElf', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 217, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4914, 30665, 'Kristina', 'Saint', 'a_sanctuary_teacher_FHuman', 8.00, 22.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4915, 30666, 'Sla', 'Preacher', 'a_mageguild_teacher_FHuman', 8.00, 23.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4916, 30667, 'Ramus', '', 'a_common_peopleA_MHuman', 8.00, 21.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4917, 30668, 'Katari', '', 'a_common_people_FDarkElf', 8.00, 21.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4918, 30669, 'Kakan', '', 'e_trader_FOrc', 8.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4919, 30670, 'Nyakuri', '', 'e_traderA_FDwarf', 8.00, 19.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4920, 30671, 'Croto', 'Chief', 'e_guard_MOrc', 8.00, 27.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4921, 30672, 'Dubabah', 'Jailer', 'e_guard_MOrc', 8.00, 27.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4922, 30673, 'Lorain', 'Researcher', 'e_collector_teacher_FDwarf', 8.00, 17.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4923, 30674, 'Daurin Hammercrush', '', 'a_traderA_MDwarf', 8.00, 17.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4924, 30675, 'Corpse Of Kamur', '', 'e_trader_Morc_death', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4925, 30676, 'Croop', 'Warehouse Chief', 'a_warehouse_keeper_MDwarf', 8.00, 17.50, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4926, 30677, 'Flutter', 'Head Blacksmith', 'e_smith_master_MDwarf', 8.00, 16.50, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4927, 30678, 'Helton', 'Blacksmith', 'e_smith_master_MDwarf', 7.00, 16.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 89, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4928, 30679, 'Roameria', 'Master', 'a_fighterguild_teacher_FElf', 8.00, 22.50, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4929, 30680, 'Egnos', 'Priest', 'a_patriarch_MElf', 7.00, 22.20, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4930, 30681, 'Karia', 'High Prefect', 'e_trader_FOrc', 8.00, 24.00, 70, 'female', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4931, 30682, 'Pekiron', 'Seer', 'e_clergyman_MOrc', 8.00, 29.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4932, 30683, 'Daunt', 'Prefect', 'e_fighterguild_teacher_MOrc', 8.00, 28.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4933, 30684, 'Viktor', 'Trader', 'a_traderB_MHuman', 8.00, 25.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4934, 30685, 'Baxt', 'Warehouse Chief', 'a_warehouse_keeper_MDwarf', 8.00, 17.50, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4935, 30686, 'Silva', 'Warehouse Keeper', 'e_traderA_FDwarf', 7.00, 18.00, 70, 'female', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4936, 30687, 'Vergara', 'Head Blacksmith', 'e_smith_master_MDwarf', 8.00, 16.50, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4937, 30688, 'Duning', 'Blacksmith', 'e_smith_master_MDwarf', 7.00, 16.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 89, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4938, 30689, 'Siria', 'Grand Master', 'a_fighterguild_master_FHuman', 8.00, 21.50, 70, 'female', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4939, 30690, 'Luther', 'Master', 'a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4940, 30691, 'Aren Athebaldt', 'Master', 'a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4941, 30692, 'Stedmiel', 'Master', 'a_guard_MElf', 7.00, 22.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4942, 30693, 'Queenien', 'Master', 'a_common_people_FElf', 8.00, 22.50, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4943, 30694, 'Scraide', 'Grand Magister', 'a_mageguild_master_MHuman', 8.00, 24.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4944, 30695, 'Moses', 'Magister', 'a_mageguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4945, 30696, 'Page', 'Magister', 'a_mageguild_teacher_FHuman', 8.00, 23.50, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4946, 30697, 'Videlrien', 'Magister', 'a_trader_FElf', 7.00, 21.20, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4947, 30698, 'Evelyn', 'Magister', 'a_trader_FElf', 7.00, 21.20, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4948, 30699, 'Medown', 'Grand Master', 'a_guild_master_MDarkElf', 8.00, 23.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 7, 0, 0, 50, 127, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4949, 30700, 'Prestan', 'Master', 'a_fighterguild_teacher_FDarkElf', 8.00, 23.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4950, 30701, 'Errickin', 'Magister', 'a_mageguild_teacher_MDarkElf', 8.00, 22.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4951, 30702, 'Bernard', 'Guild President', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4952, 30703, 'Colin', 'Guild President', 'a_wharfinger_MHuman', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4953, 30704, 'Garvarentz', 'High Prefect', 'e_guard_MOrc', 8.00, 26.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4954, 30705, 'Chakiris', 'Prefect', 'e_fighterguild_teacher_MOrc', 8.00, 28.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4955, 30706, 'Lazenby', 'Seer', 'e_clergyman_MOrc', 8.00, 29.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4956, 30707, 'Raigen', 'Captain', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 129, 102, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(4957, 30708, 'Nasign', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 2, 20, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(4958, 30709, 'Norton', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 275, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4959, 30710, 'Weston', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 2, 20, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(4960, 30711, 'Byron', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 2, 20, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(4961, 30712, 'Makhis', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 2, 20, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(4962, 30713, 'Gardner', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 275, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4963, 30714, 'Paros', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 2, 20, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(4964, 30715, 'Marina', 'Magister', 'a_mageguild_teacher_FHuman', 8.00, 23.50, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4965, 30716, 'Cecile', 'Gatekeeper', 'a_teleporter_FHuman', 8.00, 25.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4966, 30717, 'Gauen', 'Magister', 'a_patriarch_MElf', 7.00, 22.20, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4967, 30718, 'Joan', 'Magister', 'a_trader_FElf', 7.00, 21.20, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4968, 30719, 'Mariell', 'Gatekeeper', 'a_common_people_FElf', 8.50, 23.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4969, 30720, 'Kaiena', 'Magister', 'a_mageguild_teacher_FDarkElf', 8.00, 23.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4970, 30721, 'Ladd', 'Magister', 'a_mageguild_teacher_MDarkElf', 8.00, 22.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4971, 30722, 'Merian', 'Gatekeeper', 'a_teleporter_FDarkElf', 8.00, 25.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4972, 30723, 'Roy', 'Captain', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 129, 102, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(4973, 30724, 'Tavillian', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 2, 20, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(4974, 30725, 'Yening', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 2, 20, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(4975, 30726, 'Tebose', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 2, 20, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(4976, 30727, 'Verona', 'Gatekeeper', 'a_teleporter_FHuman', 8.00, 25.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4977, 30728, 'Leirynn', 'Militiaman', 'a_fighterguild_teacher_FHuman', 9.50, 22.40, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 93, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4978, 30729, 'Borys', 'Drunkard', 'a_wharfinger_MHuman', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4979, 30730, 'Jax', 'Bodyguard', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 232, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4980, 30731, 'Martin', 'Pet Manager', 'a_traderB_MHuman', 8.00, 25.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4981, 30732, 'Ol Mahum Pilgrim', '', 'ol_mahum', 13.50, 25.00, 36, 'male', 'L2Npc', 'npc', 40, 1279, 5.000, 464, 1.950, 40, 43, 30, 21, 20, 20, 0, 0, 205, 176, 93, 143, 253, 0, 500, 1, 0, 0, 50, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(4982, 30733, 'Guard', '', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 275, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(4983, 30734, 'Supply Box On Wharf', '', 'box', 18.00, 14.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(4984, 30735, 'Sophya', 'Mercenary Captain', 'a_fighterguild_master_FHuman', 8.00, 21.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4985, 30736, 'Redfoot', 'Mercenary', 'a_common_peopleA_MHuman', 8.00, 21.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4986, 30737, 'Morgan', 'Guildsman', 'a_traderA_MHuman', 10.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4987, 30738, 'Matild', 'Alchemist', 'e_traderA_FDwarf', 8.00, 19.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4988, 30739, 'Keltir', 'Royal Servant', 'fox', 9.50, 10.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 23, 110, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(4989, 30740, 'Toad', 'Royal Servant', 'poison_toad', 20.00, 10.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 100, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.35, 'false', 'NONE', 0, 0),
	(4990, 30741, 'Rabbit', 'Royal Servant', 'rabbit', 5.00, 4.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 80, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(4991, 30742, 'Rupina', 'Fairy of Love', 'pixy', 5.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(4992, 30743, 'Wisdom Chest', '', 'coffer_c', 12.00, 9.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(4993, 30744, 'Grey', 'Guild Member', 'a_traderA_MHuman', 10.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4994, 30745, 'Tor', 'Guild Member', 'a_common_peopleA_MHuman', 8.00, 21.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4995, 30746, 'Cybellin', '', 'a_teleporter_FDarkElf', 8.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(4996, 30747, 'Mimyu', 'Fairy', 'pixy', 5.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.72, 'false', 'NONE', 1, 0),
	(4997, 30748, 'Exarion', 'Drake', 'drake', 30.00, 100.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 70, 70, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.84, 'false', 'NONE', 1, 0),
	(4998, 30749, 'Zwov', 'Drake', 'drake', 30.00, 100.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 70, 70, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.84, 'false', 'NONE', 1, 0),
	(4999, 30750, 'Kalibran', 'Drake', 'drake', 30.00, 100.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 70, 70, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.84, 'false', 'NONE', 1, 0),
	(5000, 30751, 'Suzet', 'Wyrm', 'wyrm', 29.00, 72.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 70, 70, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.19, 'false', 'NONE', 1, 0),
	(5001, 30752, 'Shamhai', 'Wyrm', 'wyrm', 29.00, 72.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 70, 70, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.19, 'false', 'NONE', 1, 0),
	(5002, 30753, 'Gabrielle', '', 'a_fighterguild_teacher_FHuman', 9.50, 22.40, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5003, 30754, 'Gilmore', 'Antharas Watchman', 'skeleton_knight', 10.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 150, 0, 0, 40, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.17, 'false', 'NONE', 1, 0),
	(5004, 30755, 'Theodric', 'Antharas Watchman', 'skeleton_knight', 10.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 127, 0, 0, 40, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.17, 'false', 'NONE', 1, 0),
	(5005, 30756, 'Sir Kristof Rodemai', '', 'a_royal_guardA_MHuman', 7.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5006, 30757, 'Statue Of Offering', '', 'castle_kent_statue_jewel', 25.00, 98.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5007, 30758, 'Athrea', 'Witch', 'a_hardins_pupil_FHuman', 8.00, 23.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5008, 30759, 'Kalis', 'Witch', 'a_hardins_pupil_FHuman', 8.00, 23.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5009, 30760, 'Sir Gustav Athebaldt', '', 'a_royal_guardA_MHuman', 7.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 128, 0, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5010, 30761, 'Corpse Of Fritz', '', 'e_guard_MDwarf_death', 13.00, 19.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5011, 30762, 'Corpse Of Lutz', '', 'e_guard_MDwarf_death', 13.00, 19.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5012, 30763, 'Corpse Of Kurtz', '', 'e_guard_MDwarf_death', 13.00, 19.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5013, 30764, 'Balthazar', '', 'a_traderA_MDwarf', 8.00, 17.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5014, 30765, 'Imperial Coffer', '', 'coffer_d', 12.00, 9.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5015, 30766, 'Cleo', 'Witch', 'a_hardins_pupil_FHuman', 8.00, 23.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5016, 30767, 'Auctioneer', '', 'a_maidB_FHuman', 8.00, 22.00, 70, 'female', 'L2Auctioneer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5017, 30768, 'Auctioneer', '', 'a_trader_FElf', 8.00, 24.00, 70, 'female', 'L2Auctioneer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5018, 30769, 'Auctioneer', '', 'a_maidB_FHuman', 8.00, 21.50, 70, 'female', 'L2Auctioneer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5019, 30770, 'Auctioneer', '', 'e_traderA_FDwarf', 8.00, 19.00, 70, 'female', 'L2Auctioneer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5020, 30771, 'Auctioneer', '', 'e_trader_FOrc', 8.00, 24.00, 70, 'female', 'L2Auctioneer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5021, 30772, 'Wilson', 'Clan Hall Gatekeeper', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5022, 30773, 'Todd', 'Clan Hall Gatekeeper', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5023, 30827, 'Lundy', 'Pet Manager', 'a_traderB_MHuman', 8.00, 25.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5024, 30828, 'Waters', 'Pet Manager', 'a_traderB_MHuman', 8.00, 25.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5025, 30829, 'Cooper', 'Pet Manager', 'a_traderB_MHuman', 8.00, 25.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5026, 30830, 'Joey', 'Pet Manager', 'a_traderB_MHuman', 8.00, 25.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5027, 30831, 'Nelson', 'Pet Manager', 'a_traderB_MHuman', 8.00, 25.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5028, 30832, 'Hardin', '', 'a_hardin_MHuman', 8.00, 22.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5029, 30833, 'Kaspar', 'Magister', 'a_hardins_pupil_MHuman', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5030, 30834, 'Cema', 'Magic Trader', 'a_hardins_pupil_FHuman', 8.00, 23.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5031, 30835, 'Icarus', 'Lich King', 'liviona', 12.00, 40.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 212, 0, 0, 70, 15, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.74, 'false', 'NONE', 1, 0),
	(5032, 30836, 'Minerva', 'Gatekeeper', 'a_teleporter_FDarkElf', 8.00, 25.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5033, 30837, 'Woodrow', 'Trader', 'a_traderA_MHuman', 10.00, 24.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5034, 30838, 'Woodley', 'Trader', 'a_traderA_MHuman', 10.00, 24.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5035, 30839, 'Holly', 'Trader', 'a_traderA_FHuman', 7.00, 23.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5036, 30840, 'Lorenzo', 'Trader', 'a_common_peopleB_MHuman', 8.00, 22.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5037, 30841, 'Carson', 'Trader', 'a_traderB_MHuman', 8.00, 25.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5038, 30842, 'Alexis', 'Trader', 'a_trader_FElf', 8.00, 24.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5039, 30843, 'Romp', 'Warehouse Keeper', 'a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5040, 30844, 'Walderal', 'Warehouse Keeper', 'a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5041, 30845, 'Klump', 'Warehouse Chief', 'a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5042, 30846, 'Wilbert', 'Blacksmith', 'e_smith_master_MDwarf', 7.00, 16.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 89, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5043, 30847, 'Ferris', 'Head Blacksmith', 'e_smith_master_MDwarf', 8.00, 16.50, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5044, 30848, 'Elisa', 'Gatekeeper', 'a_teleporter_FHuman', 8.00, 25.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5045, 30849, 'Sedrick', 'Grand Master', 'a_royal_guardA_MHuman', 7.00, 24.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5046, 30850, 'Aiken', 'Master', 'a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5047, 30851, 'Kendra', 'Master', 'a_fighterguild_master_FHuman', 8.00, 21.50, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5048, 30852, 'Sinden', 'Master', 'a_guard_MElf', 8.00, 23.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5049, 30853, 'Raien', 'Master', 'a_common_people_FElf', 7.00, 25.50, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5050, 30854, 'Drikiyan', 'Grand Magister', 'a_mageguild_master_MHuman', 8.00, 24.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5051, 30855, 'Desmond', 'Magister', 'a_mageguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5052, 30856, 'Winonin', 'Magister', 'a_common_people_FElf', 7.00, 25.50, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5053, 30857, 'Orven', 'High Priest', 'a_sanctuary_master_MHuman', 8.00, 24.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5054, 30858, 'Ross', 'Priest', 'a_sanctuary_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5055, 30859, 'Vivyan', 'Priestess', 'a_sanctuary_teacher_FHuman', 8.00, 22.50, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5056, 30860, 'Flownia', 'Priestess', 'a_trader_FElf', 8.00, 24.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5057, 30861, 'Leonard', 'Priest', 'a_patriarch_MElf', 8.00, 22.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5058, 30862, 'Oltlin', 'Grand Master', 'a_guild_master_MDarkElf', 8.00, 23.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5059, 30863, 'Ghest', 'Master', 'a_fighterguild_teacher_MDarkElf', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5060, 30864, 'Hanellin', 'Magister', 'a_mageguild_teacher_FDarkElf', 8.00, 23.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5061, 30865, 'Ladanza', 'High Prefect', 'e_fighterguild_teacher_MOrc', 8.00, 26.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5062, 30866, 'Marestella', 'Prefect', 'e_trader_FOrc', 8.00, 24.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5063, 30867, 'Reva', 'Seer', 'e_trader_MOrc', 8.00, 23.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5064, 30868, 'Sir Eric Rodemai', '', 'a_royal_guardA_MHuman', 7.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 128, 632, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5065, 30869, 'Lemper', 'Pet Manager', 'a_traderB_MHuman', 8.00, 25.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5066, 30870, 'Kurtiz', 'Captain', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 129, 102, 0, 50, 160, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5067, 30871, 'Bret', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 275, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(5068, 30872, 'Conroy', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 2, 102, 0, 50, 160, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5069, 30873, 'Coleman', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 333, 275, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(5070, 30874, 'Aldis', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 2, 102, 0, 50, 160, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5071, 30875, 'Carlton', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 275, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(5072, 30876, 'Eastan', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 333, 2, 102, 0, 50, 160, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5073, 30877, 'Grayson', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 333, 275, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(5074, 30878, 'Angelina', 'Gatekeeper', 'a_teleporter_FHuman', 8.00, 25.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5075, 30879, 'Felton', 'Wharf Manager', 'a_wharfinger_MHuman', 8.00, 23.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5076, 30880, 'Viktor Van Dake', 'Border Outpost Captain', 'a_royal_guardA_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 2, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5077, 30881, 'Sanders', 'Border Outpost Aide', 'a_common_peopleB_MHuman', 8.00, 22.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5078, 30882, 'Frontier Guard', '', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 2, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5079, 30883, 'Frontier Guard', '', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 14, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(5080, 30884, 'Frontier Guard', '', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 2, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5081, 30885, 'Frontier Guard', '', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 14, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(5082, 30886, 'Frontier Guard', '', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 2, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5083, 30887, 'Frontier Guard', '', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 14, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(5084, 30888, 'Frontier Guard', '', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 2, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5085, 30889, 'Frontier Guard', '', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 14, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(5086, 30890, 'Espen', 'Trader', 'a_trader_MElf', 6.00, 24.50, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5087, 30891, 'Verona', 'Trader', 'a_traderB_FHuman', 8.00, 24.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5088, 30892, 'Enverun', 'Trader', 'a_traderA_MHuman', 10.00, 24.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5089, 30893, 'Payel', 'Trader', 'a_trader_FElf', 8.00, 24.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5090, 30894, 'Natools', 'Warehouse Chief', 'a_warehouse_keeper_MDwarf', 8.00, 17.50, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5091, 30895, 'Kluck', 'Warehouse Keeper', 'a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5092, 30896, 'Mia', 'Warehouse Keeper', 'e_traderA_FDwarf', 7.00, 18.00, 70, 'female', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5093, 30897, 'Roman', 'Head Blacksmith', 'e_smith_master_MDwarf', 8.00, 16.50, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5094, 30898, 'Morning', 'Blacksmith', 'e_smith_Fdwarf', 8.00, 17.50, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5095, 30899, 'Flauen', 'Gatekeeper', 'a_common_people_FElf', 8.50, 23.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5096, 30900, 'Marcus', 'Grand Master', 'a_fighterguild_master_FHuman', 8.00, 21.50, 70, 'female', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5097, 30901, 'Arti', 'Master', 'a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5098, 30902, 'Karuna', 'Master', 'a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5099, 30903, 'Traus', 'Master', 'a_guard_MElf', 7.00, 22.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5100, 30904, 'Naiel', 'Master', 'a_common_people_FElf', 8.00, 22.50, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5101, 30905, 'Squillari', 'High Priest', 'a_sanctuary_master_MHuman', 8.00, 24.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5102, 30906, 'Ranton', 'Priest', 'a_sanctuary_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5103, 30907, 'Minevia', 'Magister', 'a_mageguild_teacher_FHuman', 8.00, 23.50, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5104, 30908, 'Tanios', 'Priest', 'a_patriarch_MElf', 7.00, 22.20, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5105, 30909, 'Anabel', 'Magister', 'a_trader_FElf', 7.00, 21.20, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5106, 30910, 'Xairakin', 'Grand Master', 'a_guild_master_MDarkElf', 8.00, 23.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5107, 30911, 'Brikus', 'Master', 'a_fighterguild_teacher_MDarkElf', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5108, 30912, 'Xenovia', 'Magister', 'a_mageguild_teacher_FDarkElf', 8.00, 23.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5109, 30913, 'Tushku', 'High Prefect', 'e_fighterguild_teacher_MOrc', 8.00, 26.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5110, 30914, 'Sorbo', 'Prefect', 'e_trader_FOrc', 8.00, 24.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5111, 30915, 'Takina', 'Seer', 'e_mageguild_teacher_FOrc', 8.00, 28.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5112, 30916, 'Gosta', 'Captain', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Npc', 'npc', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 1000, 500, 129, 102, 0, 50, 160, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5113, 30917, 'Dupuis', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 275, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(5114, 30918, 'Kent', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 2, 102, 0, 50, 160, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5115, 30919, 'Rodic', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 275, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(5116, 30920, 'Kraisen', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 2, 102, 0, 50, 160, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5117, 30921, 'Timos', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 275, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(5118, 30922, 'Cage', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 2, 102, 0, 50, 160, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5119, 30923, 'Dunst', 'Guard', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 275, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(5120, 30924, 'Nedy', 'Wharf Manager', 'a_wharfinger_MHuman', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5121, 30925, 'Morelyn', 'High Priestess', 'a_trader_FElf', 7.00, 22.20, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5122, 30926, 'Restina', 'Priestess', 'a_trader_FElf', 7.00, 22.20, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5123, 30927, 'Alicia', 'Priestess', 'a_sanctuary_teacher_FHuman', 8.00, 22.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5124, 30928, 'Fenster', 'Mercenary', 'e_collector_teacher_MDwarf', 8.00, 17.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5125, 30929, 'Patrin', 'Antique Dealer', 'a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5126, 30930, 'Rogent', 'Antique Appraiser', 'e_mine_master_MDwarf', 8.00, 19.70, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5127, 30931, 'Bentley', '', 'a_traderA_MDwarf', 8.00, 17.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5128, 30932, 'Benica', '', 'e_collector_teacher_FDwarf', 8.00, 17.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5129, 30933, 'Braki', '', 'e_collector_teacher_MDwarf', 8.00, 17.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5130, 30934, 'Marsha', 'Collector', 'e_collector_teacher_FDwarf', 8.00, 17.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5131, 30935, 'Trumpin', 'Collector', 'e_collector_teacher_MDwarf', 8.00, 17.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5132, 30936, 'Malcom1', 'Frog Prince', 'poison_toad', 20.00, 10.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.35, 'false', 'NONE', 0, 0),
	(5133, 30937, 'Malcom2', 'Wild Boar Prince', 'giant_wild_hog', 25.00, 27.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 35, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(5134, 30938, 'Malcom3', 'Orc Prince', 'ketra_orc', 12.00, 29.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 45, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(5135, 30939, 'Malcom4', 'Prince of Darkness', 'skeleton_royal_guard', 11.00, 28.50, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(5136, 30940, 'Malcom5', 'Gremlin Prince', 'gremlin', 10.00, 15.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 20, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5137, 30941, 'Malcom6', 'Prince of Wild Beast', 'saber_toothed_tiger', 34.00, 28.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 60, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(5138, 30942, 'Malcom7', 'Monster Eye Prince', 'monster_eye', 21.00, 43.00, 70, 'male', 'L2Monster', 'Mystic', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 90, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(5139, 30943, 'Malcom8', 'Rabbit Prince', 'rabbit', 5.00, 4.50, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5140, 30944, 'Malcom9', 'Human Prince', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5141, 30945, 'Malcom10', 'Prince', 'e_collector_master_MDwarf', 8.00, 18.40, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5142, 30946, 'Lucianne Tanford', '', 'a_fighterguild_master_FHuman', 8.00, 21.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5143, 30947, 'Rerikya', '', 'e_trader_FOrc', 8.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5144, 30948, 'Meridien', '', 'a_common_people_FElf', 8.00, 25.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5145, 30949, 'Keplon', 'Researcher', 'e_mine_master_MDwarf', 8.00, 19.70, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5146, 30950, 'Euclie', 'Researcher', 'e_mine_teacher_FDwarf', 8.00, 18.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5147, 30951, 'Pithgon', 'Researcher', 'e_mine_master_MDwarf', 8.00, 19.70, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5148, 30952, 'Dimensional Vortex 1', '', 'broadcasting_tower', 13.00, 54.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5149, 30953, 'Dimensional Vortex 2', '', 'broadcasting_tower', 13.00, 54.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5150, 30954, 'Dimensional Vortex 3', '', 'broadcasting_tower', 13.00, 54.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5151, 30955, 'Gillian\'s Revenant', '', 'zombie', 13.00, 21.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 15, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(5152, 30956, 'Nanarin', 'Musician', 'a_fighterguild_teacher_FDarkElf', 8.00, 23.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 325, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5153, 30957, 'Swan', 'Bard', 'a_common_peopleB_MHuman', 8.00, 22.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 4202, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5154, 30958, 'Galion', '', 'a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5155, 30959, 'Barbado', 'Musician', 'e_collector_teacher_MDwarf', 8.00, 17.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 5133, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5156, 30960, 'Beer Chest', '', 'box', 18.00, 14.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5157, 30961, 'Cloth Chest', '', 'coffer_d', 12.00, 9.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5158, 30962, 'Statue of Water', '', 'coffer_d', 12.00, 9.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5159, 30963, 'Statue of Fire', '', 'coffer_d', 12.00, 9.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5160, 30964, 'Statue of Wind', '', 'coffer_d', 12.00, 9.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5161, 30965, 'Statue of Earth', '', 'coffer_d', 12.00, 9.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5162, 30966, 'Statue of Darkness', '', 'coffer_d', 12.00, 9.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5163, 30967, 'Statue of Light', '', 'coffer_d', 12.00, 9.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5164, 30968, 'Jennifer', 'Lady Orc', 'e_trader_FOrc', 8.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5165, 30969, 'Iason Heine', '', 'a_chamberlain_MHuman', 13.50, 20.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5166, 30970, 'Dorothy', 'Locksmith', 'a_fighterguild_teacher_FHuman', 9.50, 22.40, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5167, 30971, 'Orpheus', 'Mad Doctor', 'e_mine_master_MDwarf', 8.00, 19.70, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5168, 30972, 'Orpheus Resurrecter', '', 'susceptor', 20.00, 35.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 27, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(5169, 30973, 'Medium Jar', '', 'pot', 10.00, 15.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5170, 30974, 'Oliver', 'Resurrected Adventurer', 'a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5171, 30975, 'Clarine', 'Resurrected Adventurer', 'e_collector_teacher_FDwarf', 8.00, 17.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5172, 30976, 'Resurrected Town Maiden', '', 'a_common_peopleB_FHuman', 8.00, 20.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5173, 30977, 'Holy Ark of Secrecy 1', '', 'coffer_a', 12.00, 9.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5174, 30978, 'Holy Ark of Secrecy 2', '', 'coffer_b', 12.00, 9.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5175, 30979, 'Holy Ark of Secrecy 3', '', 'coffer_c', 12.00, 9.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5176, 30980, 'Ark Guardian\'s Corpse', '', 'angel_death', 25.00, 36.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5177, 30981, 'Black Judge', '', 'a_clergyman_FDarkElf', 8.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5178, 30982, 'Sleeping Ant Larva1', '', 'ant_larva', 12.00, 8.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 40, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.35, 'false', 'NONE', 0, 0),
	(5179, 30983, 'Sleeping Ant Larva2', '', 'ant_larva', 12.00, 8.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 40, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.35, 'false', 'NONE', 0, 0),
	(5180, 30984, 'Sleeping Ant Larva3', '', 'ant_larva', 12.00, 8.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 40, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.35, 'false', 'NONE', 0, 0),
	(5181, 30985, 'Sleeping Ant Larva4', '', 'ant_larva', 12.00, 8.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 40, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.35, 'false', 'NONE', 0, 0),
	(5182, 30986, 'Sleeping Ant Larva5', '', 'ant_larva', 12.00, 8.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 40, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.35, 'false', 'NONE', 0, 0),
	(5183, 30987, 'Sleeping Ant Larva6', '', 'ant_larva', 12.00, 8.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 40, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.35, 'false', 'NONE', 0, 0),
	(5184, 30988, 'Verce', 'Leathersmith', 'a_patriarch_MElf', 8.00, 22.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5185, 30989, 'Chest of Bifrons', '', 'coffer_c', 12.00, 9.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5186, 30990, 'Lottery Ticket Seller', '', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5187, 30991, 'Lottery Ticket Seller', '', 'a_trader_MElf', 8.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5188, 30992, 'Lottery Ticket Seller', '', 'a_trader_MDarkElf', 8.00, 22.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5189, 30993, 'Lottery Ticket Seller', '', 'a_traderA_MDwarf', 8.00, 17.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5190, 30994, 'Lottery Ticket Seller', '', 'e_trader_MOrc', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5191, 30995, 'Race Manager', '', 'e_teleporter_FDwarf', 8.00, 21.30, 70, 'female', 'L2RaceManager', 'RaceManager', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5192, 31001, 'Claudia Athebaldt', '', 'a_mageguild_master_FHuman', 8.00, 23.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5193, 31002, 'Reorin', 'Maestro', 'e_smith_master_MDwarf', 8.00, 17.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5194, 31003, 'Here I Come', '', 'cat_the_cat', 9.00, 16.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(5195, 31004, 'Half Moon Love', '', 'cutie_cat', 8.00, 15.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(5196, 31005, 'Everlasting', '', 'mechanic_golem', 5.00, 19.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(5197, 31006, 'Dark Side of the Moon', '', 'silhouette', 8.00, 23.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(5198, 31007, 'Wind Rider', '', 'unicorn_boxer', 11.00, 18.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 27, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(5199, 31008, 'Shooting Star', '', 'unicorn_mirage', 13.00, 17.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 27, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(5200, 31009, 'Cyclone Thunder', '', 'dark_fencer', 7.00, 13.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 25, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(5201, 31010, 'Hungry Baby', '', 'hatchling', 9.00, 10.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.27, 'false', 'NONE', 0, 0),
	(5202, 31011, 'Salty Dog', '', 'pet_wolf', 13.00, 11.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 24, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(5203, 31012, 'Raging Revolution', '', 'silver_cat', 7.00, 15.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(5204, 31013, 'Valentine Blue', '', 'blue_eye', 11.00, 16.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(5205, 31014, 'Light My Fire', '', 'big_boom', 6.00, 13.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5206, 31015, 'Red Bullet', '', 'fox', 9.50, 10.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 23, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5207, 31016, 'Shining Silver', '', 'rabbit', 5.00, 4.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5208, 31017, 'Over the top', '', 'ant_larva', 12.00, 8.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 40, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.35, 'false', 'NONE', 0, 0),
	(5209, 31018, 'Royal Straight', '', 'mimic', 8.50, 8.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(5210, 31019, 'All Seven', '', 'wererat', 14.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(5211, 31020, 'Nasty Green', '', 'dryad', 9.00, 20.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 40, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5212, 31021, 'Shortcut', '', 'goblin', 10.00, 16.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 40, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.32, 'false', 'NONE', 0, 0),
	(5213, 31022, 'Typhoon Tiger', '', 'giant_bee', 8.00, 24.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 90, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(5214, 31023, 'Red Hot', '', 'salamander', 16.00, 6.80, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 64, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(5215, 31024, 'Galaxy Express', '', 'onyx_beast', 14.00, 14.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.24, 'false', 'NONE', 0, 0),
	(5216, 31025, 'Best Condition', '', 'manadragora', 14.00, 17.80, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 0, 0),
	(5217, 31026, 'Albatross', '', 'orc', 10.00, 21.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 45, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(5218, 31027, 'Coffer of the Dead', '', 'coffer_b', 12.00, 9.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5219, 31028, 'Chest of Kernon', '', 'coffer_c', 12.00, 9.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5220, 31029, 'Chest of Golkonda', '', 'coffer_c', 12.00, 9.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5221, 31030, 'Chest of Hallate', '', 'coffer_c', 12.00, 9.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5222, 31031, 'Broadcasting Tower', '', 'broadcasting_tower', 13.00, 54.00, 70, 'female', 'L2Observation', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5223, 31032, 'Guard', '', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'GuardRndWalkAndAnim', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 275, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(5224, 31033, 'Sentinel', '', 'a_guard_MElf', 8.00, 23.50, 80, 'male', 'L2Guard', 'GuardRndWalkAndAnim', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 276, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(5225, 31034, 'Sentry', '', 'a_guard_FDarkelf', 8.00, 25.00, 80, 'female', 'L2Guard', 'GuardRndWalkAndAnim', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 277, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(5226, 31035, 'Defender', '', 'e_guard_MDwarf', 8.00, 19.00, 80, 'male', 'L2Guard', 'GuardRndWalkAndAnim', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 275, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(5227, 31036, 'Centurion', '', 'e_guard_MOrc', 8.00, 27.00, 80, 'male', 'L2Guard', 'GuardRndWalkAndAnim', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 273, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(5228, 31042, 'Kantabilon', 'Melody Maestro', 'a_traderA_MDwarf', 8.00, 17.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5229, 31043, 'Octavia', 'Melody Maestro', 'e_traderA_FDwarf', 7.00, 18.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5230, 31044, 'Galman', 'Valley Trader', 'e_smith_master_MDwarf', 8.00, 17.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5231, 31045, 'Kitzka', 'Valley Trader', 'e_collector_teacher_FDwarf', 8.00, 17.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5232, 31046, 'Marsden', 'Symbol Maker', 'a_mageguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2SymbolMaker', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5233, 31047, 'Kell', 'Symbol Maker', 'a_mageguild_teacher_FHuman', 8.00, 23.00, 70, 'male', 'L2SymbolMaker', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5234, 31048, 'McDermott', 'Symbol Maker', 'a_mageguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2SymbolMaker', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5235, 31049, 'Pepper', 'Symbol Maker', 'a_mageguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2SymbolMaker', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5236, 31050, 'Thora', 'Symbol Maker', 'a_mageguild_teacher_FHuman', 8.00, 23.00, 70, 'male', 'L2SymbolMaker', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5237, 31051, 'Keach', 'Symbol Maker', 'a_mageguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2SymbolMaker', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5238, 31052, 'Heid', 'Symbol Maker', 'a_mageguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2SymbolMaker', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5239, 31053, 'Kidder', 'Symbol Maker', 'a_mageguild_teacher_FHuman', 8.00, 23.50, 70, 'female', 'L2SymbolMaker', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5240, 31067, 'Rood', 'Pet Manager', 'a_traderB_MHuman', 8.00, 25.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5241, 31074, 'Corpse of Hutaku', '', 'e_trader_Morc_death', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5242, 31075, 'Sales Cat of Ivory Tower', '', 'cat_the_cat', 9.00, 16.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(5243, 31076, 'Newbie Guide', '', 'a_common_peopleB_FHuman', 8.00, 20.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5244, 31077, 'Newbie Guide', '', 'a_common_peopleB_FHuman', 8.00, 20.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5245, 31078, 'Priest of Dawn', '', 'priest_of_dawn', 8.00, 30.50, 70, 'male', 'L2SignsPriest', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 5802, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5246, 31079, 'Priest of Dawn', '', 'priest_of_dawn', 8.00, 30.50, 70, 'male', 'L2SignsPriest', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 5802, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5247, 31080, 'Priest of Dawn', '', 'priest_of_dawn', 8.00, 30.50, 70, 'male', 'L2SignsPriest', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 5802, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5248, 31081, 'Priest of Dawn', '', 'priest_of_dawn', 8.00, 30.50, 70, 'male', 'L2SignsPriest', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 5802, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5249, 31082, 'Priest of Dawn', '', 'priest_of_dawn', 8.00, 30.50, 70, 'male', 'L2SignsPriest', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 5802, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5250, 31083, 'Priest of Dawn', '', 'priest_of_dawn', 8.00, 30.50, 70, 'male', 'L2SignsPriest', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 5802, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5251, 31084, 'Priest of Dawn', '', 'priest_of_dawn', 8.00, 30.50, 70, 'male', 'L2SignsPriest', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 5802, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5252, 31085, 'Dusk Priestess', '', 'priest_of_dusk', 8.00, 22.00, 70, 'female', 'L2SignsPriest', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 5801, 0, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5253, 31086, 'Dusk Priestess', '', 'priest_of_dusk', 8.00, 22.00, 70, 'female', 'L2SignsPriest', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 5801, 0, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5254, 31087, 'Dusk Priestess', '', 'priest_of_dusk', 8.00, 22.00, 70, 'female', 'L2SignsPriest', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 5801, 0, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5255, 31088, 'Dusk Priestess', '', 'priest_of_dusk', 8.00, 22.00, 70, 'female', 'L2SignsPriest', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 5801, 0, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5256, 31089, 'Dusk Priestess', '', 'priest_of_dusk', 8.00, 22.00, 70, 'female', 'L2SignsPriest', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 5801, 0, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5257, 31090, 'Dusk Priestess', '', 'priest_of_dusk', 8.00, 22.00, 70, 'female', 'L2SignsPriest', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 5801, 0, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5258, 31091, 'Dusk Priestess', '', 'priest_of_dusk', 8.00, 22.00, 70, 'female', 'L2SignsPriest', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 5801, 0, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5259, 31092, 'Black Marketeer of Mammon', '', 'black_market_trader_MDwarf', 8.00, 18.00, 70, 'male', 'L2SignsPriest', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5260, 31093, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2CabaleBuffer', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5261, 31094, 'Orator of Revelations', '', 'liviona', 15.00, 28.00, 70, 'male', 'L2CabaleBuffer', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(5262, 31095, 'Gatekeeper Ziggurat', '', 'teleport_npc_sm', 7.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5263, 31096, 'Gatekeeper Ziggurat', '', 'teleport_npc_sm', 7.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5264, 31097, 'Gatekeeper Ziggurat', '', 'teleport_npc_sm', 7.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5265, 31098, 'Gatekeeper Ziggurat', '', 'teleport_npc_sm', 7.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5266, 31099, 'Gatekeeper Ziggurat', '', 'teleport_npc_sm', 7.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5267, 31100, 'Gatekeeper Ziggurat', '', 'teleport_npc_sm', 7.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5268, 31101, 'Gatekeeper Ziggurat', '', 'teleport_npc_sm', 7.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5269, 31102, 'Gatekeeper Ziggurat', '', 'teleport_npc_sm', 7.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5270, 31103, 'Gatekeeper Ziggurat', '', 'teleport_npc_sm', 7.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5271, 31104, 'Gatekeeper Ziggurat', '', 'teleport_npc_sm', 7.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5272, 31105, 'Gatekeeper Ziggurat', '', 'teleport_npc_sm', 7.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5273, 31106, 'Gatekeeper Ziggurat', '', 'teleport_npc_sm', 7.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5274, 31107, 'Gatekeeper Ziggurat', '', 'teleport_npc_sm', 7.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5275, 31108, 'Gatekeeper Ziggurat', '', 'teleport_npc_sm', 7.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5276, 31109, 'Gatekeeper Ziggurat', '', 'teleport_npc_sm', 7.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5277, 31110, 'Gatekeeper Ziggurat', '', 'teleport_npc_sm', 7.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5278, 31111, 'Gatekeeper Spirit', '', 'teleport_npc_sm', 7.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5279, 31112, 'Gatekeeper Spirit', '', 'teleport_npc_sm', 7.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5280, 31113, 'Merchant of Mammon', '', 'black_market_trader_MDwarf_set', 22.00, 18.00, 70, 'male', 'L2SignsPriest', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5281, 31114, 'Gatekeeper Ziggurat', '', 'teleport_npc_sm', 7.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5282, 31115, 'Gatekeeper Ziggurat', '', 'teleport_npc_sm', 7.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5283, 31116, 'Gatekeeper Ziggurat', '', 'teleport_npc_sm', 7.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5284, 31117, 'Gatekeeper Ziggurat', '', 'teleport_npc_sm', 7.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5285, 31118, 'Gatekeeper Ziggurat', '', 'teleport_npc_sm', 7.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5286, 31119, 'Gatekeeper Ziggurat', '', 'teleport_npc_sm', 7.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5287, 31120, 'Gatekeeper Ziggurat', '', 'teleport_npc_sm', 7.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5288, 31121, 'Gatekeeper Ziggurat', '', 'teleport_npc_sm', 7.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5289, 31122, 'Gatekeeper Ziggurat', '', 'teleport_npc_sm', 7.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5290, 31123, 'Gatekeeper Ziggurat', '', 'teleport_npc_sm', 7.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5291, 31124, 'Gatekeeper Ziggurat', '', 'teleport_npc_sm', 7.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5292, 31125, 'Gatekeeper Ziggurat', '', 'teleport_npc_sm', 7.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5293, 31126, 'Blacksmith of Mammon', '', 'e_smith_master_MDwarf', 8.00, 17.00, 70, 'male', 'L2SignsPriest', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5294, 31127, 'Festival Guide', 'Level 31 and Below', 'priest_of_dawn', 8.00, 30.50, 70, 'male', 'L2FestivalGuide', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 5802, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5295, 31128, 'Festival Guide', 'Level 42 and Below', 'priest_of_dawn', 8.00, 30.50, 70, 'male', 'L2FestivalGuide', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 5802, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5296, 31129, 'Festival Guide', 'Level 53 and Below', 'priest_of_dawn', 8.00, 30.50, 70, 'male', 'L2FestivalGuide', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 5802, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5297, 31130, 'Festival Guide', 'Level 64 and Below', 'priest_of_dawn', 8.00, 30.50, 70, 'male', 'L2FestivalGuide', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 5802, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5298, 31131, 'Festival Guide', 'No Level Limit', 'priest_of_dawn', 8.00, 30.50, 70, 'male', 'L2FestivalGuide', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 5802, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5299, 31132, 'Festival Witch', '', 'a_guard_FDarkelf', 8.00, 25.00, 70, 'female', 'L2FestivalGuide', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5300, 31133, 'Festival Witch', '', 'a_guard_FDarkelf', 8.00, 25.00, 70, 'female', 'L2FestivalGuide', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5301, 31134, 'Festival Witch', '', 'a_guard_FDarkelf', 8.00, 25.00, 70, 'female', 'L2FestivalGuide', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5302, 31135, 'Festival Witch', '', 'a_guard_FDarkelf', 8.00, 25.00, 70, 'female', 'L2FestivalGuide', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5303, 31136, 'Festival Witch', '', 'a_guard_FDarkelf', 8.00, 25.00, 70, 'female', 'L2FestivalGuide', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5304, 31137, 'Festival Guide', 'Level 31 and Below', 'priest_of_dusk', 8.00, 22.00, 70, 'female', 'L2FestivalGuide', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 5801, 0, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5305, 31138, 'Festival Guide', 'Level 42 and Below', 'priest_of_dusk', 8.00, 22.00, 70, 'female', 'L2FestivalGuide', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 5801, 0, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5306, 31139, 'Festival Guide', 'Level 53 and Below', 'priest_of_dusk', 8.00, 22.00, 70, 'female', 'L2FestivalGuide', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 5801, 0, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5307, 31140, 'Festival Guide', 'Level 64 and Below', 'priest_of_dusk', 8.00, 22.00, 70, 'female', 'L2FestivalGuide', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 5801, 0, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5308, 31141, 'Festival Guide', 'No Level Limit', 'priest_of_dusk', 8.00, 22.00, 70, 'female', 'L2FestivalGuide', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 5801, 0, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5309, 31142, 'Festival Witch', '', 'a_guard_FDarkelf', 8.00, 25.00, 70, 'female', 'L2FestivalGuide', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5310, 31143, 'Festival Witch', '', 'a_guard_FDarkelf', 8.00, 25.00, 70, 'female', 'L2FestivalGuide', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5311, 31144, 'Festival Witch', '', 'a_guard_FDarkelf', 8.00, 25.00, 70, 'female', 'L2FestivalGuide', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5312, 31145, 'Festival Witch', '', 'a_guard_FDarkelf', 8.00, 25.00, 70, 'female', 'L2FestivalGuide', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5313, 31146, 'Festival Witch', '', 'a_guard_FDarkelf', 8.00, 25.00, 70, 'female', 'L2FestivalGuide', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5314, 31147, 'Sobling', 'Head Researcher', 'e_mine_master_MDwarf', 8.00, 19.70, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5315, 31148, 'Pirate\'s Chest', '', 'coffer_c', 12.00, 9.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5316, 31149, 'Alchemist\'s Mixing Urn', '', 'pot', 10.00, 15.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5317, 31168, 'Priest of Dawn', '', 'priest_of_dawn', 8.00, 30.50, 70, 'male', 'L2SignsPriest', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 5802, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5318, 31169, 'Dusk Priestess', '', 'priest_of_dusk', 8.00, 22.00, 70, 'female', 'L2SignsPriest', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 5801, 0, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5319, 31170, 'Crest of Dawn', '', 'flag_ssq', 0.01, 0.01, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5320, 31171, 'Crest of Dusk', '', 'flag_ssq', 0.01, 0.01, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5321, 31172, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5322, 31173, 'Orator of Revelations', '', 'liviona', 15.00, 28.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(5323, 31174, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5324, 31175, 'Orator of Revelations', '', 'liviona', 15.00, 28.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(5325, 31176, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5326, 31177, 'Orator of Revelations', '', 'liviona', 15.00, 28.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(5327, 31178, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5328, 31179, 'Orator of Revelations', '', 'liviona', 15.00, 28.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(5329, 31180, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5330, 31181, 'Orator of Revelations', '', 'liviona', 15.00, 28.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(5331, 31182, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5332, 31183, 'Orator of Revelations', '', 'liviona', 15.00, 28.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(5333, 31184, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5334, 31185, 'Orator of Revelations', '', 'liviona', 15.00, 28.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(5335, 31186, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5336, 31187, 'Orator of Revelations', '', 'liviona', 15.00, 28.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(5337, 31188, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5338, 31189, 'Orator of Revelations', '', 'liviona', 15.00, 28.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(5339, 31190, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5340, 31191, 'Orator of Revelations', '', 'liviona', 15.00, 28.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(5341, 31192, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5342, 31193, 'Orator of Revelations', '', 'liviona', 15.00, 28.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(5343, 31194, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5344, 31195, 'Orator of Revelations', '', 'liviona', 15.00, 28.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(5345, 31196, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5346, 31197, 'Orator of Revelations', '', 'liviona', 15.00, 28.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(5347, 31198, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5348, 31199, 'Orator of Revelations', '', 'liviona', 15.00, 28.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(5349, 31200, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5350, 31201, 'Orator of Revelations', '', 'liviona', 15.00, 28.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(5351, 31202, 'Maximus', '', 'pet_wolf', 13.00, 11.50, 70, 'male', 'L2Npc', 'RndWalkAndAnim', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 24, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 1, 0),
	(5352, 31203, 'Moon Dancer', '', 'pet_wolf', 13.00, 11.50, 70, 'male', 'L2Npc', 'RndWalkAndAnim', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 24, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 1, 0),
	(5353, 31204, 'Georgio', '', 'pet_wolf', 13.00, 11.50, 70, 'male', 'L2Npc', 'RndWalkAndAnim', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 24, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 1, 0),
	(5354, 31205, 'Katz', '', 'hatchling', 9.00, 10.00, 70, 'male', 'L2Npc', 'RndWalkAndAnim', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.27, 'false', 'NONE', 1, 0),
	(5355, 31206, 'Ten Ten', '', 'hatchling', 9.00, 10.00, 70, 'male', 'L2Npc', 'RndWalkAndAnim', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.27, 'false', 'NONE', 1, 0),
	(5356, 31207, 'Sardinia', '', 'hatchling', 9.00, 10.00, 70, 'male', 'L2Npc', 'RndWalkAndAnim', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.27, 'false', 'NONE', 1, 0),
	(5357, 31208, 'La Grange', '', 'hatchling', 9.00, 10.00, 70, 'male', 'L2Npc', 'RndWalkAndAnim', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.27, 'false', 'NONE', 1, 0),
	(5358, 31209, 'Misty Rain', '', 'pet_wolf', 13.00, 11.50, 70, 'male', 'L2Npc', 'RndWalkAndAnim', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 24, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 1, 0),
	(5359, 31210, 'Race Track Gatekeeper', '', 'e_teleporter_FDwarf', 8.00, 21.30, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5360, 31211, 'Race Track Guide', '', 'e_traderA_FDwarf', 8.00, 19.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5361, 31212, 'Event Gatekeeper', '', 'cutie_cat', 8.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 2530, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(5362, 31213, 'Event Gatekeeper', '', 'cutie_cat', 8.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 2530, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(5363, 31214, 'Event Gatekeeper', '', 'cutie_cat', 8.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 2530, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(5364, 31215, 'Event Gatekeeper', '', 'cutie_cat', 8.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 2530, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(5365, 31216, 'Event Gatekeeper', '', 'cutie_cat', 8.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(5366, 31217, 'Event Gatekeeper', '', 'cutie_cat', 8.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 2530, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(5367, 31218, 'Event Gatekeeper', '', 'cutie_cat', 8.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(5368, 31219, 'Event Gatekeeper', '', 'cutie_cat', 8.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 2530, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(5369, 31220, 'Event Gatekeeper', '', 'cutie_cat', 8.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(5370, 31221, 'Event Gatekeeper', '', 'cutie_cat', 8.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 2530, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(5371, 31222, 'Event Gatekeeper', '', 'cutie_cat', 8.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(5372, 31223, 'Event Gatekeeper', '', 'cutie_cat', 8.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 2530, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(5373, 31224, 'Event Gatekeeper', '', 'cutie_cat', 8.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(5374, 31225, 'Arena Manager', '', 'e_teleporter_FDwarf', 8.00, 21.30, 70, 'female', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5375, 31226, 'Arena Director', '', 'a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5376, 31227, 'Buzz the Cat', 'Event Manager', 'cat_the_cat', 9.00, 16.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(5377, 31228, 'Roy the Cat', 'Event Manager', 'cat_the_cat', 9.00, 16.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(5378, 31229, 'Winnie the Cat', 'Event Manager', 'cutie_cat', 8.00, 15.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(5379, 31230, 'Louie the Cat', 'Event Manager', 'silver_cat', 7.00, 15.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(5380, 31231, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5381, 31232, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5382, 31233, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5383, 31234, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5384, 31235, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5385, 31236, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5386, 31237, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5387, 31238, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5388, 31239, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5389, 31240, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5390, 31241, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5391, 31242, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5392, 31243, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5393, 31244, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5394, 31245, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5395, 31246, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5396, 31247, 'Orator of Revelations', '', 'liviona', 15.00, 28.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(5397, 31248, 'Orator of Revelations', '', 'liviona', 15.00, 28.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(5398, 31249, 'Orator of Revelations', '', 'liviona', 15.00, 28.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(5399, 31250, 'Orator of Revelations', '', 'liviona', 15.00, 28.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(5400, 31251, 'Orator of Revelations', '', 'liviona', 15.00, 28.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(5401, 31252, 'Orator of Revelations', '', 'liviona', 15.00, 28.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(5402, 31253, 'Orator of Revelations', '', 'liviona', 15.00, 28.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(5403, 31254, 'Orator of Revelations', '', 'liviona', 15.00, 28.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(5404, 31255, 'Buzz the Cat', 'Event Manager', 'cat_the_cat', 9.00, 16.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(5405, 31256, 'Leon', 'Trader', 'a_traderC_Mhuman', 8.00, 23.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5406, 31257, 'Veronica', 'Trader', 'a_traderD_Fhuman', 8.00, 22.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5407, 31258, 'Helmut', 'Trader', 'a_common_peopleC_Mhuman', 8.00, 23.50, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5408, 31259, 'Janne', 'Trader', 'a_common_peopleC_Fhuman', 7.00, 21.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5409, 31260, 'Judith', 'Trader', 'a_traderD_Fhuman', 8.00, 25.30, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 3, 0, 0, 50, 123, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5410, 31261, 'Renee', 'Trader', 'e_warehouse_keeper_FDwarf', 6.00, 18.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5411, 31262, 'Rupert', 'Trader', 'a_traderD_Mhuman', 7.00, 21.50, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5412, 31263, 'Liesel', 'Trader', 'a_common_peopleC_Fhuman', 7.00, 21.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5413, 31264, 'Olsun', 'Symbol Maker', 'a_traderC_Mhuman', 8.00, 23.00, 70, 'male', 'L2SymbolMaker', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 3, 0, 0, 50, 123, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5414, 31265, 'Annette', 'Pet Manager', 'a_fighterguild_teacher_FHuman', 9.50, 22.40, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5415, 31266, 'Kaiser', '', 'youth_tiger', 16.00, 17.20, 70, 'male', 'L2Npc', 'RndWalkAndAnim', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 60, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 1, 0),
	(5416, 31267, 'Lietta', 'Warehouse Keeper', 'e_warehouse_keeper_FDwarf', 6.00, 18.00, 70, 'female', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5417, 31268, 'Hakon', 'Warehouse Keeper', 'e_warehouse_master_MDwarf', 8.00, 17.50, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5418, 31269, 'Mona', 'Warehouse Chief', 'e_traderB_FDwarf', 6.00, 18.00, 70, 'female', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5419, 31270, 'Stefano', 'Warehouse Keeper', 'e_collector_teacher_MDwarf', 8.00, 17.50, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5420, 31271, 'Hilda', 'Blacksmith', 'e_smith_Fdwarf', 8.00, 17.50, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 87, 0, 0, 50, 906, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5421, 31272, 'Noel', 'Head Blacksmith', 'e_smith_master_MDwarf', 8.00, 17.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5422, 31273, 'Borodin', 'Blueprint Seller', 'e_mine_teacher_MDwarf', 8.00, 18.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5423, 31274, 'Fundin', 'Mineral Trader', 'a_smith_MDwarf', 7.00, 16.50, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 89, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5424, 31275, 'Tatiana', 'Gatekeeper', 'e_teleporter_Fhuman', 8.00, 25.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5425, 31276, 'Bernhard', 'Grand Master', 'a_fighterguild_master_Mhuman', 8.00, 23.50, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 76, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5426, 31277, 'Felix', 'Master', 'a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 125, 20, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5427, 31278, 'Bronwyn', 'Master', 'a_fighterguild_teacher_MElf', 7.00, 22.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 130, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5428, 31279, 'Gregory', 'High Priest', 'a_temple_master_Mhuman', 8.00, 22.50, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 193, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5429, 31280, 'Bastian', 'Priest', 'a_temple_teacher_Mhuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5430, 31281, 'Cerenas', 'Priest', 'a_patriarch_MElf', 8.00, 22.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5431, 31282, 'Justin', 'Magister', 'a_mageguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5432, 31283, 'Alminas', 'Magister', 'a_patriarch_MElf', 8.00, 22.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5433, 31284, 'Elena', 'Spellbook Seller', 'a_traderD_Fhuman', 8.00, 25.30, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5434, 31285, 'Samael', 'Grand Master', 'a_patriarch_MDarkElf', 6.00, 23.80, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5435, 31286, 'Drakon', 'Master', 'a_guild_master_MDarkElf', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 143, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5436, 31287, 'Kamilen', 'Magister', 'a_casino_FDarkElf', 8.00, 23.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 204, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5437, 31288, 'Aklan', 'High Prefect', 'e_patriarch_MOrc', 8.00, 26.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5438, 31289, 'Lakan', 'Prefect', 'e_fighterguild_teacher_MOrc', 8.00, 28.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 161, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5439, 31290, 'Skahi', 'Seer', 'e_clergyman_MOrc', 8.00, 29.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 202, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5440, 31291, 'Terava', 'Amulet Seller', 'e_clergyman_FOrc', 6.50, 28.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5441, 31292, 'Andrei', 'Captain', 'e_elmore_guard_Mhuman', 8.00, 23.50, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 133, 632, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5442, 31293, 'Gunter', 'Guard', 'e_elmore_guard_Mhuman', 8.00, 23.50, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 126, 628, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5443, 31294, 'Sven', 'Guard', 'e_elmore_guard_Mhuman', 8.00, 23.50, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 94, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5444, 31295, 'Henrik', 'Guard', 'e_elmore_guard_Mhuman', 8.00, 23.50, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 126, 628, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5445, 31296, 'Cadmon', 'Guard', 'e_elmore_guard_Mhuman', 8.00, 23.50, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 94, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5446, 31297, 'Bayard', 'Guard', 'e_elmore_guard_Mhuman', 8.00, 23.50, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 126, 628, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5447, 31298, 'Ulrich', 'Guard', 'e_elmore_guard_Mhuman', 8.00, 23.50, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 94, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5448, 31299, 'Eugen', 'Guard', 'e_elmore_guard_Mhuman', 8.00, 23.50, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 126, 628, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5449, 31300, 'Drumond', 'Trader', 'e_traderB_master_MDwarf', 8.00, 17.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5450, 31301, 'Nils', 'Trader', 'a_traderD_Mhuman', 8.00, 21.50, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5451, 31302, 'Vladimir', 'Trader', 'a_common_peopleC_Mhuman', 10.00, 24.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5452, 31303, 'Alisha', 'Trader', 'a_traderD_Fhuman', 8.00, 25.30, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5453, 31304, 'Astrid', 'Trader', 'a_traderC_Fhuman', 8.00, 22.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5454, 31305, 'Candice', 'Trader', 'e_traderA_FDwarf', 7.00, 18.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5455, 31306, 'Natasha', 'Trader', 'a_traderB_FHuman', 8.00, 24.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5456, 31307, 'Weber', 'Trader', 'a_traderD_Mhuman', 8.00, 21.50, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5457, 31308, 'Achim', 'Symbol Maker', 'a_traderC_Mhuman', 8.00, 23.00, 70, 'male', 'L2SymbolMaker', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5458, 31309, 'Woods', 'Pet Manager', 'a_traderD_Mhuman', 8.00, 21.50, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5459, 31310, 'Rafael', '', 'strider', 23.00, 31.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.25, 'false', 'NONE', 0, 0),
	(5460, 31311, 'Hugin', 'Warehouse Keeper', 'a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5461, 31312, 'Durin', 'Warehouse Keeper', 'a_traderA_MDwarf', 8.00, 17.00, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5462, 31313, 'Lunin', 'Warehouse Keeper', 'e_traderB_MDwarf', 8.00, 17.50, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5463, 31314, 'Donal', 'Warehouse Chief', 'e_warehouse_master_MDwarf', 8.00, 17.50, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5464, 31315, 'Daisy', 'Warehouse Keeper', 'e_warehouse_keeper_FDwarf', 7.00, 18.00, 70, 'female', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5465, 31316, 'Vincenz', 'Blacksmith', 'a_smith_MDwarf', 7.00, 16.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 89, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5466, 31317, 'Lombert', 'Head Blacksmith', 'e_smith_master_MDwarf', 8.00, 16.50, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5467, 31318, 'Greta', 'Blueprint Seller', 'e_mine_teacher_FDwarf', 8.00, 18.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5468, 31319, 'Hans', 'Mineral Trader', 'e_traderB_master_MDwarf', 8.00, 17.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5469, 31320, 'Ilyana', 'Gatekeeper', 'e_teleporter_Fhuman', 8.00, 25.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5470, 31321, 'Siegmund', 'Grand Master', 'a_fighterguild_master_Mhuman', 8.00, 23.50, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 76, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5471, 31322, 'Erian', 'Master', 'a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 125, 20, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5472, 31323, 'Beryl', 'Master', 'a_fighterguild_teacher_FElf', 8.00, 22.50, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 130, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5473, 31324, 'Andromeda', 'Grand Master', 'a_casino_FDarkElf', 8.00, 23.00, 70, 'female', 'L2WeddingManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 316, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5474, 31325, 'Themis', 'Master', 'a_fighterguild_teacher_FDarkElf', 8.00, 23.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 227, 627, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5475, 31326, 'Lambac', 'High Prefect', 'e_patriarch_MOrc', 8.00, 26.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5476, 31327, 'Tazki', 'Prefect', 'e_fighterguild_teacher_MOrc', 8.00, 28.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 161, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5477, 31328, 'Innocentin', 'High Priest', 'a_temple_master_Mhuman', 8.00, 22.50, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 193, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5478, 31329, 'Eliyah', 'Priest', 'a_temple_teacher_Mhuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5479, 31330, 'Wagner', 'Priest', 'a_patriarch_MElf', 8.00, 22.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5480, 31331, 'Valdis', 'Grand Magister', 'a_mageguild_master_MHuman', 8.00, 24.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5481, 31332, 'Amelia', 'Magister', 'a_mageguild_teacher_FHuman', 8.00, 23.50, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5482, 31333, 'Rumiel', 'Magister', 'a_mageguild_teacher_FElf', 7.00, 21.20, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5483, 31334, 'Tifaren', 'Grand Magister', 'a_teleporter_FDarkElf', 8.00, 25.00, 70, 'female', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5484, 31335, 'Kayan', 'Magister', 'a_clergyman_MDarkElf', 8.00, 22.30, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 317, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5485, 31336, 'Rahorakti', 'Grand Seer', 'e_clergyman_MOrc', 8.00, 29.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 202, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5486, 31337, 'Mekara', 'Seer', 'e_mageguild_teacher_FOrc', 8.00, 28.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5487, 31338, 'Anton', 'Spellbook Seller', 'a_traderD_Mhuman', 8.00, 21.50, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5488, 31339, 'Hakran', 'Amulet Seller', 'e_mageguild_teacher_MOrc', 8.00, 29.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5489, 31340, 'Mathias', 'Captain', 'e_elmore_guard_Mhuman', 8.00, 23.50, 80, 'male', 'L2Npc', 'npc', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 1000, 500, 133, 632, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5490, 31341, 'Richtor', 'Guard', 'e_elmore_guard_Mhuman', 8.00, 23.50, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 126, 628, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5491, 31342, 'Dimitri', 'Guard', 'e_elmore_guard_Mhuman', 8.00, 23.50, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 94, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5492, 31343, 'Bellard', 'Guard', 'e_elmore_guard_Mhuman', 8.00, 23.50, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 126, 628, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5493, 31344, 'Schmidt', 'Guard', 'e_elmore_guard_Mhuman', 8.00, 23.50, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 94, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5494, 31345, 'Ian', 'Guard', 'e_elmore_guard_Mhuman', 8.00, 23.50, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 126, 628, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5495, 31346, 'Sirius', 'Guard', 'e_elmore_guard_Mhuman', 8.00, 23.50, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 94, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5496, 31347, 'Burke', 'Guard', 'e_elmore_guard_Mhuman', 8.00, 23.50, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 126, 628, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5497, 31348, 'Agripel', 'High Priest', 'a_temple_master_Mhuman', 8.00, 22.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5498, 31349, 'Benedict', 'Priest', 'a_temple_master_Mhuman', 8.00, 22.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5499, 31350, 'Dominic', 'Priest', 'a_temple_master_Mhuman', 8.00, 22.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5500, 31351, 'Volker', 'Wharf Manager', 'a_traderC_Mhuman', 8.00, 23.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5501, 31356, 'Remy', 'Porter', 'a_traderB_MHuman', 8.00, 24.50, 70, 'male', 'L2Npc', 'Remy', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5502, 31357, 'Leandro', 'Secretary', 'a_common_peopleB_MHuman', 8.00, 22.00, 70, 'male', 'L2Npc', 'Leandro', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5503, 31358, 'Kasiel', 'Bard', 'a_trader_MElf', 8.00, 25.00, 70, 'male', 'L2Npc', 'Kasiel', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 4202, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5504, 31359, 'Jaradine', 'Mother Tree Guardian', 'a_patriarch_MElf', 8.00, 22.50, 70, 'male', 'L2Npc', 'Jaradine', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 189, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5505, 31360, 'Alhena', 'Tetrarch Agent', 'a_casino_FDarkElf', 8.00, 23.00, 70, 'female', 'L2Npc', 'Alhena', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 315, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5506, 31361, 'Kreed', 'Tetrarch Executioner', 'a_trader_MDarkElf', 8.00, 22.50, 70, 'male', 'L2Npc', 'Kreed', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 151, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5507, 31362, 'Tate', 'Carrier', 'a_traderA_MDwarf', 8.00, 17.00, 70, 'male', 'L2Npc', 'Tate', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5508, 31363, 'Rogin', 'Deliveryman', 'a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2Npc', 'Rogin', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5509, 31364, 'Rokar', 'Guardian of Flame', 'e_guard_MOrc', 8.00, 27.00, 70, 'male', 'L2Npc', 'Rokar', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 203, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5510, 31365, 'Yakand', 'Guardian of Flame', 'e_guard_MOrc', 8.00, 27.00, 70, 'male', 'L2Npc', 'Yakand', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 203, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5511, 31366, 'Feed Seller', '', 'a_traderD_Mhuman', 7.00, 21.50, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5512, 31367, 'Voice of Glory', '', 'kel_mahum_witch_doctor', 13.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 193, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.28, 'false', 'NONE', 1, 0),
	(5513, 31368, 'Mikellan', 'Monk of Silence', 'a_temple_teacher_Mhuman', 7.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5514, 31369, 'Mennon', 'Monk of Silence', 'a_temple_teacher_Mhuman', 7.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5515, 31370, 'Kadun Zu Ketra', 'Hierarch', 'ketra_orc_chieftain', 11.00, 38.50, 70, 'male', 'L2NpcFriend', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 6719, 0, 0, 24, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.51, 'false', 'NONE', 1, 0),
	(5516, 31371, 'Wahkan', 'Ketra\'s Messenger', 'ketra_orc', 12.00, 29.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 175, 0, 0, 45, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 1, 0),
	(5517, 31372, 'Asefa', 'Soul Guide', 'ketra_orc_shaman', 10.00, 23.00, 70, 'male', 'L2NpcFriend', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 205, 0, 0, 10, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(5518, 31373, 'Atan', 'Grocer', 'ketra_orc_warrior', 12.00, 24.00, 70, 'male', 'L2NpcFriend', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 36, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 1, 0),
	(5519, 31374, 'Jaff', 'Warehouse Keeper', 'ketra_orc_warrior', 12.00, 24.00, 70, 'male', 'L2NpcFriend', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 36, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 1, 0),
	(5520, 31375, 'Jumara', 'Trader', 'ketra_orc_warrior', 12.00, 24.00, 70, 'male', 'L2NpcFriend', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 36, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 1, 0),
	(5521, 31376, 'Kurfa', 'Gatekeeper', 'ketra_orc_shaman', 10.00, 23.00, 70, 'male', 'L2NpcFriend', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 205, 0, 0, 10, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(5522, 31377, 'Ashas Varka Durai', 'Hierarch', 'barka_silenos_chieftain', 18.00, 42.50, 70, 'male', 'L2NpcFriend', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 145, 0, 0, 25, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(5523, 31378, 'Naran Ashanuk', 'Varka\'s Messenger', 'barka_silenos_warrior', 16.00, 41.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 173, 0, 0, 34, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(5524, 31379, 'Udan Mardui', 'Soul Guide', 'barka_silenos_shaman', 14.00, 39.50, 70, 'male', 'L2NpcFriend', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 6716, 0, 0, 36, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.49, 'false', 'NONE', 1, 0),
	(5525, 31380, 'Diyabu', 'Grocer', 'barka_silenos_hunter', 16.00, 38.00, 70, 'male', 'L2NpcFriend', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 44, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(5526, 31381, 'Hagos', 'Warehouse Keeper', 'barka_silenos_warrior', 16.00, 41.00, 70, 'male', 'L2NpcFriend', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 34, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(5527, 31382, 'Shikon', 'Trader', 'barka_silenos_hunter', 16.00, 38.00, 70, 'male', 'L2NpcFriend', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 44, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(5528, 31383, 'Teranu Mardui', 'Gatekeeper', 'barka_silenos_shaman', 14.00, 39.50, 70, 'male', 'L2NpcFriend', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 6716, 0, 0, 36, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.49, 'false', 'NONE', 1, 0),
	(5529, 31384, 'Gatekeeper of Fire Dragon', '', 'skeleton_knight', 10.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 84, 0, 0, 40, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.17, 'false', 'NONE', 1, 0),
	(5530, 31385, 'Heart of Volcano', '', 'heart_of_warding', 17.00, 75.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5531, 31386, 'Violet', 'Trader', 'a_traderD_Fhuman', 8.00, 22.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5532, 31387, 'Kurstin', '', 'a_traderB_FHuman', 8.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5533, 31388, 'Mina', '', 'a_traderB_FHuman', 8.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5534, 31389, 'Dorian', '', 'e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 297, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5535, 31390, 'Dummy - Boy A', 'Ch4 Test', 'a_traderA_MHuman', 8.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5536, 31391, 'Dummy  - Boy B', 'Ch4 Test', 'a_traderA_MHuman', 8.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5537, 31392, 'Dummy  - Boy C', 'Ch4 Test', 'a_traderA_MHuman', 8.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5538, 31393, 'Dummy - Boy D', 'Ch4 Test', 'a_traderA_MHuman', 8.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5539, 31394, 'Dummy - Boy E', 'Ch4 Test', 'a_traderA_MHuman', 8.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5540, 31395, 'Dummy - Lady F', 'Ch4 Test', 'a_teleporter_FHuman', 8.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5541, 31396, 'Dummy - Lady G', 'Ch4 Test', 'a_teleporter_FHuman', 8.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5542, 31397, 'Dummy - Lady H', 'Ch4 Test', 'a_teleporter_FHuman', 8.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5543, 31398, 'Dummy - Lady I', 'Ch4 Test', 'a_teleporter_FHuman', 8.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5544, 31399, 'Dummy - Lady J', 'Ch4 Test', 'a_teleporter_FHuman', 8.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5545, 31400, 'Dummy - Sword Guard', 'Ch4 Test', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Npc', 'npc', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 0, 500, 2, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5546, 31401, 'Dummy - Bow Guard', 'Ch4 Test', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Npc', 'npc', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 0, 500, 14, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5547, 31404, 'Monster Race Guide', 'Town of Gludio', 'e_teleporter_FDwarf', 8.00, 21.30, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5548, 31405, 'Monster Race Guide', 'Town of Dion', 'e_teleporter_FDwarf', 8.00, 21.30, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5549, 31406, 'Monster Race Guide', 'Town of Giran', 'e_teleporter_FDwarf', 8.00, 21.30, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5550, 31407, 'Monster Race Guide', 'Heine', 'e_teleporter_FDwarf', 8.00, 21.30, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5551, 31408, 'Monster Race Guide', 'Town of Oren', 'e_teleporter_FDwarf', 8.00, 21.30, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5552, 31409, 'Monster Race Guide', 'Hunters Village', 'e_teleporter_FDwarf', 8.00, 21.30, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5553, 31410, 'Monster Race Guide', 'Town of Aden', 'e_teleporter_FDwarf', 8.00, 21.30, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5554, 31411, 'Monster Race Guide', 'Town of Goddard', 'e_teleporter_FDwarf', 8.00, 21.30, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5555, 31412, 'Monster Race Guide', 'Rune Township', 'e_teleporter_FDwarf', 8.00, 21.30, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5556, 31413, 'Antonio', 'Spellbook Seller', 'a_common_peopleB_MHuman', 8.00, 22.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5557, 31414, 'Lynn', 'Spellbook Seller', 'a_common_people_FElf', 8.00, 25.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5558, 31415, 'Triya', 'Spellbook Seller', 'a_mageguild_teacher_MDarkElf', 8.00, 22.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 3, 0, 0, 50, 123, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5559, 31416, 'Aren', 'Spellbook Seller', 'a_common_peopleB_MHuman', 8.00, 22.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5560, 31417, 'Berynel', 'Spellbook Seller', 'a_common_people_MElf', 6.00, 21.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5561, 31418, 'Rouke', 'Spellbook Seller', 'a_traderB_MHuman', 8.00, 25.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5562, 31419, 'Lorel', 'Spellbook Seller', 'a_common_people_MElf', 6.00, 21.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5563, 31420, 'Tomanel', 'Spellbook Seller', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5564, 31421, 'Ratriya', 'Spellbook Seller', 'a_common_people_FElf', 7.00, 25.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5565, 31422, 'Migel', 'Spellbook Seller', 'a_common_peopleB_MHuman', 8.00, 22.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5566, 31423, 'Romas', 'Spellbook Seller', 'a_traderB_MHuman', 8.00, 25.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5567, 31424, 'Shantra', 'Amulet Seller', 'e_clergyman_FOrc', 7.00, 28.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 10, 0, 0, 50, 114, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5568, 31425, 'Koram', 'Amulet Seller', 'e_mageguild_teacher_MOrc', 8.00, 29.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5569, 31426, 'Jaka', 'Amulet Seller', 'e_mageguild_teacher_MOrc', 8.00, 29.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5570, 31427, 'Urgal', 'Amulet Seller', 'e_mageguild_teacher_MOrc', 8.00, 29.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5571, 31428, 'Shafa', 'Amulet Seller', 'e_clergyman_FOrc', 6.50, 28.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5572, 31429, 'Shitara', 'Amulet Seller', 'e_clergyman_FOrc', 7.00, 28.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5573, 31430, 'Donai', 'Amulet Seller', 'e_mageguild_teacher_MOrc', 8.00, 29.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5574, 31431, 'Karai', 'Amulet Seller', 'e_mageguild_teacher_MOrc', 8.00, 29.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5575, 31432, 'Reeya', 'Blueprint Seller', 'e_mine_teacher_FDwarf', 8.00, 18.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5576, 31433, 'Ronaldo', 'Blueprint Seller', 'e_mine_master_MDwarf', 8.00, 19.70, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5577, 31434, 'Shaling', 'Blueprint Seller', 'e_mine_teacher_FDwarf', 8.00, 18.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5578, 31435, 'Daeger', 'Blueprint Seller', 'e_traderA_master_MDwarf', 8.00, 18.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5579, 31436, 'Dani', 'Blueprint Seller', 'e_mine_teacher_FDwarf', 8.00, 18.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5580, 31437, 'Luka', 'Blueprint Seller', 'e_mine_master_MDwarf', 8.00, 19.70, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5581, 31438, 'Lara', 'Blueprint Seller', 'e_mine_teacher_FDwarf', 8.00, 18.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5582, 31439, 'Rogen', 'Mineral Trader', 'e_collector_teacher_MDwarf', 8.00, 17.50, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5583, 31440, 'Lanna', 'Mineral Trader', 'e_collector_teacher_FDwarf', 8.00, 17.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5584, 31441, 'Gordo', 'Mineral Trader', 'e_traderB_master_MDwarf', 8.00, 17.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5585, 31442, 'Kiki', 'Mineral Trader', 'e_traderB_FDwarf', 7.00, 18.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5586, 31443, 'Raban', 'Mineral Trader', 'e_collector_teacher_MDwarf', 8.00, 17.50, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5587, 31444, 'Cona', 'Mineral Trader', 'e_warehouse_keeper_FDwarf', 7.00, 18.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5588, 31445, 'Shutner', 'Mineral Trader', 'e_traderB_MDwarf', 8.00, 17.50, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5589, 31452, 'Ghost of Wigoth', '', 'a_temple_master_Mhuman', 8.00, 24.50, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5590, 31453, 'Nameless Spirit', '', 'a_king_MHuman', 8.00, 21.00, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5591, 31454, 'Ghost of Wigoth', '', 'a_temple_master_Mhuman', 8.00, 24.50, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5592, 31455, 'Key Box', '', 'mimic', 8.50, 8.50, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(5593, 31456, 'Key Box', '', 'mimic', 8.50, 8.50, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(5594, 31457, 'Key Box', '', 'mimic', 8.50, 8.50, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(5595, 31458, 'Key Box', '', 'mimic', 8.50, 8.50, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(5596, 31459, 'Key Box', '', 'mimic', 8.50, 8.50, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(5597, 31460, 'Key Box', '', 'mimic', 8.50, 8.50, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(5598, 31461, 'Key Box', '', 'mimic', 8.50, 8.50, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(5599, 31462, 'Key Box', '', 'mimic', 8.50, 8.50, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(5600, 31463, 'Key Box', '', 'mimic', 8.50, 8.50, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(5601, 31464, 'Key Box', '', 'mimic', 8.50, 8.50, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(5602, 31465, 'Key Box', '', 'mimic', 8.50, 8.50, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(5603, 31466, 'Key Box', '', 'mimic', 8.50, 8.50, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(5604, 31467, 'Key Box', '', 'mimic', 8.50, 8.50, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(5605, 31468, 'Mysterious Box', '', 'mimic', 8.50, 8.50, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(5606, 31469, 'Mysterious Box', '', 'mimic', 8.50, 8.50, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(5607, 31470, 'Mysterious Box', '', 'mimic', 8.50, 8.50, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(5608, 31471, 'Mysterious Box', '', 'mimic', 8.50, 8.50, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(5609, 31472, 'Mysterious Box', '', 'mimic', 8.50, 8.50, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(5610, 31473, 'Mysterious Box', '', 'mimic', 8.50, 8.50, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(5611, 31474, 'Mysterious Box', '', 'mimic', 8.50, 8.50, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(5612, 31475, 'Mysterious Box', '', 'mimic', 8.50, 8.50, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(5613, 31476, 'Mysterious Box', '', 'mimic', 8.50, 8.50, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(5614, 31477, 'Mysterious Box', '', 'mimic', 8.50, 8.50, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(5615, 31478, 'Mysterious Box', '', 'mimic', 8.50, 8.50, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(5616, 31479, 'Mysterious Box', '', 'mimic', 8.50, 8.50, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(5617, 31480, 'Mysterious Box', '', 'mimic', 8.50, 8.50, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(5618, 31481, 'Mysterious Box', '', 'mimic', 8.50, 8.50, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(5619, 31482, 'Mysterious Box', '', 'mimic', 8.50, 8.50, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(5620, 31483, 'Mysterious Box', '', 'mimic', 8.50, 8.50, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(5621, 31484, 'Mysterious Box', '', 'mimic', 8.50, 8.50, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(5622, 31485, 'Mysterious Box', '', 'mimic', 8.50, 8.50, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(5623, 31486, 'Mysterious Box', '', 'mimic', 8.50, 8.50, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(5624, 31487, 'Mysterious Box', '', 'mimic', 8.50, 8.50, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(5625, 31488, 'Rift Post Recruit', '', 'a_royal_guardB_MHuman', 8.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 94, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5626, 31489, 'Rift Post Private', '', 'a_royal_guardB_MHuman', 8.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 304, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5627, 31490, 'Rift Post Officer', '', 'a_royal_guardB_MHuman', 8.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 79, 111, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5628, 31491, 'Rift Post Captain', '', 'a_royal_guardA_MHuman', 8.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 76, 660, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5629, 31492, 'Rift Post Commander', '', 'a_lord_MHuman', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 80, 655, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5630, 31493, 'Rift Post Hero', '', 'a_fighterguild_master_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 135, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5631, 31494, 'Dimensional Gate Keeper', '', 'rift_keeper', 38.00, 120.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5632, 31495, 'Dimensional Gate Keeper', '', 'rift_keeper', 38.00, 120.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5633, 31496, 'Dimensional Gate Keeper', '', 'rift_keeper', 38.00, 120.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5634, 31497, 'Dimensional Gate Keeper', '', 'rift_keeper', 38.00, 120.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5635, 31498, 'Dimensional Gate Keeper', '', 'rift_keeper', 38.00, 120.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5636, 31499, 'Dimensional Gate Keeper', '', 'rift_keeper', 38.00, 120.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5637, 31500, 'Dimensional Gate Keeper', '', 'rift_keeper', 38.00, 120.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5638, 31501, 'Dimensional Gate Keeper', '', 'rift_keeper', 38.00, 120.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5639, 31502, 'Dimensional Gate Keeper', '', 'rift_keeper', 38.00, 120.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5640, 31503, 'Dimensional Gate Keeper', '', 'rift_keeper', 38.00, 120.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5641, 31504, 'Dimensional Gate Keeper', '', 'rift_keeper', 38.00, 120.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5642, 31505, 'Dimensional Gate Keeper', '', 'rift_keeper', 38.00, 120.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5643, 31506, 'Dimensional Gate Keeper', '', 'rift_keeper', 38.00, 120.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5644, 31507, 'Dimensional Gate Keeper', '', 'rift_keeper', 38.00, 120.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5645, 31508, 'Altar of Saints', '', 'holy_altar', 14.00, 45.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5646, 31509, 'Altar of Saints', '', 'holy_altar', 14.00, 45.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5647, 31510, 'Altar of Saints', '', 'holy_altar', 14.00, 45.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5648, 31511, 'Altar of Saints', '', 'holy_altar', 14.00, 45.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5649, 31512, 'Evil Altar', '', 'evil_altar', 11.00, 45.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5650, 31513, 'Evil Altar', '', 'evil_altar', 11.00, 45.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5651, 31514, 'Evil Altar', '', 'evil_altar', 11.00, 45.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5652, 31515, 'Evil Altar', '', 'evil_altar', 11.00, 45.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5653, 31516, 'Evil Altar', '', 'evil_altar', 11.00, 45.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5654, 31517, 'Hierarch', '', 'a_hardin_MHuman', 8.00, 22.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5655, 31518, 'Mysterious Necromancer', '', 'a_hardins_pupil_MHuman', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5656, 31519, 'Enfeux', '', 'saints_coffin', 20.00, 60.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5657, 31520, 'Leikar', 'Maid', 'a_maidA_FHuman', 8.00, 20.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5658, 31521, 'Jeremy', 'Chef', 'a_common_peopleB_MHuman', 8.00, 22.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5659, 31522, 'Mysterious Wizard', '', 'a_hardin_MHuman', 8.00, 22.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5660, 31523, 'Tombstone', '', 'old_tomb_stone', 20.00, 30.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5661, 31524, 'Ghost of von Hellmann', '', 'a_temple_master_Mhuman', 8.00, 24.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5662, 31525, 'Ghost of von Hellmann\'s Page', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2Npc', 'GhostOfVonHellmannsPage', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5663, 31526, 'Broken Bookshelf', '', 'old_bookshelf', 15.00, 33.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5664, 31527, 'Well', '', 'umul', 33.00, 37.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5665, 31528, 'Ghost of Priest', '', 'elf_ghost', 7.00, 21.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'false', 'NONE', 0, 0),
	(5666, 31529, 'Ghost of Adventurer', '', 'human_ghost', 8.00, 22.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 1, 0),
	(5667, 31530, 'Box', '', 'mimic', 8.50, 8.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(5668, 31531, 'Tombstone', '', 'old_tomb_stone', 20.00, 30.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5669, 31532, 'Maid of Lidia', '', 'vampire_witch', 6.00, 21.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 64, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(5670, 31533, 'Broken Bookshelf', '', 'old_bookshelf', 15.00, 33.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5671, 31534, 'Broken Bookshelf', '', 'old_bookshelf', 15.00, 33.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5672, 31535, 'Broken Bookshelf', '', 'old_bookshelf', 15.00, 33.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5673, 31536, 'Coffin', '', 'mimic', 8.50, 8.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(5674, 31537, 'Tunatun', 'Beast Herder', 'a_common_peopleC_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5675, 31538, 'Ghost of Adventurer', '', 'a_traderA_MHuman', 8.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5676, 31539, 'Vulcan', 'Blacksmith of Flame', 'a_smith_MDwarf', 7.00, 16.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 89, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5677, 31540, 'Klein', 'Watcher of Valakas', 'skeleton_royal_guard', 11.00, 28.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(5678, 31541, 'Daimon\'s Altar', '', 'gianteye_altar', 60.00, 50.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5679, 31542, 'Yeti\'s Table', '', 'yetis_dinner_table', 25.00, 15.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5680, 31543, 'Pulin', '', 'e_bath_MDwarf', 6.00, 16.30, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5681, 31544, 'Naff', '', 'e_bath_MDwarf', 6.00, 16.30, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5682, 31545, 'Crocus', '', 'e_bath_MDwarf', 6.00, 16.30, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5683, 31546, 'Kuber', '', 'e_bath_MDwarf', 6.00, 16.30, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5684, 31547, 'Beolin', '', 'e_bath_MDwarf', 6.00, 16.30, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5685, 31548, 'Mysterious Ancient Tablet', '', 'old_tablet', 32.00, 46.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5686, 31549, 'Mysterious Ancient Tablet', '', 'old_tablet', 32.00, 46.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5687, 31550, 'Mysterious Ancient Tablet', '', 'old_tablet', 32.00, 46.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5688, 31551, 'Mysterious Ancient Tablet', '', 'old_tablet', 32.00, 46.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5689, 31552, 'Mysterious Ancient Tablet', '', 'old_tablet', 32.00, 46.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5690, 31553, 'Pierce', 'Mercenary Captain', 'a_royal_guardA_MHuman', 8.00, 24.00, 70, 'male', 'L2NpcFriend', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 135, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5691, 31554, 'Kahman', 'Mercenary', 'e_fighterguild_teacher_MOrc', 8.00, 28.50, 70, 'male', 'L2NpcFriend', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 161, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5692, 31555, 'Abercrombie', 'Mercenary Supplier', 'e_collector_teacher_MDwarf', 8.00, 17.50, 70, 'male', 'L2NpcFriend', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5693, 31556, 'Selina', 'Mercenary Medic', 'a_traderC_Fhuman', 7.00, 21.50, 70, 'female', 'L2NpcFriend', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 189, 659, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5694, 31557, 'Mercenary Sentry', '', 'a_royal_guardB_MHuman', 8.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 298, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5695, 31558, 'Ketra\'s Holy Altar', '', 'orcish_totem', 25.00, 47.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5696, 31559, 'Box of Asefa', '', 'coffer_d', 12.00, 22.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5697, 31560, 'Varka\'s Holy Altar', '', 'silenos_totem', 28.00, 55.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5698, 31561, 'Udan Mardui\'s Box', '', 'coffer_b', 12.00, 9.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5699, 31562, 'Klufe', 'Fishing Guild Member', 'a_fisherA_Mhuman', 8.00, 24.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 7560, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5700, 31563, 'Perelin', 'Fishing Guild Member', 'a_fisherA_Mhuman', 8.00, 24.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 7560, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5701, 31564, 'Mishini', 'Fishing Guild Member', 'a_fisherA_Mhuman', 8.00, 24.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 7560, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5702, 31565, 'Ogord', 'Fishing Guild Member', 'a_fisherA_Mhuman', 8.00, 24.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 7560, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5703, 31566, 'Ropfi', 'Fishing Guild Member', 'a_fisherA_Mhuman', 8.00, 23.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 7560, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5704, 31567, 'Bleaker', 'Fishing Guild Member', 'a_fisherA_Mhuman', 8.00, 23.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 7560, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5705, 31568, 'Pamfus', 'Fishing Guild Member', 'a_fisherA_Mhuman', 8.00, 23.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 7560, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5706, 31569, 'Cyano', 'Fishing Guild Member', 'a_fisherA_Mhuman', 8.00, 24.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 7560, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5707, 31570, 'Lanosco', 'Fishing Guild Member', 'a_fisherA_Mhuman', 8.00, 23.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 7560, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5708, 31571, 'Hufs', 'Fishing Guild Member', 'a_fisherA_Mhuman', 8.00, 24.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 7560, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5709, 31572, 'O\'Fulle', 'Fishing Guild Member', 'a_fisherA_Mhuman', 8.00, 23.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 7560, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5710, 31573, 'Monakan', 'Fishing Guild Member', 'a_fisherA_Mhuman', 8.00, 24.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 7560, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5711, 31574, 'Willie', 'Fishing Guild Member', 'a_fisherA_Mhuman', 8.00, 23.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 7560, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5712, 31575, 'Litulon', 'Fishing Guild Member', 'a_fisherA_Mhuman', 8.00, 23.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 7560, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5713, 31576, 'Berix', 'Fishing Guild Member', 'a_fisherA_Mhuman', 8.00, 23.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 7560, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5714, 31577, 'Linnaeus', 'Fishing Guild Member', 'a_fisherA_Mhuman', 8.00, 23.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 7560, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5715, 31578, 'Hilgendorf', 'Fishing Guild Member', 'a_fisherA_Mhuman', 8.00, 23.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 7560, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5716, 31579, 'Klaus', 'Fishing Guild Member', 'a_fisherA_Mhuman', 8.00, 23.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 7560, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5717, 31580, 'Galadrid', 'Master', 'a_fighterguild_teacher_MDarkElf', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 132, 110, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5718, 31581, 'Anastia', 'Magister', 'a_clergyman_FDarkElf', 8.00, 25.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 202, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5719, 31582, 'Mordred', 'Dark Knight', 'vampire_soldier', 8.00, 23.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 84, 634, 0, 60, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.45, 'false', 'NONE', 1, 0),
	(5720, 31583, 'Feynn', 'Blacksmith', 'a_smith_MDwarf', 7.00, 16.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 168, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5721, 31584, 'Valentine', 'Brewer', 'e_traderB_MDwarf', 8.00, 17.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5722, 31585, 'Sparky the Cat', 'Keats Servitor', 'cat_the_cat', 9.00, 16.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(5723, 31586, 'Sparky the Cat', 'Keats Servitor', 'cat_the_cat', 9.00, 16.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(5724, 31587, 'Gedrik', 'Gemcutter', 'e_traderB_master_MDwarf', 8.00, 17.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5725, 31588, 'Agnes', 'Saint of Light', 'a_teleporter_FElf', 8.50, 23.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5726, 31589, 'Duda-Mara Totem Spirit', '', 'giant_spider', 26.00, 26.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 72, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.26, 'false', 'NONE', 1, 0),
	(5727, 31590, 'Truth Scholar Devianne', '', 'a_teleporter_FHuman', 8.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 192, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5728, 31591, 'Sunset Guide Luna', '', 'a_sanctuary_teacher_FHuman', 8.00, 22.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 189, 633, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 0, 0),
	(5729, 31592, 'Telson', 'Chief Golem Crafter', 'e_mine_master_MDwarf', 8.00, 19.70, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5730, 31593, 'Dorothy', 'Golem of Telson', 'mechanic_golem', 5.00, 19.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(5731, 31594, 'Mond', 'Chief Inspector', 'e_celebrant_MDwarf', 8.00, 19.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5732, 31595, 'Leona Blackbird', '', 'a_fighterguild_teacher_FHuman', 9.50, 22.40, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 79, 110, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 0, 0),
	(5733, 31596, 'Tobald', 'Master', 'e_guard_MDwarf', 8.00, 19.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 187, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5734, 31597, 'Tobald', 'Master', 'e_guard_MDwarf', 8.00, 19.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 187, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5735, 31598, 'Medina Blackheart', '', 'a_trader_Fdarkelf', 8.00, 24.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 206, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5736, 31599, 'Disgraced Knight Waldstein', '', 'a_fighterguild_master_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 81, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5737, 31600, 'Pamela Aprodia', '', 'a_casino_FDarkElf', 8.00, 23.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 151, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5738, 31601, 'Pamela Aprodia', '', 'a_guard_FDarkelf', 8.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 151, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5739, 31602, 'Sharona Artemia', 'Bodyguard', 'a_clergyman_FDarkElf', 8.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 232, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5740, 31603, 'Black Cat', 'Hunter Guild Member', 'a_common_people_FDarkElf', 8.00, 21.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 227, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5741, 31604, 'Grimst', 'Information Broker', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5742, 31605, 'Kinsley', 'Head Summoner', 'a_mageguild_master_MHuman', 8.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 212, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5743, 31606, 'Alice de Catrina', 'Kinsley\'s Servitor', 'queen_of_cat', 8.00, 15.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 26, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(5744, 31607, 'Sake Dun Zu Hestui', '', 'e_guard_MOrc', 8.00, 27.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 298, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5745, 31608, 'Belinda', 'Summoner', 'a_mageguild_teacher_FElf', 7.00, 21.20, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5746, 31609, 'Aurora the Unicorn', 'Belinda Servitor', 'unicorn_boxer', 11.00, 18.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 27, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(5747, 31610, 'Shiken Gloomdrake', '', 'a_common_people_MDarkElf', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 80, 633, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 0, 0),
	(5748, 31611, 'Scryde Heartseeker', '', 'a_common_people_MDarkElf', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 81, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5749, 31612, 'Eternity Wanderer Staris', '', 'a_trader_MElf', 8.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 150, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5750, 31613, 'Noctisse', 'Summoner', 'a_clergyman_FDarkElf', 8.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 204, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5751, 31614, 'Radyss', 'Head Summoner', 'a_patriarch_MElf', 8.00, 22.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5752, 31615, 'Hermit', '', 'a_common_peopleC_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5753, 31616, 'Hermit', '', 'a_fisherA_Mhuman', 8.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 8, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5754, 31617, 'Aria Firstmatter', '', 'a_guard_FDarkelf', 8.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 236, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5755, 31618, 'Moon Voice Irene', '', 'a_common_people_FElf', 8.00, 25.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 130, 109, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5756, 31619, 'Erica Ken Weber', '', 'a_fighterguild_teacher_FHuman', 9.50, 22.40, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 236, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5757, 31620, 'Verdure Elder Elikia', '', 'a_patriarch_MElf', 8.00, 22.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 189, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5758, 31621, 'Abyss Saint Elcardia', '', 'a_guard_FDarkelf', 8.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 206, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5759, 31622, 'Keats', 'Cursed Summoner', 'poison_toad', 20.00, 10.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.35, 'false', 'NONE', 1, 0),
	(5760, 31623, 'Bavarin', 'Information Broker', 'e_bath_MDwarf', 6.00, 16.30, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5761, 31624, 'Donath', 'Master Chef', 'a_common_peopleB_MHuman', 8.00, 22.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5762, 31625, 'Yeti', 'Donath Kitchen Help', 'yeti_cute', 5.00, 10.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 5129, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5763, 31626, 'Duncan', 'Chef', 'a_smith_MDwarf', 7.00, 16.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 5129, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5764, 31627, 'Mist', 'Information Broker', 'e_bath_MDwarf', 6.00, 16.30, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5765, 31628, 'Lilly', 'Mist\'s Granddaughter', 'e_traderA_FDwarf', 8.00, 19.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5766, 31629, 'Kaleidos the Unicorn', '', 'blue_eye', 11.00, 16.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(5767, 31630, 'Kaleidos the Unicorn', '', 'blue_eye', 11.00, 16.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(5768, 31631, 'Eric Ramsheart', '', 'a_fighterguild_master_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 79, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5769, 31632, 'Mysterious Servitor', '', 'shadeless', 7.00, 28.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(5770, 31633, 'Winter Hunter Kadyth', '', 'a_guard_MElf', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 285, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5771, 31634, 'Winter Hunter Kadyth', '', 'a_guard_MElf', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 285, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5772, 31635, 'Winter Hunter Kadyth', '', 'a_guard_MElf', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 285, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5773, 31636, 'Flame Successor Akkan', '', 'e_guard_MOrc', 8.00, 27.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 305, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5774, 31637, 'Khavatari Kashu', '', 'e_guard_MOrc', 8.00, 27.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 267, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5775, 31638, 'Starling Knight Kastien', '', 'a_guard_MElf', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 142, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5776, 31639, 'Kain Van Halter', '', 'a_traderA_MHuman', 8.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 2626, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5777, 31640, 'Pilgrim of Darkness', '', 'a_hardins_pupil_MHuman', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 318, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5778, 31641, 'Pilgrim of Darkness', '', 'a_hardins_pupil_MHuman', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 318, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5779, 31642, 'Tarkai Zu Duda-Mara', '', 'e_guard_MOrc', 8.00, 27.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 210, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5780, 31643, 'Silver Feyshar', '', 'a_patriarch_MElf', 8.00, 22.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 148, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5781, 31644, 'Dawn Witness Franz', '', 'a_sanctuary_master_MHuman', 8.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 205, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5782, 31645, 'Hindemith Truevoice', '', 'a_traderD_Mhuman', 7.00, 21.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 195, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5783, 31646, 'Tablet of Vision', '', 'codex_stone', 7.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5784, 31647, 'Tablet of Vision', '', 'codex_stone', 7.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5785, 31648, 'Tablet of Vision', '', 'codex_stone', 7.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5786, 31649, 'Tablet of Vision', '', 'codex_stone', 7.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5787, 31650, 'Tablet of Vision', '', 'codex_stone', 7.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5788, 31651, 'Tablet of Vision', '', 'codex_stone', 7.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5789, 31652, 'Tablet of Vision', '', 'codex_stone', 7.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5790, 31653, 'Tablet of Vision', '', 'codex_stone', 7.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5791, 31654, 'Tablet of Vision', '', 'codex_stone', 7.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5792, 31655, 'Tablet of Vision', '', 'codex_stone', 7.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5793, 31656, 'Tablet of Vision', '', 'codex_stone', 7.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5794, 31657, 'Tablet of Vision', '', 'codex_stone', 7.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5795, 31658, 'Tablet of Vision', '', 'codex_stone', 7.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5796, 31659, 'Tablet of Vision', '', 'codex_stone', 7.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5797, 31660, 'Tablet of Vision', '', 'codex_stone', 7.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5798, 31661, 'Forgotten Monument', '', 'old_tablet', 32.00, 46.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5799, 31662, 'Forgotten Monument', '', 'old_tablet', 32.00, 46.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5800, 31663, 'Forgotten Monument', '', 'old_tablet', 32.00, 46.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5801, 31664, 'Forgotten Monument', '', 'old_tablet', 32.00, 46.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5802, 31665, 'Corpse of Dwarf', '', 'e_guard_MDwarf_death', 13.00, 19.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5803, 31666, 'Lumen', 'Spellbook Seller', 'a_traderD_Mhuman', 8.00, 21.50, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5804, 31667, 'Raik', 'Amulet Seller', 'e_trader_MOrc', 8.00, 23.50, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5805, 31668, 'Tangen', 'Blueprint Seller', 'e_smith_master_MDwarf', 8.00, 16.50, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5806, 31669, 'Onyx', 'Mineral Trader', 'e_mine_teacher_MDwarf', 8.00, 18.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5807, 31670, 'Burns', 'Spellbook Seller', 'a_traderD_Mhuman', 8.00, 21.50, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5808, 31671, 'Patrol', '', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 275, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 0, 0),
	(5809, 31672, 'Patrol', '', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 500, 94, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5810, 31673, 'Patrol', '', 'e_elmore_guard_Mhuman', 8.00, 23.50, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 333, 275, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(5811, 31674, 'Patrol', '', 'e_elmore_guard_Mhuman', 8.00, 23.50, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 1000, 333, 94, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5812, 31675, 'Viktor Van Deik', 'Border Outpost Captain', 'a_royal_guardA_MHuman', 8.00, 24.00, 70, 'male', 'L2Guard', 'Guard', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 0, 500, 128, 632, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5813, 31676, 'Gregory Athebaldt', 'Border Outpost Captain', 'a_fighterguild_master_Mhuman', 8.00, 23.50, 70, 'male', 'L2Guard', 'Guard', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 0, 500, 70, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5814, 31677, 'Border Patrol', '', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 0, 500, 94, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5815, 31678, 'Border Patrol', '', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 0, 500, 94, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5816, 31679, 'Eustace Van Essen', 'Frontier Guard Captain', 'a_fighterguild_master_Mhuman', 8.00, 23.50, 70, 'male', 'L2Guard', 'Guard', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 0, 500, 70, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5817, 31680, 'Fleming Van Issen', 'Frontier Guard Captain', 'a_royal_guardA_MHuman', 8.00, 24.00, 70, 'male', 'L2Guard', 'Guard', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 0, 500, 128, 632, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5818, 31681, 'Frontier Guard', '', 'e_elmore_guard_Mhuman', 8.00, 23.50, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 0, 500, 94, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5819, 31682, 'Frontier Guard', '', 'e_elmore_guard_Mhuman', 8.00, 23.50, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 0, 500, 94, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5820, 31683, 'Eye of Argos', '', 'argos_eye', 120.00, 307.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5821, 31684, 'Eye of Udan Mardui', '', 'mana_vampire', 11.00, 20.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 90, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(5822, 31685, 'Asefa\'s Eye', '', 'magical_weaver', 11.00, 20.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 90, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(5823, 31686, 'Gatekeeper of Fire Dragon', '', 'skeleton_knight', 10.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 84, 0, 0, 40, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.17, 'false', 'NONE', 1, 0),
	(5824, 31687, 'Gatekeeper of Fire Dragon', '', 'skeleton_knight', 10.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 84, 0, 0, 40, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.17, 'false', 'NONE', 1, 0),
	(5825, 31688, 'Grand Olympiad Manager', '', 'a_fighterguild_master_Mhuman', 8.00, 23.50, 70, 'male', 'L2OlympiadManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 70, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5826, 31689, 'Olympiad Finisher', '', 'a_fighterguild_master_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 70, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5827, 31690, 'Monument of Heroes', '', 'heroes_obelisk_human', 24.00, 69.00, 70, 'female', 'L2OlympiadManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5828, 31691, 'Training Dummy', '', 'training_doll', 9.00, 22.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5829, 31692, 'Priest of Dawn', '', 'priest_of_dawn', 8.00, 30.50, 70, 'male', 'L2SignsPriest', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 5802, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5830, 31693, 'Priest of Dusk', '', 'priest_of_dusk', 8.00, 22.00, 70, 'female', 'L2SignsPriest', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 5801, 0, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5831, 31694, 'Priest of Dawn', '', 'priest_of_dawn', 8.00, 30.50, 70, 'male', 'L2SignsPriest', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 5802, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5832, 31695, 'Priest of Dusk', '', 'priest_of_dusk', 8.00, 22.00, 70, 'female', 'L2SignsPriest', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 5801, 0, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5833, 31696, 'Platis', 'Fishing Guild Member', 'a_fisherA_Mhuman', 8.00, 24.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 7560, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5834, 31697, 'Eindarkner', 'Fishing Guild Member', 'a_fisherA_Mhuman', 8.00, 24.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 7560, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5835, 31698, 'Arisha', 'Gatekeeper', 'e_teleporter_Fhuman', 8.00, 25.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5836, 31699, 'Stanislava', 'Gatekeeper', 'e_teleporter_Fhuman', 8.00, 25.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5837, 31700, 'Saint\'s Follower', '', 'e_warehouse_keeper_FDwarf', 7.00, 18.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 61, 0, 0, 50, 69, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5838, 31701, 'Saint\'s Follower', '', 'a_common_people_MElf', 6.00, 21.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5839, 31702, 'Saint\'s Follower', '', 'e_common_people_MDwarf', 8.00, 17.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5840, 31703, 'Saint\'s Follower', '', 'a_common_peopleC_Fhuman', 7.00, 21.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5841, 31704, 'Saint\'s Follower', '', 'a_common_peopleA_FHuman', 8.00, 21.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5842, 31705, 'Daimon the White-Eyed', '', 'hundred_eye', 21.00, 55.00, 70, 'male', 'L2Npc', 'DaimonTheWhiteEyed', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 1, 0),
	(5843, 31706, 'Miki the Cat', '', 'cat_the_cat', 9.00, 16.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(5844, 31707, 'Ketra Van Grunt', '', 'ketra_orc_chieftain', 11.00, 38.50, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 6719, 0, 0, 24, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.51, 'false', 'SOUL', 1, 0),
	(5845, 31708, 'Ketra Van Shaman', '', 'ketra_orc_shaman', 10.00, 23.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 92, 0, 0, 10, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'SOUL', 1, 0),
	(5846, 31709, 'Ketra Van Captain', '', 'ketra_orc_warlord', 12.00, 30.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 80, 0, 0, 27, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'SOUL', 1, 0),
	(5847, 31710, 'Ketra Van Commander', '', 'barka_silenos_chieftain', 18.00, 42.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 2500, 0, 0, 25, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(5848, 31711, 'Ketra Van Shaman', '', 'barka_silenos_shaman', 14.00, 39.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 6716, 0, 0, 36, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.49, 'false', 'NONE', 1, 0),
	(5849, 31712, 'Varka Raider', '', 'barka_silenos_warrior', 16.00, 41.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 142, 0, 0, 34, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(5850, 31713, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2CabaleBuffer', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5851, 31714, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2CabaleBuffer', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5852, 31715, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2CabaleBuffer', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5853, 31716, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2CabaleBuffer', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5854, 31717, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2CabaleBuffer', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5855, 31718, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2CabaleBuffer', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5856, 31719, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2CabaleBuffer', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5857, 31720, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2CabaleBuffer', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(5858, 31721, 'Orator of Revelations', '', 'liviona', 15.00, 28.00, 70, 'male', 'L2CabaleBuffer', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(5859, 31722, 'Orator of Revelations', '', 'liviona', 15.00, 28.00, 70, 'male', 'L2CabaleBuffer', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 3, 0, 0, 80, 123, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(5860, 31723, 'Orator of Revelations', '', 'liviona', 15.00, 28.00, 70, 'male', 'L2CabaleBuffer', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 5, 0, 0, 80, 125, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(5861, 31724, 'Orator of Revelations', '', 'liviona', 15.00, 28.00, 70, 'male', 'L2CabaleBuffer', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(5862, 31725, 'Orator of Revelations', '', 'liviona', 15.00, 28.00, 70, 'male', 'L2CabaleBuffer', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(5863, 31726, 'Orator of Revelations', '', 'liviona', 15.00, 28.00, 70, 'male', 'L2CabaleBuffer', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(5864, 31727, 'Orator of Revelations', '', 'liviona', 15.00, 28.00, 70, 'male', 'L2CabaleBuffer', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(5865, 31728, 'Orator of Revelations', '', 'liviona', 15.00, 28.00, 70, 'male', 'L2CabaleBuffer', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(5866, 31729, 'Adventurer Guildsman', '', 'a_common_peopleA_MHuman', 8.00, 21.50, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 156, 20, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5867, 31730, 'Adventurer Guildsman', '', 'a_common_people_MElf', 6.00, 21.00, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 130, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5868, 31731, 'Adventurer Guildsman', '', 'a_fighterguild_teacher_FDarkElf', 8.00, 23.00, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 224, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5869, 31732, 'Adventurer Guildsman', '', 'e_common_people_MOrc', 8.00, 26.00, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5870, 31733, 'Adventurer Guildsman', '', 'e_collector_teacher_FDwarf', 8.00, 17.50, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5871, 31734, 'Adventurer Guildsman', '', 'a_fighterguild_teacher_FHuman', 9.50, 22.40, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 129, 102, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5872, 31735, 'Adventurer Guildsman', '', 'a_fighterguild_teacher_FElf', 8.00, 22.50, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 231, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5873, 31736, 'Adventurer Guildsman', '', 'a_trader_MDarkElf', 8.00, 22.50, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 151, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5874, 31737, 'Adventurer Guildsman', '', 'e_trader_FOrc', 8.00, 24.00, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 99, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5875, 31738, 'Adventurer Guildsman', '', 'e_common_people_MDwarf', 8.00, 17.00, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 99, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5876, 31739, 'Talien', '', 'a_common_peopleB_MHuman', 8.00, 22.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 4202, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5877, 31740, 'Caradine', '', 'a_mageguild_teacher_FElf', 7.00, 21.20, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 285, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5878, 31741, 'Ossian', '', 'a_common_peopleC_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 129, 102, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(5879, 31742, 'Virgil', '', 'e_common_people_MDwarf', 8.00, 17.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5880, 31743, 'Kassandra', '', 'e_warehouse_keeper_FDwarf', 7.00, 18.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5881, 31744, 'Ogmar', '', 'e_common_people_MOrc', 8.00, 26.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5882, 31745, 'Lady of the Lake', '', 'a_teleporter_FElf', 8.50, 23.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5883, 31746, 'Fallen Unicorn', '', 'death_unicorn', 14.00, 30.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 46, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.74, 'false', 'NONE', 1, 0),
	(5884, 31747, 'Pure White Unicorn', '', 'unicorn', 14.00, 30.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 46, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.74, 'false', 'NONE', 0, 0),
	(5885, 31748, 'Cornerstone of Restraining', '', 'grave_keeper', 8.00, 21.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5886, 31750, 'Mysterious Woman', '', 'a_teleporter_FElf', 8.50, 23.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5887, 31751, 'Mysterious Dark Knight', '', 'death_lord', 21.00, 40.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 78, 0, 0, 40, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 1, 0),
	(5888, 31752, 'Corpse of Angel', '', 'angel_death', 25.00, 36.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5889, 31755, 'Halaster', 'Grand Magister', 'a_mageguild_master_MHuman', 8.00, 24.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5890, 31756, 'Mr. Cat', 'Test Server Helper', 'cat_the_cat', 9.00, 16.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(5891, 31757, 'Miss Queen', 'Test Server Helper', 'queen_of_cat', 8.00, 15.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 26, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(5892, 31758, 'Rafi', '', 'hatchling', 9.00, 10.00, 70, 'male', 'L2Trainer', 'RndWalkAndAnim', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.27, 'false', 'NONE', 1, 0),
	(5893, 31759, 'Teleportation Cubic', '', 'teleport_npc', 40.00, 80.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5894, 31760, 'Miss Queen', 'Adventurers\' Guide', 'queen_of_cat', 8.00, 15.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 26, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(5895, 31761, 'Miss Queen', 'Adventurers\' Guide', 'queen_of_cat', 8.00, 15.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 26, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(5896, 31762, 'Miss Queen', 'Adventurers\' Guide', 'queen_of_cat', 8.00, 15.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 26, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(5897, 31763, 'Miss Queen', 'Adventurers\' Guide', 'queen_of_cat', 8.00, 15.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 26, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(5898, 31764, 'Miss Queen', 'Adventurers\' Guide', 'queen_of_cat', 8.00, 15.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 26, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(5899, 31765, 'Miss Queen', 'Adventurers\' Guide', 'queen_of_cat', 8.00, 15.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 26, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(5900, 31766, 'Miss Queen', 'Adventurers\' Guide', 'queen_of_cat', 8.00, 15.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 26, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(5901, 31767, 'Event Gatekeeper', '', 'cutie_cat', 8.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(5902, 31768, 'Event Gatekeeper', '', 'cutie_cat', 8.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(5903, 31769, 'Monument of Heroes', '', 'heroes_obelisk_elf', 24.00, 77.50, 70, 'female', 'L2OlympiadManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5904, 31770, 'Monument of Heroes', '', 'heroes_obelisk_darkelf', 25.00, 77.00, 70, 'female', 'L2OlympiadManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5905, 31771, 'Monument of Heroes', '', 'heroes_obelisk_orc', 21.00, 72.50, 70, 'female', 'L2OlympiadManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5906, 31772, 'Monument of Heroes', '', 'heroes_obelisk_dwarf', 23.00, 80.00, 70, 'female', 'L2OlympiadManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5907, 31773, 'Sonin', 'Warehouse Keeper', 'e_warehouse_keeper_FDwarf', 6.00, 18.00, 70, 'female', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5908, 31774, 'Beryl the Cat', 'Event Manager', 'queen_of_cat', 8.00, 15.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(5909, 31775, 'Adventure Guildsman', '', 'a_fighterguild_teacher_FHuman', 9.50, 22.40, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 129, 102, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5910, 31776, 'Adventure Guildsman', '', 'a_common_peopleA_MHuman', 8.00, 21.50, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 156, 20, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5911, 31777, 'Adventure Guildsman', '', 'a_fighterguild_teacher_FDarkElf', 8.00, 23.00, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 224, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5912, 31778, 'Adventure Guildsman', '', 'a_trader_MDarkElf', 8.00, 22.50, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 151, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5913, 31779, 'Adventure Guildsman', '', 'a_trader_MDarkElf', 8.00, 22.50, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 151, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5914, 31780, 'Adventure Guildsman', '', 'a_common_people_MElf', 6.00, 21.00, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 130, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5915, 31781, 'Adventure Guildsman', '', 'a_fighterguild_teacher_FElf', 8.00, 22.50, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 231, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5916, 31782, 'Adventure Guildsman', '', 'a_common_peopleA_MHuman', 8.00, 17.50, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5917, 31783, 'Adventure Guildsman', '', 'e_common_people_MDwarf', 8.00, 17.00, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 99, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5918, 31784, 'Adventure Guildsman', '', 'e_common_people_MOrc', 8.00, 26.00, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5919, 31785, 'Adventure Guildsman', '', 'e_trader_FOrc', 8.00, 24.00, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 99, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5920, 31786, 'Adventure Guildsman', '', 'e_trader_FOrc', 8.00, 24.00, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 99, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5921, 31787, 'Adventure Guildsman', '', 'a_fighterguild_teacher_FHuman', 9.50, 22.40, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 129, 102, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5922, 31788, 'Adventure Guildsman', '', 'e_common_people_MOrc', 8.00, 26.00, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5923, 31789, 'Adventure Guildsman', '', 'e_common_people_MDwarf', 8.00, 17.00, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 99, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5924, 31790, 'Adventure Guildsman', '', 'a_fighterguild_teacher_FElf', 8.00, 22.50, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 231, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5925, 31791, 'Adventure Guildsman', '', 'a_trader_MDarkElf', 8.00, 22.50, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 151, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5926, 31792, 'Adventure Guildsman', '', 'a_common_people_MElf', 6.00, 21.00, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 130, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5927, 31793, 'Adventure Guildsman', '', 'a_fighterguild_teacher_FDarkElf', 8.00, 23.00, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 224, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5928, 31794, 'Adventure Guildsman', '', 'a_fighterguild_teacher_FElf', 8.00, 22.50, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 231, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5929, 31795, 'Adventure Guildsman', '', 'e_common_people_MOrc', 8.00, 26.00, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5930, 31796, 'Adventure Guildsman', '', 'e_collector_teacher_FDwarf', 8.00, 17.50, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5931, 31797, 'Adventure Guildsman', '', 'e_common_people_MDwarf', 8.00, 17.00, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 99, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5932, 31798, 'Adventure Guildsman', '', 'a_fighterguild_teacher_FHuman', 9.50, 22.40, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 129, 102, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5933, 31799, 'Adventure Guildsman', '', 'e_common_people_MOrc', 8.00, 26.00, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5934, 31800, 'Adventure Guildsman', '', 'a_common_peopleA_MHuman', 8.00, 21.50, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 156, 20, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5935, 31801, 'Adventure Guildsman', '', 'a_common_peopleA_MHuman', 8.00, 21.50, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 156, 20, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5936, 31802, 'Adventure Guildsman', '', 'a_fighterguild_teacher_FHuman', 9.50, 22.40, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 129, 102, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5937, 31803, 'Adventure Guildsman', '', 'e_common_people_MOrc', 8.00, 26.00, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5938, 31804, 'Adventure Guildsman', '', 'a_fighterguild_teacher_FDarkElf', 8.00, 23.00, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 224, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5939, 31805, 'Adventure Guildsman', '', 'a_fighterguild_teacher_FElf', 8.00, 22.50, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 231, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5940, 31806, 'Adventure Guildsman', '', 'a_common_people_MElf', 6.00, 21.00, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 130, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5941, 31807, 'Adventure Guildsman', '', 'e_common_people_MDwarf', 8.00, 17.00, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 99, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5942, 31808, 'Adventure Guildsman', '', 'a_fighterguild_teacher_FHuman', 9.50, 22.40, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 129, 102, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5943, 31809, 'Adventure Guildsman', '', 'e_common_people_MOrc', 8.00, 26.00, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5944, 31810, 'Adventure Guildsman', '', 'a_fighterguild_teacher_FDarkElf', 8.00, 23.00, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 224, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5945, 31811, 'Adventure Guildsman', '', 'a_common_people_MElf', 6.00, 21.00, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 130, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5946, 31812, 'Adventure Guildsman', '', 'a_fighterguild_teacher_FDarkElf', 8.00, 23.00, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 224, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5947, 31813, 'Adventure Guildsman', '', 'a_fighterguild_teacher_FElf', 8.00, 22.50, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 231, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5948, 31814, 'Adventure Guildsman', '', 'e_collector_teacher_FDwarf', 8.00, 17.50, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5949, 31815, 'Adventure Guildsman', '', 'e_common_people_MOrc', 8.00, 26.00, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5950, 31816, 'Adventure Guildsman', '', 'a_fighterguild_teacher_FDarkElf', 8.00, 23.00, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 224, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5951, 31817, 'Adventure Guildsman', '', 'a_common_people_MElf', 6.00, 21.00, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 130, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5952, 31818, 'Adventure Guildsman', '', 'a_fighterguild_teacher_FHuman', 9.50, 22.40, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 129, 102, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5953, 31819, 'Adventure Guildsman', '', 'e_collector_teacher_FDwarf', 8.00, 17.50, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5954, 31820, 'Adventure Guildsman', '', 'a_fighterguild_teacher_FElf', 8.00, 22.50, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 231, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5955, 31821, 'Adventure Guildsman', '', 'a_fighterguild_teacher_FDarkElf', 8.00, 23.00, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 224, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5956, 31822, 'Adventure Guildsman', '', 'a_fighterguild_teacher_FHuman', 9.50, 22.40, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 129, 102, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5957, 31823, 'Adventure Guildsman', '', 'a_common_people_MElf', 6.00, 21.00, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 130, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5958, 31824, 'Adventure Guildsman', '', 'e_collector_teacher_FDwarf', 8.00, 17.50, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5959, 31825, 'Adventure Guildsman', '', 'a_fighterguild_teacher_FDarkElf', 8.00, 23.00, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 224, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5960, 31826, 'Adventure Guildsman', '', 'a_fighterguild_teacher_FElf', 8.00, 22.50, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 231, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5961, 31827, 'Adventure Guildsman', '', 'a_fighterguild_teacher_FElf', 8.00, 22.50, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 231, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5962, 31828, 'Adventure Guildsman', '', 'a_common_people_MElf', 6.00, 21.00, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 130, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5963, 31829, 'Adventure Guildsman', '', 'a_trader_MDarkElf', 8.00, 22.50, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 151, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5964, 31830, 'Adventure Guildsman', '', 'a_fighterguild_teacher_FDarkElf', 8.00, 23.00, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 224, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5965, 31831, 'Adventure Guildsman', '', 'a_fighterguild_teacher_FHuman', 9.50, 22.40, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 129, 102, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5966, 31832, 'Adventure Guildsman', '', 'e_common_people_MOrc', 8.00, 26.00, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5967, 31833, 'Adventure Guildsman', '', 'a_fighterguild_teacher_FElf', 8.00, 22.50, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 231, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5968, 31834, 'Adventure Guildsman', '', 'a_common_peopleA_MHuman', 8.00, 21.50, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 156, 20, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5969, 31835, 'Adventure Guildsman', '', 'e_collector_teacher_FDwarf', 8.00, 17.50, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5970, 31836, 'Adventure Guildsman', '', 'a_common_people_MElf', 6.00, 21.00, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 130, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5971, 31837, 'Adventure Guildsman', '', 'a_fighterguild_teacher_FDarkElf', 8.00, 23.00, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 224, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5972, 31838, 'Adventure Guildsman', '', 'e_common_people_MDwarf', 8.00, 17.00, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 99, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5973, 31839, 'Adventure Guildsman', '', 'a_common_people_MElf', 6.00, 21.00, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 130, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5974, 31840, 'Adventure Guildsman', '', 'e_common_people_MOrc', 8.00, 26.00, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5975, 31841, 'Adventure Guildsman', '', 'a_fighterguild_teacher_FHuman', 9.50, 22.40, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 129, 102, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5976, 31842, 'Teleportation Cubic', '', 'teleport_cube', 30.00, 65.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 1, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 7, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5977, 31843, 'Teleportation Cubic', '', 'teleport_cube', 30.00, 65.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 1, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5978, 31844, 'Aracna', '', 'aracne', 15.00, 26.00, 50, 'female', 'L2Monster', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 3000, 226, 558, 279, 289, 237, 253, 0, 500, 0, 0, 0, 64, 120, 'all_elemental_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(5979, 31845, 'Bloody Pixy', '', 'pixy', 5.00, 25.00, 80, 'female', 'L2Guard', 'GuardRndWalkAndAnim', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 7680, 226, 10560, 2532, 5944, 2140, 253, 1000, 2901, 0, 0, 0, 80, 120, 'all_elemental2_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.72, 'false', 'NONE', 1, 0),
	(5980, 31846, 'Satyros', '', 'pan', 14.00, 35.00, 80, 'male', 'L2Monster', 'Fighter', 80, 4551, 6.400, 1859, 2.370, 40, 43, 30, 21, 20, 20, 7680, 226, 1799, 577, 838, 469, 253, 0, 500, 291, 0, 0, 45, 110, 'all_elemental2_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.58, 'false', 'NONE', 0, 0),
	(5981, 31847, 'Pan', '', 'pan', 14.00, 35.00, 80, 'male', 'L2Monster', 'Fighter', 80, 4551, 6.400, 1859, 2.370, 40, 43, 30, 21, 20, 20, 7680, 226, 1799, 577, 838, 469, 253, 0, 500, 291, 0, 0, 45, 110, 'all_elemental_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.58, 'false', 'NONE', 0, 0),
	(5982, 31848, 'Pixy', '', 'pixy', 5.00, 25.00, 80, 'female', 'L2Guard', 'GuardRndWalkAndAnim', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 7680, 226, 10560, 2532, 5944, 2140, 253, 0, 2901, 0, 0, 0, 80, 120, 'all_elemental_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.72, 'false', 'NONE', 1, 0),
	(5983, 31849, 'Red Arachne', '', 'aracne', 15.00, 26.00, 80, 'female', 'L2Monster', 'Fighter', 40, 4551, 6.400, 1859, 2.370, 40, 43, 30, 21, 20, 20, 7680, 226, 1799, 577, 838, 469, 253, 0, 500, 0, 0, 0, 64, 120, 'all_elemental2_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(5984, 31850, 'Blight Treant', '', 'ti_mi_riran', 23.00, 90.00, 80, 'male', 'L2Guard', 'GuardRndWalkAndAnim', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 7680, 226, 10560, 2532, 5944, 2140, 253, 0, 2901, 0, 0, 0, 12, 12, 'all_elemental2_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(5985, 31851, 'Treant', '', 'ti_mi_tran', 23.00, 90.00, 80, 'male', 'L2Guard', 'GuardRndWalkAndAnim', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 7680, 226, 10560, 2532, 5944, 2140, 253, 0, 2901, 0, 0, 0, 12, 12, 'all_elemental_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(5986, 31852, 'Pixy Murika', '', 'pixy', 5.00, 25.00, 50, 'female', 'L2Guard', 'GuardRndWalkAndAnim', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 3000, 226, 10560, 2532, 5944, 2140, 253, 0, 500, 0, 0, 0, 80, 120, 'all_elemental_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.72, 'false', 'NONE', 1, 0),
	(5987, 31853, 'Treant Bremec', '', 'ti_mi_tran', 23.00, 90.00, 80, 'male', 'L2Guard', 'GuardRndWalkAndAnim', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 7680, 226, 10560, 2532, 5944, 2140, 253, 0, 2901, 0, 0, 0, 12, 12, 'all_elemental_clan', 300, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 1, 0),
	(5988, 31854, 'Event Manager', '', 'a_traderB_MHuman', 7.00, 21.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 10, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5989, 31855, 'Event Manager', '', 'a_trader_FElf', 8.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 10, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5990, 31856, 'Event Manager', '', 'a_clergyman_FDarkElf', 8.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 10, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5991, 31857, 'Event Manager', '', 'e_traderA_FDwarf', 8.00, 19.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 10, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5992, 31858, 'Event Manager', '', 'e_trader_FOrc', 8.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 10, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5993, 31859, 'Teleportation Cubic', '', 'teleport_cube', 30.00, 65.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 1, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5994, 31860, 'Buzz the Cat', 'Event Manager', 'cat_the_cat', 9.00, 16.00, 70, 'male', 'L2ClassMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 10, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 31860, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5995, 31861, 'Gatekeeper', '', 'a_teleporter_FHuman', 8.00, 25.00, 56, 'female', 'L2CastleTeleporter', 'npc', 40, 2725, 7.000, 1020, 2.400, 40, 43, 30, 21, 20, 20, 314, 10, 706, 331, 382, 269, 253, 0, 500, 0, 0, 0, 50, 120, 'dion_siege_clan', 600, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5996, 31862, 'Angelic Vortex', '', 'alive_castle_aden_controltower_jewel', 7.00, 35.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 10, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(5997, 31863, 'Santa Trainee', '', 'e_smith_master_MDwarf', 8.00, 17.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 10, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5998, 31864, 'Santa Trainee', '', 'e_smith_master_MDwarf', 8.00, 17.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 10, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(5999, 31865, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 35, 'female', 'L2Npc', 'npc', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 0, 0, 191, 170, 90, 138, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6000, 31866, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 35, 'female', 'L2Npc', 'npc', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 0, 0, 191, 170, 90, 138, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6001, 31867, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 35, 'female', 'L2Npc', 'npc', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 0, 0, 191, 170, 90, 138, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6002, 31868, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 35, 'female', 'L2Npc', 'npc', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 0, 0, 191, 170, 90, 138, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6003, 31869, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 35, 'female', 'L2Npc', 'npc', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 0, 0, 191, 170, 90, 138, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6004, 31870, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 35, 'female', 'L2Npc', 'npc', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 0, 0, 191, 170, 90, 138, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6005, 31871, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 35, 'female', 'L2Npc', 'npc', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 0, 0, 191, 170, 90, 138, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6006, 31872, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 35, 'female', 'L2Npc', 'npc', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 0, 0, 191, 170, 90, 138, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6007, 31873, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 35, 'female', 'L2Npc', 'npc', 40, 1221, 4.900, 447, 1.920, 40, 43, 30, 21, 20, 20, 0, 0, 191, 170, 90, 138, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6008, 31874, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 45, 'female', 'L2Npc', 'npc', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 0, 0, 375, 238, 172, 194, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6009, 31875, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 45, 'female', 'L2Npc', 'npc', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 0, 0, 375, 238, 172, 194, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6010, 31876, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 45, 'female', 'L2Npc', 'npc', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 0, 0, 375, 238, 172, 194, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6011, 31877, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 45, 'female', 'L2Npc', 'npc', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 0, 0, 375, 238, 172, 194, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6012, 31878, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 45, 'female', 'L2Npc', 'npc', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 0, 0, 375, 238, 172, 194, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6013, 31879, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 45, 'female', 'L2Npc', 'npc', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 0, 0, 375, 238, 172, 194, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6014, 31880, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 45, 'female', 'L2Npc', 'npc', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 0, 0, 375, 238, 172, 194, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6015, 31881, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 45, 'female', 'L2Npc', 'npc', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 0, 0, 375, 238, 172, 194, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6016, 31882, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 45, 'female', 'L2Npc', 'npc', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 0, 0, 375, 238, 172, 194, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6017, 31883, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 55, 'female', 'L2Npc', 'npc', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6018, 31884, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 55, 'female', 'L2Npc', 'npc', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6019, 31885, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 55, 'female', 'L2Npc', 'npc', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6020, 31886, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 55, 'female', 'L2Npc', 'npc', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6021, 31887, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 55, 'female', 'L2Npc', 'npc', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6022, 31888, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 55, 'female', 'L2Npc', 'npc', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6023, 31889, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 55, 'female', 'L2Npc', 'npc', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6024, 31890, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 55, 'female', 'L2Npc', 'npc', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6025, 31891, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 55, 'female', 'L2Npc', 'npc', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6026, 31892, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 65, 'female', 'L2Npc', 'npc', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 0, 0, 1068, 419, 498, 340, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6027, 31893, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 65, 'female', 'L2Npc', 'npc', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 0, 0, 1068, 419, 498, 340, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6028, 31894, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 65, 'female', 'L2Npc', 'npc', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 0, 0, 1068, 419, 498, 340, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6029, 31895, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 65, 'female', 'L2Npc', 'npc', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 0, 0, 1068, 419, 498, 340, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6030, 31896, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 65, 'female', 'L2Npc', 'npc', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 0, 0, 1068, 419, 498, 340, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6031, 31897, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 65, 'female', 'L2Npc', 'npc', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 0, 0, 1068, 419, 498, 340, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6032, 31898, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 65, 'female', 'L2Npc', 'npc', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 0, 0, 1068, 419, 498, 340, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6033, 31899, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 65, 'female', 'L2Npc', 'npc', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 0, 0, 1068, 419, 498, 340, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6034, 31900, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 65, 'female', 'L2Npc', 'npc', 40, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 0, 0, 1068, 419, 498, 340, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6035, 31901, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 75, 'female', 'L2Npc', 'npc', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 0, 0, 1551, 524, 722, 425, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6036, 31902, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 75, 'female', 'L2Npc', 'npc', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 0, 0, 1551, 524, 722, 425, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6037, 31903, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 75, 'female', 'L2Npc', 'npc', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 0, 0, 1551, 524, 722, 425, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6038, 31904, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 75, 'female', 'L2Npc', 'npc', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 0, 0, 1551, 524, 722, 425, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6039, 31905, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 75, 'female', 'L2Npc', 'npc', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 0, 0, 1551, 524, 722, 425, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6040, 31906, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 75, 'female', 'L2Npc', 'npc', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 0, 0, 1551, 524, 722, 425, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6041, 31907, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 75, 'female', 'L2Npc', 'npc', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 0, 0, 1551, 524, 722, 425, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6042, 31908, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 75, 'female', 'L2Npc', 'npc', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 0, 0, 1551, 524, 722, 425, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6043, 31909, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 75, 'female', 'L2Npc', 'npc', 40, 4229, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 0, 0, 1551, 524, 722, 425, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6044, 31910, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 85, 'female', 'L2Npc', 'npc', 40, 4814, 9.900, 2050, 3.420, 40, 43, 30, 21, 20, 20, 0, 0, 2035, 630, 944, 511, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6045, 31911, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 85, 'female', 'L2Npc', 'npc', 40, 4814, 9.900, 2050, 3.420, 40, 43, 30, 21, 20, 20, 0, 0, 2035, 630, 944, 511, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6046, 31912, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 85, 'female', 'L2Npc', 'npc', 40, 4814, 9.900, 2050, 3.420, 40, 43, 30, 21, 20, 20, 0, 0, 2035, 630, 944, 511, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6047, 31913, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 85, 'female', 'L2Npc', 'npc', 40, 4814, 9.900, 2050, 3.420, 40, 43, 30, 21, 20, 20, 0, 0, 2035, 630, 944, 511, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6048, 31914, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 85, 'female', 'L2Npc', 'npc', 40, 4814, 9.900, 2050, 3.420, 40, 43, 30, 21, 20, 20, 0, 0, 2035, 630, 944, 511, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0);
INSERT INTO `npc` (`ordinal`, `id`, `name`, `title`, `class`, `collision_radius`, `collision_height`, `level`, `sex`, `type`, `ai_type`, `attackrange`, `hp`, `base_hp_regen`, `mp`, `base_mp_regen`, `str`, `con`, `dex`, `int`, `wit`, `men`, `exp`, `sp`, `patk`, `pdef`, `matk`, `mdef`, `atkspd`, `aggro`, `matkspd`, `rhand`, `lhand`, `armor`, `walkspd`, `runspd`, `faction_id`, `faction_range`, `displayId`, `shield_defense_rate`, `shield_defense`, `corpse_time`, `base_rand_dam`, `base_critical`, `physical_hit_modify`, `base_reuse_delay`, `physical_avoid_modify`, `hit_time_factor`, `isDropHerbs`, `shots`, `map_flag`, `boss_flag`) VALUES
	(6049, 31915, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 85, 'female', 'L2Npc', 'npc', 40, 4814, 9.900, 2050, 3.420, 40, 43, 30, 21, 20, 20, 0, 0, 2035, 630, 944, 511, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6050, 31916, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 85, 'female', 'L2Npc', 'npc', 40, 4814, 9.900, 2050, 3.420, 40, 43, 30, 21, 20, 20, 0, 0, 2035, 630, 944, 511, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6051, 31917, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 85, 'female', 'L2Npc', 'npc', 40, 4814, 9.900, 2050, 3.420, 40, 43, 30, 21, 20, 20, 0, 0, 2035, 630, 944, 511, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6052, 31918, 'Guardian of Border', '', 'teleport_npc_sm', 7.00, 15.00, 85, 'female', 'L2Npc', 'npc', 40, 4814, 9.900, 2050, 3.420, 40, 43, 30, 21, 20, 20, 0, 0, 2035, 630, 944, 511, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6053, 31919, 'Ghost Chamberlain of Elmoreden', '', 'a_tombkeeperA', 7.00, 23.00, 70, 'female', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6054, 31920, 'Ghost Chamberlain of Elmoreden', '', 'a_tombkeeperA', 7.00, 23.00, 70, 'female', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6055, 31921, 'Conquerors\' Sepulcher Manager', '', 'grave_keeper', 8.00, 21.00, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6056, 31922, 'Emperors\' Sepulcher Manager', '', 'grave_keeper', 8.00, 21.00, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6057, 31923, 'Great Sages\' Sepulcher Manager', '', 'grave_keeper', 8.00, 21.00, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6058, 31924, 'Judges\' Sepulcher Manager', '', 'grave_keeper', 8.00, 21.00, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6059, 31925, 'Baron\'s Hall Gatekeeper', '', 'rift_keeper_25_sm', 9.50, 29.00, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6060, 31926, 'Viscount\'s Hall Gatekeeper', '', 'rift_keeper_25_sm', 9.50, 29.00, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6061, 31927, 'Count\'s Hall Gatekeeper', '', 'rift_keeper_25_sm', 9.50, 29.00, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6062, 31928, 'Marquis\' Hall Gatekeeper', '', 'rift_keeper_25_sm', 9.50, 29.00, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6063, 31929, 'Duke\'s Hall Gatekeeper', '', 'rift_keeper_25_sm', 9.50, 29.00, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6064, 31930, 'Baron\'s Hall Gatekeeper', '', 'rift_keeper_25_sm', 9.50, 29.00, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6065, 31931, 'Viscount\'s Hall Gatekeeper', '', 'rift_keeper_25_sm', 9.50, 29.00, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6066, 31932, 'Count\'s Hall Gatekeeper', '', 'rift_keeper_25_sm', 9.50, 29.00, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6067, 31933, 'Marquis\' Hall Gatekeeper', '', 'rift_keeper_25_sm', 9.50, 29.00, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6068, 31934, 'Duke\'s Hall Gatekeeper', '', 'rift_keeper_25_sm', 9.50, 29.00, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6069, 31935, 'Baron\'s Hall Gatekeeper', '', 'rift_keeper_25_sm', 9.50, 29.00, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6070, 31936, 'Viscount\'s Hall Gatekeeper', '', 'rift_keeper_25_sm', 9.50, 29.00, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6071, 31937, 'Count\'s Hall Gatekeeper', '', 'rift_keeper_25_sm', 9.50, 29.00, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6072, 31938, 'Marquis\' Hall Gatekeeper', '', 'rift_keeper_25_sm', 9.50, 29.00, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6073, 31939, 'Duke\'s Hall Gatekeeper', '', 'rift_keeper_25_sm', 9.50, 29.00, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6074, 31940, 'Baron\'s Hall Gatekeeper', '', 'rift_keeper_25_sm', 9.50, 29.00, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6075, 31941, 'Viscount\'s Hall Gatekeeper', '', 'rift_keeper_25_sm', 9.50, 29.00, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6076, 31942, 'Count\'s Hall Gatekeeper', '', 'rift_keeper_25_sm', 9.50, 29.00, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6077, 31943, 'Marquis\' Hall Gatekeeper', '', 'rift_keeper_25_sm', 9.50, 29.00, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6078, 31944, 'Duke\'s Hall Gatekeeper', '', 'rift_keeper_25_sm', 9.50, 29.00, 70, 'male', 'L2SepulcherNpc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6079, 31945, 'Auzendorff', 'Trader', 'e_traderB_MDwarf', 8.00, 17.50, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6080, 31946, 'Hombre', 'Trader', 'a_traderD_Mhuman', 8.00, 21.50, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6081, 31947, 'Owaki', 'Trader', 'e_trader_MOrc', 8.00, 23.50, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6082, 31948, 'Adrian', 'Trader', 'a_traderC_Mhuman', 8.00, 23.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6083, 31949, 'Rouge', 'Trader', 'a_traderC_Fhuman', 8.00, 22.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6084, 31950, 'Mailland', 'Trader', 'e_traderB_FDwarf', 7.00, 18.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6085, 31951, 'Jose', 'Trader', 'a_traderD_Fhuman', 8.00, 25.30, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6086, 31952, 'Pele', 'Trader', 'a_common_peopleC_Fhuman', 8.00, 22.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6087, 31953, 'Rankar', 'Symbol Maker', 'a_mageguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2SymbolMaker', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6088, 31954, 'Saroyan', 'Pet Manager', 'a_traderD_Mhuman', 8.00, 21.50, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6089, 31955, 'Ruby', '', 'baby_tiger', 11.00, 15.70, 70, 'male', 'L2Npc', 'RndWalkAndAnim', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 28, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6090, 31956, 'Rydel', 'Warehouse Keeper', 'e_warehouse_keeper_FDwarf', 7.00, 18.00, 70, 'female', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6091, 31957, 'Cherbal', 'Warehouse Keeper', 'a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6092, 31958, 'Yasheni', 'Warehouse Chief', 'e_warehouse_master_MDwarf', 7.00, 18.00, 70, 'female', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6093, 31959, 'Axel', 'Warehouse Keeper', 'e_warehouse_master_MDwarf', 8.00, 17.50, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6094, 31960, 'Byron', 'Blacksmith', 'e_smith_Fdwarf', 8.00, 17.50, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 87, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6095, 31961, 'Newyear', 'Head Blacksmith', 'e_smith_master_MDwarf', 8.00, 16.50, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 89, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6096, 31962, 'Altair', 'Blueprint Seller', 'a_traderA_MDwarf', 8.00, 17.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6097, 31963, 'Hitchi', 'Mineral Trader', 'e_traderB_master_MDwarf', 8.00, 17.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6098, 31964, 'Bilia', 'Gatekeeper', 'a_teleporter_FHuman', 8.00, 25.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6099, 31965, 'Hector', 'Grand Master', 'a_fighterguild_master_Mhuman', 8.00, 23.50, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 76, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6100, 31966, 'Karamon', 'Master', 'a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 125, 20, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6101, 31967, 'Euline', 'Master', 'a_fighterguild_teacher_FElf', 8.00, 22.50, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 130, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6102, 31968, 'Baryl', 'High Priest', 'a_temple_master_Mhuman', 8.00, 22.50, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 193, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6103, 31969, 'Evelyn', 'Priest', 'a_mageguild_master_FHuman', 8.00, 23.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6104, 31970, 'Sinis', 'Priest', 'a_mageguild_teacher_MElf', 7.00, 22.20, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6105, 31971, 'Otillo', 'Magister', 'a_mageguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6106, 31972, 'Atraxia', 'Magister', 'a_mageguild_teacher_FElf', 7.00, 21.20, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6107, 31973, 'Raheel', 'Spellbook Seller', 'a_sanctuary_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6108, 31974, 'Drizzit', 'Grand Master', 'a_guild_master_MDarkElf', 8.00, 23.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 143, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6109, 31975, 'Aerina', 'Master', 'a_fighterguild_teacher_MDarkElf', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 143, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6110, 31976, 'Talia', 'Magister', 'a_mageguild_teacher_FDarkElf', 8.00, 23.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6111, 31977, 'Shaka', 'High Prefect', 'e_patriarch_MOrc', 8.00, 26.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6112, 31978, 'Tazeer', 'Prefect', 'e_fighterguild_teacher_MOrc', 8.00, 28.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 161, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6113, 31979, 'Moira', 'Seer', 'e_clergyman_FOrc', 7.00, 28.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 202, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6114, 31980, 'Rumba', 'Amulet Seller', 'e_clergyman_FOrc', 7.00, 28.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6115, 31981, 'Vishotsky', 'Captain', 'e_elmore_guard_Mhuman', 8.00, 23.50, 80, 'male', 'L2Npc', 'npc', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 0, 333, 133, 632, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(6116, 31982, 'Glen', 'Guard', 'e_elmore_guard_Mhuman', 8.00, 23.50, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 0, 333, 126, 628, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(6117, 31983, 'Friggar', 'Guard', 'e_elmore_guard_Mhuman', 8.00, 23.50, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 0, 333, 94, 0, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(6118, 31984, 'Sherring', 'Guard', 'e_elmore_guard_Mhuman', 8.00, 23.50, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 0, 333, 126, 628, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(6119, 31985, 'Kosmos', 'Guard', 'e_elmore_guard_Mhuman', 8.00, 23.50, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 0, 333, 94, 0, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(6120, 31986, 'Erstack', 'Guard', 'e_elmore_guard_Mhuman', 8.00, 23.50, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 0, 333, 126, 628, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(6121, 31987, 'Gotter', 'Guard', 'e_elmore_guard_Mhuman', 8.00, 23.50, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 0, 500, 94, 0, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(6122, 31988, 'Singa', 'Guard', 'e_elmore_guard_Mhuman', 8.00, 23.50, 80, 'male', 'L2Guard', 'Guard', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 0, 500, 126, 628, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(6123, 31989, 'Batidae', 'Fishing Guild Member', 'a_fisherA_Mhuman', 8.00, 23.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 7560, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6124, 31990, 'Siger', 'Blacksmith', 'a_smith_MDwarf', 7.00, 16.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6125, 31991, 'Adventure Guildsman', '', 'e_collector_teacher_FDwarf', 8.00, 17.50, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6126, 31992, 'Adventure Guildsman', '', 'a_fighterguild_teacher_FHuman', 9.50, 22.40, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 129, 102, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 0, 0),
	(6127, 31993, 'Adventure Guildsman', '', 'e_common_people_MDwarf', 8.00, 17.00, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 99, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6128, 31994, 'Adventure Guildsman', '', 'e_common_people_MOrc', 8.00, 26.00, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6129, 31995, 'Adventure Guildsman', '', 'a_common_peopleA_MHuman', 8.00, 21.50, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 156, 20, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 0, 0),
	(6130, 31996, 'Javier', 'Grand Magister', 'a_mageguild_master_MHuman', 8.00, 24.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6131, 31997, 'Priest of Dawn', '', 'priest_of_dawn', 8.00, 30.50, 70, 'male', 'L2SignsPriest', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 5802, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(6132, 31998, 'Dusk Priestess', '', 'priest_of_dusk', 8.00, 22.00, 70, 'female', 'L2SignsPriest', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 5801, 0, 0, 50, 120, '', 0, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(6133, 31999, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2CabaleBuffer', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6134, 32000, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2CabaleBuffer', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6135, 32001, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2CabaleBuffer', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6136, 32002, 'Preacher of Doom', '', 'dark_horror', 20.00, 35.00, 70, 'male', 'L2CabaleBuffer', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 100, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6137, 32003, 'Orator of Revelations', '', 'liviona', 15.00, 28.00, 70, 'male', 'L2CabaleBuffer', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(6138, 32004, 'Orator of Revelations', '', 'liviona', 15.00, 28.00, 70, 'male', 'L2CabaleBuffer', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(6139, 32005, 'Orator of Revelations', '', 'liviona', 15.00, 28.00, 70, 'male', 'L2CabaleBuffer', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(6140, 32006, 'Orator of Revelations', '', 'liviona', 15.00, 28.00, 70, 'male', 'L2CabaleBuffer', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(6141, 32007, 'Galba', 'Fishing Guild Member', 'a_fisherA_Mhuman', 8.00, 24.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 7560, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6142, 32008, 'Gremory', 'Priest', 'a_temple_master_Mhuman', 8.00, 24.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6143, 32009, 'Devorin', 'Nurse', 'e_common_people_FDwarf', 7.00, 17.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6144, 32010, 'Flauron', 'Priest', 'a_temple_master_Mhuman', 8.00, 22.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6145, 32011, 'Imperial Tomb Guide', '', 'a_tombkeeperA', 7.00, 23.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6146, 32012, 'Tantan', 'Retired Adventurer', 'a_old_people_Mhuman', 9.00, 17.30, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6147, 32013, 'Suki', 'Wild Maiden', 'a_common_peopleB_FHuman', 8.00, 20.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6148, 32014, 'Ivan', 'Runaway Youth', 'a_traderD_Mhuman', 7.00, 21.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6149, 32015, 'Scout\'s Corpse', '', 'e_guard_MDwarf_death', 13.00, 19.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6150, 32016, 'Torrant', 'Beacon Tower Manager', 'e_guard_MOrc', 8.00, 27.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 95, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6151, 32017, 'Karuda', '', 'e_guard_MOrc', 8.00, 27.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 93, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6152, 32018, 'Misa', '', 'a_maidB_FHuman', 8.00, 22.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6153, 32019, 'Suspicious Man', '', 'a_sanctuary_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6154, 32020, 'Rafforty', '', 'a_common_peopleC_Mhuman', 10.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6155, 32021, 'Ice Sculpture', '', 'ice_sculpture_c', 16.00, 20.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6156, 32022, 'Kierre', '', 'ice_sculpture_b', 12.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6157, 32023, 'Ice Shelf', '', 'ice_shelf', 35.00, 14.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6158, 32024, 'Mulia', 'Clan Trader', 'e_smith_master_MDwarf', 8.00, 16.50, 70, 'male', 'L2ClanTrader', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6159, 32025, 'Ilia', 'Clan Trader', 'e_smith_Fdwarf', 8.00, 17.50, 70, 'female', 'L2ClanTrader', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6160, 32026, 'Hestui Guard', '', 'e_fighterguild_teacher_MOrc', 8.00, 28.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6161, 32027, 'Holy Brazier', '', 'grail_brazier_b', 30.00, 31.00, 78, 'female', 'L2Npc', 'npc', 40, 4429, 9.200, 1784, 3.210, 40, 43, 30, 21, 20, 20, 0, 0, 1701, 556, 788, 451, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6162, 32028, 'Holy Grail', '', 'holy_grail', 6.20, 7.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6163, 32029, 'Freya\'s Steward', '', 'a_common_people_MElf', 6.00, 21.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6164, 32030, 'Garden Sculpture', '', 'ice_sculpture_c', 16.00, 20.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6165, 32031, 'Ice Fairy Sculpture', '', 'ice_sculpture_b', 12.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6166, 32032, 'Strange Machine', '', 'strange_mechanical_instrument', 16.00, 15.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6167, 32033, 'Doctor Chaos', '', 'doctor_chaos', 9.00, 15.60, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6168, 32034, 'Temple Gatekeeper', '', 'heretical_sanctuary_gatekeeper_a', 80.00, 181.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6169, 32035, 'Temple Gatekeeper', '', 'heretical_sanctuary_openner_a', 28.00, 70.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6170, 32036, 'Temple Gatekeeper', '', 'heretical_sanctuary_gatekeeper_b', 80.00, 203.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6171, 32037, 'Temple Gatekeeper', '', 'heretical_sanctuary_openner_b', 28.00, 70.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6172, 32038, 'Ritual Offering', '', 'a_traderA_Mhuman_deco', 8.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6173, 32039, 'Triol\'s Mirror', '', 'heretical_devil_mirror', 28.00, 70.00, 70, 'female', 'L2TriolsMirror', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6174, 32040, 'Triol\'s Mirror', '', 'heretical_devil_mirror', 28.00, 70.00, 70, 'female', 'L2TriolsMirror', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6175, 32041, 'Yumi', 'Collector', 'e_collector_teacher_FDwarf', 8.00, 17.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6176, 32042, 'Weathermaster', '', 'pavel_weather_controller', 14.50, 18.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6177, 32043, 'Weathermaster', '', 'pavel_weather_controller', 14.50, 18.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6178, 32044, 'Weathermaster', '', 'Evilate_weather', 16.00, 18.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6179, 32045, 'Doctor Chaos\' Secret Bookshelf', '', 'Evilate_doc_chaos', 25.00, 33.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6180, 32046, 'Suspicious-Looking Pile of Stones', '', 'susceptor_env', 20.00, 35.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6181, 32047, 'Wendy', '', 'e_teleporter_FDwarf', 8.00, 21.30, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6182, 32048, 'Event Gatekeeper', '', 'cutie_cat', 8.00, 15.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(6183, 32049, 'Rooney', 'Blacksmith of Wind', 'a_smith_MDwarf', 7.00, 16.50, 70, 'male', 'L2Npc', 'Rooney', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 89, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6184, 32050, 'Parts Box', '', 'box', 18.00, 14.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(6185, 32051, 'Altar Gatekeeper', '', 'trioll_altar', 9.00, 33.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(6186, 32052, 'Obi', 'Railroad Worker', 'e_mine_teacher_MDwarf', 8.00, 18.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(6187, 32053, 'Abey', 'Railroad Worker', 'e_mine_teacher_FDwarf', 8.00, 18.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(6188, 32054, 'Ghost of a Railroad Engineer', '', 'dwarf_ghost', 10.00, 18.70, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(6189, 32055, 'Ghost of an Ancient Railroad Engineer', '', 'dwarf_ghost', 10.00, 18.70, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(6190, 32056, 'Aren', 'Khavatari', 'e_mageguild_teacher_FOrc', 8.00, 28.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(6191, 32057, 'Totem Spirit of Gandi', '', 'onyx_beast', 14.00, 14.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(6192, 32058, 'Triol\'s Revelation', '', 'trioll_altar', 9.00, 33.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(6193, 32059, 'Triol\'s Revelation', '', 'trioll_altar', 9.00, 33.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(6194, 32060, 'Triol\'s Revelation', '', 'trioll_altar', 9.00, 33.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(6195, 32061, 'Triol\'s Revelation', '', 'trioll_altar', 9.00, 33.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(6196, 32062, 'Triol\'s Revelation', '', 'trioll_altar', 9.00, 33.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(6197, 32063, 'Triol\'s Revelation', '', 'trioll_altar', 9.00, 33.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(6198, 32064, 'Triol\'s Revelation', '', 'trioll_altar', 9.00, 33.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(6199, 32065, 'Triol\'s Revelation', '', 'trioll_altar', 9.00, 33.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(6200, 32066, 'Triol\'s Revelation', '', 'trioll_altar', 9.00, 33.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(6201, 32067, 'Triol\'s Revelation', '', 'trioll_altar', 9.00, 33.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(6202, 32068, 'Triol\'s Revelation', '', 'trioll_altar', 9.00, 33.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(6203, 32069, 'Gutenhagen', 'Collector', 'e_guard_MDwarf', 8.00, 19.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(6204, 32070, 'Adolph', '', 'a_child_people_Mhuman', 5.00, 12.30, 70, 'male', 'L2Npc', 'EdwinFollower', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 26, 45, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(6205, 32071, 'Linda', '', 'a_child_people_Fhuman', 5.00, 12.30, 70, 'female', 'L2Npc', 'EdwinFollower', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 24, 50, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(6206, 32072, 'Edwin', '', 'a_old_people_Mhuman', 9.00, 17.30, 70, 'male', 'L2Npc', 'Edwin', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 6, 32, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(6207, 32073, 'Old Female Drifter', '', 'a_old_people_Fhuman', 9.00, 17.30, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(6208, 32074, 'Gludio Territory Manager', 'Guild President', 'a_mageguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(6209, 32075, 'Sandy the Cat', 'Tournament Helper', 'queen_of_cat', 8.00, 15.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(6210, 32076, 'Box', '', 'box', 18.00, 14.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(6211, 32077, 'Ice Sculpture', '', 'ice_sculpture_c', 16.00, 20.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(6212, 32078, 'Ice Sculpture', '', 'ice_sculpture_c', 16.00, 20.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(6213, 32079, 'Ice Sculpture', '', 'ice_sculpture_c', 16.00, 20.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(6214, 32082, 'Dion Territory Manager', 'Adventure Guildsman', 'a_mageguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6215, 32083, 'Giran Territory Manager', 'Adventure Guildsman', 'a_mageguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6216, 32084, 'Oren Territory Manager', 'Adventure Guildsman', 'a_mageguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6217, 32085, 'Aden Territory Manager', 'Adventure Guildsman', 'a_mageguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6218, 32086, 'Innadril Territory Manager', 'Adventure Guildsman', 'a_mageguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6219, 32087, 'Schuttgart Territory Manager', 'Adventure Guildsman', 'a_mageguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6220, 32088, 'Goddard Territory Manager', 'Adventure Guildsman', 'a_mageguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6221, 32089, 'Rune Territory Manager', 'Adventure Guildsman', 'a_mageguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6222, 32090, 'Dead Leopard\'s Carcass', '', 'onyx_beast_ns', 14.00, 14.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 1, 0),
	(6223, 32091, 'Omega\'s Cat', 'Event Manager', 'cutie_cat', 8.00, 15.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(6224, 32092, 'Alder', 'Warehouse Chief', 'e_warehouse_master_MDwarf', 8.00, 17.50, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6225, 32093, 'Bolin', 'Head Blacksmith', 'e_common_people_MDwarf', 8.00, 17.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 89, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6226, 32094, 'Schule', 'Grand Master', 'a_fighterguild_master_FHuman', 8.00, 21.50, 70, 'female', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 76, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6227, 32095, 'Marie', 'High Priest', 'a_sanctuary_teacher_FHuman', 8.00, 22.50, 70, 'female', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 193, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6228, 32096, 'Helminter', 'Grand Master', 'a_fighterguild_teacher_FDarkElf', 8.00, 23.00, 70, 'female', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 143, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6229, 32097, 'Finker', 'High Prefect', 'e_trader_FOrc', 8.00, 24.00, 70, 'female', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6230, 32098, 'Celes', 'Grand Magister', 'a_mageguild_master_FHuman', 8.00, 23.00, 70, 'female', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6231, 32099, 'Tony the Cat', 'Event Manager', 'cutie_cat', 8.00, 15.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(6232, 32100, 'Tony the Cat', 'Event Manager', 'cutie_cat', 8.00, 15.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(6233, 32101, 'Tony the Cat', 'Event Manager', 'cutie_cat', 8.00, 15.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(6234, 32102, 'Tony the Cat', 'Event Manager', 'cutie_cat', 8.00, 15.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(6235, 32103, 'Telling the Cat', 'Event Manager', 'cutie_cat', 8.00, 15.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(6236, 32104, 'Vervato', '', 'Crokian_Sorcerer', 25.00, 33.00, 70, 'male', 'L2Npc', 'Mystic', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6237, 32105, 'Dinn', '', 'a_traderC_Mhuman', 8.00, 23.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6238, 32106, 'Singsing', '', 'a_wharfinger_MHuman', 8.00, 23.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6239, 32107, 'Teleportation Cubic', '', 'teleport_npc', 40.00, 80.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6240, 32108, '', '', 'rhamphorhynchus_npc', 1.00, 800.00, 70, 'male', 'L2Npc', 'Pterosaur', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6241, 32109, 'Shilen\'s Stone Statue', '', 'primeval_raid_teleporter', 24.00, 72.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6242, 32110, '', '', 'clear_npc', 0.10, 0.10, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6243, 32111, 'Orahochin', '', 'Crokian_Sorcerer', 25.00, 33.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6244, 32112, 'Gariachin', '', 'Crokian_Sorcerer', 25.00, 33.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6245, 32113, 'Marquez', '', 'a_wharfinger_MHuman', 8.00, 23.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6246, 32114, 'Mushika', '', 'Crokian_Elder', 25.00, 33.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6247, 32115, 'Asamah', '', 'Crokian_Vice_Elder', 45.00, 41.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6248, 32116, 'Kirikachin', '', 'Crokian_Vice_Elder', 45.00, 41.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6249, 32117, 'Karakawei', '', 'Crokian_Sorcerer', 25.00, 33.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6250, 32118, 'Mantarasa Egg', '', 'dinosaur_nest', 43.00, 33.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 100, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6251, 32119, 'Ulu Kaimu', '', 'Evilate_doc_chaos', 25.00, 33.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6252, 32120, 'Balu Kaimu', '', 'Evilate_doc_chaos', 25.00, 33.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6253, 32121, 'Chuta Kaimu', '', 'Evilate_doc_chaos', 25.00, 33.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6254, 32122, 'Warrior\'s Grave', '', 'Evilate_weather', 16.00, 18.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6255, 32123, 'Valakas', '', 'valakas_f', 190.00, 335.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6256, 32124, 'Great Soul', '', 'Soul_Collector_Npc', 14.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6257, 32125, 'Great Soul', '', 'Soul_Collector_Npc', 14.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6258, 32126, 'Priest Guard', '', 'e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 600, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1693, 471, 607, 382, 253, 0, 500, 7824, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6259, 32127, 'Priest Guard', '', 'e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 600, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1693, 471, 607, 382, 253, 0, 500, 7824, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6260, 32128, 'Guardian Wizard of the Cloth', '', 'a_traderB_FHuman', 8.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 4900, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6261, 32129, '', '', 'valakas_f_dummy', 8.00, 10.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6262, 32130, 'Strategist Lucien', 'Event Manager', 'king_of_cat', 6.00, 16.01, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6263, 32131, 'Magic Laboratory Worker', 'Event Manager', 'e_smith_Fdwarf', 8.00, 17.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 313, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6264, 32132, 'Alchemist\'s Servitor', '', 'LineageNPC.teleport_npc_sm', 7.00, 15.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 55, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6265, 32133, 'Perwan', 'Vice Hierarch', 'LineageNPC2.K_M1_elder', 17.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 20, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6266, 32134, 'Newbie Helper', '', 'LineageNPC2.K_F1_elder', 13.00, 22.20, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 10, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6267, 32135, 'Newbie Guide', '', 'LineageNPC2.K_M1_elder', 17.00, 25.00, 70, 'male', 'L2NewbieGuide', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 20, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6268, 32136, 'Basil', 'Marksman', 'LineageNPC2.K_M1_guard', 13.00, 25.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 0, 500, 9645, 0, 0, 39, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6269, 32137, 'Sucrete', 'Marksman', 'LineageNPC2.K_M1_guard', 13.00, 25.00, 80, 'male', 'L2Guard', 'Guard', 1100, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 0, 500, 9645, 0, 0, 39, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6270, 32138, 'Kekropus', 'Hierarch', 'LineageNPC2.K_kekrops', 18.00, 28.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 20, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6271, 32139, 'Casca', 'Vice Hierarch', 'LineageNPC2.K_M1_elder', 17.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 20, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6272, 32140, 'Zenya', 'Vice Hierarch', 'LineageNPC2.K_F1_elder', 13.00, 22.20, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 10, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6273, 32141, 'Nerga', 'Master', 'LineageNPC2.K_M1_master', 15.00, 25.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9646, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6274, 32142, 'Tenor', 'Master', 'LineageNPC2.K_M1_master', 15.00, 25.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9646, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6275, 32143, 'Belkis', 'Master', 'LineageNPC2.K_F1_master', 12.00, 23.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9644, 0, 0, 24, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6276, 32144, 'Xonia', 'Master', 'LineageNPC2.K_F1_master', 12.00, 23.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9644, 0, 0, 24, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6277, 32145, 'Maynard', 'Grand Master', 'LineageNPC2.K_F1_grand', 11.00, 22.20, 70, 'female', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9646, 0, 0, 28, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6278, 32146, 'Valpor', 'Grand Master', 'LineageNPC2.K_M1_grand', 13.00, 25.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9645, 0, 0, 28, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6279, 32147, 'Rivian', 'Grand Master', 'LineageNPC.a_mageguild_teacher_FElf', 7.00, 21.20, 70, 'female', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6280, 32148, 'Cindet', 'Master', 'LineageNPC.a_fighterguild_teacher_MElf', 7.00, 22.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6281, 32149, 'Ennear', 'Magister', 'LineageNPC.a_fighterguild_teacher_FElf', 8.00, 22.50, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6282, 32150, 'Took', 'High Prefect', 'LineageNPC.e_patriarch_MOrc', 8.00, 26.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6283, 32151, 'Herz', 'Prefect', 'LineageNPC.e_fighterguild_teacher_MOrc', 8.00, 28.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6284, 32152, 'Henri', 'Seer', 'LineageNPC.e_clergyman_FOrc', 7.00, 28.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6285, 32153, 'Prana', 'High Priest', 'LineageNPC.a_temple_master_Mhuman', 8.00, 22.50, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6286, 32154, 'Aldenia', 'Grand Master', 'LineageNPC.a_fighterguild_master_FHuman', 8.00, 21.50, 70, 'female', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6287, 32155, 'Nabot', 'Priest', 'LineageNPC.a_temple_teacher_Mhuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6288, 32156, 'Talbot', 'Master', 'LineageNPC.a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6289, 32157, 'Moka', 'Head Blacksmith', 'LineageNPC.e_smith_master_MDwarf', 8.00, 16.50, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6290, 32158, 'Fisler', 'Warehouse Chief', 'LineageNPC.e_collector_master_MDwarf', 8.00, 18.40, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6291, 32159, 'Kincaid', 'Blacksmith', 'LineageNPC.a_smith_MDwarf', 7.00, 16.50, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6292, 32160, 'Devon', 'Grand Magister', 'LineageNPC.a_mageguild_teacher_MDarkElf', 8.00, 22.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6293, 32161, 'Black', 'Master', 'LineageNPC.a_fighterguild_teacher_MDarkElf', 8.00, 23.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6294, 32162, 'Martika', 'Magister', 'LineageNPC.a_clergyman_FDarkElf', 8.00, 25.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6295, 32163, 'Ragara', 'Gatekeeper', 'LineageNPC2.K_F1_teleporter', 13.00, 23.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 60, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6296, 32164, 'Erinu', 'Trader', 'LineageNPC2.K_M1_normal', 13.00, 25.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 28, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6297, 32165, 'Zakone', 'Trader', 'LineageNPC2.K_M1_normal', 13.00, 25.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 28, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6298, 32166, 'Trevor', 'Trader', 'LineageNPC2.K_M1_normal', 13.00, 25.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 28, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6299, 32167, 'Nika', 'Trader', 'LineageNPC2.K_F1_normal', 11.00, 22.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 20, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6300, 32168, 'Zenith', 'Trader', 'LineageNPC2.K_F1_normal', 11.00, 22.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 20, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6301, 32169, 'Mila', 'Trader', 'LineageNPC2.K_F1_normal', 11.00, 22.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 20, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6302, 32170, 'Benis', 'Warehouse Keeper', 'LineageNPC.a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6303, 32171, 'Hoffa', 'Warehouse Chief', 'LineageNPC.a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6304, 32172, 'Saylem', 'Warehouse Keeper', 'LineageNPC.e_warehouse_keeper_FDwarf', 7.00, 18.00, 70, 'female', 'L2Warehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6305, 32173, 'Marcela', 'Zerstorer', 'LineageNPC2.K_F1_guard_Master', 13.00, 22.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9646, 0, 0, 48, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6306, 32174, 'Maddy', 'Marksman', 'LineageNPC2.K_F1_guard', 13.00, 22.50, 70, 'female', 'L2Guard', 'Guard', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 0, 500, 9644, 0, 0, 60, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6307, 32175, 'Bixon', 'Marksman', 'LineageNPC2.K_M1_guard', 13.00, 25.00, 70, 'male', 'L2Guard', 'Guard', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 0, 500, 9645, 0, 0, 39, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6308, 32176, 'Ambra', 'Marksman', 'LineageNPC2.K_F1_guard', 13.00, 22.50, 70, 'female', 'L2Guard', 'Guard', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 0, 500, 9644, 0, 0, 60, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6309, 32177, 'Syzar', 'Marksman', 'LineageNPC2.K_M1_guard', 13.00, 25.00, 70, 'male', 'L2Guard', 'Guard', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 0, 500, 9645, 0, 0, 39, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6310, 32178, 'Carver', 'Marksman', 'LineageNPC2.K_F1_guard', 13.00, 22.50, 70, 'female', 'L2Guard', 'Guard', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 0, 500, 9644, 0, 0, 60, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6311, 32179, 'Putin', 'Marksman', 'LineageNPC2.K_M1_guard', 13.00, 25.00, 70, 'male', 'L2Guard', 'Guard', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 0, 500, 9645, 0, 0, 39, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6312, 32180, 'Kato', 'Marksman', 'LineageNPC2.K_M1_guard', 13.00, 25.00, 70, 'male', 'L2Guard', 'Guard', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 0, 500, 9645, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6313, 32181, 'Mellon', 'Gatekeeper', 'LineageNPC2.K_F1_teleporter', 13.00, 23.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 60, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6314, 32182, 'Coplan', 'Master', 'LineageNPC2.K_M1_master', 15.00, 25.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9646, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6315, 32183, 'Yunha', 'Master', 'LineageNPC2.K_F1_master', 12.00, 23.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9644, 0, 0, 24, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6316, 32184, 'Yinir', 'Gatekeeper', 'LineageNPC2.K_F1_teleporter', 13.00, 23.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 60, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6317, 32185, 'Peregrine', 'Marksman', 'LineageNPC2.K_M1_guard', 13.00, 25.00, 70, 'male', 'L2Guard', 'Guard', 1100, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 0, 500, 9645, 0, 0, 39, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6318, 32186, 'Yung', 'Gatekeeper', 'LineageNPC2.K_F1_teleporter', 13.00, 23.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 60, 119, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6319, 32187, 'Nadir', 'Vice Hierarch', 'LineageNPC2.K_F1_elder', 13.00, 22.20, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 10, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6320, 32188, 'Morelin', 'Marksman', 'LineageNPC2.K_F1_guard', 13.00, 22.50, 70, 'female', 'L2Guard', 'Guard', 1100, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 0, 500, 9644, 0, 0, 60, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6321, 32189, 'Largo', 'Gatekeeper', 'LineageNPC2.K_F1_teleporter', 13.00, 23.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6322, 32190, 'Mao', 'Vice Hierarch', 'LineageNPC2.K_M1_elder', 17.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6323, 32191, 'Hanarin', 'Grand Master', 'LineageNPC2.K_F1_grand', 11.00, 22.20, 70, 'female', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9644, 0, 0, 28, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6324, 32192, 'Falken', 'Marksman', 'LineageNPC2.K_M1_guard', 13.00, 25.00, 70, 'male', 'L2Guard', 'Guard', 1100, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 0, 500, 9645, 0, 0, 39, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6325, 32193, 'Yeniche', 'Grand Master', 'LineageNPC2.K_F1_grand', 11.00, 22.20, 70, 'female', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9646, 0, 0, 28, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6326, 32194, 'Shubain', 'Master', 'LineageNPC2.K_M1_master', 15.00, 25.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9646, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6327, 32195, 'Sione', 'Master', 'LineageNPC2.K_F1_master', 12.00, 23.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9644, 0, 0, 24, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6328, 32196, 'Gershwin', 'Grand Master', 'LineageNPC2.K_M1_grand', 13.00, 25.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9646, 0, 0, 28, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6329, 32197, 'Gwain', 'Master', 'LineageNPC2.K_M1_master', 15.00, 25.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9646, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6330, 32198, 'Gobie', 'Master', 'LineageNPC2.K_F1_master', 12.00, 23.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9644, 0, 0, 24, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6331, 32199, 'Holst', 'Grand Master', 'LineageNPC2.K_M1_grand', 13.00, 25.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9645, 0, 0, 28, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6332, 32200, 'Entien', 'Master', 'LineageNPC2.K_M1_master', 15.00, 25.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9646, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6333, 32201, 'Rindy', 'Master', 'LineageNPC2.K_F1_master', 12.00, 23.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9644, 0, 0, 24, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6334, 32202, 'Khadava', 'Grand Master', 'LineageNPC2.K_F1_grand', 11.00, 22.20, 70, 'female', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9644, 0, 0, 28, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6335, 32203, 'Ramen', 'Master', 'LineageNPC2.K_M1_master', 15.00, 25.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9646, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6336, 32204, 'Fiske', 'Master', 'LineageNPC2.K_F1_master', 12.00, 23.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9644, 0, 0, 24, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6337, 32205, 'Aetonic', 'Grand Master', 'LineageNPC2.K_M1_grand', 13.00, 25.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9646, 0, 0, 28, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6338, 32206, 'Pieche', 'Grand Master', 'LineageNPC2.K_F1_grand', 11.00, 22.20, 70, 'female', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9646, 0, 0, 28, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6339, 32207, 'Orkurus', 'Master', 'LineageNPC2.K_M1_master', 15.00, 25.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9646, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6340, 32208, 'Rasha', 'Master', 'LineageNPC2.K_F1_master', 12.00, 23.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9644, 0, 0, 24, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6341, 32209, 'Ferdinand', 'Grand Master', 'LineageNPC2.K_M1_grand', 13.00, 25.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 9645, 0, 0, 28, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6342, 32210, 'Eddy', 'Grand Master', 'LineageNPC2.K_F1_grand', 11.00, 22.20, 70, 'female', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 9644, 0, 0, 28, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6343, 32211, 'Jueno', 'Master', 'LineageNPC2.K_M1_master', 15.00, 25.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 9646, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6344, 32212, 'Rishtar', 'Master', 'LineageNPC2.K_F1_master', 12.00, 23.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 9644, 0, 0, 24, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6345, 32213, 'Vitus', 'Grand Master', 'LineageNPC2.K_M1_grand', 13.00, 25.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 9646, 0, 0, 28, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6346, 32214, 'Meldina', 'Grand Master', 'LineageNPC2.K_F1_grand', 11.00, 22.20, 70, 'female', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 9646, 0, 0, 28, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6347, 32215, 'Tenain', 'Master', 'LineageNPC2.K_M1_master', 15.00, 25.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 9646, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6348, 32216, 'Noir', 'Master', 'LineageNPC2.K_F1_master', 12.00, 23.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 9644, 0, 0, 24, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6349, 32217, 'Barta', 'Grand Master', 'LineageNPC2.K_M1_grand', 13.00, 25.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9645, 0, 0, 28, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6350, 32218, 'Miya', 'Grand Master', 'LineageNPC2.K_F1_grand', 11.00, 22.25, 70, 'female', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9644, 0, 0, 28, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6351, 32219, 'Fabnor', 'Master', 'LineageNPC2.K_M1_master', 15.00, 25.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9646, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6352, 32220, 'Selsia', 'Master', 'LineageNPC2.K_F1_master', 12.00, 23.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9644, 0, 0, 24, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6353, 32221, 'Brome', 'Grand Master', 'LineageNPC2.K_M1_grand', 13.00, 25.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 9646, 0, 0, 28, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6354, 32222, 'Liane', 'Grand Master', 'LineageNPC2.K_F1_grand', 11.00, 22.20, 70, 'female', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 9646, 0, 0, 28, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6355, 32223, 'Duroga', 'Master', 'LineageNPC2.K_M1_master', 15.00, 25.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 9646, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6356, 32224, 'Auren', 'Master', 'LineageNPC2.K_F1_master', 12.00, 23.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 9644, 0, 0, 24, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6357, 32225, 'Taine', 'Grand Master', 'LineageNPC2.K_M1_grand', 13.00, 25.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9645, 0, 0, 28, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6358, 32226, 'Raula', 'Grand Master', 'LineageNPC2.K_F1_grand', 11.00, 22.20, 70, 'female', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9644, 0, 0, 28, 69, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6359, 32227, 'Digler', 'Master', 'LineageNPC2.K_M1_master', 15.00, 25.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9646, 0, 0, 30, 101, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6360, 32228, 'Medea', 'Master', 'LineageNPC2.K_F1_master', 12.00, 23.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9644, 0, 0, 24, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6361, 32229, 'Hagel', 'Grand Master', 'LineageNPC2.K_M1_grand', 13.00, 25.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9646, 0, 0, 28, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6362, 32230, 'Ceci', 'Grand Master', 'LineageNPC2.K_F1_grand', 11.00, 22.20, 70, 'female', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9646, 0, 0, 28, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6363, 32231, 'Luben', 'Master', 'LineageNPC2.K_M1_master', 15.00, 25.00, 70, 'male', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9646, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6364, 32232, 'Minuet', 'Master', 'LineageNPC2.K_F1_master', 12.00, 23.00, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9644, 0, 0, 24, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6365, 32233, 'Zoldart', 'Grand Master', 'LineageNPC2.K_M1_grand', 13.00, 25.00, 70, 'male', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9645, 0, 0, 28, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6366, 32234, 'Nizer', 'Grand Master', 'LineageNPC2.K_F1_grand', 11.00, 22.20, 70, 'female', 'L2VillageMaster', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9644, 0, 0, 28, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6367, 32235, 'Katenar', '', 'LineageNPC2.k_hero_rapire', 10.00, 24.62, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9646, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6368, 32236, 'Harkilgamed', '', 'LineageNPC2.k_hero_bigsword', 11.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9645, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6369, 32237, 'Rodenpicula', '', 'LineageNPC2.k_hero_bowgun', 9.00, 23.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9644, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6370, 32238, 'Rock', '', 'LineageNpcEV.stone_q0236_p', 60.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6371, 32239, 'Mother Nornil', '', 'LineageNpcEV.mother_nornil', 50.00, 253.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6372, 32240, 'Katenar', '', 'LineageNPC2.k_hero_rapire', 10.00, 24.62, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9646, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6373, 32241, 'Berka', '', 'LineageNPC2.K_M1_master', 15.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9646, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6374, 32242, 'Katenar', '', 'LineageNPC2.k_hero_rapire', 10.00, 24.62, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9646, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6375, 32243, 'Cargo Box', '', 'LineageNPC.Box', 18.00, 14.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6376, 32244, 'Suspicious Man', '', 'LineageNPC2.K_M1_normal', 13.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6377, 32245, 'Matras', '', 'LineageNPC.e_mine_teacher_MDwarf', 8.00, 18.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6378, 32246, 'Rua', '', 'LineageNPC2.a_child_people_Fhuman', 5.00, 12.30, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6379, 32247, 'Serian', '', 'LineageNPC.a_common_peopleA_FHuman', 8.00, 21.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6380, 32248, 'First Reaction', '', 'LineageNPC.a_common_peopleB_MHuman', 8.00, 22.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6381, 32249, 'Chief Jarron', '', 'LineageNPC.a_wharfinger_MHuman', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6382, 32250, 'Ario', '', 'LineageNPC.a_common_peopleA_MHuman', 8.00, 22.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6383, 32251, 'Saria', '', 'LineageNPC.a_common_peopleA_FHuman', 8.00, 21.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6384, 32252, 'Caravaner Gort', '', 'LineageNPC2.K_M1_normal', 13.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6385, 32253, 'Harkilgamed', '', 'LineageNPC2.k_hero_bigsword', 11.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9645, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6386, 32254, 'Harkilgamed', '', 'LineageNPC2.k_hero_bigsword', 11.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9645, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6387, 32255, 'Icon of the Past', '', 'LineageNpcEV.godness_of_the_past', 50.00, 245.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6388, 32256, 'Icon of the Present', '', 'LineageNpcEV.godness_of_the_being', 54.00, 245.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 1, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6389, 32257, 'Icon of the Future', '', 'LineageNpcEV.godness_of_the_come', 54.00, 245.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 1, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6390, 32258, 'Menacing Machine', '', 'LineageNpcEV.mother_nornil', 50.00, 253.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6391, 32259, 'Vault Door Controller', '', 'LineageNPC.teleport_npc_sm', 7.00, 15.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6392, 32260, 'Gatemaster of the Past', '', 'LineageNPC.teleport_npc_sm', 7.00, 15.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6393, 32261, 'Gatemaster of the Present', '', 'LineageNPC.teleport_npc_sm', 7.00, 15.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6394, 32262, 'Gatemaster of the Future', '', 'LineageNPC.teleport_npc_sm', 7.00, 15.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6395, 32263, 'Rodenpicula', '', 'LineageNPC2.k_hero_bowgun', 9.00, 23.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9644, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6396, 32264, 'Kanis', '', 'LineageNPC.a_patriarch_MElf', 8.00, 22.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6397, 32271, 'Parme', '', 'LineageNPC.a_teleporter_FElf', 8.50, 23.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6398, 32272, 'Akyaka', '', 'LineageNPC.a_traderA_MDwarf', 8.00, 17.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6399, 32273, 'Oracle Guide', '', 'LineageNpcEV.teleport_device', 16.00, 42.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6400, 32274, 'Oracle Guide', '', 'LineageNpcEV.teleport_device', 16.00, 42.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6401, 32275, 'Oracle Guide', '', 'LineageNpcEV.teleport_device', 16.00, 42.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6402, 32276, 'Oracle Guide', '', 'LineageNpcEV.teleport_device', 16.00, 42.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6403, 32277, 'Oracle Guide', '', 'LineageNpcEV.teleport_device', 16.00, 42.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6404, 32278, 'Oracle Guide', '', 'LineageNpcEV.teleport_device', 16.00, 42.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6405, 32279, 'Oracle Guide', '', 'LineageNpcEV.teleport_device', 16.00, 42.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6406, 32280, 'Oracle Guide', '', 'LineageNpcEV.teleport_device', 16.00, 42.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6407, 32281, 'Oracle Guide', '', 'LineageNpcEV.teleport_device', 16.00, 42.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6408, 32282, 'Yiyen', 'Archaeologist', 'LineageNPC.e_teleporter_FDwarf', 8.00, 21.30, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6409, 32284, 'Eva\'s Protector', '', 'LineageNpcEV.teleport_device', 16.00, 42.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6410, 32285, 'Eva\'s Protector', '', 'LineageNpcEV.teleport_device', 16.00, 42.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6411, 32286, 'Eva\'s Protector', '', 'LineageNpcEV.teleport_device', 16.00, 42.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6412, 32287, 'Eva\'s Protector', '', 'LineageNpcEV.teleport_device', 16.00, 42.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6413, 32288, 'Symbol of Faith', '', 'LineageNpcEV.dark_clouds_crystal', 23.00, 37.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6414, 32289, 'Symbol of Adversity', '', 'LineageNpcEV.dark_clouds_crystal', 23.00, 37.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6415, 32290, 'Symbol of Adventure', '', 'LineageNpcEV.dark_clouds_crystal', 23.00, 37.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6416, 32291, 'Symbol of Truth', '', 'LineageNpcEV.truth_lie_crystal', 23.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6417, 32292, 'Galate', '', 'LineageNPC.a_mageguild_teacher_FHuman', 8.00, 23.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6418, 32293, 'Jirrone', '', 'LineageNPC.a_common_peopleC_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6419, 32294, 'Budenka', 'Harbor Caravaner', 'LineageMonster4.caravan', 33.00, 58.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 56, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6420, 32296, 'Seruzia', 'Spirit of the Old Seer', 'LineageMonster.human_ghost', 8.00, 22.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6421, 32297, 'Falk', '', 'LineageMonster4.caravan', 33.00, 58.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6422, 32298, 'Hude', 'Caravan Merchant', 'LineageMonster4.caravan', 33.00, 58.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6423, 32299, 'Quarry Slave', '', 'LineageMonster4.caravan_slave', 35.00, 47.50, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6424, 32300, 'Bernarde', '', 'LineageNPC.a_common_peopleC_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6425, 32301, 'Kendal', 'Wandering Ghost', 'LineageMonster.human_ghost', 8.00, 22.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6426, 32302, 'Jerian', '', 'LineageNPC.a_mageguild_teacher_MHuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6427, 32303, 'Machine', '', 'LineageNpcEV.strange_mechanical_instrument', 16.00, 15.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6428, 32304, 'Oasis', '', 'LineageNPC.training_doll_150p', 13.00, 40.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6429, 32305, 'Ranku\'s Scapegoat', '', 'LineageMonster4.caravan_slave', 35.00, 47.50, 84, 'male', 'L2Minion', 'RankuScapegoat', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6430, 32306, 'Native\'s Corpse', '', 'LineageMonster.Zombie_corpse', 8.00, 22.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6431, 32307, 'Dolmen', '', 'LineageNpcEV.Huge_dolmen', 8.00, 22.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6432, 32308, 'Ming', 'Love Cat', 'LineageMonster.Cutie_cat', 8.00, 15.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6433, 32312, 'Rat Hole', '', 'LineageNPC.training_doll_150p', 13.00, 40.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6434, 32313, 'Deltuva', '', 'LineageNPC.a_common_peopleC_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6435, 32314, 'Warpgate', '', 'LineageNpcEV.warp_gate_a', 16.00, 31.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 1, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6436, 32315, 'Warpgate', '', 'LineageNpcEV.warp_gate_a', 16.00, 31.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6437, 32316, 'Warpgate', '', 'LineageNpcEV.warp_gate_b', 16.00, 31.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6438, 32317, 'Warpgate', '', 'LineageNpcEV.warp_gate_c', 16.00, 31.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6439, 32318, 'Warpgate', '', 'LineageNpcEV.warp_gate_d', 16.00, 31.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 1, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6440, 32319, 'Warpgate', '', 'LineageNpcEV.warp_gate_e', 16.00, 31.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6441, 32320, 'Item Broker', 'Adventure Guildsman', 'LineageNPC.a_traderC_Mhuman', 8.00, 23.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6442, 32321, 'Item Broker', 'Adventure Guildsman', 'LineageNPC.a_traderC_Mhuman', 8.00, 23.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6443, 32322, 'Item Broker', 'Adventure Guildsman', 'LineageNPC.a_traderC_Mhuman', 8.00, 23.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6444, 32323, 'Avant-Garde', 'Transformation Wizard', 'LineageNPC.a_traderB_FHuman', 8.00, 24.50, 70, 'female', 'L2Trainer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6445, 32324, 'Black Stone Monolith', '', 'LineageNpcEV.Dark_clouds_stonehenge', 8.00, 22.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6446, 32325, 'Yin', 'Attribute Master', 'LineageNPC.Mage_master', 8.00, 23.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6447, 32326, 'Yang', 'Attribute Master', 'LineageNPC.Mage_master', 8.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6448, 32327, 'Adventurers\' Guide', '', 'LineageNPC.Sanctuary_teacher', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6449, 32328, 'Crystalline Golem', '', 'LineageMonster4.Crystal_Golem', 30.00, 47.00, 70, 'male', 'L2Npc', 'CrystallineGolem', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 29101, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6450, 32330, 'Garden Guard', '', 'LineageNPC2.Keny_guard', 13.00, 22.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9644, 0, 0, 60, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6451, 32331, 'Arcane Nucleus', '', 'LineageNpcEV.Circle_core', 8.00, 22.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6452, 32332, 'Katenar', '', 'LineageNPC2.Rapire', 10.00, 24.62, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9646, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6453, 32333, 'Katenar', '', 'LineageNPC2.Rapire', 10.00, 24.62, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9646, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6454, 32334, 'Harkilgamed', '', 'LineageNPC2.Rapire', 11.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9645, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6455, 32335, 'Marksman', '', 'LineageNPC2.Keny_guard', 13.00, 22.50, 70, 'female', 'L2Guard', 'GuardRndWalkAndAnim', 1100, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 0, 500, 9644, 0, 0, 60, 120, 'k_guards', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6456, 32336, 'Marksman', '', 'LineageNPC2.Keny_guard', 13.00, 22.50, 70, 'female', 'L2Guard', 'GuardRndWalkAndAnim', 1100, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 0, 500, 9644, 0, 0, 60, 120, 'k_guards', 400, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6457, 32337, 'Adventure Guildsman', '', 'LineageNPC.MElf', 6.00, 21.00, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 130, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6458, 32338, 'Adventure Guildsman', '', 'LineageNPC.Collector_teacher', 8.00, 17.50, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6459, 32339, 'Adventure Guildsman', '', 'LineageNPC.Fighter_teacher', 9.50, 22.40, 70, 'female', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 129, 102, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6460, 32340, 'Adventure Guildsman', '', 'LineageNPC.Markus', 8.00, 26.00, 70, 'male', 'L2Adventurer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6461, 32342, 'Eva\'s Gift Box', '', 'LineageMonster.Cotlon', 8.50, 8.50, 70, 'male', 'L2Monster', 'EvasGiftBox', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6462, 32343, 'Moonlight Tombstone', '', 'LineageNPC.Evil', 11.00, 45.00, 70, 'female', 'MoonlightTombstone', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6463, 32344, 'Spooky Tombstone', '', 'LineageNPC.Evil', 11.00, 45.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6464, 32345, 'Buron', 'Tailor', 'LineageNPC.Filemo', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6465, 32346, 'Kanaf', '', 'LineageNPC.Filemor', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6466, 32347, 'Shadai', 'Legendary Blacksmith', 'LineageNPC.Smith_master', 8.00, 17.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6467, 32348, 'Burang', 'Fishing Guild Member', 'LineageNPC.Fisher', 8.00, 23.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 7560, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6468, 32349, 'Rignos', '', 'LineageMonster3.Zombie_guard', 17.00, 30.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 173, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6469, 32350, 'Sandstorm', '', 'LineageMonster4.SandTourbillon', 10.00, 28.00, 84, 'female', 'Sandstorm', 'Sandstorm', 40, 4767, 9.800, 2011, 3.390, 40, 43, 30, 21, 20, 20, 0, 0, 2455, 619, 1382, 514, 253, 300, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6470, 32351, 'Enceinte Insurgent', '', 'LineageNPC.Aspero', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 291, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6471, 32352, 'Desert Heatmaster', '', 'LineageNPC.Aspero', 0.10, 0.10, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6472, 32353, 'Event Gatekeeper', '', 'LineageMonster.Cutie_cat', 8.00, 15.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6473, 32354, 'Kief', '', 'LineageNPC.Zomo', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6474, 32355, 'Solomon', '', 'LineageNPC.Zomo', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6475, 32356, 'Jude', '', 'LineageMonster4.caravan', 33.00, 58.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6476, 32357, 'Native Slave', '', 'LineageNPC.Zomo', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(6477, 32358, 'Native Prisoner', '', 'LineageNPC.Zomo', 8.00, 23.50, 70, 'male', 'NativePrisoner', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6478, 32359, 'Lahm', 'Blacksmith of Power', 'LineageNPC.Zomo', 8.00, 17.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(6479, 32361, 'Caravan Supporter', '', 'LineageNPC.box', 18.00, 14.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(6480, 32362, 'Hellbound Native', '', 'LineageNPC.a_common_peopleC_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'RndWalkAndAnim', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 1, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(6481, 32363, 'Hellbound Insurgent', '', 'LineageNPC.a_common_peopleC_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 129, 102, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(6482, 32364, 'Hellbound Traitor', '', 'LineageNPC.a_common_peopleC_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(6483, 32365, 'Snow', 'Event Manager', 'LineageNPC2.TP_game_staff', 5.00, 12.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6484, 32366, 'Destroyed Device', '', 'LineageMonster.susceptor_env', 20.00, 35.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(6485, 32367, 'Alarm', '', 'LineageNpcEV.pavel_weather_controller', 14.50, 18.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6486, 32368, 'Weathered Rock', '', 'LineageNpcEV.stone_q0236_p', 60.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(6487, 32369, 'Fallen Angel', '', 'LineageMonster2.apostle_warrior', 8.00, 30.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 6717, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6488, 32370, 'Old Dwarven Ghost', '', 'LineageNPC.e_collector_teacher_Mdwarf_mon', 8.00, 17.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 8528, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6489, 32371, 'Ingenious Contraption', '', 'LineageNpcEV.elobrate_machine', 13.00, 20.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6490, 32372, 'Mysterious Agent', '', 'LineageMonster.kel_mahum_witch_doctor', 13.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 202, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6491, 32373, 'Dorian', '', 'LineageNPC.a_mageguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6492, 32374, 'Teleportation Cubic', '', 'LineageNPC.teleport_cube', 30.00, 65.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6493, 32375, 'Teleportation Cubic', '', 'LineageNPC.teleport_cube', 30.00, 65.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6494, 32376, 'Teleportation Cubic', '', 'LineageNPC.teleport_cube', 30.00, 65.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6495, 32377, 'Kuram', 'Coordinator', 'LineageNPC2.TP_battlezone_staff', 7.80, 17.28, 70, 'male', 'L2UngergroundColiseum', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(6496, 32378, 'Fantasy Isle Paddies', 'Gatekeeper', 'LineageNPC.e_teleporter_FDwarf', 8.00, 21.30, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(6497, 32379, '', '', 'LineageNPC2.TP_flag', 5.00, 12.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6498, 32380, '', '', 'LineageNPC2.TP_trumpet', 5.00, 12.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6499, 32381, '', '', 'LineageNPC2.TP_clown_tall', 7.50, 26.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6500, 32382, '', '', 'LineageNPC2.TP_wedding_maid', 4.50, 9.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6501, 32383, '', '', 'LineageNPC2.TP_juggler', 5.00, 10.25, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6502, 32384, '', '', 'LineageNPC2.TP_unicycler', 5.00, 10.25, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6503, 32385, '', '', 'LineageNPC2.TP_acrobat_ball', 10.00, 20.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6504, 32386, '', '', 'LineageNPC.pr_a_guard_FDarkelf', 8.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6505, 32387, '', '', 'LineageNPC.pr_a_casino_FDarkElf', 8.00, 23.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6506, 32388, '', '', 'LineageNPC.pr_a_trader_Fdarkelf', 8.00, 24.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6507, 32389, '', '', 'LineageNPC.pr_a_teleporter_FDarkElf', 8.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6508, 32390, '', '', 'LineageNPC.pr_a_common_people_FDarkElf', 8.00, 21.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6509, 32391, '', '', 'LineageNPC.pr_e_guard_MDwarf', 8.00, 19.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6510, 32392, '', '', 'LineageNPC.pr_a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6511, 32393, '', '', 'LineageNPC.pr_e_traderA_FDwarf', 8.00, 19.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6512, 32394, '', '', 'LineageNPC.pr_e_warehouse_keeper_FDwarf', 6.00, 18.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6513, 32395, '', '', 'LineageNPC.pr_e_teleporter_FDwarf', 8.00, 21.30, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6514, 32396, '', '', 'LineageNPC.pr_a_guard_MElf', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6515, 32397, '', '', 'LineageNPC.pr_a_patriarch_MElf', 8.00, 22.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6516, 32398, '', '', 'LineageNPC.pr_a_trader_FElf', 8.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6517, 32399, '', '', 'LineageNPC.pr_a_teleporter_FElf', 8.50, 23.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6518, 32400, '', '', 'LineageNPC.pr_a_common_people_FElf', 8.00, 25.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6519, 32401, '', '', 'LineageNPC.pr_e_guard_MOrc', 8.00, 27.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6520, 32402, '', '', 'LineageNPC.pr_e_smith_MOrc', 9.00, 29.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6521, 32403, '', '', 'LineageNPC.pr_e_patriarch_MOrc', 8.00, 26.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6522, 32404, '', '', 'LineageNPC.pr_e_teleporter_FOrc', 8.00, 32.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6523, 32405, '', '', 'LineageNPC.pr_a_mageguild_master_MHuman', 8.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6524, 32406, '', '', 'LineageNPC.pr_a_mageguild_master_FHuman', 8.00, 23.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6525, 32407, '', '', 'LineageNPC.pr_a_fighterguild_master_FHuman', 8.00, 21.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6526, 32408, '', '', 'LineageNPC.pr_a_teleporter_FHuman', 8.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6527, 32409, '', '', 'LineageMonster.pr_cutie_cat', 8.00, 15.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6528, 32410, '', '', 'LineageMonster2.pr_baby_buffalo', 12.00, 15.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6529, 32411, '', '', 'LineageMonster2.pr_baby_tiger', 11.00, 15.70, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6530, 32412, '', '', 'LineageMonster2.pr_baby_ostrich', 7.00, 15.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6531, 32413, '', '', 'LineageMonster.pr_yeti', 15.00, 27.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6532, 32414, '', '', 'LineageNPC.pr_yeti_cute', 5.00, 10.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6533, 32415, '', '', 'LineageNPC.pr_yeti_cute_r', 5.00, 10.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6534, 32416, '', '', 'LineageMonster3.pr_unicorn_magnus', 13.50, 17.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6535, 32417, '', '', 'LineageMonster.pr_blue_eye', 11.00, 16.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6536, 32418, '', '', 'LineageMonster.pr_unicorn_mirage', 13.00, 17.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6537, 32419, '', '', 'LineageMonster.pr_unicorn_boxer', 11.00, 18.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6538, 32420, '', '', 'LineageMonster2.pr_angelic_unicorn', 9.00, 25.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6539, 32421, '', '', 'LineageMonster.pr_silver_cat', 7.00, 15.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6540, 32422, '', '', 'LineageMonster.pr_cat_the_cat', 9.00, 16.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6541, 32423, '', '', 'LineageMonster2.pr_queen_of_cat', 8.00, 15.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6542, 32424, 'Show Staff', '', 'LineageNPC.sw_e_mine_teacher_FDwarf', 0.00, 18.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 40, 40, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6543, 32425, 'Show Staff', '', 'LineageNPC.sw_e_smith_Fdwarf', 8.00, 17.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6544, 32426, 'Show Staff', '', 'LineageNPC.sw_e_traderB_FDwarf', 0.00, 18.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 40, 40, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6545, 32427, 'Show Staff', '', 'LineageNPC.sw_e_collector_teacher_FDwarf', 0.00, 17.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 40, 40, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6546, 32428, 'Show Staff', '', 'LineageNPC.pr_e_warehouse_keeper_FDwarf', 6.00, 18.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6547, 32429, '', '', 'LineageMonster.sw_batur_orc_shaman', 11.00, 16.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6548, 32430, '', '', 'LineageNPC.pr_e_teleporter_FDwarf', 8.00, 21.30, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6549, 32431, 'Leyla Mira', 'Elf Singer', 'LineageNPC.pr_a_teleporter_FElf', 8.50, 23.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6550, 32432, '', '', 'LineageNPC.pr_a_teleporter_FElf', 8.50, 23.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6551, 32433, 'MC', '', 'LineageNPC.pr_a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6552, 32437, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 1, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6553, 32438, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6554, 32439, 'Backflip Expert', '', 'LineageMonster.sw_ant_larva', 0.00, 8.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 40, 40, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6555, 32440, 'Backflip Originator', '', 'LineageMonster.pr_harpy', 0.00, 42.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 40, 40, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6556, 32441, 'Backflip Superman', '', 'LineageMonster2.pr_knight_of_shadow', 0.00, 35.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 40, 40, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6557, 32442, '', '', 'LineageNPC2.TP_juggler', 0.00, 10.20, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 61, 0, 0, 40, 21, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6558, 32443, '', '', 'LineageNPC2.TP_unicycler', 0.01, 10.25, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6559, 32444, '', '', 'LineageNPC2.TP_acrobat_ball', 0.01, 20.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6560, 32445, '', '', 'LineageNPC2.TP_clown_tall', 0.01, 26.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6561, 32446, '', '', 'LineageNPC2.TP_trumpet', 0.01, 12.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6562, 32447, '', '', 'LineageMonster.pr_medusa', 8.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6563, 32448, '', '', 'LineageMonster2.pr_vampire_witch', 8.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6564, 32449, '', '', 'LineageMonster2.pr_vampire_wizard', 8.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6565, 32450, '', '', 'LineageMonster3.pr_lidia_von_helmann', 8.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6566, 32451, '', '', 'LineageMonster.pr_cave_maiden', 8.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6567, 32452, '', '', 'LineageMonster3.pr_Succubus_Raid', 8.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6568, 32453, '', '', 'LineageMonster3.pr_Bloody_Queen_Raid', 8.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6569, 32454, '', '', 'LineageMonster4.pr_rah', 8.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6570, 32455, '', '', 'LineageMonster4.pr_tears', 8.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6571, 32456, '', '', 'LineageMonster.pr_succubus', 8.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6572, 32457, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 60, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6573, 32458, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 60, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6574, 32464, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 60, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6575, 32465, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 60, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6576, 32466, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 60, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6577, 32467, 'Teleportation Cubic', '', 'LineageNPC.teleport_cube', 8.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6578, 32468, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6579, 32469, 'Eindburgh', 'Vice Hierarch', 'LineageNPC2.K_M1_elder', 8.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6580, 32470, 'Stone Coffin', '', 'LineageNpcEV.stone_coffin', 8.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6581, 32471, '', '', 'LineageNPC2.pr_K_F1_teleporter', 8.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6582, 32472, '', '', 'LineageNPC2.pr_K_F1_master', 8.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6583, 32473, '', '', 'LineageNPC2.pr_K_F1_guard_Master', 8.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6584, 32474, '', '', 'LineageNPC2.pr_k_hero_bowgun', 8.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6585, 32475, 'Subclass Certification Helper', '', 'LineageMonster3.king_of_cat', 8.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6586, 32476, 'Employee of Magic Research Institute', 'Event manager', 'LineageNPC.e_smith_Fdwarf', 8.00, 24.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 313, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6587, 32477, 'Volunteer', 'Gatekeeper Welfare Foundation', 'LineageNPC.a_teleporter_FHuman', 8.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6588, 32478, 'Dimensional Merchant', '', 'LineageNPC2.premium_master', 10.00, 23.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 60, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(6589, 32479, 'Adios', 'Guard', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2Guard', 'Guard', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 333, 129, 102, 0, 50, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(6590, 32480, 'Ronde', 'Guard', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2Guard', 'Guard', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 129, 102, 0, 50, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(6591, 32481, 'Saige', 'Guard', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2Guard', 'Guard', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 129, 102, 0, 50, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(6592, 32482, 'Emdrere', 'Guard', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2Guard', 'Guard', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 129, 102, 0, 50, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(6593, 32483, '', '', 'LineageNpcEV.kamaloka_obelisk', 16.00, 46.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6594, 32484, 'Pathfinder Worker', '', 'LineageNPC.a_mageguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Pathfinder', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 100, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(6595, 32485, 'Pathfinder Worker', '', 'LineageNPC.a_mageguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Pathfinder', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6596, 32486, 'Inventor Maru', '', 'LineageNPC.e_collector_teacher_FDwarf', 8.00, 17.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 100, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(6597, 32487, 'Mark', '', 'LineageNPC.a_fighterguild_teacher_MDarkElf_dead', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(6598, 32488, 'Mark', '', 'LineageNPC.a_fighterguild_teacher_MDarkElf', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6599, 32490, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(6600, 32491, 'Underground Coliseum Helper', '', 'LineageNPC2.TP_battlezone_staff', 7.80, 17.28, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6601, 32492, 'Crystal Water Bottle', '', 'LineageNPCEV.crystal_pint', 13.00, 14.00, 36, 'female', 'L2Monster', 'Fighter', 40, 2, 5.000, 1494, 1.950, 40, 43, 30, 21, 20, 20, 0, 0, 1025, 370, 478, 300, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6602, 32493, 'Burning Brazier', '', 'LineageNPCEV.blazing_brazier', 15.00, 11.50, 36, 'female', 'L2Monster', 'Fighter', 40, 2, 5.000, 1494, 1.950, 40, 43, 30, 21, 20, 20, 0, 0, 1025, 370, 478, 300, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6603, 32494, 'Skull', '', 'LineageNPC.clear_npc', 0.10, 0.10, 61, 'male', 'L2Npc', 'npc', 40, 2, 1.400, 1494, 0.870, 40, 43, 30, 21, 20, 20, 0, 0, 1230, 444, 569, 361, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6604, 32495, 'Treasure Box', '', 'LineageNPC.coffer_d', 12.00, 9.50, 61, 'female', 'L2Monster', 'Fighter', 40, 2, 7.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1230, 444, 569, 361, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6605, 32496, 'Escape Device', '', 'LineageNPCEV.dark_obelisk', 15.00, 51.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6606, 32497, 'Inspector Adler', '', 'LineageNPC.a_mageguild_teacher_MElf', 7.00, 22.20, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6607, 32498, 'Devil\'s Isle Survivor', '', 'LineageNPC.a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6608, 32499, 'Ketra Orc Shaman', '', 'LineageMonster.ketra_orc_shaman_20_bi', 12.00, 27.60, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6609, 32500, 'Inspector Sinai', '', 'LineageNPC.a_mageguild_teacher_FElf', 7.00, 21.20, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6610, 32501, 'Devil\'s Isle Supporter', '', 'LineageNPC.a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6611, 32502, 'Ketra Orc Supporter', '', 'LineageMonster.ketra_orc_shaman', 10.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6612, 32503, 'Entrance Manager', 'Kratei\'s Cube', 'LineageNPC.e_smith_master_MDwarf', 8.00, 17.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6613, 32504, 'Match Manager', 'Kratei\'s Cube', 'LineageNPC.a_traderA_MDwarf', 8.00, 17.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6614, 32505, 'Match Manager', 'Kratei\'s Cube', 'LineageNPC.a_traderA_MDwarf', 8.00, 17.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6615, 32506, 'Match Manager', 'Kratei\'s Cube', 'LineageNPC.a_traderA_MDwarf', 8.00, 17.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.400, 1494, 0.870, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6616, 32507, 'Temple Inspector', '', 'LineageNPC.a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6617, 32508, 'Dwarf Adventurer', '', 'LineageNPC.e_mine_teacher_MDwarf', 8.00, 18.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6618, 32509, 'Ketra Orc Intelligence Officer', '', 'LineageMonster.ketra_orc', 12.00, 29.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6619, 32510, 'Inspector Adler', '', 'LineageNPC.a_mageguild_teacher_MElf', 7.00, 22.20, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6620, 32511, 'Dwarf Adventurer', '', 'LineageNPC.e_mine_teacher_MDwarf', 8.00, 18.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6621, 32512, 'Ketra Orc Supporter', '', 'LineageMonster2.ketra_orc_warlord', 12.00, 30.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6622, 32513, 'Kun', 'Entrance Manager', 'LineageNPC2.TP_battlezone_staff', 7.80, 17.28, 70, 'male', 'L2UngergroundColiseum', 'npc', 40, 3862, 1.400, 1494, 0.870, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6623, 32514, 'Tarion', 'Entrance Manager', 'LineageNPC2.TP_battlezone_staff', 7.80, 17.28, 70, 'male', 'L2UngergroundColiseum', 'npc', 40, 3862, 1.400, 1494, 0.870, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6624, 32515, 'Leo', 'Entrance Manager', 'LineageNPC2.TP_battlezone_staff', 7.80, 17.28, 70, 'male', 'L2UngergroundColiseum', 'npc', 40, 3862, 1.400, 1494, 0.870, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6625, 32516, 'Candice', 'Entrance Manager', 'LineageNPC2.TP_battlezone_staff', 7.80, 17.28, 70, 'male', 'L2UngergroundColiseum', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6626, 32517, 'Airship Controller', '', 'LineageNpcEV.riding_control_unit', 19.00, 28.00, 70, 'female', 'L2AirShipController', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6627, 32518, 'Vortex Gate', 'Aerial Cleft', 'LineageNpcEV.war_gate', 300.00, 130.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6628, 32519, 'Vortex Gate', 'Aerial Cleft', 'LineageNpcEV.war_gate', 300.00, 130.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6629, 32520, 'Emery Converter', 'Aerial Cleft', 'LineageNPC.teleport_npc_sm', 7.00, 15.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6630, 32521, 'Entrance Manager', 'Handy\'s Block Checker - Arena 1', 'LineageNPC.e_teleporter_FDwarf', 8.00, 21.30, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6631, 32522, 'Entrance Manager', 'Handy\'s Block Checker - Arena 2', 'LineageNPC.e_teleporter_FDwarf', 8.00, 21.30, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6632, 32523, 'Entrance Manager', 'Handy\'s Block Checker - Arena 3', 'LineageNPC.e_teleporter_FDwarf', 8.00, 21.30, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6633, 32524, 'Entrance Manager', 'Handy\'s Block Checker - Arena 4', 'LineageNPC.e_teleporter_FDwarf', 8.00, 21.30, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6634, 32525, 'Tiat', 'Witch of the Dragon of Darkness', 'LineageNPC2.tiat_oracle', 8.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6635, 32526, 'Allenos', 'Sergeant', 'LineageNPC2.gracia_soldier', 11.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 13524, 13525, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6636, 32527, 'Edric', 'Officer', 'LineageNPC2.gracia_remnants_a', 9.00, 22.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6637, 32528, 'Medibal\'s Corpse', '', 'LineageNPC.a_mageguild_teacher_Mhuman_dead', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6638, 32529, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6639, 32530, 'Tepios', 'Officer', 'LineageNPC2.gracia_soldier', 11.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 13524, 13525, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6640, 32531, 'Destroyed Tumor', '', 'LineageNpcEV.tumor_immortality_a', 42.00, 55.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6641, 32532, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6642, 32533, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6643, 32534, 'Jaedin', 'Guide of Infinity', 'LineageMonster4.disciple_silen', 19.00, 44.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6644, 32535, 'Destroyed Tumor', '', 'LineageNpcEV.tumor_immortality_a', 42.00, 55.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6645, 32536, 'Destroyed Tumor', '', 'LineageNpcEV.tumor_immortality_a', 42.00, 55.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6646, 32537, 'Mouth of Ekimus', '', 'LineageNpcEV.mouth_immotality_a', 80.00, 14.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6647, 32538, 'Closed Mouth of Ekimus', '', 'LineageNpcEV.mouth_immotality', 80.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6648, 32539, 'Gatekeeper of Abyss', '', 'LineageNpcEV.vigil_immortality', 70.00, 119.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6649, 32540, 'Gatekeeper of Abyss', '', 'LineageNpcEV.vigil_immortality_dis', 70.00, 119.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6650, 32541, 'Unstable Seed of Generation', '', 'LineageNpcEV.life_seed', 57.75, 65.63, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6651, 32542, 'Stabilized Seed of Generation', '', 'LineageNpcEV.life_seed', 57.75, 65.63, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6652, 32543, 'Energy of Generation', '', 'LineageNPC.training_doll_150p', 13.00, 40.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6653, 32544, 'Seed of Generation', 'Artificial', 'LineageNpcEV.artificial_life_seed', 57.75, 65.63, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6654, 32545, 'Kurkle', 'Gracia Special Product Middleman', 'LineageNPC.training_doll_150p', 13.00, 40.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6655, 32546, 'Asyatei', 'Soul Trader', 'LineageMonster4.death_scout_088p', 14.40, 22.00, 70, 'female', 'L2Merchant', 'RndWalkAndAnim', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6656, 32547, 'Center Tumor', '', 'LineageNpcEV.tumor_immortality_a_120p', 50.40, 65.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6657, 32548, 'Keucereus', 'Admiral', 'LineageNPC2.xers', 12.50, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6658, 32549, 'Dilios', 'General', 'LineageNPC2.dilios', 10.00, 21.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6659, 32550, 'Kutran', 'Special Product Broker', 'LineageNPC.a_traderA_MHuman', 8.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6660, 32551, 'Noiless', 'Soldier', 'LineageNPC2.gracia_soldier', 11.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 13524, 13525, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6661, 32552, 'Tomaris', 'Soldier', 'LineageNPC2.gracia_soldier', 11.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 13524, 13525, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6662, 32553, 'Jisans', 'Soldier', 'LineageNPC2.gracia_soldier', 11.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 13524, 13525, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6663, 32554, 'Moira', 'Soldier', 'LineageNPC.a_fighterguild_master_FHuman', 8.00, 21.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 13524, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6664, 32555, 'Tenius', 'Soldier', 'LineageNPC2.gracia_remnants_a', 9.00, 22.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6665, 32556, 'El', 'Soldier', 'LineageNPC2.gracia_remnants_b', 9.00, 22.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6666, 32557, 'Lekon', 'Engineer', 'LineageNPC.a_smith_MDwarf', 7.00, 16.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6667, 32558, 'Barrier Orb', '', 'LineageNpcEV.dark_clouds_crystal', 23.00, 37.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6668, 32559, 'Artius', 'War Mage', 'LineageNPC.a_patriarch_MElf', 8.00, 22.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6669, 32560, 'Orbyu', 'Soldier', 'LineageNPC2.gracia_soldier', 11.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 13524, 13525, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6670, 32561, 'Kunota', 'Soldier', 'LineageNPC2.gracia_soldier', 11.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 13524, 13525, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6671, 32562, 'Siest', 'Soldier', 'LineageNPC2.gracia_soldier', 11.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 13524, 13525, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6672, 32563, 'Plenos', 'Soldier', 'LineageNPC2.gracia_soldier', 11.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 13524, 13525, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6673, 32564, 'Papiku', 'Magister', 'LineageNPC.a_mageguild_teacher_FElf', 7.00, 21.20, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6674, 32565, 'Felix', 'Master', 'LineageNPC.a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6675, 32566, 'Ginby', 'Soldier', 'LineageNPC2.gracia_soldier', 11.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 13524, 13525, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6676, 32567, 'Lelikia', 'Priest of Shilen', 'LineageNPC2.disciple_silen_b', 15.75, 25.73, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6677, 32568, 'Unidentified Body', '', 'LineageNPC.e_guard_MDwarf_death', 13.00, 19.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6678, 32569, 'Cain', 'Priest', 'LineageNPC.a_sanctuary_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6679, 32570, 'Eric', 'Herb Collector', 'LineageNPC.e_collector_master_MDwarf', 8.00, 18.40, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6680, 32571, 'Colin', 'Secret Agent', 'LineageNPC.a_common_peopleA_MHuman', 10.00, 22.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 50, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6681, 32572, 'Frog', 'Great King', 'LineageMonster.poison_toad_100_bi', 40.00, 20.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6682, 32573, 'Tess', 'Grandma', 'LineageNPC2.a_old_people_Fhuman', 9.00, 17.30, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6683, 32574, 'Kuta', 'Native', 'LineageNPC.a_common_peopleC_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6684, 32575, 'Light of Dawn', 'Teleporter', 'LineageNPC.teleport_npc_sm', 7.00, 15.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6685, 32576, 'John', 'Captain of the Dawn', 'LineageMonster3.Kight_of_Dawn', 12.00, 24.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 36, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6686, 32577, 'Password Entry Device', '', 'LineageNpcEV.pavel_weather_controller', 14.50, 18.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6687, 32578, 'Identity Confirm Device', '', 'LineageNpcEV.elobrate_machine', 13.20, 20.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6688, 32579, 'Darkness of Dawn', 'Teleporter', 'LineageNPC.teleport_npc_sm', 7.00, 15.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6689, 32580, '', '', 'LineageNpcEV.bookcase_of_pray', 10.00, 16.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6690, 32581, '', '', 'LineageNpcEV.bookcase_of_pray', 10.00, 16.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6691, 32582, 'Jaina', 'Priest', 'LineageNPC.a_sanctuary_teacher_FHuman', 8.00, 22.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6692, 32583, '', '', 'LineageNpcEV.bookcase_of_pray', 10.00, 16.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6693, 32584, 'Merchant of Mammon', '', 'LineageNPC.black_market_trader_MDwarf_set', 22.00, 18.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6694, 32585, 'Promise of Mammon', 'Teleporter', 'LineageNPC.teleport_npc_sm', 7.00, 15.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6695, 32586, 'Shunaiman', 'Emperor of Elmoreden', 'LineageNPC.a_king_MHuman', 8.00, 21.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6696, 32587, 'Leon', 'Emperor\'s Guard', 'LineageNPC.a_royal_guardA_MHuman', 8.00, 24.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6697, 32588, 'Emperor\'s Seal Device', '', 'LineageNpcEV.orb_of_kaizer', 37.00, 49.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6698, 32589, 'Emperor\'s Seal Device', '', 'LineageNpcEV.orb_of_kaizer', 37.00, 49.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6699, 32590, 'Emperor\'s Seal Device', '', 'LineageNpcEV.orb_of_kaizer', 37.00, 49.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6700, 32591, 'Emperor\'s Seal Device', '', 'LineageNpcEV.orb_of_kaizer', 37.00, 49.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6701, 32592, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6702, 32593, 'Wood', 'Priest', 'LineageNPC.a_mageguild_master_MHuman', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6703, 32594, 'Leopard', 'Password Decoder', 'LineageNPC.a_guild_master_MDarkElf', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6704, 32595, 'Lawrence', 'Great Teacher', 'LineageNPC.a_patriarch_MDarkElf', 6.00, 23.80, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6705, 32596, 'Sofia', 'Library Director of Saints', 'LineageNPC.a_mageguild_teacher_FElf', 7.00, 21.20, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6706, 32597, 'Franz', 'Witness of Dawn', 'LineageNPC2.leader_of_dawn_franz_abel', 12.00, 23.75, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6707, 32598, 'Court Magician', 'Elmore-Aden\'s', 'LineageNPC.a_temple_master_Mhuman', 8.00, 24.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6708, 32599, 'Master Yogi', 'Mountain Ascetic', 'LineageNPC2.event_comic_masteryogy', 9.00, 16.70, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6709, 32600, 'Alegria', 'Birthday Celebration Helper', 'LineageNPC2.event_birth_alegria', 5.00, 21.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6710, 32601, 'Instant Moving Device', '', 'LineageNpcEV.crystal_of_secret_door', 57.00, 74.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6711, 32602, 'Temporary Teleporter', '', 'LineageNpcEV.teleport_device', 16.00, 42.00, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6712, 32603, 'Tepios', 'Officer', 'LineageNPC2.gracia_soldier', 11.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 13524, 13525, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6713, 32604, 'Airship Controller', '', 'LineageNpcEV.riding_control_unit', 19.00, 28.00, 70, 'female', 'L2AirShipController', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6714, 32605, 'Airship Controller', '', 'LineageNpcEV.riding_control_unit', 19.00, 28.00, 70, 'female', 'L2AirShipController', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6715, 32606, 'Airship Controller', '', 'LineageNpcEV.riding_control_unit', 19.00, 28.00, 70, 'female', 'L2AirShipController', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6716, 32607, 'Airship Controller', '', 'LineageNpcEV.riding_control_unit', 19.00, 28.00, 70, 'female', 'L2AirShipController', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6717, 32608, 'Airship Controller', '', 'LineageNpcEV.riding_control_unit', 19.00, 28.00, 70, 'female', 'L2AirShipController', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6718, 32609, 'Airship Controller', '', 'LineageNpcEV.riding_control_unit', 19.00, 28.00, 70, 'female', 'L2AirShipController', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6719, 32610, 'Olf Kanore', 'Weaver', 'LineageNPC.a_mageguild_teacher_MElf', 7.00, 22.20, 70, 'male', 'L2Weaver', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 100, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6720, 32611, 'Tolonis', 'Officer', 'LineageNPC2.gracia_remnants_a', 9.00, 22.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6721, 32612, 'Olf Adams', 'Weaver', 'LineageNPC.a_mageguild_teacher_MElf', 7.00, 22.20, 70, 'male', 'L2Weaver', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6722, 32613, 'Handy', 'Game Manager', 'LineageNPC2.block_mother_staff', 6.00, 16.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6723, 32614, 'Lamcedas', 'Gatekeeper', 'LineageNPC.a_teleporter_FHuman', 8.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6724, 32615, 'Ishuma', 'Maestro', 'LineageNPC.e_smith_master_MDwarf', 8.00, 17.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6725, 32616, 'Mine', 'Fortune Teller', 'LineageNPC.a_casino_FDarkElf', 8.00, 23.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6726, 32617, 'Jaina', 'Priest', 'LineageNPC.a_sanctuary_teacher_FHuman', 8.00, 22.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6727, 32618, 'Thyimi', 'Trader', 'LineageNPC.e_warehouse_keeper_FDwarf', 6.00, 18.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6728, 32619, '', '', 'LineageNPC2.gracia_soldier', 11.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 13524, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6729, 32620, '', '', 'LineageNPC2.gracia_soldier', 11.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 13524, 13525, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6730, 32621, '', '', 'LineageNPC2.gracia_soldier', 11.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 13524, 13525, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6731, 32622, 'Anatole', 'Soldier', 'LineageNPC2.gracia_soldier', 11.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6732, 32623, 'Morenki', 'Soldier', 'LineageNPC.a_fighterguild_teacher_MDarkElf', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6733, 32624, 'Anbram', 'Soldier', 'LineageNPC2.gracia_soldier', 11.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6734, 32625, 'Anciel', 'Soldier', 'LineageNPC.a_fighterguild_teacher_MElf', 7.00, 22.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6735, 32626, 'Royal Guard', 'Soldier', 'LineageNPC2.gracia_soldier', 11.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 13524, 13525, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6736, 32627, 'Nottingale', 'Wizard', 'LineageNPC.a_teleporter_FElf', 8.50, 23.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6737, 32628, 'Wharf Patrol', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2Guard', 'AirshipGuard1', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 0, 500, 94, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6738, 32629, 'Wharf Patrol', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2Guard', 'AirshipGuard2', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 10560, 2532, 5944, 2140, 253, 0, 500, 94, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6739, 32630, 'Gracia Server Helper', '', 'LineageNPC2.message_event_master', 10.00, 20.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6740, 32631, 'Gracia Server Proof Exchanger', '', 'LineageNPC2.message_event_master', 10.00, 20.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6741, 32632, 'Gracia Survivor', '', 'LineageNPC2.gracia_remnants_a', 9.50, 22.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6742, 32633, 'Cat of Christmas', 'Sharing happiness', 'LineageMonster.cutie_cat', 8.00, 15.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6743, 32634, 'Cat of Christmas', 'Sharing happiness', 'LineageMonster.cutie_cat', 8.00, 15.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6744, 32635, 'Master Dugi', 'Energy Recovery Event', 'LineageNPC2.event_comic_masteryogy', 9.00, 16.70, 1, 'female', 'L2Npc', 'npc', 40, 63, 1.500, 44, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 9, 40, 6, 32, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6745, 32636, 'Employee of Magic Research Institute', 'Event manager', 'LineageNPC.e_smith_Fdwarf', 8.00, 17.50, 1, 'female', 'L2Npc', 'npc', 40, 63, 1.500, 44, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 9, 40, 6, 32, 253, 0, 500, 313, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6746, 32637, 'Workshop Teleporter', '', 'LineageNpcEV.trioll_altar', 9.00, 33.50, 70, 'etc', 'L2Npc', 'npc', 40, 2444, 1.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6747, 32638, 'Roni the cat', 'PC Cafe Event', 'LineageMonster.cutie_cat', 8.00, 15.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 1.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6748, 32639, 'Pierre Baguette', 'April Fool\'s Day Event', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6749, 32640, 'Kintaijin', 'Bounty Hunter', 'e_collector_teacher_FDwarf', 8.00, 17.50, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6750, 32641, 'Dr. Helvetica', '', 'LineageNPC.e_smith_master_MDwarf', 8.00, 17.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6751, 32642, 'Broken Golem Control Device', '', '', 8.00, 15.00, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6752, 32643, 'Athenia', 'Priestess', NULL, 8.00, 24.00, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 278, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6753, 32644, 'Piazza', 'Expert Summoner', NULL, 8.00, 22.50, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 278, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6754, 32645, 'Chandra', 'Transport Post', 'e_collector_teacher_FDwarf', 8.00, 17.50, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6755, 32646, 'Katensa', 'Workman', 'a_traderA_MDwarf', 8.00, 17.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6756, 32647, 'Atra', 'Apprentice', NULL, 8.00, 23.00, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 278, 0, 333, 135, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6757, 32648, 'News Informer', '', NULL, 5.00, 12.50, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 278, 0, 333, 0, 0, 0, 75, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6758, 32649, 'Dwyph', 'Dwarf Adventurer', 'LineageNPC.e_mine_teacher_MDwarf', 8.00, 18.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6759, 32650, 'Kanemika', 'Grave Robber Leader', NULL, 14.00, 25.00, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 278, 0, 333, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6760, 32651, 'Grave Robber Warrior', 'Quest Monster', NULL, 14.00, 25.00, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 278, 0, 333, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6761, 32652, 'Teleport Crystal', '', NULL, 30.00, 32.50, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 278, 0, 333, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6762, 32653, 'Krun', '', NULL, 8.00, 19.00, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 278, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6763, 32654, 'Tarun', '', NULL, 8.00, 19.00, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 278, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6764, 32655, 'Chairen', '', NULL, 8.00, 28.00, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 278, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6765, 32656, '', '', NULL, 0.10, 0.10, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 278, 0, 333, 0, 0, 0, 1, 20, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6766, 32657, 'Disciple\'s Gatekeeper', '', 'teleport_npc_sm', 7.00, 15.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6767, 32658, 'Guardian of Eastern Seal', '', 'teleport_npc_sm', 7.00, 15.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6768, 32659, 'Guardian of Western Seal', '', 'teleport_npc_sm', 7.00, 15.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6769, 32660, 'Guardian of Southern Seal', '', 'teleport_npc_sm', 7.00, 15.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6770, 32661, 'Guardian of Northern Seal', '', 'teleport_npc_sm', 7.00, 15.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6771, 32662, 'Guardian of Great Seal', '', 'teleport_npc_sm', 7.00, 15.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6772, 32663, 'Guardian of Tower of Seal', '', 'teleport_npc_sm', 7.00, 15.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6773, 32664, 'Delusion Manager', '', NULL, 7.00, 46.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6774, 32665, 'Delusion Manager', '', NULL, 7.00, 46.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6775, 32666, 'Delusion Manager', '', NULL, 7.00, 46.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6776, 32667, 'Delusion Manager', '', NULL, 7.00, 46.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6777, 32668, 'Delusion Manager', '', NULL, 7.00, 46.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6778, 32669, 'Delusion Manager', '', NULL, 7.00, 46.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6779, 32670, 'Delusion Manager', '', NULL, 7.00, 46.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6780, 32671, 'Delusion Manager', '', NULL, 7.00, 46.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6781, 32672, 'Delusion Manager', '', NULL, 7.00, 46.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6782, 32673, 'Delusion Manager', '', NULL, 7.00, 46.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6783, 32674, 'Delusion Manager', '', NULL, 7.00, 46.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6784, 32675, 'Delusion Manager', '', NULL, 7.00, 46.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6785, 32676, 'Delusion Manager', '', NULL, 7.00, 46.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6786, 32677, 'Delusion Manager', '', NULL, 7.00, 46.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6787, 32678, 'Delusion Manager', '', NULL, 7.00, 46.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6788, 32679, 'Delusion Manager', '', NULL, 7.00, 46.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6789, 32680, 'Delusion Manager', '', NULL, 7.00, 46.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6790, 32681, 'Delusion Manager', '', NULL, 7.00, 46.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6791, 32682, 'Delusion Manager', '', NULL, 7.00, 46.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6792, 32683, 'Delusion Manager', '', NULL, 7.00, 46.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6793, 32684, 'Delusion Manager', '', NULL, 7.00, 46.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6794, 32685, 'Delusion Manager', '', NULL, 7.00, 46.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6795, 32686, 'Delusion Manager', '', NULL, 7.00, 46.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6796, 32687, 'Delusion Manager', '', NULL, 7.00, 46.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6797, 32688, 'Delusion Manager', '', NULL, 7.00, 46.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6798, 32689, 'Delusion Manager', '', NULL, 7.00, 46.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6799, 32690, 'Delusion Manager', '', NULL, 7.00, 46.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6800, 32691, 'Delusion Manager', '', NULL, 7.00, 46.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6801, 32692, 'Delusion Manager', '', NULL, 7.00, 46.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6802, 32693, 'Delusion Manager', '', NULL, 7.00, 46.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6803, 32694, 'Delusion Manager', '', NULL, 7.00, 46.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6804, 32695, 'Delusion Manager', '', NULL, 7.00, 46.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6805, 32696, 'Delusion Manager', '', NULL, 7.00, 46.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6806, 32697, 'Delusion Manager', '', NULL, 7.00, 46.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6807, 32698, 'Delusion Manager', '', NULL, 7.00, 46.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6808, 32699, 'Delusion Manager', '', NULL, 7.00, 46.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6809, 32700, 'Delusion Manager', '', NULL, 7.00, 46.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6810, 32701, 'Delusion Manager', '', NULL, 7.00, 46.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6811, 32702, '', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6812, 32703, '', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6813, 32704, 'Somulitan', 'Soul Fragment Annex', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6814, 32705, 'Zaken\'s Candle', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6815, 32706, 'Lucien\'s Altar', '', NULL, 90.00, 38.50, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 278, 0, 333, 0, 0, 0, 1, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6816, 32707, 'Lucien\'s Altar', '', NULL, 90.00, 38.50, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 278, 0, 333, 0, 0, 0, 1, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6817, 32708, 'Lucien\'s Altar', '', NULL, 90.00, 38.50, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 278, 0, 333, 0, 0, 0, 1, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6818, 32709, 'Lucien\'s Altar', '', NULL, 90.00, 38.50, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 278, 0, 333, 0, 0, 0, 1, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6819, 32710, 'Lucien\'s Altar', '', NULL, 90.00, 38.50, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 278, 0, 333, 0, 0, 0, 1, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6820, 32711, 'Droph', 'Dwarf Adventurer', 'LineageNPC.e_mine_teacher_MDwarf', 8.00, 18.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6821, 32712, 'Somulitan', 'Zaken Researcher', NULL, 8.00, 22.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6822, 32713, 'Pathfinder Worker', '', 'LineageNPC.a_mageguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6823, 32714, 'Asher', 'Gatekeeper', NULL, 8.00, 23.50, 70, 'male', 'L2Merchant', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6824, 32715, 'Lilith', 'Holy Mother of Abyss', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6825, 32716, 'Lilith\'s Steward', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6826, 32717, 'Lilith\'s Elite', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6827, 32718, 'Anakim', 'Flames of Sacred Fire', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6828, 32719, 'Anakim\'s Guardian', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6829, 32720, 'Anakim\'s Guard', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6830, 32721, 'Anakim\'s Executor', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6831, 32722, 'Battle League Helper', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6832, 32723, '', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6833, 32724, '', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6834, 32725, 'Priest of Resurrection', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6835, 32726, 'Dr. Ice', 'Event manager', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(6836, 35010, 'Mercenary', '', 'a_guard_MHuman', 8.00, 24.00, 60, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 360, 1, 1683, 687, 546, 300, 253, 0, 500, 128, 628, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 20, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6837, 35011, 'Mercenary', '', 'a_guard_MHuman', 8.00, 24.00, 60, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3055, 6.400, 1151, 2.370, 40, 43, 30, 21, 20, 20, 360, 1, 1798, 787, 546, 300, 253, 0, 500, 93, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6838, 35012, 'Mercenary', '', 'a_guard_MHuman', 8.00, 24.00, 60, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 360, 1, 1889, 544, 546, 300, 253, 0, 500, 280, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.60, 'false', 'NONE', 0, 0),
	(6839, 35013, 'Mercenary', '', 'a_royal_guardA_MHuman', 8.00, 24.00, 60, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 360, 1, 853, 517, 1546, 300, 253, 0, 500, 316, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.60, 'false', 'NONE', 0, 0),
	(6840, 35014, 'Mercenary', '', 'a_royal_guardA_MHuman', 8.00, 24.00, 60, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 360, 1, 853, 517, 1546, 300, 253, 0, 500, 179, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.60, 'false', 'NONE', 0, 0),
	(6841, 35015, 'Mercenary', '', 'a_guard_MHuman', 8.00, 24.00, 60, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 360, 1, 1683, 687, 546, 300, 253, 0, 500, 128, 628, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 20, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6842, 35016, 'Mercenary', '', 'a_guard_MHuman', 8.00, 24.00, 60, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 360, 1, 1798, 787, 546, 300, 253, 0, 500, 93, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6843, 35017, 'Mercenary', '', 'a_guard_MHuman', 8.00, 24.00, 60, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 360, 1, 1889, 544, 546, 300, 253, 0, 500, 280, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.60, 'false', 'NONE', 0, 0),
	(6844, 35018, 'Mercenary', '', 'a_royal_guardA_MHuman', 8.00, 24.00, 60, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 360, 1, 853, 517, 1546, 300, 253, 0, 500, 316, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.60, 'false', 'NONE', 0, 0),
	(6845, 35019, 'Mercenary', '', 'a_royal_guardA_MHuman', 8.00, 24.00, 60, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 360, 1, 853, 517, 1546, 300, 253, 0, 500, 179, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.60, 'false', 'NONE', 0, 0),
	(6846, 35020, 'Mercenary of Dawn', '', 'a_guard_MHuman', 8.00, 24.00, 75, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 4229, 8.400, 1674, 2.970, 40, 43, 30, 21, 20, 20, 563, 1, 1763, 524, 1610, 425, 253, 0, 500, 150, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6847, 35021, 'Mercenary of Dawn', '', 'a_guard_MHuman', 8.00, 24.00, 75, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 4229, 8.400, 1674, 2.970, 40, 43, 30, 21, 20, 20, 563, 1, 2058, 524, 1610, 425, 253, 0, 500, 97, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6848, 35022, 'Mercenary of Dawn', '', 'a_guard_MHuman', 8.00, 24.00, 75, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 4229, 8.400, 1674, 2.970, 40, 43, 30, 21, 20, 20, 563, 1, 2292, 524, 1610, 425, 253, 0, 500, 288, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.60, 'false', 'NONE', 0, 0),
	(6849, 35023, 'Mercenary of Dawn', '', 'a_royal_guardA_MHuman', 8.00, 24.00, 75, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 4229, 8.400, 1674, 2.970, 40, 43, 30, 21, 20, 20, 563, 1, 1763, 536, 1610, 425, 253, 0, 500, 325, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.60, 'false', 'NONE', 0, 0),
	(6850, 35024, 'Mercenary of Dawn', '', 'a_royal_guardA_MHuman', 8.00, 24.00, 75, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 4229, 8.400, 1674, 2.970, 40, 43, 30, 21, 20, 20, 563, 1, 1763, 536, 1610, 425, 253, 0, 500, 196, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.60, 'false', 'NONE', 0, 0),
	(6851, 35025, 'Mercenary of Dawn', '', 'a_guard_MHuman', 8.00, 24.00, 75, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 4229, 8.400, 1674, 2.970, 40, 43, 30, 21, 20, 20, 563, 1, 1763, 524, 1610, 425, 253, 0, 500, 150, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6852, 35026, 'Mercenary of Dawn', '', 'a_guard_MHuman', 8.00, 24.00, 75, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 4229, 8.400, 1674, 2.970, 40, 43, 30, 21, 20, 20, 563, 1, 2058, 524, 1610, 425, 253, 0, 500, 97, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6853, 35027, 'Mercenary of Dawn', '', 'a_guard_MHuman', 8.00, 24.00, 75, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 4229, 8.400, 1674, 2.970, 40, 43, 30, 21, 20, 20, 563, 1, 2292, 524, 1610, 425, 253, 0, 500, 288, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.60, 'false', 'NONE', 0, 0),
	(6854, 35028, 'Mercenary of Dawn', '', 'a_royal_guardA_MHuman', 8.00, 24.00, 75, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 4229, 8.400, 1674, 2.970, 40, 43, 30, 21, 20, 20, 563, 1, 1763, 536, 1610, 425, 253, 0, 500, 325, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.60, 'false', 'NONE', 0, 0),
	(6855, 35029, 'Mercenary of Dawn', '', 'a_royal_guardA_MHuman', 8.00, 24.00, 75, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 4229, 8.400, 1674, 2.970, 40, 43, 30, 21, 20, 20, 563, 1, 1763, 536, 1610, 425, 253, 0, 500, 196, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.60, 'false', 'NONE', 0, 0),
	(6856, 35030, 'Elite Mercenary Guild Member', '', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 1, 1303, 471, 988, 382, 253, 0, 500, 132, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6857, 35031, 'Elite Mercenary Guild Member', '', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 1, 1347, 471, 988, 382, 253, 0, 500, 301, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6858, 35032, 'Elite Mercenary Guild Member', '', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 1, 1501, 471, 988, 382, 253, 0, 500, 280, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.60, 'false', 'NONE', 0, 0),
	(6859, 35033, 'Elite Mercenary Guild Member', '', 'a_royal_guardA_MHuman', 8.00, 24.00, 70, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 1, 1303, 471, 988, 382, 253, 0, 500, 316, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.60, 'false', 'NONE', 0, 0),
	(6860, 35034, 'Elite Mercenary Guild Member', '', 'a_royal_guardA_MHuman', 8.00, 24.00, 70, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 1, 1303, 471, 988, 382, 253, 0, 500, 325, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.60, 'false', 'NONE', 0, 0),
	(6861, 35035, 'Elite Mercenary Guild Member', '', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 1, 1303, 471, 988, 382, 253, 0, 500, 132, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6862, 35036, 'Elite Mercenary Guild Member', '', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 1, 1347, 471, 988, 382, 253, 0, 500, 301, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6863, 35037, 'Elite Mercenary Guild Member', '', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 1, 1501, 471, 988, 382, 253, 0, 500, 280, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.60, 'false', 'NONE', 0, 0),
	(6864, 35038, 'Elite Mercenary Guild Member', '', 'a_royal_guardA_MHuman', 8.00, 24.00, 70, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 1, 1303, 471, 988, 382, 253, 0, 500, 316, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.60, 'false', 'NONE', 0, 0),
	(6865, 35039, 'Elite Mercenary Guild Member', '', 'a_royal_guardA_MHuman', 8.00, 24.00, 70, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 1, 1303, 471, 988, 382, 253, 0, 500, 325, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.60, 'false', 'NONE', 0, 0),
	(6866, 35040, 'Greater Recruit', '', 'a_guard_MHuman', 8.00, 24.00, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3466, 6.900, 1320, 2.520, 40, 43, 30, 21, 20, 20, 423, 1, 1068, 419, 744, 340, 253, 0, 500, 66, 20, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 20, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6867, 35041, 'Greater Recruit', '', 'a_guard_MHuman', 8.00, 24.00, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 6.900, 1320, 2.520, 40, 43, 30, 21, 20, 20, 423, 1, 1068, 419, 744, 340, 253, 0, 500, 16, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6868, 35042, 'Greater Recruit', '', 'a_guard_MHuman', 8.00, 24.00, 65, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3466, 6.900, 1320, 2.520, 40, 43, 30, 21, 20, 20, 423, 1, 1169, 419, 744, 340, 253, 0, 500, 274, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.60, 'false', 'NONE', 0, 0),
	(6869, 35043, 'Greater Recruit', '', 'a_royal_guardA_MHuman', 8.00, 24.00, 65, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 3466, 6.900, 1320, 2.520, 22, 27, 21, 41, 20, 20, 423, 1, 1068, 419, 744, 340, 253, 0, 500, 7, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.60, 'false', 'NONE', 0, 0),
	(6870, 35044, 'Greater Recruit', '', 'a_royal_guardA_MHuman', 8.00, 24.00, 65, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3466, 6.900, 1320, 2.520, 22, 27, 21, 41, 20, 20, 423, 1, 1068, 419, 744, 340, 253, 0, 500, 154, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.60, 'false', 'NONE', 0, 0),
	(6871, 35045, 'Greater Recruit', '', 'a_guard_MHuman', 8.00, 24.00, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3466, 6.900, 1320, 2.520, 40, 43, 30, 21, 20, 20, 423, 1, 1068, 419, 744, 340, 253, 0, 500, 66, 20, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 20, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6872, 35046, 'Greater Recruit', '', 'a_guard_MHuman', 8.00, 24.00, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 6.900, 1320, 2.520, 40, 43, 30, 21, 20, 20, 423, 1, 1068, 419, 744, 340, 253, 0, 500, 16, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6873, 35047, 'Greater Recruit', '', 'a_guard_MHuman', 8.00, 24.00, 65, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3466, 6.900, 1320, 2.520, 40, 43, 30, 21, 20, 20, 423, 1, 1169, 419, 744, 340, 253, 0, 500, 274, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.60, 'false', 'NONE', 0, 0),
	(6874, 35048, 'Greater Recruit', '', 'a_royal_guardA_MHuman', 8.00, 24.00, 65, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 3466, 6.900, 1320, 2.520, 22, 27, 21, 41, 20, 20, 423, 1, 1068, 419, 744, 340, 253, 0, 500, 7, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.60, 'false', 'NONE', 0, 0),
	(6875, 35049, 'Greater Recruit', '', 'a_royal_guardA_MHuman', 8.00, 24.00, 65, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3466, 6.900, 1320, 2.520, 22, 27, 21, 41, 20, 20, 423, 1, 1068, 419, 744, 340, 253, 0, 500, 154, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.60, 'false', 'NONE', 0, 0),
	(6876, 35050, 'Recruit', '', 'a_guard_MHuman', 8.00, 24.00, 55, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 2643, 5.900, 988, 2.220, 40, 43, 30, 21, 20, 20, 303, 1, 665, 322, 390, 262, 253, 0, 500, 66, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6877, 35051, 'Recruit', '', 'a_guard_MHuman', 8.00, 24.00, 55, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 2643, 5.900, 988, 2.220, 40, 43, 30, 21, 20, 20, 303, 1, 665, 322, 390, 262, 253, 0, 500, 16, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6878, 35052, 'Recruit', '', 'a_guard_MHuman', 8.00, 24.00, 55, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 2643, 5.900, 988, 2.220, 40, 43, 30, 21, 20, 20, 303, 1, 665, 322, 390, 262, 253, 0, 500, 14, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.60, 'false', 'NONE', 0, 0),
	(6879, 35053, 'Recruit', '', 'a_royal_guardA_MHuman', 8.00, 24.00, 55, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 2643, 5.900, 988, 2.220, 22, 27, 21, 41, 20, 20, 303, 1, 665, 322, 390, 262, 253, 0, 500, 6, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.60, 'false', 'NONE', 0, 0),
	(6880, 35054, 'Recruit', '', 'a_royal_guardA_MHuman', 8.00, 24.00, 55, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 2643, 5.900, 988, 2.220, 22, 27, 21, 41, 20, 20, 303, 1, 665, 322, 390, 262, 253, 0, 500, 99, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.60, 'false', 'NONE', 0, 0),
	(6881, 35055, 'Recruit', '', 'a_guard_MHuman', 8.00, 24.00, 55, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 2643, 5.900, 988, 2.220, 40, 43, 30, 21, 20, 20, 303, 1, 665, 322, 390, 262, 253, 0, 500, 66, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6882, 35056, 'Recruit', '', 'a_guard_MHuman', 8.00, 24.00, 55, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 2643, 5.900, 988, 2.220, 40, 43, 30, 21, 20, 20, 303, 1, 665, 322, 390, 262, 253, 0, 500, 16, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6883, 35057, 'Recruit', '', 'a_guard_MHuman', 8.00, 24.00, 55, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 2643, 5.900, 988, 2.220, 40, 43, 30, 21, 20, 20, 303, 1, 665, 322, 390, 262, 253, 0, 500, 14, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 10, 0.60, 'false', 'NONE', 0, 0),
	(6884, 35058, 'Recruit', '', 'a_royal_guardA_MHuman', 8.00, 24.00, 55, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 2643, 5.900, 988, 2.220, 22, 27, 21, 41, 20, 20, 303, 1, 665, 322, 390, 262, 253, 0, 500, 6, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.60, 'false', 'NONE', 0, 0),
	(6885, 35059, 'Recruit', '', 'a_royal_guardA_MHuman', 8.00, 24.00, 55, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 2643, 5.900, 988, 2.220, 22, 27, 21, 41, 20, 20, 303, 1, 665, 322, 390, 262, 253, 0, 500, 99, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 10, 0.60, 'false', 'NONE', 0, 0),
	(6886, 35060, 'Nephilim Mercenary', '', 'a_guard_MHuman', 8.00, 24.00, 80, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 732924, 8.900, 1674, 3.120, 40, 43, 30, 21, 20, 20, 640, 1, 5261, 1047, 6687, 438, 253, 0, 3727, 2500, 6377, 0, 65, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 5, 0, -4, 0.63, 'false', 'NONE', 0, 0),
	(6887, 35061, 'Nephilim Mercenary', '', 'a_royal_guardA_MHuman', 8.00, 24.00, 77, 'female', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 725612, 8.600, 1565, 3.030, 22, 27, 21, 41, 20, 20, 593, 1, 4792, 983, 6047, 412, 253, 0, 4347, 8687, 0, 0, 50, 195, 'mercenary_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 5, 0, -4, 0.48, 'false', 'NONE', 0, 0),
	(6888, 35062, 'Headquarters', '', 'flag_a', 15.00, 58.00, 1, 'female', 'L2Npc', 'npc', 40, 63, 1.500, 44, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 9, 40, 6, 32, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 35062, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6889, 35063, 'Gludio Holy Artifact', '', 'castle_kent_statue_jewel', 25.00, 98.00, 20, 'female', 'L2Artefact', 'npc', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 0, 0, 57, 95, 24, 77, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6890, 35064, 'Baron Lewin Waldner', '', 'a_lord_MHuman', 8.00, 23.00, 75, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 55450, 7.900, 3959, 2.820, 40, 43, 30, 21, 20, 20, 563, 1, 4550, 446, 619, 362, 253, 0, 500, 79, 0, 0, 50, 120, 'gludio_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6891, 35065, 'Cronenberg', 'Sir', 'a_royal_guardA_MHuman', 8.00, 24.00, 72, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 4013, 7.600, 1565, 2.730, 40, 43, 30, 21, 20, 20, 518, 1, 3777, 492, 649, 399, 253, 0, 500, 142, 0, 0, 50, 120, 'gludio_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6892, 35066, 'Royal Knight', 'Gludio', 'a_royal_guardA_MHuman', 8.00, 24.00, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3862, 7.400, 1494, 2.670, 40, 43, 30, 21, 20, 20, 490, 1, 1721, 471, 607, 382, 253, 0, 500, 76, 2497, 0, 50, 120, 'gludio_siege_clan', 1200, 0, 20, 123, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(6893, 35067, 'Court Sorcerer', 'Gludio', 'a_royal_guardA_MHuman', 8.00, 24.00, 68, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3706, 7.200, 1423, 2.610, 22, 27, 21, 41, 20, 20, 462, 1, 1562, 450, 563, 365, 253, 0, 500, 325, 0, 0, 50, 120, 'gludio_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6894, 35068, 'Court Sorcerer', 'Gludio', 'a_royal_guardA_MHuman', 8.00, 24.00, 68, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 3706, 7.200, 1423, 2.610, 22, 27, 21, 41, 20, 20, 462, 1, 1562, 450, 563, 365, 253, 0, 500, 193, 0, 0, 50, 120, 'gludio_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6895, 35069, 'Court Guard', 'Gludio', 'a_royal_guardB_MHuman', 8.00, 24.00, 68, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3706, 7.200, 1423, 2.610, 40, 43, 30, 21, 20, 20, 462, 1, 1562, 450, 563, 365, 253, 0, 500, 94, 0, 0, 50, 120, 'gludio_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6896, 35070, 'Guard', 'Gludio', 'a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 16, 0, 0, 50, 120, 'gludio_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6897, 35071, 'Guard', 'Gludio', 'a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 2499, 0, 0, 50, 120, 'gludio_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6898, 35072, 'Guard', 'Gludio', 'a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 3139, 429, 519, 348, 253, 0, 500, 276, 0, 0, 50, 120, 'gludio_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(6899, 35073, 'Guard', 'Gludio', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 16, 0, 0, 50, 120, 'gludio_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6900, 35074, 'Guard', 'Gludio', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 2, 0, 0, 50, 120, 'gludio_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6901, 35075, 'Guard', 'Gludio', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 3139, 429, 519, 348, 253, 0, 500, 14, 0, 0, 50, 120, 'gludio_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 0, 0),
	(6902, 35076, 'Guard', 'Gludio', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 16, 0, 0, 50, 120, 'gludio_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6903, 35077, 'Guard', 'Gludio', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 2, 0, 0, 50, 120, 'gludio_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6904, 35078, 'Guard', 'Gludio', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 3139, 429, 519, 348, 253, 0, 500, 14, 0, 0, 50, 120, 'gludio_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 0, 0),
	(6905, 35079, 'Royal Knight', 'Gludio', 'a_royal_guardA_MHuman', 8.00, 24.00, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3862, 7.400, 1494, 2.670, 40, 43, 30, 21, 20, 20, 490, 1, 1721, 471, 607, 382, 253, 0, 500, 76, 2497, 0, 50, 120, 'gludio_siege_clan', 1200, 0, 20, 123, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(6906, 35080, 'Court Sorcerer', 'Gludio', 'a_royal_guardA_MHuman', 8.00, 24.00, 68, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3706, 8.200, 1423, 2.910, 22, 27, 21, 41, 20, 20, 462, 1, 1562, 450, 563, 365, 253, 0, 500, 325, 0, 0, 50, 120, 'gludio_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6907, 35081, 'Court Sorcerer', 'Gludio', 'a_royal_guardA_MHuman', 8.00, 24.00, 68, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 3706, 7.200, 1423, 2.610, 22, 27, 21, 41, 20, 20, 462, 1, 1562, 450, 563, 365, 253, 0, 500, 193, 0, 0, 50, 120, 'gludio_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6908, 35082, 'Court Guard', 'Gludio', 'a_royal_guardB_MHuman', 8.00, 24.00, 68, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3706, 7.200, 1423, 2.610, 40, 43, 30, 21, 20, 20, 462, 1, 1562, 450, 563, 365, 253, 0, 500, 94, 0, 0, 50, 120, 'gludio_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6909, 35083, 'Guard', 'Gludio', 'a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 93, 0, 0, 50, 120, 'gludio_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6910, 35084, 'Guard', 'Gludio', 'a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 2499, 0, 0, 50, 120, 'gludio_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6911, 35085, 'Guard', 'Gludio', 'a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 436, 1, 3139, 429, 519, 348, 253, 0, 500, 276, 0, 0, 50, 120, 'gludio_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(6912, 35086, 'Guard', 'Gludio', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 16, 0, 0, 50, 120, 'gludio_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6913, 35087, 'Guard', 'Gludio', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 2, 0, 0, 50, 120, 'gludio_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6914, 35088, 'Guard', 'Gludio', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 3139, 429, 519, 348, 253, 0, 500, 14, 0, 0, 50, 120, 'gludio_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 0, 0),
	(6915, 35089, 'Guard', 'Gludio', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 16, 0, 0, 50, 120, 'gludio_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6916, 35090, 'Guard', 'Gludio', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 2, 0, 0, 50, 120, 'gludio_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6917, 35091, 'Guard', 'Gludio', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 3139, 429, 519, 348, 253, 0, 500, 14, 0, 0, 50, 120, 'gludio_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 0, 0),
	(6918, 35092, 'Gatekeeper', 'Gludio', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2CastleTeleporter', 'npc', 40, 3547, 8.000, 1354, 2.400, 40, 43, 30, 21, 20, 20, 0, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 50, 120, 'gludio_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6919, 35093, 'Gatekeeper', 'Gludio', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2CastleTeleporter', 'npc', 40, 3547, 8.000, 1354, 2.400, 40, 43, 30, 21, 20, 20, 0, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 50, 120, 'gludio_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6920, 35094, 'Gatekeeper', 'Gludio', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2CastleTeleporter', 'npc', 40, 3547, 8.000, 1354, 2.400, 40, 43, 30, 21, 20, 20, 0, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 50, 120, 'gludio_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6921, 35095, 'Mass Gatekeeper', 'Gludio', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2CastleTeleporter', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6922, 35096, 'Outer Doorman', 'Gludio', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2CastleDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6923, 35097, 'Inner Doorman', 'Gludio', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2CastleDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6924, 35098, 'Blacksmith', 'Gludio', 'e_smith_master_MDwarf', 8.00, 17.00, 70, 'male', 'L2CastleBlacksmith', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 89, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6925, 35099, 'Warehouse Keeper', 'Gludio', 'a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2CastleWarehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6926, 35100, 'Sayres', 'Chamberlain', 'a_chamberlain_MHuman', 9.50, 22.50, 70, 'male', 'L2CastleChamberlain', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 490, 10, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6927, 35101, 'Grad', 'Wyvern Manager', 'a_traderB_MHuman', 8.00, 24.50, 70, 'male', 'L2WyvernManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6928, 35102, 'Greenspan', 'Mercenary Manager', 'a_common_peopleA_MHuman', 8.00, 21.50, 70, 'male', 'L2MercManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 10, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6929, 35103, 'Manor Manager', 'Gludio', 'a_chamberlain_MHuman', 9.50, 22.50, 70, 'male', 'L2ManorManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6930, 35104, 'Tyron', 'Sir', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2CastleMessenger', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 10, 1335, 471, 780, 382, 253, 0, 500, 74, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6931, 35105, 'Dion Holy Artifact', '', 'castle_kent_statue_jewel', 25.00, 98.00, 20, 'female', 'L2Artefact', 'npc', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 40, 10, 57, 95, 24, 77, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6932, 35106, 'Duke Byron Ashton', '', 'a_lord_MHuman', 8.00, 23.00, 75, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 55450, 8.900, 3959, 3.120, 40, 43, 30, 21, 20, 20, 563, 1, 4550, 446, 619, 362, 253, 0, 500, 79, 0, 0, 50, 120, 'dion_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6933, 35107, 'Ivano', 'Sir', 'a_royal_guardA_MHuman', 8.00, 24.00, 72, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 4013, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 518, 1, 3777, 492, 649, 399, 253, 0, 500, 142, 0, 0, 50, 120, 'dion_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6934, 35108, 'Royal Knight', 'Dion', 'a_royal_guardA_MHuman', 8.00, 24.00, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 1, 1721, 471, 607, 382, 253, 0, 500, 76, 2497, 0, 50, 120, 'dion_siege_clan', 1200, 0, 20, 123, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(6935, 35109, 'Court Sorcerer', 'Dion', 'a_royal_guardA_MHuman', 8.00, 24.00, 68, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3706, 8.200, 1423, 2.910, 22, 27, 21, 41, 20, 20, 462, 1, 1562, 450, 563, 365, 253, 0, 500, 325, 0, 0, 50, 120, 'dion_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6936, 35110, 'Court Sorcerer', 'Dion', 'a_royal_guardA_MHuman', 8.00, 24.00, 68, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 3706, 8.200, 1423, 2.910, 22, 27, 21, 41, 20, 20, 462, 1, 1562, 450, 563, 365, 253, 0, 500, 193, 0, 0, 50, 120, 'dion_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6937, 35111, 'Court Guard', 'Dion', 'a_royal_guardB_MHuman', 8.00, 24.00, 68, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 462, 1, 1562, 450, 563, 365, 253, 0, 500, 94, 0, 0, 50, 120, 'dion_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6938, 35112, 'Guard', 'Dion', 'a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 16, 0, 0, 50, 120, 'dion_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6939, 35113, 'Guard', 'Dion', 'a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 2499, 0, 0, 50, 120, 'dion_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6940, 35114, 'Guard', 'Dion', 'a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 436, 1, 3139, 429, 519, 348, 253, 0, 500, 276, 0, 0, 50, 120, 'dion_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(6941, 35115, 'Guard', 'Dion', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 16, 0, 0, 50, 120, 'dion_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6942, 35116, 'Guard', 'Dion', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 2, 0, 0, 50, 120, 'dion_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6943, 35117, 'Guard', 'Dion', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 3139, 429, 519, 348, 253, 0, 500, 14, 0, 0, 50, 120, 'dion_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 0, 0),
	(6944, 35118, 'Guard', 'Dion', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 16, 0, 0, 50, 120, 'dion_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6945, 35119, 'Guard', 'Dion', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 2, 0, 0, 50, 120, 'dion_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6946, 35120, 'Guard', 'Dion', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 3139, 429, 519, 348, 253, 0, 500, 14, 0, 0, 50, 120, 'dion_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 0, 0),
	(6947, 35121, 'Royal Knight', 'Dion', 'a_royal_guardA_MHuman', 8.00, 24.00, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3862, 7.400, 1494, 2.670, 40, 43, 30, 21, 20, 20, 490, 1, 1721, 471, 607, 382, 253, 0, 500, 76, 2497, 0, 50, 120, 'dion_siege_clan', 1200, 0, 20, 123, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(6948, 35122, 'Court Sorcerer', 'Dion', 'a_royal_guardA_MHuman', 8.00, 24.00, 68, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3706, 8.200, 1423, 2.910, 22, 27, 21, 41, 20, 20, 462, 1, 1562, 450, 563, 365, 253, 0, 500, 325, 0, 0, 50, 120, 'dion_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6949, 35123, 'Court Sorcerer', 'Dion', 'a_royal_guardA_MHuman', 8.00, 24.00, 68, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 3706, 8.200, 1423, 2.910, 22, 27, 21, 41, 20, 20, 462, 1, 1562, 450, 563, 365, 253, 0, 500, 193, 0, 0, 50, 120, 'dion_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6950, 35124, 'Court Guard', 'Dion', 'a_royal_guardB_MHuman', 8.00, 24.00, 68, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 462, 1, 1562, 450, 563, 365, 253, 0, 500, 94, 0, 0, 50, 120, 'dion_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6951, 35125, 'Court Guard', 'Dion', 'a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 93, 0, 0, 50, 120, 'dion_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6952, 35126, 'Court Guard', 'Dion', 'a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 2499, 0, 0, 50, 120, 'dion_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6953, 35127, 'Court Guard', 'Dion', 'a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 436, 1, 3139, 429, 519, 348, 253, 0, 500, 276, 0, 0, 50, 120, 'dion_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(6954, 35128, 'Court Guard', 'Dion', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 16, 0, 0, 50, 120, 'dion_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6955, 35129, 'Court Guard', 'Dion', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 2, 0, 0, 50, 120, 'dion_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6956, 35130, 'Court Guard', 'Dion', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 3139, 429, 519, 348, 253, 0, 500, 14, 0, 0, 50, 120, 'dion_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 0, 0),
	(6957, 35131, 'Court Guard', 'Dion', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 16, 0, 0, 50, 120, 'dion_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6958, 35132, 'Court Guard', 'Dion', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 2, 0, 0, 50, 120, 'dion_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6959, 35133, 'Court Guard', 'Dion', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 3139, 429, 519, 348, 253, 0, 500, 14, 0, 0, 50, 120, 'dion_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 0, 0),
	(6960, 35134, 'Gatekeeper', 'Dion', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2CastleTeleporter', 'npc', 40, 3547, 8.000, 1354, 2.400, 40, 43, 30, 21, 20, 20, 436, 10, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 50, 120, 'dion_siege_clan', 600, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6961, 35135, 'Gatekeeper', 'Dion', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2CastleTeleporter', 'npc', 40, 3547, 8.000, 1354, 2.400, 40, 43, 30, 21, 20, 20, 436, 10, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 50, 120, 'dion_siege_clan', 600, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6962, 35136, 'Gatekeeper', 'Dion', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2CastleTeleporter', 'npc', 40, 3547, 8.000, 1354, 2.400, 40, 43, 30, 21, 20, 20, 436, 10, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 50, 120, 'dion_siege_clan', 600, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6963, 35137, 'Mass Gatekeeper', 'Dion', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2CastleTeleporter', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 490, 10, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6964, 35138, 'Outer Doorman', 'Dion', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2CastleDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 10, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6965, 35139, 'Inner Doorman', 'Dion', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2CastleDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 10, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6966, 35140, 'Blacksmith', 'Dion', 'e_smith_master_MDwarf', 8.00, 17.00, 70, 'male', 'L2CastleBlacksmith', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 89, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6967, 35141, 'Warehouse Keeper', 'Dion', 'a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2CastleWarehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6968, 35142, 'Crosby', 'Chamberlain', 'a_chamberlain_MHuman', 9.50, 22.50, 70, 'male', 'L2CastleChamberlain', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 490, 10, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6969, 35143, 'Hodler', 'Wyvern Manager', 'a_traderB_MHuman', 8.00, 24.50, 70, 'male', 'L2WyvernManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6970, 35144, 'Mercenary Manager Sanford', 'Mercenary Manager', 'a_common_peopleA_MHuman', 8.00, 21.50, 70, 'male', 'L2MercManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 10, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6971, 35145, 'Manor Manager', 'Dion', 'a_chamberlain_MHuman', 9.50, 22.50, 70, 'male', 'L2ManorManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6972, 35146, 'Gibbson', 'Herald', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2CastleMessenger', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 10, 1314, 471, 780, 382, 253, 0, 500, 74, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6973, 35147, 'Giran Holy Artifact', '', 'castle_kent_statue_jewel', 25.00, 98.00, 20, 'female', 'L2Artefact', 'npc', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 40, 10, 57, 95, 24, 77, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6974, 35148, 'Baron Carmon Esthus', '', 'a_lord_MHuman', 8.00, 23.00, 75, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 55450, 8.900, 3959, 3.120, 40, 43, 30, 21, 20, 20, 563, 1, 4550, 446, 619, 362, 253, 0, 500, 79, 0, 0, 50, 120, 'giran_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6975, 35149, 'Ulric', 'Sir', 'a_royal_guardA_MHuman', 8.00, 24.00, 72, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 51516, 7.600, 3653, 2.730, 40, 43, 30, 21, 20, 20, 518, 1, 3994, 414, 532, 337, 253, 0, 500, 142, 0, 0, 50, 120, 'giran_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6976, 35150, 'Royal Knight', 'Giran', 'a_royal_guardA_MHuman', 8.00, 24.00, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 1, 1721, 471, 607, 382, 253, 0, 500, 76, 2497, 0, 50, 120, 'giran_siege_clan', 1200, 0, 20, 123, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(6977, 35151, 'Court Sorcerer', 'Giran', 'a_royal_guardA_MHuman', 8.00, 24.00, 68, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3706, 7.200, 1423, 2.610, 22, 27, 21, 41, 20, 20, 462, 1, 1562, 450, 563, 365, 253, 0, 500, 325, 0, 0, 50, 120, 'giran_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6978, 35152, 'Court Sorcerer', 'Giran', 'a_royal_guardA_MHuman', 8.00, 24.00, 68, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 3706, 7.200, 1423, 2.610, 22, 27, 21, 41, 20, 20, 462, 1, 1562, 450, 563, 365, 253, 0, 500, 193, 0, 0, 50, 120, 'giran_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6979, 35153, 'Court Guard', 'Giran', 'a_royal_guardB_MHuman', 8.00, 24.00, 68, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 462, 1, 1562, 450, 563, 365, 253, 0, 500, 94, 0, 0, 50, 120, 'giran_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6980, 35154, 'Guard', 'Giran', 'a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 16, 0, 0, 50, 120, 'giran_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6981, 35155, 'Guard', 'Giran', 'a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 2499, 0, 0, 50, 120, 'giran_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6982, 35156, 'Guard', 'Giran', 'a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 436, 1, 3139, 429, 519, 348, 253, 0, 500, 276, 0, 0, 50, 120, 'giran_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(6983, 35157, 'Guard', 'Giran', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 16, 0, 0, 50, 120, 'giran_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6984, 35158, 'Guard', 'Giran', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 2, 0, 0, 50, 120, 'giran_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6985, 35159, 'Guard', 'Giran', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 3139, 429, 519, 348, 253, 0, 500, 14, 0, 0, 50, 120, 'giran_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 0, 0),
	(6986, 35160, 'Guard', 'Giran', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 16, 0, 0, 50, 120, 'giran_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6987, 35161, 'Guard', 'Giran', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 2, 0, 0, 50, 120, 'giran_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6988, 35162, 'Guard', 'Giran', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 3139, 429, 519, 348, 253, 0, 500, 14, 0, 0, 50, 120, 'giran_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 0, 0),
	(6989, 35163, 'Royal Knight', 'Giran', 'a_royal_guardA_MHuman', 8.00, 24.00, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3862, 7.400, 1494, 2.670, 40, 43, 30, 21, 20, 20, 490, 1, 1721, 471, 607, 382, 253, 0, 500, 76, 2497, 0, 50, 120, 'giran_siege_clan', 1200, 0, 20, 123, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(6990, 35164, 'Court Sorcerer', 'Giran', 'a_royal_guardA_MHuman', 8.00, 24.00, 68, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3706, 8.200, 1423, 2.910, 22, 27, 21, 41, 20, 20, 462, 1, 1562, 450, 563, 365, 253, 0, 500, 325, 0, 0, 50, 120, 'giran_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6991, 35165, 'Court Sorcerer', 'Giran', 'a_royal_guardA_MHuman', 8.00, 24.00, 68, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 3706, 8.200, 1423, 2.910, 22, 27, 21, 41, 20, 20, 462, 1, 1562, 450, 563, 365, 253, 0, 500, 193, 0, 0, 50, 120, 'giran_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6992, 35166, 'Court Guard', 'Giran', 'a_royal_guardB_MHuman', 8.00, 24.00, 68, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 462, 1, 1562, 450, 563, 365, 253, 0, 500, 94, 0, 0, 50, 120, 'giran_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6993, 35167, 'Guard', 'Giran', 'a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 93, 0, 0, 50, 120, 'giran_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6994, 35168, 'Guard', 'Giran', 'a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 2499, 0, 0, 50, 120, 'giran_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(6995, 35169, 'Guard', 'Giran', 'a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 436, 1, 3139, 429, 519, 348, 253, 0, 500, 276, 0, 0, 50, 120, 'giran_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(6996, 35170, 'Guard', 'Giran', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 16, 0, 0, 50, 120, 'giran_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6997, 35171, 'Guard', 'Giran', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 2, 0, 0, 50, 120, 'giran_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(6998, 35172, 'Guard', 'Giran', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 3139, 429, 519, 348, 253, 0, 500, 14, 0, 0, 50, 120, 'giran_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 0, 0),
	(6999, 35173, 'Guard', 'Giran', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 16, 0, 0, 50, 120, 'giran_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7000, 35174, 'Guard', 'Giran', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 2, 0, 0, 50, 120, 'giran_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7001, 35175, 'Guard', 'Giran', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 3139, 429, 519, 348, 253, 0, 500, 14, 0, 0, 50, 120, 'giran_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 0, 0),
	(7002, 35176, 'Gatekeeper', 'Giran', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2CastleTeleporter', 'npc', 40, 3547, 7.000, 1354, 2.400, 40, 43, 30, 21, 20, 20, 436, 10, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 50, 120, 'giran_siege_clan', 600, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7003, 35177, 'Gatekeeper', 'Giran', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2CastleTeleporter', 'npc', 40, 3547, 7.000, 1354, 2.400, 40, 43, 30, 21, 20, 20, 436, 10, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 50, 120, 'giran_siege_clan', 600, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7004, 35178, 'Gatekeeper', 'Giran', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2CastleTeleporter', 'npc', 40, 3547, 7.000, 1354, 2.400, 40, 43, 30, 21, 20, 20, 436, 10, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 50, 120, 'giran_siege_clan', 600, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7005, 35179, 'Mass Gatekeeper', 'Giran', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2CastleTeleporter', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 490, 10, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7006, 35180, 'Outer Doorman', 'Giran', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2CastleDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 10, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7007, 35181, 'Inner Doorman', 'Giran', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2CastleDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 10, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7008, 35182, 'Blacksmith', 'Giran', 'a_smith_MDwarf', 7.00, 16.50, 70, 'male', 'L2CastleBlacksmith', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 89, 0, 0, 50, 120, 'giran_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7009, 35183, 'Warehouse Keeper', 'Giran', 'a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2CastleWarehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, 'giran_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7010, 35184, 'Saul', 'Chamberlain', 'a_chamberlain_MHuman', 9.50, 22.50, 70, 'male', 'L2CastleChamberlain', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 490, 10, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7011, 35185, 'Bryce', 'Wyvern Manager', 'a_traderB_MHuman', 8.00, 24.50, 70, 'male', 'L2WyvernManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 2, 0, 0, 50, 120, 'giran_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7012, 35186, 'Arvid', 'Mercenary Manager', 'a_common_peopleA_MHuman', 8.00, 21.50, 70, 'male', 'L2MercManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 10, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7013, 35187, 'Manor Manager', 'Giran', 'a_chamberlain_MHuman', 9.50, 22.50, 70, 'male', 'L2ManorManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7014, 35188, 'Holmes', 'Sir', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2CastleMessenger', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 10, 1314, 471, 780, 382, 253, 0, 500, 74, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7015, 35189, 'Oren Holy Artifact', '', 'castle_kent_statue_jewel', 25.00, 98.00, 20, 'female', 'L2Artefact', 'npc', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 40, 10, 57, 95, 24, 77, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7016, 35190, 'Balthus Van Dyke', 'Duke', 'a_lord_MHuman', 8.00, 23.00, 75, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 55450, 7.900, 3959, 2.820, 40, 43, 30, 21, 20, 20, 563, 1, 4550, 446, 619, 362, 253, 0, 500, 79, 0, 0, 50, 120, 'oren_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7017, 35191, 'Quant', 'Sir', 'a_royal_guardA_MHuman', 8.00, 24.00, 72, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 51516, 7.600, 3653, 2.730, 40, 43, 30, 21, 20, 20, 518, 1, 3994, 414, 532, 337, 253, 0, 500, 142, 0, 0, 50, 120, 'oren_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7018, 35192, 'Royal Knight', 'Oren', 'a_royal_guardA_MHuman', 8.00, 24.00, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3862, 7.400, 1494, 2.670, 40, 43, 30, 21, 20, 20, 490, 1, 1721, 471, 607, 382, 253, 0, 500, 76, 2497, 0, 50, 120, 'oren_siege_clan', 1200, 0, 20, 123, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(7019, 35193, 'Court Sorcerer', 'Oren', 'a_royal_guardA_MHuman', 8.00, 24.00, 68, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3706, 7.200, 1423, 2.610, 22, 27, 21, 41, 20, 20, 462, 1, 1562, 450, 563, 365, 253, 0, 500, 325, 0, 0, 50, 120, 'oren_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7020, 35194, 'Court Sorcerer', 'Oren', 'a_royal_guardA_MHuman', 8.00, 24.00, 68, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 3706, 7.200, 1423, 2.610, 22, 27, 21, 41, 20, 20, 462, 1, 1562, 450, 563, 365, 253, 0, 500, 193, 0, 0, 50, 120, 'oren_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7021, 35195, 'Court Guard', 'Oren', 'a_royal_guardB_MHuman', 8.00, 24.00, 68, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3706, 7.200, 1423, 2.610, 40, 43, 30, 21, 20, 20, 462, 1, 1562, 450, 563, 365, 253, 0, 500, 94, 0, 0, 50, 120, 'oren_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7022, 35196, 'Guard', 'Oren', 'a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 16, 0, 0, 50, 120, 'oren_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7023, 35197, 'Guard', 'Oren', 'a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 2499, 0, 0, 50, 120, 'oren_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7024, 35198, 'Guard', 'Oren', 'a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 3139, 429, 519, 348, 253, 0, 500, 276, 0, 0, 50, 120, 'oren_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(7025, 35199, 'Guard', 'Oren', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 16, 0, 0, 50, 120, 'oren_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7026, 35200, 'Guard', 'Oren', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 2, 0, 0, 50, 120, 'oren_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7027, 35201, 'Guard', 'Oren', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 3139, 429, 519, 348, 253, 0, 500, 14, 0, 0, 50, 120, 'oren_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 0, 0),
	(7028, 35202, 'Guard', 'Oren', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 16, 0, 0, 50, 120, 'oren_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7029, 35203, 'Guard', 'Oren', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 2, 0, 0, 50, 120, 'oren_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7030, 35204, 'Guard', 'Oren', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 3139, 429, 519, 348, 253, 0, 500, 14, 0, 0, 50, 120, 'oren_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 0, 0),
	(7031, 35205, 'Royal Knight', 'Oren', 'a_royal_guardA_MHuman', 8.00, 24.00, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3862, 7.400, 1494, 2.670, 40, 43, 30, 21, 20, 20, 490, 1, 1721, 471, 607, 382, 253, 0, 500, 76, 2497, 0, 50, 120, 'oren_siege_clan', 1200, 0, 20, 123, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(7032, 35206, 'Court Sorcerer', 'Oren', 'a_royal_guardA_MHuman', 8.00, 24.00, 68, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3706, 8.200, 1423, 2.910, 22, 27, 21, 41, 20, 20, 462, 1, 1562, 450, 563, 365, 253, 0, 500, 325, 0, 0, 50, 120, 'oren_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7033, 35207, 'Court Sorcerer', 'Oren', 'a_royal_guardA_MHuman', 8.00, 24.00, 68, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 3706, 8.200, 1423, 2.910, 22, 27, 21, 41, 20, 20, 462, 1, 1562, 450, 563, 365, 253, 0, 500, 193, 0, 0, 50, 120, 'oren_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7034, 35208, 'Court Guard', 'Oren', 'a_royal_guardB_MHuman', 8.00, 24.00, 68, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3706, 7.200, 1423, 2.610, 40, 43, 30, 21, 20, 20, 462, 1, 1562, 450, 563, 365, 253, 0, 500, 94, 0, 0, 50, 120, 'oren_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7035, 35209, 'Guard', 'Oren', 'a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 93, 0, 0, 50, 120, 'oren_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7036, 35210, 'Guard', 'Oren', 'a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 2499, 0, 0, 50, 120, 'oren_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7037, 35211, 'Guard', 'Oren', 'a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 436, 1, 3139, 429, 519, 348, 253, 0, 500, 276, 0, 0, 50, 120, 'oren_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(7038, 35212, 'Guard', 'Oren', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 16, 0, 0, 50, 120, 'oren_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7039, 35213, 'Guard', 'Oren', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 2, 0, 0, 50, 120, 'oren_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7040, 35214, 'Guard', 'Oren', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 3139, 429, 519, 348, 253, 0, 500, 14, 0, 0, 50, 120, 'oren_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 0, 0),
	(7041, 35215, 'Guard', 'Oren', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 16, 0, 0, 50, 120, 'oren_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7042, 35216, 'Guard', 'Oren', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 2, 0, 0, 50, 120, 'oren_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7043, 35217, 'Guard', 'Oren', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 3139, 429, 519, 348, 253, 0, 500, 14, 0, 0, 50, 120, 'oren_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 0, 0),
	(7044, 35218, 'Gatekeeper', 'Oren', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2CastleTeleporter', 'npc', 40, 3547, 7.000, 1354, 2.400, 40, 43, 30, 21, 20, 20, 436, 10, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 50, 120, 'oren_siege_clan', 600, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7045, 35219, 'Gatekeeper', 'Oren', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2CastleTeleporter', 'npc', 40, 3547, 8.000, 1354, 2.400, 40, 43, 30, 21, 20, 20, 436, 10, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 50, 120, 'oren_siege_clan', 600, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7046, 35220, 'Gatekeeper', 'Oren', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2CastleTeleporter', 'npc', 40, 3547, 8.000, 1354, 2.400, 40, 43, 30, 21, 20, 20, 436, 10, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 50, 120, 'oren_siege_clan', 600, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7047, 35221, 'Mass Gatekeeper', 'Oren', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2CastleTeleporter', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 490, 10, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7048, 35222, 'Outer Doorman', 'Oren', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2CastleDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 10, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7049, 35223, 'Inner Doorman', 'Oren', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2CastleDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 10, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7050, 35224, 'Blacksmith', 'Oren', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2CastleBlacksmith', 'npc', 40, 3862, 8.400, 1494, 2.400, 40, 43, 30, 21, 20, 20, 0, 0, 1412, 471, 607, 382, 253, 0, 500, 89, 0, 0, 50, 120, 'oren_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7051, 35225, 'Warehouse Keeper', 'Oren', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2CastleWarehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1412, 471, 607, 382, 253, 0, 500, 2, 0, 0, 50, 120, 'oren_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7052, 35226, 'Brasseur', 'Chamberlain', 'a_chamberlain_MHuman', 9.50, 22.50, 70, 'male', 'L2CastleChamberlain', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 490, 10, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7053, 35227, 'Finrod', 'Wyvern Manager', 'a_royal_guardA_MHuman', 8.00, 24.00, 70, 'male', 'L2WyvernManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1721, 471, 607, 382, 253, 0, 500, 76, 2497, 0, 50, 120, 'oren_siege_clan', 1200, 0, 20, 123, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(7054, 35228, 'Morrison', 'Mercenary Manager', 'a_common_peopleA_MHuman', 8.00, 21.50, 70, 'male', 'L2MercManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 10, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7055, 35229, 'Manor Manager', 'Oren', 'a_chamberlain_MHuman', 9.50, 22.50, 70, 'male', 'L2ManorManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1562, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, 'oren_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7056, 35230, 'Manor Manager', 'Oren', 'a_trader_MElf', 8.00, 25.00, 70, 'male', 'L2ManorManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1562, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, 'oren_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7057, 35231, 'Manor Manager', 'Oren', 'a_common_people_MDarkElf', 7.00, 23.00, 70, 'male', 'L2ManorManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1412, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, 'oren_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7058, 35232, 'Sherwood', 'Messenger', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2CastleMessenger', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 10, 1314, 471, 780, 382, 253, 0, 500, 74, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7059, 35233, 'Aden Holy Artifact', '', 'castle_kent_statue_jewel', 25.00, 98.00, 20, 'female', 'L2Artefact', 'npc', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 40, 10, 57, 189, 24, 77, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7060, 35234, 'Amadeo Cadmus', 'King', 'a_lord_MHuman', 8.00, 23.00, 80, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 84582, 8.900, 6695, 3.120, 40, 43, 30, 21, 20, 20, 640, 1, 9589, 540, 957, 438, 253, 0, 500, 80, 0, 0, 50, 120, 'oren_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7061, 35235, 'Royal Knight', 'Aden', 'a_royal_guardA_MHuman', 8.00, 24.00, 75, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 38623, 8.400, 5975, 2.970, 40, 43, 30, 21, 20, 20, 563, 1, 4033, 485, 780, 394, 253, 0, 500, 2, 2497, 0, 50, 120, 'aden_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7062, 35236, 'Court Sorcerer', 'Aden', 'a_royal_guardA_MHuman', 8.00, 24.00, 73, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 37063, 8.200, 5694, 2.910, 22, 27, 21, 41, 20, 20, 533, 1, 3737, 464, 713, 377, 253, 0, 500, 7, 0, 0, 50, 120, 'aden_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7063, 35237, 'Court Sorcerer', 'Aden', 'a_royal_guardA_MHuman', 8.00, 24.00, 73, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 37063, 8.200, 5694, 2.910, 22, 27, 21, 41, 20, 20, 533, 1, 3737, 464, 713, 377, 253, 0, 500, 92, 0, 0, 50, 120, 'aden_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7064, 35238, 'Court Guard', 'Aden', 'a_royal_guardB_MHuman', 8.00, 24.00, 73, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 37063, 8.200, 5694, 2.910, 40, 43, 30, 21, 20, 20, 533, 1, 3737, 464, 713, 377, 253, 0, 500, 1376, 0, 0, 50, 120, 'aden_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7065, 35239, 'Guard', 'Aden', 'a_guard_MElf', 8.00, 23.50, 71, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 35466, 8.000, 5416, 2.850, 40, 43, 30, 21, 20, 20, 504, 1, 3449, 443, 649, 360, 253, 0, 500, 300, 0, 0, 50, 120, 'aden_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7066, 35240, 'Guard', 'Aden', 'a_guard_MElf', 8.00, 23.50, 71, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 35466, 8.000, 5416, 2.850, 40, 43, 30, 21, 20, 20, 504, 1, 3449, 443, 649, 360, 253, 0, 500, 132, 0, 0, 50, 120, 'aden_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7067, 35241, 'Guard', 'Aden', 'a_guard_MElf', 8.00, 23.50, 71, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 35466, 8.000, 5416, 2.850, 40, 43, 30, 21, 20, 20, 504, 1, 7663, 443, 649, 360, 253, 0, 500, 14, 0, 0, 50, 120, 'aden_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 0, 0),
	(7068, 35242, 'Guard', 'Aden', 'a_guard_FDarkelf', 8.00, 25.00, 71, 'female', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 35466, 8.000, 5416, 2.850, 40, 43, 30, 21, 20, 20, 504, 1, 3449, 443, 649, 360, 253, 0, 500, 16, 0, 0, 50, 120, 'aden_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7069, 35243, 'Guard', 'Aden', 'a_guard_FDarkelf', 8.00, 25.00, 71, 'female', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 35466, 8.000, 5416, 2.850, 40, 43, 30, 21, 20, 20, 504, 1, 3449, 443, 649, 360, 253, 0, 500, 2, 0, 0, 50, 120, 'aden_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7070, 35244, 'Guard', 'Aden', 'a_guard_FDarkelf', 8.00, 25.00, 71, 'female', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 35466, 8.000, 5416, 2.850, 40, 43, 30, 21, 20, 20, 504, 1, 7663, 443, 649, 360, 253, 0, 500, 14, 0, 0, 50, 120, 'aden_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 0, 0),
	(7071, 35245, 'Guard', 'Aden', 'a_guard_MHuman', 8.00, 24.00, 71, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 35466, 8.000, 5416, 2.850, 40, 43, 30, 21, 20, 20, 504, 1, 3449, 443, 649, 360, 253, 0, 500, 16, 0, 0, 50, 120, 'aden_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7072, 35246, 'Guard', 'Aden', 'a_guard_MHuman', 8.00, 24.00, 71, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 35466, 8.000, 5416, 2.850, 40, 43, 30, 21, 20, 20, 504, 1, 3449, 443, 649, 360, 253, 0, 500, 2, 0, 0, 50, 120, 'aden_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7073, 35247, 'Guard', 'Aden', 'a_guard_MHuman', 8.00, 24.00, 71, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 35466, 8.000, 5416, 2.850, 40, 43, 30, 21, 20, 20, 504, 1, 7663, 443, 649, 360, 253, 0, 500, 14, 0, 0, 50, 120, 'aden_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 0, 0),
	(7074, 35248, 'Royal Knight', 'Aden', 'a_royal_guardA_MHuman', 8.00, 24.00, 75, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 38623, 8.400, 5975, 2.970, 40, 43, 30, 21, 20, 20, 563, 1, 4033, 485, 780, 394, 253, 0, 500, 142, 633, 0, 50, 120, 'aden_siege_clan', 1200, 0, 20, 147, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(7075, 35249, 'Court Sorcerer', 'Aden', 'a_royal_guardA_MHuman', 8.00, 24.00, 73, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 37063, 8.200, 5694, 2.910, 22, 27, 21, 41, 20, 20, 533, 1, 3737, 464, 713, 377, 253, 0, 500, 326, 0, 0, 50, 120, 'aden_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7076, 35250, 'Court Sorcerer', 'Aden', 'a_royal_guardA_MHuman', 8.00, 24.00, 73, 'female', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 37063, 8.700, 5694, 3.060, 22, 27, 21, 41, 20, 20, 533, 1, 3737, 464, 713, 377, 253, 0, 500, 325, 0, 0, 50, 120, 'aden_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7077, 35251, 'Court Guard', 'Aden', 'a_royal_guardB_MHuman', 8.00, 24.00, 73, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 37063, 8.200, 5694, 2.910, 40, 43, 30, 21, 20, 20, 533, 1, 3737, 464, 713, 377, 253, 0, 500, 300, 0, 0, 50, 120, 'aden_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7078, 35252, 'Guard', 'Aden', 'a_guard_MElf', 8.00, 23.50, 71, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 35466, 8.000, 5416, 2.850, 40, 43, 30, 21, 20, 20, 504, 1, 3449, 443, 649, 360, 253, 0, 500, 16, 0, 0, 50, 120, 'aden_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7079, 35253, 'Guard', 'Aden', 'a_guard_MElf', 8.00, 23.50, 71, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 35466, 8.000, 5416, 2.850, 40, 43, 30, 21, 20, 20, 504, 1, 3449, 443, 649, 360, 253, 0, 500, 2, 0, 0, 50, 120, 'aden_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7080, 35254, 'Guard', 'Aden', 'a_guard_MElf', 8.00, 23.50, 71, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 35466, 8.500, 5416, 3.000, 40, 43, 30, 21, 20, 20, 504, 1, 7663, 443, 649, 360, 253, 0, 500, 285, 0, 0, 50, 120, 'aden_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(7081, 35255, 'Guard', 'Aden', 'a_guard_FDarkelf', 8.00, 25.00, 71, 'female', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 35466, 8.000, 5416, 2.850, 40, 43, 30, 21, 20, 20, 504, 1, 3449, 443, 649, 360, 253, 0, 500, 16, 0, 0, 50, 120, 'aden_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7082, 35256, 'Guard', 'Aden', 'a_guard_FDarkelf', 8.00, 25.00, 71, 'female', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 35466, 8.000, 5416, 2.850, 40, 43, 30, 21, 20, 20, 504, 1, 3449, 443, 649, 360, 253, 0, 500, 2, 0, 0, 50, 120, 'aden_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7083, 35257, 'Guard', 'Aden', 'a_guard_FDarkelf', 8.00, 25.00, 71, 'female', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 35466, 8.000, 5416, 2.850, 40, 43, 30, 21, 20, 20, 504, 1, 7663, 443, 649, 360, 253, 0, 500, 14, 0, 0, 50, 120, 'aden_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 0, 0),
	(7084, 35258, 'Guard', 'Aden', 'a_guard_MHuman', 8.00, 24.00, 71, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 35466, 8.000, 5416, 2.850, 40, 43, 30, 21, 20, 20, 504, 1, 3449, 443, 649, 360, 253, 0, 500, 16, 0, 0, 50, 120, 'aden_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7085, 35259, 'Guard', 'Aden', 'a_guard_MHuman', 8.00, 24.00, 71, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 35466, 8.000, 5416, 2.850, 40, 43, 30, 21, 20, 20, 504, 1, 3449, 443, 649, 360, 253, 0, 500, 2, 0, 0, 50, 120, 'aden_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7086, 35260, 'Guard', 'Aden', 'a_guard_MHuman', 8.00, 24.00, 71, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 35466, 8.000, 5416, 2.850, 40, 43, 30, 21, 20, 20, 504, 1, 7663, 443, 649, 360, 253, 0, 500, 14, 0, 0, 50, 120, 'aden_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 0, 0),
	(7087, 35261, 'Gatekeeper', 'Aden', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2CastleTeleporter', 'npc', 40, 3547, 8.000, 1354, 2.400, 40, 43, 30, 21, 20, 20, 436, 10, 1114, 662, 519, 348, 253, 0, 500, 0, 0, 0, 50, 120, 'aden_siege_clan', 600, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7088, 35262, 'Gatekeeper', 'Aden', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2CastleTeleporter', 'npc', 40, 3547, 8.000, 1354, 2.400, 40, 43, 30, 21, 20, 20, 436, 10, 1114, 662, 519, 348, 253, 0, 500, 0, 0, 0, 50, 120, 'aden_siege_clan', 600, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7089, 35263, 'Gatekeeper', 'Aden', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2CastleTeleporter', 'npc', 40, 3547, 8.000, 1354, 2.400, 40, 43, 30, 21, 20, 20, 436, 10, 1114, 662, 519, 348, 253, 0, 500, 0, 0, 0, 50, 120, 'aden_siege_clan', 600, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7090, 35264, 'Gatekeeper', 'Aden', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2CastleTeleporter', 'npc', 40, 3547, 8.000, 1354, 2.400, 40, 43, 30, 21, 20, 20, 436, 10, 1114, 662, 519, 348, 253, 0, 500, 0, 0, 0, 50, 120, 'aden_siege_clan', 600, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7091, 35265, 'Gatekeeper', 'Aden', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2CastleTeleporter', 'npc', 40, 3547, 7.000, 1354, 2.400, 40, 43, 30, 21, 20, 20, 436, 10, 1114, 662, 519, 348, 253, 0, 500, 0, 0, 0, 50, 120, 'aden_siege_clan', 600, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7092, 35266, 'Mass Gatekeeper', 'Aden', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2CastleTeleporter', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 490, 10, 1314, 941, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7093, 35267, 'Outer Doorman', 'Aden', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2CastleDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 10, 1314, 941, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7094, 35268, 'Inner Doorman', 'Aden', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2CastleDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 10, 1314, 941, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7095, 35269, 'Hall Doorman', 'Aden', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2CastleDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 10, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7096, 35270, 'Inner Doorman', 'Aden', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2CastleDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 10, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7097, 35271, 'Gatekeeper', 'Aden', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2CastleTeleporter', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7098, 35272, 'Blacksmith', 'Aden', 'a_guard_FDarkelf', 8.00, 25.00, 70, 'male', 'L2CastleBlacksmith', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 3369, 471, 649, 382, 253, 0, 500, 89, 0, 0, 50, 120, 'aden_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7099, 35273, 'Warehouse Keeper', 'Aden', 'a_guard_FDarkelf', 8.00, 25.00, 70, 'male', 'L2CastleWarehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 3369, 471, 649, 382, 253, 0, 500, 2, 0, 0, 50, 120, 'aden_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7100, 35274, 'Logan', 'Chamberlain', 'a_chamberlain_MHuman', 9.50, 22.50, 70, 'male', 'L2CastleChamberlain', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 490, 10, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7101, 35275, 'Kruger', 'Wyvern Manager', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2WyvernManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 3369, 471, 649, 382, 253, 0, 500, 16, 0, 0, 50, 120, 'aden_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7102, 35276, 'Eldon', 'Mercenary Manager', 'a_common_peopleA_MHuman', 8.00, 21.50, 70, 'male', 'L2MercManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 10, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7103, 35277, 'Manor Manager', 'Aden', 'a_guard_MHuman', 9.50, 22.50, 70, 'male', 'L2ManorManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7486, 471, 649, 382, 253, 0, 333, 0, 0, 0, 50, 120, 'aden_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(7104, 35278, 'Messenger Ruford', 'Messenger', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2CastleMessenger', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 10, 1335, 471, 780, 382, 253, 0, 500, 135, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7105, 35279, 'Innadril Holy Artifact', '', 'castle_kent_statue_jewel', 25.00, 98.00, 20, 'female', 'L2Artefact', 'npc', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 40, 10, 57, 95, 24, 77, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7106, 35280, 'Baron Lionel Hunter', '', 'a_lord_MHuman', 8.00, 23.00, 75, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 55450, 7.900, 3959, 2.820, 40, 43, 30, 21, 20, 20, 563, 1, 4550, 446, 619, 362, 253, 0, 500, 79, 0, 0, 50, 120, 'innadrile_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7107, 35281, 'Schaht', 'Sir', 'a_royal_guardA_MHuman', 8.00, 24.00, 72, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 51516, 8.600, 3653, 3.030, 40, 43, 30, 21, 20, 20, 518, 1, 3994, 414, 532, 337, 253, 0, 500, 142, 0, 0, 50, 120, 'innadrile_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7108, 35282, 'Royal Knight', 'Innadril', 'a_royal_guardA_MHuman', 8.00, 24.00, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 1, 1721, 471, 607, 382, 253, 0, 500, 76, 2497, 0, 50, 120, 'innadrile_siege_clan', 1200, 0, 20, 123, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(7109, 35283, 'Court Sorcerer', 'Innadril', 'a_royal_guardA_MHuman', 8.00, 24.00, 68, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3706, 7.200, 1423, 2.610, 22, 27, 21, 41, 20, 20, 462, 1, 1562, 450, 563, 365, 253, 0, 500, 325, 0, 0, 50, 120, 'innadrile_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7110, 35284, 'Court Sorcerer', 'Innadril', 'a_royal_guardA_MHuman', 8.00, 24.00, 68, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 3706, 8.200, 1423, 2.910, 22, 27, 21, 41, 20, 20, 462, 1, 1562, 450, 563, 365, 253, 0, 500, 193, 0, 0, 50, 120, 'innadrile_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7111, 35285, 'Court Guard', 'Innadril', 'a_royal_guardB_MHuman', 8.00, 24.00, 68, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 462, 1, 1562, 450, 563, 365, 253, 0, 500, 94, 0, 0, 50, 120, 'innadrile_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7112, 35286, 'Guard', 'Innadril', 'a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 16, 0, 0, 50, 120, 'innadrile_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7113, 35287, 'Guard', 'Innadril', 'a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 2499, 0, 0, 50, 120, 'innadrile_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7114, 35288, 'Guard', 'Innadril', 'a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 436, 1, 3139, 429, 519, 348, 253, 0, 500, 276, 0, 0, 50, 120, 'innadrile_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(7115, 35289, 'Guard', 'Innadril', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 16, 0, 0, 50, 120, 'innadrile_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7116, 35290, 'Guard', 'Innadril', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 2, 0, 0, 50, 120, 'innadrile_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7117, 35291, 'Guard', 'Innadril', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 3139, 429, 519, 348, 253, 0, 500, 14, 0, 0, 50, 120, 'innadrile_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 0, 0),
	(7118, 35292, 'Guard', 'Innadril', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 16, 0, 0, 50, 120, 'innadrile_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7119, 35293, 'Guard', 'Innadril', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 2, 0, 0, 50, 120, 'innadrile_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7120, 35294, 'Guard', 'Innadril', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 3139, 429, 519, 348, 253, 0, 500, 14, 0, 0, 50, 120, 'innadrile_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 0, 0),
	(7121, 35295, 'Royal Knight', 'Innadril', 'a_royal_guardA_MHuman', 8.00, 24.00, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 1, 1721, 471, 607, 382, 253, 0, 500, 76, 2497, 0, 50, 120, 'innadrile_siege_clan', 1200, 0, 20, 123, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(7122, 35296, 'Court Sorcerer', 'Innadril', 'a_royal_guardA_MHuman', 8.00, 24.00, 68, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3706, 8.200, 1423, 2.910, 22, 27, 21, 41, 20, 20, 462, 1, 1562, 450, 563, 365, 253, 0, 500, 325, 0, 0, 50, 120, 'innadrile_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7123, 35297, 'Court Sorcerer', 'Innadril', 'a_royal_guardA_MHuman', 8.00, 24.00, 68, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 3706, 8.200, 1423, 2.910, 22, 27, 21, 41, 20, 20, 462, 1, 1562, 450, 563, 365, 253, 0, 500, 193, 0, 0, 50, 120, 'innadrile_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7124, 35298, 'Court Guard', 'Innadril', 'a_royal_guardB_MHuman', 8.00, 24.00, 68, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 462, 1, 1562, 450, 563, 365, 253, 0, 500, 94, 0, 0, 50, 120, 'innadrile_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7125, 35299, 'Guard', 'Innadril', 'a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 93, 0, 0, 50, 120, 'innadrile_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7126, 35300, 'Guard', 'Innadril', 'a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 2499, 0, 0, 50, 120, 'innadrile_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7127, 35301, 'Guard', 'Innadril', 'a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 436, 1, 3139, 429, 519, 348, 253, 0, 500, 276, 0, 0, 50, 120, 'innadrile_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(7128, 35302, 'Guard', 'Innadril', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 16, 0, 0, 50, 120, 'innadrile_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7129, 35303, 'Guard', 'Innadril', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 2, 0, 0, 50, 120, 'innadrile_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7130, 35304, 'Guard', 'Innadril', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 3139, 429, 519, 348, 253, 0, 500, 14, 0, 0, 50, 120, 'innadrile_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 0, 0),
	(7131, 35305, 'Guard', 'Innadril', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 16, 0, 0, 50, 120, 'innadrile_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7132, 35306, 'Guard', 'Innadril', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 2, 0, 0, 50, 120, 'innadrile_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7133, 35307, 'Guard', 'Innadril', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 3139, 429, 519, 348, 253, 0, 500, 14, 0, 0, 50, 120, 'innadrile_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 0, 0),
	(7134, 35308, 'Gatekeeper', 'Innadril', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2CastleTeleporter', 'npc', 40, 3547, 8.000, 1354, 2.700, 40, 43, 30, 21, 20, 20, 436, 10, 1314, 470, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, 'innadrile_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7135, 35309, 'Gatekeeper', 'Innadril', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2CastleTeleporter', 'npc', 40, 3547, 8.000, 1354, 2.700, 40, 43, 30, 21, 20, 20, 436, 10, 1314, 470, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, 'innadrile_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7136, 35310, 'Gatekeeper', 'Innadril', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2CastleTeleporter', 'npc', 40, 3547, 8.000, 1354, 2.700, 40, 43, 30, 21, 20, 20, 436, 10, 1314, 470, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, 'innadrile_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7137, 35311, 'Mass Gatekeeper', 'Innadril', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2CastleTeleporter', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 490, 10, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7138, 35312, 'Outer Doorman', 'Innadril', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2CastleDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 10, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7139, 35313, 'Inner Doorman', 'Innadril', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2CastleDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 10, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7140, 35314, 'Blacksmith', 'Innadril', 'a_smith_MDwarf', 7.00, 16.50, 70, 'male', 'L2CastleBlacksmith', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 89, 0, 0, 50, 120, 'aden_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7141, 35315, 'Warehouse Keeper', 'Innadril', 'a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2CastleWarehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, 'aden_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7142, 35316, 'Neurath', 'Chamberlain', 'a_chamberlain_MHuman', 9.50, 22.50, 70, 'male', 'L2CastleChamberlain', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 490, 10, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7143, 35317, 'Tate', 'Wyvern Manager', 'a_traderB_MHuman', 8.00, 24.50, 70, 'male', 'L2WyvernManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, 'aden_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7144, 35318, 'Solinus', 'Mercenary Manager', 'a_common_peopleA_MHuman', 8.00, 21.50, 70, 'male', 'L2MercManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 10, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7145, 35319, 'Manor Manager', 'Innadril', 'a_chamberlain_MHuman', 9.50, 22.50, 70, 'male', 'L2ManorManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7146, 35320, 'Raybell', 'Sir', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2CastleMessenger', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 10, 1314, 471, 780, 382, 253, 0, 500, 74, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7147, 35322, 'Altar of Fire', '', 'godad_holything', 24.00, 65.00, 20, 'female', 'L2Artefact', 'npc', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 0, 0, 57, 97, 24, 79, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7148, 35323, 'Altar of Water', '', 'godad_holything', 24.00, 65.00, 20, 'female', 'L2Artefact', 'npc', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 0, 0, 57, 97, 24, 79, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7149, 35324, 'Heinz', 'Royal Guard Captain', 'teleport_cube', 30.00, 65.00, 72, 'male', 'L2Merchant', 'npc', 40, 51516, 8.400, 3653, 2.970, 40, 43, 30, 21, 20, 20, 518, 1, 3994, 470, 780, 382, 253, 0, 500, 142, 0, 0, 50, 120, 'godad_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7150, 35325, 'Duke Mora Ken Abygail', '', 'a_lord_MHuman', 8.00, 23.00, 75, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 55450, 7.900, 3959, 2.820, 40, 43, 30, 21, 20, 20, 563, 1, 4550, 446, 619, 362, 253, 0, 500, 79, 0, 0, 50, 120, 'godad_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7151, 35326, 'Royal Knight', 'Goddard', 'a_royal_guardA_MHuman', 8.00, 24.00, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3862, 7.400, 1494, 2.670, 40, 43, 30, 21, 20, 20, 490, 1, 1721, 471, 607, 382, 253, 0, 500, 76, 2497, 0, 50, 120, 'godad_siege_clan', 1200, 0, 20, 123, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(7152, 35327, 'Court Sorcerer', 'Goddard', 'a_patriarch_MElf', 8.00, 22.50, 68, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3706, 7.200, 1423, 2.610, 22, 27, 21, 41, 20, 20, 462, 1, 1562, 450, 563, 365, 253, 0, 500, 325, 0, 0, 50, 120, 'godad_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7153, 35328, 'Court Sorcerer', 'Goddard', 'a_mageguild_master_FHuman', 8.00, 23.00, 68, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 3706, 7.200, 1423, 2.610, 22, 27, 21, 41, 20, 20, 462, 1, 1562, 450, 563, 365, 253, 0, 500, 193, 0, 0, 50, 120, 'godad_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7154, 35329, 'Guard', 'Goddard', 'e_elmore_guard_Mhuman', 8.00, 23.50, 68, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3706, 7.200, 1423, 2.610, 40, 43, 30, 21, 20, 20, 462, 1, 1562, 450, 563, 365, 253, 0, 500, 1376, 0, 0, 50, 120, 'godad_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7155, 35330, 'Bodyguard', 'Goddard', 'e_guard_MDwarf', 8.00, 19.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 93, 0, 0, 50, 120, 'godad_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7156, 35331, 'Bodyguard', 'Goddard', 'e_guard_MDwarf', 8.00, 19.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 2, 0, 0, 50, 120, 'godad_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7157, 35332, 'Bodyguard', 'Goddard', 'a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 3139, 429, 519, 348, 253, 0, 500, 14, 0, 0, 50, 120, 'godad_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 0, 0),
	(7158, 35333, 'Bodyguard', 'Goddard', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 16, 0, 0, 50, 120, 'godad_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7159, 35334, 'Bodyguard', 'Goddard', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 2, 0, 0, 50, 120, 'godad_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7160, 35335, 'Bodyguard', 'Goddard', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 3139, 429, 519, 348, 253, 0, 500, 14, 0, 0, 50, 120, 'godad_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 0, 0),
	(7161, 35336, 'Bodyguard', 'Goddard', 'e_guard_MOrc', 8.00, 27.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 16, 0, 0, 50, 120, 'godad_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7162, 35337, 'Bodyguard', 'Goddard', 'e_guard_MOrc', 8.00, 27.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 2, 0, 0, 50, 120, 'godad_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7163, 35338, 'Bodyguard', 'Goddard', 'a_guard_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 3139, 429, 519, 348, 253, 0, 500, 280, 0, 0, 50, 120, 'godad_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 0, 0),
	(7164, 35339, 'Royal Knight', 'Goddard', 'a_royal_guardA_MHuman', 8.00, 24.00, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3862, 7.400, 1494, 2.670, 40, 43, 30, 21, 20, 20, 490, 1, 1721, 471, 607, 382, 253, 0, 500, 76, 2497, 0, 50, 120, 'godad_siege_clan', 1200, 0, 20, 123, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 1, 0),
	(7165, 35340, 'Court Sorcerer', 'Goddard', 'a_patriarch_MElf', 8.00, 22.50, 68, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3706, 8.200, 1423, 2.910, 22, 27, 21, 41, 20, 20, 462, 1, 1562, 450, 563, 365, 253, 0, 500, 325, 0, 0, 50, 120, 'godad_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7166, 35341, 'Court Sorcerer', 'Goddard', 'a_mageguild_master_FHuman', 8.00, 23.00, 68, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 3706, 7.200, 1423, 2.610, 22, 27, 21, 41, 20, 20, 462, 1, 1562, 450, 563, 365, 253, 0, 500, 193, 0, 0, 50, 120, 'godad_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7167, 35342, 'Guard', 'Goddard', 'e_elmore_guard_Mhuman', 8.00, 23.50, 68, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3706, 7.200, 1423, 2.610, 40, 43, 30, 21, 20, 20, 462, 1, 1562, 450, 563, 365, 253, 0, 500, 1376, 0, 0, 50, 120, 'godad_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7168, 35343, 'Bodyguard', 'Goddard', 'e_guard_MDwarf', 8.00, 19.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 93, 0, 0, 50, 120, 'godad_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7169, 35344, 'Bodyguard', 'Goddard', 'e_guard_MDwarf', 8.00, 19.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 2, 0, 0, 50, 120, 'godad_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7170, 35345, 'Bodyguard', 'Goddard', 'a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 3139, 429, 519, 348, 253, 0, 500, 14, 0, 0, 50, 120, 'godad_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 0, 0),
	(7171, 35346, 'Bodyguard', 'Goddard', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 16, 0, 0, 50, 120, 'godad_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7172, 35347, 'Bodyguard', 'Goddard', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 2, 0, 0, 50, 120, 'godad_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7173, 35348, 'Bodyguard', 'Goddard', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 3139, 429, 519, 348, 253, 0, 500, 14, 0, 0, 50, 120, 'godad_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 0, 0),
	(7174, 35349, 'Bodyguard', 'Goddard', 'e_guard_MOrc', 8.00, 27.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 16, 0, 0, 50, 120, 'godad_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7175, 35350, 'Bodyguard', 'Goddard', 'e_elmore_guard_Mhuman', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 436, 1, 1412, 429, 519, 348, 253, 0, 500, 76, 0, 0, 50, 120, 'godad_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7176, 35351, 'Bodyguard', 'Goddard', 'e_elmore_guard_Mhuman', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 436, 1, 3139, 429, 519, 348, 253, 0, 500, 280, 0, 0, 50, 120, 'godad_siege_clan', 1200, 0, 0, 0, 7, 10, 8, 4, 1500, 0, 0.60, 'false', 'NONE', 1, 0),
	(7177, 35352, 'Gatekeeper', 'Goddard', 'e_elmore_guard_Mhuman', 8.00, 23.50, 66, 'male', 'L2CastleTeleporter', 'npc', 40, 3547, 7.000, 1354, 2.400, 40, 43, 30, 21, 20, 20, 0, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 50, 120, 'godad_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7178, 35353, 'Gatekeeper', 'Goddard', 'e_elmore_guard_Mhuman', 8.00, 23.50, 66, 'male', 'L2CastleTeleporter', 'npc', 40, 3547, 8.000, 1354, 2.400, 40, 43, 30, 21, 20, 20, 0, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 50, 120, 'godad_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7179, 35354, 'Gatekeeper', 'Goddard', 'e_elmore_guard_Mhuman', 8.00, 23.50, 66, 'male', 'L2CastleTeleporter', 'npc', 40, 3547, 8.000, 1354, 2.400, 40, 43, 30, 21, 20, 20, 0, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 50, 120, 'godad_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7180, 35355, 'Mass Gatekeeper', 'Goddard', 'e_elmore_guard_Mhuman', 8.00, 23.50, 56, 'male', 'L2CastleTeleporter', 'npc', 40, 2725, 7.000, 1020, 2.400, 40, 43, 30, 21, 20, 20, 0, 0, 706, 331, 382, 269, 253, 0, 500, 0, 0, 0, 50, 120, 'godad_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7181, 35356, 'Outer Doorman', 'Goddard', 'e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2CastleDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, 'godad_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7182, 35357, 'Inner Doorman', 'Goddard', 'e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2CastleDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, 'godad_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7183, 35358, 'Inner Doorman', 'Goddard', 'e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2CastleDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, 'godad_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7184, 35359, 'Gatekeeper', 'Goddard', 'e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2CastleTeleporter', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, 'godad_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7185, 35360, 'Gatekeeper', 'Goddard', 'e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2CastleTeleporter', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, 'godad_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7186, 35361, 'Blacksmith', 'Goddard', 'a_smith_MDwarf', 7.00, 16.50, 70, 'male', 'L2CastleBlacksmith', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 89, 0, 0, 50, 120, 'godad_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7187, 35362, 'Warehouse Keeper', 'Goddard', 'a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2CastleWarehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, 'godad_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7188, 35363, 'Alfred', 'Chamberlain', 'a_chamberlain_MHuman', 9.50, 22.50, 70, 'male', 'L2CastleChamberlain', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7189, 35364, 'Hadley', 'Wyvern Manager', 'a_common_peopleC_Mhuman', 8.00, 23.50, 70, 'male', 'L2WyvernManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7190, 35365, 'Rowell', 'Manager of Mercenary', 'a_common_peopleC_Mhuman', 8.00, 23.50, 70, 'male', 'L2MercManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7191, 35366, 'Manor Manager', 'Goddard', 'a_chamberlain_MHuman', 9.50, 22.50, 70, 'male', 'L2ManorManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7192, 35367, 'Daven', 'Messenger', 'e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2CastleMessenger', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 74, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7193, 35368, 'Bloody Lord Nurka', '', 'oel_mahum', 20.00, 37.00, 55, 'male', 'L2SiegeBoss', 'Fighter', 40, 1264000, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 1513, 1, 2780, 1228, 1481, 1041, 253, 0, 500, 72, 0, 0, 70, 110, 'partisan_clan', 300, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(7194, 35369, 'Partisan Healer', '', 'batur_orc_shaman', 11.00, 16.00, 50, 'male', 'L2SiegeGuard', 'Priest', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 1250, 1, 505, 278, 232, 226, 253, 0, 500, 7, 0, 0, 50, 120, 'partisan_clan', 300, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(7195, 35370, 'Partisan Court Guard', '', 'ol_mahum_champion', 14.00, 27.00, 50, 'male', 'L2SiegeGuard', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 1250, 1, 505, 278, 232, 226, 253, 0, 500, 69, 0, 0, 50, 110, 'partisan_clan', 300, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.63, 'false', 'NONE', 0, 0),
	(7196, 35371, 'Partisan Court Guard', '', 'ol_mahum_archer', 14.00, 25.00, 50, 'male', 'L2SiegeGuard', 'Ranger', 1100, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 1250, 1, 505, 278, 232, 226, 253, 0, 500, 14, 0, 0, 50, 110, 'partisan_clan', 300, 0, 0, 0, 7, 30, 4, 3, 1500, 0, 0.93, 'false', 'NONE', 0, 0),
	(7197, 35372, 'Partisan Soldier', '', 'ol_mahum', 13.50, 25.00, 45, 'male', 'L2SiegeGuard', 'Fighter', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 1013, 1, 375, 238, 172, 194, 253, 0, 500, 2, 0, 0, 50, 110, 'partisan_clan', 300, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(7198, 35373, 'Partisan Sorcerer', '', 'batur_orc_shaman', 11.00, 16.00, 45, 'male', 'L2SiegeGuard', 'Mystic', 40, 1870, 4.900, 678, 1.920, 22, 27, 21, 41, 20, 20, 1013, 1, 375, 238, 172, 194, 253, 0, 500, 7, 0, 0, 50, 120, 'partisan_clan', 300, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(7199, 35374, 'Partisan Archer', '', 'ol_mahum_archer', 14.00, 25.00, 45, 'male', 'L2SiegeGuard', 'Ranger', 1100, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 1013, 1, 427, 238, 172, 194, 253, 0, 500, 14, 0, 0, 50, 110, 'partisan_clan', 300, 0, 0, 0, 7, 30, 4, 3, 1500, 0, 0.93, 'false', 'NONE', 0, 0),
	(7200, 35375, 'Bloody Lord Nurka', '', 'oel_mahum', 20.00, 37.00, 55, 'male', 'L2SpecialMonster', 'Fighter', 40, 1264000, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 1513, 1, 670, 322, 360, 262, 253, 0, 500, 72, 0, 0, 70, 110, 'partisan_clan', 300, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(7201, 35376, 'Partisan Healer', '', 'batur_orc_shaman', 11.00, 16.00, 50, 'male', 'L2SpecialMonster', 'Priest', 40, 2245, 6.400, 830, 2.370, 22, 27, 21, 41, 20, 20, 1250, 1, 505, 278, 232, 226, 253, 0, 500, 7, 0, 0, 50, 120, 'partisan_clan', 300, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(7202, 35377, 'Partisan Court Guard', '', 'ol_mahum_champion', 14.00, 27.00, 50, 'male', 'L2SpecialMonster', 'Fighter', 40, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 1250, 1, 505, 278, 232, 226, 253, 0, 500, 69, 0, 0, 50, 110, 'partisan_clan', 300, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.63, 'false', 'NONE', 0, 0),
	(7203, 35378, 'Partisan Court Guard', '', 'ol_mahum_archer', 14.00, 25.00, 50, 'male', 'L2SpecialMonster', 'Ranger', 1100, 2245, 6.400, 830, 2.370, 40, 43, 30, 21, 20, 20, 1250, 1, 505, 278, 232, 226, 253, 0, 500, 14, 0, 0, 50, 110, 'partisan_clan', 300, 0, 0, 0, 7, 30, 4, 3, 1500, 0, 0.93, 'false', 'NONE', 0, 0),
	(7204, 35379, 'Partisan Soldier', '', 'ol_mahum', 13.50, 25.00, 45, 'male', 'L2Monster', 'Fighter', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 1013, 1, 417, 240, 208, 204, 253, 0, 500, 2, 0, 0, 50, 110, 'partisan_clan', 300, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(7205, 35380, 'Partisan Sorcerer', '', 'batur_orc_shaman', 11.00, 16.00, 45, 'male', 'L2Monster', 'Mystic', 40, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 1013, 1, 417, 240, 208, 204, 253, 0, 500, 7, 0, 0, 50, 120, 'partisan_clan', 300, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(7206, 35381, 'Partisan Archer', '', 'ol_mahum_archer', 14.00, 25.00, 45, 'male', 'L2Monster', 'Ranger', 1100, 1870, 5.900, 678, 2.220, 40, 43, 30, 21, 20, 20, 1013, 1, 417, 240, 208, 204, 253, 0, 500, 14, 0, 0, 50, 110, 'partisan_clan', 300, 0, 0, 0, 7, 30, 4, 3, 1500, 0, 0.93, 'false', 'NONE', 0, 0),
	(7207, 35382, 'Brakel', 'Partisan Herald', 'ol_mahum_champion', 14.00, 27.00, 70, 'male', 'L2ClanHallMessenger', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.63, 'false', 'NONE', 0, 0),
	(7208, 35383, 'Tamutak', 'Ol Mahum Steward', 'ol_mahum_champion', 14.00, 27.00, 70, 'male', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 171, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.63, 'false', 'NONE', 1, 0),
	(7209, 35384, 'Black', 'Clan Hall Manager', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7210, 35385, 'Renny', 'Clan Hall Gatekeeper', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 10, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(7211, 35386, 'Boyer', 'Clan Hall Manager', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7212, 35387, 'Baback', 'Clan Hall Gatekeeper', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 10, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(7213, 35388, 'Tim', 'Clan Hall Manager', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7214, 35389, 'Loring', 'Clan Hall Gatekeeper', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 10, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(7215, 35390, 'Dillon', 'Clan Hall Manager', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7216, 35391, 'Latif', 'Clan Hall Gatekeeper', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 10, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(7217, 35392, 'Bremmer', 'Clan Hall Manager', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7218, 35393, 'Faolan', 'Clan Hall Gatekeeper', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 10, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(7219, 35394, 'Kalis', 'Clan Hall Manager', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7220, 35395, 'Kogan', 'Clan Hall Gatekeeper', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 10, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(7221, 35396, 'Winker', 'Clan Hall Manager', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7222, 35397, 'Merton', 'Clan Hall Gatekeeper', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 10, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(7223, 35398, 'Ruben', 'Clan Hall Manager', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7224, 35399, 'Luce', 'Clan Hall Gatekeeper', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 10, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(7225, 35400, 'Horner', 'Clan Hall Manager', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7226, 35401, 'Amiel', 'Clan Hall Gatekeeper', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 10, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(7227, 35402, 'Borna', 'Clan Hall Gatekeeper', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 10, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(7228, 35403, 'Ron', 'Clan Hall Manager', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7229, 35404, 'Jamal', 'Clan Hall Gatekeeper', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 10, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(7230, 35405, 'Flynn', 'Clan Hall Manager', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7231, 35406, 'Jabilo', 'Clan Hall Gatekeeper', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 10, 4, 4, 0, 0, 0.56, 'false', 'NONE', 1, 0),
	(7232, 35407, 'Seth', 'Clan Hall Manager', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7233, 35408, 'Dietrich', '', 'headless_knight', 21.00, 31.00, 67, 'male', 'L2SiegeBoss', 'SiegeGuardFighter', 40, 10880, 8.100, 1389, 2.880, 60, 57, 73, 76, 70, 80, 449, 0, 4948, 1672, 2739, 1417, 253, 0, 2362, 0, 0, 0, 70, 180, '', 0, 0, 0, 0, 1, 30, 4, 40, 0, -18, 0.52, 'false', 'NONE', 0, 0),
	(7234, 35409, 'Mikhail', '', 'headless_knight', 21.00, 31.00, 67, 'male', 'L2SiegeBoss', 'SiegeGuardFighter', 40, 10880, 8.100, 1389, 2.880, 60, 57, 73, 76, 70, 80, 449, 0, 4948, 1672, 2739, 1417, 253, 0, 2362, 0, 0, 0, 70, 180, '', 0, 0, 0, 0, 1, 30, 4, 40, 0, -18, 0.52, 'false', 'NONE', 0, 0),
	(7235, 35410, 'Gustav', '', 'headless_knight', 21.00, 31.00, 70, 'male', 'L2SiegeBoss', 'SiegeGuardFighter', 40, 5372000, 8.400, 1494, 2.970, 60, 57, 73, 76, 70, 80, 490, 0, 5640, 1796, 3138, 1520, 253, 0, 2362, 0, 0, 0, 70, 180, '', 0, 0, 0, 0, 1, 30, 4, 40, 0, -18, 0.52, 'false', 'NONE', 0, 0),
	(7236, 35411, 'Doom Servant', '', 'hungry_spirit', 13.00, 40.00, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 9572, 7.900, 1151, 2.820, 40, 43, 30, 21, 20, 20, 423, 0, 2151, 419, 617, 340, 253, 150, 500, 0, 0, 0, 15, 120, 'gustav_clan', 1000, 0, 0, 0, 7, 50, 1, 40, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(7237, 35412, 'Doom Guard', '', 'hungry_spirit', 13.00, 40.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 10640, 8.000, 1184, 2.850, 40, 43, 30, 21, 20, 20, 436, 0, 2243, 429, 649, 348, 253, 0, 500, 0, 0, 0, 15, 120, 'gustav_clan', 1000, 0, 0, 0, 7, 50, 1, 40, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(7238, 35413, 'Doom Archer', '', 'skeleton_archer', 11.00, 27.00, 67, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 10880, 8.100, 1218, 2.880, 40, 43, 30, 21, 20, 20, 449, 0, 5191, 439, 680, 357, 253, 0, 500, 286, 0, 0, 40, 140, 'gustav_clan', 700, 0, 0, 0, 7, 10, 8, 40, 1500, 0, 0.80, 'false', 'NONE', 0, 0),
	(7239, 35414, 'Doom Trooper', '', 'skeleton_pikeman', 10.00, 28.00, 68, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 11118, 8.200, 1251, 2.910, 40, 43, 30, 21, 20, 20, 462, 0, 2839, 450, 713, 365, 253, 0, 500, 301, 0, 0, 50, 155, 'gustav_clan', 1000, 0, 0, 0, 7, 30, 4, 40, 0, 0, 0.21, 'false', 'NONE', 0, 0),
	(7240, 35415, 'Doom Warrior', '', 'skeleton_knight', 10.00, 25.00, 69, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 11354, 8.300, 1459, 2.940, 40, 43, 30, 21, 20, 20, 476, 0, 2529, 460, 745, 374, 253, 150, 500, 71, 0, 0, 40, 160, 'gustav_clan', 1000, 0, 0, 0, 7, 10, 8, 40, 0, 0, 0.17, 'false', 'NONE', 0, 0),
	(7241, 35416, 'Doom Knight', '', 'death_blader', 15.00, 45.00, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 11586, 8.400, 1320, 2.970, 40, 43, 30, 21, 20, 20, 490, 0, 2297, 471, 779, 382, 253, 150, 500, 1472, 0, 0, 100, 170, 'gustav_clan', 1000, 0, 0, 0, 7, 30, 4, 40, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(7242, 35417, 'Doorman of Hell', '', 'dwarf_ghost', 10.00, 18.70, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 941, 780, 382, 253, 150, 500, 0, 0, 0, 70, 120, 'gustav_clan', 1000, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(7243, 35418, 'Doorman of Hell', '', 'dwarf_ghost', 10.00, 18.70, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 941, 780, 382, 253, 150, 500, 0, 0, 0, 70, 120, 'gustav_clan', 1000, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(7244, 35419, 'Hephaeston', 'Wyvern Manager', 'human_ghost', 8.00, 22.00, 70, 'male', 'L2WyvernManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7245, 35420, 'Loken', 'Messenger', 'human_ghost', 8.00, 22.00, 70, 'male', 'L2ClanHallMessenger', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 74, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(7246, 35421, 'Biggerstaff', 'Steward', 'elf_ghost', 7.00, 21.00, 70, 'male', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.41, 'false', 'NONE', 1, 0),
	(7247, 35422, 'Flag of Winner', '', 'azit_a', 100.00, 72.00, 56, 'female', 'L2Npc', 'npc', 40, 2725, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 314, 10, 700, 331, 327, 269, 253, 0, 500, 0, 0, 0, 50, 120, 'dion_siege_clan', 600, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7248, 35423, 'Red Flag', '', 'azit_b', 75.00, 55.00, 56, 'female', 'L2Npc', 'npc', 40, 2725, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 314, 10, 700, 331, 327, 269, 253, 0, 500, 0, 0, 0, 50, 120, 'dion_siege_clan', 600, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7249, 35424, 'Yellow Flag', '', 'azit_b', 75.00, 55.00, 56, 'female', 'L2Npc', 'npc', 40, 2725, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 314, 10, 700, 331, 327, 269, 253, 0, 500, 0, 0, 0, 50, 120, 'dion_siege_clan', 600, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7250, 35425, 'Green Flag', '', 'azit_b', 75.00, 55.00, 56, 'female', 'L2Npc', 'npc', 40, 2725, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 314, 10, 700, 331, 327, 269, 253, 0, 500, 0, 0, 0, 50, 120, 'dion_siege_clan', 600, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7251, 35426, 'Blue Flag', '', 'azit_b', 75.00, 55.00, 56, 'female', 'L2Npc', 'npc', 40, 2725, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 314, 10, 700, 331, 327, 269, 253, 0, 500, 0, 0, 0, 50, 120, 'dion_siege_clan', 600, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7252, 35427, 'Purple Flag', '', 'azit_b', 75.00, 55.00, 56, 'female', 'L2Npc', 'npc', 40, 2725, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 314, 10, 700, 331, 327, 269, 253, 0, 500, 0, 0, 0, 50, 120, 'dion_siege_clan', 600, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7253, 35428, 'Oel Mahum Berserker', '', 'oel_mahum_warrior', 20.00, 38.00, 60, 'male', 'L2SpecialMonster', 'Fighter', 40, 83117, 7.400, 1710, 2.670, 40, 43, 30, 21, 20, 20, 4320, 247, 680, 1477, 5200, 598, 253, 0, 2362, 0, 0, 0, 70, 140, '', 0, 0, 0, 0, 7, 30, 4, 40, 0, -18, 0.65, 'false', 'NONE', 1, 0),
	(7254, 35429, 'Oel Mahum Scout', '', 'oel_mahum_warrior', 20.00, 38.00, 60, 'male', 'L2SpecialMonster', 'Fighter', 40, 37403, 7.400, 1710, 2.670, 40, 43, 30, 21, 20, 20, 4320, 247, 680, 1477, 5200, 598, 253, 0, 2362, 0, 0, 0, 70, 140, '', 0, 0, 0, 0, 7, 30, 4, 40, 0, -18, 0.65, 'false', 'NONE', 1, 0),
	(7255, 35430, 'Oel Mahum Leader', '', 'oel_mahum_witch_doctor', 15.00, 34.00, 60, 'male', 'L2SpecialMonster', 'Fighter', 40, 41559, 7.400, 1710, 2.670, 40, 43, 30, 21, 20, 20, 4320, 247, 680, 2953, 5200, 300, 253, 0, 2362, 0, 0, 0, 70, 140, '', 0, 0, 0, 0, 7, 30, 4, 40, 0, -18, 0.26, 'false', 'NONE', 1, 0),
	(7256, 35431, 'Oel Mahum Cleric', '', 'oel_mahum_witch_doctor', 15.00, 34.00, 60, 'male', 'L2SpecialMonster', 'Priest', 40, 41559, 7.400, 1710, 2.670, 40, 43, 30, 21, 20, 20, 4320, 247, 680, 1477, 5200, 1197, 253, 0, 2362, 0, 0, 0, 70, 140, '', 0, 0, 0, 0, 7, 30, 4, 40, 0, -18, 0.26, 'false', 'NONE', 1, 0),
	(7257, 35432, 'Oel Mahum Thief', '', 'oel_mahum_40_sm', 12.00, 19.00, 60, 'male', 'L2SpecialMonster', 'Fighter', 40, 33247, 7.400, 1710, 2.670, 40, 43, 30, 21, 20, 20, 4320, 247, 544, 1477, 5200, 538, 253, 0, 2362, 0, 0, 0, 70, 140, '', 0, 0, 0, 0, 7, 30, 4, 40, 0, -18, 0.48, 'false', 'NONE', 1, 0),
	(7258, 35433, 'Inner Doorman', '', 'oel_mahum', 20.00, 37.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 10, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 70, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(7259, 35434, 'Inner Doorman', '', 'oel_mahum', 20.00, 37.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 10, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 70, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(7260, 35435, 'Outer Doorman', '', 'oel_mahum', 20.00, 37.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 10, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 70, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(7261, 35436, 'Outer Doorman', '', 'oel_mahum', 20.00, 37.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 10, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 70, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(7262, 35437, 'Messenger', '', 'oel_mahum', 20.00, 37.00, 56, 'male', 'L2Npc', 'npc', 40, 2725, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 314, 10, 700, 331, 327, 269, 253, 0, 500, 0, 0, 0, 70, 120, 'dion_siege_clan', 600, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(7263, 35438, 'Chamberlain', '', 'oel_mahum', 20.00, 37.00, 56, 'male', 'L2ClanHallManager', 'npc', 40, 2725, 7.000, 152641, 300.000, 40, 43, 30, 21, 20, 20, 314, 10, 706, 331, 382, 269, 253, 0, 2530, 0, 0, 0, 70, 120, 'dion_siege_clan', 600, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(7264, 35439, 'Carey', 'Clan Hall Manager', 'a_maidB_FHuman', 8.00, 22.00, 70, 'female', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7265, 35440, 'Daniel', 'Clan Hall Gatekeeper', 'a_common_peopleB_MHuman', 8.00, 22.00, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7266, 35441, 'Dianne', 'Clan Hall Manager', 'a_maidA_FHuman', 8.00, 20.50, 70, 'female', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7267, 35442, 'Jacques', 'Clan Hall Gatekeeper', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7268, 35443, 'Crissy', 'Clan Hall Manager', 'a_common_peopleB_FHuman', 8.00, 20.50, 70, 'female', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7269, 35444, 'Joff', 'Clan Hall Gatekeeper', 'a_common_peopleB_MHuman', 8.00, 22.00, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7270, 35445, 'Albert', 'Clan Hall Manager', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7271, 35446, 'Niels', 'Clan Hall Gatekeeper', 'a_common_peopleB_MHuman', 8.00, 22.00, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7272, 35447, 'Korgen', 'Clan Hall Manager', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7273, 35448, 'Rudy', 'Clan Hall Gatekeeper', 'a_common_peopleB_MHuman', 8.00, 22.00, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7274, 35449, 'DiMaggio', 'Clan Hall Manager', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7275, 35450, 'Gellar', 'Clan Hall Gatekeeper', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7276, 35451, 'Emma', 'Clan Hall Manager', 'a_common_peopleB_FHuman', 8.00, 20.50, 70, 'female', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7277, 35452, 'Theobolt', 'Clan Hall Gatekeeper', 'a_common_peopleB_MHuman', 8.00, 22.00, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7278, 35453, 'Adrienne', 'Clan Hall Manager', 'a_maidA_FHuman', 8.00, 20.50, 70, 'female', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7279, 35454, 'Rosconne', 'Clan Hall Gatekeeper', 'a_common_peopleB_MHuman', 8.00, 22.00, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7280, 35455, 'Bianca', 'Clan Hall Manager', 'a_maidB_FHuman', 8.00, 22.00, 70, 'female', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7281, 35456, 'Stewart', 'Clan Hall Gatekeeper', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7282, 35457, 'Gladys', 'Clan Hall Manager', 'a_maidA_FHuman', 8.00, 20.50, 70, 'female', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7283, 35458, 'Theron', 'Clan Hall Gatekeeper', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7284, 35459, 'Regina', 'Clan Hall Manager', 'a_maidB_FHuman', 8.00, 22.50, 70, 'female', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 2530, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7285, 35460, 'Trey', 'Clan Hall Gatekeeper', 'a_common_peopleB_MHuman', 8.00, 22.00, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7286, 35461, 'Aida', 'Clan Hall Manager', 'a_traderC_Fhuman', 8.00, 22.50, 70, 'female', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7287, 35462, 'Kalmer', 'Clan Hall Gatekeeper', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7288, 35463, 'Helga', 'Clan Hall Manager', 'a_common_peopleB_FHuman', 8.00, 20.50, 70, 'female', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7289, 35464, 'Volfrem', 'Clan Hall Gatekeeper', 'a_common_peopleB_MHuman', 8.00, 22.00, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7290, 35465, 'Millicent', 'Clan Hall Manager', 'a_common_peopleB_FHuman', 8.00, 20.50, 70, 'female', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7291, 35466, 'Gerard', 'Clan Hall Gatekeeper', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7292, 35467, 'Branhillde', 'Clan Hall Manager', 'a_traderC_Fhuman', 8.00, 22.50, 70, 'female', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7293, 35468, 'Lambert', 'Clan Hall Gatekeeper', 'a_common_peopleB_MHuman', 8.00, 22.00, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7294, 35469, 'Gods\' Altar', '', 'rune_holything', 46.00, 72.50, 20, 'female', 'L2Npc', 'npc', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 0, 0, 57, 95, 24, 77, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7295, 35470, 'Astair van Halter', 'King', 'a_lord_MHuman', 8.00, 23.00, 80, 'male', 'L2Npc', 'npc', 40, 84582, 8.900, 6695, 3.120, 40, 43, 30, 21, 20, 20, 0, 0, 9589, 540, 740, 438, 253, 0, 500, 80, 0, 0, 50, 132, 'rune_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7296, 35471, 'Royal Knight', 'Rune', 'a_royal_guardA_MHuman', 8.00, 24.00, 75, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 38623, 8.400, 5975, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 4033, 485, 626, 394, 253, 0, 500, 2, 2497, 0, 50, 120, 'rune_siege_clan', 1200, 0, 20, 123, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 0, 0),
	(7297, 35472, 'Court Sorcerer', 'Rune', 'a_patriarch_MElf', 8.00, 22.50, 73, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 37063, 8.200, 5694, 2.910, 22, 27, 21, 41, 20, 20, 0, 0, 3737, 464, 577, 377, 253, 0, 500, 7, 0, 0, 50, 120, 'rune_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7298, 35473, 'Court Sorcerer', 'Rune', 'a_mageguild_master_FHuman', 8.00, 23.00, 73, 'female', 'L2SiegeGuard', 'Mystic', 40, 37063, 8.200, 5694, 2.910, 22, 27, 21, 41, 20, 20, 0, 0, 3737, 464, 577, 377, 253, 0, 500, 92, 0, 0, 50, 120, 'rune_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7299, 35474, 'Court Guard', 'Rune', 'e_elmore_guard_Mhuman', 8.00, 23.50, 73, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 37063, 8.000, 5694, 2.850, 40, 43, 30, 21, 20, 20, 0, 0, 3737, 464, 577, 377, 253, 0, 500, 1376, 0, 0, 50, 120, 'rune_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7300, 35475, 'Guard', 'Rune', 'e_guard_MDwarf', 8.00, 19.00, 71, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 35466, 8.000, 5416, 2.850, 40, 43, 30, 21, 20, 20, 0, 0, 3449, 443, 532, 360, 253, 0, 500, 300, 0, 0, 50, 120, 'rune_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7301, 35476, 'Guard', 'Rune', 'e_guard_MDwarf', 8.00, 19.00, 71, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 35466, 8.000, 5416, 2.850, 40, 43, 30, 21, 20, 20, 0, 0, 3449, 443, 532, 360, 253, 0, 500, 132, 0, 0, 50, 120, 'rune_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7302, 35477, 'Guard', 'Rune', 'a_guard_MElf', 8.00, 23.50, 71, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 1100, 35466, 8.000, 5416, 2.850, 40, 43, 30, 21, 20, 20, 0, 0, 7663, 443, 532, 360, 253, 0, 500, 16, 0, 0, 50, 120, 'rune_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7303, 35478, 'Guard', 'Rune', 'a_guard_FDarkelf', 8.00, 25.00, 71, 'female', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 35466, 8.000, 5416, 2.850, 40, 43, 30, 21, 20, 20, 0, 0, 3449, 443, 532, 360, 253, 0, 500, 16, 0, 0, 50, 120, 'rune_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7304, 35479, 'Guard', 'Rune', 'a_guard_FDarkelf', 8.00, 25.00, 71, 'female', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 35466, 8.000, 5416, 2.850, 40, 43, 30, 21, 20, 20, 0, 0, 3449, 443, 532, 360, 253, 0, 500, 2, 0, 0, 50, 120, 'rune_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7305, 35480, 'Guard', 'Rune', 'a_guard_FDarkelf', 8.00, 25.00, 71, 'female', 'L2SiegeGuard', 'SiegeGuardFighter', 1100, 35466, 8.000, 5416, 2.850, 40, 43, 30, 21, 20, 20, 0, 0, 7663, 443, 532, 360, 253, 0, 500, 16, 0, 0, 50, 120, 'rune_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7306, 35481, 'Guard', 'Rune', 'e_guard_MOrc', 8.00, 27.00, 71, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 35466, 8.000, 5416, 2.850, 40, 43, 30, 21, 20, 20, 0, 0, 3449, 443, 532, 360, 253, 0, 500, 16, 0, 0, 50, 120, 'rune_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7307, 35482, 'Guard', 'Rune', 'e_guard_MOrc', 8.00, 27.00, 71, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 35466, 8.000, 5416, 2.850, 40, 43, 30, 21, 20, 20, 0, 0, 3449, 443, 532, 360, 253, 0, 500, 2, 0, 0, 50, 120, 'rune_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7308, 35483, 'Guard', 'Rune', 'a_guard_MHuman', 8.00, 24.00, 71, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 1100, 35466, 8.000, 5416, 2.850, 40, 43, 30, 21, 20, 20, 0, 0, 7663, 443, 532, 360, 253, 0, 500, 16, 0, 0, 50, 120, 'rune_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7309, 35484, 'Royal Knight', 'Rune', 'a_royal_guardA_MHuman', 8.00, 24.00, 75, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 38623, 8.400, 5975, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 4033, 485, 626, 394, 253, 0, 500, 142, 633, 0, 50, 120, 'rune_siege_clan', 1200, 0, 20, 123, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 0, 0),
	(7310, 35485, 'Court Sorcerer', 'Rune', 'a_patriarch_MElf', 8.00, 22.50, 73, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 37063, 8.700, 5694, 3.060, 22, 27, 21, 41, 20, 20, 0, 0, 3737, 464, 577, 377, 253, 0, 500, 326, 0, 0, 50, 120, 'rune_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7311, 35486, 'Court Sorcerer', 'Rune', 'a_mageguild_master_FHuman', 8.00, 23.00, 73, 'female', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 37063, 8.700, 5694, 3.060, 22, 27, 21, 41, 20, 20, 0, 0, 3737, 464, 577, 377, 253, 0, 500, 325, 0, 0, 50, 120, 'rune_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7312, 35487, 'Court Guard', 'Rune', 'e_elmore_guard_Mhuman', 8.00, 23.50, 73, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 37063, 8.200, 5694, 2.910, 40, 43, 30, 21, 20, 20, 0, 0, 3737, 464, 577, 377, 253, 0, 500, 300, 0, 0, 50, 120, 'rune_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7313, 35488, 'Guard', 'Rune', 'e_guard_MDwarf', 8.00, 19.00, 71, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 35466, 8.000, 5416, 2.850, 40, 43, 30, 21, 20, 20, 0, 0, 3449, 443, 532, 360, 253, 0, 500, 16, 0, 0, 50, 120, 'rune_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7314, 35489, 'Guard', 'Rune', 'e_guard_MDwarf', 8.00, 19.00, 71, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 35466, 8.000, 5416, 2.850, 40, 43, 30, 21, 20, 20, 0, 0, 3449, 443, 532, 360, 253, 0, 500, 2, 0, 0, 50, 120, 'rune_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7315, 35490, 'Guard', 'Rune', 'a_guard_MElf', 8.00, 23.50, 71, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 1100, 35466, 8.500, 5416, 3.000, 40, 43, 30, 21, 20, 20, 0, 0, 7663, 443, 532, 360, 253, 0, 500, 285, 0, 0, 50, 120, 'rune_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7316, 35491, 'Guard', 'Rune', 'a_guard_FDarkelf', 8.00, 25.00, 71, 'female', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 35466, 8.000, 5416, 2.850, 40, 43, 30, 21, 20, 20, 0, 0, 3449, 443, 532, 360, 253, 0, 500, 16, 0, 0, 50, 120, 'rune_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7317, 35492, 'Guard', 'Rune', 'a_guard_FDarkelf', 8.00, 25.00, 71, 'female', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 35466, 8.000, 5416, 2.850, 40, 43, 30, 21, 20, 20, 0, 0, 3449, 443, 532, 360, 253, 0, 500, 2, 0, 0, 50, 120, 'rune_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7318, 35493, 'Guard', 'Rune', 'a_guard_FDarkelf', 8.00, 25.00, 71, 'female', 'L2SiegeGuard', 'SiegeGuardFighter', 1100, 35466, 8.000, 5416, 2.850, 40, 43, 30, 21, 20, 20, 0, 0, 7663, 443, 532, 360, 253, 0, 500, 16, 0, 0, 50, 120, 'rune_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7319, 35494, 'Guard', 'Rune', 'e_guard_MOrc', 8.00, 27.00, 71, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 35466, 8.000, 5416, 2.850, 40, 43, 30, 21, 20, 20, 0, 0, 3449, 443, 532, 360, 253, 0, 500, 16, 0, 0, 50, 120, 'rune_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7320, 35495, 'Guard', 'Rune', 'e_elmore_guard_Mhuman', 8.00, 23.50, 71, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 35466, 8.000, 5416, 2.850, 40, 43, 30, 21, 20, 20, 0, 0, 3449, 443, 532, 360, 253, 0, 500, 2, 0, 0, 50, 120, 'rune_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7321, 35496, 'Guard', 'Rune', 'e_elmore_guard_Mhuman', 8.00, 23.50, 71, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 1100, 35466, 8.000, 5416, 2.850, 40, 43, 30, 21, 20, 20, 0, 0, 7663, 443, 532, 360, 253, 0, 500, 16, 0, 0, 50, 120, 'rune_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7322, 35497, 'Gatekeeper', 'Rune', 'e_elmore_guard_Mhuman', 8.00, 23.50, 66, 'male', 'L2CastleTeleporter', 'npc', 40, 3547, 7.000, 1354, 2.400, 40, 43, 30, 21, 20, 20, 0, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 50, 132, 'rune_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7323, 35498, 'Gatekeeper', 'Rune', 'e_elmore_guard_Mhuman', 8.00, 23.50, 66, 'male', 'L2CastleTeleporter', 'npc', 40, 3547, 8.000, 1354, 2.400, 40, 43, 30, 21, 20, 20, 0, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 50, 132, 'rune_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7324, 35499, 'Gatekeeper', 'Rune', 'e_elmore_guard_Mhuman', 8.00, 23.50, 66, 'male', 'L2CastleTeleporter', 'npc', 40, 3547, 8.000, 1354, 2.400, 40, 43, 30, 21, 20, 20, 0, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 50, 132, 'rune_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7325, 35500, 'Gatekeeper', 'Rune', 'e_elmore_guard_Mhuman', 8.00, 23.50, 66, 'male', 'L2CastleTeleporter', 'npc', 40, 3547, 8.000, 1354, 2.400, 40, 43, 30, 21, 20, 20, 0, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 50, 132, 'rune_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7326, 35501, 'Gatekeeper', 'Rune', 'e_elmore_guard_Mhuman', 8.00, 23.50, 66, 'male', 'L2CastleTeleporter', 'npc', 40, 3547, 7.000, 1354, 2.400, 40, 43, 30, 21, 20, 20, 0, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 50, 132, 'rune_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7327, 35502, 'Group Gatekeeper', 'Rune', 'e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2CastleTeleporter', 'npc', 40, 3862, 8.400, 1494, 2.400, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 132, 'rune_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7328, 35503, 'Outer Doorman', 'Rune', 'e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2CastleDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 132, 'rune_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7329, 35504, 'Inner Doorman', 'Rune', 'e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2CastleDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 132, 'rune_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7330, 35505, 'Inner Doorman', 'Rune', 'e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2CastleDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 132, 'rune_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7331, 35506, 'Dungeon Gatekeeper', 'Rune', 'e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 132, 'rune_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7332, 35507, 'Blacksmith', 'Rune', 'a_smith_MDwarf', 7.00, 16.50, 70, 'male', 'L2CastleBlacksmith', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 89, 0, 0, 50, 120, 'rune_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7333, 35508, 'Warehouse Keeper', 'Rune', 'a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2CastleWarehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, 'rune_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7334, 35509, 'Frederick', 'Chamberlain', 'a_chamberlain_MHuman', 9.50, 22.50, 70, 'male', 'L2CastleChamberlain', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7335, 35510, 'Titus', 'Wyvern Manager', 'a_fighterguild_teacher_MHuman', 8.00, 17.00, 70, 'male', 'L2WyvernManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7336, 35511, 'Gompus', 'Mercenary Manager', 'a_common_peopleC_Mhuman', 8.00, 23.50, 70, 'male', 'L2MercManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7337, 35512, 'Manor Manager', 'Rune', 'a_chamberlain_MHuman', 9.50, 22.50, 70, 'male', 'L2ManorManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7338, 35513, 'Sherman', 'Messenger', 'e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2CastleMessenger', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 135, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7339, 35514, 'Altar of Wind', '', 'godad_holything', 24.00, 65.00, 20, 'female', 'L2Npc', 'npc', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 0, 0, 57, 95, 24, 77, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7340, 35515, 'Altar of Earth', '', 'godad_holything', 24.00, 65.00, 20, 'female', 'L2Npc', 'npc', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 20, 0, 0, 57, 95, 24, 77, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7341, 35516, 'Verus', 'Royal Guard Captain', 'big_boom', 6.00, 13.00, 72, 'male', 'L2Pet', 'npc', 40, 154547, 7.600, 1327, 2.400, 40, 43, 30, 21, 20, 20, 0, 0, 860, 368, 478, 345, 278, 0, 253, 142, 0, 0, 48, 140, 'schutt_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7342, 35517, 'Swain Ken Orwen', 'Count', 'a_lord_MHuman', 8.00, 23.00, 75, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 40, 55450, 7.900, 3959, 2.820, 40, 43, 30, 21, 20, 20, 0, 0, 4550, 470, 6964, 764, 253, 0, 2901, 14, 0, 0, 50, 160, 'schutt_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 750, 0, 0.60, 'false', 'NONE', 0, 0),
	(7343, 35518, 'Royal Knight', 'Schuttgart', 'a_royal_guardA_MHuman', 8.00, 24.00, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1721, 471, 607, 382, 253, 0, 500, 76, 2497, 0, 50, 120, 'schuttgart_siege_clan', 1200, 0, 20, 123, 7, 30, 4, 4, 0, -6, 0.60, 'false', 'NONE', 0, 0),
	(7344, 35519, 'Court Sorcerer', 'Schuttgart', 'a_patriarch_MElf', 8.00, 22.50, 68, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3706, 8.200, 1423, 2.910, 22, 27, 21, 41, 20, 20, 0, 0, 1562, 450, 563, 365, 253, 0, 500, 325, 0, 0, 50, 120, 'schuttgart_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7345, 35520, 'Court Sorcerer', 'Schuttgart', 'a_mageguild_master_FHuman', 8.00, 23.00, 68, 'female', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3706, 7.200, 1423, 2.610, 22, 27, 21, 41, 20, 20, 0, 0, 1562, 450, 563, 365, 253, 0, 500, 193, 0, 0, 50, 120, 'schuttgart_siege_clan', 1200, 0, 0, 0, 7, 50, 1, 9, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7346, 35521, 'Court Guard', 'Schuttgart', 'e_elmore_guard_Mhuman', 8.00, 23.50, 68, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3706, 7.200, 1423, 2.610, 40, 43, 30, 21, 20, 20, 0, 0, 1562, 450, 563, 365, 253, 0, 500, 1376, 0, 0, 50, 120, 'schuttgart_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7347, 35522, 'Guard', 'Schuttgart', 'e_guard_MDwarf', 8.00, 19.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 0, 0, 1412, 429, 519, 348, 253, 0, 500, 93, 0, 0, 50, 120, 'schuttgart_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7348, 35523, 'Guard', 'Schuttgart', 'e_guard_MDwarf', 8.00, 19.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 0, 0, 1412, 429, 519, 348, 253, 0, 500, 2, 0, 0, 50, 120, 'schuttgart_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7349, 35524, 'Guard', 'Schuttgart', 'a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 1100, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 0, 0, 1412, 429, 519, 348, 253, 0, 500, 16, 0, 0, 50, 120, 'schuttgart_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7350, 35525, 'Guard', 'Schuttgart', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 0, 0, 1412, 429, 519, 348, 253, 0, 500, 16, 0, 0, 50, 120, 'schuttgart_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7351, 35526, 'Guard', 'Schuttgart', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 0, 0, 1412, 429, 519, 348, 253, 0, 500, 2, 0, 0, 50, 120, 'schuttgart_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7352, 35527, 'Guard', 'Schuttgart', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardFighter', 1100, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 0, 0, 1412, 429, 519, 348, 253, 0, 500, 16, 0, 0, 50, 120, 'schuttgart_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7353, 35528, 'Guard', 'Schuttgart', 'e_guard_MOrc', 8.00, 27.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 0, 0, 1412, 429, 519, 348, 253, 0, 500, 16, 0, 0, 50, 120, 'schuttgart_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7354, 35529, 'Guard', 'Schuttgart', 'silver_cat', 7.00, 15.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 5.600, 1354, 2.130, 40, 43, 30, 21, 20, 20, 0, 0, 1114, 429, 519, 348, 253, 0, 500, 2, 0, 0, 48, 180, 'schutt_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(7355, 35530, 'Guard', 'Schuttgart', 'blue_eye', 11.00, 16.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 1100, 3547, 5.600, 1354, 2.130, 40, 43, 30, 21, 20, 20, 0, 0, 1114, 429, 519, 348, 253, 0, 500, 14, 0, 0, 48, 180, 'schutt_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(7356, 35531, 'Royal Knight', 'Schuttgart', 'shadeless', 7.00, 28.00, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3862, 7.400, 1494, 2.670, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 76, 2497, 0, 48, 180, 'schutt_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(7357, 35532, 'Court Sorcerer', 'Schuttgart', 'headless_knight', 21.00, 22.50, 68, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3706, 8.200, 1423, 2.910, 22, 27, 21, 41, 20, 20, 0, 0, 3548, 450, 1510, 365, 253, 0, 2362, 325, 0, 0, 70, 180, 'schutt_siege_clan', 1200, 0, 0, 0, 1, 30, 4, 40, 0, -18, 0.52, 'false', 'NONE', 0, 0),
	(7358, 35533, 'Court Sorcerer', 'Schuttgart', 'headless_knight', 21.00, 22.50, 68, 'female', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3706, 7.200, 1423, 2.610, 22, 27, 21, 41, 20, 20, 0, 0, 3548, 450, 1510, 365, 253, 0, 2362, 193, 0, 0, 70, 180, 'schutt_siege_clan', 1200, 0, 0, 0, 1, 30, 4, 40, 0, -18, 0.52, 'false', 'NONE', 0, 0),
	(7359, 35534, 'Court Guard', 'Schuttgart', 'headless_knight', 21.00, 31.00, 68, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3706, 8.400, 1423, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 3987, 469, 1732, 381, 253, 0, 2362, 1376, 0, 0, 70, 180, 'schutt_siege_clan', 1200, 0, 0, 0, 1, 30, 4, 40, 0, -18, 0.52, 'false', 'NONE', 0, 0),
	(7360, 35535, 'Guard', 'Schuttgart', 'e_guard_MDwarf', 8.00, 19.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 0, 0, 1412, 429, 519, 348, 253, 0, 500, 93, 0, 0, 50, 120, 'schuttgart_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7361, 35536, 'Guard', 'Schuttgart', 'e_guard_MDwarf', 8.00, 19.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 0, 0, 1412, 429, 519, 348, 253, 0, 500, 2, 0, 0, 50, 120, 'schuttgart_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7362, 35537, 'Guard', 'Schuttgart', 'a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 1100, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 0, 0, 1412, 429, 519, 348, 253, 0, 500, 14, 0, 0, 50, 120, 'schuttgart_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7363, 35538, 'Guard', 'Schuttgart', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 0, 0, 1412, 429, 519, 348, 253, 0, 500, 16, 0, 0, 50, 120, 'schuttgart_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7364, 35539, 'Guard', 'Schuttgart', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 0, 0, 1412, 429, 519, 348, 253, 0, 500, 2, 0, 0, 50, 120, 'schuttgart_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7365, 35540, 'Guard', 'Schuttgart', 'a_guard_FDarkelf', 8.00, 25.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardFighter', 1100, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 0, 0, 1412, 429, 519, 348, 253, 0, 500, 14, 0, 0, 50, 120, 'schuttgart_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7366, 35541, 'Guard', 'Schuttgart', 'e_guard_MOrc', 8.00, 27.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 0, 0, 1412, 429, 519, 348, 253, 0, 500, 16, 0, 0, 50, 120, 'schuttgart_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7367, 35542, 'Guard', 'Schuttgart', 'e_elmore_guard_Mhuman', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 7.000, 1354, 2.550, 40, 43, 30, 21, 20, 20, 0, 0, 1412, 429, 519, 348, 253, 0, 500, 76, 0, 0, 50, 120, 'schuttgart_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7368, 35543, 'Guard', 'Schuttgart', 'e_elmore_guard_Mhuman', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 0, 0, 1412, 429, 519, 348, 253, 0, 500, 280, 0, 0, 50, 120, 'schuttgart_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7369, 35544, 'Gatekeeper', 'Schuttgart', 'e_elmore_guard_Mhuman', 8.00, 23.50, 66, 'male', 'L2CastleTeleporter', 'npc', 40, 3547, 8.000, 1354, 2.400, 40, 43, 30, 21, 20, 20, 0, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 50, 55, 'schuttgart_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7370, 35545, 'Gatekeeper', 'Schuttgart', 'e_elmore_guard_Mhuman', 8.00, 23.50, 66, 'male', 'L2CastleTeleporter', 'npc', 40, 3547, 8.000, 1354, 2.400, 40, 43, 30, 21, 20, 20, 0, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 50, 55, 'schuttgart_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7371, 35546, 'Gatekeeper', 'Schuttgart', 'e_elmore_guard_Mhuman', 8.00, 23.50, 66, 'male', 'L2CastleTeleporter', 'npc', 40, 3547, 8.000, 1354, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 2703, 470, 6964, 764, 253, 0, 500, 14, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 750, 0, 0.60, 'false', 'NONE', 0, 0),
	(7372, 35547, 'Group Gatekeeper', 'Schuttgart', 'e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2CastleTeleporter', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 2703, 471, 6964, 764, 253, 0, 2901, 14, 0, 0, 50, 160, '', 0, 35547, 0, 0, 7, 30, 4, 4, 750, 0, 0.60, 'false', 'NONE', 1, 0),
	(7373, 35548, 'Outer Doorman', 'Schuttgart', 'e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2CastleDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 2703, 471, 6964, 764, 253, 0, 2901, 14, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 750, 0, 0.60, 'false', 'NONE', 1, 0),
	(7374, 35549, 'Inner Doorman', 'Schuttgart', 'e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2CastleDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 2703, 471, 6964, 764, 253, 0, 2901, 14, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 750, 0, 0.60, 'false', 'NONE', 1, 0),
	(7375, 35550, 'Inner Doorman', 'Schuttgart', 'e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2CastleDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 2703, 471, 6964, 764, 253, 0, 2901, 14, 0, 0, 50, 160, '', 0, 0, 0, 0, 7, 30, 4, 4, 750, 0, 0.60, 'false', 'NONE', 1, 0),
	(7376, 35551, 'Doorman', 'Schuttgart', 'e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2CastleDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7377, 35552, 'Doorman', 'Schuttgart', 'e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2CastleDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7378, 35553, 'Blacksmith', 'Schuttgart', 'a_smith_MDwarf', 7.00, 16.50, 70, 'male', 'L2CastleBlacksmith', 'npc', 40, 3862, 8.400, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 89, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7379, 35554, 'Warehouse Keeper', 'Schuttgart', 'a_warehouse_keeper_MDwarf', 8.00, 17.00, 70, 'male', 'L2CastleWarehouse', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7380, 35555, 'August', 'Chamberlain', 'a_chamberlain_MHuman', 9.50, 22.50, 70, 'male', 'L2CastleChamberlain', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 55, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7381, 35556, 'Gallic', 'Wyvern Manager', 'a_common_peopleC_Mhuman', 8.00, 23.50, 70, 'male', 'L2WyvernManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 55, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7382, 35557, 'Kendrew', 'Mercenary Manager', 'a_common_peopleC_Mhuman', 8.00, 23.50, 70, 'male', 'L2MercManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 55, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7383, 35558, 'Manor Manager', 'Schuttgart', 'a_chamberlain_MHuman', 9.50, 22.50, 70, 'male', 'L2ManorManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7384, 35559, 'Daguerre', 'Messenger', 'e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2CastleMessenger', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 74, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7385, 35560, 'Mass Gatekeeper', '', 'oel_mahum', 20.00, 37.00, 56, 'male', 'L2Merchant', 'npc', 40, 2725, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 470, 780, 382, 253, 0, 500, 79, 0, 0, 50, 120, 'innadrile_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7386, 35561, 'Mass Gatekeeper', '', 'oel_mahum', 20.00, 37.00, 56, 'male', 'L2Merchant', 'npc', 40, 2725, 8.400, 1020, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 470, 780, 382, 253, 0, 500, 142, 0, 0, 50, 120, 'innadrile_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7387, 35562, 'Mass Gatekeeper', '', 'oel_mahum', 20.00, 37.00, 56, 'male', 'L2Merchant', 'npc', 40, 2725, 8.400, 1020, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 470, 780, 382, 253, 0, 500, 76, 2497, 0, 50, 120, 'innadrile_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7388, 35563, 'Mass Gatekeeper', '', 'oel_mahum', 20.00, 37.00, 56, 'male', 'L2Merchant', 'npc', 40, 2725, 8.400, 1020, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 470, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, 'dion_siege_clan', 600, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7389, 35564, 'Mass Gatekeeper', '', 'oel_mahum', 20.00, 37.00, 56, 'male', 'L2Merchant', 'npc', 40, 2725, 8.400, 1020, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 470, 780, 382, 253, 0, 500, 193, 0, 0, 50, 120, 'innadrile_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7390, 35565, 'Mass Gatekeeper', '', 'oel_mahum', 20.00, 37.00, 56, 'male', 'L2Merchant', 'npc', 40, 2725, 8.400, 1020, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 470, 780, 382, 253, 0, 500, 94, 0, 0, 50, 120, 'innadrile_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7391, 35566, 'Ronald', 'Clan Hall Manager', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7392, 35567, 'Emil', 'Clan Hall Gatekeeper', 'a_common_peopleB_MHuman', 8.00, 22.00, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7393, 35568, 'Wayne', 'Clan Hall Manager', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7394, 35569, 'Daniel', 'Clan Hall Gatekeeper', 'a_common_peopleB_MHuman', 8.00, 22.00, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7395, 35570, 'Patty', 'Clan Hall Manager', 'a_traderC_Fhuman', 8.00, 22.50, 70, 'female', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7396, 35571, 'Dale', 'Clan Hall Gatekeeper', 'a_common_peopleB_MHuman', 8.00, 22.00, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7397, 35572, 'Jimmy', 'Clan Hall Manager', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7398, 35573, 'Shawn', 'Clan Hall Gatekeeper', 'a_common_peopleB_MHuman', 8.00, 22.00, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7399, 35574, 'Michael', 'Clan Hall Manager', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7400, 35575, 'Ryan', 'Clan Hall Gatekeeper', 'a_common_peopleB_MHuman', 8.00, 22.00, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7401, 35576, 'Jack', 'Clan Hall Manager', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7402, 35577, 'Harry', 'Clan Hall Gatekeeper', 'a_common_peopleB_MHuman', 8.00, 22.00, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7403, 35578, 'Karuto', 'Clan Hall Manager', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7404, 35579, 'Egon', 'Clan Hall Gatekeeper', 'a_common_peopleB_MHuman', 8.00, 22.00, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7405, 35580, 'Carol', 'Clan Hall Manager', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7406, 35581, 'Osho', 'Clan Hall Gatekeeper', 'a_common_peopleB_MHuman', 8.00, 22.00, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7407, 35582, 'Stanley', 'Clan Hall Manager', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7408, 35583, 'Walter', 'Clan Hall Gatekeeper', 'a_common_peopleB_MHuman', 8.00, 22.00, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7409, 35584, 'Billy', 'Clan Hall Manager', 'a_casino_MHuman', 8.00, 23.00, 70, 'male', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7410, 35585, 'Alice', 'Clan Hall Gatekeeper', 'a_traderC_Fhuman', 8.00, 22.50, 70, 'female', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7411, 35586, 'Serena', 'Clan Hall Manager', 'a_maidA_FHuman', 8.00, 20.50, 70, 'female', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 1, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7412, 35587, 'Neria', 'Clan Hall Gatekeeper', 'a_traderC_Fhuman', 8.00, 22.50, 70, 'female', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7413, 35588, 'Hot Springs Gourd', '', 'drop_gourd_50_bi', 30.00, 31.50, 56, 'female', 'L2Npc', 'npc', 40, 984340, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 0, 0, 700, 1435500, 327, 1593405, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7414, 35589, 'Hot Springs Gourd', '', 'drop_gourd_50_bi', 30.00, 31.50, 56, 'female', 'L2Npc', 'npc', 40, 984340, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 0, 0, 700, 1435500, 327, 1593405, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7415, 35590, 'Hot Springs Gourd', '', 'drop_gourd_50_bi', 30.00, 31.50, 56, 'female', 'L2Npc', 'npc', 40, 984340, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 0, 0, 700, 1435500, 327, 1593405, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7416, 35591, 'Hot Springs Gourd', '', 'drop_gourd_50_bi', 30.00, 31.50, 56, 'female', 'L2Npc', 'npc', 40, 984340, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 0, 0, 700, 1435500, 327, 1593405, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7417, 35592, 'Enraged Yeti', '', 'yeti', 15.00, 27.50, 56, 'male', 'L2Npc', 'npc', 40, 2725, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 0, 0, 700, 331, 327, 269, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7418, 35593, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 52, 'male', 'L2Npc', 'npc', 40, 2402, 6.600, 892, 2.430, 40, 43, 30, 21, 20, 20, 0, 0, 566, 295, 260, 240, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7419, 35594, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 52, 'male', 'L2Npc', 'npc', 40, 2402, 6.600, 892, 2.430, 40, 43, 30, 21, 20, 20, 0, 0, 566, 295, 260, 240, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7420, 35595, 'Treasure Chest', '', 'mimic', 8.50, 8.50, 52, 'male', 'L2Npc', 'npc', 40, 2402, 6.600, 892, 2.430, 40, 43, 30, 21, 20, 20, 0, 0, 566, 295, 260, 240, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7421, 35596, 'Hot Springs Yeti', 'Maitre \'D', 'yeti_cute', 5.00, 10.50, 56, 'male', 'L2Npc', 'npc', 40, 2725, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 0, 0, 17255, 331, 327, 269, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7422, 35597, 'Hot Springs Yeti', 'Maitre \'D', 'yeti_cute', 5.00, 10.50, 56, 'male', 'L2Npc', 'npc', 40, 2725, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 0, 0, 17255, 331, 327, 269, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7423, 35598, 'Hot Springs Yeti', 'Maitre \'D', 'yeti_cute', 5.00, 10.50, 56, 'male', 'L2Npc', 'npc', 40, 2725, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 0, 0, 17255, 331, 327, 269, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7424, 35599, 'Hot Springs Yeti', 'Maitre \'D', 'yeti_cute', 5.00, 10.50, 56, 'male', 'L2Npc', 'npc', 40, 2725, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 0, 0, 17255, 331, 327, 269, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7425, 35600, 'Manager', '', 'yeti_cute', 5.00, 10.50, 56, 'male', 'L2Npc', 'npc', 40, 2725, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 0, 0, 700, 331, 327, 269, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7426, 35601, 'Doorman', '', 'yeti_cute', 5.00, 10.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7427, 35602, 'Doorman', '', 'yeti_cute', 5.00, 10.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7428, 35603, 'Coordinator', '', 'yeti', 15.00, 27.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7429, 35604, 'Messenger', '', 'yeti_cute', 5.00, 10.50, 56, 'male', 'L2Npc', 'npc', 40, 2725, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 0, 0, 700, 331, 327, 269, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7430, 35605, 'Angout', 'Steward', 'yeti', 15.00, 27.50, 56, 'male', 'L2Npc', 'npc', 40, 2725, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 0, 0, 700, 331, 327, 269, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7431, 35606, 'Victor\'s Flag', '', 'azit_contest_pile_winner', 63.50, 97.50, 56, 'female', 'L2Npc', 'npc', 40, 2725, 8.400, 1020, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 700, 331, 327, 269, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7432, 35607, 'Red Flag', '', 'azit_contest_pile_a', 52.00, 195.50, 56, 'female', 'L2Npc', 'npc', 40, 2725, 8.400, 1020, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 700, 331, 327, 269, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7433, 35608, 'Yellow Flag', '', 'azit_contest_pile_b', 51.80, 108.25, 56, 'female', 'L2Npc', 'npc', 40, 2725, 8.400, 1020, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 700, 331, 327, 269, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7434, 35609, 'Green Flag', '', 'azit_contest_pile_c', 51.80, 108.25, 56, 'female', 'L2Npc', 'npc', 40, 2725, 8.400, 1020, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 700, 331, 327, 269, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7435, 35610, 'Blue Flag', '', 'azit_contest_pile_d', 51.80, 108.25, 56, 'female', 'L2Npc', 'npc', 40, 2725, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 0, 0, 700, 331, 327, 269, 253, 0, 500, 0, 0, 0, 50, 120, 'innadrile_siege_clan', 600, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7436, 35611, 'Purple Flag', '', 'azit_contest_pile_e', 51.80, 108.25, 56, 'female', 'L2Npc', 'npc', 40, 2725, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 0, 0, 700, 331, 327, 269, 253, 0, 500, 0, 0, 0, 50, 120, 'innadrile_siege_clan', 600, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7437, 35612, 'Group Gatekeeper', '', 'kel_mahum', 13.00, 26.00, 56, 'male', 'L2Npc', 'npc', 40, 2725, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 0, 0, 700, 331, 327, 269, 253, 0, 500, 0, 0, 0, 50, 120, 'innadrile_siege_clan', 600, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7438, 35613, 'Group Gatekeeper', '', 'kel_mahum', 13.00, 26.00, 56, 'male', 'L2Npc', 'npc', 40, 2725, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 0, 0, 700, 331, 327, 269, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7439, 35614, 'Group Gatekeeper', '', 'kel_mahum', 13.00, 26.00, 56, 'male', 'L2Npc', 'npc', 40, 2725, 8.400, 1020, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 700, 331, 327, 269, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7440, 35615, 'Group Gatekeeper', '', 'kel_mahum', 13.00, 26.00, 56, 'male', 'L2Npc', 'npc', 40, 2725, 8.400, 1020, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 700, 331, 327, 269, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7441, 35616, 'Group Gatekeeper', '', 'kel_mahum', 13.00, 26.00, 56, 'male', 'L2Npc', 'npc', 40, 2725, 8.400, 1020, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 700, 331, 327, 269, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7442, 35617, 'Group Gatekeeper', '', 'kel_mahum', 13.00, 26.00, 56, 'male', 'L2Npc', 'npc', 40, 2725, 8.400, 1020, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 700, 331, 327, 269, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7443, 35618, 'Frenzied Cougar', '', 'saber_toothed_tiger', 28.00, 28.00, 60, 'male', 'L2Npc', 'npc', 40, 83117, 7.400, 1710, 2.670, 40, 43, 30, 21, 20, 20, 0, 0, 333, 1477, 480, 300, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7444, 35619, 'Frenzied Buffalo', '', 'buffalo', 22.00, 31.00, 60, 'male', 'L2Npc', 'npc', 40, 37403, 7.400, 1710, 2.670, 40, 43, 30, 21, 20, 20, 0, 0, 333, 1477, 480, 300, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7445, 35620, 'Frenzied Kookaburra', '', 'rough_ostrich', 10.00, 33.00, 60, 'male', 'L2Npc', 'npc', 40, 41559, 8.400, 1710, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 333, 2953, 480, 300, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7446, 35621, 'Frenzied Buffalo Baby', '', 'baby_buffalo', 12.00, 15.00, 60, 'male', 'L2Npc', 'npc', 40, 41559, 8.400, 1710, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 333, 738, 480, 300, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7447, 35622, 'Frenzied Baby Cougar', '', 'baby_tiger', 11.00, 15.70, 60, 'male', 'L2Npc', 'npc', 40, 33247, 8.400, 1710, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 267, 1181, 480, 300, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7448, 35623, 'Inner Doorman', '', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2CastleDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7449, 35624, 'Inner Doorman', '', 'kel_mahum_champion', 13.00, 32.00, 70, 'male', 'L2CastleDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7450, 35625, 'Outer Doorman', '', 'a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2CastleDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7451, 35626, 'Outer Doorman', '', 'kel_mahum_champion', 13.00, 32.00, 70, 'male', 'L2CastleDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7452, 35627, 'Messenger', '', 'kel_mahum_champion', 13.00, 32.00, 56, 'male', 'L2CastleMessenger', 'npc', 40, 2725, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 470, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7453, 35628, 'Quigby', 'Farm Manager', 'kel_mahum_champion', 13.00, 32.00, 56, 'male', 'L2Merchant', 'npc', 40, 2725, 7.000, 1020, 2.550, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 470, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7454, 35629, 'Lidia von Hellmann', '', 'lidia_von_helmann', 10.00, 25.40, 73, 'female', 'L2SiegeBoss', 'SiegeGuardFighter', 40, 1241068, 8.700, 1494, 3.060, 60, 57, 73, 76, 70, 80, 0, 0, 6400, 1923, 3576, 1628, 253, 0, 500, 8209, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7455, 35630, 'Alfred von Hellmann', '', 'vampire_warrior', 9.00, 31.50, 72, 'male', 'L2SiegeBoss', 'SiegeGuardFighter', 80, 154807, 8.600, 1389, 3.030, 60, 57, 73, 76, 70, 80, 0, 0, 6139, 1880, 3426, 1592, 253, 0, 500, 8679, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7456, 35631, 'Giselle von Hellmann', '', 'vampire_wizard', 5.50, 28.80, 72, 'female', 'L2SiegeBoss', 'SiegeGuardFighter', 40, 154807, 8.600, 1389, 3.030, 60, 57, 73, 76, 70, 80, 0, 0, 6139, 1880, 3426, 1592, 253, 0, 500, 99, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7457, 35632, 'Vampire Adept', '', 'vampire_witch', 6.00, 21.50, 68, 'female', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 9572, 8.200, 1320, 2.910, 40, 43, 30, 21, 20, 20, 0, 0, 2492, 470, 780, 382, 253, 0, 500, 946, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7458, 35633, 'Vampire Soldier', '', 'vampire_soldier', 8.00, 23.50, 69, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 10640, 8.300, 1184, 2.940, 40, 43, 30, 21, 20, 20, 0, 0, 2508, 470, 780, 382, 253, 0, 500, 234, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7459, 35634, 'Vampire Caster', '', 'vampire_witch', 6.00, 21.50, 70, 'female', 'L2SiegeGuard', 'SiegeGuardMystic', 1100, 10880, 8.400, 1218, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 5247, 470, 780, 382, 253, 0, 500, 946, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7460, 35635, 'Vampire Magister', '', 'vampire_wizard', 5.50, 28.80, 71, 'female', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 11118, 8.500, 1423, 3.000, 40, 43, 30, 21, 20, 20, 0, 0, 2869, 470, 780, 382, 253, 0, 500, 99, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7461, 35636, 'Vampire Warlord', '', 'vampire_warrior', 9.00, 31.50, 72, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 11354, 8.600, 1459, 3.030, 40, 43, 30, 21, 20, 20, 0, 0, 2556, 470, 780, 382, 253, 0, 500, 6723, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7462, 35637, 'Vampire Leader', '', 'vampire_lord', 7.50, 25.80, 73, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 11586, 8.700, 1494, 3.060, 40, 43, 30, 21, 20, 20, 0, 0, 2321, 479, 780, 389, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7463, 35638, 'Valens', 'Wyvern Manager', 'vampire_soldier', 8.00, 23.50, 70, 'male', 'L2WyvernManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7464, 35639, 'Jacquard', 'Messenger', 'vampire_soldier', 8.00, 23.50, 70, 'male', 'L2ClanHallMessenger', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 74, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7465, 35640, 'Bandello', 'Steward', 'vampire_soldier', 8.00, 23.50, 70, 'male', 'L2ClanHallManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7466, 35641, 'Fortress Guard', '', 'vampire_soldier', 8.00, 23.50, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7467, 35642, 'Fortress Guard', '', 'vampire_soldier', 8.00, 23.50, 70, 'male', 'L2ClanHallDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7468, 35643, 'Gate', '', 'farm_hedge', 184.00, 24.00, 56, 'female', 'L2Npc', 'npc', 40, 2725, 8.400, 1020, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 700, 331, 327, 269, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7469, 35644, 'Manor Manager', 'Schuttgart', 'a_traderA_MDwarf', 8.00, 17.00, 70, 'male', 'L2ManorManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7470, 35645, 'Manor Manager', 'Schuttgart', 'e_trader_MOrc', 9.50, 22.50, 70, 'male', 'L2ManorManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7471, 35646, 'Vampire Caster', '', 'vampire_witch', 6.00, 21.50, 70, 'female', 'L2Npc', 'npc', 1100, 10880, 8.400, 1389, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 5247, 448, 551, 364, 253, 0, 500, 946, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7472, 35647, 'Vampire Leader', '', 'vampire_lord', 7.50, 25.80, 73, 'male', 'L2Npc', 'npc', 40, 11586, 8.700, 1494, 3.060, 40, 43, 30, 21, 20, 20, 0, 0, 2321, 479, 619, 389, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(7473, 35648, 'Court Magician', 'Gludio', 'Elite_Mage', 6.50, 21.96, 70, 'female', 'L2CastleCourt', 'npc', 40, 3862, 8.400, 1494, 2.970, 22, 27, 21, 41, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 8687, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7474, 35649, 'Court Magician', 'Dion', 'Elite_Mage', 6.50, 21.96, 70, 'female', 'L2CastleCourt', 'npc', 40, 3862, 8.400, 1494, 2.970, 22, 27, 21, 41, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 8687, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7475, 35650, 'Court Magician', 'Giran', 'Elite_Mage', 6.50, 21.96, 70, 'female', 'L2CastleCourt', 'npc', 40, 3862, 8.400, 1494, 2.970, 22, 27, 21, 41, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 8687, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7476, 35651, 'Court Magician', 'Oren', 'Elite_Mage', 6.50, 21.96, 70, 'female', 'L2CastleCourt', 'npc', 40, 3862, 8.400, 1494, 2.970, 22, 27, 21, 41, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 8687, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7477, 35652, 'Court Magician', 'Aden', 'Elite_Mage', 6.50, 21.96, 70, 'female', 'L2CastleCourt', 'npc', 40, 3862, 8.400, 1494, 2.970, 22, 27, 21, 41, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 8687, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7478, 35653, 'Court Magician', 'Innadril', 'Elite_Mage', 6.50, 21.96, 70, 'female', 'L2CastleCourt', 'npc', 40, 3862, 8.400, 1494, 2.970, 22, 27, 21, 41, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 8687, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7479, 35654, 'Court Magician', 'Goddard', 'Elite_Mage', 6.50, 21.96, 70, 'female', 'L2CastleCourt', 'npc', 40, 3862, 8.400, 1494, 2.970, 22, 27, 21, 41, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 8687, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7480, 35655, 'Court Magician', 'Rune', 'Elite_Mage', 6.50, 21.96, 70, 'female', 'L2CastleCourt', 'npc', 40, 3862, 8.400, 1494, 2.970, 22, 27, 21, 41, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 8687, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7481, 35656, 'Court Magician', 'Schuttgart', 'Elite_Mage', 6.50, 21.96, 70, 'female', 'L2CastleCourt', 'npc', 40, 3862, 8.400, 1494, 2.970, 22, 27, 21, 41, 20, 20, 0, 0, 1314, 471, 780, 382, 253, 0, 500, 8687, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(7482, 35657, 'Flagpole', '', 'LineageNpcEV.Rune_holything', 8.00, 22.00, 20, 'female', 'L2Npc', 'npc', 40, 541, 1.500, 213, 0.900, 40, 43, 30, 21, 20, 20, 40, 0, 57, 95, 24, 77, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(7483, 35658, 'Foreman', 'Shanty Fortress', 'LineageNPC.Royal_guard', 8.00, 22.00, 70, 'male', 'L2FortressManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(7484, 35659, 'Suspicious Merchant', 'Shanty Fortress', 'LineageNPC.Guard_MOrc', 8.00, 27.00, 70, 'male', 'L2SuspiciousMerchant', 'SuspiciousMerchantShanty', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(7485, 35660, 'Guard Captain', 'Shanty Fortress', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7486, 35661, 'Archer Captain', 'Shanty Fortress', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 70, 'male', 'L2Npc', 'npc', 1100, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7487, 35662, 'Support Unit Captain', 'Shanty Fortress', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 70, 'female', 'L2SupportUnit', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 752, 2256, 608, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7488, 35663, 'Engineering Manager', 'Shanty Fortress', 'LineageNPC.Guard_Dwarf', 8.00, 19.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(7489, 35664, 'Logistics Officer', 'Shanty Fortress', 'LineageNPC.Collector_teacher', 8.00, 22.00, 70, 'male', 'L2LogisticsOfficer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(7490, 35665, 'Supply Box', '', 'LineageMonster.Mimic', 8.00, 22.00, 80, 'male', 'L2Npc', 'npc', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(7491, 35666, 'Detention Camp Warden', 'Shanty Fortress', 'LineageNPC.Elmore_guard', 8.00, 22.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(7492, 35667, 'Doorman', '', 'LineageNPC.Elmore_guard', 8.00, 22.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 2, 20, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(7493, 35668, 'Doorman', '', 'LineageNPC.Elmore_guard', 8.00, 22.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 2, 20, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(7494, 35669, 'Doorman', '', 'LineageNPC.Elmore_guard', 8.00, 22.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 2, 20, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(7495, 35670, 'Rebel Commander', 'Shanty Fortress', 'LineageNPC2.chief_of_insurgents', 10.00, 26.99, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 2450, 0, 7471, 843, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, 'shanty_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7496, 35671, 'Decorated Rebel Soldier', 'Shanty Fortress', 'LineageMonster.shadow_50_bi', 15.00, 45.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 0, 0, 0, 30, 120, 'shanty_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7497, 35672, 'Rebel Private', 'Shanty Fortress', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 2113, 0, 1410, 449, 785, 380, 253, 0, 500, 97, 0, 0, 30, 120, 'shanty_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7498, 35673, 'Court Guard', 'Shanty Fortress', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 62, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 98, 0, 0, 30, 120, 'shanty_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7499, 35674, 'Guard', 'Shanty Fortress', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 62, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'shanty_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7500, 35675, 'Power Control Unit', 'Control Room', 'LineageNpcEV.Strange_mechanical', 16.00, 15.50, 66, 'female', 'L2Npc', 'npc', 40, 3547, 1.500, 1354, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(7501, 35676, 'Dwarven Gunnery Sergeant', '', 'LineageNPC2.battery_of_insurgents', 13.00, 17.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 470, 1780, 682, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7502, 35677, 'Guard Captain', 'Guard', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 68, 'female', 'L2Commander', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(7503, 35678, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'shanty_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7504, 35679, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'shanty_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7505, 35680, 'Support Unit Captain', 'Support Unit', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 68, 'female', 'L2Commander', 'SiegeGuardMystic', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 752, 3089, 876, 253, 0, 500, 0, 0, 0, 30, 120, 'shanty_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL_BSPIRIT', 0, 0),
	(7506, 35681, 'Wizard', 'Support Unit', 'LineageNPC.a_patriarch_MElf', 8.00, 22.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 325, 0, 0, 30, 120, 'shanty_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7507, 35682, 'Healer', 'Support Unit', 'LineageNPC.a_mageguild_master_FHuman', 8.00, 23.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 92, 0, 0, 30, 120, 'shanty_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7508, 35683, 'Archer Captain', 'Archer', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 68, 'male', 'L2Commander', 'SiegeGuardRanger', 1100, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 10212, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(7509, 35684, 'Archer', 'Archer', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'shanty_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7510, 35685, 'Ballista', 'Shanty Fortress', 'LineageNpcEV.ballista', 112.00, 59.00, 70, 'male', 'L2Ballista', 'Ballista', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 753, 3474, 917, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7511, 35686, 'Mercenary Captain', '', 'LineageMonster3.Kight_of_Dawn', 12.00, 24.50, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 799, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7512, 35687, 'Mercenary Private', '', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 0, 0, 1735, 611, 1014, 496, 253, 0, 500, 96, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7513, 35688, 'Flagpole', '', 'LineageNpcEV.Rune_holything', 8.00, 22.00, 20, 'female', 'L2Npc', 'npc', 40, 541, 1.500, 213, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 57, 95, 24, 77, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(7514, 35689, 'Foreman', 'Southern Fortress', 'LineageNPC.Royal_guard', 8.00, 22.00, 70, 'male', 'L2FortressManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(7515, 35690, 'Suspicious Merchant', 'Southern Fortress', 'LineageNPC.Guard_MOrc', 8.00, 27.00, 70, 'male', 'L2SuspiciousMerchant', 'SuspiciousMerchantSouthernGludio', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(7516, 35691, 'Guard Captain', 'Southern Fortress', 'LineageNPC2.Garrison_of_insurgents', 8.00, 22.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(7517, 35692, 'Archer Captain', 'Southern Fortress', 'LineageNPC2.Archer_of_insurgents', 8.00, 22.00, 70, 'male', 'L2Npc', 'npc', 1100, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(7518, 35693, 'General', 'Southern Fortress', 'LineageNPC2.officer_of_insurgents_orc', 14.50, 30.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9813, 9813, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7519, 35694, 'Support Unit Captain', 'Southern Fortress', 'LineageNPC2.Mage_of_insurgents', 8.00, 22.00, 70, 'female', 'L2SupportUnit', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1410, 471, 785, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(7520, 35695, 'Engineering Manager', 'Southern Fortress', 'LineageNPC.Guard_Dwarf', 8.00, 19.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(7521, 35696, 'Logistics Officer', 'Southern Fortress', 'LineageNPC.Collector_teacher', 8.00, 22.00, 70, 'male', 'L2LogisticsOfficer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(7522, 35697, 'Supply Box', '', 'LineageMonster.Mimic', 8.00, 22.00, 80, 'male', 'L2Npc', 'npc', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(7523, 35698, 'Detention Camp Warden', 'Southern Fortress', 'LineageNPC.Elmore_guard', 8.00, 22.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(7524, 35699, 'Doorman', '', 'LineageNPC.Elmore_guard', 8.00, 22.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 2, 20, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(7525, 35700, 'Doorman', '', 'LineageNPC.Elmore_guard', 8.00, 22.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 2, 20, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(7526, 35701, 'Doorman', '', 'LineageNPC.Elmore_guard', 8.00, 22.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 2, 20, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(7527, 35702, 'Rebel Commander', 'Southern Fortress', 'LineageNPC2.chief_of_insurgents', 10.00, 26.99, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 2450, 0, 7471, 843, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, 'southern_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7528, 35703, 'Decorated Rebel Soldier', 'Southern Fortress', 'LineageMonster.shadow_50_bi', 15.00, 45.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 0, 0, 0, 30, 120, 'southern_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7529, 35704, 'Rebel Private', 'Southern Fortress', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 2113, 0, 1410, 449, 785, 380, 253, 0, 500, 97, 0, 0, 30, 120, 'southern_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7530, 35705, 'Court Guard', 'Southern Fortress', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 62, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 98, 0, 0, 30, 120, 'southern_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7531, 35706, 'Guard', 'Southern Fortress', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 62, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'southern_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7532, 35707, 'Main Machine', 'Control Room', 'LineageNpcEV.Machine_guard', 8.00, 22.00, 68, 'female', 'L2Npc', 'npc', 40, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 1207, 450, 563, 365, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(7533, 35708, 'Backup Power Unit', 'Control Room', 'LineageNpcEV.Strange_mechanical', 16.00, 15.50, 66, 'female', 'L2Npc', 'npc', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(7534, 35709, 'Control Unit', 'Control Room', 'LineageNpcEV.Willer', 8.00, 22.00, 66, 'male', 'L2Npc', 'npc', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(7535, 35710, 'Power Control Unit', 'Control Room', 'LineageNpcEV.Strange_mechanical', 16.00, 15.50, 66, 'female', 'L2Npc', 'npc', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 0, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(7536, 35711, 'Dwarven Gunnery Sergeant', '', 'LineageNPC2.battery_of_insurgents', 13.00, 17.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 470, 1780, 682, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7537, 35712, 'Scout Golem', 'Control Room', 'LineageMonster.Mechanic_golem', 8.00, 22.00, 64, 'male', 'L2Npc', 'npc', 40, 3384, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 2048, 0, 1023, 409, 473, 332, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(7538, 35713, 'Guard Captain', 'Guard', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 68, 'female', 'L2Commander', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(7539, 35714, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'southern_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7540, 35715, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'southern_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7541, 35716, 'Support Unit Captain', 'Support Unit', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 68, 'female', 'L2Commander', 'SiegeGuardMystic', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 752, 3089, 876, 253, 0, 500, 0, 0, 0, 30, 120, 'southern_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL_BSPIRIT', 0, 0),
	(7542, 35717, 'Wizard', 'Support Unit', 'LineageNPC.a_patriarch_MElf', 8.00, 22.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 325, 0, 0, 30, 120, 'southern_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7543, 35718, 'Healer', 'Support Unit', 'LineageNPC.a_mageguild_master_FHuman', 8.00, 23.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 92, 0, 0, 30, 120, 'southern_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7544, 35719, 'Archer Captain', 'Archer', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 68, 'male', 'L2Commander', 'SiegeGuardRanger', 1100, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 10212, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(7545, 35720, 'Archer', 'Archer', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'southern_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7546, 35721, 'General', 'Officer\'s Barracks', 'LineageNPC2.officer_of_insurgents_orc', 14.50, 30.00, 68, 'male', 'L2Commander', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 9813, 9813, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(7547, 35722, 'Minister', 'Officer\'s Barracks', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 68, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 7895, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7548, 35723, 'Ballista', 'Southern Fortress', 'LineageNpcEV.ballista', 112.00, 59.00, 70, 'male', 'L2Ballista', 'Ballista', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 753, 3474, 917, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7549, 35724, 'Mercenary Captain', '', 'LineageMonster3.Kight_of_Dawn', 12.00, 24.50, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 799, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7550, 35725, 'Mercenary Private', '', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 0, 0, 1735, 611, 1014, 496, 253, 0, 500, 96, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7551, 35726, 'Flagpole', '', 'LineageNpcEV.Rune_holything', 8.00, 22.00, 20, 'female', 'L2Npc', 'npc', 40, 541, 1.500, 213, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 57, 95, 24, 77, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(7552, 35727, 'Foreman', 'Hive Fortress', 'LineageNPC.Royal_guard', 8.00, 22.00, 70, 'male', 'L2FortressManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(7553, 35728, 'Suspicious Merchant', 'Hive Fortress', 'LineageNPC.Guard_MOrc', 8.00, 27.00, 70, 'male', 'L2SuspiciousMerchant', 'SuspiciousMerchantHive', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(7554, 35729, 'Guard Captain', 'Hive Fortress', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7555, 35730, 'Archer Captain', 'Hive Fortress', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 70, 'male', 'L2Npc', 'npc', 1100, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7556, 35731, 'Support Unit Captain', 'Hive Fortress', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 70, 'female', 'L2SupportUnit', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 752, 2256, 608, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7557, 35732, 'Engineering Manager', 'Hive Fortress', 'LineageNPC.Guard_Dwarf', 8.00, 19.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(7558, 35733, 'Logistics Officer', 'Hive Fortress', 'LineageNPC.Collector_teacher', 8.00, 22.00, 70, 'male', 'L2LogisticsOfficer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(7559, 35734, 'Supply Box', '', 'LineageMonster.Mimic', 8.00, 22.00, 80, 'male', 'L2Npc', 'npc', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(7560, 35735, 'Detention Camp Warden', 'Hive Fortress', 'LineageNPC.Elmore_guard', 8.00, 22.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(7561, 35736, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7562, 35737, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7563, 35738, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7564, 35739, 'Rebel Commander', 'Hive Fortress', 'LineageNPC2.chief_of_insurgents', 10.00, 26.99, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 2450, 0, 7471, 843, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, 'hive_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7565, 35740, 'Decorated Rebel Soldier', 'Hive Fortress', 'LineageMonster.shadow_50_bi', 15.00, 45.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 0, 0, 0, 30, 120, 'hive_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7566, 35741, 'Rebel Private', 'Hive Fortress', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 2113, 0, 1410, 449, 785, 380, 253, 0, 500, 97, 0, 0, 30, 120, 'hive_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7567, 35742, 'Court Guard', 'Hive Fortress', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 62, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 98, 0, 0, 30, 120, 'hive_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7568, 35743, 'Guard', 'Hive Fortress', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 62, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'hive_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7569, 35744, 'Power Control Unit', 'Control Room', 'LineageNpcEV.Strange_mechanical', 16.00, 15.50, 66, 'female', 'L2Npc', 'npc', 40, 3547, 1.500, 1354, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(7570, 35745, 'Dwarven Gunnery Sergeant', '', 'LineageNPC2.battery_of_insurgents', 13.00, 17.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 470, 1780, 682, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7571, 35746, 'Guard Captain', 'Guard', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 68, 'female', 'L2Commander', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(7572, 35747, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'hive_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7573, 35748, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'hive_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7574, 35749, 'Support Unit Captain', 'Support Unit', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 68, 'female', 'L2Commander', 'SiegeGuardMystic', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 752, 3089, 876, 253, 0, 500, 0, 0, 0, 30, 120, 'hive_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL_BSPIRIT', 0, 0),
	(7575, 35750, 'Wizard', 'Support Unit', 'LineageNPC.a_patriarch_MElf', 8.00, 22.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 325, 0, 0, 30, 120, 'hive_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7576, 35751, 'Healer', 'Support Unit', 'LineageNPC.a_mageguild_master_FHuman', 8.00, 23.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 92, 0, 0, 30, 120, 'hive_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7577, 35752, 'Archer Captain', 'Archer', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 68, 'male', 'L2Commander', 'SiegeGuardRanger', 1100, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 10212, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(7578, 35753, 'Archer', 'Archer', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'hive_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7579, 35754, 'Ballista', 'Hive Fortress', 'LineageNpcEV.ballista', 112.00, 59.00, 70, 'male', 'L2Ballista', 'Ballista', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 753, 3474, 917, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7580, 35755, 'Mercenary Captain', '', 'LineageMonster3.Kight_of_Dawn', 12.00, 24.50, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 799, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7581, 35756, 'Mercenary Private', '', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 0, 0, 1735, 611, 1014, 496, 253, 0, 500, 96, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7582, 35757, 'Flagpole', '', 'LineageNpcEV.rune_holything', 46.00, 72.50, 20, 'female', 'L2Npc', 'npc', 40, 541, 8.400, 213, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 57, 95, 24, 77, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7583, 35758, 'Foreman', 'Valley Fortress', 'LineageNPC.Royal_guard', 8.00, 22.00, 70, 'male', 'L2FortressManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(7584, 35759, 'Suspicious Merchant', 'Valley Fortress', 'LineageNPC.Guard_MOrc', 8.00, 27.00, 70, 'male', 'L2SuspiciousMerchant', 'SuspiciousMerchantValley', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(7585, 35760, 'Guard Captain', 'Valley Fortress', 'LineageNPC2.Garrison_of_insurgents', 8.00, 22.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 80, 641, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(7586, 35761, 'Archer Captain', 'Valley Fortress', 'LineageNPC2.Archer_of_insurgents', 8.00, 22.00, 70, 'male', 'L2Npc', 'npc', 1100, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(7587, 35762, 'General', 'Valley Fortress', 'LineageNPC2.officer_of_insurgents_orc', 14.50, 30.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9813, 9813, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7588, 35763, 'Support Unit Captain', 'Valley Fortress', 'LineageNPC2.Mage_of_insurgents', 8.00, 22.00, 70, 'female', 'L2SupportUnit', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1410, 471, 785, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(7589, 35764, 'Engineering Manager', 'Valley Fortress', 'LineageNPC.Guard_Dwarf', 8.00, 19.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(7590, 35765, 'Logistics Officer', 'Valley Fortress', 'LineageNPC.Collector_teacher', 8.00, 22.00, 70, 'male', 'L2LogisticsOfficer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(7591, 35766, 'Supply Box', '', 'LineageMonster.Mimic', 8.00, 22.00, 80, 'male', 'L2Npc', 'npc', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(7592, 35767, 'Detention Camp Warden', 'Valley Fortress', 'LineageNPC.Elmore_guard', 8.00, 22.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(7593, 35768, 'Doorman', '', 'LineageNPC.Elmore_guard', 8.00, 22.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 2, 20, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(7594, 35769, 'Doorman', '', 'LineageNPC.Elmore_guard', 8.00, 22.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 2, 20, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(7595, 35770, 'Doorman', '', 'LineageNPC.Elmore_guard', 8.00, 22.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 2, 20, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(7596, 35771, 'Rebel Commander', 'Valley Fortress', 'LineageNPC2.chief_of_insurgents', 10.00, 26.99, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 2450, 0, 7471, 843, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, 'valley_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7597, 35772, 'Decorated Rebel Soldier', 'Valley Fortress', 'LineageMonster.shadow_50_bi', 15.00, 45.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 0, 0, 0, 30, 120, 'valley_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7598, 35773, 'Rebel Private', 'Valley Fortress', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 2113, 0, 1410, 449, 785, 380, 253, 0, 500, 97, 0, 0, 30, 120, 'valley_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7599, 35774, 'Court Guard', 'Valley Fortress', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 62, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 98, 0, 0, 30, 120, 'valley_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7600, 35775, 'Guard', 'Valley Fortress', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 62, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'valley_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7601, 35776, 'Main Machine', 'Control Room', 'LineageNpcEV.Machine_guard', 8.00, 22.00, 68, 'female', 'L2Npc', 'npc', 40, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 1207, 450, 563, 365, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(7602, 35777, 'Backup Power Unit', 'Control Room', 'LineageNpcEV.Strange_mechanical', 16.00, 15.50, 66, 'female', 'L2Npc', 'npc', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(7603, 35778, 'Control Unit', 'Control Room', 'LineageNpcEV.Willer', 8.00, 22.00, 66, 'male', 'L2Npc', 'npc', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(7604, 35779, 'Power Control Unit', 'Control Room', 'LineageNpcEV.Strange_mechanical', 16.00, 15.50, 66, 'female', 'L2Npc', 'npc', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 0, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(7605, 35780, 'Dwarven Gunnery Sergeant', '', 'LineageNPC2.battery_of_insurgents', 13.00, 17.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 470, 1780, 682, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7606, 35781, 'Scout Golem', 'Control Room', 'LineageMonster.Mechanic_golem', 8.00, 22.00, 64, 'male', 'L2Npc', 'npc', 40, 3384, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 2048, 0, 1023, 409, 473, 332, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(7607, 35782, 'Guard Captain', 'Guard', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 68, 'female', 'L2Commander', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(7608, 35783, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'valley_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7609, 35784, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'valley_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7610, 35785, 'Support Unit Captain', 'Support Unit', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 68, 'female', 'L2Commander', 'SiegeGuardMystic', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 752, 3089, 876, 253, 0, 500, 0, 0, 0, 30, 120, 'valley_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL_BSPIRIT', 0, 0),
	(7611, 35786, 'Wizard', 'Support Unit', 'LineageNPC.a_patriarch_MElf', 8.00, 22.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 325, 0, 0, 30, 120, 'valley_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7612, 35787, 'Healer', 'Support Unit', 'LineageNPC.a_mageguild_master_FHuman', 8.00, 23.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 92, 0, 0, 30, 120, 'valley_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7613, 35788, 'Archer Captain', 'Archer', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 68, 'male', 'L2Commander', 'SiegeGuardRanger', 1100, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 10212, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(7614, 35789, 'Archer', 'Archer', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'valley_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7615, 35790, 'General', 'Officer\'s Barracks', 'LineageNPC2.officer_of_insurgents_orc', 14.50, 30.00, 68, 'male', 'L2Commander', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 9813, 9813, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(7616, 35791, 'Minister', 'Officer\'s Barracks', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 68, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 7895, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7617, 35792, 'Ballista', 'Valley Fortress', 'LineageNpcEV.ballista', 112.00, 59.00, 70, 'male', 'L2Ballista', 'Ballista', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 753, 3474, 917, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7618, 35793, 'Mercenary Captain', '', 'LineageMonster3.Kight_of_Dawn', 12.00, 24.50, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 799, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7619, 35794, 'Mercenary Private', '', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 0, 0, 1735, 611, 1014, 496, 253, 0, 500, 96, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7620, 35795, 'Flagpole', '', 'LineageNpcEV.Rune_holything', 8.00, 22.00, 20, 'female', 'L2Npc', 'npc', 40, 541, 1.500, 213, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 57, 95, 24, 77, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(7621, 35796, 'Foreman', 'Ivory Fortress', 'LineageNPC.Royal_guard', 8.00, 22.00, 70, 'male', 'L2FortressManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(7622, 35797, 'Suspicious Merchant', 'Ivory Fortress', 'LineageNPC.Guard_MOrc', 8.00, 27.00, 70, 'male', 'L2SuspiciousMerchant', 'SuspiciousMerchantIvoryTower', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(7623, 35798, 'Guard Captain', 'Ivory Fortress', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7624, 35799, 'Archer Captain', 'Ivory Fortress', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 70, 'male', 'L2Npc', 'npc', 1100, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7625, 35800, 'Support Unit Captain', 'Ivory Fortress', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 70, 'female', 'L2SupportUnit', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1410, 471, 785, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7626, 35801, 'Engineering Manager', 'Ivory Fortress', 'LineageNPC.Guard_Dwarf', 8.00, 19.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(7627, 35802, 'Logistics Officer', 'Ivory Fortress', 'LineageNPC.Collector_teacher', 8.00, 22.00, 70, 'male', 'L2LogisticsOfficer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(7628, 35803, 'Supply Box', '', 'LineageMonster.Mimic', 8.00, 22.00, 80, 'male', 'L2Npc', 'npc', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(7629, 35804, 'Detention Camp Warden', 'Ivory Fortress', 'LineageNPC.Elmore_guard', 8.00, 22.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(7630, 35805, 'Doorman', '', 'LineageNPC.Elmore_guard', 8.00, 22.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 2, 20, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(7631, 35806, 'Doorman', '', 'LineageNPC.Elmore_guard', 8.00, 22.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 2, 20, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(7632, 35807, 'Doorman', '', 'LineageNPC.Elmore_guard', 8.00, 22.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 2, 20, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(7633, 35808, 'Rebel Commander', 'Ivory Fortress', 'LineageNPC2.chief_of_insurgents', 10.00, 26.99, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 2450, 0, 7471, 843, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, 'ivory_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7634, 35809, 'Decorated Rebel Soldier', 'Ivory Fortress', 'LineageMonster.shadow_50_bi', 15.00, 45.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 0, 0, 0, 30, 120, 'ivory_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7635, 35810, 'Rebel Private', 'Ivory Fortress', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 2113, 0, 1410, 449, 785, 380, 253, 0, 500, 97, 0, 0, 30, 120, 'ivory_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7636, 35811, 'Court Guard', 'Ivory Fortress', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 62, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 98, 0, 0, 30, 120, 'ivory_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7637, 35812, 'Guard', 'Ivory Fortress', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 62, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'ivory_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7638, 35813, 'Power Control Unit', 'Control Room', 'LineageNpcEV.Strange_mechanical', 16.00, 15.50, 66, 'female', 'L2Npc', 'npc', 40, 3547, 1.500, 1354, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(7639, 35814, 'Dwarven Gunnery Sergeant', '', 'LineageNPC2.battery_of_insurgents', 13.00, 17.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 470, 1780, 682, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7640, 35815, 'Guard Captain', 'Guard', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 68, 'female', 'L2Commander', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(7641, 35816, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'ivory_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7642, 35817, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'ivory_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7643, 35818, 'Support Unit Captain', 'Support Unit', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 68, 'female', 'L2Commander', 'SiegeGuardMystic', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 752, 3089, 876, 253, 0, 500, 0, 0, 0, 30, 120, 'ivory_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL_BSPIRIT', 0, 0),
	(7644, 35819, 'Wizard', 'Support Unit', 'LineageNPC.a_patriarch_MElf', 8.00, 22.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 325, 0, 0, 30, 120, 'ivory_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7645, 35820, 'Healer', 'Support Unit', 'LineageNPC.a_mageguild_master_FHuman', 8.00, 23.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 92, 0, 0, 30, 120, 'ivory_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7646, 35821, 'Archer Captain', 'Archer', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 68, 'male', 'L2Commander', 'SiegeGuardRanger', 1100, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 10212, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(7647, 35822, 'Archer', 'Archer', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'ivory_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7648, 35823, 'Ballista', 'Ivory Fortress', 'LineageNpcEV.ballista', 112.00, 59.00, 70, 'male', 'L2Ballista', 'Ballista', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 753, 3474, 917, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7649, 35824, 'Mercenary Captain', '', 'LineageMonster3.Kight_of_Dawn', 12.00, 24.50, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 799, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7650, 35825, 'Mercenary Private', '', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 0, 0, 1735, 611, 1014, 496, 253, 0, 500, 96, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7651, 35826, 'Flagpole', '', 'LineageNpcEV.Rune_holything', 8.00, 22.00, 20, 'female', 'L2Npc', 'npc', 40, 541, 1.500, 213, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 57, 95, 24, 77, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(7652, 35827, 'Foreman', 'Narsell Fortress', 'LineageNPC.Royal_guard', 8.00, 22.00, 70, 'male', 'L2FortressManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(7653, 35828, 'Suspicious Merchant', 'Narsell Fortress', 'LineageNPC.Guard_MOrc', 8.00, 27.00, 70, 'male', 'L2SuspiciousMerchant', 'SuspiciousMerchantNarsell', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(7654, 35829, 'Guard Captain', 'Narsell Fortress', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7655, 35830, 'Archer Captain', 'Narsell Fortress', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 70, 'male', 'L2Npc', 'npc', 1100, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7656, 35831, 'Support Unit Captain', 'Narsell Fortress', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 70, 'female', 'L2SupportUnit', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 752, 2256, 608, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7657, 35832, 'Engineering Manager', 'Narsell Fortress', 'LineageNPC.Guard_Dwarf', 8.00, 19.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(7658, 35833, 'Logistics Officer', 'Narsell Fortress', 'LineageNPC.Collector_teacher', 8.00, 22.00, 70, 'male', 'L2LogisticsOfficer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(7659, 35834, 'Supply Box', '', 'LineageMonster.Mimic', 8.00, 22.00, 80, 'male', 'L2Npc', 'npc', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(7660, 35835, 'Detention Camp Warden', 'Narsell Fortress', 'LineageNPC.Eleno_guard', 8.00, 22.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(7661, 35836, 'Doorman', '', 'LineageNPC.Eleno_guard', 8.00, 22.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 2, 20, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(7662, 35837, 'Doorman', '', 'LineageNPC.Eleno_guard', 8.00, 22.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 2, 20, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(7663, 35838, 'Doorman', '', 'LineageNPC.Eleno_guard', 8.00, 22.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 2, 20, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 1, 0),
	(7664, 35839, 'Rebel Commander', 'Narsell Fortress', 'LineageNPC2.chief_of_insurgents', 10.00, 26.99, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 2450, 0, 7471, 843, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, 'narsell_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7665, 35840, 'Decorated Rebel Soldier', 'Narsell Fortress', 'LineageMonster.shadow_50_bi', 15.00, 45.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 0, 0, 0, 30, 120, 'narsell_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7666, 35841, 'Rebel Private', 'Narsell Fortress', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 2113, 0, 1410, 449, 785, 380, 253, 0, 500, 97, 0, 0, 30, 120, 'narsell_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7667, 35842, 'Court Guard', 'Narsell Fortress', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 62, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 98, 0, 0, 30, 120, 'narsell_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7668, 35843, 'Guard', 'Narsell Fortress', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 62, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'narsell_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7669, 35844, 'Power Control Unit', 'Control Room', 'LineageNpcEV.Strange_mechanical', 16.00, 15.50, 66, 'female', 'L2Npc', 'npc', 40, 3547, 1.500, 1354, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.37, 'false', 'NONE', 0, 0),
	(7670, 35845, 'Dwarven Gunnery Sergeant', '', 'LineageNPC2.battery_of_insurgents', 13.00, 17.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 470, 1780, 682, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7671, 35846, 'Guard Captain', 'Guard', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 68, 'female', 'L2Commander', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(7672, 35847, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'narsell_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7673, 35848, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'narsell_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7674, 35849, 'Support Unit Captain', 'Support Unit', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 68, 'female', 'L2Commander', 'SiegeGuardMystic', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 752, 3089, 876, 253, 0, 500, 0, 0, 0, 30, 120, 'narsell_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL_BSPIRIT', 0, 0),
	(7675, 35850, 'Wizard', 'Support Unit', 'LineageNPC.a_patriarch_MElf', 8.00, 22.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 325, 0, 0, 30, 120, 'narsell_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7676, 35851, 'Healer', 'Support Unit', 'LineageNPC.a_mageguild_master_FHuman', 8.00, 23.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 92, 0, 0, 30, 120, 'narsell_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7677, 35852, 'Archer Captain', 'Archer', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 68, 'male', 'L2Commander', 'SiegeGuardRanger', 1100, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 10212, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(7678, 35853, 'Archer', 'Archer', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'narsell_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7679, 35854, 'Ballista', 'Narsell Fortress', 'LineageNpcEV.ballista', 112.00, 59.00, 70, 'male', 'L2Ballista', 'Ballista', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 753, 3474, 917, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7680, 35855, 'Mercenary Captain', '', 'LineageMonster3.Kight_of_Dawn', 12.00, 24.50, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 799, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7681, 35856, 'Mercenary Private', '', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 0, 0, 1735, 611, 1014, 496, 253, 0, 500, 96, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7682, 35857, 'Flagpole', '', 'LineageNpcEV.rune_holything', 46.00, 72.50, 20, 'female', 'L2Npc', 'npc', 40, 541, 8.400, 213, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 57, 95, 24, 77, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7683, 35858, 'Foreman', 'Bayou Fortress', 'LineageNPC.a_royal_guardA_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7684, 35859, 'Suspicious Merchant', 'Bayou Fortress', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 70, 'male', 'L2SuspiciousMerchant', 'SuspiciousMerchantBayou', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7685, 35860, 'Guard Captain', 'Bayou Fortress', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7686, 35861, 'Archer Captain', 'Bayou Fortress', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 70, 'male', 'L2Npc', 'npc', 1100, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7687, 35862, 'General', 'Bayou Fortress', 'LineageNPC2.officer_of_insurgents_orc', 14.50, 30.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9813, 9813, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7688, 35863, 'Support Unit Captain', 'Bayou Fortress', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 70, 'female', 'L2SupportUnit', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1410, 471, 785, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7689, 35864, 'Engineering Manager', 'Bayou Fortress', 'LineageNPC.e_guard_MDwarf', 8.00, 19.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7690, 35865, 'Logistics Officer', 'Bayou Fortress', 'LineageNPC.e_collector_teacher_MDwarf', 8.00, 17.50, 70, 'male', 'L2LogisticsOfficer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7691, 35866, 'Supply Box', '', 'LineageMonster.mimic', 8.50, 8.50, 80, 'male', 'L2Npc', 'npc', 40, 4551, 8.400, 1859, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7692, 35867, 'Detention Camp Warden', 'Bayou Fortress', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7693, 35868, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7694, 35869, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7695, 35870, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7696, 35871, 'Rebel Commander', 'Bayou Fortress', 'LineageNPC2.chief_of_insurgents', 10.00, 26.99, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 2450, 0, 7471, 843, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, 'bayou_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7697, 35872, 'Decorated Rebel Soldier', 'Bayou Fortress', 'LineageMonster.shadow_50_bi', 15.00, 45.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 0, 0, 0, 30, 120, 'bayou_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7698, 35873, 'Rebel Private', 'Bayou Fortress', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 2113, 0, 1410, 449, 785, 380, 253, 0, 500, 97, 0, 0, 30, 120, 'bayou_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7699, 35874, 'Court Guard', 'Bayou Fortress', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 62, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 98, 0, 0, 30, 120, 'bayou_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7700, 35875, 'Guard', 'Bayou Fortress', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 62, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'bayou_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7701, 35876, 'Main Machine', 'Control Room', 'LineageNpcEV.machine_guard_a', 46.00, 35.00, 68, 'female', 'L2Npc', 'npc', 40, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 1207, 450, 563, 365, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7702, 35877, 'Backup Power Unit', 'Control Room', 'LineageNpcEV.strange_mechanical_instrume', 16.00, 15.50, 66, 'female', 'L2Npc', 'npc', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7703, 35878, 'Control Unit', 'Control Room', 'LineageNpcEV.door_lock', 39.00, 42.50, 66, 'male', 'L2Npc', 'npc', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7704, 35879, 'Power Control Unit', 'Control Room', 'LineageNpcEV.machine_construction_a', 54.00, 59.50, 66, 'female', 'L2Npc', 'npc', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 0, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7705, 35880, 'Dwarven Gunnery Sergeant', '', 'LineageNPC2.battery_of_insurgents', 13.00, 17.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 470, 1780, 682, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7706, 35881, 'Scout Golem', 'Control Room', 'LineageMonster.mechanic_golem', 5.00, 19.00, 64, 'male', 'L2Npc', 'npc', 40, 3384, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 2048, 0, 1023, 409, 473, 332, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7707, 35882, 'Guard Captain', 'Guard', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 68, 'female', 'L2Commander', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(7708, 35883, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'bayou_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7709, 35884, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'bayou_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7710, 35885, 'Support Unit Captain', 'Support Unit', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 68, 'female', 'L2Commander', 'SiegeGuardMystic', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 752, 3089, 876, 253, 0, 500, 0, 0, 0, 30, 120, 'bayou_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL_BSPIRIT', 0, 0),
	(7711, 35886, 'Wizard', 'Support Unit', 'LineageNPC.a_patriarch_MElf', 8.00, 22.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 325, 0, 0, 30, 120, 'bayou_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7712, 35887, 'Healer', 'Support Unit', 'LineageNPC.a_mageguild_master_FHuman', 8.00, 23.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 92, 0, 0, 30, 120, 'bayou_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7713, 35888, 'Archer Captain', 'Archer', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 68, 'male', 'L2Commander', 'SiegeGuardRanger', 1100, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 10212, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(7714, 35889, 'Archer', 'Archer', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'bayou_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7715, 35890, 'General', 'Officer\'s Barracks', 'LineageNPC2.officer_of_insurgents_orc', 14.50, 30.00, 68, 'male', 'L2Commander', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 9813, 9813, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(7716, 35891, 'Minister', 'Officer\'s Barracks', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 68, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 7895, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7717, 35892, 'Ballista', 'Bayou Fortress', 'LineageNpcEV.ballista', 112.00, 59.00, 70, 'male', 'L2Ballista', 'Ballista', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 753, 3474, 917, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7718, 35893, 'Mercenary Captain', '', 'LineageMonster3.Kight_of_Dawn', 12.00, 24.50, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 799, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7719, 35894, 'Mercenary Private', '', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 0, 0, 1735, 611, 1014, 496, 253, 0, 500, 96, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7720, 35895, 'Flagpole', '', 'LineageNpcEV.rune_holything', 46.00, 72.50, 20, 'female', 'L2Npc', 'npc', 40, 541, 8.400, 213, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 57, 95, 24, 77, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7721, 35896, 'Foreman', 'White Sands Fortress', 'LineageNPC.a_royal_guardA_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7722, 35897, 'Suspicious Merchant', 'White Sands Fortress', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 70, 'male', 'L2SuspiciousMerchant', 'SuspiciousMerchantWhiteSands', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7723, 35898, 'Guard Captain', 'White Sands Fortress', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7724, 35899, 'Archer Captain', 'White Sands Fortress', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 70, 'male', 'L2Npc', 'npc', 1100, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7725, 35900, 'Support Unit Captain', 'White Sands Fortress', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 70, 'female', 'L2SupportUnit', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 752, 2256, 608, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7726, 35901, 'Engineering Manager', 'White Sands Fortress', 'LineageNPC.e_guard_MDwarf', 8.00, 19.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7727, 35902, 'Logistics Officer', 'White Sands Fortress', 'LineageNPC.e_collector_teacher_MDwarf', 8.00, 17.50, 70, 'male', 'L2LogisticsOfficer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7728, 35903, 'Supply Box', '', 'LineageMonster.mimic', 8.50, 8.50, 80, 'male', 'L2Npc', 'npc', 40, 4551, 8.400, 1859, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7729, 35904, 'Detention Camp Warden', 'White Sands Fortress', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7730, 35905, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7731, 35906, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7732, 35907, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7733, 35908, 'Rebel Commander', 'White Sands Fortress', 'LineageNPC2.chief_of_insurgents', 10.00, 26.99, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 2450, 0, 7471, 843, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, 'white_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7734, 35909, 'Decorated Rebel Soldier', 'White Sands Fortress', 'LineageMonster.shadow_50_bi', 15.00, 45.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 0, 0, 0, 30, 120, 'white_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7735, 35910, 'Rebel Private', 'White Sands Fortress', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 2113, 0, 1410, 449, 785, 380, 253, 0, 500, 97, 0, 0, 30, 120, 'white_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7736, 35911, 'Court Guard', 'White Sands Fortress', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 62, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 98, 0, 0, 30, 120, 'white_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7737, 35912, 'Guard', 'White Sands Fortress', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 62, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'white_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7738, 35913, 'Power Control Unit', 'Control Room', 'LineageNpcEV.machine_construction_a', 54.00, 59.50, 66, 'female', 'L2Npc', 'npc', 40, 3547, 8.400, 1354, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7739, 35914, 'Dwarven Gunnery Sergeant', '', 'LineageNPC2.battery_of_insurgents', 13.00, 17.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 470, 1780, 682, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7740, 35915, 'Guard Captain', 'Guard', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 68, 'female', 'L2Commander', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(7741, 35916, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'white_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7742, 35917, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'white_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7743, 35918, 'Support Unit Captain', 'Support Unit', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 68, 'female', 'L2Commander', 'SiegeGuardMystic', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 752, 3089, 876, 253, 0, 500, 0, 0, 0, 30, 120, 'white_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL_BSPIRIT', 0, 0),
	(7744, 35919, 'Wizard', 'Support Unit', 'LineageNPC.a_patriarch_MElf', 8.00, 22.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 325, 0, 0, 30, 120, 'white_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7745, 35920, 'Healer', 'Support Unit', 'LineageNPC.a_mageguild_master_FHuman', 8.00, 23.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 92, 0, 0, 30, 120, 'white_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7746, 35921, 'Archer Captain', 'Archer', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 68, 'male', 'L2Commander', 'SiegeGuardRanger', 1100, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 10212, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(7747, 35922, 'Archer', 'Archer', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'white_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7748, 35923, 'Ballista', 'White Sands Fortress', 'LineageNpcEV.ballista', 112.00, 59.00, 70, 'male', 'L2Ballista', 'Ballista', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 753, 3474, 917, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7749, 35924, 'Mercenary Captain', '', 'LineageMonster3.Kight_of_Dawn', 12.00, 24.50, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 799, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7750, 35925, 'Mercenary Private', '', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 0, 0, 1735, 611, 1014, 496, 253, 0, 500, 96, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7751, 35926, 'Flagpole', '', 'LineageNpcEV.rune_holything', 46.00, 72.50, 20, 'female', 'L2Npc', 'npc', 40, 541, 8.400, 213, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 57, 95, 24, 77, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7752, 35927, 'Foreman', 'Borderland Fortress', 'LineageNPC.a_royal_guardA_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7753, 35928, 'Suspicious Merchant', 'Borderland Fortress', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 70, 'male', 'L2SuspiciousMerchant', 'SuspiciousMerchantBorderland', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7754, 35929, 'Guard Captain', 'Borderland Fortress', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7755, 35930, 'Archer Captain', 'Borderland Fortress', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 70, 'male', 'L2Npc', 'npc', 1100, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7756, 35931, 'General', 'Borderland Fortress', 'LineageNPC2.officer_of_insurgents_orc', 14.50, 30.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9813, 9813, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7757, 35932, 'Support Unit Captain', 'Borderland Fortress', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 70, 'female', 'L2SupportUnit', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1410, 471, 785, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7758, 35933, 'Engineering Manager', 'Borderland Fortress', 'LineageNPC.e_guard_MDwarf', 8.00, 19.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7759, 35934, 'Logistics Officer', 'Borderland Fortress', 'LineageNPC.e_collector_teacher_MDwarf', 8.00, 17.50, 70, 'male', 'L2LogisticsOfficer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7760, 35935, 'Supply Box', '', 'LineageMonster.mimic', 8.50, 8.50, 80, 'male', 'L2Npc', 'npc', 40, 4551, 8.400, 1859, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7761, 35936, 'Detention Camp Warden', 'Borderland Fortress', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7762, 35937, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7763, 35938, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7764, 35939, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7765, 35940, 'Rebel Commander', 'Borderland Fortress', 'LineageNPC2.chief_of_insurgents', 10.00, 26.99, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 2450, 0, 7471, 843, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, 'borderland_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7766, 35941, 'Decorated Rebel Soldier', 'Borderland Fortress', 'LineageMonster.shadow_50_bi', 15.00, 45.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 0, 0, 0, 30, 120, 'borderland_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7767, 35942, 'Rebel Private', 'Borderland Fortress', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 2113, 0, 1410, 449, 785, 380, 253, 0, 500, 97, 0, 0, 30, 120, 'borderland_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7768, 35943, 'Court Guard', 'Borderland Fortress', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 62, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 98, 0, 0, 30, 120, 'borderland_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7769, 35944, 'Guard', 'Borderland Fortress', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 62, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'borderland_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7770, 35945, 'Main Machine', 'Control Room', 'LineageNpcEV.machine_guard_a', 46.00, 35.00, 68, 'female', 'L2Npc', 'npc', 40, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 1207, 450, 563, 365, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7771, 35946, 'Backup Power Unit', 'Control Room', 'LineageNpcEV.strange_mechanical_instrume', 16.00, 15.50, 66, 'female', 'L2Npc', 'npc', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7772, 35947, 'Control Unit', 'Control Room', 'LineageNpcEV.door_lock', 39.00, 42.50, 66, 'male', 'L2Npc', 'npc', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7773, 35948, 'Power Control Unit', 'Control Room', 'LineageNpcEV.machine_construction_a', 54.00, 59.50, 66, 'female', 'L2Npc', 'npc', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 0, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7774, 35949, 'Dwarven Gunnery Sergeant', '', 'LineageNPC2.battery_of_insurgents', 13.00, 17.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 470, 1780, 682, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7775, 35950, 'Scout Golem', 'Control Room', 'LineageMonster.mechanic_golem', 5.00, 19.00, 64, 'male', 'L2Npc', 'npc', 40, 3384, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 2048, 0, 1023, 409, 473, 332, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7776, 35951, 'Guard Captain', 'Guard', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 68, 'female', 'L2Commander', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(7777, 35952, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'borderland_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7778, 35953, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'borderland_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7779, 35954, 'Support Unit Captain', 'Support Unit', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 68, 'female', 'L2Commander', 'SiegeGuardMystic', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 752, 3089, 876, 253, 0, 500, 0, 0, 0, 30, 120, 'borderland_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL_BSPIRIT', 0, 0),
	(7780, 35955, 'Wizard', 'Support Unit', 'LineageNPC.a_patriarch_MElf', 8.00, 22.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 325, 0, 0, 30, 120, 'borderland_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7781, 35956, 'Healer', 'Support Unit', 'LineageNPC.a_mageguild_master_FHuman', 8.00, 23.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 92, 0, 0, 30, 120, 'borderland_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7782, 35957, 'Archer Captain', 'Archer', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 68, 'male', 'L2Commander', 'SiegeGuardRanger', 1100, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 10212, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(7783, 35958, 'Archer', 'Archer', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'borderland_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7784, 35959, 'General', 'Officer\'s Barracks', 'LineageNPC2.officer_of_insurgents_orc', 14.50, 30.00, 68, 'male', 'L2Commander', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 9813, 9813, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(7785, 35960, 'Minister', 'Officer\'s Barracks', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 68, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 7895, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7786, 35961, 'Ballista', 'Borderland Fortress', 'LineageNpcEV.ballista', 112.00, 59.00, 70, 'male', 'L2Ballista', 'Ballista', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 753, 3474, 917, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7787, 35962, 'Mercenary Captain', '', 'LineageMonster3.Kight_of_Dawn', 12.00, 24.50, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 799, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7788, 35963, 'Mercenary Private', '', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 0, 0, 1735, 611, 1014, 496, 253, 0, 500, 96, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7789, 35964, 'Flagpole', '', 'LineageNpcEV.rune_holything', 46.00, 72.50, 20, 'female', 'L2Npc', 'npc', 40, 541, 8.400, 213, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 57, 95, 24, 77, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7790, 35965, 'Foreman', 'Swamp Fortress', 'LineageNPC.a_royal_guardA_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7791, 35966, 'Suspicious Merchant', 'Swamp Fortress', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 70, 'male', 'L2SuspiciousMerchant', 'SuspiciousMerchantMarshland', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7792, 35967, 'Guard Captain', 'Swamp Fortress', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7793, 35968, 'Archer Captain', 'Swamp Fortress', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 70, 'male', 'L2Npc', 'npc', 1100, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7794, 35969, 'General', 'Swamp Fortress', 'LineageNPC2.officer_of_insurgents_orc', 14.50, 30.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9813, 9813, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7795, 35970, 'Support Unit Captain', 'Swamp Fortress', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 70, 'female', 'L2SupportUnit', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1410, 471, 785, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7796, 35971, 'Engineering Manager', 'Swamp Fortress', 'LineageNPC.e_guard_MDwarf', 8.00, 19.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7797, 35972, 'Logistics Officer', 'Swamp Fortress', 'LineageNPC.e_collector_teacher_MDwarf', 8.00, 17.50, 70, 'male', 'L2LogisticsOfficer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7798, 35973, 'Supply Box', '', 'LineageMonster.mimic', 8.50, 8.50, 80, 'male', 'L2Npc', 'npc', 40, 4551, 8.400, 1859, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7799, 35974, 'Detention Camp Warden', 'Swamp Fortress', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7800, 35975, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7801, 35976, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7802, 35977, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7803, 35978, 'Rebel Commander', 'Swamp Fortress', 'LineageNPC2.chief_of_insurgents', 10.00, 26.99, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 2450, 0, 7471, 843, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, 'swamp_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7804, 35979, 'Decorated Rebel Soldier', 'Swamp Fortress', 'LineageMonster.shadow_50_bi', 15.00, 45.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 0, 0, 0, 30, 120, 'swamp_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7805, 35980, 'Rebel Private', 'Swamp Fortress', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 2113, 0, 1410, 449, 785, 380, 253, 0, 500, 97, 0, 0, 30, 120, 'swamp_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7806, 35981, 'Court Guard', 'Swamp Fortress', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 62, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 98, 0, 0, 30, 120, 'swamp_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7807, 35982, 'Guard', 'Swamp Fortress', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 62, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'swamp_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7808, 35983, 'Main Machine', 'Control Room', 'LineageNpcEV.machine_guard_a', 46.00, 35.00, 68, 'female', 'L2Npc', 'npc', 40, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 1207, 450, 563, 365, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7809, 35984, 'Backup Power Unit', 'Control Room', 'LineageNpcEV.strange_mechanical_instrume', 16.00, 15.50, 66, 'female', 'L2Npc', 'npc', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7810, 35985, 'Control Unit', 'Control Room', 'LineageNpcEV.door_lock', 39.00, 42.50, 66, 'male', 'L2Npc', 'npc', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7811, 35986, 'Power Control Unit', 'Control Room', 'LineageNpcEV.machine_construction_a', 54.00, 59.50, 66, 'female', 'L2Npc', 'npc', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 0, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7812, 35987, 'Dwarven Gunnery Sergeant', '', 'LineageNPC2.battery_of_insurgents', 13.00, 17.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 470, 1780, 682, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7813, 35988, 'Scout Golem', 'Control Room', 'LineageMonster.mechanic_golem', 5.00, 19.00, 64, 'male', 'L2Npc', 'npc', 40, 3384, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 2048, 0, 1023, 409, 473, 332, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7814, 35989, 'Guard Captain', 'Guard', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 68, 'female', 'L2Commander', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(7815, 35990, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'swamp_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7816, 35991, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'swamp_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7817, 35992, 'Support Unit Captain', 'Support Unit', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 68, 'female', 'L2Commander', 'SiegeGuardMystic', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 752, 3089, 876, 253, 0, 500, 0, 0, 0, 30, 120, 'swamp_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL_BSPIRIT', 0, 0),
	(7818, 35993, 'Wizard', 'Support Unit', 'LineageNPC.a_patriarch_MElf', 8.00, 22.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 325, 0, 0, 30, 120, 'swamp_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7819, 35994, 'Healer', 'Support Unit', 'LineageNPC.a_mageguild_master_FHuman', 8.00, 23.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 92, 0, 0, 30, 120, 'swamp_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7820, 35995, 'Archer Captain', 'Archer', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 68, 'male', 'L2Commander', 'SiegeGuardRanger', 1100, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 10212, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(7821, 35996, 'Archer', 'Archer', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'swamp_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7822, 35997, 'General', 'Officer\'s Barracks', 'LineageNPC2.officer_of_insurgents_orc', 14.50, 30.00, 68, 'male', 'L2Commander', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 9813, 9813, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(7823, 35998, 'Minister', 'Officer\'s Barracks', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 68, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 7895, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7824, 35999, 'Ballista', 'Swamp Fortress', 'LineageNpcEV.ballista', 112.00, 59.00, 70, 'male', 'L2Ballista', 'Ballista', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 753, 3474, 917, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7825, 36000, 'Mercenary Captain', '', 'LineageMonster3.Kight_of_Dawn', 12.00, 24.50, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 799, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7826, 36001, 'Mercenary Private', '', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 0, 0, 1735, 611, 1014, 496, 253, 0, 500, 96, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7827, 36002, 'Flagpole', '', 'LineageNpcEV.rune_holything', 46.00, 72.50, 20, 'female', 'L2Npc', 'npc', 40, 541, 8.400, 213, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 57, 95, 24, 77, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7828, 36003, 'Foreman', 'Archaic Fortress', 'LineageNPC.a_royal_guardA_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 128, 632, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7829, 36004, 'Suspicious Merchant', 'Archaic Fortress', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 70, 'male', 'L2SuspiciousMerchant', 'SuspiciousMerchantArchaic', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7830, 36005, 'Guard Captain', 'Archaic Fortress', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7831, 36006, 'Archer Captain', 'Archaic Fortress', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 70, 'male', 'L2Npc', 'npc', 1100, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7832, 36007, 'Support Unit Captain', 'Archaic Fortress', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 70, 'female', 'L2SupportUnit', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1410, 471, 785, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7833, 36008, 'Engineering Manager', 'Archaic Fortress', 'LineageNPC.e_guard_MDwarf', 8.00, 19.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7834, 36009, 'Logistics Officer', 'Archaic Fortress', 'LineageNPC.e_collector_teacher_MDwarf', 8.00, 17.50, 70, 'male', 'L2LogisticsOfficer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7835, 36010, 'Supply Box', '', 'LineageMonster.mimic', 8.50, 8.50, 80, 'male', 'L2Npc', 'npc', 40, 4551, 8.400, 1859, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7836, 36011, 'Detention Camp Warden', 'Archaic Fortress', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7837, 36012, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7838, 36013, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7839, 36014, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7840, 36015, 'Rebel Commander', 'Archaic Fortress', 'LineageNPC2.chief_of_insurgents', 10.00, 26.99, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 2450, 0, 7471, 843, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, 'archaic_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7841, 36016, 'Decorated Rebel Soldier', 'Archaic Fortress', 'LineageMonster.shadow_50_bi', 15.00, 45.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 0, 0, 0, 30, 120, 'archaic_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7842, 36017, 'Rebel Private', 'Archaic Fortress', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 2113, 0, 1410, 449, 785, 380, 253, 0, 500, 97, 0, 0, 30, 120, 'archaic_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7843, 36018, 'Court Guard', 'Archaic Fortress', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 62, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 98, 0, 0, 30, 120, 'archaic_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7844, 36019, 'Guard', 'Archaic Fortress', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 62, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'archaic_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7845, 36020, 'Power Control Unit', 'Control Room', 'LineageNpcEV.machine_construction_a', 54.00, 59.50, 66, 'female', 'L2Npc', 'npc', 40, 3547, 8.400, 1354, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7846, 36021, 'Dwarven Gunnery Sergeant', '', 'LineageNPC2.battery_of_insurgents', 13.00, 17.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 470, 1780, 682, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7847, 36022, 'Guard Captain', 'Guard', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 68, 'female', 'L2Commander', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(7848, 36023, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'archaic_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7849, 36024, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'archaic_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7850, 36025, 'Support Unit Captain', 'Support Unit', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 68, 'female', 'L2Commander', 'SiegeGuardMystic', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 752, 3089, 876, 253, 0, 500, 0, 0, 0, 30, 120, 'archaic_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL_BSPIRIT', 0, 0),
	(7851, 36026, 'Wizard', 'Support Unit', 'LineageNPC.a_patriarch_MElf', 8.00, 22.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 325, 0, 0, 30, 120, 'archaic_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7852, 36027, 'Healer', 'Support Unit', 'LineageNPC.a_mageguild_master_FHuman', 8.00, 23.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 92, 0, 0, 30, 120, 'archaic_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7853, 36028, 'Archer Captain', 'Archer', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 68, 'male', 'L2Commander', 'SiegeGuardRanger', 1100, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 10212, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(7854, 36029, 'Archer', 'Archer', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'archaic_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7855, 36030, 'Ballista', 'Archaic Fortress', 'LineageNpcEV.ballista', 112.00, 59.00, 70, 'male', 'L2Ballista', 'Ballista', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 753, 3474, 917, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7856, 36031, 'Mercenary Captain', '', 'LineageMonster3.Kight_of_Dawn', 12.00, 24.50, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 799, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7857, 36032, 'Mercenary Private', '', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 0, 0, 1735, 611, 1014, 496, 253, 0, 500, 96, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7858, 36033, 'Flagpole', '', 'LineageNpcEV.rune_holything', 46.00, 72.50, 20, 'female', 'L2Npc', 'npc', 40, 541, 8.400, 213, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 57, 95, 24, 77, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7859, 36034, 'Foreman', 'Floran Fortress', 'LineageNPC.a_royal_guardA_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7860, 36035, 'Suspicious Merchant', 'Floran Fortress', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 70, 'male', 'L2SuspiciousMerchant', 'SuspiciousMerchantFloran', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7861, 36036, 'Guard Captain', 'Floran Fortress', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7862, 36037, 'Archer Captain', 'Floran Fortress', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 70, 'male', 'L2Npc', 'npc', 1100, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7863, 36038, 'General', 'Floran Fortress', 'LineageNPC2.officer_of_insurgents_orc', 14.50, 30.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9813, 9813, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7864, 36039, 'Support Unit Captain', 'Floran Fortress', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 70, 'female', 'L2SupportUnit', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1410, 471, 785, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7865, 36040, 'Engineering Manager', 'Floran Fortress', 'LineageNPC.e_guard_MDwarf', 8.00, 19.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7866, 36041, 'Logistics Officer', 'Floran Fortress', 'LineageNPC.e_collector_teacher_MDwarf', 8.00, 17.50, 70, 'male', 'L2LogisticsOfficer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7867, 36042, 'Supply Box', '', 'LineageMonster.mimic', 8.50, 8.50, 80, 'male', 'L2Npc', 'npc', 40, 4551, 8.400, 1859, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7868, 36043, 'Detention Camp Warden', 'Floran Fortress', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7869, 36044, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7870, 36045, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7871, 36046, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7872, 36047, 'Rebel Commander', 'Floran Fortress', 'LineageNPC2.chief_of_insurgents', 10.00, 26.99, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 2450, 0, 7471, 843, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, 'floran_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7873, 36048, 'Decorated Rebel Soldier', 'Floran Fortress', 'LineageMonster.shadow_50_bi', 15.00, 45.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 0, 0, 0, 30, 120, 'floran_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7874, 36049, 'Rebel Private', 'Floran Fortress', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 2113, 0, 1410, 449, 785, 380, 253, 0, 500, 97, 0, 0, 30, 120, 'floran_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7875, 36050, 'Court Guard', 'Floran Fortress', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 62, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 98, 0, 0, 30, 120, 'floran_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7876, 36051, 'Guard', 'Floran Fortress', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 62, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'floran_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7877, 36052, 'Main Machine', 'Control Room', 'LineageNpcEV.machine_guard_a', 46.00, 35.00, 68, 'female', 'L2Npc', 'npc', 40, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 1207, 450, 563, 365, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7878, 36053, 'Backup Power Unit', 'Control Room', 'LineageNpcEV.strange_mechanical_instrume', 16.00, 15.50, 66, 'female', 'L2Npc', 'npc', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7879, 36054, 'Control Unit', 'Control Room', 'LineageNpcEV.door_lock', 39.00, 42.50, 66, 'male', 'L2Npc', 'npc', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7880, 36055, 'Power Control Unit', 'Control Room', 'LineageNpcEV.machine_construction_a', 54.00, 59.50, 66, 'female', 'L2Npc', 'npc', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 0, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7881, 36056, 'Dwarven Gunnery Sergeant', '', 'LineageNPC2.battery_of_insurgents', 13.00, 17.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 470, 1780, 682, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7882, 36057, 'Scout Golem', 'Control Room', 'LineageMonster.mechanic_golem', 5.00, 19.00, 64, 'male', 'L2Npc', 'npc', 40, 3384, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 2048, 0, 1023, 409, 473, 332, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7883, 36058, 'Guard Captain', 'Guard', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 68, 'female', 'L2Commander', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(7884, 36059, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'floran_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7885, 36060, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'floran_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7886, 36061, 'Support Unit Captain', 'Support Unit', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 68, 'female', 'L2Commander', 'SiegeGuardMystic', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 752, 3089, 876, 253, 0, 500, 0, 0, 0, 30, 120, 'floran_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL_BSPIRIT', 0, 0),
	(7887, 36062, 'Wizard', 'Support Unit', 'LineageNPC.a_patriarch_MElf', 8.00, 22.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 325, 0, 0, 30, 120, 'floran_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7888, 36063, 'Healer', 'Support Unit', 'LineageNPC.a_mageguild_master_FHuman', 8.00, 23.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 92, 0, 0, 30, 120, 'floran_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7889, 36064, 'Archer Captain', 'Archer', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 68, 'male', 'L2Commander', 'SiegeGuardRanger', 1100, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 10212, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(7890, 36065, 'Archer', 'Archer', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'floran_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7891, 36066, 'General', 'Officer\'s Barracks', 'LineageNPC2.officer_of_insurgents_orc', 14.50, 30.00, 68, 'male', 'L2Commander', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 9813, 9813, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(7892, 36067, 'Minister', 'Officer\'s Barracks', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 68, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 7895, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7893, 36068, 'Ballista', 'Floran Fortress', 'LineageNpcEV.ballista', 112.00, 59.00, 70, 'male', 'L2Ballista', 'Ballista', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 753, 3474, 917, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7894, 36069, 'Mercenary Captain', '', 'LineageMonster3.Kight_of_Dawn', 12.00, 24.50, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 799, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7895, 36070, 'Mercenary Private', '', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 0, 0, 1735, 611, 1014, 496, 253, 0, 500, 96, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7896, 36071, 'Flagpole', '', 'LineageNpcEV.rune_holything', 46.00, 72.50, 20, 'female', 'L2Npc', 'npc', 40, 541, 8.400, 213, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 57, 95, 24, 77, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7897, 36072, 'Foreman', 'Cloud Mountain', 'LineageNPC.a_royal_guardA_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7898, 36073, 'Suspicious Merchant', 'Cloud Mountain', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 70, 'male', 'L2SuspiciousMerchant', 'SuspiciousMerchantCloud', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7899, 36074, 'Guard Captain', 'Cloud Mountain', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7900, 36075, 'Archer Captain', 'Cloud Mountain', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 70, 'male', 'L2Npc', 'npc', 1100, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7901, 36076, 'General', 'Cloud Mountain', 'LineageNPC2.officer_of_insurgents_orc', 14.50, 30.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9813, 9813, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7902, 36077, 'Support Unit Captain', 'Cloud Mountain', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 70, 'female', 'L2SupportUnit', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1410, 471, 785, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7903, 36078, 'Engineering Manager', 'Cloud Mountain', 'LineageNPC.e_guard_MDwarf', 8.00, 19.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7904, 36079, 'Logistics Officer', 'Cloud Mountain', 'LineageNPC.e_collector_teacher_MDwarf', 8.00, 17.50, 70, 'male', 'L2LogisticsOfficer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7905, 36080, 'Supply Box', '', 'LineageMonster.mimic', 8.50, 8.50, 80, 'male', 'L2Npc', 'npc', 40, 4551, 8.400, 1859, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7906, 36081, 'Detention Camp Warden', 'Cloud Mountain', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7907, 36082, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7908, 36083, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7909, 36084, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7910, 36085, 'Rebel Commander', 'Cloud Mountain', 'LineageNPC2.chief_of_insurgents', 10.00, 26.99, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 2450, 0, 7471, 843, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, 'cloud_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7911, 36086, 'Decorated Rebel Soldier', 'Cloud Mountain', 'LineageMonster.shadow_50_bi', 15.00, 45.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 0, 0, 0, 30, 120, 'cloud_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7912, 36087, 'Rebel Private', 'Cloud Mountain', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 2113, 0, 1410, 449, 785, 380, 253, 0, 500, 97, 0, 0, 30, 120, 'cloud_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7913, 36088, 'Court Guard', 'Cloud Mountain', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 62, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 98, 0, 0, 30, 120, 'cloud_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7914, 36089, 'Guard', 'Cloud Mountain', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 62, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'cloud_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7915, 36090, 'Main Machine', 'Control Room', 'LineageNpcEV.machine_guard_a', 46.00, 35.00, 68, 'female', 'L2Npc', 'npc', 40, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 1207, 450, 563, 365, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7916, 36091, 'Backup Power Unit', 'Control Room', 'LineageNpcEV.strange_mechanical_instrume', 16.00, 15.50, 66, 'female', 'L2Npc', 'npc', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7917, 36092, 'Control Unit', 'Control Room', 'LineageNpcEV.door_lock', 39.00, 42.50, 66, 'male', 'L2Npc', 'npc', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7918, 36093, 'Power Control Unit', 'Control Room', 'LineageNpcEV.machine_construction_a', 54.00, 59.50, 66, 'female', 'L2Npc', 'npc', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 0, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7919, 36094, 'Dwarven Gunnery Sergeant', '', 'LineageNPC2.battery_of_insurgents', 13.00, 17.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 470, 1780, 682, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7920, 36095, 'Scout Golem', 'Control Room', 'LineageMonster.mechanic_golem', 5.00, 19.00, 64, 'male', 'L2Npc', 'npc', 40, 3384, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 2048, 0, 1023, 409, 473, 332, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7921, 36096, 'Guard Captain', 'Guard', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 68, 'female', 'L2Commander', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(7922, 36097, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'cloud_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7923, 36098, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'cloud_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7924, 36099, 'Support Unit Captain', 'Support Unit', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 68, 'female', 'L2Commander', 'SiegeGuardMystic', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 752, 3089, 876, 253, 0, 500, 0, 0, 0, 30, 120, 'cloud_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL_BSPIRIT', 0, 0),
	(7925, 36100, 'Wizard', 'Support Unit', 'LineageNPC.a_patriarch_MElf', 8.00, 22.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 325, 0, 0, 30, 120, 'cloud_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7926, 36101, 'Healer', 'Support Unit', 'LineageNPC.a_mageguild_master_FHuman', 8.00, 23.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 92, 0, 0, 30, 120, 'cloud_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7927, 36102, 'Archer Captain', 'Archer', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 68, 'male', 'L2Commander', 'SiegeGuardRanger', 1100, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 10212, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(7928, 36103, 'Archer', 'Archer', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'cloud_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7929, 36104, 'General', 'Officer\'s Barracks', 'LineageNPC2.officer_of_insurgents_orc', 14.50, 30.00, 68, 'male', 'L2Commander', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 9813, 9813, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(7930, 36105, 'Minister', 'Officer\'s Barracks', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 68, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 7895, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7931, 36106, 'Ballista', 'Cloud Mountain', 'LineageNpcEV.ballista', 112.00, 59.00, 70, 'male', 'L2Ballista', 'Ballista', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 753, 3474, 917, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7932, 36107, 'Mercenary Captain', '', 'LineageMonster3.Kight_of_Dawn', 12.00, 24.50, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 799, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7933, 36108, 'Mercenary Private', '', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 0, 0, 1735, 611, 1014, 496, 253, 0, 500, 96, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7934, 36109, 'Flagpole', '', 'LineageNpcEV.rune_holything', 46.00, 72.50, 20, 'female', 'L2Npc', 'npc', 40, 541, 8.400, 213, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 57, 95, 24, 77, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7935, 36110, 'Foreman', 'Tanor Fortress', 'LineageNPC.a_royal_guardA_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7936, 36111, 'Suspicious Merchant', 'Tanor Fortress', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 70, 'male', 'L2SuspiciousMerchant', 'SuspiciousMerchantTanor', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7937, 36112, 'Guard Captain', 'Tanor Fortress', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7938, 36113, 'Archer Captain', 'Tanor Fortress', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 70, 'male', 'L2Npc', 'npc', 1100, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7939, 36114, 'Support Unit Captain', 'Tanor Fortress', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 70, 'female', 'L2SupportUnit', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 752, 2256, 608, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7940, 36115, 'Engineering Manager', 'Tanor Fortress', 'LineageNPC.e_guard_MDwarf', 8.00, 19.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7941, 36116, 'Logistics Officer', 'Tanor Fortress', 'LineageNPC.e_collector_teacher_MDwarf', 8.00, 17.50, 70, 'male', 'L2LogisticsOfficer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7942, 36117, 'Supply Box', '', 'LineageMonster.mimic', 8.50, 8.50, 80, 'male', 'L2Npc', 'npc', 40, 4551, 8.400, 1859, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7943, 36118, 'Detention Camp Warden', 'Tanor Fortress', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7944, 36119, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7945, 36120, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7946, 36121, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7947, 36122, 'Rebel Commander', 'Tanor Fortress', 'LineageNPC2.chief_of_insurgents', 10.00, 26.99, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 2450, 0, 7471, 843, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, 'tanor_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7948, 36123, 'Decorated Rebel Soldier', 'Tanor Fortress', 'LineageMonster.shadow_50_bi', 15.00, 45.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 0, 0, 0, 30, 120, 'tanor_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7949, 36124, 'Rebel Private', 'Tanor Fortress', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 2113, 0, 1410, 449, 785, 380, 253, 0, 500, 97, 0, 0, 30, 120, 'tanor_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7950, 36125, 'Court Guard', 'Tanor Fortress', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 62, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 98, 0, 0, 30, 120, 'tanor_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7951, 36126, 'Guard', 'Tanor Fortress', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 62, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'tanor_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7952, 36127, 'Power Control Unit', 'Control Room', 'LineageNpcEV.machine_construction_a', 54.00, 59.50, 66, 'female', 'L2Npc', 'npc', 40, 3547, 8.400, 1354, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7953, 36128, 'Dwarven Gunnery Sergeant', '', 'LineageNPC2.battery_of_insurgents', 13.00, 17.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 470, 1780, 682, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7954, 36129, 'Guard Captain', 'Guard', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 68, 'female', 'L2Commander', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(7955, 36130, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'tanor_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7956, 36131, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'tanor_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7957, 36132, 'Support Unit Captain', 'Support Unit', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 68, 'female', 'L2Commander', 'SiegeGuardMystic', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 752, 3089, 876, 253, 0, 500, 0, 0, 0, 30, 120, 'tanor_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL_BSPIRIT', 0, 0),
	(7958, 36133, 'Wizard', 'Support Unit', 'LineageNPC.a_patriarch_MElf', 8.00, 22.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 325, 0, 0, 30, 120, 'tanor_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7959, 36134, 'Healer', 'Support Unit', 'LineageNPC.a_mageguild_master_FHuman', 8.00, 23.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 92, 0, 0, 30, 120, 'tanor_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7960, 36135, 'Archer Captain', 'Archer', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 68, 'male', 'L2Commander', 'SiegeGuardRanger', 1100, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 10212, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(7961, 36136, 'Archer', 'Archer', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'tanor_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7962, 36137, 'Ballista', 'Tanor Fortress', 'LineageNpcEV.ballista', 112.00, 59.00, 70, 'male', 'L2Ballista', 'Ballista', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 753, 3474, 917, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7963, 36138, 'Mercenary Captain', '', 'LineageMonster3.Kight_of_Dawn', 12.00, 24.50, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 799, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7964, 36139, 'Mercenary Private', '', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 0, 0, 1735, 611, 1014, 496, 253, 0, 500, 96, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7965, 36140, 'Flagpole', '', 'LineageNpcEV.rune_holything', 46.00, 72.50, 20, 'female', 'L2Npc', 'npc', 40, 541, 8.400, 213, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 57, 95, 24, 77, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7966, 36141, 'Foreman', 'Dragonspine Fortress', 'LineageNPC.a_royal_guardA_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 128, 632, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7967, 36142, 'Suspicious Merchant', 'Dragonspine Fortress', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 70, 'male', 'L2SuspiciousMerchant', 'SuspiciousMerchantDragonspine', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7968, 36143, 'Guard Captain', 'Dragonspine Fortress', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7969, 36144, 'Archer Captain', 'Dragonspine Fortress', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 70, 'male', 'L2Npc', 'npc', 1100, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7970, 36145, 'Support Unit Captain', 'Dragonspine Fortress', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 70, 'female', 'L2SupportUnit', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 752, 2256, 608, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7971, 36146, 'Engineering Manager', 'Dragonspine Fortress', 'LineageNPC.e_guard_MDwarf', 8.00, 19.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7972, 36147, 'Logistics Officer', 'Dragonspine Fortress', 'LineageNPC.e_collector_teacher_MDwarf', 8.00, 17.50, 70, 'male', 'L2LogisticsOfficer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7973, 36148, 'Supply Box', '', 'LineageMonster.mimic', 8.50, 8.50, 80, 'male', 'L2Npc', 'npc', 40, 4551, 8.400, 1859, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7974, 36149, 'Detention Camp Warden', 'Dragonspine Fortress', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7975, 36150, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7976, 36151, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7977, 36152, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7978, 36153, 'Rebel Commander', 'Dragonspine Fortress', 'LineageNPC2.chief_of_insurgents', 10.00, 26.99, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 2450, 0, 7471, 843, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, 'dragonspine_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7979, 36154, 'Decorated Rebel Soldier', 'Dragonspine Fortress', 'LineageMonster.shadow_50_bi', 15.00, 45.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 0, 0, 0, 30, 120, 'dragonspine_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7980, 36155, 'Rebel Private', 'Dragonspine Fortress', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 2113, 0, 1410, 449, 785, 380, 253, 0, 500, 97, 0, 0, 30, 120, 'dragonspine_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7981, 36156, 'Court Guard', 'Dragonspine Fortress', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 62, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 98, 0, 0, 30, 120, 'dragonspine_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7982, 36157, 'Guard', 'Dragonspine Fortress', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 62, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'dragonspine_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7983, 36158, 'Power Control Unit', 'Control Room', 'LineageNpcEV.machine_construction_a', 54.00, 59.50, 66, 'female', 'L2Npc', 'npc', 40, 3547, 8.400, 1354, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7984, 36159, 'Dwarven Gunnery Sergeant', '', 'LineageNPC2.battery_of_insurgents', 13.00, 17.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 470, 1780, 682, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7985, 36160, 'Guard Captain', 'Guard', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 68, 'female', 'L2Commander', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(7986, 36161, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'dragonspine_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7987, 36162, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'dragonspine_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7988, 36163, 'Support Unit Captain', 'Support Unit', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 68, 'female', 'L2Commander', 'SiegeGuardMystic', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 752, 3089, 876, 253, 0, 500, 0, 0, 0, 30, 120, 'dragonspine_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL_BSPIRIT', 0, 0),
	(7989, 36164, 'Wizard', 'Support Unit', 'LineageNPC.a_patriarch_MElf', 8.00, 22.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 325, 0, 0, 30, 120, 'dragonspine_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7990, 36165, 'Healer', 'Support Unit', 'LineageNPC.a_mageguild_master_FHuman', 8.00, 23.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 92, 0, 0, 30, 120, 'dragonspine_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7991, 36166, 'Archer Captain', 'Archer', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 68, 'male', 'L2Commander', 'SiegeGuardRanger', 1100, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 10212, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(7992, 36167, 'Archer', 'Archer', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'dragonspine_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7993, 36168, 'Ballista', 'Dragonspine Fortress', 'LineageNpcEV.ballista', 112.00, 59.00, 70, 'male', 'L2Ballista', 'Ballista', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 753, 3474, 917, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7994, 36169, 'Mercenary Captain', '', 'LineageMonster3.Kight_of_Dawn', 12.00, 24.50, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 799, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7995, 36170, 'Mercenary Private', '', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 0, 0, 1735, 611, 1014, 496, 253, 0, 500, 96, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7996, 36171, 'Flagpole', '', 'LineageNpcEV.rune_holything', 46.00, 72.50, 20, 'female', 'L2Npc', 'npc', 40, 541, 8.400, 213, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 57, 95, 24, 77, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(7997, 36172, 'Foreman', 'Antharas\' Fortress', 'LineageNPC.a_royal_guardA_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7998, 36173, 'Suspicious Merchant', 'Antharas\' Fortress', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 70, 'male', 'L2SuspiciousMerchant', 'SuspiciousMerchantAntharas', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(7999, 36174, 'Guard Captain', 'Antharas\' Fortress', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8000, 36175, 'Archer Captain', 'Antharas\' Fortress', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 70, 'male', 'L2Npc', 'npc', 1100, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8001, 36176, 'General', 'Antharas\' Fortress', 'LineageNPC2.officer_of_insurgents_orc', 14.50, 30.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9813, 9813, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8002, 36177, 'Support Unit Captain', 'Antharas\' Fortress', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 70, 'female', 'L2SupportUnit', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1410, 471, 785, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8003, 36178, 'Engineering Manager', 'Antharas\' Fortress', 'LineageNPC.e_guard_MDwarf', 8.00, 19.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8004, 36179, 'Logistics Officer', 'Antharas\' Fortress', 'LineageNPC.e_collector_teacher_MDwarf', 8.00, 17.50, 70, 'male', 'L2LogisticsOfficer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8005, 36180, 'Supply Box', '', 'LineageMonster.mimic', 8.50, 8.50, 80, 'male', 'L2Npc', 'npc', 40, 4551, 8.400, 1859, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8006, 36181, 'Detention Camp Warden', 'Antharas\' Fortress', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8007, 36182, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8008, 36183, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8009, 36184, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8010, 36185, 'Rebel Commander', 'Antharas\' Fortress', 'LineageNPC2.chief_of_insurgents', 10.00, 26.99, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 2450, 0, 7471, 843, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, 'antharas_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8011, 36186, 'Decorated Rebel Soldier', 'Antharas\' Fortress', 'LineageMonster.shadow_50_bi', 15.00, 45.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 0, 0, 0, 30, 120, 'antharas_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8012, 36187, 'Rebel Private', 'Antharas\' Fortress', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 2113, 0, 1410, 449, 785, 380, 253, 0, 500, 97, 0, 0, 30, 120, 'antharas_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8013, 36188, 'Court Guard', 'Antharas\' Fortress', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 62, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 98, 0, 0, 30, 120, 'antharas_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8014, 36189, 'Guard', 'Antharas\' Fortress', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 62, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'antharas_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8015, 36190, 'Main Machine', 'Control Room', 'LineageNpcEV.machine_guard_a', 46.00, 35.00, 68, 'female', 'L2Npc', 'npc', 40, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 1207, 450, 563, 365, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8016, 36191, 'Backup Power Unit', 'Control Room', 'LineageNpcEV.strange_mechanical_instrume', 16.00, 15.50, 66, 'female', 'L2Npc', 'npc', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8017, 36192, 'Control Unit', 'Control Room', 'LineageNpcEV.door_lock', 39.00, 42.50, 66, 'male', 'L2Npc', 'npc', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8018, 36193, 'Power Control Unit', 'Control Room', 'LineageNpcEV.machine_construction_a', 54.00, 59.50, 66, 'female', 'L2Npc', 'npc', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 0, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8019, 36194, 'Dwarven Gunnery Sergeant', '', 'LineageNPC2.battery_of_insurgents', 13.00, 17.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 470, 1780, 682, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8020, 36195, 'Scout Golem', 'Control Room', 'LineageMonster.mechanic_golem', 5.00, 19.00, 64, 'male', 'L2Npc', 'npc', 40, 3384, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 2048, 0, 1023, 409, 473, 332, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8021, 36196, 'Guard Captain', 'Guard', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 68, 'female', 'L2Commander', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(8022, 36197, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'antharas_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8023, 36198, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'antharas_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8024, 36199, 'Support Unit Captain', 'Support Unit', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 68, 'female', 'L2Commander', 'SiegeGuardMystic', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 752, 3089, 876, 253, 0, 500, 0, 0, 0, 30, 120, 'antharas_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL_BSPIRIT', 0, 0),
	(8025, 36200, 'Wizard', 'Support Unit', 'LineageNPC.a_patriarch_MElf', 8.00, 22.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 325, 0, 0, 30, 120, 'antharas_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8026, 36201, 'Healer', 'Support Unit', 'LineageNPC.a_mageguild_master_FHuman', 8.00, 23.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 92, 0, 0, 30, 120, 'antharas_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8027, 36202, 'Archer Captain', 'Archer', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 68, 'male', 'L2Commander', 'SiegeGuardRanger', 1100, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 10212, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(8028, 36203, 'Archer', 'Archer', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'antharas_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8029, 36204, 'General', 'Officer\'s Barracks', 'LineageNPC2.officer_of_insurgents_orc', 14.50, 30.00, 68, 'male', 'L2Commander', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 9813, 9813, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(8030, 36205, 'Minister', 'Officer\'s Barracks', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 68, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 7895, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8031, 36206, 'Ballista', 'Antharas\' Fortress', 'LineageNpcEV.ballista', 112.00, 59.00, 70, 'male', 'L2Ballista', 'Ballista', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 753, 3474, 917, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8032, 36207, 'Mercenary Captain', '', 'LineageMonster3.Kight_of_Dawn', 12.00, 24.50, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 799, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8033, 36208, 'Mercenary Private', '', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 0, 0, 1735, 611, 1014, 496, 253, 0, 500, 96, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8034, 36209, 'Flagpole', '', 'LineageNpcEV.rune_holything', 46.00, 72.50, 20, 'female', 'L2Npc', 'npc', 40, 541, 8.400, 213, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 57, 95, 24, 77, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8035, 36210, 'Foreman', 'Western Fortress', 'LineageNPC.a_royal_guardA_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8036, 36211, 'Suspicious Merchant', 'Western Fortress', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 70, 'male', 'L2SuspiciousMerchant', 'SuspiciousMerchantWestern', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8037, 36212, 'Guard Captain', 'Western Fortress', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8038, 36213, 'Archer Captain', 'Western Fortress', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 70, 'male', 'L2Npc', 'npc', 1100, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8039, 36214, 'General', 'Western Fortress', 'LineageNPC2.officer_of_insurgents_orc', 14.50, 30.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9813, 9813, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8040, 36215, 'Support Unit Captain', 'Western Fortress', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 70, 'female', 'L2SupportUnit', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1410, 471, 785, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8041, 36216, 'Engineering Manager', 'Western Fortress', 'LineageNPC.e_guard_MDwarf', 8.00, 19.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8042, 36217, 'Logistics Officer', 'Western Fortress', 'LineageNPC.e_collector_teacher_MDwarf', 8.00, 17.50, 70, 'male', 'L2LogisticsOfficer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8043, 36218, 'Supply Box', '', 'LineageMonster.mimic', 8.50, 8.50, 80, 'male', 'L2Npc', 'npc', 40, 4551, 8.400, 1859, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8044, 36219, 'Detention Camp Warden', 'Western Fortress', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8045, 36220, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8046, 36221, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8047, 36222, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8048, 36223, 'Rebel Commander', 'Western Fortress', 'LineageNPC2.chief_of_insurgents', 10.00, 26.99, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 2450, 0, 7471, 843, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, 'western_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8049, 36224, 'Decorated Rebel Soldier', 'Western Fortress', 'LineageMonster.shadow_50_bi', 15.00, 45.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 0, 0, 0, 30, 120, 'western_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8050, 36225, 'Rebel Private', 'Western Fortress', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 2113, 0, 1410, 449, 785, 380, 253, 0, 500, 97, 0, 0, 30, 120, 'western_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8051, 36226, 'Court Guard', 'Western Fortress', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 62, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 98, 0, 0, 30, 120, 'western_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8052, 36227, 'Guard', 'Western Fortress', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 62, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'western_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8053, 36228, 'Main Machine', 'Control Room', 'LineageNpcEV.machine_guard_a', 46.00, 35.00, 68, 'female', 'L2Npc', 'npc', 40, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 1207, 450, 563, 365, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8054, 36229, 'Backup Power Unit', 'Control Room', 'LineageNpcEV.strange_mechanical_instrume', 16.00, 15.50, 66, 'female', 'L2Npc', 'npc', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8055, 36230, 'Control Unit', 'Control Room', 'LineageNpcEV.door_lock', 39.00, 42.50, 66, 'male', 'L2Npc', 'npc', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8056, 36231, 'Power Control Unit', 'Control Room', 'LineageNpcEV.machine_construction_a', 54.00, 59.50, 66, 'female', 'L2Npc', 'npc', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 0, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8057, 36232, 'Dwarven Gunnery Sergeant', '', 'LineageNPC2.battery_of_insurgents', 13.00, 17.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 470, 1780, 682, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8058, 36233, 'Scout Golem', 'Control Room', 'LineageMonster.mechanic_golem', 5.00, 19.00, 64, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3384, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 2048, 0, 1410, 449, 785, 380, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8059, 36234, 'Guard Captain', 'Guard', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 68, 'female', 'L2Commander', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(8060, 36235, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'western_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8061, 36236, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'western_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8062, 36237, 'Support Unit Captain', 'Support Unit', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 68, 'female', 'L2Commander', 'SiegeGuardMystic', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 752, 3089, 876, 253, 0, 500, 0, 0, 0, 30, 120, 'antharas_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL_BSPIRIT', 0, 0),
	(8063, 36238, 'Wizard', 'Support Unit', 'LineageNPC.a_patriarch_MElf', 8.00, 22.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 325, 0, 0, 30, 120, 'western_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8064, 36239, 'Healer', 'Support Unit', 'LineageNPC.a_mageguild_master_FHuman', 8.00, 23.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 92, 0, 0, 30, 120, 'western_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0);
INSERT INTO `npc` (`ordinal`, `id`, `name`, `title`, `class`, `collision_radius`, `collision_height`, `level`, `sex`, `type`, `ai_type`, `attackrange`, `hp`, `base_hp_regen`, `mp`, `base_mp_regen`, `str`, `con`, `dex`, `int`, `wit`, `men`, `exp`, `sp`, `patk`, `pdef`, `matk`, `mdef`, `atkspd`, `aggro`, `matkspd`, `rhand`, `lhand`, `armor`, `walkspd`, `runspd`, `faction_id`, `faction_range`, `displayId`, `shield_defense_rate`, `shield_defense`, `corpse_time`, `base_rand_dam`, `base_critical`, `physical_hit_modify`, `base_reuse_delay`, `physical_avoid_modify`, `hit_time_factor`, `isDropHerbs`, `shots`, `map_flag`, `boss_flag`) VALUES
	(8065, 36240, 'Archer Captain', 'Archer', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 68, 'male', 'L2Commander', 'SiegeGuardRanger', 1100, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 10212, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(8066, 36241, 'Archer', 'Archer', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'western_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8067, 36242, 'General', 'Officer\'s Barracks', 'LineageNPC2.officer_of_insurgents_orc', 14.50, 30.00, 68, 'male', 'L2Commander', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 9813, 9813, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(8068, 36243, 'Minister', 'Officer\'s Barracks', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 68, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 7895, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8069, 36244, 'Ballista', 'Western Fortress', 'LineageNpcEV.ballista', 112.00, 59.00, 70, 'male', 'L2Ballista', 'Ballista', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 753, 3474, 917, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8070, 36245, 'Mercenary Captain', '', 'LineageMonster3.Kight_of_Dawn', 12.00, 24.50, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 799, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8071, 36246, 'Mercenary Private', '', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 0, 0, 1735, 611, 1014, 496, 253, 0, 500, 96, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8072, 36247, 'Flagpole', '', 'LineageNpcEV.rune_holything', 46.00, 72.50, 20, 'female', 'L2Npc', 'npc', 40, 541, 8.400, 213, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 57, 95, 24, 77, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8073, 36248, 'Foreman', 'Hunter\'s Fortress', 'LineageNPC.a_royal_guardA_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8074, 36249, 'Suspicious Merchant', 'Hunter\'s Fortress', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 70, 'male', 'L2SuspiciousMerchant', 'SuspiciousMerchantHunters', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8075, 36250, 'Guard Captain', 'Hunter\'s Fortress', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8076, 36251, 'Archer Captain', 'Hunter\'s Fortress', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 70, 'male', 'L2Npc', 'npc', 1100, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8077, 36252, 'General', 'Hunter\'s Fortress', 'LineageNPC2.officer_of_insurgents_orc', 14.50, 30.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9813, 9813, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8078, 36253, 'Support Unit Captain', 'Hunter\'s Fortress', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 70, 'female', 'L2SupportUnit', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1410, 471, 785, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8079, 36254, 'Engineering Manager', 'Hunter\'s Fortress', 'LineageNPC.e_guard_MDwarf', 8.00, 19.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8080, 36255, 'Logistics Officer', 'Hunter\'s Fortress', 'LineageNPC.e_collector_teacher_MDwarf', 8.00, 17.50, 70, 'male', 'L2LogisticsOfficer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8081, 36256, 'Supply Box', '', 'LineageMonster.mimic', 8.50, 8.50, 80, 'male', 'L2Npc', 'npc', 40, 4551, 8.400, 1859, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8082, 36257, 'Detention Camp Warden', 'Hunter\'s Fortress', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8083, 36258, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8084, 36259, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8085, 36260, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8086, 36261, 'Rebel Commander', 'Hunter\'s Fortress', 'LineageNPC2.chief_of_insurgents', 10.00, 26.99, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 2450, 0, 7471, 843, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, 'hunters_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8087, 36262, 'Decorated Rebel Soldier', 'Hunter\'s Fortress', 'LineageMonster.shadow_50_bi', 15.00, 45.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 0, 0, 0, 30, 120, 'hunters_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8088, 36263, 'Rebel Private', 'Hunter\'s Fortress', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 2113, 0, 1410, 449, 785, 380, 253, 0, 500, 97, 0, 0, 30, 120, 'hunters_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8089, 36264, 'Court Guard', 'Hunter\'s Fortress', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 62, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 98, 0, 0, 30, 120, 'hunters_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8090, 36265, 'Guard', 'Hunter\'s Fortress', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 62, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'hunters_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8091, 36266, 'Main Machine', 'Control Room', 'LineageNpcEV.machine_guard_a', 46.00, 35.00, 68, 'female', 'L2Npc', 'npc', 40, 3706, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 1207, 450, 563, 365, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8092, 36267, 'Backup Power Unit', 'Control Room', 'LineageNpcEV.strange_mechanical_instrume', 16.00, 15.50, 66, 'female', 'L2Npc', 'npc', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8093, 36268, 'Control Unit', 'Control Room', 'LineageNpcEV.door_lock', 39.00, 42.50, 66, 'male', 'L2Npc', 'npc', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8094, 36269, 'Power Control Unit', 'Control Room', 'LineageNpcEV.machine_construction_a', 54.00, 59.50, 66, 'female', 'L2Npc', 'npc', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 0, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8095, 36270, 'Dwarven Gunnery Sergeant', '', 'LineageNPC2.battery_of_insurgents', 13.00, 17.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 470, 1780, 682, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8096, 36271, 'Scout Golem', 'Control Room', 'LineageMonster.mechanic_golem', 5.00, 19.00, 64, 'male', 'L2Npc', 'npc', 40, 3384, 7.800, 1285, 2.790, 40, 43, 30, 21, 20, 20, 2048, 0, 1023, 409, 473, 332, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8097, 36272, 'Guard Captain', 'Guard', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 68, 'female', 'L2Commander', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(8098, 36273, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'hunters_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8099, 36274, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'hunters_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8100, 36275, 'Support Unit Captain', 'Support Unit', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 68, 'female', 'L2Commander', 'SiegeGuardMystic', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 752, 3089, 876, 253, 0, 500, 0, 0, 0, 30, 120, 'hunters_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL_BSPIRIT', 0, 0),
	(8101, 36276, 'Wizard', 'Support Unit', 'LineageNPC.a_patriarch_MElf', 8.00, 22.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 325, 0, 0, 30, 120, 'hunters_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8102, 36277, 'Healer', 'Support Unit', 'LineageNPC.a_mageguild_master_FHuman', 8.00, 23.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 92, 0, 0, 30, 120, 'hunters_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8103, 36278, 'Archer Captain', 'Archer', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 68, 'male', 'L2Commander', 'SiegeGuardRanger', 1100, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 10212, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(8104, 36279, 'Archer', 'Archer', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'hunters_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8105, 36280, 'General', 'Officer\'s Barracks', 'LineageNPC2.officer_of_insurgents_orc', 14.50, 30.00, 68, 'male', 'L2Commander', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 9813, 9813, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(8106, 36281, 'Minister', 'Officer\'s Barracks', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 68, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 7895, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8107, 36282, 'Ballista', 'Hunter\'s Fortress', 'LineageNpcEV.ballista', 112.00, 59.00, 70, 'male', 'L2Ballista', 'Ballista', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 753, 3474, 917, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8108, 36283, 'Mercenary Captain', '', 'LineageMonster3.Kight_of_Dawn', 12.00, 24.50, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 799, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8109, 36284, 'Mercenary Private', '', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 0, 0, 1735, 611, 1014, 496, 253, 0, 500, 96, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8110, 36285, 'Flagpole', '', 'LineageNpcEV.rune_holything', 46.00, 72.50, 20, 'female', 'L2Npc', 'npc', 40, 541, 8.400, 213, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 57, 95, 24, 77, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8111, 36286, 'Foreman', 'Aaru Fortress', 'LineageNPC.a_royal_guardA_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8112, 36287, 'Suspicious Merchant', 'Aaru Fortress', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 70, 'male', 'L2SuspiciousMerchant', 'SuspiciousMerchantAaru', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8113, 36288, 'Guard Captain', 'Aaru Fortress', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8114, 36289, 'Archer Captain', 'Aaru Fortress', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 70, 'male', 'L2Npc', 'npc', 1100, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8115, 36290, 'Support Unit Captain', 'Aaru Fortress', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 70, 'female', 'L2SupportUnit', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 752, 2256, 608, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8116, 36291, 'Engineering Manager', 'Aaru Fortress', 'LineageNPC.e_guard_MDwarf', 8.00, 19.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8117, 36292, 'Logistics Officer', 'Aaru Fortress', 'LineageNPC.e_collector_teacher_MDwarf', 8.00, 17.50, 70, 'male', 'L2LogisticsOfficer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8118, 36293, 'Supply Box', '', 'LineageMonster.mimic', 8.50, 8.50, 80, 'male', 'L2Npc', 'npc', 40, 4551, 8.400, 1859, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8119, 36294, 'Detention Camp Warden', 'Aaru Fortress', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8120, 36295, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8121, 36296, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8122, 36297, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8123, 36298, 'Rebel Commander', 'Aaru Fortress', 'LineageNPC2.chief_of_insurgents', 10.00, 26.99, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 2450, 0, 7471, 843, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, 'aaru_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8124, 36299, 'Decorated Rebel Soldier', 'Aaru Fortress', 'LineageMonster.shadow_50_bi', 15.00, 45.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 0, 0, 0, 30, 120, 'aaru_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8125, 36300, 'Rebel Private', 'Aaru Fortress', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 2113, 0, 1410, 449, 785, 380, 253, 0, 500, 97, 0, 0, 30, 120, 'aaru_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8126, 36301, 'Court Guard', 'Aaru Fortress', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 62, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 98, 0, 0, 30, 120, 'aaru_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8127, 36302, 'Guard', 'Aaru Fortress', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 62, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'aaru_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8128, 36303, 'Power Control Unit', 'Control Room', 'LineageNpcEV.machine_construction_a', 54.00, 59.50, 66, 'female', 'L2Npc', 'npc', 40, 3547, 8.400, 1354, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8129, 36304, 'Dwarven Gunnery Sergeant', '', 'LineageNPC2.battery_of_insurgents', 13.00, 17.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 470, 1780, 682, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8130, 36305, 'Guard Captain', 'Guard', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 68, 'female', 'L2Commander', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(8131, 36306, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'aaru_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8132, 36307, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'aaru_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8133, 36308, 'Support Unit Captain', 'Support Unit', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 68, 'female', 'L2Commander', 'SiegeGuardMystic', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 752, 3089, 876, 253, 0, 500, 0, 0, 0, 30, 120, 'aaru_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL_BSPIRIT', 0, 0),
	(8134, 36309, 'Wizard', 'Support Unit', 'LineageNPC.a_patriarch_MElf', 8.00, 22.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 325, 0, 0, 30, 120, 'aaru_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8135, 36310, 'Healer', 'Support Unit', 'LineageNPC.a_mageguild_master_FHuman', 8.00, 23.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 92, 0, 0, 30, 120, 'aaru_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8136, 36311, 'Archer Captain', 'Archer', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 68, 'male', 'L2Commander', 'SiegeGuardRanger', 1100, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 10212, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(8137, 36312, 'Archer', 'Archer', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'aaru_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8138, 36313, 'Ballista', 'Aaru Fortress', 'LineageNpcEV.ballista', 112.00, 59.00, 70, 'male', 'L2Ballista', 'Ballista', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 753, 3474, 917, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8139, 36314, 'Mercenary Captain', '', 'LineageMonster3.Kight_of_Dawn', 12.00, 24.50, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 799, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8140, 36315, 'Mercenary Private', '', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 0, 0, 1735, 611, 1014, 496, 253, 0, 500, 96, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8141, 36316, 'Flagpole', '', 'LineageNpcEV.rune_holything', 46.00, 72.50, 20, 'female', 'L2Npc', 'npc', 40, 541, 8.400, 213, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 57, 95, 24, 77, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8142, 36317, 'Foreman', 'Demon Fortress', 'LineageNPC.a_royal_guardA_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8143, 36318, 'Suspicious Merchant', 'Demon Fortress', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 70, 'male', 'L2SuspiciousMerchant', 'SuspiciousMerchantDemon', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8144, 36319, 'Guard Captain', 'Demon Fortress', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8145, 36320, 'Archer Captain', 'Demon Fortress', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 70, 'male', 'L2Npc', 'npc', 1100, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8146, 36321, 'General', 'Demon Fortress', 'LineageNPC2.officer_of_insurgents_orc', 14.50, 30.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9813, 9813, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8147, 36322, 'Support Unit Captain', 'Demon Fortress', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 70, 'female', 'L2SupportUnit', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1410, 471, 785, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8148, 36323, 'Engineering Manager', 'Demon Fortress', 'LineageNPC.e_guard_MDwarf', 8.00, 19.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8149, 36324, 'Logistics Officer', 'Demon Fortress', 'LineageNPC.e_collector_teacher_MDwarf', 8.00, 17.50, 70, 'male', 'L2LogisticsOfficer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8150, 36325, 'Supply Box', '', 'LineageMonster.mimic', 8.50, 8.50, 80, 'male', 'L2Npc', 'npc', 40, 4551, 8.400, 1859, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8151, 36326, 'Detention Camp Warden', 'Demon Fortress', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8152, 36327, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8153, 36328, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8154, 36329, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8155, 36330, 'Rebel Commander', 'Demon Fortress', 'LineageNPC2.chief_of_insurgents', 10.00, 26.99, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 2450, 0, 7471, 843, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, 'demon_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8156, 36331, 'Decorated Rebel Soldier', 'Demon Fortress', 'LineageMonster.shadow_50_bi', 15.00, 45.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 0, 0, 0, 30, 120, 'demon_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8157, 36332, 'Rebel Private', 'Demon Fortress', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 2113, 0, 1410, 449, 785, 380, 253, 0, 500, 97, 0, 0, 30, 120, 'demon_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8158, 36333, 'Court Guard', 'Demon Fortress', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 62, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 98, 0, 0, 30, 120, 'demon_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8159, 36334, 'Guard', 'Demon Fortress', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 62, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'demon_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8160, 36335, 'Main Machine', 'Control Room', 'LineageNpcEV.machine_guard_a', 46.00, 35.00, 68, 'female', 'L2Npc', 'npc', 40, 3706, 8.400, 1423, 2.970, 40, 43, 30, 21, 20, 20, 2312, 0, 1207, 450, 563, 365, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8161, 36336, 'Backup Power Unit', 'Control Room', 'LineageNpcEV.strange_mechanical_instrume', 16.00, 15.50, 66, 'female', 'L2Npc', 'npc', 40, 3547, 8.400, 1354, 2.970, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8162, 36337, 'Control Unit', 'Control Room', 'LineageNpcEV.door_lock', 39.00, 42.50, 66, 'male', 'L2Npc', 'npc', 40, 3547, 8.400, 1354, 2.970, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8163, 36338, 'Power Control Unit', 'Control Room', 'LineageNpcEV.machine_construction_a', 54.00, 59.50, 66, 'female', 'L2Npc', 'npc', 40, 3547, 8.400, 1354, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8164, 36339, 'Dwarven Gunnery Sergeant', '', 'LineageNPC2.battery_of_insurgents', 13.00, 17.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 470, 1780, 682, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8165, 36340, 'Scout Golem', 'Control Room', 'LineageMonster.mechanic_golem', 5.00, 19.00, 64, 'male', 'L2Npc', 'npc', 40, 3384, 8.400, 1285, 2.970, 40, 43, 30, 21, 20, 20, 2048, 0, 1023, 409, 473, 332, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8166, 36341, 'Guard Captain', 'Guard', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 68, 'female', 'L2Commander', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(8167, 36342, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'demon_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8168, 36343, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'demon_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8169, 36344, 'Support Unit Captain', 'Support Unit', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 68, 'female', 'L2Commander', 'SiegeGuardMystic', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 752, 3089, 876, 253, 0, 500, 0, 0, 0, 30, 120, 'demon_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL_BSPIRIT', 0, 0),
	(8170, 36345, 'Wizard', 'Support Unit', 'LineageNPC.a_patriarch_MElf', 8.00, 22.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 325, 0, 0, 30, 120, 'demon_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8171, 36346, 'Healer', 'Support Unit', 'LineageNPC.a_mageguild_master_FHuman', 8.00, 23.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 92, 0, 0, 30, 120, 'demon_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8172, 36347, 'Archer Captain', 'Archer', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 68, 'male', 'L2Commander', 'SiegeGuardRanger', 1100, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 10212, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(8173, 36348, 'Archer', 'Archer', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'demon_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8174, 36349, 'General', 'Officer\'s Barracks', 'LineageNPC2.officer_of_insurgents_orc', 14.50, 30.00, 68, 'male', 'L2Commander', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 9813, 9813, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(8175, 36350, 'Minister', 'Officer\'s Barracks', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 68, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 7895, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8176, 36351, 'Ballista', 'Demon Fortress', 'LineageNpcEV.ballista', 112.00, 59.00, 70, 'male', 'L2Ballista', 'Ballista', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 753, 3474, 917, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8177, 36352, 'Mercenary Captain', '', 'LineageMonster3.Kight_of_Dawn', 12.00, 24.50, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 799, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8178, 36353, 'Mercenary Private', '', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 0, 0, 1735, 611, 1014, 496, 253, 0, 500, 96, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8179, 36354, 'Flagpole', '', 'LineageNpcEV.rune_holything', 46.00, 72.50, 20, 'female', 'L2Npc', 'npc', 40, 541, 8.400, 213, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 57, 95, 24, 77, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8180, 36355, 'Foreman', 'Monastic Fortress', 'LineageNPC.a_royal_guardA_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressManager', 'npc', 40, 3862, 8.400, 152641, 300.000, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8181, 36356, 'Suspicious Merchant', 'Monastic Fortress', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 70, 'male', 'L2SuspiciousMerchant', 'SuspiciousMerchantMonastic', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8182, 36357, 'Guard Captain', 'Monastic Fortress', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8183, 36358, 'Archer Captain', 'Monastic Fortress', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 70, 'male', 'L2Npc', 'npc', 1100, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8184, 36359, 'General', 'Monastic Fortress', 'LineageNPC2.officer_of_insurgents_orc', 14.50, 30.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 9813, 9813, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8185, 36360, 'Support Unit Captain', 'Monastic Fortress', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 70, 'female', 'L2SupportUnit', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1410, 471, 785, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8186, 36361, 'Engineering Manager', 'Monastic Fortress', 'LineageNPC.e_guard_MDwarf', 8.00, 19.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8187, 36362, 'Logistics Officer', 'Monastic Fortress', 'LineageNPC.e_collector_teacher_MDwarf', 8.00, 17.50, 70, 'male', 'L2LogisticsOfficer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8188, 36363, 'Supply Box', '', 'LineageMonster.mimic', 8.50, 8.50, 80, 'male', 'L2Npc', 'npc', 40, 4551, 8.400, 1859, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8189, 36364, 'Detention Camp Warden', 'Monastic Fortress', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8190, 36365, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8191, 36366, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8192, 36367, 'Doorman', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 70, 'male', 'L2FortressDoormen', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 2, 20, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8193, 36368, 'Rebel Commander', 'Monastic Fortress', 'LineageNPC2.chief_of_insurgents', 10.00, 26.99, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 2450, 0, 7471, 843, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, 'monastic_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8194, 36369, 'Decorated Rebel Soldier', 'Monastic Fortress', 'LineageMonster.shadow_50_bi', 15.00, 45.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 0, 0, 0, 30, 120, 'monastic_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8195, 36370, 'Rebel Private', 'Monastic Fortress', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 2113, 0, 1410, 449, 785, 380, 253, 0, 500, 97, 0, 0, 30, 120, 'monastic_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8196, 36371, 'Court Guard', 'Monastic Fortress', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 62, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 98, 0, 0, 30, 120, 'monastic_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8197, 36372, 'Guard', 'Monastic Fortress', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 62, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 1922, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'monastic_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8198, 36373, 'Main Machine', 'Control Room', 'LineageNpcEV.machine_guard_a', 46.00, 35.00, 68, 'female', 'L2Npc', 'npc', 40, 3706, 8.400, 1423, 2.970, 40, 43, 30, 21, 20, 20, 2312, 0, 1207, 450, 563, 365, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8199, 36374, 'Backup Power Unit', 'Control Room', 'LineageNpcEV.strange_mechanical_instrume', 16.00, 15.50, 66, 'female', 'L2Npc', 'npc', 40, 3547, 8.400, 1354, 2.970, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8200, 36375, 'Control Unit', 'Control Room', 'LineageNpcEV.door_lock', 39.00, 42.50, 66, 'male', 'L2Npc', 'npc', 40, 3547, 8.400, 1354, 2.970, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8201, 36376, 'Power Control Unit', 'Control Room', 'LineageNpcEV.machine_construction_a', 54.00, 59.50, 66, 'female', 'L2Npc', 'npc', 40, 3547, 8.400, 1354, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8202, 36377, 'Dwarven Gunnery Sergeant', '', 'LineageNPC2.battery_of_insurgents', 13.00, 17.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1114, 470, 1780, 682, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8203, 36378, 'Scout Golem', 'Control Room', 'LineageMonster.mechanic_golem', 5.00, 19.00, 64, 'male', 'L2Npc', 'npc', 40, 3384, 8.400, 1285, 2.970, 40, 43, 30, 21, 20, 20, 2048, 0, 1023, 409, 473, 332, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8204, 36379, 'Guard Captain', 'Guard', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 68, 'female', 'L2Commander', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 80, 641, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(8205, 36380, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'monastic_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8206, 36381, 'Guard', 'Guard', 'LineageNPC.a_royal_guardB_MHuman', 8.00, 24.00, 66, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 2820, 898, 1570, 950, 253, 0, 500, 75, 0, 0, 30, 120, 'monastic_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8207, 36382, 'Support Unit Captain', 'Support Unit', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 68, 'female', 'L2Commander', 'SiegeGuardMystic', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 752, 3089, 876, 253, 0, 500, 0, 0, 0, 30, 120, 'monastic_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL_BSPIRIT', 0, 0),
	(8208, 36383, 'Wizard', 'Support Unit', 'LineageNPC.a_patriarch_MElf', 8.00, 22.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardMystic', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 325, 0, 0, 30, 120, 'monastic_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8209, 36384, 'Healer', 'Support Unit', 'LineageNPC.a_mageguild_master_FHuman', 8.00, 23.00, 66, 'female', 'L2SiegeGuard', 'SiegeGuardPriest', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 92, 0, 0, 30, 120, 'monastic_siege_clan', 600, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8210, 36385, 'Archer Captain', 'Archer', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 68, 'male', 'L2Commander', 'SiegeGuardRanger', 1100, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 10212, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(8211, 36386, 'Archer', 'Archer', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 66, 'male', 'L2SiegeGuard', 'SiegeGuardRanger', 1100, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 2178, 0, 1410, 449, 785, 380, 253, 0, 500, 287, 0, 0, 30, 120, 'monastic_siege_clan', 1200, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8212, 36387, 'General', 'Officer\'s Barracks', 'LineageNPC2.officer_of_insurgents_orc', 14.50, 30.00, 68, 'male', 'L2Commander', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 9813, 9813, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'SOUL', 0, 0),
	(8213, 36388, 'Minister', 'Officer\'s Barracks', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 68, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 654167, 8.200, 1423, 2.910, 40, 43, 30, 21, 20, 20, 2312, 0, 6650, 719, 3089, 876, 253, 0, 500, 7895, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8214, 36389, 'Ballista', 'Monastic Fortress', 'LineageNpcEV.ballista', 112.00, 59.00, 70, 'male', 'L2Ballista', 'Ballista', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 753, 3474, 917, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8215, 36390, 'Mercenary Captain', '', 'LineageMonster3.Kight_of_Dawn', 12.00, 24.50, 70, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 40, 665774, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 7471, 799, 3474, 917, 253, 0, 500, 2500, 6377, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8216, 36391, 'Mercenary Private', '', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 65, 'male', 'L2SiegeGuard', 'SiegeGuardFighter', 80, 3466, 7.900, 1320, 2.820, 40, 43, 30, 21, 20, 20, 0, 0, 1735, 611, 1014, 496, 253, 0, 500, 96, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8217, 36392, 'Improvised Explosive', '', 'orc', 10.00, 21.00, 60, 'male', 'L2Npc', 'npc', 40, 3055, 8.400, 1151, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 853, 369, 398, 300, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8218, 36393, 'Special Envoy', 'Gludio', 'a_teleporter_FHuman', 8.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8219, 36394, 'Special Envoy', 'Gludio', 'a_teleporter_FHuman', 8.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8220, 36395, 'Special Envoy', 'Dion', 'a_maidB_FHuman', 8.00, 22.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8221, 36396, 'Special Envoy', 'Giran', 'a_sanctuary_teacher_FHuman', 8.00, 22.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8222, 36397, 'Special Envoy', 'Oren', 'a_clergyman_FDarkElf', 8.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8223, 36398, 'Special Envoy', 'Aden', 'a_maidB_FHuman', 8.00, 22.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8224, 36399, 'Special Envoy', 'Aden', 'a_maidB_FHuman', 8.00, 22.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8225, 36400, 'Special Envoy', 'Innadril', 'a_teleporter_FElf', 8.50, 23.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8226, 36401, 'Special Envoy', 'Goddard', 'e_teleporter_Fhuman', 8.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8227, 36402, 'Olympiad Host', '', 'a_fighterguild_master_Mhuman', 8.00, 23.50, 70, 'male', 'L2OlympiadBuffer', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 2530, 70, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8228, 36403, 'Warden', 'Gludio', 'e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 1376, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8229, 36404, 'Warden', 'Dion', 'e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 1376, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8230, 36405, 'Warden', 'Giran', 'e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 1376, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8231, 36406, 'Warden', 'Oren', 'e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 1376, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8232, 36407, 'Warden', 'Aden', 'e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 1376, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8233, 36408, 'Warden', 'Innadril', 'e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 1376, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8234, 36409, 'Warden', 'Goddard', 'e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 1376, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8235, 36410, 'Warden', 'Rune', 'e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 1376, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8236, 36411, 'Warden', 'Schuttgart', 'e_elmore_guard_Mhuman', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 1376, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8237, 36412, 'Fortress Trap', '', 'Organ_Dummy', 1.00, 35.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8238, 36413, 'Fortress Trap', '', 'Organ_Dummy', 1.00, 35.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8239, 36414, 'Fortress Trap', '', 'Organ_Dummy', 1.00, 35.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8240, 36415, 'Fortress Trap', '', 'Organ_Dummy', 1.00, 35.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8241, 36416, 'Fortress Trap', '', 'Organ_Dummy', 1.00, 35.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8242, 36417, 'Fortress Trap', '', 'Organ_Dummy', 1.00, 35.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8243, 36418, 'Fortress Trap', '', 'Organ_Dummy', 1.00, 35.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8244, 36419, 'Fortress Trap', '', 'Organ_Dummy', 1.00, 35.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8245, 36420, 'Fortress Trap', '', 'Organ_Dummy', 1.00, 35.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8246, 36421, 'Fortress Trap', '', 'Organ_Dummy', 1.00, 35.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8247, 36422, 'Fortress Trap', '', 'Organ_Dummy', 1.00, 35.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8248, 36423, 'Fortress Trap', '', 'Organ_Dummy', 1.00, 35.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8249, 36424, 'Fortress Trap', '', 'Organ_Dummy', 1.00, 35.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8250, 36425, 'Fortress Trap', '', 'Organ_Dummy', 1.00, 35.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8251, 36426, 'Fortress Trap', '', 'Organ_Dummy', 1.00, 35.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8252, 36427, 'Fortress Trap', '', 'Organ_Dummy', 1.00, 35.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8253, 36428, 'Fortress Trap', '', 'Organ_Dummy', 1.00, 35.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8254, 36429, 'Fortress Trap', '', 'Organ_Dummy', 1.00, 35.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8255, 36430, 'Fortress Trap', '', 'Organ_Dummy', 1.00, 35.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8256, 36431, 'Fortress Trap', '', 'Organ_Dummy', 1.00, 35.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8257, 36432, 'Fortress Trap', '', 'Organ_Dummy', 1.00, 35.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8258, 36433, 'Special Envoy', 'Rune', 'a_maidB_FHuman', 8.00, 22.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8259, 36434, 'Special Envoy', 'Schuttgart', 'e_traderA_FDwarf', 8.00, 19.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8260, 36435, 'Special Envoy', 'Gludio', 'a_teleporter_FHuman', 8.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8261, 36436, 'Special Envoy', 'Dion', 'a_maidB_FHuman', 8.00, 22.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8262, 36437, 'Special Envoy', 'Gludio', 'a_teleporter_FHuman', 8.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8263, 36438, 'Special Envoy', 'Oren', 'a_clergyman_FDarkElf', 8.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8264, 36439, 'Special Envoy', 'Dion', 'a_maidB_FHuman', 8.00, 22.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8265, 36440, 'Special Envoy', 'Giran', 'a_sanctuary_teacher_FHuman', 8.00, 22.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8266, 36441, 'Special Envoy', 'Dion', 'a_maidB_FHuman', 8.00, 22.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8267, 36442, 'Special Envoy', 'Oren', 'a_clergyman_FDarkElf', 8.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8268, 36443, 'Special Envoy', 'Oren', 'a_clergyman_FDarkElf', 8.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8269, 36444, 'Special Envoy', 'Giran', 'a_sanctuary_teacher_FHuman', 8.00, 22.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8270, 36445, 'Special Envoy', 'Aden', 'a_maidB_FHuman', 8.00, 22.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8271, 36446, 'Special Envoy', 'Oren', 'a_clergyman_FDarkElf', 8.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8272, 36447, 'Special Envoy', 'Goddard', 'e_teleporter_Fhuman', 8.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8273, 36448, 'Special Envoy', 'Aden', 'a_maidB_FHuman', 8.00, 22.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8274, 36449, 'Special Envoy', 'Giran', 'a_sanctuary_teacher_FHuman', 8.00, 22.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8275, 36450, 'Special Envoy', 'Innadril', 'a_teleporter_FElf', 8.50, 23.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8276, 36451, 'Special Envoy', 'Giran', 'a_sanctuary_teacher_FHuman', 8.00, 22.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8277, 36452, 'Special Envoy', 'Rune', 'a_maidB_FHuman', 8.00, 22.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8278, 36453, 'Special Envoy', 'Goddard', 'e_teleporter_Fhuman', 8.00, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8279, 36454, 'Special Envoy', 'Rune', 'a_maidB_FHuman', 8.00, 22.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8280, 36455, 'Special Envoy', 'Schuttgart', 'e_traderA_FDwarf', 8.00, 19.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(8281, 36456, 'Manor Manager', 'Aden', 'K_M1_normal', 13.00, 25.00, 70, 'male', 'L2ManorManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 28, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8282, 36457, 'Wyvern Manager', 'Shanty Fortress', 'LineageNPC.a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2WyvernManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8283, 36458, 'Wyvern Manager', 'Southern Fortress', 'LineageNPC.a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2WyvernManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8284, 36459, 'Wyvern Manager', 'Hive Fortress', 'LineageNPC.a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2WyvernManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8285, 36460, 'Wyvern Manager', 'Valley Fortress', 'LineageNPC.a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2WyvernManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8286, 36461, 'Wyvern Manager', 'Ivory Fortress', 'LineageNPC.a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2WyvernManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8287, 36462, 'Wyvern Manager', 'Narsell Fortress', 'LineageNPC.a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2WyvernManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8288, 36463, 'Wyvern Manager', 'Bayou Fortress', 'LineageNPC.a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2WyvernManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8289, 36464, 'Wyvern Manager', 'White Sands Fortress', 'LineageNPC.a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2WyvernManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8290, 36465, 'Wyvern Manager', 'Borderland Fortress', 'LineageNPC.a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2WyvernManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8291, 36466, 'Wyvern Manager', 'Swamp Fortress', 'LineageNPC.a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2WyvernManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8292, 36467, 'Wyvern Manager', 'Archaic Fortress', 'LineageNPC.a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2WyvernManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8293, 36468, 'Wyvern Manager', 'Floran Fortress', 'LineageNPC.a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2WyvernManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8294, 36469, 'Wyvern Manager', 'Cloud Mountain', 'LineageNPC.a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2WyvernManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8295, 36470, 'Wyvern Manager', 'Tanor Fortress', 'LineageNPC.a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2WyvernManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8296, 36471, 'Wyvern Manager', 'Dragonspine Fortress', 'LineageNPC.a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2WyvernManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8297, 36472, 'Wyvern Manager', 'Antharas\' Fortress', 'LineageNPC.a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2WyvernManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8298, 36473, 'Wyvern Manager', 'Western Fortress', 'LineageNPC.a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2WyvernManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8299, 36474, 'Wyvern Manager', 'Hunter\'s Fortress', 'LineageNPC.a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2WyvernManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8300, 36475, 'Wyvern Manager', 'Aaru Fortress', 'LineageNPC.a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2WyvernManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8301, 36476, 'Wyvern Manager', 'Demon Fortress', 'LineageNPC.a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2WyvernManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8302, 36477, 'Wyvern Manager', 'Monastic Fortress', 'LineageNPC.a_fighterguild_teacher_MHuman', 8.00, 23.00, 70, 'male', 'L2WyvernManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8303, 36478, 'Mickey', 'Pet Trader', 'LineageNPC.e_collector_teacher_FDwarf', 8.00, 17.50, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8304, 36479, 'Rapidus', 'Reputation Manager', 'LineageNPC.a_fighterguild_master_Mhuman', 8.00, 23.50, 70, 'male', 'L2FameManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 333, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8305, 36480, 'Scipio', 'Reputation Manager', 'LineageNPC.a_fighterguild_master_Mhuman', 8.00, 23.50, 70, 'male', 'L2FameManager', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 1, 0),
	(8306, 36481, 'Mercenary Captain', 'Gludio', 'LineageMonster3.Kight_of_Dawn', 12.00, 24.50, 70, 'male', 'L2MercenaryCaptain', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 2500, 6377, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8307, 36482, 'Mercenary Captain', 'Dion', 'LineageMonster3.Kight_of_Dawn', 12.00, 24.50, 70, 'male', 'L2MercenaryCaptain', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 2500, 6377, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8308, 36483, 'Mercenary Captain', 'Giran', 'LineageMonster3.Kight_of_Dawn', 12.00, 24.50, 70, 'male', 'L2MercenaryCaptain', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 2500, 6377, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8309, 36484, 'Mercenary Captain', 'Oren', 'LineageMonster3.Kight_of_Dawn', 12.00, 24.50, 70, 'male', 'L2MercenaryCaptain', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 2500, 6377, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8310, 36485, 'Mercenary Captain', 'Aden', 'LineageMonster3.Kight_of_Dawn', 12.00, 24.50, 70, 'male', 'L2MercenaryCaptain', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 2500, 6377, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8311, 36486, 'Mercenary Captain', 'Innadril', 'LineageMonster3.Kight_of_Dawn', 12.00, 24.50, 70, 'male', 'L2MercenaryCaptain', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 2500, 6377, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8312, 36487, 'Mercenary Captain', 'Goddard', 'LineageMonster3.Kight_of_Dawn', 12.00, 24.50, 70, 'male', 'L2MercenaryCaptain', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 2500, 6377, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8313, 36488, 'Mercenary Captain', 'Rune', 'LineageMonster3.Kight_of_Dawn', 12.00, 24.50, 70, 'male', 'L2MercenaryCaptain', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 2500, 6377, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8314, 36489, 'Mercenary Captain', 'Schuttgart', 'LineageMonster3.Kight_of_Dawn', 12.00, 24.50, 70, 'male', 'L2MercenaryCaptain', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 2500, 6377, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8315, 36490, 'Territory Manager', 'Gludio', 'LineageNPC2.feudal_custodian', 10.00, 22.50, 70, 'male', 'L2TerritoryManager', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8316, 36491, 'Territory Manager', 'Dion', 'LineageNPC2.feudal_custodian', 10.00, 22.50, 70, 'male', 'L2TerritoryManager', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8317, 36492, 'Territory Manager', 'Giran', 'LineageNPC2.feudal_custodian', 10.00, 22.50, 70, 'male', 'L2TerritoryManager', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8318, 36493, 'Territory Manager', 'Oren', 'LineageNPC2.feudal_custodian', 10.00, 22.50, 70, 'male', 'L2TerritoryManager', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8319, 36494, 'Territory Manager', 'Aden', 'LineageNPC2.feudal_custodian', 10.00, 22.50, 70, 'male', 'L2TerritoryManager', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8320, 36495, 'Territory Manager', 'Innadril', 'LineageNPC2.feudal_custodian', 10.00, 22.50, 70, 'male', 'L2TerritoryManager', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8321, 36496, 'Territory Manager', 'Goddard', 'LineageNPC2.feudal_custodian', 10.00, 22.50, 70, 'male', 'L2TerritoryManager', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8322, 36497, 'Territory Manager', 'Rune', 'LineageNPC2.feudal_custodian', 10.00, 22.50, 70, 'male', 'L2TerritoryManager', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8323, 36498, 'Territory Manager', 'Schuttgart', 'LineageNPC2.feudal_custodian', 10.00, 22.50, 70, 'male', 'L2TerritoryManager', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8324, 36499, 'Territory Catapult', 'Gludio', 'LineageNpcEV.ballista', 112.00, 59.00, 80, 'male', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8325, 36500, 'Territory Catapult', 'Dion', 'LineageNpcEV.ballista', 112.00, 59.00, 80, 'male', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8326, 36501, 'Territory Catapult', 'Giran', 'LineageNpcEV.ballista', 112.00, 59.00, 80, 'male', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8327, 36502, 'Territory Catapult', 'Oren', 'LineageNpcEV.ballista', 112.00, 59.00, 80, 'male', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8328, 36503, 'Territory Catapult', 'Aden', 'LineageNpcEV.ballista', 112.00, 59.00, 80, 'male', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8329, 36504, 'Territory Catapult', 'Innadril', 'LineageNpcEV.ballista', 112.00, 59.00, 80, 'male', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8330, 36505, 'Territory Catapult', 'Goddard', 'LineageNpcEV.ballista', 112.00, 59.00, 80, 'male', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8331, 36506, 'Territory Catapult', 'Rune', 'LineageNpcEV.ballista', 112.00, 59.00, 80, 'male', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8332, 36507, 'Territory Catapult', 'Schuttgart', 'LineageNpcEV.ballista', 112.00, 59.00, 80, 'male', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8333, 36508, 'Military Association Leader', 'Gludio', 'LineageNPC.a_royal_guardA_MHuman', 8.00, 24.00, 80, 'male', 'L2Npc', 'npc', 40, 732924, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 64129, 77672, 5856, 577, 2723, 469, 253, 0, 500, 76, 2497, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8334, 36509, 'Territory Border Guard', 'Gludio', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 8678, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8335, 36510, 'Religious Association Leader', 'Gludio', 'LineageNPC.a_patriarch_MElf', 8.00, 22.50, 80, 'male', 'L2Npc', 'npc', 40, 732924, 1.500, 1859, 2.700, 22, 27, 21, 41, 20, 20, 64129, 77672, 5856, 577, 2723, 469, 253, 0, 500, 8687, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8336, 36511, 'Territory Guard', 'Gludio', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 80, 'male', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 9442, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8337, 36512, 'Territory Border Guard', 'Gludio', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 75, 'male', 'L2Npc', 'npc', 1100, 4229, 1.500, 1674, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1551, 524, 722, 425, 253, 0, 500, 8684, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8338, 36513, 'Economic Association Leader', 'Gludio', 'LineageNPC.a_traderB_MHuman', 8.00, 24.50, 80, 'male', 'L2Npc', 'npc', 40, 732924, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 64129, 77672, 5856, 577, 2723, 469, 253, 0, 500, 6365, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8339, 36514, 'Military Association Leader', 'Dion', 'LineageNPC.a_royal_guardA_MHuman', 8.00, 24.00, 80, 'male', 'L2Npc', 'npc', 40, 732924, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 64129, 77672, 5856, 577, 2723, 469, 253, 0, 500, 76, 2497, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8340, 36515, 'Territory Border Guard', 'Dion', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 8678, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8341, 36516, 'Religious Association Leader', 'Dion', 'LineageNPC.a_patriarch_MElf', 8.00, 22.50, 80, 'male', 'L2Npc', 'npc', 40, 732924, 1.500, 1859, 2.700, 22, 27, 21, 41, 20, 20, 64129, 77672, 5856, 577, 2723, 469, 253, 0, 500, 8687, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8342, 36517, 'Territory Guard', 'Dion', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 80, 'male', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 9442, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8343, 36518, 'Territory Border Guard', 'Dion', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 75, 'male', 'L2Npc', 'npc', 1100, 4229, 1.500, 1674, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1551, 524, 722, 425, 253, 0, 500, 8684, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8344, 36519, 'Economic Association Leader', 'Dion', 'LineageNPC.a_traderB_MHuman', 8.00, 24.50, 80, 'male', 'L2Npc', 'npc', 40, 732924, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 64129, 77672, 5856, 577, 2723, 469, 253, 0, 500, 6365, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8345, 36520, 'Military Association Leader', 'Giran', 'LineageNPC.a_royal_guardA_MHuman', 8.00, 24.00, 80, 'male', 'L2Npc', 'npc', 40, 732924, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 64129, 77672, 5856, 577, 2723, 469, 253, 0, 500, 76, 2497, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8346, 36521, 'Territory Border Guard', 'Giran', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 8678, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8347, 36522, 'Religious Association Leader', 'Giran', 'LineageNPC.a_patriarch_MElf', 8.00, 22.50, 80, 'male', 'L2Npc', 'npc', 40, 732924, 1.500, 1859, 2.700, 22, 27, 21, 41, 20, 20, 64129, 77672, 5856, 577, 2723, 469, 253, 0, 500, 8687, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8348, 36523, 'Territory Guard', 'Giran', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 80, 'male', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 9442, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8349, 36524, 'Territory Border Guard', 'Giran', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 75, 'male', 'L2Npc', 'npc', 1100, 4229, 1.500, 1674, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1551, 524, 722, 425, 253, 0, 500, 8684, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8350, 36525, 'Economic Association Leader', 'Giran', 'LineageNPC.a_traderB_MHuman', 8.00, 24.50, 80, 'male', 'L2Npc', 'npc', 40, 732924, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 64129, 77672, 5856, 577, 2723, 469, 253, 0, 500, 6365, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8351, 36526, 'Military Association Leader', 'Oren', 'LineageNPC.a_royal_guardA_MHuman', 8.00, 24.00, 80, 'male', 'L2Npc', 'npc', 40, 732924, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 64129, 77672, 5856, 577, 2723, 469, 253, 0, 500, 76, 2497, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8352, 36527, 'Territory Border Guard', 'Oren', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 8678, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8353, 36528, 'Religious Association Leader', 'Oren', 'LineageNPC.a_patriarch_MElf', 8.00, 22.50, 80, 'male', 'L2Npc', 'npc', 40, 732924, 1.500, 1859, 2.700, 22, 27, 21, 41, 20, 20, 64129, 77672, 5856, 577, 2723, 469, 253, 0, 500, 8687, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8354, 36529, 'Territory Guard', 'Oren', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 80, 'male', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 9442, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8355, 36530, 'Territory Border Guard', 'Oren', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 75, 'male', 'L2Npc', 'npc', 1100, 4229, 1.500, 1674, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1551, 524, 722, 425, 253, 0, 500, 8684, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8356, 36531, 'Economic Association Leader', 'Oren', 'LineageNPC.a_traderB_MHuman', 8.00, 24.50, 80, 'male', 'L2Npc', 'npc', 40, 732924, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 64129, 77672, 5856, 577, 2723, 469, 253, 0, 500, 6365, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8357, 36532, 'Military Association Leader', 'Aden', 'LineageNPC.a_royal_guardA_MHuman', 8.00, 24.00, 80, 'male', 'L2Npc', 'npc', 40, 732924, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 64129, 77672, 5856, 577, 2723, 469, 253, 0, 500, 76, 2497, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8358, 36533, 'Territory Border Guard', 'Aden', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 8678, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8359, 36534, 'Religious Association Leader', 'Aden', 'LineageNPC.a_patriarch_MElf', 8.00, 22.50, 80, 'male', 'L2Npc', 'npc', 40, 732924, 1.500, 1859, 2.700, 22, 27, 21, 41, 20, 20, 64129, 77672, 5856, 577, 2723, 469, 253, 0, 500, 8687, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8360, 36535, 'Territory Guard', 'Aden', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 80, 'male', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 9442, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8361, 36536, 'Territory Border Guard', 'Aden', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 75, 'male', 'L2Npc', 'npc', 1100, 4229, 1.500, 1674, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1551, 524, 722, 425, 253, 0, 500, 8684, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8362, 36537, 'Economic Association Leader', 'Aden', 'LineageNPC.a_traderB_MHuman', 8.00, 24.50, 80, 'male', 'L2Npc', 'npc', 40, 732924, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 64129, 77672, 5856, 577, 2723, 469, 253, 0, 500, 6365, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8363, 36538, 'Military Association Leader', 'Innadril', 'LineageNPC.a_royal_guardA_MHuman', 8.00, 24.00, 80, 'male', 'L2Npc', 'npc', 40, 732924, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 64129, 77672, 5856, 577, 2723, 469, 253, 0, 500, 76, 2497, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8364, 36539, 'Territory Border Guard', 'Innadril', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 8678, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8365, 36540, 'Religious Association Leader', 'Innadril', 'LineageNPC.a_patriarch_MElf', 8.00, 22.50, 80, 'male', 'L2Npc', 'npc', 40, 732924, 1.500, 1859, 2.700, 22, 27, 21, 41, 20, 20, 64129, 77672, 5856, 577, 2723, 469, 253, 0, 500, 8687, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8366, 36541, 'Territory Guard', 'Innadril', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 80, 'male', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 9442, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8367, 36542, 'Territory Border Guard', 'Innadril', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 75, 'male', 'L2Npc', 'npc', 1100, 4229, 1.500, 1674, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1551, 524, 722, 425, 253, 0, 500, 8684, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8368, 36543, 'Economic Association Leader', 'Innadril', 'LineageNPC.a_traderB_MHuman', 8.00, 24.50, 80, 'male', 'L2Npc', 'npc', 40, 732924, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 64129, 77672, 5856, 577, 2723, 469, 253, 0, 500, 6365, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8369, 36544, 'Military Association Leader', 'Goddard', 'LineageNPC.a_royal_guardA_MHuman', 8.00, 24.00, 80, 'male', 'L2Npc', 'npc', 40, 732924, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 64129, 77672, 5856, 577, 2723, 469, 253, 0, 500, 76, 2497, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8370, 36545, 'Territory Border Guard', 'Goddard', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 8678, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8371, 36546, 'Religious Association Leader', 'Goddard', 'LineageNPC.a_patriarch_MElf', 8.00, 22.50, 80, 'male', 'L2Npc', 'npc', 40, 732924, 1.500, 1859, 2.700, 22, 27, 21, 41, 20, 20, 64129, 77672, 5856, 577, 2723, 469, 253, 0, 500, 8687, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8372, 36547, 'Territory Guard', 'Goddard', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 80, 'male', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 9442, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8373, 36548, 'Territory Border Guard', 'Goddard', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 75, 'male', 'L2Npc', 'npc', 1100, 4229, 1.500, 1674, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1551, 524, 722, 425, 253, 0, 500, 8684, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8374, 36549, 'Economic Association Leader', 'Goddard', 'LineageNPC.a_traderB_MHuman', 8.00, 24.50, 80, 'male', 'L2Npc', 'npc', 40, 732924, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 64129, 77672, 5856, 577, 2723, 469, 253, 0, 500, 6365, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8375, 36550, 'Military Association Leader', 'Rune', 'LineageNPC.a_royal_guardA_MHuman', 8.00, 24.00, 80, 'male', 'L2Npc', 'npc', 40, 732924, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 64129, 77672, 5856, 577, 2723, 469, 253, 0, 500, 76, 2497, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8376, 36551, 'Territory Border Guard', 'Rune', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 8678, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8377, 36552, 'Religious Association Leader', 'Rune', 'LineageNPC.a_patriarch_MElf', 8.00, 22.50, 80, 'male', 'L2Npc', 'npc', 40, 732924, 1.500, 1859, 2.700, 22, 27, 21, 41, 20, 20, 64129, 77672, 5856, 577, 2723, 469, 253, 0, 500, 8687, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8378, 36553, 'Territory Guard', 'Rune', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 80, 'male', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 9442, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8379, 36554, 'Territory Border Guard', 'Rune', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 75, 'male', 'L2Npc', 'npc', 1100, 4229, 1.500, 1674, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1551, 524, 722, 425, 253, 0, 500, 8684, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8380, 36555, 'Economic Association Leader', 'Rune', 'LineageNPC.a_traderB_MHuman', 8.00, 24.50, 80, 'male', 'L2Npc', 'npc', 40, 732924, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 64129, 77672, 5856, 577, 2723, 469, 253, 0, 500, 6365, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8381, 36556, 'Military Association Leader', 'Schuttgart', 'LineageNPC.a_royal_guardA_MHuman', 8.00, 24.00, 80, 'male', 'L2Npc', 'npc', 40, 732924, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 64129, 77672, 5856, 577, 2723, 469, 253, 0, 500, 76, 2497, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8382, 36557, 'Territory Border Guard', 'Schuttgart', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 8678, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8383, 36558, 'Religious Association Leader', 'Schuttgart', 'LineageNPC.a_patriarch_MElf', 8.00, 22.50, 80, 'male', 'L2Npc', 'npc', 40, 732924, 1.500, 1859, 2.700, 22, 27, 21, 41, 20, 20, 64129, 77672, 5856, 577, 2723, 469, 253, 0, 500, 8687, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8384, 36559, 'Territory Guard', 'Schuttgart', 'LineageNPC.e_elmore_guard_Mhuman', 8.00, 23.50, 80, 'male', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 9442, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8385, 36560, 'Territory Border Guard', 'Schuttgart', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 75, 'male', 'L2Npc', 'npc', 1100, 4229, 1.500, 1674, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1551, 524, 722, 425, 253, 0, 500, 8684, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8386, 36561, 'Economic Association Leader', 'Schuttgart', 'LineageNPC.a_traderB_MHuman', 8.00, 24.50, 80, 'male', 'L2Npc', 'npc', 40, 732924, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 64129, 77672, 5856, 577, 2723, 469, 253, 0, 500, 6365, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8387, 36562, 'Seduced Knight', 'Investigator', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 80, 'female', 'L2Npc', 'npc', 40, 79059, 1.500, 1859, 2.700, 40, 43, 30, 21, 26, 20, 0, 0, 1952, 865, 905, 469, 336, 0, 500, 80, 641, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8388, 36563, 'Seduced Ranger', 'Investigator', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 80, 'male', 'L2Npc', 'npc', 1100, 79059, 1.500, 1859, 2.700, 40, 43, 30, 21, 26, 20, 0, 0, 1952, 865, 905, 469, 336, 0, 500, 10212, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8389, 36564, 'Seduced Mage', 'Investigator', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 80, 'female', 'L2Npc', 'npc', 40, 79059, 1.500, 1859, 2.700, 40, 43, 30, 21, 26, 20, 0, 0, 1952, 865, 905, 469, 336, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8390, 36565, 'Seduced Warrior', 'Investigator', 'LineageNPC2.officer_of_insurgents_orc', 14.50, 30.00, 80, 'male', 'L2Npc', 'npc', 40, 79059, 1.500, 1859, 2.700, 40, 43, 30, 21, 26, 20, 0, 0, 1952, 865, 905, 469, 336, 0, 500, 9813, 9813, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8391, 36566, 'Seduced Knight', 'Investigator', 'LineageNPC2.garrison_of_insurgents', 10.00, 23.75, 70, 'female', 'L2Npc', 'npc', 40, 64734, 1.500, 1494, 2.700, 40, 43, 30, 21, 26, 20, 0, 0, 1303, 587, 607, 382, 336, 0, 500, 80, 641, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8392, 36567, 'Seduced Ranger', 'Investigator', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 70, 'male', 'L2Npc', 'npc', 1100, 64734, 1.500, 1494, 2.700, 40, 43, 30, 21, 26, 20, 0, 0, 1303, 587, 607, 382, 336, 0, 500, 10212, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8393, 36568, 'Seduced Mage', 'Investigator', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 70, 'female', 'L2Npc', 'npc', 40, 64734, 1.500, 1494, 2.700, 40, 43, 30, 21, 26, 20, 0, 0, 1303, 587, 607, 382, 336, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8394, 36569, 'Seduced Warrior', 'Investigator', 'LineageNPC2.officer_of_insurgents_orc', 14.50, 30.00, 70, 'male', 'L2Npc', 'npc', 40, 64734, 1.500, 1494, 2.700, 40, 43, 30, 21, 26, 20, 0, 0, 1303, 587, 607, 382, 336, 0, 500, 9813, 9813, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8395, 36570, 'Emery Compressor', 'Aerial Cleft', 'LineageNpcEV.source_facility', 62.00, 140.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8396, 36571, 'Vortex', 'Aerial Cleft', 'LineageNpcEV.war_gate', 300.00, 130.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8397, 36572, 'Gludio Ward', '', 'LineageNpcEV.native_thing_of_territory', 10.00, 35.00, 80, 'female', 'L2TerritoryFlag', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8398, 36573, 'Dion Ward', '', 'LineageNpcEV.native_thing_of_territory', 10.00, 35.00, 80, 'female', 'L2TerritoryFlag', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8399, 36574, 'Giran Ward', '', 'LineageNpcEV.native_thing_of_territory', 10.00, 35.00, 80, 'female', 'L2TerritoryFlag', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8400, 36575, 'Oren Ward', '', 'LineageNpcEV.native_thing_of_territory', 10.00, 35.00, 80, 'female', 'L2TerritoryFlag', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8401, 36576, 'Aden Ward', '', 'LineageNpcEV.native_thing_of_territory', 10.00, 35.00, 80, 'female', 'L2TerritoryFlag', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8402, 36577, 'Innadril Ward', '', 'LineageNpcEV.native_thing_of_territory', 10.00, 35.00, 80, 'female', 'L2TerritoryFlag', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8403, 36578, 'Goddard Ward', '', 'LineageNpcEV.native_thing_of_territory', 10.00, 35.00, 80, 'female', 'L2TerritoryFlag', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8404, 36579, 'Rune Ward', '', 'LineageNpcEV.native_thing_of_territory', 10.00, 35.00, 80, 'female', 'L2TerritoryFlag', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8405, 36580, 'Schuttgart Ward', '', 'LineageNpcEV.native_thing_of_territory', 10.00, 35.00, 80, 'female', 'L2TerritoryFlag', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8406, 36581, 'Territory Catapult', 'Gludio', 'LineageNpcEV.damaged_ballista', 125.00, 43.00, 80, 'male', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8407, 36582, 'Territory Catapult', 'Dion', 'LineageNpcEV.damaged_ballista', 125.00, 43.00, 80, 'male', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8408, 36583, 'Territory Catapult', 'Giran', 'LineageNpcEV.damaged_ballista', 125.00, 43.00, 80, 'male', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8409, 36584, 'Territory Catapult', 'Oren', 'LineageNpcEV.damaged_ballista', 125.00, 43.00, 80, 'male', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8410, 36585, 'Territory Catapult', 'Aden', 'LineageNpcEV.damaged_ballista', 125.00, 43.00, 80, 'male', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8411, 36586, 'Territory Catapult', 'Innadril', 'LineageNpcEV.damaged_ballista', 125.00, 43.00, 80, 'male', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8412, 36587, 'Territory Catapult', 'Goddard', 'LineageNpcEV.damaged_ballista', 125.00, 43.00, 80, 'male', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8413, 36588, 'Territory Catapult', 'Rune', 'LineageNpcEV.damaged_ballista', 125.00, 43.00, 80, 'male', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8414, 36589, 'Territory Catapult', 'Schuttgart', 'LineageNpcEV.damaged_ballista', 125.00, 43.00, 80, 'male', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8415, 36590, 'Outpost', '', 'LineageNpcEV.Advance_quarters', 110.00, 70.00, 1, 'female', 'L2Npc', 'npc', 40, 63, 1.500, 44, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 9, 40, 6, 32, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 36590, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8416, 36591, 'Supplies Safe', '', 'LineageMonster.mimic', 8.50, 8.50, 80, 'male', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8417, 36592, 'Supplies Safe', '', 'LineageMonster.mimic', 8.50, 8.50, 80, 'male', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8418, 36593, 'Supplies Safe', '', 'LineageMonster.mimic', 8.50, 8.50, 80, 'male', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8419, 36594, 'Supplies Safe', '', 'LineageMonster.mimic', 8.50, 8.50, 80, 'male', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8420, 36595, 'Supplies Safe', '', 'LineageMonster.mimic', 8.50, 8.50, 80, 'male', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8421, 36596, 'Supplies Safe', '', 'LineageMonster.mimic', 8.50, 8.50, 80, 'male', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8422, 36597, 'Supplies Safe', '', 'LineageMonster.mimic', 8.50, 8.50, 80, 'male', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8423, 36598, 'Supplies Safe', '', 'LineageMonster.mimic', 8.50, 8.50, 80, 'male', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8424, 36599, 'Supplies Safe', '', 'LineageMonster.mimic', 8.50, 8.50, 80, 'male', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(8425, 14001, 'Reanimated Man', '', 'skeleton', 11.00, 25.00, 46, 'male', 'L2Pet', 'npc', 40, 2933, 6.000, 816, 3.900, 40, 43, 30, 21, 20, 25, 0, 0, 481, 245, 202, 229, 278, 0, 333, 0, 0, 0, 60, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(8426, 14002, 'Reanimated Man', '', 'skeleton', 11.00, 25.00, 54, 'male', 'L2Pet', 'npc', 40, 3867, 6.800, 1102, 4.800, 40, 43, 30, 21, 20, 25, 0, 0, 761, 311, 339, 292, 278, 0, 333, 0, 0, 0, 60, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(8427, 14003, 'Reanimated Man', '', 'skeleton', 11.00, 25.00, 62, 'male', 'L2Pet', 'npc', 40, 4860, 7.600, 1404, 5.700, 40, 43, 30, 21, 20, 25, 0, 0, 1132, 388, 531, 363, 278, 0, 333, 0, 0, 0, 60, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(8428, 14004, 'Reanimated Man', '', 'skeleton', 11.00, 25.00, 66, 'male', 'L2Pet', 'npc', 40, 5353, 8.000, 1561, 5.800, 40, 43, 30, 21, 20, 25, 0, 0, 1346, 427, 649, 400, 278, 0, 333, 0, 0, 0, 60, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(8429, 14005, 'Reanimated Man', '', 'skeleton', 11.00, 25.00, 70, 'male', 'L2Pet', 'npc', 40, 5830, 8.400, 1722, 6.000, 40, 43, 30, 21, 20, 25, 0, 0, 1576, 469, 779, 439, 278, 0, 333, 0, 0, 0, 60, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(8430, 14006, 'Reanimated Man', '', 'skeleton', 11.00, 25.00, 74, 'male', 'L2Pet', 'npc', 40, 6277, 8.800, 1888, 6.800, 40, 43, 30, 21, 20, 25, 0, 0, 1815, 511, 920, 479, 278, 0, 333, 0, 0, 0, 60, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(8431, 14007, 'Reanimated Man', '', 'skeleton', 11.00, 25.00, 76, 'male', 'L2Pet', 'npc', 40, 6487, 9.000, 1972, 6.900, 40, 43, 30, 21, 20, 25, 0, 0, 1936, 532, 993, 498, 278, 0, 333, 0, 0, 0, 60, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(8432, 14008, 'Reanimated Man', '', 'skeleton', 11.00, 25.00, 78, 'male', 'L2Pet', 'npc', 40, 7085, 9.200, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2068, 555, 1069, 520, 278, 0, 253, 0, 0, 0, 60, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(8433, 14009, 'Reanimated Man', '', 'skeleton', 11.00, 25.00, 78, 'male', 'L2Pet', 'npc', 40, 7085, 9.200, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2078, 555, 1069, 520, 278, 0, 253, 0, 0, 0, 60, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(8434, 14010, 'Reanimated Man', '', 'skeleton', 11.00, 25.00, 78, 'male', 'L2Pet', 'npc', 40, 7085, 9.200, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2088, 555, 1069, 520, 278, 0, 253, 0, 0, 0, 60, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(8435, 14011, 'Reanimated Man', '', 'skeleton', 11.00, 25.00, 78, 'male', 'L2Pet', 'npc', 40, 7085, 9.200, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2099, 555, 1069, 520, 278, 0, 253, 0, 0, 0, 60, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(8436, 14012, 'Reanimated Man', '', 'skeleton', 11.00, 25.00, 79, 'male', 'L2Pet', 'npc', 40, 7085, 9.300, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2109, 555, 1069, 520, 278, 0, 253, 0, 0, 0, 60, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(8437, 14013, 'Reanimated Man', '', 'skeleton', 11.00, 25.00, 79, 'male', 'L2Pet', 'npc', 40, 7085, 9.300, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2119, 555, 1069, 520, 278, 0, 253, 0, 0, 0, 60, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(8438, 14014, 'Reanimated Man', '', 'skeleton', 11.00, 25.00, 79, 'male', 'L2Pet', 'npc', 40, 7085, 9.300, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2130, 555, 1069, 520, 278, 0, 253, 0, 0, 0, 60, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(8439, 14015, 'Reanimated Man', '', 'skeleton', 11.00, 25.00, 79, 'male', 'L2Pet', 'npc', 40, 7085, 9.300, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2140, 555, 1069, 520, 278, 0, 253, 0, 0, 0, 60, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(8440, 14016, 'Reanimated Man', '', 'skeleton', 11.00, 25.00, 80, 'male', 'L2Pet', 'npc', 40, 7085, 9.400, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2150, 555, 1069, 520, 278, 0, 253, 0, 0, 0, 60, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(8441, 14017, 'Reanimated Man', '', 'skeleton', 11.00, 25.00, 80, 'male', 'L2Pet', 'npc', 40, 7085, 9.400, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2173, 558, 1082, 523, 278, 0, 253, 0, 0, 0, 60, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(8442, 14018, 'Reanimated Man', '', 'skeleton', 11.00, 25.00, 80, 'male', 'L2Pet', 'npc', 40, 7085, 9.400, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2184, 558, 1082, 523, 278, 0, 253, 0, 0, 0, 60, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(8443, 14019, 'Reanimated Man', '', 'skeleton', 11.00, 25.00, 80, 'male', 'L2Pet', 'npc', 40, 7085, 9.400, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2194, 558, 1082, 523, 278, 0, 253, 0, 0, 0, 60, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(8444, 14020, 'Reanimated Man', '', 'skeleton', 11.00, 25.00, 81, 'male', 'L2Pet', 'npc', 40, 7085, 9.500, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2204, 558, 1082, 523, 278, 0, 253, 0, 0, 0, 60, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(8445, 14021, 'Reanimated Man', '', 'skeleton', 11.00, 25.00, 81, 'male', 'L2Pet', 'npc', 40, 7085, 9.500, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2215, 558, 1082, 523, 278, 0, 253, 0, 0, 0, 60, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(8446, 14022, 'Reanimated Man', '', 'skeleton', 11.00, 25.00, 81, 'male', 'L2Pet', 'npc', 40, 7085, 9.500, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2225, 558, 1082, 523, 278, 0, 253, 0, 0, 0, 60, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(8447, 14023, 'Reanimated Man', '', 'skeleton', 11.00, 25.00, 81, 'male', 'L2Pet', 'npc', 40, 7085, 9.500, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2236, 558, 1082, 523, 278, 0, 253, 0, 0, 0, 60, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(8448, 14024, 'Reanimated Man', '', 'skeleton', 11.00, 25.00, 82, 'male', 'L2Pet', 'npc', 40, 7085, 9.600, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2246, 558, 1082, 523, 278, 0, 253, 0, 0, 0, 60, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(8449, 14025, 'Reanimated Man', '', 'skeleton', 11.00, 25.00, 82, 'male', 'L2Pet', 'npc', 40, 7085, 9.600, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2256, 558, 1082, 523, 278, 0, 253, 0, 0, 0, 60, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(8450, 14026, 'Reanimated Man', '', 'skeleton', 11.00, 25.00, 82, 'male', 'L2Pet', 'npc', 40, 7085, 9.600, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2280, 562, 1095, 526, 278, 0, 253, 0, 0, 0, 60, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(8451, 14027, 'Reanimated Man', '', 'skeleton', 11.00, 25.00, 82, 'male', 'L2Pet', 'npc', 40, 7085, 9.600, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2290, 562, 1095, 526, 278, 0, 253, 0, 0, 0, 60, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(8452, 14028, 'Reanimated Man', '', 'skeleton', 11.00, 25.00, 83, 'male', 'L2Pet', 'npc', 40, 7085, 9.700, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2301, 562, 1095, 526, 278, 0, 253, 0, 0, 0, 60, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(8453, 14029, 'Reanimated Man', '', 'skeleton', 11.00, 25.00, 83, 'male', 'L2Pet', 'npc', 40, 7085, 9.700, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2311, 562, 1095, 526, 278, 0, 253, 0, 0, 0, 60, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(8454, 14030, 'Reanimated Man', '', 'skeleton', 11.00, 25.00, 83, 'male', 'L2Pet', 'npc', 40, 7085, 9.700, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2322, 562, 1095, 526, 278, 0, 253, 0, 0, 0, 60, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(8455, 14031, 'Reanimated Man', '', 'skeleton', 11.00, 25.00, 83, 'male', 'L2Pet', 'npc', 40, 7085, 9.700, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2332, 562, 1095, 526, 278, 0, 253, 0, 0, 0, 60, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(8456, 14032, 'Reanimated Man', '', 'skeleton', 11.00, 25.00, 84, 'male', 'L2Pet', 'npc', 40, 7085, 9.800, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2343, 562, 1095, 526, 278, 0, 253, 0, 0, 0, 60, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(8457, 14033, 'Reanimated Man', '', 'skeleton', 11.00, 25.00, 84, 'male', 'L2Pet', 'npc', 40, 7085, 9.800, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2353, 562, 1095, 526, 278, 0, 253, 0, 0, 0, 60, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(8458, 14034, 'Reanimated Man', '', 'skeleton', 11.00, 25.00, 84, 'male', 'L2Pet', 'npc', 40, 7085, 9.800, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2363, 562, 1095, 526, 278, 0, 253, 0, 0, 0, 60, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(8459, 14035, 'Reanimated Man', '', 'skeleton', 11.00, 25.00, 85, 'male', 'L2Pet', 'npc', 40, 7085, 9.800, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2374, 562, 1095, 526, 278, 0, 253, 0, 0, 0, 60, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(8460, 14036, 'Reanimated Man', '', 'skeleton', 11.00, 25.00, 85, 'male', 'L2Pet', 'npc', 40, 7085, 9.900, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2384, 562, 1095, 526, 278, 0, 253, 0, 0, 0, 60, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(8461, 14037, 'Reanimated Man', '', 'skeleton', 11.00, 25.00, 85, 'male', 'L2Pet', 'npc', 40, 7085, 9.900, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2395, 562, 1095, 526, 278, 0, 253, 0, 0, 0, 60, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.30, 'false', 'NONE', 0, 0),
	(8462, 14038, 'Corrupted Man', '', 'zombie', 13.00, 21.00, 42, 'male', 'L2Pet', 'npc', 40, 2506, 5.600, 1019, 3.800, 40, 43, 30, 21, 20, 25, 0, 0, 374, 214, 152, 201, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(8463, 14039, 'Corrupted Man', '', 'zombie', 13.00, 21.00, 50, 'male', 'L2Pet', 'npc', 40, 3389, 6.400, 1435, 4.100, 40, 43, 30, 21, 20, 25, 0, 0, 610, 278, 263, 259, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(8464, 14040, 'Corrupted Man', '', 'zombie', 13.00, 21.00, 58, 'male', 'L2Pet', 'npc', 40, 4361, 7.200, 1876, 4.900, 40, 43, 30, 21, 20, 25, 0, 0, 936, 348, 428, 327, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(8465, 14041, 'Corrupted Man', '', 'zombie', 13.00, 21.00, 64, 'male', 'L2Pet', 'npc', 40, 5108, 7.800, 2223, 5.800, 40, 43, 30, 21, 20, 25, 0, 0, 1237, 408, 588, 381, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(8466, 14042, 'Corrupted Man', '', 'zombie', 13.00, 21.00, 68, 'male', 'L2Pet', 'npc', 40, 5594, 8.200, 2462, 5.900, 40, 43, 30, 21, 20, 25, 0, 0, 1460, 449, 713, 420, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(8467, 14043, 'Corrupted Man', '', 'zombie', 13.00, 21.00, 72, 'male', 'L2Pet', 'npc', 40, 6058, 8.600, 2707, 6.800, 40, 43, 30, 21, 20, 25, 0, 0, 1694, 491, 848, 459, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(8468, 14044, 'Corrupted Man', '', 'zombie', 13.00, 21.00, 78, 'male', 'L2Pet', 'npc', 40, 7130, 9.200, 3086, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2068, 555, 1069, 520, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(8469, 14045, 'Corrupted Man', '', 'zombie', 13.00, 21.00, 78, 'male', 'L2Pet', 'npc', 40, 7130, 9.200, 3086, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2078, 555, 1069, 520, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(8470, 14046, 'Corrupted Man', '', 'zombie', 13.00, 21.00, 78, 'male', 'L2Pet', 'npc', 40, 7130, 9.200, 3086, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2088, 555, 1069, 520, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(8471, 14047, 'Corrupted Man', '', 'zombie', 13.00, 21.00, 78, 'male', 'L2Pet', 'npc', 40, 7130, 9.200, 3086, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2099, 555, 1069, 520, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(8472, 14048, 'Corrupted Man', '', 'zombie', 13.00, 21.00, 79, 'male', 'L2Pet', 'npc', 40, 7130, 9.300, 3086, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2109, 555, 1069, 520, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(8473, 14049, 'Corrupted Man', '', 'zombie', 13.00, 21.00, 79, 'male', 'L2Pet', 'npc', 40, 7130, 9.300, 3086, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2119, 555, 1069, 520, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(8474, 14050, 'Corrupted Man', '', 'zombie', 13.00, 21.00, 79, 'male', 'L2Pet', 'npc', 40, 7130, 9.300, 3086, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2130, 555, 1069, 520, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(8475, 14051, 'Corrupted Man', '', 'zombie', 13.00, 21.00, 79, 'male', 'L2Pet', 'npc', 40, 7130, 9.300, 3086, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2140, 555, 1069, 520, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(8476, 14052, 'Corrupted Man', '', 'zombie', 13.00, 21.00, 80, 'male', 'L2Pet', 'npc', 40, 7130, 9.400, 3086, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2150, 555, 1069, 520, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(8477, 14053, 'Corrupted Man', '', 'zombie', 13.00, 21.00, 80, 'male', 'L2Pet', 'npc', 40, 7130, 9.400, 3086, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2173, 558, 1082, 523, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(8478, 14054, 'Corrupted Man', '', 'zombie', 13.00, 21.00, 80, 'male', 'L2Pet', 'npc', 40, 7130, 9.400, 3086, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2184, 558, 1082, 523, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(8479, 14055, 'Corrupted Man', '', 'zombie', 13.00, 21.00, 80, 'male', 'L2Pet', 'npc', 40, 7130, 9.400, 3086, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2194, 558, 1082, 523, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(8480, 14056, 'Corrupted Man', '', 'zombie', 13.00, 21.00, 81, 'male', 'L2Pet', 'npc', 40, 7130, 9.500, 3086, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2204, 558, 1082, 523, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(8481, 14057, 'Corrupted Man', '', 'zombie', 13.00, 21.00, 81, 'male', 'L2Pet', 'npc', 40, 7130, 9.500, 3086, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2215, 558, 1082, 523, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(8482, 14058, 'Corrupted Man', '', 'zombie', 13.00, 21.00, 81, 'male', 'L2Pet', 'npc', 40, 7130, 9.500, 3086, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2225, 558, 1082, 523, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(8483, 14059, 'Corrupted Man', '', 'zombie', 13.00, 21.00, 81, 'male', 'L2Pet', 'npc', 40, 7130, 9.500, 3086, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2236, 558, 1082, 523, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(8484, 14060, 'Corrupted Man', '', 'zombie', 13.00, 21.00, 82, 'male', 'L2Pet', 'npc', 40, 7130, 9.600, 3086, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2246, 558, 1082, 523, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(8485, 14061, 'Corrupted Man', '', 'zombie', 13.00, 21.00, 82, 'male', 'L2Pet', 'npc', 40, 7130, 9.600, 3086, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2256, 558, 1082, 523, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(8486, 14062, 'Corrupted Man', '', 'zombie', 13.00, 21.00, 82, 'male', 'L2Pet', 'npc', 40, 7130, 9.600, 3086, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2280, 562, 1095, 526, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(8487, 14063, 'Corrupted Man', '', 'zombie', 13.00, 21.00, 82, 'male', 'L2Pet', 'npc', 40, 7130, 9.600, 3086, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2290, 562, 1095, 526, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(8488, 14064, 'Corrupted Man', '', 'zombie', 13.00, 21.00, 83, 'male', 'L2Pet', 'npc', 40, 7130, 9.700, 3086, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2301, 562, 1095, 526, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(8489, 14065, 'Corrupted Man', '', 'zombie', 13.00, 21.00, 83, 'male', 'L2Pet', 'npc', 40, 7130, 9.700, 3086, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2311, 562, 1095, 526, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(8490, 14066, 'Corrupted Man', '', 'zombie', 13.00, 21.00, 83, 'male', 'L2Pet', 'npc', 40, 7130, 9.700, 3086, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2322, 562, 1095, 526, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(8491, 14067, 'Corrupted Man', '', 'zombie', 13.00, 21.00, 83, 'male', 'L2Pet', 'npc', 40, 7130, 9.700, 3086, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2332, 562, 1095, 526, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(8492, 14068, 'Corrupted Man', '', 'zombie', 13.00, 21.00, 84, 'male', 'L2Pet', 'npc', 40, 7130, 9.800, 3086, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2343, 562, 1095, 526, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(8493, 14069, 'Corrupted Man', '', 'zombie', 13.00, 21.00, 84, 'male', 'L2Pet', 'npc', 40, 7130, 9.800, 3086, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2353, 562, 1095, 526, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(8494, 14070, 'Corrupted Man', '', 'zombie', 13.00, 21.00, 84, 'male', 'L2Pet', 'npc', 40, 7130, 9.800, 3086, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2363, 562, 1095, 526, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(8495, 14071, 'Corrupted Man', '', 'zombie', 13.00, 21.00, 85, 'male', 'L2Pet', 'npc', 40, 7130, 9.800, 3086, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2374, 562, 1095, 526, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(8496, 14072, 'Corrupted Man', '', 'zombie', 13.00, 21.00, 85, 'male', 'L2Pet', 'npc', 40, 7130, 9.900, 3086, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2384, 562, 1095, 526, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(8497, 14073, 'Corrupted Man', '', 'zombie', 13.00, 21.00, 85, 'male', 'L2Pet', 'npc', 40, 7130, 9.900, 3086, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2395, 562, 1095, 526, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.43, 'false', 'NONE', 0, 0),
	(8498, 14074, 'Cursed Man', '', 'doll_master', 20.00, 42.00, 58, 'male', 'L2Pet', 'npc', 40, 3489, 7.200, 1251, 4.900, 40, 43, 30, 21, 20, 25, 0, 0, 1014, 348, 428, 327, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(8499, 14075, 'Cursed Man', '', 'doll_master', 20.00, 42.00, 62, 'male', 'L2Pet', 'npc', 40, 3888, 7.600, 1404, 5.700, 40, 43, 30, 21, 20, 25, 0, 0, 1226, 388, 531, 363, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(8500, 14076, 'Cursed Man', '', 'doll_master', 20.00, 42.00, 66, 'male', 'L2Pet', 'npc', 40, 4282, 8.000, 1561, 5.800, 40, 43, 30, 21, 20, 25, 0, 0, 1458, 427, 649, 400, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(8501, 14077, 'Cursed Man', '', 'doll_master', 20.00, 42.00, 70, 'male', 'L2Pet', 'npc', 40, 4664, 8.400, 1722, 6.000, 40, 43, 30, 21, 20, 25, 0, 0, 1707, 469, 779, 439, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(8502, 14078, 'Cursed Man', '', 'doll_master', 20.00, 42.00, 72, 'male', 'L2Pet', 'npc', 40, 4846, 8.600, 1804, 6.800, 40, 43, 30, 21, 20, 25, 0, 0, 1835, 491, 848, 459, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(8503, 14079, 'Cursed Man', '', 'doll_master', 20.00, 42.00, 74, 'male', 'L2Pet', 'npc', 40, 5022, 8.800, 1888, 6.800, 40, 43, 30, 21, 20, 25, 0, 0, 1965, 511, 920, 479, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(8504, 14080, 'Cursed Man', '', 'doll_master', 20.00, 42.00, 76, 'male', 'L2Pet', 'npc', 40, 5189, 9.000, 1972, 6.900, 40, 43, 30, 21, 20, 25, 0, 0, 2096, 532, 993, 498, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(8505, 14081, 'Cursed Man', '', 'doll_master', 20.00, 42.00, 78, 'male', 'L2Pet', 'npc', 40, 5358, 9.200, 2057, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2229, 555, 1069, 520, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(8506, 14082, 'Cursed Man', '', 'doll_master', 20.00, 42.00, 78, 'male', 'L2Pet', 'npc', 40, 5358, 9.200, 2057, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2245, 555, 1069, 520, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(8507, 14083, 'Cursed Man', '', 'doll_master', 20.00, 42.00, 78, 'male', 'L2Pet', 'npc', 40, 5358, 9.200, 2057, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2261, 555, 1069, 520, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(8508, 14084, 'Cursed Man', '', 'doll_master', 20.00, 42.00, 78, 'male', 'L2Pet', 'npc', 40, 5358, 9.200, 2057, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2277, 555, 1069, 520, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(8509, 14085, 'Cursed Man', '', 'doll_master', 20.00, 42.00, 79, 'male', 'L2Pet', 'npc', 40, 5358, 9.300, 2057, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2293, 555, 1069, 520, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(8510, 14086, 'Cursed Man', '', 'doll_master', 20.00, 42.00, 79, 'male', 'L2Pet', 'npc', 40, 5358, 9.300, 2057, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2309, 555, 1069, 520, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(8511, 14087, 'Cursed Man', '', 'doll_master', 20.00, 42.00, 79, 'male', 'L2Pet', 'npc', 40, 5358, 9.300, 2057, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2325, 555, 1069, 520, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(8512, 14088, 'Cursed Man', '', 'doll_master', 20.00, 42.00, 79, 'male', 'L2Pet', 'npc', 40, 5358, 9.300, 2057, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2341, 555, 1069, 520, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(8513, 14089, 'Cursed Man', '', 'doll_master', 20.00, 42.00, 80, 'male', 'L2Pet', 'npc', 40, 5358, 9.400, 2057, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2357, 555, 1069, 520, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(8514, 14090, 'Cursed Man', '', 'doll_master', 20.00, 42.00, 80, 'male', 'L2Pet', 'npc', 40, 5358, 9.400, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2388, 558, 1082, 523, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(8515, 14091, 'Cursed Man', '', 'doll_master', 20.00, 42.00, 80, 'male', 'L2Pet', 'npc', 40, 5358, 9.400, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2404, 558, 1082, 523, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(8516, 14092, 'Cursed Man', '', 'doll_master', 20.00, 42.00, 80, 'male', 'L2Pet', 'npc', 40, 5358, 9.400, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2420, 558, 1082, 523, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(8517, 14093, 'Cursed Man', '', 'doll_master', 20.00, 42.00, 81, 'male', 'L2Pet', 'npc', 40, 5358, 9.500, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2436, 558, 1082, 523, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(8518, 14094, 'Cursed Man', '', 'doll_master', 20.00, 42.00, 81, 'male', 'L2Pet', 'npc', 40, 5358, 9.500, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2452, 558, 1082, 523, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(8519, 14095, 'Cursed Man', '', 'doll_master', 20.00, 42.00, 81, 'male', 'L2Pet', 'npc', 40, 5358, 9.500, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2468, 558, 1082, 523, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(8520, 14096, 'Cursed Man', '', 'doll_master', 20.00, 42.00, 81, 'male', 'L2Pet', 'npc', 40, 5358, 9.500, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2484, 558, 1082, 523, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(8521, 14097, 'Cursed Man', '', 'doll_master', 20.00, 42.00, 82, 'male', 'L2Pet', 'npc', 40, 5358, 9.600, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2500, 558, 1082, 523, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(8522, 14098, 'Cursed Man', '', 'doll_master', 20.00, 42.00, 82, 'male', 'L2Pet', 'npc', 40, 5358, 9.600, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2517, 558, 1082, 523, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(8523, 14099, 'Cursed Man', '', 'doll_master', 20.00, 42.00, 82, 'male', 'L2Pet', 'npc', 40, 5358, 9.600, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2548, 562, 1095, 526, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(8524, 14100, 'Cursed Man', '', 'doll_master', 20.00, 42.00, 82, 'male', 'L2Pet', 'npc', 40, 5358, 9.600, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2564, 562, 1095, 526, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(8525, 14101, 'Cursed Man', '', 'doll_master', 20.00, 42.00, 83, 'male', 'L2Pet', 'npc', 40, 5358, 9.700, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2580, 562, 1095, 526, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(8526, 14102, 'Cursed Man', '', 'doll_master', 20.00, 42.00, 83, 'male', 'L2Pet', 'npc', 40, 5358, 9.700, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2596, 562, 1095, 526, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(8527, 14103, 'Cursed Man', '', 'doll_master', 20.00, 42.00, 83, 'male', 'L2Pet', 'npc', 40, 5358, 9.700, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2613, 562, 1095, 526, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(8528, 14104, 'Cursed Man', '', 'doll_master', 20.00, 42.00, 83, 'male', 'L2Pet', 'npc', 40, 5358, 9.700, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2629, 562, 1095, 526, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(8529, 14105, 'Cursed Man', '', 'doll_master', 20.00, 42.00, 84, 'male', 'L2Pet', 'npc', 40, 5358, 9.800, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2645, 562, 1095, 526, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(8530, 14106, 'Cursed Man', '', 'doll_master', 20.00, 42.00, 84, 'male', 'L2Pet', 'npc', 40, 5358, 9.800, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2661, 562, 1095, 526, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(8531, 14107, 'Cursed Man', '', 'doll_master', 20.00, 42.00, 84, 'male', 'L2Pet', 'npc', 40, 5358, 9.800, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2678, 562, 1095, 526, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(8532, 14108, 'Cursed Man', '', 'doll_master', 20.00, 42.00, 85, 'male', 'L2Pet', 'npc', 40, 5358, 9.800, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2694, 562, 1095, 526, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(8533, 14109, 'Cursed Man', '', 'doll_master', 20.00, 42.00, 85, 'male', 'L2Pet', 'npc', 40, 5358, 9.900, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2710, 562, 1095, 526, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(8534, 14110, 'Cursed Man', '', 'doll_master', 20.00, 42.00, 85, 'male', 'L2Pet', 'npc', 40, 5358, 9.900, 2057, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 2726, 562, 1095, 526, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 8, 4, 0, 0, 0.56, 'false', 'NONE', 0, 0),
	(8535, 14111, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 22, 'male', 'L2Pet', 'npc', 40, 984, 3.600, 279, 2.300, 40, 43, 30, 21, 20, 25, 0, 0, 67, 102, 28, 95, 278, 0, 333, 0, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8536, 14112, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 27, 'male', 'L2Pet', 'npc', 40, 1302, 4.100, 367, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 103, 125, 45, 117, 278, 0, 333, 0, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8537, 14113, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 32, 'male', 'L2Pet', 'npc', 40, 1700, 4.600, 458, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 153, 151, 69, 140, 278, 0, 333, 0, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8538, 14114, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 37, 'male', 'L2Pet', 'npc', 40, 2155, 5.100, 553, 3.100, 40, 43, 30, 21, 20, 25, 0, 0, 220, 181, 104, 169, 278, 0, 333, 0, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8539, 14115, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 42, 'male', 'L2Pet', 'npc', 40, 2673, 5.600, 679, 3.800, 40, 43, 30, 21, 20, 25, 0, 0, 311, 214, 152, 201, 278, 0, 333, 0, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8540, 14116, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 46, 'male', 'L2Pet', 'npc', 40, 3128, 6.000, 816, 3.900, 40, 43, 30, 21, 20, 25, 0, 0, 401, 245, 202, 229, 278, 0, 333, 0, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8541, 14117, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 50, 'male', 'L2Pet', 'npc', 40, 3614, 6.400, 957, 4.100, 40, 43, 30, 21, 20, 25, 0, 0, 508, 278, 263, 259, 278, 0, 333, 0, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8542, 14118, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 54, 'male', 'L2Pet', 'npc', 40, 4125, 6.800, 1102, 4.800, 40, 43, 30, 21, 20, 25, 0, 0, 634, 311, 339, 292, 278, 0, 333, 0, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8543, 14119, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 58, 'male', 'L2Pet', 'npc', 40, 4651, 7.200, 1251, 4.900, 40, 43, 30, 21, 20, 25, 0, 0, 779, 348, 428, 327, 278, 0, 333, 0, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8544, 14120, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 60, 'male', 'L2Pet', 'npc', 40, 4917, 7.400, 1327, 5.000, 40, 43, 30, 21, 20, 25, 0, 0, 860, 368, 477, 345, 278, 0, 333, 0, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8545, 14121, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 62, 'male', 'L2Pet', 'npc', 40, 5183, 7.600, 1404, 5.700, 40, 43, 30, 21, 20, 25, 0, 0, 944, 388, 531, 363, 278, 0, 333, 0, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8546, 14122, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 64, 'male', 'L2Pet', 'npc', 40, 5448, 7.800, 1482, 5.800, 40, 43, 30, 21, 20, 25, 0, 0, 1031, 408, 588, 381, 278, 0, 333, 0, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8547, 14123, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 66, 'male', 'L2Pet', 'npc', 40, 5710, 8.000, 1561, 5.800, 40, 43, 30, 21, 20, 25, 0, 0, 1121, 427, 649, 400, 278, 0, 333, 0, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8548, 14124, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 68, 'male', 'L2Pet', 'npc', 40, 5967, 8.200, 1641, 5.900, 40, 43, 30, 21, 20, 25, 0, 0, 1217, 449, 713, 420, 278, 0, 333, 0, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8549, 14125, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 70, 'male', 'L2Pet', 'npc', 40, 6218, 8.400, 1722, 6.000, 40, 43, 30, 21, 20, 25, 0, 0, 1312, 469, 779, 439, 278, 0, 333, 0, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8550, 14126, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 72, 'male', 'L2Pet', 'npc', 40, 6461, 8.600, 1804, 6.800, 40, 43, 30, 21, 20, 25, 0, 0, 1412, 491, 848, 459, 278, 0, 333, 0, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8551, 14127, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 74, 'male', 'L2Pet', 'npc', 40, 6695, 8.800, 1888, 6.800, 40, 43, 30, 21, 20, 25, 0, 0, 1511, 511, 920, 479, 278, 0, 333, 0, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8552, 14128, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 76, 'male', 'L2Pet', 'npc', 40, 6919, 9.000, 1972, 6.900, 40, 43, 30, 21, 20, 25, 0, 0, 1613, 532, 993, 498, 278, 0, 333, 0, 0, 0, 80, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8553, 14129, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 78, 'male', 'L2Pet', 'npc', 40, 7150, 9.200, 2059, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2083, 609, 1071, 569, 278, 0, 333, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8554, 14130, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 78, 'male', 'L2Pet', 'npc', 40, 7209, 9.200, 2081, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2117, 614, 1092, 574, 278, 0, 333, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8555, 14131, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 78, 'male', 'L2Pet', 'npc', 40, 7269, 9.200, 2103, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2152, 620, 1113, 579, 278, 0, 333, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8556, 14132, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 78, 'male', 'L2Pet', 'npc', 40, 7329, 9.200, 2126, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2188, 626, 1134, 584, 278, 0, 333, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8557, 14133, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 79, 'male', 'L2Pet', 'npc', 40, 7390, 9.300, 2149, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2224, 632, 1156, 589, 278, 0, 333, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8558, 14134, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 79, 'male', 'L2Pet', 'npc', 40, 7451, 9.300, 2172, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2261, 638, 1178, 594, 278, 0, 333, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8559, 14135, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 79, 'male', 'L2Pet', 'npc', 40, 7513, 9.300, 2195, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2298, 644, 1201, 599, 278, 0, 333, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8560, 14136, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 79, 'male', 'L2Pet', 'npc', 40, 7575, 9.300, 2219, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2336, 650, 1224, 604, 278, 0, 333, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8561, 14137, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 80, 'male', 'L2Pet', 'npc', 40, 7638, 9.400, 2243, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2375, 656, 1248, 609, 278, 0, 333, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8562, 14138, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 80, 'male', 'L2Pet', 'npc', 40, 7701, 9.400, 2267, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2414, 662, 1272, 614, 278, 0, 333, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8563, 14139, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 80, 'male', 'L2Pet', 'npc', 40, 7765, 9.400, 2292, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2454, 668, 1296, 619, 278, 0, 333, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8564, 14140, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 80, 'male', 'L2Pet', 'npc', 40, 7829, 9.400, 2317, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2495, 674, 1321, 624, 278, 0, 333, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8565, 14141, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 81, 'male', 'L2Pet', 'npc', 40, 7894, 9.500, 2342, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2536, 680, 1346, 629, 278, 0, 333, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8566, 14142, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 81, 'male', 'L2Pet', 'npc', 40, 7959, 9.500, 2367, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2578, 686, 1372, 635, 278, 0, 333, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8567, 14143, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 81, 'male', 'L2Pet', 'npc', 40, 8025, 9.500, 2393, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2621, 692, 1398, 641, 278, 0, 333, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8568, 14144, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 81, 'male', 'L2Pet', 'npc', 40, 8091, 9.500, 2419, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2664, 698, 1425, 647, 278, 0, 333, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8569, 14145, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 82, 'male', 'L2Pet', 'npc', 40, 8158, 9.600, 2445, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2708, 704, 1452, 653, 278, 0, 333, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8570, 14146, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 82, 'male', 'L2Pet', 'npc', 40, 8226, 9.600, 2471, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2753, 710, 1480, 659, 278, 0, 333, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8571, 14147, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 82, 'male', 'L2Pet', 'npc', 40, 8294, 9.600, 2498, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2799, 716, 1509, 665, 278, 0, 333, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8572, 14148, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 82, 'male', 'L2Pet', 'npc', 40, 8363, 9.600, 2525, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2845, 723, 1538, 671, 278, 0, 333, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8573, 14149, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 83, 'male', 'L2Pet', 'npc', 40, 8432, 9.700, 2552, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2892, 730, 1568, 677, 278, 0, 333, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8574, 14150, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 83, 'male', 'L2Pet', 'npc', 40, 8502, 9.700, 2580, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2940, 737, 1598, 683, 278, 0, 333, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8575, 14151, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 83, 'male', 'L2Pet', 'npc', 40, 8572, 9.700, 2608, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2989, 744, 1629, 689, 278, 0, 333, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8576, 14152, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 83, 'male', 'L2Pet', 'npc', 40, 8643, 9.700, 2636, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3039, 751, 1660, 695, 278, 0, 333, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8577, 14153, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 84, 'male', 'L2Pet', 'npc', 40, 8715, 9.800, 2665, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3089, 758, 1692, 701, 278, 0, 333, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8578, 14154, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 84, 'male', 'L2Pet', 'npc', 40, 8787, 9.800, 2694, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3140, 765, 1725, 707, 278, 0, 333, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8579, 14155, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 84, 'male', 'L2Pet', 'npc', 40, 8860, 9.800, 2723, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3192, 772, 1758, 713, 278, 0, 333, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8580, 14156, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 85, 'male', 'L2Pet', 'npc', 40, 8933, 9.800, 2753, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3245, 779, 1792, 719, 278, 0, 333, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8581, 14157, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 85, 'male', 'L2Pet', 'npc', 40, 9007, 9.900, 2783, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3299, 786, 1827, 725, 278, 0, 333, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8582, 14158, 'Kat the Cat', '', 'cat_the_cat', 9.00, 16.00, 85, 'male', 'L2Pet', 'npc', 40, 9082, 9.900, 2813, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3354, 793, 1862, 731, 278, 0, 333, 0, 0, 0, 88, 132, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8583, 14159, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 22, 'female', 'L2Pet', 'npc', 40, 984, 3.600, 279, 2.300, 40, 43, 30, 21, 20, 25, 0, 0, 74, 112, 34, 105, 278, 0, 333, 0, 0, 0, 48, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8584, 14160, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 27, 'female', 'L2Pet', 'npc', 40, 1310, 4.100, 367, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 113, 138, 54, 129, 278, 0, 333, 0, 0, 0, 48, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8585, 14161, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 32, 'female', 'L2Pet', 'npc', 40, 1700, 4.600, 458, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 168, 166, 83, 154, 278, 0, 333, 0, 0, 0, 48, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8586, 14162, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 37, 'female', 'L2Pet', 'npc', 40, 2155, 5.100, 553, 3.100, 40, 43, 30, 21, 20, 25, 0, 0, 242, 199, 126, 186, 278, 0, 333, 0, 0, 0, 48, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8587, 14163, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 42, 'female', 'L2Pet', 'npc', 40, 2673, 5.600, 679, 3.800, 40, 43, 30, 21, 20, 25, 0, 0, 342, 235, 184, 221, 278, 0, 333, 0, 0, 0, 48, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8588, 14164, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 46, 'female', 'L2Pet', 'npc', 40, 3128, 6.100, 816, 3.900, 40, 43, 30, 21, 20, 25, 0, 0, 441, 270, 244, 252, 278, 0, 333, 0, 0, 0, 48, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8589, 14165, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 50, 'female', 'L2Pet', 'npc', 40, 3614, 6.400, 957, 4.100, 40, 43, 30, 21, 20, 25, 0, 0, 559, 306, 318, 285, 278, 0, 333, 0, 0, 0, 48, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8590, 14166, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 54, 'female', 'L2Pet', 'npc', 40, 4125, 6.800, 1102, 4.800, 40, 43, 30, 21, 20, 25, 0, 0, 697, 342, 410, 321, 278, 0, 333, 0, 0, 0, 48, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8591, 14167, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 58, 'female', 'L2Pet', 'npc', 40, 4651, 7.200, 1251, 4.900, 40, 43, 30, 21, 20, 25, 0, 0, 857, 383, 518, 360, 278, 0, 333, 0, 0, 0, 48, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8592, 14168, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 60, 'female', 'L2Pet', 'npc', 40, 4917, 7.400, 1327, 5.000, 40, 43, 30, 21, 20, 25, 0, 0, 946, 405, 577, 380, 278, 0, 333, 0, 0, 0, 48, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8593, 14169, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 62, 'female', 'L2Pet', 'npc', 40, 5183, 7.600, 1404, 5.700, 40, 43, 30, 21, 20, 25, 0, 0, 1038, 427, 643, 399, 278, 0, 333, 0, 0, 0, 48, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8594, 14170, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 64, 'female', 'L2Pet', 'npc', 40, 5448, 7.800, 1482, 5.800, 40, 43, 30, 21, 20, 25, 0, 0, 1134, 449, 711, 419, 278, 0, 333, 0, 0, 0, 48, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8595, 14171, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 66, 'female', 'L2Pet', 'npc', 40, 5710, 8.000, 1561, 5.800, 40, 43, 30, 21, 20, 25, 0, 0, 1233, 470, 785, 440, 278, 0, 333, 0, 0, 0, 48, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8596, 14172, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 68, 'female', 'L2Pet', 'npc', 40, 5967, 8.200, 1641, 5.900, 40, 43, 30, 21, 20, 25, 0, 0, 1339, 494, 863, 462, 278, 0, 333, 0, 0, 0, 48, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8597, 14173, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 70, 'female', 'L2Pet', 'npc', 40, 6218, 8.400, 1722, 6.000, 40, 43, 30, 21, 20, 25, 0, 0, 1443, 516, 943, 483, 278, 0, 333, 0, 0, 0, 48, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8598, 14174, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 72, 'female', 'L2Pet', 'npc', 40, 6461, 8.600, 1804, 6.800, 40, 43, 30, 21, 20, 25, 0, 0, 1553, 540, 1026, 505, 278, 0, 333, 0, 0, 0, 48, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8599, 14175, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 74, 'female', 'L2Pet', 'npc', 40, 6695, 8.800, 1888, 6.800, 40, 43, 30, 21, 20, 25, 0, 0, 1662, 562, 1113, 527, 278, 0, 333, 0, 0, 0, 48, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8600, 14176, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 76, 'female', 'L2Pet', 'npc', 40, 6919, 9.000, 1972, 6.900, 40, 43, 30, 21, 20, 25, 0, 0, 1774, 585, 1202, 548, 278, 0, 333, 0, 0, 0, 48, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8601, 14177, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 78, 'female', 'L2Pet', 'npc', 40, 7150, 9.200, 2059, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1894, 609, 1295, 569, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8602, 14178, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 78, 'female', 'L2Pet', 'npc', 40, 7209, 9.200, 2081, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1925, 614, 1320, 574, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8603, 14179, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 78, 'female', 'L2Pet', 'npc', 40, 7269, 9.200, 2103, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1957, 620, 1345, 579, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8604, 14180, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 78, 'female', 'L2Pet', 'npc', 40, 7329, 9.200, 2126, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1989, 626, 1371, 584, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8605, 14181, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 79, 'female', 'L2Pet', 'npc', 40, 7390, 9.300, 2149, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2022, 632, 1397, 589, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8606, 14182, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 79, 'female', 'L2Pet', 'npc', 40, 7451, 9.300, 2172, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2055, 638, 1424, 594, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8607, 14183, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 79, 'female', 'L2Pet', 'npc', 40, 7513, 9.300, 2195, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2089, 644, 1451, 599, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8608, 14184, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 79, 'female', 'L2Pet', 'npc', 40, 7575, 9.300, 2219, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2124, 650, 1479, 604, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8609, 14185, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 80, 'female', 'L2Pet', 'npc', 40, 7638, 9.400, 2243, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2159, 656, 1507, 609, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8610, 14186, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 80, 'female', 'L2Pet', 'npc', 40, 7701, 9.400, 2267, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2195, 662, 1536, 614, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8611, 14187, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 80, 'female', 'L2Pet', 'npc', 40, 7765, 9.400, 2292, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2231, 668, 1566, 619, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8612, 14188, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 80, 'female', 'L2Pet', 'npc', 40, 7829, 9.400, 2317, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2268, 674, 1596, 624, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8613, 14189, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 81, 'female', 'L2Pet', 'npc', 40, 7894, 9.500, 2342, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2306, 680, 1627, 629, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8614, 14190, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 81, 'female', 'L2Pet', 'npc', 40, 7959, 9.500, 2367, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2344, 686, 1658, 635, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8615, 14191, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 81, 'female', 'L2Pet', 'npc', 40, 8025, 9.500, 2393, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2383, 692, 1690, 641, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8616, 14192, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 81, 'female', 'L2Pet', 'npc', 40, 8091, 9.500, 2419, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2422, 698, 1723, 647, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8617, 14193, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 82, 'female', 'L2Pet', 'npc', 40, 8158, 9.600, 2445, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2462, 704, 1756, 653, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8618, 14194, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 82, 'female', 'L2Pet', 'npc', 40, 8226, 9.600, 2471, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2503, 710, 1790, 659, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8619, 14195, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 82, 'female', 'L2Pet', 'npc', 40, 8294, 9.600, 2498, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2544, 716, 1825, 665, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8620, 14196, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 82, 'female', 'L2Pet', 'npc', 40, 8363, 9.600, 2525, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2586, 723, 1860, 671, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8621, 14197, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 83, 'female', 'L2Pet', 'npc', 40, 8432, 9.700, 2552, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2629, 730, 1896, 677, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8622, 14198, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 83, 'female', 'L2Pet', 'npc', 40, 8502, 9.700, 2580, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2673, 737, 1933, 683, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8623, 14199, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 83, 'female', 'L2Pet', 'npc', 40, 8572, 9.700, 2608, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2717, 744, 1970, 689, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8624, 14200, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 83, 'female', 'L2Pet', 'npc', 40, 8643, 9.700, 2636, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2762, 751, 2008, 695, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8625, 14201, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 84, 'female', 'L2Pet', 'npc', 40, 8715, 9.800, 2665, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2808, 758, 2047, 701, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8626, 14202, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 84, 'female', 'L2Pet', 'npc', 40, 8787, 9.800, 2694, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2855, 765, 2087, 707, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8627, 14203, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 84, 'female', 'L2Pet', 'npc', 40, 8860, 9.800, 2723, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2902, 772, 2127, 713, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8628, 14204, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 85, 'female', 'L2Pet', 'npc', 40, 8933, 9.800, 2753, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2950, 779, 2168, 719, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8629, 14205, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 85, 'female', 'L2Pet', 'npc', 40, 9007, 9.900, 2783, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2999, 786, 2210, 725, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8630, 14206, 'Mew the Cat', '', 'cutie_cat', 8.00, 15.00, 85, 'female', 'L2Pet', 'npc', 40, 9082, 9.900, 2813, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3049, 793, 2253, 731, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8631, 14207, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 42, 'male', 'L2Pet', 'npc', 40, 2004, 5.600, 679, 3.800, 40, 43, 30, 21, 20, 25, 0, 0, 413, 236, 152, 221, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8632, 14208, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 46, 'male', 'L2Pet', 'npc', 40, 2346, 6.000, 816, 3.900, 40, 43, 30, 21, 20, 25, 0, 0, 534, 270, 202, 252, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8633, 14209, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 50, 'male', 'L2Pet', 'npc', 40, 2711, 6.400, 957, 4.100, 40, 43, 30, 21, 20, 25, 0, 0, 678, 306, 219, 285, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8634, 14210, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 54, 'male', 'L2Pet', 'npc', 40, 3094, 6.800, 1102, 4.800, 40, 43, 30, 21, 20, 25, 0, 0, 846, 342, 290, 321, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8635, 14211, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 58, 'male', 'L2Pet', 'npc', 40, 3489, 7.200, 1251, 4.900, 40, 43, 30, 21, 20, 25, 0, 0, 1039, 383, 377, 360, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8636, 14212, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 60, 'male', 'L2Pet', 'npc', 40, 3687, 7.400, 1327, 5.000, 40, 43, 30, 21, 20, 25, 0, 0, 1147, 405, 426, 380, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8637, 14213, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 62, 'male', 'L2Pet', 'npc', 40, 3888, 7.600, 1404, 5.700, 40, 43, 30, 21, 20, 25, 0, 0, 1258, 427, 480, 399, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8638, 14214, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 64, 'male', 'L2Pet', 'npc', 40, 4086, 7.800, 1482, 5.800, 40, 43, 30, 21, 20, 25, 0, 0, 1376, 449, 538, 419, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8639, 14215, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 66, 'male', 'L2Pet', 'npc', 40, 4282, 8.000, 1561, 5.800, 40, 43, 30, 21, 20, 25, 0, 0, 1494, 470, 602, 440, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8640, 14216, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 68, 'male', 'L2Pet', 'npc', 40, 4475, 8.200, 1641, 5.900, 40, 43, 30, 21, 20, 25, 0, 0, 1623, 494, 669, 462, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8641, 14217, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 70, 'male', 'L2Pet', 'npc', 40, 4664, 8.400, 1722, 6.000, 40, 43, 30, 21, 20, 25, 0, 0, 1750, 516, 742, 483, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8642, 14218, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 72, 'male', 'L2Pet', 'npc', 40, 4846, 8.600, 1804, 6.800, 40, 43, 30, 21, 20, 25, 0, 0, 1883, 540, 816, 505, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8643, 14219, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 74, 'male', 'L2Pet', 'npc', 40, 5022, 8.800, 1888, 6.800, 40, 43, 30, 21, 20, 25, 0, 0, 2017, 562, 897, 527, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8644, 14220, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 76, 'male', 'L2Pet', 'npc', 40, 5189, 9.000, 1972, 6.900, 40, 43, 30, 21, 20, 25, 0, 0, 2153, 585, 980, 548, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8645, 14221, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 78, 'male', 'L2Pet', 'npc', 40, 5358, 9.200, 2059, 7.000, 40, 43, 30, 21, 20, 25, 0, 0, 2291, 609, 1071, 569, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8646, 14222, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 78, 'male', 'L2Pet', 'npc', 40, 5400, 9.200, 2081, 7.000, 40, 43, 30, 21, 20, 25, 0, 0, 2329, 614, 1092, 574, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8647, 14223, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 78, 'male', 'L2Pet', 'npc', 40, 5451, 9.200, 2103, 7.000, 40, 43, 30, 21, 20, 25, 0, 0, 2368, 620, 1113, 579, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8648, 14224, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 78, 'male', 'L2Pet', 'npc', 40, 5502, 9.200, 2126, 7.000, 40, 43, 30, 21, 20, 25, 0, 0, 2408, 626, 1134, 584, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8649, 14225, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 79, 'male', 'L2Pet', 'npc', 40, 5552, 9.300, 2149, 7.000, 40, 43, 30, 21, 20, 25, 0, 0, 2448, 632, 1156, 589, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8650, 14226, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 79, 'male', 'L2Pet', 'npc', 40, 5590, 9.300, 2172, 7.000, 40, 43, 30, 21, 20, 25, 0, 0, 2489, 638, 1178, 594, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8651, 14227, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 79, 'male', 'L2Pet', 'npc', 40, 5644, 9.300, 2195, 7.000, 40, 43, 30, 21, 20, 25, 0, 0, 2531, 644, 1201, 599, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8652, 14228, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 79, 'male', 'L2Pet', 'npc', 40, 5690, 9.300, 2219, 7.000, 40, 43, 30, 21, 20, 25, 0, 0, 2573, 650, 1224, 604, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8653, 14229, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 80, 'male', 'L2Pet', 'npc', 40, 5737, 9.400, 2243, 7.000, 40, 43, 30, 21, 20, 25, 0, 0, 2616, 656, 1248, 609, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8654, 14230, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 80, 'male', 'L2Pet', 'npc', 40, 5784, 9.400, 2267, 7.000, 40, 43, 30, 21, 20, 25, 0, 0, 2660, 662, 1272, 614, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8655, 14231, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 80, 'male', 'L2Pet', 'npc', 40, 5832, 9.400, 2292, 7.000, 40, 43, 30, 21, 20, 25, 0, 0, 2704, 668, 1296, 619, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8656, 14232, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 80, 'male', 'L2Pet', 'npc', 40, 5880, 9.400, 2317, 7.000, 40, 43, 30, 21, 20, 25, 0, 0, 2749, 674, 1321, 624, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8657, 14233, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 81, 'male', 'L2Pet', 'npc', 40, 5928, 9.500, 2342, 7.000, 40, 43, 30, 21, 20, 25, 0, 0, 2795, 680, 1346, 629, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8658, 14234, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 81, 'male', 'L2Pet', 'npc', 40, 5977, 9.500, 2367, 7.000, 40, 43, 30, 21, 20, 25, 0, 0, 2842, 686, 1372, 635, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8659, 14235, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 81, 'male', 'L2Pet', 'npc', 40, 6026, 9.500, 2393, 7.000, 40, 43, 30, 21, 20, 25, 0, 0, 2890, 692, 1398, 641, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8660, 14236, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 81, 'male', 'L2Pet', 'npc', 40, 6076, 9.500, 2419, 7.000, 40, 43, 30, 21, 20, 25, 0, 0, 2938, 698, 1425, 647, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8661, 14237, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 82, 'male', 'L2Pet', 'npc', 40, 6126, 9.600, 2445, 7.000, 40, 43, 30, 21, 20, 25, 0, 0, 2987, 704, 1452, 653, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8662, 14238, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 82, 'male', 'L2Pet', 'npc', 40, 6176, 9.600, 2471, 7.000, 40, 43, 30, 21, 20, 25, 0, 0, 3037, 710, 1480, 659, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8663, 14239, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 82, 'male', 'L2Pet', 'npc', 40, 6227, 9.600, 2498, 7.000, 40, 43, 30, 21, 20, 25, 0, 0, 3088, 716, 1509, 665, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8664, 14240, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 82, 'male', 'L2Pet', 'npc', 40, 6278, 9.600, 2525, 7.000, 40, 43, 30, 21, 20, 25, 0, 0, 3140, 723, 1538, 671, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8665, 14241, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 83, 'male', 'L2Pet', 'npc', 40, 6330, 9.700, 2552, 7.000, 40, 43, 30, 21, 20, 25, 0, 0, 3193, 730, 1568, 677, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8666, 14242, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 83, 'male', 'L2Pet', 'npc', 40, 6382, 9.700, 2580, 7.000, 40, 43, 30, 21, 20, 25, 0, 0, 3246, 737, 1598, 683, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8667, 14243, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 83, 'male', 'L2Pet', 'npc', 40, 6435, 9.700, 2608, 7.000, 40, 43, 30, 21, 20, 25, 0, 0, 3300, 744, 1629, 689, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8668, 14244, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 83, 'male', 'L2Pet', 'npc', 40, 6488, 9.700, 2636, 7.000, 40, 43, 30, 21, 20, 25, 0, 0, 3355, 751, 1660, 695, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8669, 14245, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 84, 'male', 'L2Pet', 'npc', 40, 6541, 9.800, 2665, 7.000, 40, 43, 30, 21, 20, 25, 0, 0, 3411, 758, 1692, 701, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8670, 14246, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 84, 'male', 'L2Pet', 'npc', 40, 6595, 9.800, 2694, 7.000, 40, 43, 30, 21, 20, 25, 0, 0, 3468, 765, 1725, 707, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8671, 14247, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 84, 'male', 'L2Pet', 'npc', 40, 6649, 9.800, 2723, 7.000, 40, 43, 30, 21, 20, 25, 0, 0, 3526, 772, 1758, 713, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8672, 14248, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 85, 'male', 'L2Pet', 'npc', 40, 6704, 9.800, 2753, 7.000, 40, 43, 30, 21, 20, 25, 0, 0, 3585, 779, 1792, 719, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8673, 14249, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 85, 'male', 'L2Pet', 'npc', 40, 6759, 9.900, 2783, 7.000, 40, 43, 30, 21, 20, 25, 0, 0, 3645, 786, 1827, 725, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8674, 14250, 'Kai the Cat', '', 'silver_cat', 7.00, 15.00, 85, 'male', 'L2Pet', 'npc', 40, 6815, 9.900, 2813, 7.000, 40, 43, 30, 21, 20, 25, 0, 0, 3706, 793, 1862, 731, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(8675, 14251, 'Feline Queen', '', 'queen_of_cat', 8.00, 15.00, 58, 'female', 'L2Pet', 'npc', 40, 2889, 7.200, 1251, 4.900, 40, 43, 30, 21, 20, 25, 0, 0, 781, 348, 428, 327, 278, 0, 333, 0, 0, 0, 26, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(8676, 14252, 'Feline Queen', '', 'queen_of_cat', 8.00, 15.00, 60, 'female', 'L2Pet', 'npc', 40, 3054, 7.400, 1327, 5.000, 40, 43, 30, 21, 20, 25, 0, 0, 861, 368, 477, 345, 278, 0, 333, 0, 0, 0, 26, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(8677, 14253, 'Feline Queen', '', 'queen_of_cat', 8.00, 15.00, 62, 'female', 'L2Pet', 'npc', 40, 3219, 7.600, 1404, 5.700, 40, 43, 30, 21, 20, 25, 0, 0, 943, 388, 531, 363, 278, 0, 333, 0, 0, 0, 26, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(8678, 14254, 'Feline Queen', '', 'queen_of_cat', 8.00, 15.00, 64, 'female', 'L2Pet', 'npc', 40, 3384, 7.800, 1482, 5.800, 40, 43, 30, 21, 20, 25, 0, 0, 1033, 408, 588, 381, 278, 0, 333, 0, 0, 0, 26, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(8679, 14255, 'Feline Queen', '', 'queen_of_cat', 8.00, 15.00, 66, 'female', 'L2Pet', 'npc', 40, 3546, 8.000, 1561, 5.800, 40, 43, 30, 21, 20, 25, 0, 0, 1123, 427, 649, 400, 278, 0, 333, 0, 0, 0, 26, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(8680, 14256, 'Feline Queen', '', 'queen_of_cat', 8.00, 15.00, 68, 'female', 'L2Pet', 'npc', 40, 3706, 8.200, 1641, 5.900, 40, 43, 30, 21, 20, 25, 0, 0, 1218, 449, 713, 420, 278, 0, 333, 0, 0, 0, 26, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(8681, 14257, 'Feline Queen', '', 'queen_of_cat', 8.00, 15.00, 70, 'female', 'L2Pet', 'npc', 40, 3862, 8.400, 1722, 6.000, 40, 43, 30, 21, 20, 25, 0, 0, 1316, 469, 779, 439, 278, 0, 333, 0, 0, 0, 26, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(8682, 14258, 'Feline Queen', '', 'queen_of_cat', 8.00, 15.00, 72, 'female', 'L2Pet', 'npc', 40, 4013, 8.600, 1804, 6.800, 40, 43, 30, 21, 20, 25, 0, 0, 1414, 491, 848, 459, 278, 0, 333, 0, 0, 0, 26, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(8683, 14259, 'Feline Queen', '', 'queen_of_cat', 8.00, 15.00, 74, 'female', 'L2Pet', 'npc', 40, 4158, 8.800, 1888, 6.800, 40, 43, 30, 21, 20, 25, 0, 0, 1514, 511, 920, 479, 278, 0, 333, 0, 0, 0, 26, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(8684, 14260, 'Feline Queen', '', 'queen_of_cat', 8.00, 15.00, 76, 'female', 'L2Pet', 'npc', 40, 4297, 9.000, 1972, 6.900, 40, 43, 30, 21, 20, 25, 0, 0, 1617, 532, 993, 498, 278, 0, 333, 0, 0, 0, 26, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(8685, 14265, 'Feline Queen', '', 'queen_of_cat', 8.00, 15.00, 78, 'female', 'L2Pet', 'npc', 40, 4440, 9.200, 2059, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1721, 553, 1071, 517, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(8686, 14266, 'Feline Queen', '', 'queen_of_cat', 8.00, 15.00, 78, 'female', 'L2Pet', 'npc', 40, 4476, 9.200, 2081, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1749, 558, 1092, 521, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(8687, 14267, 'Feline Queen', '', 'queen_of_cat', 8.00, 15.00, 78, 'female', 'L2Pet', 'npc', 40, 4513, 9.200, 2103, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1778, 563, 1113, 525, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(8688, 14268, 'Feline Queen', '', 'queen_of_cat', 8.00, 15.00, 78, 'female', 'L2Pet', 'npc', 40, 4550, 9.200, 2126, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1807, 568, 1134, 530, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(8689, 14269, 'Feline Queen', '', 'queen_of_cat', 8.00, 15.00, 79, 'female', 'L2Pet', 'npc', 40, 4587, 9.300, 2149, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1837, 573, 1156, 535, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(8690, 14270, 'Feline Queen', '', 'queen_of_cat', 8.00, 15.00, 79, 'female', 'L2Pet', 'npc', 40, 4625, 9.300, 2172, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1867, 578, 1178, 540, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(8691, 14271, 'Feline Queen', '', 'queen_of_cat', 8.00, 15.00, 79, 'female', 'L2Pet', 'npc', 40, 4663, 9.300, 2195, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1898, 583, 1201, 545, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(8692, 14272, 'Feline Queen', '', 'queen_of_cat', 8.00, 15.00, 79, 'female', 'L2Pet', 'npc', 40, 4701, 9.300, 2219, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1929, 588, 1224, 550, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(8693, 14273, 'Feline Queen', '', 'queen_of_cat', 8.00, 15.00, 80, 'female', 'L2Pet', 'npc', 40, 4740, 9.400, 2243, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1961, 593, 1248, 555, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(8694, 14274, 'Feline Queen', '', 'queen_of_cat', 8.00, 15.00, 80, 'female', 'L2Pet', 'npc', 40, 4779, 9.400, 2267, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1993, 598, 1272, 560, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(8695, 14275, 'Feline Queen', '', 'queen_of_cat', 8.00, 15.00, 80, 'female', 'L2Pet', 'npc', 40, 4818, 9.400, 2292, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2026, 603, 1296, 565, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(8696, 14276, 'Feline Queen', '', 'queen_of_cat', 8.00, 15.00, 80, 'female', 'L2Pet', 'npc', 40, 4858, 9.400, 2317, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2059, 608, 1321, 570, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(8697, 14277, 'Feline Queen', '', 'queen_of_cat', 8.00, 15.00, 81, 'female', 'L2Pet', 'npc', 40, 4898, 9.500, 2342, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2093, 614, 1346, 575, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(8698, 14278, 'Feline Queen', '', 'queen_of_cat', 8.00, 15.00, 81, 'female', 'L2Pet', 'npc', 40, 4938, 9.500, 2367, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2128, 620, 1372, 580, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(8699, 14279, 'Feline Queen', '', 'queen_of_cat', 8.00, 15.00, 81, 'female', 'L2Pet', 'npc', 40, 4979, 9.500, 2393, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2163, 626, 1398, 585, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(8700, 14280, 'Feline Queen', '', 'queen_of_cat', 8.00, 15.00, 81, 'female', 'L2Pet', 'npc', 40, 5020, 9.500, 2419, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2199, 632, 1425, 590, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(8701, 14281, 'Feline Queen', '', 'queen_of_cat', 8.00, 15.00, 82, 'female', 'L2Pet', 'npc', 40, 5061, 9.600, 2445, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2235, 638, 1452, 595, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(8702, 14282, 'Feline Queen', '', 'queen_of_cat', 8.00, 15.00, 82, 'female', 'L2Pet', 'npc', 40, 5103, 9.600, 2471, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2272, 644, 1480, 600, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(8703, 14283, 'Feline Queen', '', 'queen_of_cat', 8.00, 15.00, 82, 'female', 'L2Pet', 'npc', 40, 5145, 9.600, 2498, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2310, 650, 1509, 605, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(8704, 14284, 'Feline Queen', '', 'queen_of_cat', 8.00, 15.00, 82, 'female', 'L2Pet', 'npc', 40, 5187, 9.600, 2525, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2348, 656, 1538, 610, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(8705, 14285, 'Feline Queen', '', 'queen_of_cat', 8.00, 15.00, 83, 'female', 'L2Pet', 'npc', 40, 5230, 9.700, 2552, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2387, 662, 1568, 615, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(8706, 14286, 'Feline Queen', '', 'queen_of_cat', 8.00, 15.00, 83, 'female', 'L2Pet', 'npc', 40, 5273, 9.700, 2580, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2426, 668, 1598, 620, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(8707, 14287, 'Feline Queen', '', 'queen_of_cat', 8.00, 15.00, 83, 'female', 'L2Pet', 'npc', 40, 5316, 9.700, 2608, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2466, 674, 1629, 625, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(8708, 14288, 'Feline Queen', '', 'queen_of_cat', 8.00, 15.00, 83, 'female', 'L2Pet', 'npc', 40, 5360, 9.700, 2636, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2507, 680, 1660, 630, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(8709, 14289, 'Feline Queen', '', 'queen_of_cat', 8.00, 15.00, 84, 'female', 'L2Pet', 'npc', 40, 5404, 9.800, 2665, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2548, 686, 1692, 636, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(8710, 14290, 'Feline Queen', '', 'queen_of_cat', 8.00, 15.00, 84, 'female', 'L2Pet', 'npc', 40, 5448, 9.800, 2694, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2590, 692, 1725, 642, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(8711, 14291, 'Feline Queen', '', 'queen_of_cat', 8.00, 15.00, 84, 'female', 'L2Pet', 'npc', 40, 5493, 9.800, 2723, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2633, 698, 1758, 648, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(8712, 14292, 'Feline Queen', '', 'queen_of_cat', 8.00, 15.00, 85, 'female', 'L2Pet', 'npc', 40, 5538, 9.800, 2753, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2677, 704, 1792, 654, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(8713, 14293, 'Feline Queen', '', 'queen_of_cat', 8.00, 15.00, 85, 'female', 'L2Pet', 'npc', 40, 5584, 9.900, 2783, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2721, 710, 1827, 660, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(8714, 14294, 'Feline Queen', '', 'queen_of_cat', 8.00, 15.00, 85, 'female', 'L2Pet', 'npc', 40, 5630, 9.900, 2813, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2766, 717, 1862, 666, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(8715, 14295, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 22, 'male', 'L2Pet', 'npc', 40, 984, 3.600, 279, 2.300, 40, 43, 30, 21, 20, 25, 0, 0, 81, 112, 28, 105, 278, 0, 333, 0, 0, 0, 27, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8716, 14296, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 27, 'male', 'L2Pet', 'npc', 40, 1310, 4.100, 367, 8.300, 40, 43, 30, 21, 20, 25, 0, 0, 125, 138, 45, 129, 278, 0, 333, 0, 0, 0, 27, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8717, 14297, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 32, 'male', 'L2Pet', 'npc', 40, 1700, 4.600, 458, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 185, 166, 69, 154, 278, 0, 333, 0, 0, 0, 27, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8718, 14298, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 37, 'male', 'L2Pet', 'npc', 40, 2155, 5.100, 553, 3.100, 40, 43, 30, 21, 20, 25, 0, 0, 266, 199, 104, 186, 370, 0, 432, 0, 0, 0, 27, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8719, 14299, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 42, 'male', 'L2Pet', 'npc', 40, 2673, 5.600, 679, 3.800, 40, 43, 30, 21, 20, 25, 0, 0, 376, 235, 152, 221, 278, 0, 333, 0, 0, 0, 27, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8720, 14300, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 46, 'male', 'L2Pet', 'npc', 40, 3128, 6.000, 816, 3.900, 40, 43, 30, 21, 20, 25, 0, 0, 485, 270, 202, 252, 278, 0, 333, 0, 0, 0, 27, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8721, 14301, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 50, 'male', 'L2Pet', 'npc', 40, 3614, 6.400, 957, 4.100, 40, 43, 30, 21, 20, 25, 0, 0, 615, 306, 263, 285, 278, 0, 333, 0, 0, 0, 27, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8722, 14302, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 54, 'male', 'L2Pet', 'npc', 40, 4125, 6.800, 1102, 4.800, 40, 43, 30, 21, 20, 25, 0, 0, 767, 342, 339, 321, 278, 0, 333, 0, 0, 0, 27, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8723, 14303, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 58, 'male', 'L2Pet', 'npc', 40, 4651, 7.200, 1251, 4.900, 40, 43, 30, 21, 20, 25, 0, 0, 943, 383, 428, 360, 278, 0, 333, 0, 0, 0, 27, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8724, 14304, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 60, 'male', 'L2Pet', 'npc', 40, 4917, 7.400, 1327, 5.000, 40, 43, 30, 21, 20, 25, 0, 0, 1041, 405, 477, 380, 278, 0, 333, 0, 0, 0, 27, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8725, 14305, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 62, 'male', 'L2Pet', 'npc', 40, 5183, 7.600, 1404, 5.700, 40, 43, 30, 21, 20, 25, 0, 0, 1142, 427, 531, 399, 278, 0, 333, 0, 0, 0, 27, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8726, 14306, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 64, 'male', 'L2Pet', 'npc', 40, 5448, 7.800, 1482, 5.800, 40, 43, 30, 21, 20, 25, 0, 0, 1248, 449, 588, 419, 278, 0, 333, 0, 0, 0, 27, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8727, 14307, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 66, 'male', 'L2Pet', 'npc', 40, 5710, 8.000, 1561, 5.800, 40, 43, 30, 21, 20, 25, 0, 0, 1356, 470, 649, 440, 278, 0, 333, 0, 0, 0, 27, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8728, 14308, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 68, 'male', 'L2Pet', 'npc', 40, 5967, 8.200, 1641, 5.900, 40, 43, 30, 21, 20, 25, 0, 0, 1473, 494, 713, 462, 278, 0, 333, 0, 0, 0, 27, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8729, 14309, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 70, 'male', 'L2Pet', 'npc', 40, 6218, 8.400, 1722, 6.000, 40, 43, 30, 21, 20, 25, 0, 0, 1588, 516, 779, 483, 278, 0, 333, 0, 0, 0, 27, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8730, 14310, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 72, 'male', 'L2Pet', 'npc', 40, 6461, 8.600, 1804, 6.800, 40, 43, 30, 21, 20, 25, 0, 0, 1709, 540, 848, 505, 278, 0, 333, 0, 0, 0, 27, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8731, 14311, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 74, 'male', 'L2Pet', 'npc', 40, 6695, 8.800, 1888, 6.800, 40, 43, 30, 21, 20, 25, 0, 0, 1828, 562, 920, 527, 278, 0, 333, 0, 0, 0, 27, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8732, 14312, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 76, 'male', 'L2Pet', 'npc', 40, 6919, 9.000, 1972, 6.900, 40, 43, 30, 21, 20, 25, 0, 0, 1952, 585, 993, 548, 278, 0, 333, 0, 0, 0, 27, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8733, 14313, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 78, 'male', 'L2Pet', 'npc', 40, 7150, 9.200, 2059, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2083, 609, 1071, 569, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8734, 14314, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 78, 'male', 'L2Pet', 'npc', 40, 7209, 9.200, 2081, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2117, 614, 1092, 574, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8735, 14315, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 78, 'male', 'L2Pet', 'npc', 40, 7269, 9.200, 2103, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2152, 620, 1113, 579, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8736, 14316, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 78, 'male', 'L2Pet', 'npc', 40, 7329, 9.200, 2126, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2188, 626, 1134, 584, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8737, 14317, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 79, 'male', 'L2Pet', 'npc', 40, 7390, 9.300, 2149, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2224, 632, 1156, 589, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8738, 14318, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 79, 'male', 'L2Pet', 'npc', 40, 7451, 9.300, 2172, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2261, 638, 1178, 594, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8739, 14319, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 79, 'male', 'L2Pet', 'npc', 40, 7513, 9.300, 2195, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2298, 644, 1201, 599, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8740, 14320, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 79, 'male', 'L2Pet', 'npc', 40, 7575, 9.300, 2219, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2336, 650, 1224, 604, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8741, 14321, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 80, 'male', 'L2Pet', 'npc', 40, 7638, 9.400, 2243, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2375, 656, 1248, 609, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8742, 14322, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 80, 'male', 'L2Pet', 'npc', 40, 7701, 9.400, 2267, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2414, 662, 1272, 614, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8743, 14323, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 80, 'male', 'L2Pet', 'npc', 40, 7765, 9.400, 2292, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2454, 668, 1296, 619, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8744, 14324, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 80, 'male', 'L2Pet', 'npc', 40, 7829, 9.400, 2317, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2495, 674, 1321, 624, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8745, 14325, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 81, 'male', 'L2Pet', 'npc', 40, 7894, 9.500, 2342, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2536, 680, 1346, 629, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8746, 14326, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 81, 'male', 'L2Pet', 'npc', 40, 7959, 9.500, 2367, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2578, 686, 1372, 635, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8747, 14327, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 81, 'male', 'L2Pet', 'npc', 40, 8025, 9.500, 2393, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2621, 692, 1398, 641, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8748, 14328, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 81, 'male', 'L2Pet', 'npc', 40, 8091, 9.500, 2419, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2664, 698, 1425, 647, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8749, 14329, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 82, 'male', 'L2Pet', 'npc', 40, 8158, 9.600, 2445, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2708, 704, 1452, 653, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8750, 14330, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 82, 'male', 'L2Pet', 'npc', 40, 8226, 9.600, 2471, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2753, 710, 1480, 659, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8751, 14331, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 82, 'male', 'L2Pet', 'npc', 40, 8294, 9.600, 2498, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2799, 716, 1509, 665, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8752, 14332, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 82, 'male', 'L2Pet', 'npc', 40, 8363, 9.600, 2525, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2845, 723, 1538, 671, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8753, 14333, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 83, 'male', 'L2Pet', 'npc', 40, 8432, 9.700, 2552, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2892, 730, 1568, 677, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8754, 14334, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 83, 'male', 'L2Pet', 'npc', 40, 8502, 9.700, 2580, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2940, 737, 1598, 683, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8755, 14335, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 83, 'male', 'L2Pet', 'npc', 40, 8572, 9.700, 2608, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2989, 744, 1629, 689, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8756, 14336, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 83, 'male', 'L2Pet', 'npc', 40, 8643, 9.700, 2636, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3039, 751, 1660, 695, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8757, 14337, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 84, 'male', 'L2Pet', 'npc', 40, 8715, 9.800, 2665, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3089, 758, 1692, 701, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8758, 14338, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 84, 'male', 'L2Pet', 'npc', 40, 8787, 9.800, 2694, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3140, 765, 1725, 707, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8759, 14339, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 84, 'male', 'L2Pet', 'npc', 40, 8860, 9.800, 2723, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3192, 772, 1758, 713, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8760, 14340, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 85, 'male', 'L2Pet', 'npc', 40, 8933, 9.800, 2753, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3245, 779, 1792, 719, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8761, 14341, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 85, 'male', 'L2Pet', 'npc', 40, 9007, 9.900, 2783, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3299, 786, 1827, 725, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8762, 14342, 'Boxer the Unicorn', '', 'unicorn_boxer', 11.00, 18.00, 85, 'male', 'L2Pet', 'npc', 40, 9082, 9.900, 2813, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3354, 793, 1862, 731, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8763, 14343, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 22, 'male', 'L2Pet', 'npc', 40, 984, 3.600, 279, 2.300, 40, 43, 30, 21, 20, 25, 0, 0, 74, 112, 34, 105, 278, 0, 333, 0, 0, 0, 27, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8764, 14344, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 27, 'male', 'L2Pet', 'npc', 40, 1310, 4.100, 367, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 113, 138, 54, 129, 278, 0, 333, 0, 0, 0, 27, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8765, 14345, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 32, 'male', 'L2Pet', 'npc', 40, 1700, 4.600, 458, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 168, 166, 83, 154, 278, 0, 333, 0, 0, 0, 27, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8766, 14346, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 37, 'male', 'L2Pet', 'npc', 40, 2155, 5.100, 553, 3.100, 40, 43, 30, 21, 20, 25, 0, 0, 242, 199, 126, 186, 278, 0, 333, 0, 0, 0, 27, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8767, 14347, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 42, 'male', 'L2Pet', 'npc', 40, 2673, 5.600, 679, 3.800, 40, 43, 30, 21, 20, 25, 0, 0, 342, 235, 184, 221, 278, 0, 333, 0, 0, 0, 27, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8768, 14348, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 46, 'male', 'L2Pet', 'npc', 40, 3128, 6.100, 816, 3.900, 40, 43, 30, 21, 20, 25, 0, 0, 441, 270, 244, 252, 278, 0, 333, 0, 0, 0, 27, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8769, 14349, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 50, 'male', 'L2Pet', 'npc', 40, 3614, 6.400, 957, 4.100, 40, 43, 30, 21, 20, 25, 0, 0, 559, 306, 318, 285, 278, 0, 333, 0, 0, 0, 27, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8770, 14350, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 54, 'male', 'L2Pet', 'npc', 40, 4125, 6.800, 1102, 4.800, 40, 43, 30, 21, 20, 25, 0, 0, 697, 342, 410, 321, 278, 0, 333, 0, 0, 0, 27, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8771, 14351, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 58, 'male', 'L2Pet', 'npc', 40, 4651, 7.200, 1251, 4.900, 40, 43, 30, 21, 20, 25, 0, 0, 857, 383, 518, 360, 278, 0, 333, 0, 0, 0, 27, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8772, 14352, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 60, 'male', 'L2Pet', 'npc', 40, 4917, 7.400, 1327, 5.000, 40, 43, 30, 21, 20, 25, 0, 0, 946, 405, 577, 380, 278, 0, 333, 0, 0, 0, 27, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8773, 14353, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 62, 'male', 'L2Pet', 'npc', 40, 5183, 7.600, 1404, 5.700, 40, 43, 30, 21, 20, 25, 0, 0, 1038, 427, 643, 399, 278, 0, 333, 0, 0, 0, 27, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8774, 14354, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 64, 'male', 'L2Pet', 'npc', 40, 5448, 7.800, 1482, 5.800, 40, 43, 30, 21, 20, 25, 0, 0, 1134, 449, 711, 419, 278, 0, 333, 0, 0, 0, 27, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8775, 14355, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 66, 'male', 'L2Pet', 'npc', 40, 5710, 8.000, 1561, 5.800, 40, 43, 30, 21, 20, 25, 0, 0, 1233, 470, 785, 440, 278, 0, 333, 0, 0, 0, 27, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8776, 14356, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 68, 'male', 'L2Pet', 'npc', 40, 5967, 8.200, 1641, 5.900, 40, 43, 30, 21, 20, 25, 0, 0, 1339, 494, 863, 462, 278, 0, 333, 0, 0, 0, 27, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8777, 14357, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 70, 'male', 'L2Pet', 'npc', 40, 6218, 8.400, 1722, 6.000, 40, 43, 30, 21, 20, 25, 0, 0, 1443, 516, 943, 483, 278, 0, 333, 0, 0, 0, 27, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8778, 14358, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 72, 'male', 'L2Pet', 'npc', 40, 6461, 8.600, 1804, 6.800, 40, 43, 30, 21, 20, 25, 0, 0, 1553, 540, 1026, 505, 278, 0, 333, 0, 0, 0, 27, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8779, 14359, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 74, 'male', 'L2Pet', 'npc', 40, 6695, 8.800, 1888, 6.800, 40, 43, 30, 21, 20, 25, 0, 0, 1662, 562, 1113, 527, 278, 0, 333, 0, 0, 0, 27, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8780, 14360, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 76, 'male', 'L2Pet', 'npc', 40, 6919, 9.000, 1972, 6.900, 40, 43, 30, 21, 20, 25, 0, 0, 1774, 585, 1202, 548, 278, 0, 333, 0, 0, 0, 27, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8781, 14361, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 78, 'male', 'L2Pet', 'npc', 40, 7150, 9.200, 2059, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1894, 609, 1295, 569, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8782, 14362, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 78, 'male', 'L2Pet', 'npc', 40, 7209, 9.200, 2081, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1925, 614, 1320, 574, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8783, 14363, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 78, 'male', 'L2Pet', 'npc', 40, 7269, 9.200, 2103, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1957, 620, 1345, 579, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8784, 14364, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 78, 'male', 'L2Pet', 'npc', 40, 7329, 9.200, 2126, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1989, 626, 1371, 584, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8785, 14365, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 79, 'male', 'L2Pet', 'npc', 40, 7390, 9.300, 2149, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2022, 632, 1397, 589, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8786, 14366, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 79, 'male', 'L2Pet', 'npc', 40, 7451, 9.300, 2172, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2055, 638, 1424, 594, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8787, 14367, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 79, 'male', 'L2Pet', 'npc', 40, 7513, 9.300, 2195, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2089, 644, 1451, 599, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8788, 14368, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 79, 'male', 'L2Pet', 'npc', 40, 7575, 9.300, 2219, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2124, 650, 1479, 604, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8789, 14369, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 80, 'male', 'L2Pet', 'npc', 40, 7638, 9.400, 2243, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2159, 656, 1507, 609, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8790, 14370, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 80, 'male', 'L2Pet', 'npc', 40, 7701, 9.400, 2267, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2195, 662, 1536, 614, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8791, 14371, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 80, 'male', 'L2Pet', 'npc', 40, 7765, 9.400, 2292, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2231, 668, 1566, 619, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8792, 14372, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 80, 'male', 'L2Pet', 'npc', 40, 7829, 9.400, 2317, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2268, 674, 1596, 624, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8793, 14373, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 81, 'male', 'L2Pet', 'npc', 40, 7894, 9.500, 2342, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2306, 680, 1627, 629, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8794, 14374, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 81, 'male', 'L2Pet', 'npc', 40, 7959, 9.500, 2367, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2344, 686, 1658, 635, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8795, 14375, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 81, 'male', 'L2Pet', 'npc', 40, 8025, 9.500, 2393, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2383, 692, 1690, 641, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8796, 14376, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 81, 'male', 'L2Pet', 'npc', 40, 8091, 9.500, 2419, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2422, 698, 1723, 647, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8797, 14377, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 82, 'male', 'L2Pet', 'npc', 40, 8158, 9.600, 2445, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2462, 704, 1756, 653, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8798, 14378, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 82, 'male', 'L2Pet', 'npc', 40, 8226, 9.600, 2471, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2503, 710, 1790, 659, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8799, 14379, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 82, 'male', 'L2Pet', 'npc', 40, 8294, 9.600, 2498, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2544, 716, 1825, 665, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8800, 14380, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 82, 'male', 'L2Pet', 'npc', 40, 8363, 9.600, 2525, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2586, 723, 1860, 671, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8801, 14381, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 83, 'male', 'L2Pet', 'npc', 40, 8432, 9.700, 2552, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2629, 730, 1896, 677, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8802, 14382, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 83, 'male', 'L2Pet', 'npc', 40, 8502, 9.700, 2580, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2673, 737, 1933, 683, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8803, 14383, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 83, 'male', 'L2Pet', 'npc', 40, 8572, 9.700, 2608, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2717, 744, 1970, 689, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8804, 14384, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 83, 'male', 'L2Pet', 'npc', 40, 8643, 9.700, 2636, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2762, 751, 2008, 695, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8805, 14385, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 84, 'male', 'L2Pet', 'npc', 40, 8715, 9.800, 2665, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2808, 758, 2047, 701, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8806, 14386, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 84, 'male', 'L2Pet', 'npc', 40, 8787, 9.800, 2694, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2855, 765, 2087, 707, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8807, 14387, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 84, 'male', 'L2Pet', 'npc', 40, 8860, 9.800, 2723, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2902, 772, 2127, 713, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8808, 14388, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 85, 'male', 'L2Pet', 'npc', 40, 8933, 9.800, 2753, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2950, 779, 2168, 719, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8809, 14389, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 85, 'male', 'L2Pet', 'npc', 40, 9007, 9.900, 2783, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2999, 786, 2210, 725, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8810, 14390, 'Mirage the Unicorn', '', 'unicorn_mirage', 13.00, 17.50, 85, 'male', 'L2Pet', 'npc', 40, 9082, 9.900, 2813, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3049, 793, 2253, 731, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(8811, 14391, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 42, 'male', 'L2Pet', 'npc', 40, 2004, 5.600, 679, 3.800, 40, 43, 30, 21, 20, 25, 0, 0, 376, 235, 194, 201, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8812, 14392, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 46, 'male', 'L2Pet', 'npc', 40, 2346, 6.000, 816, 3.900, 40, 43, 30, 21, 20, 25, 0, 0, 486, 270, 267, 229, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8813, 14393, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 50, 'male', 'L2Pet', 'npc', 40, 2711, 6.400, 957, 4.100, 40, 43, 30, 21, 20, 25, 0, 0, 616, 306, 359, 259, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8814, 14394, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 54, 'male', 'L2Pet', 'npc', 40, 3094, 6.800, 1102, 4.800, 40, 43, 30, 21, 20, 25, 0, 0, 769, 342, 476, 292, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8815, 14395, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 58, 'male', 'L2Pet', 'npc', 40, 3489, 7.200, 1251, 4.900, 40, 43, 30, 21, 20, 25, 0, 0, 945, 383, 618, 327, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8816, 14396, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 60, 'male', 'L2Pet', 'npc', 40, 3687, 7.400, 1327, 5.000, 40, 43, 30, 21, 20, 25, 0, 0, 1043, 405, 700, 345, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8817, 14397, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 62, 'male', 'L2Pet', 'npc', 40, 3888, 7.600, 1404, 5.700, 40, 43, 30, 21, 20, 25, 0, 0, 1144, 427, 787, 363, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8818, 14398, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 64, 'male', 'L2Pet', 'npc', 40, 4086, 7.800, 1482, 5.800, 40, 43, 30, 21, 20, 25, 0, 0, 1251, 449, 883, 381, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8819, 14399, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 66, 'male', 'L2Pet', 'npc', 40, 4282, 8.000, 1561, 5.800, 40, 43, 30, 21, 20, 25, 0, 0, 1359, 470, 988, 400, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8820, 14400, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 68, 'male', 'L2Pet', 'npc', 40, 4475, 8.200, 1641, 5.900, 40, 43, 30, 21, 20, 25, 0, 0, 1475, 494, 1099, 420, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8821, 14401, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 70, 'male', 'L2Pet', 'npc', 40, 4664, 8.400, 1722, 6.000, 40, 43, 30, 21, 20, 25, 0, 0, 1591, 516, 1218, 439, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8822, 14402, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 72, 'male', 'L2Pet', 'npc', 40, 4846, 8.600, 1804, 6.800, 40, 43, 30, 21, 20, 25, 0, 0, 1712, 540, 1341, 459, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8823, 14403, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 74, 'male', 'L2Pet', 'npc', 40, 5022, 8.800, 1888, 6.800, 40, 43, 30, 21, 20, 25, 0, 0, 1834, 562, 1472, 479, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8824, 14404, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 76, 'male', 'L2Pet', 'npc', 40, 5189, 9.000, 1972, 6.900, 40, 43, 30, 21, 20, 25, 0, 0, 1957, 585, 1609, 498, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8825, 14405, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 78, 'male', 'L2Pet', 'npc', 40, 5373, 9.200, 2059, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2084, 609, 1564, 569, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8826, 14406, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 78, 'male', 'L2Pet', 'npc', 40, 5417, 9.200, 2081, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2119, 614, 1594, 574, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8827, 14407, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 78, 'male', 'L2Pet', 'npc', 40, 5462, 9.200, 2103, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2154, 620, 1625, 579, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8828, 14408, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 78, 'male', 'L2Pet', 'npc', 40, 5507, 9.200, 2126, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2190, 626, 1656, 584, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8829, 14409, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 79, 'male', 'L2Pet', 'npc', 40, 5552, 9.300, 2149, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2226, 632, 1688, 589, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8830, 14410, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 79, 'male', 'L2Pet', 'npc', 40, 5598, 9.300, 2172, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2263, 638, 1721, 594, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8831, 14411, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 79, 'male', 'L2Pet', 'npc', 40, 5644, 9.300, 2195, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2301, 644, 1754, 599, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8832, 14412, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 79, 'male', 'L2Pet', 'npc', 40, 5690, 9.300, 2219, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2339, 650, 1788, 604, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8833, 14413, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 80, 'male', 'L2Pet', 'npc', 40, 5737, 9.400, 2243, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2378, 656, 1823, 609, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8834, 14414, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 80, 'male', 'L2Pet', 'npc', 40, 5784, 9.400, 2267, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2418, 662, 1858, 614, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8835, 14415, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 80, 'male', 'L2Pet', 'npc', 40, 5832, 9.400, 2292, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2458, 668, 1894, 619, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8836, 14416, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 80, 'male', 'L2Pet', 'npc', 40, 5880, 9.400, 2317, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2499, 674, 1931, 624, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8837, 14417, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 81, 'male', 'L2Pet', 'npc', 40, 5928, 9.500, 2342, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2541, 680, 1969, 629, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8838, 14418, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 81, 'male', 'L2Pet', 'npc', 40, 5977, 9.500, 2367, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2583, 686, 2007, 635, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8839, 14419, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 81, 'male', 'L2Pet', 'npc', 40, 6026, 9.500, 2393, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2626, 692, 2046, 641, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8840, 14420, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 81, 'male', 'L2Pet', 'npc', 40, 6076, 9.500, 2419, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2670, 698, 2086, 647, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8841, 14421, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 82, 'male', 'L2Pet', 'npc', 40, 6126, 9.600, 2445, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2715, 704, 2127, 653, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8842, 14422, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 82, 'male', 'L2Pet', 'npc', 40, 6176, 9.600, 2471, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2760, 710, 2168, 659, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8843, 14423, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 82, 'male', 'L2Pet', 'npc', 40, 6227, 9.600, 2498, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2806, 716, 2210, 665, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8844, 14424, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 82, 'male', 'L2Pet', 'npc', 40, 6278, 9.600, 2525, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2853, 723, 2253, 671, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8845, 14425, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 83, 'male', 'L2Pet', 'npc', 40, 6330, 9.700, 2552, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2901, 730, 2297, 677, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8846, 14426, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 83, 'male', 'L2Pet', 'npc', 40, 6382, 9.700, 2580, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2949, 737, 2342, 683, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8847, 14427, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 83, 'male', 'L2Pet', 'npc', 40, 6435, 9.700, 2608, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2998, 744, 2388, 689, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8848, 14428, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 83, 'male', 'L2Pet', 'npc', 40, 6488, 9.700, 2636, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3048, 751, 2435, 695, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8849, 14429, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 84, 'male', 'L2Pet', 'npc', 40, 6541, 9.800, 2665, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3099, 758, 2482, 701, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8850, 14430, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 84, 'male', 'L2Pet', 'npc', 40, 6595, 9.800, 2694, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3151, 765, 2530, 707, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8851, 14431, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 84, 'male', 'L2Pet', 'npc', 40, 6649, 9.800, 2723, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3204, 772, 2579, 713, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8852, 14432, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 85, 'male', 'L2Pet', 'npc', 40, 6704, 9.800, 2753, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3258, 779, 2629, 719, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8853, 14433, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 85, 'male', 'L2Pet', 'npc', 40, 6759, 9.900, 2783, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3312, 786, 2680, 725, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8854, 14434, 'Merrow the Unicorn', '', 'blue_eye', 11.00, 16.00, 85, 'male', 'L2Pet', 'npc', 40, 6815, 9.900, 2813, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3367, 793, 2732, 731, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 10, 0.71, 'false', 'NONE', 0, 0),
	(8855, 14435, 'Unicorn Seraphim', '', 'angelic_unicorn', 9.00, 25.50, 58, 'male', 'L2Pet', 'npc', 40, 2889, 7.200, 1251, 4.900, 40, 43, 30, 21, 20, 25, 0, 0, 779, 348, 428, 327, 278, 0, 333, 0, 0, 0, 27, 176, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8856, 14436, 'Unicorn Seraphim', '', 'angelic_unicorn', 9.00, 25.50, 60, 'male', 'L2Pet', 'npc', 40, 3054, 7.400, 1327, 5.000, 40, 43, 30, 21, 20, 25, 0, 0, 858, 368, 477, 345, 278, 0, 333, 0, 0, 0, 27, 176, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8857, 14437, 'Unicorn Seraphim', '', 'angelic_unicorn', 9.00, 25.50, 62, 'male', 'L2Pet', 'npc', 40, 3219, 7.600, 1404, 5.700, 40, 43, 30, 21, 20, 25, 0, 0, 940, 388, 531, 363, 278, 0, 333, 0, 0, 0, 27, 176, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8858, 14438, 'Unicorn Seraphim', '', 'angelic_unicorn', 9.00, 25.50, 64, 'male', 'L2Pet', 'npc', 40, 3384, 7.800, 1482, 5.800, 40, 43, 30, 21, 20, 25, 0, 0, 1030, 408, 588, 381, 278, 0, 333, 0, 0, 0, 27, 176, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8859, 14439, 'Unicorn Seraphim', '', 'angelic_unicorn', 9.00, 25.50, 66, 'male', 'L2Pet', 'npc', 40, 3546, 8.000, 1561, 5.800, 40, 43, 30, 21, 20, 25, 0, 0, 1120, 427, 649, 400, 278, 0, 333, 0, 0, 0, 27, 176, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8860, 14440, 'Unicorn Seraphim', '', 'angelic_unicorn', 9.00, 25.50, 68, 'male', 'L2Pet', 'npc', 40, 3706, 8.200, 1641, 5.900, 40, 43, 30, 21, 20, 25, 0, 0, 1215, 449, 713, 420, 278, 0, 333, 0, 0, 0, 27, 176, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8861, 14441, 'Unicorn Seraphim', '', 'angelic_unicorn', 9.00, 25.50, 70, 'male', 'L2Pet', 'npc', 40, 3862, 8.400, 1722, 6.000, 40, 43, 30, 21, 20, 25, 0, 0, 1312, 469, 779, 439, 278, 0, 333, 0, 0, 0, 27, 176, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8862, 14442, 'Unicorn Seraphim', '', 'angelic_unicorn', 9.00, 25.50, 72, 'male', 'L2Pet', 'npc', 40, 4013, 8.600, 1804, 6.800, 40, 43, 30, 21, 20, 25, 0, 0, 1409, 491, 848, 459, 278, 0, 333, 0, 0, 0, 27, 176, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8863, 14443, 'Unicorn Seraphim', '', 'angelic_unicorn', 9.00, 25.50, 74, 'male', 'L2Pet', 'npc', 40, 4158, 8.800, 1888, 6.800, 40, 43, 30, 21, 20, 25, 0, 0, 1509, 511, 920, 479, 278, 0, 333, 0, 0, 0, 27, 176, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8864, 14444, 'Unicorn Seraphim', '', 'angelic_unicorn', 9.00, 25.50, 76, 'male', 'L2Pet', 'npc', 40, 4297, 9.000, 1972, 6.900, 40, 43, 30, 21, 20, 25, 0, 0, 1612, 532, 993, 498, 278, 0, 333, 0, 0, 0, 27, 176, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8865, 14449, 'Unicorn Seraphim', '', 'angelic_unicorn', 9.00, 25.50, 78, 'male', 'L2Pet', 'npc', 40, 4440, 9.200, 2059, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1721, 553, 1071, 517, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8866, 14450, 'Unicorn Seraphim', '', 'angelic_unicorn', 9.00, 25.50, 78, 'male', 'L2Pet', 'npc', 40, 4476, 9.200, 2081, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1749, 558, 1092, 521, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8867, 14451, 'Unicorn Seraphim', '', 'angelic_unicorn', 9.00, 25.50, 78, 'male', 'L2Pet', 'npc', 40, 4513, 9.200, 2103, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1778, 563, 1113, 525, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8868, 14452, 'Unicorn Seraphim', '', 'angelic_unicorn', 9.00, 25.50, 78, 'male', 'L2Pet', 'npc', 40, 4550, 9.200, 2126, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1807, 568, 1134, 530, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8869, 14453, 'Unicorn Seraphim', '', 'angelic_unicorn', 9.00, 25.50, 79, 'male', 'L2Pet', 'npc', 40, 4587, 9.300, 2149, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1837, 573, 1156, 535, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8870, 14454, 'Unicorn Seraphim', '', 'angelic_unicorn', 9.00, 25.50, 79, 'male', 'L2Pet', 'npc', 40, 4625, 9.300, 2172, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1867, 578, 1178, 540, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8871, 14455, 'Unicorn Seraphim', '', 'angelic_unicorn', 9.00, 25.50, 79, 'male', 'L2Pet', 'npc', 40, 4663, 9.300, 2195, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1898, 583, 1201, 545, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8872, 14456, 'Unicorn Seraphim', '', 'angelic_unicorn', 9.00, 25.50, 79, 'male', 'L2Pet', 'npc', 40, 4701, 9.300, 2219, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1929, 588, 1224, 550, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8873, 14457, 'Unicorn Seraphim', '', 'angelic_unicorn', 9.00, 25.50, 80, 'male', 'L2Pet', 'npc', 40, 4740, 9.400, 2243, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1961, 593, 1248, 555, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8874, 14458, 'Unicorn Seraphim', '', 'angelic_unicorn', 9.00, 25.50, 80, 'male', 'L2Pet', 'npc', 40, 4779, 9.400, 2267, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1993, 598, 1272, 560, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8875, 14459, 'Unicorn Seraphim', '', 'angelic_unicorn', 9.00, 25.50, 80, 'male', 'L2Pet', 'npc', 40, 4818, 9.400, 2292, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2026, 603, 1296, 565, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8876, 14460, 'Unicorn Seraphim', '', 'angelic_unicorn', 9.00, 25.50, 80, 'male', 'L2Pet', 'npc', 40, 4858, 9.400, 2317, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2059, 608, 1321, 570, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8877, 14461, 'Unicorn Seraphim', '', 'angelic_unicorn', 9.00, 25.50, 81, 'male', 'L2Pet', 'npc', 40, 4898, 9.500, 2342, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2093, 614, 1346, 575, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8878, 14462, 'Unicorn Seraphim', '', 'angelic_unicorn', 9.00, 25.50, 81, 'male', 'L2Pet', 'npc', 40, 4938, 9.500, 2367, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2128, 620, 1372, 580, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8879, 14463, 'Unicorn Seraphim', '', 'angelic_unicorn', 9.00, 25.50, 81, 'male', 'L2Pet', 'npc', 40, 4979, 9.500, 2393, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2163, 626, 1398, 585, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8880, 14464, 'Unicorn Seraphim', '', 'angelic_unicorn', 9.00, 25.50, 81, 'male', 'L2Pet', 'npc', 40, 5020, 9.500, 2419, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2199, 632, 1425, 590, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8881, 14465, 'Unicorn Seraphim', '', 'angelic_unicorn', 9.00, 25.50, 82, 'male', 'L2Pet', 'npc', 40, 5061, 9.600, 2445, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2235, 638, 1452, 595, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8882, 14466, 'Unicorn Seraphim', '', 'angelic_unicorn', 9.00, 25.50, 82, 'male', 'L2Pet', 'npc', 40, 5103, 9.600, 2471, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2272, 644, 1480, 600, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8883, 14467, 'Unicorn Seraphim', '', 'angelic_unicorn', 9.00, 25.50, 82, 'male', 'L2Pet', 'npc', 40, 5145, 9.600, 2498, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2310, 650, 1509, 605, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8884, 14468, 'Unicorn Seraphim', '', 'angelic_unicorn', 9.00, 25.50, 82, 'male', 'L2Pet', 'npc', 40, 5187, 9.600, 2525, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2348, 656, 1538, 610, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8885, 14469, 'Unicorn Seraphim', '', 'angelic_unicorn', 9.00, 25.50, 83, 'male', 'L2Pet', 'npc', 40, 5230, 9.700, 2552, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2387, 662, 1568, 615, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8886, 14470, 'Unicorn Seraphim', '', 'angelic_unicorn', 9.00, 25.50, 83, 'male', 'L2Pet', 'npc', 40, 5273, 9.700, 2580, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2426, 668, 1598, 620, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8887, 14471, 'Unicorn Seraphim', '', 'angelic_unicorn', 9.00, 25.50, 83, 'male', 'L2Pet', 'npc', 40, 5316, 9.700, 2608, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2466, 674, 1629, 625, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8888, 14472, 'Unicorn Seraphim', '', 'angelic_unicorn', 9.00, 25.50, 83, 'male', 'L2Pet', 'npc', 40, 5360, 9.700, 2636, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2507, 680, 1660, 630, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8889, 14473, 'Unicorn Seraphim', '', 'angelic_unicorn', 9.00, 25.50, 84, 'male', 'L2Pet', 'npc', 40, 5404, 9.800, 2665, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2548, 686, 1692, 636, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8890, 14474, 'Unicorn Seraphim', '', 'angelic_unicorn', 9.00, 25.50, 84, 'male', 'L2Pet', 'npc', 40, 5448, 9.800, 2694, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2590, 692, 1725, 642, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8891, 14475, 'Unicorn Seraphim', '', 'angelic_unicorn', 9.00, 25.50, 84, 'male', 'L2Pet', 'npc', 40, 5493, 9.800, 2723, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2633, 698, 1758, 648, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8892, 14476, 'Unicorn Seraphim', '', 'angelic_unicorn', 9.00, 25.50, 85, 'male', 'L2Pet', 'npc', 40, 5538, 9.800, 2753, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2677, 704, 1792, 654, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8893, 14477, 'Unicorn Seraphim', '', 'angelic_unicorn', 9.00, 25.50, 85, 'male', 'L2Pet', 'npc', 40, 5584, 9.900, 2783, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2721, 710, 1827, 660, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8894, 14478, 'Unicorn Seraphim', '', 'angelic_unicorn', 9.00, 25.50, 85, 'male', 'L2Pet', 'npc', 40, 5630, 9.900, 2813, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2766, 717, 1862, 666, 278, 0, 333, 0, 0, 0, 66, 154, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.71, 'false', 'NONE', 0, 0),
	(8895, 14479, 'Shadow', '', 'shadow', 10.00, 30.00, 22, 'male', 'L2Pet', 'npc', 40, 984, 3.600, 279, 2.300, 40, 43, 30, 21, 20, 25, 0, 0, 81, 112, 28, 105, 278, 0, 333, 0, 0, 0, 80, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8896, 14480, 'Shadow', '', 'shadow', 10.00, 30.00, 27, 'male', 'L2Pet', 'npc', 40, 1310, 4.100, 367, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 125, 138, 45, 129, 278, 0, 333, 0, 0, 0, 80, 140, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8897, 14481, 'Shadow', '', 'shadow', 10.00, 30.00, 32, 'male', 'L2Pet', 'npc', 40, 1700, 4.600, 458, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 185, 166, 69, 154, 278, 0, 333, 0, 0, 0, 80, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8898, 14482, 'Shadow', '', 'shadow', 10.00, 30.00, 37, 'male', 'L2Pet', 'npc', 40, 2155, 5.100, 553, 3.100, 40, 43, 30, 21, 20, 25, 0, 0, 266, 199, 104, 186, 278, 0, 333, 0, 0, 0, 80, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8899, 14483, 'Shadow', '', 'shadow', 10.00, 30.00, 42, 'male', 'L2Pet', 'npc', 40, 2673, 5.600, 679, 3.800, 40, 43, 30, 21, 20, 25, 0, 0, 376, 235, 152, 221, 278, 0, 333, 0, 0, 0, 80, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8900, 14484, 'Shadow', '', 'shadow', 10.00, 30.00, 46, 'male', 'L2Pet', 'npc', 40, 3128, 6.000, 816, 3.900, 40, 43, 30, 21, 20, 25, 0, 0, 485, 270, 202, 252, 278, 0, 333, 0, 0, 0, 80, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8901, 14485, 'Shadow', '', 'shadow', 10.00, 30.00, 50, 'male', 'L2Pet', 'npc', 40, 3614, 6.400, 957, 4.100, 40, 43, 30, 21, 20, 25, 0, 0, 615, 306, 263, 285, 278, 0, 333, 0, 0, 0, 80, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8902, 14486, 'Shadow', '', 'shadow', 10.00, 30.00, 54, 'male', 'L2Pet', 'npc', 40, 4125, 6.800, 1102, 4.800, 40, 43, 30, 21, 20, 25, 0, 0, 767, 342, 339, 321, 278, 0, 333, 0, 0, 0, 80, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8903, 14487, 'Shadow', '', 'shadow', 10.00, 30.00, 58, 'male', 'L2Pet', 'npc', 40, 4651, 7.200, 1251, 4.900, 40, 43, 30, 21, 20, 25, 0, 0, 943, 383, 428, 360, 278, 0, 333, 0, 0, 0, 80, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8904, 14488, 'Shadow', '', 'shadow', 10.00, 30.00, 60, 'male', 'L2Pet', 'npc', 40, 4917, 7.400, 1327, 5.000, 40, 43, 30, 21, 20, 25, 0, 0, 1041, 405, 477, 380, 278, 0, 333, 0, 0, 0, 80, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8905, 14489, 'Shadow', '', 'shadow', 10.00, 30.00, 62, 'male', 'L2Pet', 'npc', 40, 5183, 7.600, 1404, 5.700, 40, 43, 30, 21, 20, 25, 0, 0, 1142, 427, 531, 399, 278, 0, 333, 0, 0, 0, 80, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8906, 14490, 'Shadow', '', 'shadow', 10.00, 30.00, 64, 'male', 'L2Pet', 'npc', 40, 5448, 7.800, 1482, 5.800, 40, 43, 30, 21, 20, 25, 0, 0, 1248, 449, 588, 419, 278, 0, 333, 0, 0, 0, 80, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8907, 14491, 'Shadow', '', 'shadow', 10.00, 30.00, 66, 'male', 'L2Pet', 'npc', 40, 5710, 8.000, 1561, 5.800, 40, 43, 30, 21, 20, 25, 0, 0, 1356, 470, 649, 440, 278, 0, 333, 0, 0, 0, 80, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8908, 14492, 'Shadow', '', 'shadow', 10.00, 30.00, 68, 'male', 'L2Pet', 'npc', 40, 5967, 8.200, 1641, 5.900, 40, 43, 30, 21, 20, 25, 0, 0, 1473, 494, 713, 462, 278, 0, 333, 0, 0, 0, 80, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8909, 14493, 'Shadow', '', 'shadow', 10.00, 30.00, 70, 'male', 'L2Pet', 'npc', 40, 6218, 8.400, 1722, 6.000, 40, 43, 30, 21, 20, 25, 0, 0, 1588, 516, 779, 483, 278, 0, 333, 0, 0, 0, 80, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8910, 14494, 'Shadow', '', 'shadow', 10.00, 30.00, 72, 'male', 'L2Pet', 'npc', 40, 6461, 8.600, 1804, 6.800, 40, 43, 30, 21, 20, 25, 0, 0, 1709, 540, 848, 505, 278, 0, 333, 0, 0, 0, 80, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8911, 14495, 'Shadow', '', 'shadow', 10.00, 30.00, 74, 'male', 'L2Pet', 'npc', 40, 6695, 8.800, 1888, 6.800, 40, 43, 30, 21, 20, 25, 0, 0, 1828, 562, 920, 527, 278, 0, 333, 0, 0, 0, 80, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8912, 14496, 'Shadow', '', 'shadow', 10.00, 30.00, 76, 'male', 'L2Pet', 'npc', 40, 6919, 9.000, 1972, 6.900, 40, 43, 30, 21, 20, 25, 0, 0, 1952, 585, 993, 548, 278, 0, 333, 0, 0, 0, 80, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8913, 14497, 'Shadow', '', 'shadow', 10.00, 30.00, 78, 'male', 'L2Pet', 'npc', 40, 7150, 9.200, 2059, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2083, 609, 1071, 569, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8914, 14498, 'Shadow', '', 'shadow', 10.00, 30.00, 78, 'male', 'L2Pet', 'npc', 40, 7209, 9.200, 2081, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2117, 614, 1092, 574, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8915, 14499, 'Shadow', '', 'shadow', 10.00, 30.00, 78, 'male', 'L2Pet', 'npc', 40, 7269, 9.200, 2103, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2152, 620, 1113, 579, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8916, 14500, 'Shadow', '', 'shadow', 10.00, 30.00, 78, 'male', 'L2Pet', 'npc', 40, 7329, 9.200, 2126, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2188, 626, 1134, 584, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8917, 14501, 'Shadow', '', 'shadow', 10.00, 30.00, 79, 'male', 'L2Pet', 'npc', 40, 7390, 9.300, 2149, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2224, 632, 1156, 589, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8918, 14502, 'Shadow', '', 'shadow', 10.00, 30.00, 79, 'male', 'L2Pet', 'npc', 40, 7451, 9.300, 2172, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2261, 638, 1178, 594, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8919, 14503, 'Shadow', '', 'shadow', 10.00, 30.00, 79, 'male', 'L2Pet', 'npc', 40, 7513, 9.300, 2195, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2298, 644, 1201, 599, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8920, 14504, 'Shadow', '', 'shadow', 10.00, 30.00, 79, 'male', 'L2Pet', 'npc', 40, 7575, 9.300, 2219, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2336, 650, 1224, 604, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8921, 14505, 'Shadow', '', 'shadow', 10.00, 30.00, 80, 'male', 'L2Pet', 'npc', 40, 7638, 9.400, 2243, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2375, 656, 1248, 609, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8922, 14506, 'Shadow', '', 'shadow', 10.00, 30.00, 80, 'male', 'L2Pet', 'npc', 40, 7701, 9.400, 2267, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2414, 662, 1272, 614, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8923, 14507, 'Shadow', '', 'shadow', 10.00, 30.00, 80, 'male', 'L2Pet', 'npc', 40, 7765, 9.400, 2292, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2454, 668, 1296, 619, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8924, 14508, 'Shadow', '', 'shadow', 10.00, 30.00, 80, 'male', 'L2Pet', 'npc', 40, 7829, 9.400, 2317, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2495, 674, 1321, 624, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8925, 14509, 'Shadow', '', 'shadow', 10.00, 30.00, 81, 'male', 'L2Pet', 'npc', 40, 7894, 9.500, 2342, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2536, 680, 1346, 629, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8926, 14510, 'Shadow', '', 'shadow', 10.00, 30.00, 81, 'male', 'L2Pet', 'npc', 40, 7959, 9.500, 2367, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2578, 686, 1372, 635, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8927, 14511, 'Shadow', '', 'shadow', 10.00, 30.00, 81, 'male', 'L2Pet', 'npc', 40, 8025, 9.500, 2393, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2621, 692, 1398, 641, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8928, 14512, 'Shadow', '', 'shadow', 10.00, 30.00, 81, 'male', 'L2Pet', 'npc', 40, 8091, 9.500, 2419, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2664, 698, 1425, 647, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8929, 14513, 'Shadow', '', 'shadow', 10.00, 30.00, 82, 'male', 'L2Pet', 'npc', 40, 8158, 9.600, 2445, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2708, 704, 1452, 653, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8930, 14514, 'Shadow', '', 'shadow', 10.00, 30.00, 82, 'male', 'L2Pet', 'npc', 40, 8226, 9.600, 2471, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2753, 710, 1480, 659, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8931, 14515, 'Shadow', '', 'shadow', 10.00, 30.00, 82, 'male', 'L2Pet', 'npc', 40, 8294, 9.600, 2498, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2799, 716, 1509, 665, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8932, 14516, 'Shadow', '', 'shadow', 10.00, 30.00, 82, 'male', 'L2Pet', 'npc', 40, 8363, 9.600, 2525, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2845, 723, 1538, 671, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8933, 14517, 'Shadow', '', 'shadow', 10.00, 30.00, 83, 'male', 'L2Pet', 'npc', 40, 8432, 9.700, 2552, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2892, 730, 1568, 677, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8934, 14518, 'Shadow', '', 'shadow', 10.00, 30.00, 83, 'male', 'L2Pet', 'npc', 40, 8502, 9.700, 2580, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2940, 737, 1598, 683, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8935, 14519, 'Shadow', '', 'shadow', 10.00, 30.00, 83, 'male', 'L2Pet', 'npc', 40, 8572, 9.700, 2608, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2989, 744, 1629, 689, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8936, 14520, 'Shadow', '', 'shadow', 10.00, 30.00, 83, 'male', 'L2Pet', 'npc', 40, 8643, 9.700, 2636, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3039, 751, 1660, 695, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8937, 14521, 'Shadow', '', 'shadow', 10.00, 30.00, 84, 'male', 'L2Pet', 'npc', 40, 8715, 9.800, 2665, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3089, 758, 1692, 701, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8938, 14522, 'Shadow', '', 'shadow', 10.00, 30.00, 84, 'male', 'L2Pet', 'npc', 40, 8787, 9.800, 2694, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3140, 765, 1725, 707, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8939, 14523, 'Shadow', '', 'shadow', 10.00, 30.00, 84, 'male', 'L2Pet', 'npc', 40, 8860, 9.800, 2723, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3192, 772, 1758, 713, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8940, 14524, 'Shadow', '', 'shadow', 10.00, 30.00, 85, 'male', 'L2Pet', 'npc', 40, 8933, 9.800, 2753, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3245, 779, 1792, 719, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8941, 14525, 'Shadow', '', 'shadow', 10.00, 30.00, 85, 'male', 'L2Pet', 'npc', 40, 9007, 9.900, 2783, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3299, 786, 1827, 725, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8942, 14526, 'Shadow', '', 'shadow', 10.00, 30.00, 85, 'male', 'L2Pet', 'npc', 40, 9082, 9.900, 2813, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3354, 793, 1862, 731, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8943, 14527, 'Silhouette', '', 'silhouette', 8.00, 23.00, 22, 'female', 'L2Pet', 'npc', 40, 946, 3.600, 279, 2.300, 40, 43, 30, 21, 20, 25, 0, 0, 74, 112, 34, 105, 278, 0, 333, 0, 0, 0, 80, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8944, 14528, 'Silhouette', '', 'silhouette', 8.00, 23.00, 27, 'female', 'L2Pet', 'npc', 40, 1260, 4.100, 367, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 113, 138, 54, 129, 278, 0, 333, 0, 0, 0, 80, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8945, 14529, 'Silhouette', '', 'silhouette', 8.00, 23.00, 32, 'female', 'L2Pet', 'npc', 40, 1635, 4.600, 458, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 168, 166, 83, 154, 278, 0, 333, 0, 0, 0, 80, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8946, 14530, 'Silhouette', '', 'silhouette', 8.00, 23.00, 37, 'female', 'L2Pet', 'npc', 40, 2072, 5.100, 553, 3.100, 40, 43, 30, 21, 20, 25, 0, 0, 242, 199, 126, 186, 278, 0, 333, 0, 0, 0, 80, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8947, 14531, 'Silhouette', '', 'silhouette', 8.00, 23.00, 42, 'female', 'L2Pet', 'npc', 40, 2570, 5.600, 679, 3.800, 40, 43, 30, 21, 20, 25, 0, 0, 342, 235, 184, 221, 278, 0, 333, 0, 0, 0, 80, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8948, 14532, 'Silhouette', '', 'silhouette', 8.00, 23.00, 46, 'female', 'L2Pet', 'npc', 40, 3123, 6.100, 816, 3.900, 40, 43, 30, 21, 20, 25, 0, 0, 441, 270, 244, 252, 278, 0, 333, 0, 0, 0, 80, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8949, 14533, 'Silhouette', '', 'silhouette', 8.00, 23.00, 50, 'female', 'L2Pet', 'npc', 40, 3476, 6.400, 957, 4.100, 40, 43, 30, 21, 20, 25, 0, 0, 559, 306, 318, 285, 278, 0, 333, 0, 0, 0, 80, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8950, 14534, 'Silhouette', '', 'silhouette', 8.00, 23.00, 54, 'female', 'L2Pet', 'npc', 40, 3967, 6.800, 1102, 4.800, 40, 43, 30, 21, 20, 25, 0, 0, 697, 342, 410, 321, 278, 0, 333, 0, 0, 0, 80, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8951, 14535, 'Silhouette', '', 'silhouette', 8.00, 23.00, 58, 'female', 'L2Pet', 'npc', 40, 4473, 7.200, 1251, 4.900, 40, 43, 30, 21, 20, 25, 0, 0, 857, 383, 518, 360, 278, 0, 333, 0, 0, 0, 80, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8952, 14536, 'Silhouette', '', 'silhouette', 8.00, 23.00, 60, 'female', 'L2Pet', 'npc', 40, 4729, 7.400, 1327, 5.000, 40, 43, 30, 21, 20, 25, 0, 0, 946, 405, 577, 380, 278, 0, 333, 0, 0, 0, 80, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8953, 14537, 'Silhouette', '', 'silhouette', 8.00, 23.00, 62, 'female', 'L2Pet', 'npc', 40, 4985, 7.600, 1404, 5.700, 40, 43, 30, 21, 20, 25, 0, 0, 1038, 427, 643, 399, 278, 0, 333, 0, 0, 0, 80, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8954, 14538, 'Silhouette', '', 'silhouette', 8.00, 23.00, 64, 'female', 'L2Pet', 'npc', 40, 5239, 7.800, 1482, 5.800, 40, 43, 30, 21, 20, 25, 0, 0, 1134, 449, 711, 419, 278, 0, 333, 0, 0, 0, 80, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8955, 14539, 'Silhouette', '', 'silhouette', 8.00, 23.00, 66, 'female', 'L2Pet', 'npc', 40, 5491, 8.000, 1561, 5.800, 40, 43, 30, 21, 20, 25, 0, 0, 1233, 470, 785, 440, 278, 0, 333, 0, 0, 0, 80, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8956, 14540, 'Silhouette', '', 'silhouette', 8.00, 23.00, 68, 'female', 'L2Pet', 'npc', 40, 5738, 8.200, 1641, 5.900, 40, 43, 30, 21, 20, 25, 0, 0, 1339, 494, 863, 462, 278, 0, 333, 0, 0, 0, 80, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8957, 14541, 'Silhouette', '', 'silhouette', 8.00, 23.00, 70, 'female', 'L2Pet', 'npc', 40, 7106, 8.400, 1722, 6.000, 40, 43, 30, 21, 20, 25, 0, 0, 1443, 516, 943, 483, 278, 0, 333, 0, 0, 0, 80, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8958, 14542, 'Silhouette', '', 'silhouette', 8.00, 23.00, 72, 'female', 'L2Pet', 'npc', 40, 6214, 8.600, 1804, 6.800, 40, 43, 30, 21, 20, 25, 0, 0, 1553, 540, 1026, 505, 278, 0, 333, 0, 0, 0, 80, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8959, 14543, 'Silhouette', '', 'silhouette', 8.00, 23.00, 74, 'female', 'L2Pet', 'npc', 40, 6695, 8.800, 1888, 6.800, 40, 43, 30, 21, 20, 25, 0, 0, 1662, 562, 1113, 527, 278, 0, 333, 0, 0, 0, 80, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8960, 14544, 'Silhouette', '', 'silhouette', 8.00, 23.00, 76, 'female', 'L2Pet', 'npc', 40, 6919, 9.000, 1972, 6.900, 40, 43, 30, 21, 20, 25, 0, 0, 1774, 585, 1202, 548, 278, 0, 333, 0, 0, 0, 80, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8961, 14545, 'Silhouette', '', 'silhouette', 8.00, 23.00, 78, 'female', 'L2Pet', 'npc', 40, 7150, 9.200, 2059, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1894, 609, 1295, 569, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8962, 14546, 'Silhouette', '', 'silhouette', 8.00, 23.00, 78, 'female', 'L2Pet', 'npc', 40, 7209, 9.200, 2081, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1925, 614, 1320, 574, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8963, 14547, 'Silhouette', '', 'silhouette', 8.00, 23.00, 78, 'female', 'L2Pet', 'npc', 40, 7269, 9.200, 2103, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1957, 620, 1345, 579, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8964, 14548, 'Silhouette', '', 'silhouette', 8.00, 23.00, 78, 'female', 'L2Pet', 'npc', 40, 7329, 9.200, 2126, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1989, 626, 1371, 584, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8965, 14549, 'Silhouette', '', 'silhouette', 8.00, 23.00, 79, 'female', 'L2Pet', 'npc', 40, 7390, 9.300, 2149, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2022, 632, 1397, 589, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8966, 14550, 'Silhouette', '', 'silhouette', 8.00, 23.00, 79, 'female', 'L2Pet', 'npc', 40, 7451, 9.300, 2172, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2055, 638, 1424, 594, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8967, 14551, 'Silhouette', '', 'silhouette', 8.00, 23.00, 79, 'female', 'L2Pet', 'npc', 40, 7513, 9.300, 2195, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2089, 644, 1451, 599, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8968, 14552, 'Silhouette', '', 'silhouette', 8.00, 23.00, 79, 'female', 'L2Pet', 'npc', 40, 7575, 9.300, 2219, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2124, 650, 1479, 604, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8969, 14553, 'Silhouette', '', 'silhouette', 8.00, 23.00, 80, 'female', 'L2Pet', 'npc', 40, 7638, 9.400, 2243, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2159, 656, 1507, 609, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8970, 14554, 'Silhouette', '', 'silhouette', 8.00, 23.00, 80, 'female', 'L2Pet', 'npc', 40, 7701, 9.400, 2267, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2195, 662, 1536, 614, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8971, 14555, 'Silhouette', '', 'silhouette', 8.00, 23.00, 80, 'female', 'L2Pet', 'npc', 40, 7765, 9.400, 2292, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2231, 668, 1566, 619, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8972, 14556, 'Silhouette', '', 'silhouette', 8.00, 23.00, 80, 'female', 'L2Pet', 'npc', 40, 7829, 9.400, 2317, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2268, 674, 1596, 624, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8973, 14557, 'Silhouette', '', 'silhouette', 8.00, 23.00, 81, 'female', 'L2Pet', 'npc', 40, 7894, 9.500, 2342, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2306, 680, 1627, 629, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8974, 14558, 'Silhouette', '', 'silhouette', 8.00, 23.00, 81, 'female', 'L2Pet', 'npc', 40, 7959, 9.500, 2367, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2344, 686, 1658, 635, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8975, 14559, 'Silhouette', '', 'silhouette', 8.00, 23.00, 81, 'female', 'L2Pet', 'npc', 40, 8025, 9.500, 2393, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2383, 692, 1690, 641, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8976, 14560, 'Silhouette', '', 'silhouette', 8.00, 23.00, 81, 'female', 'L2Pet', 'npc', 40, 8091, 9.500, 2419, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2422, 698, 1723, 647, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8977, 14561, 'Silhouette', '', 'silhouette', 8.00, 23.00, 82, 'female', 'L2Pet', 'npc', 40, 8158, 9.600, 2445, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2462, 704, 1756, 653, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8978, 14562, 'Silhouette', '', 'silhouette', 8.00, 23.00, 82, 'female', 'L2Pet', 'npc', 40, 8226, 9.600, 2471, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2503, 710, 1790, 659, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8979, 14563, 'Silhouette', '', 'silhouette', 8.00, 23.00, 82, 'female', 'L2Pet', 'npc', 40, 8294, 9.600, 2498, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2544, 716, 1825, 665, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8980, 14564, 'Silhouette', '', 'silhouette', 8.00, 23.00, 82, 'female', 'L2Pet', 'npc', 40, 8363, 9.600, 2525, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2586, 723, 1860, 671, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8981, 14565, 'Silhouette', '', 'silhouette', 8.00, 23.00, 83, 'female', 'L2Pet', 'npc', 40, 8432, 9.700, 2552, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2629, 730, 1896, 677, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8982, 14566, 'Silhouette', '', 'silhouette', 8.00, 23.00, 83, 'female', 'L2Pet', 'npc', 40, 8502, 9.700, 2580, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2673, 737, 1933, 683, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8983, 14567, 'Silhouette', '', 'silhouette', 8.00, 23.00, 83, 'female', 'L2Pet', 'npc', 40, 8572, 9.700, 2608, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2717, 744, 1970, 689, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8984, 14568, 'Silhouette', '', 'silhouette', 8.00, 23.00, 83, 'female', 'L2Pet', 'npc', 40, 8643, 9.700, 2636, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2762, 751, 2008, 695, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8985, 14569, 'Silhouette', '', 'silhouette', 8.00, 23.00, 84, 'female', 'L2Pet', 'npc', 40, 8715, 9.800, 2665, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2808, 758, 2047, 701, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8986, 14570, 'Silhouette', '', 'silhouette', 8.00, 23.00, 84, 'female', 'L2Pet', 'npc', 40, 8787, 9.800, 2694, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2855, 765, 2087, 707, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8987, 14571, 'Silhouette', '', 'silhouette', 8.00, 23.00, 84, 'female', 'L2Pet', 'npc', 40, 8860, 9.800, 2723, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2902, 772, 2127, 713, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8988, 14572, 'Silhouette', '', 'silhouette', 8.00, 23.00, 85, 'female', 'L2Pet', 'npc', 40, 8933, 9.800, 2753, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2950, 779, 2168, 719, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8989, 14573, 'Silhouette', '', 'silhouette', 8.00, 23.00, 85, 'female', 'L2Pet', 'npc', 40, 9007, 9.900, 2783, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2999, 786, 2210, 725, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8990, 14574, 'Silhouette', '', 'silhouette', 8.00, 23.00, 85, 'female', 'L2Pet', 'npc', 40, 9082, 9.900, 2813, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3049, 793, 2253, 731, 278, 0, 333, 0, 0, 0, 88, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.54, 'false', 'NONE', 0, 0),
	(8991, 14575, 'Soulless', '', 'shadeless', 7.00, 28.00, 42, 'male', 'L2Pet', 'npc', 40, 2008, 5.600, 679, 3.800, 40, 43, 30, 21, 20, 25, 0, 0, 376, 235, 221, 221, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8992, 14576, 'Soulless', '', 'shadeless', 7.00, 28.00, 46, 'male', 'L2Pet', 'npc', 40, 2351, 6.000, 816, 3.900, 40, 43, 30, 21, 20, 25, 0, 0, 485, 270, 295, 252, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8993, 14577, 'Soulless', '', 'shadeless', 7.00, 28.00, 50, 'male', 'L2Pet', 'npc', 40, 2716, 6.400, 957, 4.100, 40, 43, 30, 21, 20, 25, 0, 0, 615, 306, 386, 285, 320, 0, 333, 0, 0, 0, 48, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8994, 14578, 'Soulless', '', 'shadeless', 7.00, 28.00, 54, 'male', 'L2Pet', 'npc', 40, 3100, 6.800, 1102, 4.800, 40, 43, 30, 21, 20, 25, 0, 0, 768, 342, 496, 321, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8995, 14579, 'Soulless', '', 'shadeless', 7.00, 28.00, 58, 'male', 'L2Pet', 'npc', 40, 3496, 7.200, 1251, 4.900, 40, 43, 30, 21, 20, 25, 0, 0, 943, 383, 627, 360, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8996, 14580, 'Soulless', '', 'shadeless', 7.00, 28.00, 60, 'male', 'L2Pet', 'npc', 40, 3695, 7.400, 1327, 5.000, 40, 43, 30, 21, 20, 25, 0, 0, 1041, 405, 699, 380, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8997, 14581, 'Soulless', '', 'shadeless', 7.00, 28.00, 62, 'male', 'L2Pet', 'npc', 40, 3895, 7.600, 1404, 5.700, 40, 43, 30, 21, 20, 25, 0, 0, 1142, 427, 777, 399, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8998, 14582, 'Soulless', '', 'shadeless', 7.00, 28.00, 64, 'male', 'L2Pet', 'npc', 40, 4094, 7.800, 1482, 5.800, 40, 43, 30, 21, 20, 25, 0, 0, 1249, 449, 860, 419, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(8999, 14583, 'Soulless', '', 'shadeless', 7.00, 28.00, 66, 'male', 'L2Pet', 'npc', 40, 4291, 8.000, 1561, 5.800, 40, 43, 30, 21, 20, 25, 0, 0, 1356, 470, 950, 440, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(9000, 14584, 'Soulless', '', 'shadeless', 7.00, 28.00, 68, 'male', 'L2Pet', 'npc', 40, 4484, 8.200, 1641, 5.900, 40, 43, 30, 21, 20, 25, 0, 0, 1472, 494, 1043, 462, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(9001, 14585, 'Soulless', '', 'shadeless', 7.00, 28.00, 70, 'male', 'L2Pet', 'npc', 40, 4673, 8.400, 1722, 6.000, 40, 43, 30, 21, 20, 25, 0, 0, 1587, 516, 1141, 483, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(9002, 14586, 'Soulless', '', 'shadeless', 7.00, 28.00, 72, 'male', 'L2Pet', 'npc', 40, 4856, 8.600, 1804, 6.800, 40, 43, 30, 21, 20, 25, 0, 0, 1708, 540, 1241, 505, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(9003, 14587, 'Soulless', '', 'shadeless', 7.00, 28.00, 74, 'male', 'L2Pet', 'npc', 40, 5032, 8.800, 1888, 6.800, 40, 43, 30, 21, 20, 25, 0, 0, 1829, 562, 1347, 527, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(9004, 14588, 'Soulless', '', 'shadeless', 7.00, 28.00, 76, 'male', 'L2Pet', 'npc', 40, 5200, 9.000, 1972, 6.900, 40, 43, 30, 21, 20, 25, 0, 0, 1953, 585, 1453, 548, 278, 0, 333, 0, 0, 0, 48, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(9005, 14589, 'Soulless', '', 'shadeless', 7.00, 28.00, 78, 'male', 'L2Pet', 'npc', 40, 5373, 9.200, 2059, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2085, 609, 1565, 569, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(9006, 14590, 'Soulless', '', 'shadeless', 7.00, 28.00, 78, 'male', 'L2Pet', 'npc', 40, 5417, 9.200, 2081, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2120, 614, 1595, 574, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(9007, 14591, 'Soulless', '', 'shadeless', 7.00, 28.00, 78, 'male', 'L2Pet', 'npc', 40, 5462, 9.200, 2103, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2155, 620, 1626, 579, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(9008, 14592, 'Soulless', '', 'shadeless', 7.00, 28.00, 78, 'male', 'L2Pet', 'npc', 40, 5507, 9.200, 2126, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2191, 626, 1658, 584, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(9009, 14593, 'Soulless', '', 'shadeless', 7.00, 28.00, 79, 'male', 'L2Pet', 'npc', 40, 5552, 9.300, 2149, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2228, 632, 1690, 589, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(9010, 14594, 'Soulless', '', 'shadeless', 7.00, 28.00, 79, 'male', 'L2Pet', 'npc', 40, 5598, 9.300, 2172, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2265, 638, 1723, 594, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(9011, 14595, 'Soulless', '', 'shadeless', 7.00, 28.00, 79, 'male', 'L2Pet', 'npc', 40, 5644, 9.300, 2195, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2303, 644, 1756, 599, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(9012, 14596, 'Soulless', '', 'shadeless', 7.00, 28.00, 79, 'male', 'L2Pet', 'npc', 40, 5690, 9.300, 2219, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2341, 650, 1790, 604, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(9013, 14597, 'Soulless', '', 'shadeless', 7.00, 28.00, 80, 'male', 'L2Pet', 'npc', 40, 5737, 9.400, 2243, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2380, 656, 1825, 609, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(9014, 14598, 'Soulless', '', 'shadeless', 7.00, 28.00, 80, 'male', 'L2Pet', 'npc', 40, 5784, 9.400, 2267, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2420, 662, 1860, 614, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(9015, 14599, 'Soulless', '', 'shadeless', 7.00, 28.00, 80, 'male', 'L2Pet', 'npc', 40, 5832, 9.400, 2292, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2460, 668, 1896, 619, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(9016, 14600, 'Soulless', '', 'shadeless', 7.00, 28.00, 80, 'male', 'L2Pet', 'npc', 40, 5880, 9.400, 2317, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2501, 674, 1933, 624, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(9017, 14601, 'Soulless', '', 'shadeless', 7.00, 28.00, 81, 'male', 'L2Pet', 'npc', 40, 5928, 9.500, 2342, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2543, 680, 1971, 629, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(9018, 14602, 'Soulless', '', 'shadeless', 7.00, 28.00, 81, 'male', 'L2Pet', 'npc', 40, 5977, 9.500, 2367, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2585, 686, 2009, 635, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(9019, 14603, 'Soulless', '', 'shadeless', 7.00, 28.00, 81, 'male', 'L2Pet', 'npc', 40, 6026, 9.500, 2393, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2628, 692, 2048, 641, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(9020, 14604, 'Soulless', '', 'shadeless', 7.00, 28.00, 81, 'male', 'L2Pet', 'npc', 40, 6076, 9.500, 2419, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2672, 698, 2088, 647, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(9021, 14605, 'Soulless', '', 'shadeless', 7.00, 28.00, 82, 'male', 'L2Pet', 'npc', 40, 6126, 9.600, 2445, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2717, 704, 2129, 653, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(9022, 14606, 'Soulless', '', 'shadeless', 7.00, 28.00, 82, 'male', 'L2Pet', 'npc', 40, 6176, 9.600, 2471, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2762, 710, 2170, 659, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(9023, 14607, 'Soulless', '', 'shadeless', 7.00, 28.00, 82, 'male', 'L2Pet', 'npc', 40, 6227, 9.600, 2498, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2808, 716, 2212, 665, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(9024, 14608, 'Soulless', '', 'shadeless', 7.00, 28.00, 82, 'male', 'L2Pet', 'npc', 40, 6278, 9.600, 2525, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2855, 723, 2255, 671, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(9025, 14609, 'Soulless', '', 'shadeless', 7.00, 28.00, 83, 'male', 'L2Pet', 'npc', 40, 6330, 9.700, 2552, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2903, 730, 2299, 677, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(9026, 14610, 'Soulless', '', 'shadeless', 7.00, 28.00, 83, 'male', 'L2Pet', 'npc', 40, 6382, 9.700, 2580, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2952, 737, 2344, 683, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(9027, 14611, 'Soulless', '', 'shadeless', 7.00, 28.00, 83, 'male', 'L2Pet', 'npc', 40, 6435, 9.700, 2608, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3001, 744, 2390, 689, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(9028, 14612, 'Soulless', '', 'shadeless', 7.00, 28.00, 83, 'male', 'L2Pet', 'npc', 40, 6488, 9.700, 2636, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3051, 751, 2437, 695, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(9029, 14613, 'Soulless', '', 'shadeless', 7.00, 28.00, 84, 'male', 'L2Pet', 'npc', 40, 6541, 9.800, 2665, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3102, 758, 2485, 701, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(9030, 14614, 'Soulless', '', 'shadeless', 7.00, 28.00, 84, 'male', 'L2Pet', 'npc', 40, 6595, 9.800, 2694, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3154, 765, 2533, 707, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(9031, 14615, 'Soulless', '', 'shadeless', 7.00, 28.00, 84, 'male', 'L2Pet', 'npc', 40, 6649, 9.800, 2723, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3207, 772, 2582, 713, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(9032, 14616, 'Soulless', '', 'shadeless', 7.00, 28.00, 85, 'male', 'L2Pet', 'npc', 40, 6704, 9.800, 2753, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3261, 779, 2632, 719, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(9033, 14617, 'Soulless', '', 'shadeless', 7.00, 28.00, 85, 'male', 'L2Pet', 'npc', 40, 6759, 9.900, 2783, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3316, 786, 2683, 725, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(9034, 14618, 'Soulless', '', 'shadeless', 7.00, 28.00, 85, 'male', 'L2Pet', 'npc', 40, 6815, 9.900, 2813, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3372, 793, 2735, 731, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.61, 'false', 'NONE', 0, 0),
	(9035, 14619, 'Nightshade', '', 'knight_of_shadow', 10.00, 35.50, 58, 'male', 'L2Pet', 'npc', 40, 5779, 7.200, 1251, 4.900, 40, 43, 30, 21, 20, 25, 0, 0, 781, 560, 428, 526, 278, 0, 333, 0, 0, 0, 30, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(9036, 14620, 'Nightshade', '', 'knight_of_shadow', 10.00, 35.50, 60, 'male', 'L2Pet', 'npc', 40, 6109, 7.400, 1327, 5.000, 40, 43, 30, 21, 20, 25, 0, 0, 861, 592, 477, 555, 278, 0, 333, 0, 0, 0, 30, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(9037, 14621, 'Nightshade', '', 'knight_of_shadow', 10.00, 35.50, 62, 'male', 'L2Pet', 'npc', 40, 6439, 7.600, 1404, 5.700, 40, 43, 30, 21, 20, 25, 0, 0, 943, 625, 531, 584, 278, 0, 333, 0, 0, 0, 30, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(9038, 14622, 'Nightshade', '', 'knight_of_shadow', 10.00, 35.50, 64, 'male', 'L2Pet', 'npc', 40, 6768, 7.800, 1482, 5.800, 40, 43, 30, 21, 20, 25, 0, 0, 1033, 657, 588, 613, 278, 0, 333, 0, 0, 0, 30, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(9039, 14623, 'Nightshade', '', 'knight_of_shadow', 10.00, 35.50, 66, 'male', 'L2Pet', 'npc', 40, 7093, 8.000, 1561, 5.800, 40, 43, 30, 21, 20, 25, 0, 0, 1123, 687, 649, 644, 278, 0, 333, 0, 0, 0, 30, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(9040, 14624, 'Nightshade', '', 'knight_of_shadow', 10.00, 35.50, 68, 'male', 'L2Pet', 'npc', 40, 7412, 8.200, 1641, 5.900, 40, 43, 30, 21, 20, 25, 0, 0, 1218, 723, 713, 676, 278, 0, 333, 0, 0, 0, 30, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(9041, 14625, 'Nightshade', '', 'knight_of_shadow', 10.00, 35.50, 70, 'male', 'L2Pet', 'npc', 40, 7724, 8.400, 1722, 6.000, 40, 43, 30, 21, 20, 25, 0, 0, 1316, 755, 779, 707, 278, 0, 333, 0, 0, 0, 30, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(9042, 14626, 'Nightshade', '', 'knight_of_shadow', 10.00, 35.50, 72, 'male', 'L2Pet', 'npc', 40, 8026, 8.600, 1804, 6.800, 40, 43, 30, 21, 20, 25, 0, 0, 1414, 791, 848, 739, 278, 0, 333, 0, 0, 0, 30, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(9043, 14627, 'Nightshade', '', 'knight_of_shadow', 10.00, 35.50, 74, 'male', 'L2Pet', 'npc', 40, 8317, 8.800, 1888, 6.800, 40, 43, 30, 21, 20, 25, 0, 0, 1514, 823, 920, 771, 278, 0, 333, 0, 0, 0, 30, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(9044, 14628, 'Nightshade', '', 'knight_of_shadow', 10.00, 35.50, 76, 'male', 'L2Pet', 'npc', 40, 8595, 9.000, 1972, 6.900, 40, 43, 30, 21, 20, 25, 0, 0, 1617, 857, 993, 802, 278, 0, 333, 0, 0, 0, 30, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(9045, 14633, 'Nightshade', '', 'knight_of_shadow', 10.00, 35.50, 78, 'male', 'L2Pet', 'npc', 40, 8882, 9.200, 2059, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1721, 891, 1071, 833, 278, 0, 333, 0, 0, 0, 33, 187, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(9046, 14634, 'Nightshade', '', 'knight_of_shadow', 10.00, 35.50, 78, 'male', 'L2Pet', 'npc', 40, 8956, 9.200, 2081, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1749, 899, 1092, 841, 278, 0, 333, 0, 0, 0, 33, 187, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(9047, 14635, 'Nightshade', '', 'knight_of_shadow', 10.00, 35.50, 78, 'male', 'L2Pet', 'npc', 40, 9030, 9.200, 2103, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1778, 908, 1113, 849, 278, 0, 333, 0, 0, 0, 33, 187, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(9048, 14636, 'Nightshade', '', 'knight_of_shadow', 10.00, 35.50, 78, 'male', 'L2Pet', 'npc', 40, 9105, 9.200, 2126, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1807, 917, 1134, 857, 278, 0, 333, 0, 0, 0, 33, 187, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(9049, 14637, 'Nightshade', '', 'knight_of_shadow', 10.00, 35.50, 79, 'male', 'L2Pet', 'npc', 40, 9181, 9.300, 2149, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1837, 926, 1156, 865, 278, 0, 333, 0, 0, 0, 33, 187, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(9050, 14638, 'Nightshade', '', 'knight_of_shadow', 10.00, 35.50, 79, 'male', 'L2Pet', 'npc', 40, 9257, 9.300, 2172, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1867, 935, 1178, 873, 278, 0, 333, 0, 0, 0, 33, 187, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(9051, 14639, 'Nightshade', '', 'knight_of_shadow', 10.00, 35.50, 79, 'male', 'L2Pet', 'npc', 40, 9334, 9.300, 2195, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1898, 944, 1201, 881, 278, 0, 333, 0, 0, 0, 33, 187, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(9052, 14640, 'Nightshade', '', 'knight_of_shadow', 10.00, 35.50, 79, 'male', 'L2Pet', 'npc', 40, 9411, 9.300, 2219, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1929, 953, 1224, 889, 278, 0, 333, 0, 0, 0, 33, 187, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(9053, 14641, 'Nightshade', '', 'knight_of_shadow', 10.00, 35.50, 80, 'male', 'L2Pet', 'npc', 40, 9489, 9.400, 2243, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1961, 962, 1248, 897, 278, 0, 333, 0, 0, 0, 33, 187, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(9054, 14642, 'Nightshade', '', 'knight_of_shadow', 10.00, 35.50, 80, 'male', 'L2Pet', 'npc', 40, 9568, 9.400, 2267, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1993, 971, 1272, 905, 278, 0, 333, 0, 0, 0, 33, 187, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(9055, 14643, 'Nightshade', '', 'knight_of_shadow', 10.00, 35.50, 80, 'male', 'L2Pet', 'npc', 40, 9647, 9.400, 2292, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2026, 980, 1296, 913, 278, 0, 333, 0, 0, 0, 33, 187, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(9056, 14644, 'Nightshade', '', 'knight_of_shadow', 10.00, 35.50, 80, 'male', 'L2Pet', 'npc', 40, 9727, 9.400, 2317, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2059, 989, 1321, 921, 278, 0, 333, 0, 0, 0, 33, 187, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(9057, 14645, 'Nightshade', '', 'knight_of_shadow', 10.00, 35.50, 81, 'male', 'L2Pet', 'npc', 40, 9808, 9.500, 2342, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2093, 998, 1346, 929, 278, 0, 333, 0, 0, 0, 33, 187, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(9058, 14646, 'Nightshade', '', 'knight_of_shadow', 10.00, 35.50, 81, 'male', 'L2Pet', 'npc', 40, 9889, 9.500, 2367, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2128, 1008, 1372, 937, 278, 0, 333, 0, 0, 0, 33, 187, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(9059, 14647, 'Nightshade', '', 'knight_of_shadow', 10.00, 35.50, 81, 'male', 'L2Pet', 'npc', 40, 9971, 9.500, 2393, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2163, 1018, 1398, 946, 278, 0, 333, 0, 0, 0, 33, 187, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(9060, 14648, 'Nightshade', '', 'knight_of_shadow', 10.00, 35.50, 81, 'male', 'L2Pet', 'npc', 40, 10054, 9.500, 2419, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2199, 1028, 1425, 955, 278, 0, 333, 0, 0, 0, 33, 187, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(9061, 14649, 'Nightshade', '', 'knight_of_shadow', 10.00, 35.50, 82, 'male', 'L2Pet', 'npc', 40, 10137, 9.600, 2445, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2235, 1038, 1452, 964, 278, 0, 333, 0, 0, 0, 33, 187, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(9062, 14650, 'Nightshade', '', 'knight_of_shadow', 10.00, 35.50, 82, 'male', 'L2Pet', 'npc', 40, 10221, 9.600, 2471, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2272, 1048, 1480, 973, 278, 0, 333, 0, 0, 0, 33, 187, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(9063, 14651, 'Nightshade', '', 'knight_of_shadow', 10.00, 35.50, 82, 'male', 'L2Pet', 'npc', 40, 10306, 9.600, 2498, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2310, 1058, 1509, 982, 278, 0, 333, 0, 0, 0, 33, 187, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(9064, 14652, 'Nightshade', '', 'knight_of_shadow', 10.00, 35.50, 82, 'male', 'L2Pet', 'npc', 40, 10392, 9.600, 2525, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2348, 1068, 1538, 991, 278, 0, 333, 0, 0, 0, 33, 187, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(9065, 14653, 'Nightshade', '', 'knight_of_shadow', 10.00, 35.50, 83, 'male', 'L2Pet', 'npc', 40, 10478, 9.700, 2552, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2387, 1078, 1568, 1000, 278, 0, 333, 0, 0, 0, 33, 187, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(9066, 14654, 'Nightshade', '', 'knight_of_shadow', 10.00, 35.50, 83, 'male', 'L2Pet', 'npc', 40, 10565, 9.700, 2580, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2426, 1088, 1598, 1009, 278, 0, 333, 0, 0, 0, 33, 187, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(9067, 14655, 'Nightshade', '', 'knight_of_shadow', 10.00, 35.50, 83, 'male', 'L2Pet', 'npc', 40, 10653, 9.700, 2608, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2466, 1098, 1629, 1018, 278, 0, 333, 0, 0, 0, 33, 187, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(9068, 14656, 'Nightshade', '', 'knight_of_shadow', 10.00, 35.50, 83, 'male', 'L2Pet', 'npc', 40, 10741, 9.700, 2636, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2507, 1109, 1660, 1027, 278, 0, 333, 0, 0, 0, 33, 187, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(9069, 14657, 'Nightshade', '', 'knight_of_shadow', 10.00, 35.50, 84, 'male', 'L2Pet', 'npc', 40, 10830, 9.800, 2665, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2548, 1120, 1692, 1036, 278, 0, 333, 0, 0, 0, 33, 187, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(9070, 14658, 'Nightshade', '', 'knight_of_shadow', 10.00, 35.50, 84, 'male', 'L2Pet', 'npc', 40, 10920, 9.800, 2694, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2590, 1131, 1725, 1046, 278, 0, 333, 0, 0, 0, 33, 187, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(9071, 14659, 'Nightshade', '', 'knight_of_shadow', 10.00, 35.50, 84, 'male', 'L2Pet', 'npc', 40, 11011, 9.800, 2723, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2633, 1142, 1758, 1056, 278, 0, 333, 0, 0, 0, 33, 187, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(9072, 14660, 'Nightshade', '', 'knight_of_shadow', 10.00, 35.50, 85, 'male', 'L2Pet', 'npc', 40, 11102, 9.800, 2753, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2677, 1153, 1792, 1066, 278, 0, 333, 0, 0, 0, 33, 187, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(9073, 14661, 'Nightshade', '', 'knight_of_shadow', 10.00, 35.50, 85, 'male', 'L2Pet', 'npc', 40, 11194, 9.900, 2783, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2721, 1164, 1827, 1076, 278, 0, 333, 0, 0, 0, 33, 187, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(9074, 14662, 'Nightshade', '', 'knight_of_shadow', 10.00, 35.50, 85, 'male', 'L2Pet', 'npc', 40, 11287, 9.900, 2813, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2766, 1175, 1862, 1086, 278, 0, 333, 0, 0, 0, 33, 187, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.59, 'false', 'NONE', 0, 0),
	(9075, 14663, 'Mechanic Golem', '', 'mechanic_golem', 5.00, 19.00, 30, 'male', 'L2Pet', 'npc', 40, 1049, 4.400, 421, 2.500, 40, 43, 30, 21, 20, 25, 0, 0, 131, 140, 80, 130, 278, 0, 333, 0, 0, 0, 30, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(9076, 14664, 'Mechanic Golem', '', 'mechanic_golem', 5.00, 19.00, 38, 'male', 'L2Pet', 'npc', 40, 1540, 5.200, 573, 3.200, 40, 43, 30, 21, 20, 25, 0, 0, 237, 187, 144, 175, 278, 0, 333, 0, 0, 0, 30, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(9077, 14665, 'Mechanic Golem', '', 'mechanic_golem', 5.00, 19.00, 45, 'male', 'L2Pet', 'npc', 40, 2057, 5.900, 781, 3.900, 40, 43, 30, 21, 20, 25, 0, 0, 376, 237, 229, 222, 278, 0, 333, 0, 0, 0, 30, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(9078, 14666, 'Mechanic Golem', '', 'mechanic_golem', 5.00, 19.00, 51, 'male', 'L2Pet', 'npc', 40, 2555, 6.500, 993, 4.700, 40, 43, 30, 21, 20, 25, 0, 0, 539, 285, 328, 267, 278, 0, 333, 0, 0, 0, 30, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(9079, 14667, 'Mechanic Golem', '', 'mechanic_golem', 5.00, 19.00, 57, 'male', 'L2Pet', 'npc', 40, 3087, 7.100, 1213, 4.900, 40, 43, 30, 21, 20, 25, 0, 0, 742, 340, 452, 317, 278, 0, 333, 0, 0, 0, 30, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(9080, 14668, 'Mechanic Golem', '', 'mechanic_golem', 5.00, 19.00, 62, 'male', 'L2Pet', 'npc', 40, 3541, 7.600, 1404, 5.700, 40, 43, 30, 21, 20, 25, 0, 0, 944, 388, 574, 363, 278, 0, 333, 0, 0, 0, 30, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(9081, 14669, 'Mechanic Golem', '', 'mechanic_golem', 5.00, 19.00, 66, 'male', 'L2Pet', 'npc', 40, 3901, 8.000, 1561, 5.800, 40, 43, 30, 21, 20, 25, 0, 0, 1121, 427, 683, 400, 278, 0, 333, 0, 0, 0, 30, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(9082, 14670, 'Mechanic Golem', '', 'mechanic_golem', 5.00, 19.00, 70, 'male', 'L2Pet', 'npc', 40, 4248, 8.400, 1722, 6.000, 40, 43, 30, 21, 20, 25, 0, 0, 1312, 469, 799, 439, 278, 0, 333, 0, 0, 0, 30, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(9083, 14671, 'Mechanic Golem', '', 'mechanic_golem', 5.00, 19.00, 74, 'male', 'L2Pet', 'npc', 40, 4574, 8.800, 1888, 6.800, 40, 43, 30, 21, 20, 25, 0, 0, 1511, 511, 920, 479, 278, 0, 333, 0, 0, 0, 30, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(9084, 14672, 'Mechanic Golem', '', 'mechanic_golem', 5.00, 19.00, 78, 'male', 'L2Pet', 'npc', 40, 4871, 9.200, 2057, 7.000, 40, 43, 30, 21, 20, 25, 0, 0, 1713, 554, 1068, 519, 278, 0, 333, 0, 0, 0, 30, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(9085, 14673, 'Mechanic Golem', '', 'mechanic_golem', 5.00, 19.00, 78, 'male', 'L2Pet', 'npc', 40, 4888, 9.200, 2068, 7.000, 40, 43, 30, 21, 20, 25, 0, 0, 1723, 556, 1074, 521, 278, 0, 333, 0, 0, 0, 30, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(9086, 14674, 'Mechanic Golem', '', 'mechanic_golem', 5.00, 19.00, 78, 'male', 'L2Pet', 'npc', 40, 4905, 9.200, 2078, 7.000, 40, 43, 30, 21, 20, 25, 0, 0, 1733, 557, 1081, 523, 278, 0, 333, 0, 0, 0, 30, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(9087, 14675, 'Mechanic Golem', '', 'mechanic_golem', 5.00, 19.00, 78, 'male', 'L2Pet', 'npc', 40, 4922, 9.200, 2089, 7.000, 40, 43, 30, 21, 20, 25, 0, 0, 1743, 559, 1086, 523, 278, 0, 333, 0, 0, 0, 30, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(9088, 14676, 'Mechanic Golem', '', 'mechanic_golem', 5.00, 19.00, 79, 'male', 'L2Pet', 'npc', 40, 4940, 9.300, 2100, 8.000, 40, 43, 30, 21, 20, 25, 0, 0, 1764, 566, 1105, 528, 278, 0, 333, 0, 0, 0, 30, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(9089, 14677, 'Mechanic Golem', '', 'mechanic_golem', 5.00, 19.00, 79, 'male', 'L2Pet', 'npc', 40, 4957, 9.300, 2111, 8.000, 40, 43, 30, 21, 20, 25, 0, 0, 1774, 567, 1112, 531, 278, 0, 333, 0, 0, 0, 30, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(9090, 14678, 'Mechanic Golem', '', 'mechanic_golem', 5.00, 19.00, 79, 'male', 'L2Pet', 'npc', 40, 4974, 9.300, 2121, 8.000, 40, 43, 30, 21, 20, 25, 0, 0, 1784, 569, 1118, 533, 278, 0, 333, 0, 0, 0, 30, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(9091, 14679, 'Mechanic Golem', '', 'mechanic_golem', 5.00, 19.00, 79, 'male', 'L2Pet', 'npc', 40, 4991, 9.300, 2132, 8.000, 40, 43, 30, 21, 20, 25, 0, 0, 1794, 571, 1124, 535, 278, 0, 333, 0, 0, 0, 30, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(9092, 14680, 'Mechanic Golem', '', 'mechanic_golem', 5.00, 19.00, 80, 'male', 'L2Pet', 'npc', 40, 5006, 9.400, 2143, 9.000, 40, 43, 30, 21, 20, 25, 0, 0, 1813, 576, 1144, 538, 278, 0, 333, 0, 0, 0, 30, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(9093, 14681, 'Mechanic Golem', '', 'mechanic_golem', 5.00, 19.00, 80, 'male', 'L2Pet', 'npc', 40, 5022, 9.400, 2154, 9.000, 40, 43, 30, 21, 20, 25, 0, 0, 1823, 577, 1150, 540, 278, 0, 333, 0, 0, 0, 30, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(9094, 14682, 'Mechanic Golem', '', 'mechanic_golem', 5.00, 19.00, 80, 'male', 'L2Pet', 'npc', 40, 5038, 9.400, 2165, 9.000, 40, 43, 30, 21, 20, 25, 0, 0, 1820, 558, 1591, 542, 278, 0, 333, 0, 0, 0, 30, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(9095, 14683, 'Mechanic Golem', '', 'mechanic_golem', 5.00, 19.00, 80, 'male', 'L2Pet', 'npc', 40, 5054, 9.400, 2176, 9.000, 40, 43, 30, 21, 20, 25, 0, 0, 1828, 558, 1591, 544, 278, 0, 333, 0, 0, 0, 30, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(9096, 14684, 'Mechanic Golem', '', 'mechanic_golem', 5.00, 19.00, 81, 'male', 'L2Pet', 'npc', 40, 5070, 9.500, 2187, 10.000, 40, 43, 30, 21, 20, 25, 0, 0, 1837, 558, 1082, 550, 278, 0, 333, 0, 0, 0, 33, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(9097, 14685, 'Mechanic Golem', '', 'mechanic_golem', 5.00, 19.00, 81, 'male', 'L2Pet', 'npc', 40, 5086, 9.500, 2198, 10.000, 40, 43, 30, 21, 20, 25, 0, 0, 1846, 558, 1082, 552, 278, 0, 333, 0, 0, 0, 33, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(9098, 14686, 'Mechanic Golem', '', 'mechanic_golem', 5.00, 19.00, 81, 'male', 'L2Pet', 'npc', 40, 5102, 9.500, 2209, 10.000, 40, 43, 30, 21, 20, 25, 0, 0, 1854, 558, 1082, 554, 278, 0, 333, 0, 0, 0, 33, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(9099, 14687, 'Mechanic Golem', '', 'mechanic_golem', 5.00, 19.00, 81, 'male', 'L2Pet', 'npc', 40, 5118, 9.500, 2220, 10.000, 40, 43, 30, 21, 20, 25, 0, 0, 1863, 558, 1082, 556, 278, 0, 333, 0, 0, 0, 33, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(9100, 14688, 'Mechanic Golem', '', 'mechanic_golem', 5.00, 19.00, 82, 'male', 'L2Pet', 'npc', 40, 5134, 9.600, 2231, 11.000, 40, 43, 30, 21, 20, 25, 0, 0, 1871, 558, 1082, 562, 278, 0, 333, 0, 0, 0, 33, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(9101, 14689, 'Mechanic Golem', '', 'mechanic_golem', 5.00, 19.00, 82, 'male', 'L2Pet', 'npc', 40, 5150, 9.600, 2242, 11.000, 40, 43, 30, 21, 20, 25, 0, 0, 1880, 558, 1082, 564, 278, 0, 333, 0, 0, 0, 33, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(9102, 14690, 'Mechanic Golem', '', 'mechanic_golem', 5.00, 19.00, 82, 'male', 'L2Pet', 'npc', 40, 5166, 9.600, 2253, 11.000, 40, 43, 30, 21, 20, 25, 0, 0, 1900, 562, 1095, 566, 278, 0, 333, 0, 0, 0, 33, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(9103, 14691, 'Mechanic Golem', '', 'mechanic_golem', 5.00, 19.00, 82, 'male', 'L2Pet', 'npc', 40, 5182, 9.600, 2264, 11.000, 40, 43, 30, 21, 20, 25, 0, 0, 1909, 562, 1095, 568, 278, 0, 333, 0, 0, 0, 33, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(9104, 14692, 'Mechanic Golem', '', 'mechanic_golem', 5.00, 19.00, 83, 'male', 'L2Pet', 'npc', 40, 5198, 9.700, 2275, 12.000, 40, 43, 30, 21, 20, 25, 0, 0, 1917, 562, 1095, 574, 278, 0, 333, 0, 0, 0, 33, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(9105, 14693, 'Mechanic Golem', '', 'mechanic_golem', 5.00, 19.00, 83, 'male', 'L2Pet', 'npc', 40, 5214, 9.700, 2286, 12.000, 40, 43, 30, 21, 20, 25, 0, 0, 1926, 562, 1095, 576, 278, 0, 333, 0, 0, 0, 33, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(9106, 14694, 'Mechanic Golem', '', 'mechanic_golem', 5.00, 19.00, 83, 'male', 'L2Pet', 'npc', 40, 5230, 9.700, 2297, 12.000, 40, 43, 30, 21, 20, 25, 0, 0, 1935, 562, 1095, 578, 278, 0, 333, 0, 0, 0, 33, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(9107, 14695, 'Mechanic Golem', '', 'mechanic_golem', 5.00, 19.00, 83, 'male', 'L2Pet', 'npc', 40, 5246, 9.700, 2308, 12.000, 40, 43, 30, 21, 20, 25, 0, 0, 1943, 562, 1095, 580, 278, 0, 333, 0, 0, 0, 33, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(9108, 14696, 'Mechanic Golem', '', 'mechanic_golem', 5.00, 19.00, 84, 'male', 'L2Pet', 'npc', 40, 5262, 9.800, 2319, 13.000, 40, 43, 30, 21, 20, 25, 0, 0, 1952, 562, 1095, 586, 278, 0, 333, 0, 0, 0, 33, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(9109, 14697, 'Mechanic Golem', '', 'mechanic_golem', 5.00, 19.00, 84, 'male', 'L2Pet', 'npc', 40, 5278, 9.800, 2330, 13.000, 40, 43, 30, 21, 20, 25, 0, 0, 1961, 562, 1095, 588, 278, 0, 333, 0, 0, 0, 33, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(9110, 14698, 'Mechanic Golem', '', 'mechanic_golem', 5.00, 19.00, 84, 'male', 'L2Pet', 'npc', 40, 5294, 9.800, 2341, 13.000, 40, 43, 30, 21, 20, 25, 0, 0, 1969, 562, 1095, 590, 278, 0, 333, 0, 0, 0, 33, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(9111, 14699, 'Mechanic Golem', '', 'mechanic_golem', 5.00, 19.00, 85, 'male', 'L2Pet', 'npc', 40, 5310, 9.800, 2352, 13.000, 40, 43, 30, 21, 20, 25, 0, 0, 1978, 562, 1095, 592, 278, 0, 333, 0, 0, 0, 33, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(9112, 14700, 'Mechanic Golem', '', 'mechanic_golem', 5.00, 19.00, 85, 'male', 'L2Pet', 'npc', 40, 5326, 9.900, 2363, 14.000, 40, 43, 30, 21, 20, 25, 0, 0, 1987, 562, 1095, 598, 278, 0, 333, 0, 0, 0, 33, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(9113, 14701, 'Mechanic Golem', '', 'mechanic_golem', 5.00, 19.00, 85, 'male', 'L2Pet', 'npc', 40, 5342, 9.900, 2374, 14.000, 40, 43, 30, 21, 20, 25, 0, 0, 1995, 562, 1095, 600, 278, 0, 333, 0, 0, 0, 33, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.72, 'false', 'NONE', 0, 0),
	(9114, 14702, 'Big Boom', '', 'big_boom', 6.00, 13.00, 60, 'male', 'L2Pet', 'npc', 40, 3054, 7.400, 1327, 5.000, 40, 43, 30, 21, 20, 25, 0, 0, 860, 368, 477, 345, 278, 0, 333, 0, 0, 0, 48, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9115, 14703, 'Big Boom', '', 'big_boom', 6.00, 13.00, 64, 'male', 'L2Pet', 'npc', 40, 3384, 7.800, 1482, 5.800, 40, 43, 30, 21, 20, 25, 0, 0, 1031, 408, 588, 381, 278, 0, 333, 0, 0, 0, 48, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9116, 14704, 'Big Boom', '', 'big_boom', 6.00, 13.00, 68, 'male', 'L2Pet', 'npc', 40, 3706, 8.200, 1641, 5.900, 40, 43, 30, 21, 20, 25, 0, 0, 1217, 449, 713, 420, 278, 0, 333, 0, 0, 0, 48, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9117, 14705, 'Big Boom', '', 'big_boom', 6.00, 13.00, 72, 'male', 'L2Pet', 'npc', 40, 4013, 8.600, 1804, 6.800, 40, 43, 30, 21, 20, 25, 0, 0, 1412, 491, 848, 459, 278, 0, 333, 0, 0, 0, 48, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9118, 14706, 'Big Boom', '', 'big_boom', 6.00, 13.00, 76, 'male', 'L2Pet', 'npc', 40, 4297, 9.000, 1804, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1413, 491, 849, 460, 278, 0, 333, 0, 0, 0, 52, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9119, 14707, 'Big Boom', '', 'big_boom', 6.00, 13.00, 78, 'male', 'L2Pet', 'npc', 40, 4550, 9.200, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1793, 553, 1118, 533, 278, 0, 333, 0, 0, 0, 52, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9120, 14708, 'Big Boom', '', 'big_boom', 6.00, 13.00, 78, 'male', 'L2Pet', 'npc', 40, 4550, 9.200, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1793, 553, 1118, 533, 278, 0, 333, 0, 0, 0, 52, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9121, 14709, 'Big Boom', '', 'big_boom', 6.00, 13.00, 78, 'male', 'L2Pet', 'npc', 40, 4550, 9.200, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1793, 553, 1118, 533, 278, 0, 333, 0, 0, 0, 52, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9122, 14710, 'Big Boom', '', 'big_boom', 6.00, 13.00, 78, 'male', 'L2Pet', 'npc', 40, 4550, 9.200, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1793, 553, 1118, 533, 278, 0, 333, 0, 0, 0, 52, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9123, 14711, 'Big Boom', '', 'big_boom', 6.00, 13.00, 79, 'male', 'L2Pet', 'npc', 40, 4550, 9.300, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1793, 553, 1118, 533, 278, 0, 333, 0, 0, 0, 52, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9124, 14712, 'Big Boom', '', 'big_boom', 6.00, 13.00, 79, 'male', 'L2Pet', 'npc', 40, 4550, 9.300, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1793, 553, 1118, 533, 278, 0, 333, 0, 0, 0, 52, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9125, 14713, 'Big Boom', '', 'big_boom', 6.00, 13.00, 79, 'male', 'L2Pet', 'npc', 40, 4550, 9.300, 2143, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 1793, 553, 1118, 533, 278, 0, 253, 0, 0, 0, 48, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9126, 14714, 'Big Boom', '', 'big_boom', 6.00, 13.00, 79, 'male', 'L2Pet', 'npc', 40, 4550, 9.300, 2143, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 1793, 553, 1118, 533, 278, 0, 253, 0, 0, 0, 48, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9127, 14715, 'Big Boom', '', 'big_boom', 6.00, 13.00, 80, 'male', 'L2Pet', 'npc', 40, 4550, 9.400, 2143, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 1793, 553, 1118, 533, 278, 0, 253, 0, 0, 0, 48, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9128, 14716, 'Big Boom', '', 'big_boom', 6.00, 13.00, 80, 'male', 'L2Pet', 'npc', 40, 4550, 9.400, 2143, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 1803, 556, 1131, 537, 278, 0, 253, 0, 0, 0, 48, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9129, 14717, 'Big Boom', '', 'big_boom', 6.00, 13.00, 80, 'male', 'L2Pet', 'npc', 40, 4550, 9.400, 2143, 3.000, 40, 43, 30, 21, 20, 25, 0, 0, 1803, 556, 1131, 537, 278, 0, 253, 0, 0, 0, 48, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9130, 14718, 'Big Boom', '', 'big_boom', 6.00, 13.00, 80, 'male', 'L2Pet', 'npc', 40, 4550, 9.400, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1803, 556, 1131, 537, 278, 0, 333, 0, 0, 0, 52, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9131, 14719, 'Big Boom', '', 'big_boom', 6.00, 13.00, 81, 'male', 'L2Pet', 'npc', 40, 4550, 9.500, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1803, 556, 1131, 537, 278, 0, 333, 0, 0, 0, 52, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9132, 14720, 'Big Boom', '', 'big_boom', 6.00, 13.00, 81, 'male', 'L2Pet', 'npc', 40, 4550, 9.500, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1803, 556, 1131, 537, 278, 0, 333, 0, 0, 0, 52, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9133, 14721, 'Big Boom', '', 'big_boom', 6.00, 13.00, 81, 'male', 'L2Pet', 'npc', 40, 4550, 9.500, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1803, 556, 1131, 537, 278, 0, 333, 0, 0, 0, 52, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9134, 14722, 'Big Boom', '', 'big_boom', 6.00, 13.00, 81, 'male', 'L2Pet', 'npc', 40, 4550, 9.500, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1803, 556, 1131, 537, 278, 0, 333, 0, 0, 0, 52, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9135, 14723, 'Big Boom', '', 'big_boom', 6.00, 13.00, 82, 'male', 'L2Pet', 'npc', 40, 4550, 9.600, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1803, 556, 1131, 537, 278, 0, 333, 0, 0, 0, 52, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9136, 14724, 'Big Boom', '', 'big_boom', 6.00, 13.00, 82, 'male', 'L2Pet', 'npc', 40, 4550, 9.600, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1803, 556, 1131, 537, 278, 0, 333, 0, 0, 0, 52, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9137, 14725, 'Big Boom', '', 'big_boom', 6.00, 13.00, 82, 'male', 'L2Pet', 'npc', 40, 4550, 9.600, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1814, 559, 1144, 540, 278, 0, 333, 0, 0, 0, 52, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9138, 14726, 'Big Boom', '', 'big_boom', 6.00, 13.00, 82, 'male', 'L2Pet', 'npc', 40, 4550, 9.600, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1814, 559, 1144, 540, 278, 0, 333, 0, 0, 0, 52, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9139, 14727, 'Big Boom', '', 'big_boom', 6.00, 13.00, 83, 'male', 'L2Pet', 'npc', 40, 4550, 9.700, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1814, 559, 1144, 540, 278, 0, 333, 0, 0, 0, 52, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9140, 14728, 'Big Boom', '', 'big_boom', 6.00, 13.00, 83, 'male', 'L2Pet', 'npc', 40, 4550, 9.700, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1814, 559, 1144, 540, 278, 0, 333, 0, 0, 0, 52, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9141, 14729, 'Big Boom', '', 'big_boom', 6.00, 13.00, 83, 'male', 'L2Pet', 'npc', 40, 4550, 9.700, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1814, 559, 1144, 540, 278, 0, 333, 0, 0, 0, 52, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9142, 14730, 'Big Boom', '', 'big_boom', 6.00, 13.00, 83, 'male', 'L2Pet', 'npc', 40, 4550, 9.700, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1814, 559, 1144, 540, 278, 0, 333, 0, 0, 0, 52, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9143, 14731, 'Big Boom', '', 'big_boom', 6.00, 13.00, 84, 'male', 'L2Pet', 'npc', 40, 4550, 9.800, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1814, 559, 1144, 540, 278, 0, 333, 0, 0, 0, 52, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9144, 14732, 'Big Boom', '', 'big_boom', 6.00, 13.00, 84, 'male', 'L2Pet', 'npc', 40, 4550, 9.800, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1814, 559, 1144, 540, 278, 0, 333, 0, 0, 0, 52, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9145, 14733, 'Big Boom', '', 'big_boom', 6.00, 13.00, 84, 'male', 'L2Pet', 'npc', 40, 4550, 9.800, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1814, 559, 1144, 540, 278, 0, 333, 0, 0, 0, 52, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9146, 14734, 'Big Boom', '', 'big_boom', 6.00, 13.00, 85, 'male', 'L2Pet', 'npc', 40, 4550, 9.800, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1814, 559, 1144, 540, 278, 0, 333, 0, 0, 0, 52, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9147, 14735, 'Big Boom', '', 'big_boom', 6.00, 13.00, 85, 'male', 'L2Pet', 'npc', 40, 4550, 9.900, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1814, 559, 1144, 540, 278, 0, 333, 0, 0, 0, 52, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9148, 14736, 'Big Boom', '', 'big_boom', 6.00, 13.00, 85, 'male', 'L2Pet', 'npc', 40, 4550, 9.900, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1814, 559, 1144, 540, 278, 0, 333, 0, 0, 0, 52, 154, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9149, 14737, 'Siege Golem', '', 'siege_golem', 60.00, 140.00, 55, 'male', 'L2Pet', 'npc', 80, 948000, 6.900, 1138, 4.800, 40, 43, 30, 21, 20, 25, 0, 0, 2592, 1205, 360, 1242, 165, 0, 333, 0, 0, 0, 40, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9150, 14738, 'Siege Golem', '', 'siege_golem', 60.00, 140.00, 78, 'male', 'L2Pet', 'npc', 80, 948000, 9.200, 1138, 2.450, 40, 43, 30, 21, 20, 25, 0, 0, 3036, 1397, 484, 1440, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9151, 14739, 'Siege Golem', '', 'siege_golem', 60.00, 140.00, 78, 'male', 'L2Pet', 'npc', 80, 948000, 9.200, 1138, 2.450, 40, 43, 30, 21, 20, 25, 0, 0, 3066, 1397, 484, 1440, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9152, 14740, 'Siege Golem', '', 'siege_golem', 60.00, 140.00, 78, 'male', 'L2Pet', 'npc', 80, 948000, 9.200, 1138, 2.450, 40, 43, 30, 21, 20, 25, 0, 0, 3096, 1397, 484, 1440, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9153, 14741, 'Siege Golem', '', 'siege_golem', 60.00, 140.00, 78, 'male', 'L2Pet', 'npc', 80, 948000, 9.200, 1138, 2.450, 40, 43, 30, 21, 20, 25, 0, 0, 3126, 1397, 484, 1440, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9154, 14742, 'Siege Golem', '', 'siege_golem', 60.00, 140.00, 79, 'male', 'L2Pet', 'npc', 80, 948000, 9.200, 1138, 2.450, 40, 43, 30, 21, 20, 25, 0, 0, 3156, 1397, 484, 1440, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9155, 14743, 'Siege Golem', '', 'siege_golem', 60.00, 140.00, 79, 'male', 'L2Pet', 'npc', 80, 948000, 9.200, 1138, 2.450, 40, 43, 30, 21, 20, 25, 0, 0, 3186, 1397, 484, 1440, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9156, 14744, 'Siege Golem', '', 'siege_golem', 60.00, 140.00, 79, 'male', 'L2Pet', 'npc', 80, 948000, 9.200, 1138, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 3216, 1397, 484, 1440, 165, 0, 150, 0, 0, 0, 40, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9157, 14745, 'Siege Golem', '', 'siege_golem', 60.00, 140.00, 79, 'male', 'L2Pet', 'npc', 80, 948000, 9.200, 1138, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 3246, 1397, 484, 1440, 165, 0, 150, 0, 0, 0, 40, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9158, 14746, 'Siege Golem', '', 'siege_golem', 60.00, 140.00, 80, 'male', 'L2Pet', 'npc', 80, 948000, 9.200, 1138, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 3276, 1397, 484, 1440, 165, 0, 150, 0, 0, 0, 40, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9159, 14747, 'Siege Golem', '', 'siege_golem', 60.00, 140.00, 80, 'male', 'L2Pet', 'npc', 80, 948000, 9.300, 1138, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 3326, 1406, 490, 1449, 165, 0, 150, 0, 0, 0, 40, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9160, 14748, 'Siege Golem', '', 'siege_golem', 60.00, 140.00, 80, 'male', 'L2Pet', 'npc', 80, 948000, 9.300, 1138, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 3356, 1406, 490, 1449, 165, 0, 150, 0, 0, 0, 40, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9161, 14749, 'Siege Golem', '', 'siege_golem', 60.00, 140.00, 80, 'male', 'L2Pet', 'npc', 80, 948000, 9.300, 1138, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 3386, 1406, 490, 1449, 165, 0, 150, 0, 0, 0, 40, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9162, 14750, 'Siege Golem', '', 'siege_golem', 60.00, 140.00, 81, 'male', 'L2Pet', 'npc', 80, 948000, 9.300, 1138, 2.450, 40, 43, 30, 21, 20, 25, 0, 0, 3417, 1406, 490, 1449, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9163, 14751, 'Siege Golem', '', 'siege_golem', 60.00, 140.00, 81, 'male', 'L2Pet', 'npc', 80, 948000, 9.300, 1138, 2.450, 40, 43, 30, 21, 20, 25, 0, 0, 3447, 1406, 490, 1449, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9164, 14752, 'Siege Golem', '', 'siege_golem', 60.00, 140.00, 81, 'male', 'L2Pet', 'npc', 80, 948000, 9.300, 1138, 2.450, 40, 43, 30, 21, 20, 25, 0, 0, 3477, 1406, 490, 1449, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9165, 14753, 'Siege Golem', '', 'siege_golem', 60.00, 140.00, 81, 'male', 'L2Pet', 'npc', 80, 948000, 9.300, 1138, 2.450, 40, 43, 30, 21, 20, 25, 0, 0, 3507, 1406, 490, 1449, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9166, 14754, 'Siege Golem', '', 'siege_golem', 60.00, 140.00, 82, 'male', 'L2Pet', 'npc', 80, 948000, 9.300, 1138, 2.450, 40, 43, 30, 21, 20, 25, 0, 0, 3538, 1406, 490, 1449, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9167, 14755, 'Siege Golem', '', 'siege_golem', 60.00, 140.00, 82, 'male', 'L2Pet', 'npc', 80, 948000, 9.300, 1138, 2.450, 40, 43, 30, 21, 20, 25, 0, 0, 3568, 1406, 490, 1449, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9168, 14756, 'Siege Golem', '', 'siege_golem', 60.00, 140.00, 82, 'male', 'L2Pet', 'npc', 80, 948000, 9.400, 1138, 2.450, 40, 43, 30, 21, 20, 25, 0, 0, 3619, 1414, 496, 1457, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9169, 14757, 'Siege Golem', '', 'siege_golem', 60.00, 140.00, 82, 'male', 'L2Pet', 'npc', 80, 948000, 9.400, 1138, 2.450, 40, 43, 30, 21, 20, 25, 0, 0, 3650, 1414, 496, 1457, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9170, 14758, 'Siege Golem', '', 'siege_golem', 60.00, 140.00, 83, 'male', 'L2Pet', 'npc', 80, 948000, 9.400, 1138, 2.450, 40, 43, 30, 21, 20, 25, 0, 0, 3680, 1414, 496, 1457, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9171, 14759, 'Siege Golem', '', 'siege_golem', 60.00, 140.00, 83, 'male', 'L2Pet', 'npc', 80, 948000, 9.400, 1138, 2.450, 40, 43, 30, 21, 20, 25, 0, 0, 3711, 1414, 496, 1457, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9172, 14760, 'Siege Golem', '', 'siege_golem', 60.00, 140.00, 83, 'male', 'L2Pet', 'npc', 80, 948000, 9.400, 1138, 2.450, 40, 43, 30, 21, 20, 25, 0, 0, 3741, 1414, 496, 1457, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9173, 14761, 'Siege Golem', '', 'siege_golem', 60.00, 140.00, 83, 'male', 'L2Pet', 'npc', 80, 948000, 9.400, 1138, 2.450, 40, 43, 30, 21, 20, 25, 0, 0, 3772, 1414, 496, 1457, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9174, 14762, 'Siege Golem', '', 'siege_golem', 60.00, 140.00, 84, 'male', 'L2Pet', 'npc', 80, 948000, 9.400, 1138, 2.450, 40, 43, 30, 21, 20, 25, 0, 0, 3802, 1414, 496, 1457, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9175, 14763, 'Siege Golem', '', 'siege_golem', 60.00, 140.00, 84, 'male', 'L2Pet', 'npc', 80, 948000, 9.400, 1138, 2.450, 40, 43, 30, 21, 20, 25, 0, 0, 3832, 1414, 496, 1457, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9176, 14764, 'Siege Golem', '', 'siege_golem', 60.00, 140.00, 84, 'male', 'L2Pet', 'npc', 80, 948000, 9.400, 1138, 2.450, 40, 43, 30, 21, 20, 25, 0, 0, 3863, 1414, 496, 1457, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9177, 14765, 'Siege Golem', '', 'siege_golem', 60.00, 140.00, 85, 'male', 'L2Pet', 'npc', 80, 948000, 9.400, 1138, 2.450, 40, 43, 30, 21, 20, 25, 0, 0, 3893, 1414, 496, 1457, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9178, 14766, 'Siege Golem', '', 'siege_golem', 60.00, 140.00, 85, 'male', 'L2Pet', 'npc', 80, 948000, 9.400, 1138, 2.450, 40, 43, 30, 21, 20, 25, 0, 0, 3924, 1414, 496, 1457, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9179, 14767, 'Siege Golem', '', 'siege_golem', 60.00, 140.00, 85, 'male', 'L2Pet', 'npc', 80, 948000, 9.400, 1138, 2.450, 40, 43, 30, 21, 20, 25, 0, 0, 3954, 1414, 496, 1457, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9180, 14768, 'Wild Hog Cannon', '', 'range_golem', 93.00, 90.00, 60, 'male', 'L2Pet', 'npc', 40, 3153, 7.400, 1327, 5.000, 40, 43, 30, 21, 20, 25, 0, 0, 886, 709, 477, 730, 278, 0, 333, 0, 0, 0, 10, 11, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9181, 14769, 'Wild Hog Cannon', '', 'range_golem', 93.00, 90.00, 78, 'male', 'L2Pet', 'npc', 40, 3173, 9.200, 1327, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 1012, 794, 601, 818, 278, 0, 253, 0, 0, 0, 10, 11, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9182, 14770, 'Wild Hog Cannon', '', 'range_golem', 93.00, 90.00, 78, 'male', 'L2Pet', 'npc', 40, 3173, 9.200, 1327, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 1022, 794, 601, 818, 278, 0, 253, 0, 0, 0, 10, 11, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9183, 14771, 'Wild Hog Cannon', '', 'range_golem', 93.00, 90.00, 78, 'male', 'L2Pet', 'npc', 40, 3173, 9.200, 1327, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 1032, 794, 601, 818, 278, 0, 253, 0, 0, 0, 10, 11, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9184, 14772, 'Wild Hog Cannon', '', 'range_golem', 93.00, 90.00, 78, 'male', 'L2Pet', 'npc', 40, 3173, 9.200, 1327, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 1042, 794, 601, 818, 278, 0, 253, 0, 0, 0, 10, 11, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9185, 14773, 'Wild Hog Cannon', '', 'range_golem', 93.00, 90.00, 79, 'male', 'L2Pet', 'npc', 40, 3173, 9.200, 1327, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 1052, 794, 601, 818, 278, 0, 253, 0, 0, 0, 10, 11, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9186, 14774, 'Wild Hog Cannon', '', 'range_golem', 93.00, 90.00, 79, 'male', 'L2Pet', 'npc', 40, 3173, 9.200, 1327, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 1062, 794, 601, 818, 278, 0, 253, 0, 0, 0, 10, 11, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9187, 14775, 'Wild Hog Cannon', '', 'range_golem', 93.00, 90.00, 79, 'male', 'L2Pet', 'npc', 40, 3173, 9.200, 1327, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 1072, 794, 601, 818, 278, 0, 253, 0, 0, 0, 10, 11, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9188, 14776, 'Wild Hog Cannon', '', 'range_golem', 93.00, 90.00, 79, 'male', 'L2Pet', 'npc', 40, 3173, 9.200, 1327, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 1082, 794, 601, 818, 278, 0, 253, 0, 0, 0, 10, 11, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9189, 14777, 'Wild Hog Cannon', '', 'range_golem', 93.00, 90.00, 80, 'male', 'L2Pet', 'npc', 40, 3173, 9.200, 1327, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 1092, 794, 601, 818, 278, 0, 253, 0, 0, 0, 10, 11, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9190, 14778, 'Wild Hog Cannon', '', 'range_golem', 93.00, 90.00, 80, 'male', 'L2Pet', 'npc', 40, 3173, 9.300, 1327, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 1108, 799, 608, 823, 278, 0, 253, 0, 0, 0, 10, 11, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9191, 14779, 'Wild Hog Cannon', '', 'range_golem', 93.00, 90.00, 80, 'male', 'L2Pet', 'npc', 40, 3173, 9.300, 1327, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 1118, 799, 608, 823, 278, 0, 253, 0, 0, 0, 10, 11, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9192, 14780, 'Wild Hog Cannon', '', 'range_golem', 93.00, 90.00, 80, 'male', 'L2Pet', 'npc', 40, 3173, 9.300, 1327, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 1128, 799, 608, 823, 278, 0, 253, 0, 0, 0, 10, 11, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9193, 14781, 'Wild Hog Cannon', '', 'range_golem', 93.00, 90.00, 81, 'male', 'L2Pet', 'npc', 40, 3173, 9.300, 1327, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 1139, 799, 608, 823, 278, 0, 253, 0, 0, 0, 10, 11, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9194, 14782, 'Wild Hog Cannon', '', 'range_golem', 93.00, 90.00, 81, 'male', 'L2Pet', 'npc', 40, 3173, 9.300, 1327, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 1149, 799, 608, 823, 278, 0, 253, 0, 0, 0, 10, 11, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9195, 14783, 'Wild Hog Cannon', '', 'range_golem', 93.00, 90.00, 81, 'male', 'L2Pet', 'npc', 40, 3173, 9.300, 1327, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 1159, 799, 608, 823, 278, 0, 253, 0, 0, 0, 10, 11, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9196, 14784, 'Wild Hog Cannon', '', 'range_golem', 93.00, 90.00, 81, 'male', 'L2Pet', 'npc', 40, 3173, 9.300, 1327, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 1169, 799, 608, 823, 278, 0, 253, 0, 0, 0, 10, 11, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9197, 14785, 'Wild Hog Cannon', '', 'range_golem', 93.00, 90.00, 82, 'male', 'L2Pet', 'npc', 40, 3173, 9.300, 1327, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 1179, 799, 608, 823, 278, 0, 253, 0, 0, 0, 10, 11, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9198, 14786, 'Wild Hog Cannon', '', 'range_golem', 93.00, 90.00, 82, 'male', 'L2Pet', 'npc', 40, 3173, 9.300, 1327, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 1189, 799, 608, 823, 278, 0, 253, 0, 0, 0, 10, 11, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9199, 14787, 'Wild Hog Cannon', '', 'range_golem', 93.00, 90.00, 82, 'male', 'L2Pet', 'npc', 40, 3173, 9.400, 1327, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 1206, 804, 615, 828, 278, 0, 253, 0, 0, 0, 10, 11, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9200, 14788, 'Wild Hog Cannon', '', 'range_golem', 93.00, 90.00, 82, 'male', 'L2Pet', 'npc', 40, 3173, 9.400, 1327, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 1216, 804, 615, 828, 278, 0, 253, 0, 0, 0, 10, 11, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9201, 14789, 'Wild Hog Cannon', '', 'range_golem', 93.00, 90.00, 83, 'male', 'L2Pet', 'npc', 40, 3173, 9.400, 1327, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 1226, 804, 615, 828, 278, 0, 253, 0, 0, 0, 10, 11, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9202, 14790, 'Wild Hog Cannon', '', 'range_golem', 93.00, 90.00, 83, 'male', 'L2Pet', 'npc', 40, 3173, 9.400, 1327, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 1237, 804, 615, 828, 278, 0, 253, 0, 0, 0, 10, 11, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9203, 14791, 'Wild Hog Cannon', '', 'range_golem', 93.00, 90.00, 83, 'male', 'L2Pet', 'npc', 40, 3173, 9.400, 1327, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 1247, 804, 615, 828, 278, 0, 253, 0, 0, 0, 10, 11, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9204, 14792, 'Wild Hog Cannon', '', 'range_golem', 93.00, 90.00, 83, 'male', 'L2Pet', 'npc', 40, 3173, 9.400, 1327, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 1257, 804, 615, 828, 278, 0, 253, 0, 0, 0, 10, 11, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9205, 14793, 'Wild Hog Cannon', '', 'range_golem', 93.00, 90.00, 84, 'male', 'L2Pet', 'npc', 40, 3173, 9.400, 1327, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 1267, 804, 615, 828, 278, 0, 253, 0, 0, 0, 10, 11, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9206, 14794, 'Wild Hog Cannon', '', 'range_golem', 93.00, 90.00, 84, 'male', 'L2Pet', 'npc', 40, 3173, 9.400, 1327, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 1277, 804, 615, 828, 278, 0, 253, 0, 0, 0, 10, 11, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9207, 14795, 'Wild Hog Cannon', '', 'range_golem', 93.00, 90.00, 84, 'male', 'L2Pet', 'npc', 40, 3173, 9.400, 1327, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 1287, 804, 615, 828, 278, 0, 253, 0, 0, 0, 10, 11, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9208, 14796, 'Wild Hog Cannon', '', 'range_golem', 93.00, 90.00, 85, 'male', 'L2Pet', 'npc', 40, 3173, 9.400, 1327, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 1297, 804, 615, 828, 278, 0, 253, 0, 0, 0, 10, 11, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9209, 14797, 'Wild Hog Cannon', '', 'range_golem', 93.00, 90.00, 85, 'male', 'L2Pet', 'npc', 40, 3173, 9.400, 1327, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 1308, 804, 615, 828, 278, 0, 253, 0, 0, 0, 10, 11, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9210, 14798, 'Wild Hog Cannon', '', 'range_golem', 93.00, 90.00, 85, 'male', 'L2Pet', 'npc', 40, 3173, 9.400, 1327, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 1318, 804, 615, 828, 278, 0, 253, 0, 0, 0, 10, 11, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9211, 14799, 'Dark Panther', '', 'dark_fencer', 7.00, 13.00, 42, 'male', 'L2Pet', 'npc', 40, 1837, 5.600, 679, 3.800, 40, 43, 30, 21, 20, 25, 0, 0, 311, 214, 152, 201, 278, 0, 333, 0, 0, 0, 25, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9212, 14800, 'Dark Panther', '', 'dark_fencer', 7.00, 13.00, 51, 'male', 'L2Pet', 'npc', 40, 2571, 6.500, 993, 4.700, 40, 43, 30, 21, 20, 25, 0, 0, 539, 285, 281, 267, 278, 0, 333, 0, 0, 0, 25, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9213, 14801, 'Dark Panther', '', 'dark_fencer', 7.00, 13.00, 60, 'male', 'L2Pet', 'npc', 40, 3381, 7.400, 1327, 5.000, 40, 43, 30, 21, 20, 25, 0, 0, 860, 368, 477, 345, 278, 0, 333, 0, 0, 0, 25, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9214, 14802, 'Dark Panther', '', 'dark_fencer', 7.00, 13.00, 64, 'male', 'L2Pet', 'npc', 40, 3746, 7.800, 1482, 5.800, 40, 43, 30, 21, 20, 25, 0, 0, 1031, 408, 588, 381, 278, 0, 333, 0, 0, 0, 25, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9215, 14803, 'Dark Panther', '', 'dark_fencer', 7.00, 13.00, 68, 'male', 'L2Pet', 'npc', 40, 4102, 8.200, 1641, 5.900, 40, 43, 30, 21, 20, 25, 0, 0, 1217, 449, 713, 420, 278, 0, 333, 0, 0, 0, 25, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9216, 14804, 'Dark Panther', '', 'dark_fencer', 7.00, 13.00, 72, 'male', 'L2Pet', 'npc', 40, 4442, 8.600, 1804, 6.800, 40, 43, 30, 21, 20, 25, 0, 0, 1412, 491, 848, 459, 278, 0, 333, 0, 0, 0, 25, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9217, 14805, 'Dark Panther', '', 'dark_fencer', 7.00, 13.00, 76, 'male', 'L2Pet', 'npc', 40, 4757, 9.000, 1972, 6.900, 40, 43, 30, 21, 20, 25, 0, 0, 1613, 532, 993, 498, 278, 0, 333, 0, 0, 0, 25, 165, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9218, 14806, 'Dark Panther', '', 'dark_fencer', 7.00, 13.00, 78, 'male', 'L2Pet', 'npc', 40, 5025, 9.200, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1723, 555, 1069, 520, 278, 0, 333, 0, 0, 0, 27, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9219, 14807, 'Dark Panther', '', 'dark_fencer', 7.00, 13.00, 78, 'male', 'L2Pet', 'npc', 40, 5025, 9.200, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1732, 555, 1069, 520, 278, 0, 333, 0, 0, 0, 27, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9220, 14808, 'Dark Panther', '', 'dark_fencer', 7.00, 13.00, 78, 'male', 'L2Pet', 'npc', 40, 5025, 9.200, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1740, 555, 1069, 520, 278, 0, 333, 0, 0, 0, 27, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9221, 14809, 'Dark Panther', '', 'dark_fencer', 7.00, 13.00, 78, 'male', 'L2Pet', 'npc', 40, 5025, 9.200, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1749, 555, 1069, 520, 278, 0, 333, 0, 0, 0, 27, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9222, 14810, 'Dark Panther', '', 'dark_fencer', 7.00, 13.00, 79, 'male', 'L2Pet', 'npc', 40, 5025, 9.200, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1757, 555, 1069, 520, 278, 0, 333, 0, 0, 0, 27, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9223, 14811, 'Dark Panther', '', 'dark_fencer', 7.00, 13.00, 79, 'male', 'L2Pet', 'npc', 40, 5025, 9.200, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1766, 555, 1069, 520, 370, 0, 333, 0, 0, 0, 27, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9224, 14812, 'Dark Panther', '', 'dark_fencer', 7.00, 13.00, 79, 'male', 'L2Pet', 'npc', 40, 5025, 9.200, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1775, 555, 1069, 520, 278, 0, 333, 0, 0, 0, 27, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9225, 14813, 'Dark Panther', '', 'dark_fencer', 7.00, 13.00, 79, 'male', 'L2Pet', 'npc', 40, 5025, 9.200, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1783, 555, 1069, 520, 278, 0, 333, 0, 0, 0, 27, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9226, 14814, 'Dark Panther', '', 'dark_fencer', 7.00, 13.00, 80, 'male', 'L2Pet', 'npc', 40, 5025, 9.200, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1792, 555, 1069, 520, 278, 0, 333, 0, 0, 0, 27, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9227, 14815, 'Dark Panther', '', 'dark_fencer', 7.00, 13.00, 80, 'male', 'L2Pet', 'npc', 40, 5025, 9.300, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1811, 558, 1082, 523, 278, 0, 333, 0, 0, 0, 27, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9228, 14816, 'Dark Panther', '', 'dark_fencer', 7.00, 13.00, 80, 'male', 'L2Pet', 'npc', 40, 5025, 9.300, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1820, 558, 1082, 523, 278, 0, 333, 0, 0, 0, 27, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9229, 14817, 'Dark Panther', '', 'dark_fencer', 7.00, 13.00, 80, 'male', 'L2Pet', 'npc', 40, 5025, 9.300, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1828, 558, 1082, 523, 278, 0, 333, 0, 0, 0, 27, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9230, 14818, 'Dark Panther', '', 'dark_fencer', 7.00, 13.00, 81, 'male', 'L2Pet', 'npc', 40, 5025, 9.300, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1837, 558, 1082, 523, 278, 0, 333, 0, 0, 0, 27, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9231, 14819, 'Dark Panther', '', 'dark_fencer', 7.00, 13.00, 81, 'male', 'L2Pet', 'npc', 40, 5025, 9.300, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1846, 558, 1082, 523, 278, 0, 333, 0, 0, 0, 27, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9232, 14820, 'Dark Panther', '', 'dark_fencer', 7.00, 13.00, 81, 'male', 'L2Pet', 'npc', 40, 5025, 9.300, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1854, 558, 1082, 523, 278, 0, 333, 0, 0, 0, 27, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9233, 14821, 'Dark Panther', '', 'dark_fencer', 7.00, 13.00, 81, 'male', 'L2Pet', 'npc', 40, 5025, 9.300, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1863, 558, 1082, 523, 278, 0, 333, 0, 0, 0, 27, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9234, 14822, 'Dark Panther', '', 'dark_fencer', 7.00, 13.00, 82, 'male', 'L2Pet', 'npc', 40, 5025, 9.300, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1871, 558, 1082, 523, 278, 0, 333, 0, 0, 0, 27, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9235, 14823, 'Dark Panther', '', 'dark_fencer', 7.00, 13.00, 82, 'male', 'L2Pet', 'npc', 40, 5025, 9.300, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1880, 558, 1082, 523, 278, 0, 333, 0, 0, 0, 27, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9236, 14824, 'Dark Panther', '', 'dark_fencer', 7.00, 13.00, 82, 'male', 'L2Pet', 'npc', 40, 5025, 9.400, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1900, 562, 1095, 526, 278, 0, 333, 0, 0, 0, 27, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9237, 14825, 'Dark Panther', '', 'dark_fencer', 7.00, 13.00, 82, 'male', 'L2Pet', 'npc', 40, 5025, 9.400, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1909, 562, 1095, 526, 278, 0, 333, 0, 0, 0, 27, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9238, 14826, 'Dark Panther', '', 'dark_fencer', 7.00, 13.00, 83, 'male', 'L2Pet', 'npc', 40, 5025, 9.400, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1917, 562, 1095, 526, 278, 0, 333, 0, 0, 0, 27, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9239, 14827, 'Dark Panther', '', 'dark_fencer', 7.00, 13.00, 83, 'male', 'L2Pet', 'npc', 40, 5025, 9.400, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1926, 562, 1095, 526, 278, 0, 333, 0, 0, 0, 27, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9240, 14828, 'Dark Panther', '', 'dark_fencer', 7.00, 13.00, 83, 'male', 'L2Pet', 'npc', 40, 5025, 9.400, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1935, 562, 1095, 526, 278, 0, 333, 0, 0, 0, 27, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9241, 14829, 'Dark Panther', '', 'dark_fencer', 7.00, 13.00, 83, 'male', 'L2Pet', 'npc', 40, 5025, 9.400, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1943, 562, 1095, 526, 278, 0, 333, 0, 0, 0, 27, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9242, 14830, 'Dark Panther', '', 'dark_fencer', 7.00, 13.00, 84, 'male', 'L2Pet', 'npc', 40, 5025, 9.400, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1952, 562, 1095, 526, 278, 0, 333, 0, 0, 0, 27, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9243, 14831, 'Dark Panther', '', 'dark_fencer', 7.00, 13.00, 84, 'male', 'L2Pet', 'npc', 40, 5025, 9.400, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1961, 562, 1095, 526, 278, 0, 333, 0, 0, 0, 27, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9244, 14832, 'Dark Panther', '', 'dark_fencer', 7.00, 13.00, 84, 'male', 'L2Pet', 'npc', 40, 5025, 9.400, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1969, 562, 1095, 526, 278, 0, 333, 0, 0, 0, 27, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9245, 14833, 'Dark Panther', '', 'dark_fencer', 7.00, 13.00, 85, 'male', 'L2Pet', 'npc', 40, 5025, 9.400, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1978, 562, 1095, 526, 278, 0, 333, 0, 0, 0, 27, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9246, 14834, 'Dark Panther', '', 'dark_fencer', 7.00, 13.00, 85, 'male', 'L2Pet', 'npc', 40, 5025, 9.400, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1987, 562, 1095, 526, 278, 0, 333, 0, 0, 0, 27, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9247, 14835, 'Dark Panther', '', 'dark_fencer', 7.00, 13.00, 85, 'male', 'L2Pet', 'npc', 40, 5025, 9.400, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 1995, 562, 1095, 526, 278, 0, 333, 0, 0, 0, 27, 165, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9248, 14836, 'Feline King', '', 'king_of_cat', 6.00, 16.01, 80, 'male', 'L2Pet', 'npc', 40, 6053, 9.400, 2143, 7.100, 40, 43, 30, 21, 20, 25, 0, 0, 2646, 633, 1671, 593, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9249, 14837, 'Magnus the Unicorn', '', 'unicorn_magnus', 13.50, 17.00, 80, 'male', 'L2Pet', 'npc', 40, 6053, 9.400, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2646, 633, 1671, 593, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9250, 14838, 'Spectral Lord', '', 'spectral_knight', 12.50, 33.50, 80, 'male', 'L2Pet', 'npc', 40, 6053, 9.400, 2143, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2646, 633, 1671, 593, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9251, 14839, 'Swoop Cannon', '', 'toad_cannon', 45.00, 47.50, 68, 'male', 'L2Pet', 'npc', 80, 790000, 8.200, 1138, 5.900, 40, 43, 30, 21, 20, 25, 0, 0, 22, 1314, 428, 1354, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9252, 14840, 'Swoop Cannon', '', 'toad_cannon', 45.00, 47.50, 78, 'male', 'L2Pet', 'npc', 80, 790000, 8.300, 1138, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 122, 1314, 428, 1354, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9253, 14841, 'Swoop Cannon', '', 'toad_cannon', 45.00, 47.50, 78, 'male', 'L2Pet', 'npc', 80, 790000, 8.400, 1138, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 122, 1314, 428, 1354, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9254, 14842, 'Swoop Cannon', '', 'toad_cannon', 45.00, 47.50, 78, 'male', 'L2Pet', 'npc', 80, 790000, 8.500, 1138, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 122, 1314, 428, 1354, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9255, 14843, 'Swoop Cannon', '', 'toad_cannon', 45.00, 47.50, 78, 'male', 'L2Pet', 'npc', 80, 790000, 8.600, 1138, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 122, 1314, 428, 1354, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9256, 14844, 'Swoop Cannon', '', 'toad_cannon', 45.00, 47.50, 79, 'male', 'L2Pet', 'npc', 80, 790000, 8.700, 1138, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 122, 1314, 428, 1354, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9257, 14845, 'Swoop Cannon', '', 'toad_cannon', 45.00, 47.50, 79, 'male', 'L2Pet', 'npc', 80, 790000, 8.800, 1138, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 122, 1314, 428, 1354, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9258, 14846, 'Swoop Cannon', '', 'toad_cannon', 45.00, 47.50, 79, 'male', 'L2Pet', 'npc', 80, 790000, 8.900, 1138, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 122, 1314, 428, 1354, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9259, 14847, 'Swoop Cannon', '', 'toad_cannon', 45.00, 47.50, 79, 'male', 'L2Pet', 'npc', 80, 790000, 9.000, 1138, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 122, 1314, 428, 1354, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9260, 14848, 'Swoop Cannon', '', 'toad_cannon', 45.00, 47.50, 80, 'male', 'L2Pet', 'npc', 80, 790000, 9.100, 1138, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 122, 1314, 428, 1354, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9261, 14849, 'Swoop Cannon', '', 'toad_cannon', 45.00, 47.50, 80, 'male', 'L2Pet', 'npc', 80, 790000, 9.200, 1138, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 122, 1314, 428, 1354, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9262, 14850, 'Swoop Cannon', '', 'toad_cannon', 45.00, 47.50, 80, 'male', 'L2Pet', 'npc', 80, 790000, 9.300, 1138, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 122, 1314, 428, 1354, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9263, 14851, 'Swoop Cannon', '', 'toad_cannon', 45.00, 47.50, 80, 'male', 'L2Pet', 'npc', 80, 790000, 9.400, 1138, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 122, 1314, 428, 1354, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9264, 14852, 'Swoop Cannon', '', 'toad_cannon', 45.00, 47.50, 81, 'male', 'L2Pet', 'npc', 80, 790000, 9.500, 1138, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 122, 1314, 428, 1354, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9265, 14853, 'Swoop Cannon', '', 'toad_cannon', 45.00, 47.50, 81, 'male', 'L2Pet', 'npc', 80, 790000, 9.600, 1138, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 122, 1314, 428, 1354, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9266, 14854, 'Swoop Cannon', '', 'toad_cannon', 45.00, 47.50, 81, 'male', 'L2Pet', 'npc', 80, 790000, 9.700, 1138, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 122, 1314, 428, 1354, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9267, 14855, 'Swoop Cannon', '', 'toad_cannon', 45.00, 47.50, 81, 'male', 'L2Pet', 'npc', 80, 790000, 9.800, 1138, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 122, 1314, 428, 1354, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9268, 14856, 'Swoop Cannon', '', 'toad_cannon', 45.00, 47.50, 82, 'male', 'L2Pet', 'npc', 80, 790000, 9.900, 1138, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 122, 1314, 428, 1354, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9269, 14857, 'Swoop Cannon', '', 'toad_cannon', 45.00, 47.50, 82, 'male', 'L2Pet', 'npc', 80, 790000, 10.000, 1138, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 122, 1314, 428, 1354, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9270, 14858, 'Swoop Cannon', '', 'toad_cannon', 45.00, 47.50, 82, 'male', 'L2Pet', 'npc', 80, 790000, 10.100, 1138, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 122, 1314, 428, 1354, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9271, 14859, 'Swoop Cannon', '', 'toad_cannon', 45.00, 47.50, 82, 'male', 'L2Pet', 'npc', 80, 790000, 10.200, 1138, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 122, 1314, 428, 1354, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9272, 14860, 'Swoop Cannon', '', 'toad_cannon', 45.00, 47.50, 83, 'male', 'L2Pet', 'npc', 80, 790000, 10.300, 1138, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 122, 1314, 428, 1354, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9273, 14861, 'Swoop Cannon', '', 'toad_cannon', 45.00, 47.50, 83, 'male', 'L2Pet', 'npc', 80, 790000, 10.400, 1138, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 122, 1314, 428, 1354, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9274, 14862, 'Swoop Cannon', '', 'toad_cannon', 45.00, 47.50, 83, 'male', 'L2Pet', 'npc', 80, 790000, 10.500, 1138, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 122, 1314, 428, 1354, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9275, 14863, 'Swoop Cannon', '', 'toad_cannon', 45.00, 47.50, 83, 'male', 'L2Pet', 'npc', 80, 790000, 10.600, 1138, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 122, 1314, 428, 1354, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9276, 14864, 'Swoop Cannon', '', 'toad_cannon', 45.00, 47.50, 84, 'male', 'L2Pet', 'npc', 80, 790000, 10.700, 1138, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 122, 1314, 428, 1354, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9277, 14865, 'Swoop Cannon', '', 'toad_cannon', 45.00, 47.50, 84, 'male', 'L2Pet', 'npc', 80, 790000, 10.800, 1138, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 122, 1314, 428, 1354, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9278, 14866, 'Swoop Cannon', '', 'toad_cannon', 45.00, 47.50, 84, 'male', 'L2Pet', 'npc', 80, 790000, 10.900, 1138, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 122, 1314, 428, 1354, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9279, 14867, 'Swoop Cannon', '', 'toad_cannon', 45.00, 47.50, 85, 'male', 'L2Pet', 'npc', 80, 790000, 11.000, 1138, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 122, 1314, 428, 1354, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9280, 14868, 'Swoop Cannon', '', 'toad_cannon', 45.00, 47.50, 85, 'male', 'L2Pet', 'npc', 80, 790000, 11.100, 1138, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 122, 1314, 428, 1354, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9281, 14869, 'Swoop Cannon', '', 'toad_cannon', 45.00, 47.50, 85, 'male', 'L2Pet', 'npc', 80, 790000, 11.200, 1138, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 122, 1314, 428, 1354, 165, 0, 333, 0, 0, 0, 44, 44, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.69, 'false', 'NONE', 0, 0),
	(9282, 14870, 'Divine Beast', '', 'Divine_beast', 31.00, 15.50, 80, 'male', 'L2Pet', 'npc', 40, 4550, 9.400, 2143, 8.200, 40, 43, 30, 21, 20, 25, 0, 0, 1813, 576, 1144, 538, 278, 0, 333, 0, 0, 0, 60, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9283, 14871, 'Feline King', '', 'king_of_cat', 6.00, 16.01, 81, 'male', 'L2Pet', 'npc', 40, 6120, 9.400, 2174, 7.100, 40, 43, 30, 21, 20, 25, 0, 0, 2705, 641, 1724, 600, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9284, 14872, 'Feline King', '', 'king_of_cat', 6.00, 16.01, 81, 'male', 'L2Pet', 'npc', 40, 6187, 9.400, 2205, 7.100, 40, 43, 30, 21, 20, 25, 0, 0, 2765, 649, 1778, 607, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9285, 14873, 'Feline King', '', 'king_of_cat', 6.00, 16.01, 81, 'male', 'L2Pet', 'npc', 40, 6255, 9.500, 2237, 7.100, 40, 43, 30, 21, 20, 25, 0, 0, 2827, 657, 1833, 614, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9286, 14874, 'Feline King', '', 'king_of_cat', 6.00, 16.01, 82, 'male', 'L2Pet', 'npc', 40, 6324, 9.500, 2269, 7.100, 40, 43, 30, 21, 20, 25, 0, 0, 2890, 665, 1890, 621, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9287, 14875, 'Feline King', '', 'king_of_cat', 6.00, 16.01, 82, 'male', 'L2Pet', 'npc', 40, 6394, 9.500, 2302, 7.100, 40, 43, 30, 21, 20, 25, 0, 0, 2955, 673, 1948, 628, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9288, 14876, 'Feline King', '', 'king_of_cat', 6.00, 16.01, 82, 'male', 'L2Pet', 'npc', 40, 6464, 9.600, 2335, 7.100, 40, 43, 30, 21, 20, 25, 0, 0, 3021, 681, 2008, 636, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9289, 14877, 'Feline King', '', 'king_of_cat', 6.00, 16.01, 83, 'male', 'L2Pet', 'npc', 40, 6535, 9.600, 2369, 7.100, 40, 43, 30, 21, 20, 25, 0, 0, 3089, 689, 2069, 644, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9290, 14878, 'Feline King', '', 'king_of_cat', 6.00, 16.01, 83, 'male', 'L2Pet', 'npc', 40, 6607, 9.600, 2403, 7.100, 40, 43, 30, 21, 20, 25, 0, 0, 3158, 698, 2132, 652, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9291, 14879, 'Feline King', '', 'king_of_cat', 6.00, 16.01, 83, 'male', 'L2Pet', 'npc', 40, 6680, 9.700, 2438, 7.100, 40, 43, 30, 21, 20, 25, 0, 0, 3229, 707, 2197, 660, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9292, 14880, 'Feline King', '', 'king_of_cat', 6.00, 16.01, 84, 'male', 'L2Pet', 'npc', 40, 6754, 9.700, 2473, 7.100, 40, 43, 30, 21, 20, 25, 0, 0, 3301, 716, 2263, 668, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9293, 14881, 'Feline King', '', 'king_of_cat', 6.00, 16.01, 84, 'male', 'L2Pet', 'npc', 40, 6828, 9.700, 2509, 7.100, 40, 43, 30, 21, 20, 25, 0, 0, 3375, 725, 2331, 676, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9294, 14882, 'Feline King', '', 'king_of_cat', 6.00, 16.01, 84, 'male', 'L2Pet', 'npc', 40, 6903, 9.800, 2545, 7.100, 40, 43, 30, 21, 20, 25, 0, 0, 3451, 734, 2401, 684, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9295, 14883, 'Feline King', '', 'king_of_cat', 6.00, 16.01, 85, 'male', 'L2Pet', 'npc', 40, 6979, 9.800, 2582, 7.100, 40, 43, 30, 21, 20, 25, 0, 0, 3528, 743, 2473, 692, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9296, 14884, 'Feline King', '', 'king_of_cat', 6.00, 16.01, 85, 'male', 'L2Pet', 'npc', 40, 7056, 9.800, 2619, 7.100, 40, 43, 30, 21, 20, 25, 0, 0, 3607, 752, 2547, 700, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9297, 14885, 'Feline King', '', 'king_of_cat', 6.00, 16.01, 85, 'male', 'L2Pet', 'npc', 40, 7134, 9.900, 2657, 7.100, 40, 43, 30, 21, 20, 25, 0, 0, 3688, 761, 2623, 708, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9298, 14886, 'Magnus the Unicorn', '', 'unicorn_magnus', 13.50, 17.00, 81, 'male', 'L2Pet', 'npc', 40, 6120, 9.400, 2174, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2705, 641, 1724, 600, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9299, 14887, 'Magnus the Unicorn', '', 'unicorn_magnus', 13.50, 17.00, 81, 'male', 'L2Pet', 'npc', 40, 6187, 9.400, 2205, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2765, 649, 1778, 607, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9300, 14888, 'Magnus the Unicorn', '', 'unicorn_magnus', 13.50, 17.00, 81, 'male', 'L2Pet', 'npc', 40, 6255, 9.500, 2237, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2827, 657, 1833, 614, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9301, 14889, 'Magnus the Unicorn', '', 'unicorn_magnus', 13.50, 17.00, 82, 'male', 'L2Pet', 'npc', 40, 6324, 9.500, 2269, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2890, 665, 1890, 621, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9302, 14890, 'Magnus the Unicorn', '', 'unicorn_magnus', 13.50, 17.00, 82, 'male', 'L2Pet', 'npc', 40, 6394, 9.500, 2302, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2955, 673, 1948, 628, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9303, 14891, 'Magnus the Unicorn', '', 'unicorn_magnus', 13.50, 17.00, 82, 'male', 'L2Pet', 'npc', 40, 6464, 9.600, 2335, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3021, 681, 2008, 636, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9304, 14892, 'Magnus the Unicorn', '', 'unicorn_magnus', 13.50, 17.00, 83, 'male', 'L2Pet', 'npc', 40, 6535, 9.600, 2369, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3089, 689, 2069, 644, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9305, 14893, 'Magnus the Unicorn', '', 'unicorn_magnus', 13.50, 17.00, 83, 'male', 'L2Pet', 'npc', 40, 6607, 9.600, 2403, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3158, 698, 2132, 652, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9306, 14894, 'Magnus the Unicorn', '', 'unicorn_magnus', 13.50, 17.00, 83, 'male', 'L2Pet', 'npc', 40, 6680, 9.700, 2438, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3229, 707, 2197, 660, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9307, 14895, 'Magnus the Unicorn', '', 'unicorn_magnus', 13.50, 17.00, 84, 'male', 'L2Pet', 'npc', 40, 6754, 9.700, 2473, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3301, 716, 2263, 668, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9308, 14896, 'Magnus the Unicorn', '', 'unicorn_magnus', 13.50, 17.00, 84, 'male', 'L2Pet', 'npc', 40, 6828, 9.700, 2509, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3375, 725, 2331, 676, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9309, 14897, 'Magnus the Unicorn', '', 'unicorn_magnus', 13.50, 17.00, 84, 'male', 'L2Pet', 'npc', 40, 6903, 9.800, 2545, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3451, 734, 2401, 684, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9310, 14898, 'Magnus the Unicorn', '', 'unicorn_magnus', 13.50, 17.00, 85, 'male', 'L2Pet', 'npc', 40, 6979, 9.800, 2582, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3528, 743, 2473, 692, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9311, 14899, 'Magnus the Unicorn', '', 'unicorn_magnus', 13.50, 17.00, 85, 'male', 'L2Pet', 'npc', 40, 7056, 9.800, 2619, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3607, 752, 2547, 700, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9312, 14900, 'Magnus the Unicorn', '', 'unicorn_magnus', 13.50, 17.00, 85, 'male', 'L2Pet', 'npc', 40, 7134, 9.900, 2657, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3688, 761, 2623, 708, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9313, 14901, 'Spectral Lord', '', 'spectral_knight', 12.50, 33.50, 81, 'male', 'L2Pet', 'npc', 40, 6120, 9.400, 2174, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2705, 641, 1724, 600, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9314, 14902, 'Spectral Lord', '', 'spectral_knight', 12.50, 33.50, 81, 'male', 'L2Pet', 'npc', 40, 6187, 9.400, 2205, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2765, 649, 1778, 607, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9315, 14903, 'Spectral Lord', '', 'spectral_knight', 12.50, 33.50, 81, 'male', 'L2Pet', 'npc', 40, 6255, 9.500, 2237, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2827, 657, 1833, 614, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9316, 14904, 'Spectral Lord', '', 'spectral_knight', 12.50, 33.50, 82, 'male', 'L2Pet', 'npc', 40, 6324, 9.500, 2269, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2890, 665, 1890, 621, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9317, 14905, 'Spectral Lord', '', 'spectral_knight', 12.50, 33.50, 82, 'male', 'L2Pet', 'npc', 40, 6394, 9.500, 2302, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 2955, 673, 1948, 628, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9318, 14906, 'Spectral Lord', '', 'spectral_knight', 12.50, 33.50, 82, 'male', 'L2Pet', 'npc', 40, 6464, 9.600, 2335, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3021, 681, 2008, 636, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9319, 14907, 'Spectral Lord', '', 'spectral_knight', 12.50, 33.50, 83, 'male', 'L2Pet', 'npc', 40, 6535, 9.600, 2369, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3089, 689, 2069, 644, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9320, 14908, 'Spectral Lord', '', 'spectral_knight', 12.50, 33.50, 83, 'male', 'L2Pet', 'npc', 40, 6607, 9.600, 2403, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3158, 698, 2132, 652, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9321, 14909, 'Spectral Lord', '', 'spectral_knight', 12.50, 33.50, 83, 'male', 'L2Pet', 'npc', 40, 6680, 9.700, 2438, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3229, 707, 2197, 660, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9322, 14910, 'Spectral Lord', '', 'spectral_knight', 12.50, 33.50, 84, 'male', 'L2Pet', 'npc', 40, 6754, 9.700, 2473, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3301, 716, 2263, 668, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9323, 14911, 'Spectral Lord', '', 'spectral_knight', 12.50, 33.50, 84, 'male', 'L2Pet', 'npc', 40, 6828, 9.700, 2509, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3375, 725, 2331, 676, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9324, 14912, 'Spectral Lord', '', 'spectral_knight', 12.50, 33.50, 84, 'male', 'L2Pet', 'npc', 40, 6903, 9.800, 2545, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3451, 734, 2401, 684, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9325, 14913, 'Spectral Lord', '', 'spectral_knight', 12.50, 33.50, 85, 'male', 'L2Pet', 'npc', 40, 6979, 9.800, 2582, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3528, 743, 2473, 692, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9326, 14914, 'Spectral Lord', '', 'spectral_knight', 12.50, 33.50, 85, 'male', 'L2Pet', 'npc', 40, 7056, 9.800, 2619, 3.090, 40, 43, 30, 21, 20, 25, 0, 0, 3607, 752, 2547, 700, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9327, 14915, 'Spectral Lord', '', 'spectral_knight', 12.50, 33.50, 85, 'male', 'L2Pet', 'npc', 40, 7134, 9.900, 2657, 7.100, 40, 43, 30, 21, 20, 25, 0, 0, 3688, 761, 2623, 708, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 50, 4, 4, 0, 0, 0.20, 'false', 'NONE', 0, 0),
	(9328, 14916, 'Tigress', '', 'LineageMonster.saber_toothed_tiger_070p', 22.00, 18.40, 61, 'male', 'L2Pet', 'npc', 40, 3137, 1.400, 1184, 0.870, 40, 43, 30, 21, 20, 25, 0, 0, 894, 379, 413, 308, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9329, 14917, 'Tigress', '', 'LineageMonster.saber_toothed_tiger_070p', 22.00, 18.40, 61, 'male', 'L2Pet', 'npc', 40, 3137, 1.400, 1184, 0.870, 40, 43, 30, 21, 20, 25, 0, 0, 894, 379, 413, 308, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9330, 14918, 'Imperial Phoenix', '', 'LineageMonster4.phoenix', 7.00, 34.00, 83, 'female', 'L2Pet', 'npc', 40, 9756, 9.700, 2275, 9.700, 40, 43, 30, 21, 20, 25, 0, 0, 2744, 607, 2125, 687, 278, 0, 333, 0, 0, 0, 52, 198, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9331, 16013, 'Trained Buffalo', '', 'buffalo', 22.00, 31.00, 67, 'male', 'L2TamedBeast', 'Fighter', 40, 3627, 8.100, 1389, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 1169, 439, 681, 357, 253, 0, 500, 0, 0, 0, 20, 170, 'pet_clan', 400, 0, 0, 0, 15, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(9332, 16014, 'Trained Buffalo', '', 'buffalo', 22.00, 31.00, 67, 'male', 'L2TamedBeast', 'Fighter', 40, 3627, 8.100, 1389, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 1169, 439, 681, 357, 253, 0, 500, 0, 0, 0, 20, 170, 'pet_clan', 400, 0, 0, 0, 15, 30, 4, 4, 0, 0, 0.46, 'false', 'NONE', 0, 0),
	(9333, 16015, 'Trained Cougar', '', 'saber_toothed_tiger', 13.00, 28.00, 69, 'male', 'L2TamedBeast', 'Fighter', 40, 3785, 8.300, 1459, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 1265, 460, 746, 374, 253, 0, 500, 0, 0, 0, 60, 175, 'pet_clan', 400, 0, 0, 0, 15, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(9334, 16016, 'Trained Cougar', '', 'saber_toothed_tiger', 12.00, 28.00, 69, 'male', 'L2TamedBeast', 'Fighter', 40, 3785, 8.300, 1459, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 1265, 460, 746, 374, 253, 0, 500, 0, 0, 0, 60, 175, 'pet_clan', 400, 0, 0, 0, 15, 30, 4, 4, 0, 0, 0.45, 'false', 'NONE', 0, 0),
	(9335, 16017, 'Trained Kookaburra', '', 'pet_ostrich', 10.00, 33.00, 65, 'male', 'L2TamedBeast', 'Fighter', 40, 3466, 7.900, 1320, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 1077, 419, 619, 340, 253, 0, 500, 0, 0, 0, 23, 190, 'pet_clan', 400, 0, 0, 0, 15, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(9336, 16018, 'Trained Kookaburra', '', 'pet_ostrich', 10.00, 33.00, 65, 'male', 'L2TamedBeast', 'Fighter', 40, 3466, 7.900, 1320, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 1077, 419, 619, 340, 253, 0, 500, 0, 0, 0, 23, 190, 'pet_clan', 400, 0, 0, 0, 15, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(9337, 16019, 'Tiny Baby Buffalo', '', 'baby_buffalo', 12.00, 15.00, 67, 'male', 'L2Pet', 'npc', 40, 751, 11.300, 331, 1.500, 40, 43, 30, 21, 20, 25, 2146, 200, 88, 119, 37, 112, 282, 0, 257, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 1200, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(9338, 16020, 'Tame Tiny Baby Buffalo', '', 'baby_buffalo', 12.00, 15.00, 67, 'male', 'L2Pet', 'npc', 40, 751, 11.300, 331, 1.500, 40, 43, 30, 21, 20, 25, 2146, 200, 88, 119, 37, 112, 282, 0, 257, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 1200, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(9339, 16021, 'Tiny Baby Cougar', '', 'baby_tiger', 11.00, 15.70, 69, 'male', 'L2Pet', 'npc', 40, 751, 11.300, 331, 1.500, 40, 43, 30, 21, 20, 25, 2276, 218, 88, 119, 37, 112, 282, 0, 257, 0, 0, 0, 28, 120, '', 0, 0, 0, 0, 1200, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(9340, 16022, 'Tame Tiny Baby Cougar', '', 'baby_tiger', 11.00, 15.70, 69, 'male', 'L2Pet', 'npc', 40, 751, 11.300, 331, 1.500, 40, 43, 30, 21, 20, 25, 2276, 218, 88, 119, 37, 112, 282, 0, 257, 0, 0, 0, 28, 120, '', 0, 0, 0, 0, 1200, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(9341, 16023, 'Tiny Baby Kookaburra', '', 'baby_ostrich', 7.00, 15.00, 65, 'male', 'L2Pet', 'npc', 40, 751, 11.300, 331, 1.500, 40, 43, 30, 21, 20, 25, 2020, 183, 88, 119, 37, 112, 282, 0, 257, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 1200, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 1, 0),
	(9342, 16024, 'Tame Tiny Baby Kookaburra', '', 'baby_ostrich', 7.00, 15.00, 65, 'male', 'L2Pet', 'npc', 40, 751, 11.300, 331, 1.500, 40, 43, 30, 21, 20, 25, 2020, 183, 88, 119, 37, 112, 282, 0, 257, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 1200, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(9343, 16025, 'Great Wolf', '', 'Pet_Wolf_B', 32.00, 21.41, 55, 'male', 'L2Pet', 'npc', 40, 3862, 6.900, 1493, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 1335, 470, 780, 382, 304, 0, 333, 9661, 0, 0, 45, 170, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9344, 16026, 'Beastly Agathion', '', 'Agathion_BF', 9.00, 11.30, 55, 'male', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9345, 16027, 'Rainbow Agathion', '', 'Agathion_RA', 11.00, 6.70, 55, 'male', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9346, 16028, 'Lord Agathion', '', 'Agathion_CL', 3.00, 9.50, 55, 'male', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9347, 16029, 'Fortress Agasion', '', 'Agathion_FT', 1.00, 3.50, 55, 'male', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9348, 16030, 'Great Wolf', '', 'LineageMonster4.Pet_Wolf_ba', 32.00, 23.56, 55, 'male', 'L2Pet', 'npc', 40, 3862, 9.400, 1493, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 1335, 470, 780, 382, 278, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9349, 16031, 'Little Angel Agathion', '', 'Agathion_ag', 1.00, 3.50, 55, 'female', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9350, 16032, 'Little Devil Agathion', '', 'Agathion_st', 1.00, 3.50, 55, 'male', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9351, 16033, 'Rudolph Agathion', '', 'Agathion_rd', 1.00, 3.50, 55, 'male', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9352, 16034, 'Improved Baby Buffalo', '', 'LineageMonster2.baby_buffalo', 12.00, 15.00, 55, 'male', 'L2Pet', 'npc', 40, 1521, 6.900, 722, 15.000, 40, 43, 30, 21, 20, 25, 0, 0, 59, 60, 93, 137, 278, 0, 333, 0, 0, 0, 30, 137, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9353, 16035, 'Improved Baby Kookaburra', '', 'LineageMonster2.baby_ostrich', 7.00, 15.00, 55, 'male', 'L2Pet', 'npc', 40, 1521, 6.900, 722, 15.000, 40, 43, 30, 21, 20, 25, 0, 0, 59, 60, 93, 137, 278, 0, 333, 0, 0, 0, 30, 137, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9354, 16036, 'Improved Baby Cougar', '', 'LineageMonster2.baby_tiger', 11.00, 15.70, 55, 'male', 'L2Pet', 'npc', 40, 1521, 6.900, 722, 15.000, 40, 43, 30, 21, 20, 25, 0, 0, 59, 60, 93, 137, 278, 0, 333, 0, 0, 0, 30, 137, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9355, 16037, 'Great Snow Wolf', '', 'LineageMonster4.Pet_Wolf_Ba', 25.00, 23.56, 55, 'male', 'L2Pet', 'npc', 40, 1321, 6.900, 569, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 101, 64, 66, 40, 278, 0, 333, 0, 0, 0, 30, 137, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9356, 16038, 'Red Wind Strider', '', 'LineageMonster.strider', 23.00, 31.00, 55, 'male', 'L2Pet', 'npc', 40, 1321, 6.900, 1138, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 21, 223, 119, 163, 278, 0, 333, 0, 0, 0, 30, 137, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9357, 16039, 'Red Star Strider', '', 'LineageMonster.strider', 23.00, 31.00, 55, 'male', 'L2Pet', 'npc', 40, 1321, 6.900, 1138, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 21, 223, 119, 163, 278, 0, 333, 0, 0, 0, 30, 137, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9358, 16040, 'Red Twilight Strider', '', 'LineageMonster.strider', 23.00, 31.00, 55, 'male', 'L2Pet', 'npc', 40, 1321, 6.900, 1138, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 10, 19, 20, 40, 278, 0, 333, 0, 0, 0, 30, 137, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9359, 16041, 'Fenrir', '', 'LineageMonster4.Pet_Wolf_Ba', 25.00, 23.56, 55, 'male', 'L2Pet', 'npc', 40, 1099, 8.400, 225, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 103, 148, 69, 138, 278, 0, 333, 0, 0, 0, 30, 137, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9360, 16042, 'Snow Fenrir', '', 'LineageMonster4.Pet_Wolf_Ba', 25.00, 23.56, 55, 'male', 'L2Pet', 'npc', 40, 2461, 8.400, 1099, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 225, 103, 148, 69, 278, 0, 333, 0, 0, 0, 30, 137, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9361, 16043, 'Fox Shaman', '', 'LineageMonster4.foxian_wizard_pet', 10.00, 18.50, 25, 'male', 'L2Pet', 'npc', 40, 2444, 1.400, 2444, 2.700, 35, 37, 30, 32, 20, 25, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9362, 16044, 'Wild Beast Fighter', '', 'LineageMonster4.beast_fighter_pet', 11.00, 16.50, 25, 'male', 'L2Pet', 'npc', 40, 2444, 1.400, 2444, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 500, 500, 500, 500, 278, 0, 333, 0, 0, 0, 22, 170, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9363, 16045, 'White Weasel', '', 'LineageMonster4.ferret_pet', 6.50, 12.50, 25, 'male', 'L2Pet', 'npc', 40, 2444, 1.400, 2444, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 500, 500, 500, 500, 278, 0, 333, 0, 0, 0, 30, 170, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9364, 16046, 'Fairy Princess', '', 'LineageMonster4.fairy_princess_pet', 10.00, 15.00, 25, 'male', 'L2Pet', 'npc', 40, 2444, 1.400, 2444, 2.700, 35, 37, 30, 32, 20, 25, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9365, 16049, 'Love Agathion', '', 'LineageNpc2.agathion_love', 0.01, 3.75, 55, 'female', 'L2Npc', 'npc', 40, 2643, 1.400, 988, 0.870, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9366, 16050, 'Owl Monk', '', 'LineageMonster4.owl_wizard_the_pet', 13.00, 19.50, 25, 'female', 'L2Pet', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 333, 0, 0, 0, 30, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9367, 16051, 'Spirit Shaman', '', 'LineageMonster4.sprit_magician_the_pet', 12.80, 15.60, 25, 'male', 'L2Pet', 'npc', 40, 4423, 9.900, 3089, 9.700, 35, 37, 30, 32, 20, 25, 0, 0, 1265, 622, 2075, 530, 300, 0, 467, 0, 0, 0, 30, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9368, 16052, 'Toy Knight', '', 'LineageMonster4.toy_knight_the_pet', 10.00, 15.00, 25, 'male', 'L2Pet', 'npc', 40, 5295, 9.900, 2558, 9.700, 40, 43, 30, 21, 20, 25, 0, 0, 2257, 622, 889, 530, 278, 0, 333, 0, 0, 0, 60, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9369, 16053, 'Turtle Ascetic', '', 'LineageMonster4.turtle_buffer_the_pet', 11.00, 10.00, 25, 'male', 'L2Pet', 'npc', 40, 4825, 9.900, 3057, 9.700, 38, 40, 30, 26, 20, 25, 0, 0, 2106, 622, 1647, 530, 278, 0, 333, 0, 0, 0, 20, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9370, 16054, 'Monkey', '', 'LineageNpc2.agathion_mk', 0.01, 7.00, 55, 'male', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9371, 16055, 'Griffon', '', 'LineageNpc2.agathion_gr', 0.01, 5.50, 55, 'male', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9372, 16056, 'Joy', '', 'LineageNpc2.agathion_happy', 0.01, 6.50, 55, 'female', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9373, 16057, 'Sorrow', '', 'LineageNpc2.agathion_sorrow', 0.01, 5.00, 55, 'female', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9374, 16058, 'Anger', '', 'LineageNpc2.agathion_anger', 0.01, 3.00, 55, 'male', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9375, 16059, 'Boy Bear', '', 'LineageNPC2.teddy_bear_boy', 3.00, 7.00, 55, 'female', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9376, 16060, 'Girl Bear', '', 'LineageNPC2.teddy_bear_girl', 3.00, 7.00, 55, 'female', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9377, 16061, 'Collection Device', '', 'LineageNPC2.collecting_golem', 5.50, 6.25, 55, 'female', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9378, 16062, 'Knight', '', 'LineageNPC2.agathion_pvp', 0.01, 7.00, 55, 'female', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9379, 16063, 'Saerom', '', 'LineageNPC2.agathion_gift', 0.01, 5.15, 55, 'female', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9380, 16064, 'Juju', '', 'LineageNPC2.agathion_cupi', 0.01, 5.75, 70, 'male', 'L2Npc', 'npc', 40, 2444, 1.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9381, 16065, 'Oink Oink', '', 'LineageNPC2.agathion_pig', 0.01, 5.75, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9382, 16066, 'Light of Dawn', '', 'LineageNPC2.agathion_pig', 0.01, 5.75, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9383, 16067, 'Deinonychus', '', 'LineageMonster3.deinonychus', 14.00, 14.30, 55, 'male', 'L2Pet', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9384, 16068, 'Guardian\'s Strider', '', 'LineageMonster4.dragon_descendant_2a', 27.00, 33.50, 55, 'male', 'L2Pet', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9385, 16069, 'Pona', '', 'LineageNPC2.agathion_pona', 0.01, 5.15, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9386, 16070, 'Towbat', '', 'LineageNPC2.agathion_tow', 0.01, 5.75, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9387, 12077, 'Wolf', '', 'pet_wolf', 13.00, 11.50, 15, 'male', 'L2Pet', 'npc', 40, 195, 2.900, 164, 1.200, 40, 43, 30, 21, 20, 25, 0, 0, 9, 19, 3, 17, 278, 0, 333, 0, 0, 0, 24, 125, '', 0, 0, 0, 0, 1200, 7, 4, 4, 0, 0, 0.39, 'false', 'NONE', 0, 0),
	(9388, 12311, 'Hatchling of the Wind', '', 'hatchling', 9.00, 10.00, 35, 'male', 'L2Pet', 'npc', 40, 610, 4.900, 433, 1.800, 40, 43, 30, 21, 20, 25, 0, 0, 48, 42, 22, 39, 304, 0, 333, 5191, 0, 0, 80, 140, '', 0, 0, 0, 0, 1200, 7, 4, 4, 0, 0, 0.27, 'false', 'NONE', 0, 0),
	(9389, 12312, 'Hatchling of the Stars', '', 'hatchling', 9.00, 10.00, 35, 'male', 'L2Pet', 'npc', 40, 1202, 4.900, 433, 1.800, 40, 43, 30, 21, 20, 25, 0, 0, 48, 42, 22, 39, 304, 0, 333, 3923, 0, 0, 80, 140, '', 0, 0, 0, 0, 1200, 7, 4, 4, 0, 0, 0.27, 'false', 'NONE', 0, 0),
	(9390, 12313, 'Hatchling of Twilight', '', 'hatchling', 9.00, 10.00, 35, 'male', 'L2Pet', 'npc', 40, 2710, 4.900, 433, 1.800, 40, 43, 30, 21, 20, 25, 0, 0, 48, 42, 22, 39, 282, 0, 257, 0, 0, 0, 80, 140, '', 0, 0, 0, 0, 1200, 7, 4, 4, 0, 0, 0.27, 'false', 'NONE', 0, 0),
	(9391, 12526, 'Wind Strider', '', 'strider', 23.00, 31.00, 55, 'male', 'L2Pet', 'npc', 40, 1824, 6.900, 1138, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 703, 332, 360, 301, 282, 0, 257, 5178, 0, 0, 80, 187, '', 0, 0, 0, 0, 1200, 30, 4, 4, 0, 0, 0.25, 'false', 'NONE', 0, 0),
	(9392, 12527, 'Star Strider', '', 'strider', 23.00, 31.00, 55, 'male', 'L2Pet', 'npc', 40, 5286, 6.900, 1138, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 703, 332, 360, 301, 282, 0, 257, 0, 0, 0, 80, 187, '', 0, 0, 0, 0, 1200, 30, 4, 4, 0, 0, 0.25, 'false', 'NONE', 0, 0),
	(9393, 12528, 'Twilight Strider', '', 'strider', 23.00, 31.00, 55, 'male', 'L2Pet', 'npc', 40, 1281, 6.900, 1138, 2.400, 40, 43, 30, 21, 20, 25, 0, 0, 703, 332, 360, 301, 282, 0, 257, 0, 0, 0, 80, 187, '', 0, 0, 0, 0, 1200, 30, 4, 4, 0, 0, 0.25, 'false', 'NONE', 0, 0),
	(9394, 12564, 'Sin Eater', '', 'imp', 10.00, 24.00, 15, 'male', 'L2Pet', 'npc', 40, 1853, 2.900, 164, 1.200, 40, 1, 30, 21, 20, 25, 0, 0, 9, 19, 3, 17, 282, 0, 257, 0, 0, 0, 60, 125, '', 0, 0, 0, 0, 1200, 7, 4, 4, 0, 0, 0.34, 'false', 'NONE', 0, 0),
	(9395, 12621, 'Wyvern', '', 'wyvern', 60.00, 80.00, 70, 'male', 'L2Monster', 'Fighter', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 1481, 471, 824, 399, 253, 0, 500, 0, 0, 0, 80, 170, '', 0, 0, 0, 0, 1200, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9396, 12780, 'Baby Buffalo', '', 'baby_buffalo', 12.00, 15.00, 25, 'male', 'L2Pet', 'npc', 40, 240, 3.900, 331, 15.000, 40, 43, 30, 21, 20, 25, 0, 0, 88, 119, 37, 112, 282, 0, 257, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 1200, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(9397, 12781, 'Baby Kookaburra', '', 'baby_ostrich', 7.00, 15.00, 25, 'male', 'L2Pet', 'npc', 40, 227, 3.900, 331, 15.000, 40, 43, 30, 21, 20, 25, 0, 0, 88, 119, 37, 112, 278, 0, 333, 0, 0, 0, 13, 120, '', 0, 0, 0, 0, 1200, 30, 4, 4, 0, 0, 0.50, 'false', 'NONE', 0, 0),
	(9398, 12782, 'Baby Cougar', '', 'baby_tiger', 11.00, 15.70, 25, 'male', 'L2Pet', 'npc', 40, 254, 3.900, 331, 15.000, 40, 43, 30, 21, 20, 25, 0, 0, 88, 119, 37, 112, 282, 0, 257, 0, 0, 0, 28, 120, '', 0, 0, 0, 0, 1200, 30, 4, 4, 0, 0, 0.48, 'false', 'NONE', 0, 0),
	(9399, 12774, 'Young Squash', '', 'drop_gourd_50_sm', 10.00, 10.50, 1, 'female', 'Squash', 'Fighter', 40, 63, 1.500, 44, 0.900, 40, 43, 30, 21, 20, 10, 0, 0, 9, 41000, 6, 33000, 253, 0, 500, 0, 0, 0, 30, 80, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9400, 12775, 'High Quality Squash', '', 'drop_gourd', 20.00, 21.00, 1, 'female', 'Squash', 'Fighter', 40, 63, 1.500, 44, 0.900, 40, 43, 30, 21, 20, 10, 0, 0, 9, 41000, 6, 33000, 253, 0, 500, 0, 0, 0, 30, 80, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9401, 12776, 'Low Quality Squash', '', 'drop_gourd_25_sm', 15.00, 16.00, 1, 'female', 'Squash', 'Fighter', 40, 63, 1.500, 44, 0.900, 40, 43, 30, 21, 20, 10, 0, 0, 9, 41000, 6, 33000, 253, 0, 500, 0, 0, 0, 30, 80, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9402, 12777, 'Large Young Squash', '', 'drop_gourd', 20.00, 21.00, 1, 'female', 'Squash', 'Fighter', 40, 63, 1.500, 44, 0.900, 40, 43, 30, 21, 20, 10, 0, 0, 9, 41000, 6, 33000, 253, 0, 500, 0, 0, 0, 30, 80, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9403, 12778, 'High Quality Large Squash', '', 'drop_gourd_50_bi', 30.00, 31.50, 1, 'female', 'Squash', 'Fighter', 40, 63, 1.500, 44, 0.900, 40, 43, 30, 21, 20, 10, 0, 0, 9, 41000, 6, 33000, 253, 0, 500, 0, 0, 0, 30, 80, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9404, 12779, 'Low Quality Large Squash', '', 'drop_gourd_25_bi', 25.00, 26.50, 1, 'female', 'Squash', 'Fighter', 40, 63, 1.500, 44, 0.900, 40, 43, 30, 21, 20, 10, 0, 0, 9, 41000, 6, 33000, 253, 0, 500, 0, 0, 0, 30, 80, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9405, 13001, 'Heart of Warding', '', 'heart_of_warding', 17.00, 75.00, 70, 'female', 'L2Merchant', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 10, 490, 10, 1314, 471, 780, 382, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 1, 0),
	(9406, 13002, 'Life Control Tower', '', 'alive_castle_aden_controltower_jewel', 7.00, 35.00, 20, 'female', 'L2ControlTower', 'npc', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 10, 40, 10, 57, 837, 24, 674, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9407, 13003, 'Life Control Tower', '', 'dead_castle_aden_controltower_jewel', 7.00, 35.00, 20, 'female', 'L2FakeTower', 'npc', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 10, 40, 10, 57, 837, 24, 674, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9408, 13004, 'Flame Control Tower', '', 'alive_castle_aden_controltower_jewel', 7.00, 35.00, 20, 'female', 'L2ControlTower', 'npc', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 10, 40, 10, 57, 837, 24, 674, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9409, 13005, 'Flame Control Tower', '', 'dead_castle_aden_controltower_jewel', 7.00, 35.00, 20, 'female', 'L2FakeTower', 'npc', 40, 541, 3.400, 213, 1.470, 40, 43, 30, 21, 20, 10, 40, 10, 57, 837, 24, 674, 253, 0, 500, 0, 0, 0, 50, 120, '', 0, 0, 0, 0, 7, 30, 4, 3, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9410, 13006, 'Christmas Tree', '', 'x_mas_tree', 0.01, 0.01, 70, 'male', 'L2XmassTree', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 10, 490, 10, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9411, 13007, 'Special Christmas Tree', '', 'x_mas_tree_50_bi', 0.00, 0.00, 70, 'male', 'L2XmassTree', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 10, 490, 10, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9412, 13014, '', '', 'clear_npc', 0.10, 0.10, 85, 'male', 'L2Npc', 'npc', 40, 4814, 8.400, 2050, 2.970, 40, 43, 30, 21, 20, 10, 0, 0, 2035, 630, 944, 511, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9413, 13015, '', '', 'Evilate_weather', 16.00, 18.50, 85, 'female', 'L2Npc', 'npc', 40, 4814, 9.900, 2050, 3.420, 40, 43, 30, 21, 20, 20, 0, 0, 2035, 630, 944, 511, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9414, 13016, 'King Squash', '', 'drop_gourd', 20.00, 21.00, 1, 'female', 'Squash', 'Fighter', 40, 63, 1.500, 44, 0.900, 40, 43, 30, 21, 20, 10, 0, 0, 9, 41000, 6, 33000, 253, 0, 500, 0, 0, 0, 30, 80, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9415, 13017, 'Emperor Squash', '', 'drop_gourd_50_bi', 30.00, 31.50, 1, 'female', 'Squash', 'Fighter', 40, 63, 1.500, 44, 0.900, 40, 43, 30, 21, 20, 10, 0, 0, 9, 41000, 6, 33000, 253, 0, 500, 0, 0, 0, 30, 80, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9416, 13018, '', '', 'skill_dummy_00_a', 5.00, 10.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9417, 13019, '', '', 'skill_dummy_00_a', 5.00, 10.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9418, 13020, '', '', 'skill_dummy_00_a', 5.00, 10.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9419, 13021, '', '', 'skill_dummy_00_a', 5.00, 10.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9420, 13022, '', '', 'skill_dummy_00_a', 5.00, 10.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9421, 13023, '', '', 'skill_dummy_00_a', 5.00, 10.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9422, 13024, '', '', 'skill_dummy_00_a', 5.00, 10.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9423, 13025, '', '', 'skill_dummy_01_a', 5.00, 10.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9424, 13026, '', '', 'skill_dummy_01_a', 5.00, 10.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9425, 13027, '', '', 'skill_dummy_01_a', 5.00, 10.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9426, 13028, '', '', 'skill_dummy_01_a', 5.00, 10.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9427, 13029, '', '', 'skill_dummy_01_a', 5.00, 10.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9428, 13030, '', '', 'skill_dummy_01_a', 5.00, 10.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9429, 13031, 'Huge Pig', '', 'E_pig_ball', 15.00, 18.30, 80, 'male', 'L2Npc', 'npc', 40, 1074, 9.400, 2220, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 17, 101400, 5, 375180, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9430, 13032, 'Huge Pig', '', 'E_pig_ball', 15.00, 18.30, 80, 'male', 'L2Npc', 'npc', 40, 1074, 9.400, 2220, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 17, 101400, 5, 375180, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9431, 13033, 'Huge Pig', '', 'E_pig_ball', 15.00, 18.30, 80, 'male', 'L2Npc', 'npc', 40, 1074, 9.400, 2220, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 17, 101400, 5, 375180, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9432, 13034, 'Super Huge Pig', '', 'E_pig_ball_H', 29.00, 38.70, 80, 'male', 'L2Npc', 'npc', 40, 5372, 9.400, 6660, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 17, 101400, 5, 375180, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9433, 13035, 'Golden Pig', '', 'E_pig_ball', 15.00, 18.30, 80, 'male', 'L2Npc', 'npc', 40, 1074, 9.400, 2220, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 17, 101400, 5, 375180, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9434, 13036, 'Alchemist\'s Chest', '', 'mimic_even', 8.50, 8.50, 80, 'male', 'L2SpecialMonster', 'Fighter', 40, 4551, 1.500, 1859, 0.900, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 0, 500, 0, 0, 0, 30, 80, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9435, 13037, 'Trap', '', 'trap_mark', 5.00, 10.00, 28, 'female', 'L2Trap', 'npc', 40, 859, 4.200, 334, 1.710, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 470, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9436, 13038, 'Trap', '', 'trap_mark', 5.00, 10.00, 36, 'female', 'L2Trap', 'npc', 40, 1279, 5.000, 464, 1.950, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 470, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9437, 13039, 'Trap', '', 'trap_mark', 5.00, 10.00, 43, 'female', 'L2Trap', 'npc', 40, 1729, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 470, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9438, 13040, 'Trap', '', 'trap_mark', 5.00, 10.00, 49, 'female', 'L2Trap', 'npc', 40, 2168, 8.400, 799, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 470, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9439, 13041, 'Trap', '', 'trap_mark', 5.00, 10.00, 55, 'female', 'L2Trap', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 470, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9440, 13042, 'Trap', '', 'trap_mark', 5.00, 10.00, 60, 'female', 'L2Trap', 'npc', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 470, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9441, 13043, 'Trap', '', 'trap_mark', 5.00, 10.00, 64, 'female', 'L2Trap', 'npc', 40, 3384, 8.400, 1285, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 470, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9442, 13044, 'Trap', '', 'trap_mark', 5.00, 10.00, 68, 'female', 'L2Trap', 'npc', 40, 3706, 8.400, 1423, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 470, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9443, 13045, 'Trap', '', 'trap_mark', 5.00, 10.00, 72, 'female', 'L2Trap', 'npc', 40, 4013, 8.400, 1565, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1402, 492, 780, 399, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9444, 13046, 'Trap', '', 'trap_mark', 5.00, 10.00, 49, 'female', 'L2Trap', 'npc', 40, 2168, 6.300, 799, 2.340, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 470, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9445, 13047, 'Trap', '', 'trap_mark', 5.00, 10.00, 55, 'female', 'L2Trap', 'npc', 40, 2643, 6.900, 988, 2.520, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 470, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9446, 13048, 'Trap', '', 'trap_mark', 5.00, 10.00, 60, 'female', 'L2Trap', 'npc', 40, 3055, 8.400, 1151, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 470, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9447, 13049, 'Trap', '', 'trap_mark', 5.00, 10.00, 64, 'female', 'L2Trap', 'npc', 40, 3384, 8.400, 1285, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 470, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9448, 13050, 'Trap', '', 'trap_mark', 5.00, 10.00, 68, 'female', 'L2Trap', 'npc', 40, 3706, 8.400, 1423, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 470, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9449, 13051, 'Trap', '', 'trap_mark', 5.00, 10.00, 72, 'female', 'L2Trap', 'npc', 40, 4013, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 0, 0, 1402, 492, 780, 399, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9450, 13052, 'Trap', '', 'trap_mark', 5.00, 10.00, 55, 'female', 'L2Trap', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 470, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9451, 13053, 'Trap', '', 'trap_mark', 5.00, 10.00, 60, 'female', 'L2Trap', 'npc', 40, 3055, 8.400, 1151, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 470, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9452, 13054, 'Trap', '', 'trap_mark', 5.00, 10.00, 64, 'female', 'L2Trap', 'npc', 40, 3384, 8.400, 1285, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 470, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9453, 13055, 'Trap', '', 'trap_mark', 5.00, 10.00, 68, 'female', 'L2Trap', 'npc', 40, 3706, 8.400, 1423, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 470, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9454, 13056, 'Trap', '', 'trap_mark', 5.00, 10.00, 72, 'female', 'L2Trap', 'npc', 40, 4013, 8.600, 1565, 3.030, 40, 43, 30, 21, 20, 20, 0, 0, 1402, 492, 780, 399, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9455, 13057, 'Trap', '', 'trap_mark', 5.00, 10.00, 40, 'female', 'L2Trap', 'npc', 40, 1527, 5.400, 531, 2.070, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 470, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9456, 13058, 'Trap', '', 'trap_mark', 5.00, 10.00, 46, 'female', 'L2Trap', 'npc', 40, 1943, 6.000, 708, 2.250, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 470, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9457, 13059, 'Trap', '', 'trap_mark', 5.00, 10.00, 52, 'female', 'L2Trap', 'npc', 40, 2402, 6.600, 892, 2.430, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 470, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9458, 13060, 'Trap', '', 'trap_mark', 5.00, 10.00, 58, 'female', 'L2Trap', 'npc', 40, 2889, 7.200, 1085, 2.610, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 470, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9459, 13061, 'Trap', '', 'trap_mark', 5.00, 10.00, 62, 'female', 'L2Trap', 'npc', 40, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 470, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9460, 13062, 'Trap', '', 'trap_mark', 5.00, 10.00, 66, 'female', 'L2Trap', 'npc', 40, 3547, 8.400, 1354, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 470, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9461, 13063, 'Trap', '', 'trap_mark', 5.00, 10.00, 70, 'female', 'L2Trap', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9462, 13064, 'Trap', '', 'trap_mark', 5.00, 10.00, 74, 'female', 'L2Trap', 'npc', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 0, 0, 1501, 513, 780, 417, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9463, 13065, 'Trap', '', 'trap_mark', 5.00, 10.00, 52, 'female', 'L2Trap', 'npc', 40, 2402, 6.600, 892, 2.430, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 470, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9464, 13066, 'Trap', '', 'trap_mark', 5.00, 10.00, 58, 'female', 'L2Trap', 'npc', 40, 2889, 7.200, 1085, 2.610, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 470, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9465, 13067, 'Trap', '', 'trap_mark', 5.00, 10.00, 62, 'female', 'L2Trap', 'npc', 40, 3220, 7.600, 1218, 2.730, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 470, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9466, 13068, 'Trap', '', 'trap_mark', 5.00, 10.00, 66, 'female', 'L2Trap', 'npc', 40, 3547, 8.400, 1354, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 470, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9467, 13069, 'Trap', '', 'trap_mark', 5.00, 10.00, 70, 'female', 'L2Trap', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 471, 780, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9468, 13070, 'Trap', '', 'trap_mark', 5.00, 10.00, 74, 'female', 'L2Trap', 'npc', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 0, 0, 1501, 513, 780, 417, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9469, 13071, 'Virtual Image', '', 'Decoy_Medium', 8.50, 25.00, 43, 'female', 'L2Npc', 'npc', 40, 1729, 5.700, 619, 2.160, 40, 43, 30, 21, 20, 20, 0, 0, 330, 223, 155, 181, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9470, 13072, 'Virtual Image', '', 'Decoy_Medium', 8.50, 25.00, 52, 'female', 'L2Npc', 'npc', 40, 2402, 6.600, 892, 2.430, 40, 43, 30, 21, 20, 20, 0, 0, 566, 295, 260, 240, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9471, 13073, 'Virtual Image', '', 'Decoy_Medium', 8.50, 25.00, 60, 'female', 'L2Npc', 'npc', 40, 3055, 7.400, 1151, 2.670, 40, 43, 30, 21, 20, 20, 0, 0, 853, 369, 398, 300, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9472, 13074, 'Virtual Image', '', 'Decoy_Medium', 8.50, 25.00, 66, 'female', 'L2Npc', 'npc', 40, 3547, 8.000, 1354, 2.850, 40, 43, 30, 21, 20, 20, 0, 0, 1114, 429, 519, 348, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9473, 13075, 'Virtual Image', '', 'Decoy_Medium', 8.50, 25.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9474, 13076, 'Virtual Image', '', 'Decoy_Medium', 8.50, 25.00, 74, 'female', 'L2Npc', 'npc', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 0, 0, 1501, 513, 699, 417, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9475, 13077, 'Onyx Beast', '', 'onyx_beast', 14.00, 14.50, 55, 'male', 'L2Npc', 'npc', 40, 2643, 4.400, 988, 1.770, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9476, 13078, 'Doom Wraith', '', 'death_blader_tr', 13.00, 25.00, 55, 'male', 'L2Npc', 'npc', 40, 2643, 4.400, 988, 1.770, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 1472, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9477, 13079, 'Grail Apostle', '', 'apostle_grail_tr', 10.00, 35.00, 55, 'male', 'L2Npc', 'npc', 40, 2643, 4.400, 988, 1.770, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 8221, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9478, 13080, 'Grail Apostle', '', 'apostle_warrior', 8.00, 30.00, 55, 'female', 'L2Npc', 'npc', 40, 2643, 4.400, 988, 1.770, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 8221, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9479, 13081, 'Unicorn', '', 'Unicorn_tr', 15.00, 28.00, 55, 'male', 'L2Npc', 'npc', 40, 2643, 4.400, 988, 1.770, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9480, 13082, 'Lilim Knight', '', 'lilim_knight_tr', 12.00, 25.50, 55, 'male', 'L2Npc', 'npc', 40, 2643, 4.400, 988, 1.770, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9481, 13083, 'Golem Guardian', '', 'golem_guardian_tr', 13.00, 25.00, 55, 'male', 'L2Npc', 'npc', 40, 2643, 4.400, 988, 1.770, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 5800, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9482, 13084, 'Inferno Drake', '', 'inferno_drake_tr', 15.00, 24.00, 55, 'male', 'L2Npc', 'npc', 40, 2643, 4.400, 988, 1.770, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9483, 13085, 'Dragon Bomber', '', 'antaras_ex_b_tr', 16.00, 24.00, 55, 'male', 'L2Npc', 'npc', 40, 2643, 4.400, 988, 1.770, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9484, 13086, 'Zariche', '', 'Avatar_Z', 12.00, 31.57, 55, 'male', 'L2Npc', 'npc', 40, 2643, 4.400, 988, 1.770, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 8190, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9485, 13087, 'Akamanah', '', 'Avatar_A', 10.00, 32.73, 55, 'male', 'L2Npc', 'npc', 40, 2643, 4.400, 988, 1.770, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 8689, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9486, 13088, 'Final Form', '', 'Specular_Form', 9.00, 38.00, 55, 'male', 'L2Npc', 'npc', 40, 2643, 4.400, 988, 1.770, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9487, 13089, 'Final Form', '', 'Specular_Form_F', 10.00, 32.76, 55, 'female', 'L2Npc', 'npc', 40, 2643, 4.400, 988, 1.770, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9488, 13090, 'Native', '', 'a_common_peopleC_Mhuman', 8.00, 23.50, 55, 'male', 'L2Npc', 'npc', 40, 2643, 4.400, 988, 1.770, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9489, 13091, 'Yeti', '', 'yeti', 15.00, 27.50, 55, 'male', 'L2Npc', 'npc', 40, 2643, 4.400, 988, 1.770, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9490, 13092, 'Buffalo', '', 'buffalo', 22.00, 31.00, 55, 'male', 'L2Npc', 'npc', 40, 2643, 4.400, 988, 1.770, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9491, 13093, 'Pig', '', 'E_pig_ball', 15.00, 18.30, 55, 'male', 'L2Npc', 'npc', 40, 2643, 4.400, 988, 1.770, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9492, 13094, 'Zombie', '', 'zombie_laborer', 11.00, 24.60, 55, 'male', 'L2Npc', 'npc', 40, 2643, 4.400, 988, 1.770, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9493, 13095, 'Pixy', '', 'pixy', 5.00, 25.00, 55, 'female', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9494, 13096, 'Rabbit', '', 'rabbit', 5.00, 4.50, 55, 'male', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9495, 13097, '', '', 'skill_dummy_00_a', 5.00, 10.00, 80, 'male', 'L2Npc', 'npc', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9496, 13098, 'Event Treasure Chest', '', 'LineageMonster.mimic_even', 8.50, 8.50, 80, 'male', 'L2Npc', 'npc', 40, 4551, 9.400, 1859, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9497, 13099, 'Zaken', '', 'LineageMonster.zaken_tr', 16.00, 32.00, 55, 'male', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9498, 13100, 'Anakim', '', 'LineageMonster2.anakim_tr', 15.50, 29.00, 55, 'female', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9499, 13101, 'Benom', '', 'LineageMonster3.benom_tr', 20.00, 56.00, 55, 'male', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 8203, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9500, 13102, 'Gordon', '', 'LineageMonster3.Cruel_Rider_tr', 43.00, 46.60, 55, 'male', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9501, 13103, 'Ranku', '', 'LineageMonster4.LaneCoo_tr', 13.00, 29.00, 55, 'male', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9502, 13104, 'Kiyachi', '', 'LineageMonster4.Keyache_tr', 12.00, 29.00, 55, 'male', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9503, 13105, 'Demon Prince', '', 'LineageMonster4.rahuu_tr', 33.00, 49.00, 55, 'male', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9504, 13106, 'Heretic Male', '', 'LineageMonster3.heretic_privates_tr', 7.70, 28.40, 55, 'male', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 8205, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9505, 13107, 'Heretic Female', '', 'LineageMonster3.heretic_priest_tr', 8.00, 19.60, 55, 'male', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 8208, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9506, 13108, 'Vale master', '', 'LineageMonster.vale_master_tr', 12.00, 40.00, 55, 'male', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9507, 13109, 'Saber Tooth Tiger', '', 'LineageMonster.saber_toothed_tiger_tr', 8.00, 28.00, 55, 'male', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 8190, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9508, 13110, 'Ol Mahum', '', 'LineageMonster.oel_mahum_champion_tr', 23.00, 61.00, 55, 'male', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 8689, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9509, 13111, 'Doll Blader', '', 'LineageMonster.doll_blader_tr', 6.00, 12.00, 55, 'male', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 5129, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9510, 13112, 'Divine Knight', '', 'LineageMonster4.Divine_tanker', 16.00, 30.00, 55, 'male', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9511, 13113, 'Divine Warrior', '', 'LineageMonster4.Divine_Warrior', 14.50, 29.00, 55, 'male', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9512, 13114, 'Divine Rogue', '', 'LineageMonster4.Divine_Rogue', 10.00, 28.00, 55, 'male', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9513, 13115, 'Divine Healer', '', 'LineageMonster4.Divine_healer', 10.00, 25.00, 55, 'female', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9514, 13116, 'Divine Wizard', '', 'LineageMonster4.Divine_Wizard', 10.00, 26.00, 55, 'female', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9515, 13117, 'Divine Enchanter', '', 'LineageMonster4.Divine_enchanter', 8.00, 18.25, 55, 'female', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9516, 13118, 'Divine Summoner', '', 'LineageMonster4.Divine_healer', 10.00, 25.00, 55, 'female', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9517, 13119, 'Dwarf Golem', '', 'LineageMonster3.chaos_golem_tr', 31.00, 51.80, 55, 'male', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9518, 13120, 'Giant rat', '', 'LineageMonster4.little_mouse_120p', 15.00, 20.00, 80, 'male', 'L2Npc', 'npc', 40, 1074, 9.400, 2220, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 17, 101400, 5, 375180, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9519, 13121, 'Giant rat', '', 'LineageMonster4.little_mouse_120p', 15.00, 20.00, 80, 'male', 'L2Npc', 'npc', 40, 1074, 9.400, 2220, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 17, 101400, 5, 375180, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9520, 13122, 'Giant rat', '', 'LineageMonster4.little_mouse_120p', 15.00, 20.00, 80, 'male', 'L2Npc', 'npc', 40, 1074, 9.400, 2220, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 17, 101400, 5, 375180, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9521, 13123, 'Super giant rat', '', 'LineageMonster4.little_mouse_180p', 19.00, 33.00, 80, 'male', 'L2Npc', 'npc', 40, 5372, 9.400, 6660, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 17, 101400, 5, 375180, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9522, 13124, 'Giant rat', 'Mr. Bashful', 'LineageMonster4.little_mouse_120p', 15.00, 20.00, 80, 'male', 'L2Npc', 'npc', 40, 1074, 9.400, 2220, 3.270, 40, 43, 30, 21, 20, 20, 0, 0, 17, 101400, 5, 375180, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9523, 13125, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 64, 'female', 'L2Npc', 'npc', 40, 3547, 8.400, 1354, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 15, 91800, 5, 339660, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9524, 13126, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 64, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 15, 91800, 5, 339660, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9525, 13127, 'Trap', '', 'LineageNpc2.trap_mark', 5.00, 10.00, 68, 'female', 'L2Npc', 'npc', 40, 4159, 8.400, 1637, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 16, 94200, 5, 348540, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9526, 13128, 'Golem Trader', '', 'LineageNPC.e_teleporter_FDwarf', 8.00, 21.30, 70, 'female', 'L2Merchant', 'npc', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 0, 0, 1335, 95400, 780, 352980, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9527, 13129, 'Teleporter', '', 'LineageNPC.a_teleporter_FHuman', 8.00, 25.00, 55, 'female', 'L2Npc', 'npc', 40, 2643, 1.400, 988, 0.870, 40, 43, 30, 21, 20, 25, 0, 0, 15, 86400, 4, 319680, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9528, 13130, 'Light Purple Maned Horse', '', 'LineageMonster4.gray_horse', 31.00, 32.50, 55, 'female', 'L2Npc', 'npc', 40, 2643, 1.400, 988, 0.870, 40, 43, 30, 21, 20, 25, 0, 0, 15, 86400, 4, 319680, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9529, 13131, 'Grizzly Bear', '', 'LineageMonster.grizzly', 21.00, 40.00, 55, 'male', 'L2Npc', 'npc', 40, 2643, 1.400, 988, 0.870, 40, 43, 30, 21, 20, 25, 0, 0, 15, 86400, 4, 319680, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9530, 13132, 'Timitran', '', 'LineageMonster.ti_mi_tran', 23.00, 90.00, 55, 'male', 'L2Npc', 'npc', 40, 2643, 1.400, 988, 0.870, 40, 43, 30, 21, 20, 25, 0, 0, 15, 86400, 4, 319680, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9531, 13133, 'Lava Golem', '', 'LineageMonster2.lava_golem', 22.00, 45.00, 55, 'male', 'L2Npc', 'npc', 40, 2643, 1.400, 988, 0.870, 40, 43, 30, 21, 20, 25, 0, 0, 15, 86400, 4, 319680, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9532, 13134, 'Yeti', '', 'LineageMonster.yeti_20_bi', 18.00, 32.00, 55, 'male', 'L2Npc', 'npc', 40, 2643, 1.400, 988, 0.870, 40, 43, 30, 21, 20, 25, 0, 0, 15, 86400, 4, 319680, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9533, 13135, 'Pumpkin Ghost', '', 'LineageNpc2.Pumpkin_Head_man', 12.00, 18.00, 55, 'male', 'L2Npc', 'npc', 40, 2643, 1.400, 988, 0.870, 40, 43, 30, 21, 20, 25, 0, 0, 15, 86400, 4, 319680, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9534, 13136, '', '', 'LineageNpcEV.battle_banner', 90.00, 36.00, 55, 'female', 'L2Npc', 'npc', 40, 2643, 1.400, 988, 0.870, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9535, 13137, '', '', 'LineageNpcEV.battle_banner', 90.00, 36.00, 55, 'female', 'L2Npc', 'npc', 40, 2643, 1.400, 988, 0.870, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9536, 13138, '', '', 'LineageNpcEV.battle_banner', 90.00, 36.00, 55, 'female', 'L2Npc', 'npc', 40, 2643, 1.400, 988, 0.870, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9537, 13139, '', '', 'LineageNpcEV.battle_banner', 90.00, 36.00, 55, 'female', 'L2Npc', 'npc', 40, 2643, 1.400, 988, 0.870, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9538, 13140, '', '', 'LineageNpcEV.battle_banner', 90.00, 36.00, 55, 'female', 'L2Npc', 'npc', 40, 2643, 1.400, 988, 0.870, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9539, 13141, '', '', 'LineageNpcEV.battle_banner', 90.00, 36.00, 55, 'female', 'L2Npc', 'npc', 40, 2643, 1.400, 988, 0.870, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9540, 13142, 'Final Form', '', 'LineageMonster4.Specular_Form_air', 9.00, 38.00, 55, 'male', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9541, 13143, 'Final Form', '', 'LineageMonster4.Specular_Form_F_air', 10.00, 32.76, 55, 'female', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9542, 13144, 'Aurabird-Falcon', '', 'LineageMonster4.closed_attacker', 38.00, 14.25, 55, 'female', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9543, 13145, 'Aurabird-Owl', '', 'LineageMonster4.heavy_shooter', 40.00, 18.57, 55, 'male', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9544, 13146, 'Tawny-Maned Lion', '', 'LineageMonster4.tawny_maned_lion', 25.00, 22.50, 55, 'female', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9545, 13147, 'Steam Sledge', '', 'LineageMonster4.steam_sledge', 40.00, 27.50, 55, 'female', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9546, 13148, 'Lindvior', '', 'LineageMonster4.lindvior_air', 190.00, 390.60, 55, 'female', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9547, 13149, 'For Presentation 1', '', 'LineageNPC.clear_npc', 0.10, 0.10, 85, 'male', 'L2Npc', 'npc', 40, 6690, 1.500, 2050, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 2462, 630, 1146, 511, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9548, 13150, 'For Presentation 2', '', 'LineageNPC.clear_npc', 0.10, 0.10, 85, 'male', 'L2Npc', 'npc', 40, 6690, 1.500, 2050, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 2462, 630, 1146, 511, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9549, 13151, 'For Presentation 3', '', 'LineageNPC.clear_npc', 0.10, 0.10, 85, 'male', 'L2Npc', 'npc', 40, 6690, 1.500, 2050, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 2462, 630, 1146, 511, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9550, 13152, 'For Presentation 4', '', 'LineageNPC.clear_npc', 0.10, 0.10, 85, 'male', 'L2Npc', 'npc', 40, 6690, 1.500, 2050, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 2462, 630, 1146, 511, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9551, 13153, 'For Presentation 5', '', 'LineageNPC.clear_npc', 0.10, 0.10, 85, 'male', 'L2Npc', 'npc', 40, 6690, 1.500, 2050, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 2462, 630, 1146, 511, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9552, 13154, 'Demon Race', '', 'LineageMonster4.summoner_demon_tr', 11.00, 27.00, 55, 'male', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9553, 13155, 'Unicorniun', '', 'LineageMonster4.summoner_unicorn_tr', 8.00, 30.00, 55, 'female', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9554, 13156, 'Myo Race', '', 'LineageMonster4.summoner_cat_tr', 10.00, 23.00, 55, 'male', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9555, 13157, 'Frog', '', 'LineageMonster.poison_toad', 20.00, 10.00, 55, 'male', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9556, 13158, 'Young Child', '', 'LineageNPC2.a_child_people_Mhuman', 5.00, 12.30, 55, 'male', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9557, 13159, 'Mercenary', '', 'LineageNPC.a_fighterguild_master_Mhuman', 8.00, 23.50, 55, 'male', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9558, 13160, 'Snowman', '', 'LineageNpc2.snow_man', 28.00, 30.00, 55, 'male', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9559, 13161, 'Scarecrow', '', 'LineageNpc2.scarecrow', 13.00, 30.00, 55, 'male', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9560, 13162, 'Tin Plate Golem', '', 'LineageNpc2.tin_golem', 13.00, 18.50, 55, 'male', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9561, 13163, 'Tow', '', 'LineageNPC2.tow', 4.40, 8.25, 55, 'male', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9562, 13164, 'Lure Tow', '', 'LineageNPC2.tow_lure', 4.40, 8.25, 55, 'female', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9563, 13165, 'Heavy Tow', '', 'LineageNPC2.tow_heavy', 4.40, 8.25, 55, 'male', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9564, 13166, 'Wing Tow', '', 'LineageNPC2.tow_whim', 4.40, 8.25, 55, 'male', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9565, 13167, 'Main Role A', '', 'LineageNPC2.tp_actor', 9.00, 28.30, 55, 'female', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9566, 13168, 'Main Role B', '', 'LineageNPC2.tp_actor', 9.00, 28.30, 55, 'female', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9567, 13169, 'Human Male Mercenary', '', 'LineageNPC.a_guard_MHuman', 8.00, 24.00, 55, 'male', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9568, 13170, 'Male Elf Mercenary', '', 'LineageNPC.a_guard_MElf', 8.00, 23.50, 55, 'male', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9569, 13171, 'Dark Elf Female Mercenary', '', 'LineageNPC.a_guard_FDarkelf', 8.00, 25.00, 55, 'female', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9570, 13172, 'Orc Male Mercenary', '', 'LineageNPC.e_guard_MOrc', 8.00, 27.00, 55, 'male', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9571, 13173, 'Dwarf Male Mercenary', '', 'LineageNPC.e_guard_MDwarf', 8.00, 19.00, 55, 'male', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9572, 13174, 'Kamael Male Mercenary', '', 'LineageNPC2.K_M1_guard', 13.00, 25.00, 55, 'male', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9573, 13175, 'Knight Level Mercenary', '', 'LineageNPC.a_royal_guardA_MHuman', 8.00, 24.00, 55, 'male', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9574, 13176, 'Archer Level Mercenary', '', 'LineageNPC2.archer_of_insurgents', 10.00, 23.50, 55, 'male', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9575, 13177, 'Wizard Level Mercenary', '', 'LineageNPC2.mage_of_insurgents', 9.00, 23.50, 55, 'female', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9576, 13178, 'Trooper Level Mercenary', '', 'LineageNPC2.K_F1_guard_Master', 13.00, 22.50, 55, 'female', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9577, 13179, 'Knight Leader Elite Mercenary', '', 'LineageMonster3.Kight_of_Dawn', 12.00, 24.50, 55, 'male', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9578, 13180, 'Commander Elite Mercenary', '', 'LineageNPC2.chief_of_insurgents', 10.00, 26.99, 55, 'male', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9579, 13181, 'Treasure Box', 'Gracia', 'LineageMonster.mimic_even', 8.50, 8.50, 80, 'male', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9580, 13182, 'Free Gift Merchant', 'Gracia', 'LineageMonster.silver_cat', 7.00, 15.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9581, 13183, 'Thomas D. Turkey', '', 'LineageNpc2.crazy_turkey', 25.00, 34.00, 80, 'female', 'Thomas', 'Thomas', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9582, 13184, 'Santa Claus', '', 'LineageNPC2.santa_claus', 10.00, 21.00, 80, 'male', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9583, 13185, 'Santa Claus', '', 'LineageNPC2.santa_claus_120p', 12.00, 25.00, 80, 'male', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9584, 13186, 'Santa Claus', '', 'LineageNPC2.santa_sled', 0.01, 50.00, 80, 'female', 'L2Npc', 'npc', 40, 5198, 1.500, 1859, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 1952, 577, 905, 469, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9585, 13187, 'Milk Cow', '', 'LineageMonster4.milk_cow', 16.00, 12.50, 85, 'male', 'L2Npc', 'npc', 40, 6690, 1.500, 2050, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 2462, 630, 1146, 511, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9586, 13188, 'Head Milk Cow', '', 'LineageMonster4.milk_cow_200p', 26.00, 28.50, 85, 'male', 'L2Npc', 'npc', 40, 6690, 1.500, 2050, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 2462, 630, 1146, 511, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9587, 13189, 'Bull', '', 'LineageMonster4.yellow_cow', 16.00, 12.50, 85, 'male', 'L2Npc', 'npc', 40, 6690, 1.500, 2050, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 2462, 630, 1146, 511, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9588, 13190, 'Head Bull', '', 'LineageMonster4.yellow_cow_200p', 26.00, 28.50, 85, 'male', 'L2Npc', 'npc', 40, 6690, 1.500, 2050, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 2462, 630, 1146, 511, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9589, 13191, 'Gloomy Milk Cow', '', 'LineageMonster4.milk_cow_e', 16.00, 12.50, 85, 'male', 'L2Npc', 'npc', 40, 850, 1.500, 2050, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 2462, 104400, 10, 386280, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9590, 13192, 'Gloomy Head Milk Cow', '', 'LineageMonster4.milk_cow_200p_e', 26.00, 28.50, 85, 'male', 'L2Npc', 'npc', 40, 10750, 1.500, 2050, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 2462, 104400, 10, 386280, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9591, 13193, '', '', 'LineageNpcEV.obelisk_of_middle_square', 229.00, 177.50, 55, 'female', 'FakeObelisk', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9592, 13194, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 85, 'male', 'L2Npc', 'npc', 40, 6690, 1.500, 2050, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 2462, 104400, 10, 386280, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9593, 13195, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 85, 'male', 'L2Npc', 'npc', 40, 6690, 1.500, 2050, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 2462, 104400, 10, 386280, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9594, 13196, 'Great Pig', 'Mis-summoned', 'LineageNPC2.E_pig_ball', 15.00, 18.30, 85, 'male', 'L2Npc', 'npc', 40, 10750, 1.500, 2050, 2.700, 40, 43, 30, 21, 20, 20, 0, 0, 2462, 104400, 10, 386280, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9595, 13197, 'Guardian\'s Strider', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9596, 13198, 'Native', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9597, 13199, 'Native', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9598, 13200, 'Young Child', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9599, 13201, 'Guards of the Dawn', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9600, 13202, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9601, 13203, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9602, 13204, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9603, 13205, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9604, 13206, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9605, 13207, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9606, 13208, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9607, 13209, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9608, 13210, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9609, 13211, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9610, 13212, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9611, 13213, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9612, 13214, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9613, 13215, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9614, 13216, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9615, 13217, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9616, 13218, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9617, 13219, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9618, 13220, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9619, 13221, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9620, 13222, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9621, 13223, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9622, 13224, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9623, 13225, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9624, 13226, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9625, 13227, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9626, 13228, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9627, 13229, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9628, 13230, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9629, 13231, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9630, 13232, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9631, 13233, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9632, 13234, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9633, 13235, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9634, 13236, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9635, 13237, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9636, 13238, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9637, 13239, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9638, 13240, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9639, 13241, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9640, 13242, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9641, 13243, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9642, 13244, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9643, 13245, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9644, 13246, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9645, 13247, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9646, 13248, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9647, 13249, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9648, 13250, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9649, 13251, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9650, 13252, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9651, 13253, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9652, 13254, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9653, 13255, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9654, 13256, 'Trap', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9655, 13257, 'Virtual Image', '', 'Decoy_Medium', 8.50, 25.00, 75, 'female', 'L2Npc', 'npc', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 0, 0, 1501, 513, 699, 417, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9656, 13258, 'Virtual Image', '', 'Decoy_Medium', 8.50, 25.00, 76, 'female', 'L2Npc', 'npc', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 0, 0, 1501, 513, 699, 417, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9657, 13259, 'Virtual Image', '', 'Decoy_Medium', 8.50, 25.00, 77, 'female', 'L2Npc', 'npc', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 0, 0, 1501, 513, 699, 417, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9658, 13260, 'Virtual Image', '', 'Decoy_Medium', 8.50, 25.00, 78, 'female', 'L2Npc', 'npc', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 0, 0, 1501, 513, 699, 417, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9659, 13261, 'Virtual Image', '', 'Decoy_Medium', 8.50, 25.00, 79, 'female', 'L2Npc', 'npc', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 0, 0, 1501, 513, 699, 417, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9660, 13262, 'Virtual Image', '', 'Decoy_Medium', 8.50, 25.00, 80, 'female', 'L2Npc', 'npc', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 0, 0, 1501, 513, 699, 417, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9661, 13263, 'Virtual Image', '', 'Decoy_Medium', 8.50, 25.00, 81, 'female', 'L2Npc', 'npc', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 0, 0, 1501, 513, 699, 417, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9662, 13264, 'Virtual Image', '', 'Decoy_Medium', 8.50, 25.00, 82, 'female', 'L2Npc', 'npc', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 0, 0, 1501, 513, 699, 417, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9663, 13265, 'Virtual Image', '', 'Decoy_Medium', 8.50, 25.00, 83, 'female', 'L2Npc', 'npc', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 0, 0, 1501, 513, 699, 417, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9664, 13266, 'Virtual Image', '', 'Decoy_Medium', 8.50, 25.00, 84, 'female', 'L2Npc', 'npc', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 0, 0, 1501, 513, 699, 417, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9665, 13267, 'Virtual Image', '', 'Decoy_Medium', 8.50, 25.00, 85, 'female', 'L2Npc', 'npc', 40, 4159, 8.800, 1637, 3.090, 40, 43, 30, 21, 20, 20, 0, 0, 1501, 513, 699, 417, 253, 0, 500, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9666, 13268, 'Aqua Elf', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9667, 13269, 'Hot Weather', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9668, 13270, 'Sultriness', '', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9669, 4301, 'Queen of Hearts', 'Valentine Messenger', 'LineageMonster2.queen_of_cat', 8.00, 15.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 0, 10, 1303, 471, 607, 382, 253, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9670, 4302, 'Master Dugi', 'Soul Healer', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9671, 4303, 'Skooldy', 'Halloween Children', NULL, NULL, NULL, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9672, 1501, 'Majo Agathion', '', 'LineageNPC2.br_agathion_mazu', 0.01, 5.50, 55, 'female', 'L2Npc', 'npc', 40, 2643, 1.400, 988, 0.870, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9673, 1502, 'Gold Agathion', '', 'LineageNPC2.br_agathion_mazu', 0.01, 5.50, 55, 'female', 'L2Npc', 'npc', 40, 2643, 1.400, 988, 0.870, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9674, 1503, 'Black Agathion', '', 'LineageNPC2.br_agathion_mazu', 0.01, 5.50, 55, 'female', 'L2Npc', 'npc', 40, 2643, 1.400, 988, 0.870, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9675, 1504, 'Plaipitak Agathion', '', 'LineageNPC2.br_agathion_elephant', 0.01, 5.50, 55, 'female', 'L2Npc', 'npc', 40, 2643, 1.400, 988, 0.870, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 80, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'false', 'NONE', 0, 0),
	(9676, 1505, 'Baby Panda Agathion', '', 'LineageNPC2.br_agathion_bpanda', 0.01, 5.50, 55, 'female', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9677, 1506, 'Bamboo Panda Agathion', '', 'LineageNPC2.br_agathion_mpanda', 0.01, 5.50, 55, 'female', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9678, 1507, 'Sexy Panda Agathion', '', 'LineageNPC2.br_agathion_wpanda', 0.01, 5.50, 55, 'female', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9679, 1508, 'White Cupid Agathion', '', 'LineageNPC2.br_agathion_wcupid', 0.01, 5.50, 55, 'female', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9680, 1509, 'Dark Cupid Agathion', '', 'LineageNPC2.br_agathion_dcupid', 0.01, 5.50, 55, 'female', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9681, 1510, 'White Maneki Neko Agathion', '', 'LineageNPC2.br_agathion_maneki', 0.01, 5.50, 55, 'female', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9682, 1511, 'Black Maneki Neko Agathion', '', 'LineageNPC2.br_agathion_maneki', 0.01, 5.50, 55, 'female', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9683, 1512, 'Brown Maneki Neko Agathion', '', 'LineageNPC2.br_agathion_maneki', 0.01, 5.50, 55, 'female', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9684, 1513, 'One-Eyed Bat Drove Agathion', '', 'LineageNPC2.br_agathion_bat', 0.01, 5.50, 55, 'female', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9685, 1514, 'Pegasus Agathion', '', 'LineageNPC2.br_agathion_pegasus', 0.01, 5.50, 55, 'female', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9686, 1515, 'Yellow-Robed Tojigong Agathion', '', 'LineageNPC2.br_agathion_tozi', 0.01, 5.50, 55, 'female', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9687, 1516, 'Blue-Robed Tojigong Agathion', '', 'LineageNPC2.br_agathion_tozi', 0.01, 5.50, 55, 'female', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9688, 1517, 'Green-Robed Tojigong Agathion', '', 'LineageNPC2.br_agathion_tozi', 0.01, 5.50, 55, 'female', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9689, 1518, 'Bugbear Agathion', '', 'LineageNPC2.br_agathion_bugbear', 0.01, 5.50, 55, 'female', 'L2Npc', 'npc', 40, 2643, 8.400, 988, 2.970, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9690, 1519, 'Red Sumo Wrestler Agathion', '', 'LineageNPC2.br_agathion_redsumo', 0.01, 5.50, 55, 'female', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9691, 1520, 'Blue Sumo Wrestler Agathion', '', 'LineageNPC2.br_agathion_bluesumo', 0.01, 5.50, 55, 'female', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9692, 1521, 'Great Sumo Match Agathion', '', 'LineageNPC2.br_agathion_match', 0.01, 5.50, 55, 'female', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9693, 1522, 'Button-Eyed Bear Doll', '', 'LineageNPC2.br_agathion_bear', 0.01, 5.50, 55, 'female', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9694, 1523, 'God of Fortune', '', 'LineageNPC2.br_agathion_wealthgod', 0.01, 5.50, 55, 'female', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9695, 1524, 'Dryad Agathion', '', 'LineageNPC2.br_agathion_dryad', 0.01, 5.50, 55, 'female', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9696, 1525, 'Wonboso Agathion', '', 'LineageNPC2.br_agathion_cashcow', 0.01, 5.50, 55, 'female', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9697, 1526, 'Daewoonso Agathion', '', 'LineageNPC2.br_agathion_luckycow', 0.01, 5.50, 55, 'female', 'L2Npc', 'npc', 40, 2643, 1.500, 988, 2.700, 40, 43, 30, 21, 20, 25, 0, 0, 665, 322, 311, 262, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9698, 1527, 'Pomona Agathion', '', 'LineageNPC2.br_agathion_pomona', 0.01, 5.50, 1, 'male', 'L2Npc', 'npc', 40, 2444, 1.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9699, 1528, 'Weaver Agathion', '', 'LineageNPC2.br_agathion_womanweaver', 0.01, 5.50, 1, 'female', 'L2Npc', 'npc', 40, 2444, 1.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9700, 1529, 'Chon-chon Agathion', '', 'LineageNPC2.br_agathion_luckygirl', 0.01, 5.50, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9701, 1530, 'Tang-tang Agathion', '', 'LineageNPC2.br_agathion_luckyboy', 0.01, 5.50, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9702, 1531, 'Dancing Lucky Kid Agathion', '', 'LineageNPC2.br_agathion_dancingchild', 0.01, 5.50, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9703, 1532, 'Monkey King Agathion', '', 'LineageNPC2.br_agathion_sunwukong', 0.01, 5.50, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9704, 1533, 'Utanka Agathion', '', 'LineageNPC2.br_agathion_uthanka', 0.01, 5.50, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9705, 1534, 'Bonus B Agathion', '', 'LineageNPC2.br_agathion_bonus', 0.01, 5.50, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9706, 1535, 'Zombie Agathion', '', 'LineageNPC2.br_agathion_gangsi', 7.00, 6.00, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9707, 1536, 'Baekyi Hwamae Agathion', '', 'LineageNPC2.br_agathion_bluebird', 6.01, 5.00, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9708, 1537, 'Gwanwoo Hwamae Agathion', '', 'LineageNPC2.br_agathion_hatbird', 6.01, 5.00, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9709, 1538, 'Baby Rudolph', '', 'LineageNPC2.br_pet_rudolf', 21.50, 27.00, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9710, 1539, 'Iken Agathion', '', 'LineageNPC2.br_local_JP_Mfighter', 0.01, 5.50, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9711, 1540, 'Lana Agathion', '', 'LineageNPC2.br_local_JP_FFighter', 0.01, 5.50, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9712, 1541, 'Gnocian Agathion', '', 'LineageNPC2.br_local_JP_MElf', 0.01, 5.50, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9713, 1542, 'Orodriel Agathion', '', 'LineageNPC2.br_local_JP_Felf', 0.01, 5.50, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9714, 1543, 'Lakinos Agathion', '', 'LineageNPC2.br_local_JP_MDarkelf', 0.01, 5.50, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9715, 1544, 'Mortia Agathion', '', 'LineageNPC2.br_local_JP_Fdarkelf', 0.01, 5.50, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9716, 1545, 'Hayance Agathion', '', 'LineageNPC2.br_local_JP_MDwarf', 0.01, 5.50, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9717, 1546, 'Meruril Agathion', '', 'LineageNPC2.br_local_JP_FDwarf', 0.01, 5.50, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9718, 1547, 'Taman ze Lapatui Agathion', '', 'LineageNPC2.br_local_JP_MOrc', 0.01, 5.50, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9719, 1548, 'Kaurin Agathion', '', 'LineageNPC2.br_local_JP_FOrc', 0.01, 5.50, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9720, 1549, 'Ahertbein Agathion', '', 'LineageNPC2.br_local_JP_MKamael', 0.01, 5.50, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9721, 1550, 'Naonin Agathion', '', 'LineageNPC2.br_local_JP_FKamael', 0.01, 5.50, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9722, 1551, 'Guangong Agathion', '', 'LineageNPC2.br_aga_warriorgod', 0.01, 5.50, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9723, 1552, 'Gwanseum Nyang Nyang Agathion', '', 'LineageNPC2.br_aga_mercygod', 0.01, 5.50, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9724, 1553, 'Blue Opera Agathion', '', 'LineageNPC2.br_aga_blue_pekingopera', 0.01, 5.50, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9725, 1554, 'Red Opera Agathion', '', 'LineageNPC2.br_aga_red_pekingopera', 0.01, 5.50, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9726, 1555, 'Opera Agathion', '', 'LineageNPC2.br_aga_redblue_pekingopera', 0.01, 5.50, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9727, 1556, 'Mandarin Dress Agathion', '', 'LineageNPC2.br_aga_chinesedress', 0.01, 5.50, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9728, 1557, 'Nepal Snow Agathion', '', 'LineageNPC2.br_aga_suno_trumpet', 0.01, 5.50, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9729, 1558, 'Round Ball Snow Agathion', '', 'LineageNPC2.br_aga_suno_ball', 0.01, 5.50, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9730, 1559, 'Ladder Snow Agathion', '', 'LineageNPC2.br_aga_suno_tall', 0.01, 5.50, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9731, 1560, 'Blue Opera Agathion', '', 'LineageNPC2.br_aga_blue_pekingopera', 0.01, 5.50, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9732, 1561, 'Baby Rudolph', '', 'LineageNPC2.br_pet_rudolf', 21.50, 27.00, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9733, 1, 'Thomas D. Turkey', 'Misguided Holiday Scrooge', 'LineageMonster4.br_crazy_turkey', 20.00, 30.00, 80, 'male', 'L2Npc', 'npc', 40, 1074, 8.400, 2220, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 17, 101400, 5, 375180, 253, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9734, 2, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 80, 'male', 'L2Npc', 'npc', 40, 4551, 8.400, 1859, 2.970, 40, 43, 30, 21, 20, 20, 0, 0, 1799, 577, 838, 469, 253, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9735, 3, 'Santa\'s Helper', '', 'LineageNPC.e_smith_master_MDwarf', 8.00, 17.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 10, 1303, 471, 607, 382, 253, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9736, 4, 'Holiday Santa', 'Happy Holidays!', 'LineageNPC2.br_xmas08_santa', 9.00, 16.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 10, 1303, 471, 607, 382, 253, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9737, 5, 'Holiday Santa', 'Happy Holidays!', 'LineageNPC2.br_xmas08_santa', 9.00, 16.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 20, 490, 10, 1303, 471, 607, 382, 253, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9738, 6, 'Holiday Sled', 'Happy Holidays!', 'LineageNPC2.br_xmas08_sled', 9.00, 27.30, 70, 'male', 'L2Npc', 'npc', 40, 3862, 8.400, 1494, 2.970, 40, 43, 30, 21, 20, 10, 490, 10, 1303, 471, 607, 382, 253, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9739, 7, 'Birthday Cake', '', 'LineageNPC2.br_birthday_cake', 0.01, 5.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 1.500, 1494, 2.700, 40, 43, 30, 21, 20, 10, 490, 10, 1303, 471, 607, 382, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9740, 8, 'Spirit of Fire', '', 'LineageMonster4.br_fire_elemental', 16.00, 22.00, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9741, 9, 'Explosive Spirit of Fire', '', 'LineageMonster4.br_fire_elemental_of_fierce', 26.00, 35.00, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9742, 10, 'Jack Sage', 'Eva\'s High Priest', 'LineageNPC2.br_archbishop_of_eva', 8.00, 26.50, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9743, 11, 'Eva\'s Obelisk', '', 'LineageNPC2.br_obelisk_of_eva', 40.01, 120.00, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9744, 12, '', '', 'LineageNPC.clear_npc', 0.10, 0.10, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9745, 13, 'Warm Hearted Sno', 'Beginner Supporter', 'LineageNPC2.br_tp_actor', 9.00, 28.30, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9746, 14, 'Warm Hearted Sno', 'Beginner Supporter', 'LineageNPC2.br_tp_actor', 9.00, 28.30, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9747, 15, 'Warm Hearted Sno', 'Beginner Supporter', 'LineageNPC2.br_tp_actor', 9.00, 28.30, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9748, 16, 'Warm Hearted Sno', 'Beginner Supporter', 'LineageNPC2.br_tp_actor', 9.00, 28.30, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9749, 17, 'Warm Hearted Sno', 'Beginner Supporter', 'LineageNPC2.br_tp_actor', 9.00, 28.30, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9750, 18, 'Warm Hearted Sno', 'Beginner Supporter', 'LineageNPC2.br_tp_actor', 9.00, 28.30, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9751, 19, 'Wooldy', 'Halloween Children', 'LineageMonster5.br_wooldie', 22.00, 30.00, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9752, 20, 'Verdandi', 'Halloween Children', 'LineageMonster5.br_berdandi', 10.00, 12.00, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9753, 21, 'Skooldy', 'Jack Game Trainer', 'LineageMonster5.br_scooldie', 23.00, 23.00, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9754, 22, 'Lucky Sky Lantern', '', 'LineageNPC2.br_lamp', 4.20, 5.00, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9755, 23, 'Ambience Sky Lantern', '', 'LineageNPC2.br_lamp_a', 4.20, 5.00, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9756, 24, 'Sway Sky Lantern', '', 'LineageNPC2.br_lamp_b', 4.20, 5.00, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9757, 25, 'Comfort Sky Lantern', '', 'LineageNPC2.br_lamp_c', 4.20, 5.00, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9758, 26, 'Halloween Event Manager', '', 'LineageNPC.clear_npc', 0.10, 0.10, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9759, 27, 'Kadomas', '', 'LineageNPC2.br_kadomatsu', 24.50, 14.00, 1, 'male', 'L2Npc', 'npc', 40, 2444, 7.500, 2444, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 500, 500, 500, 500, 253, 0, 500, 0, 0, 0, 110, 180, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.60, 'true', 'NONE', 0, 0),
	(9760, 32732, 'Sixth Anniversary Party Cube Manager', 'Event manager', 'LineageNPC2.event_birth_alegria', 5.00, 21.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 7.500, 1493, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 1335, 470, 780, 382, 278, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9761, 13279, 'Uldie', '', 'LineageMonster4.wooldie', 8.00, 17.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 7.500, 1493, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 1335, 470, 780, 382, 278, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9762, 13280, 'Belldandy', '', 'LineageMonster4.berdandi', 9.00, 20.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 7.500, 1493, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 1335, 470, 780, 382, 278, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9763, 13281, 'Skooldie', 'Event manager', 'LineageMonster4.scooldie', 8.00, 12.80, 70, 'male', 'L2Npc', 'npc', 40, 3862, 7.500, 1493, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 1335, 470, 780, 382, 278, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9764, 13282, 'Skooldie', '', 'LineageMonster4.scooldie', 8.00, 12.80, 70, 'male', 'L2Npc', 'npc', 40, 3862, 7.500, 1493, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 1335, 470, 780, 382, 278, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9765, 4305, 'Rosalia', 'Hopeless Romantic', 'LineageNPC2.message_event_master', 10.00, 20.00, 70, 'female', 'L2Npc', 'npc', 40, 3862, 7.500, 1493, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 1335, 470, 780, 382, 278, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9766, 1562, 'Deseloph', '', 'LineageNPC2.br_pet_rose_lover_m_a', 20.20, 11.90, 70, 'male', 'L2Npc', 'npc', 40, 3862, 7.500, 1493, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 1335, 470, 780, 382, 278, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9767, 1563, 'Hyum', '', 'LineageNPC2.br_pet_rose_lover_m_a', 20.20, 11.90, 70, 'male', 'L2Npc', 'npc', 40, 3862, 7.500, 1493, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 1335, 470, 780, 382, 278, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9768, 1564, 'Rekang', '', 'LineageNPC2.br_pet_rose_lover_m_a', 20.20, 11.90, 70, 'male', 'L2Npc', 'npc', 40, 3862, 7.500, 1493, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 1335, 470, 780, 382, 278, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9769, 1565, 'Lilias', '', 'LineageNPC2.br_pet_rose_lover_f_a', 23.50, 14.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 7.500, 1493, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 1335, 470, 780, 382, 278, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9770, 1566, 'Lapham', '', 'LineageNPC2.br_pet_rose_lover_f_a', 23.50, 14.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 7.500, 1493, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 1335, 470, 780, 382, 278, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9771, 1567, 'Mafum', '', 'LineageNPC2.br_pet_rose_lover_f_a', 23.50, 14.50, 70, 'female', 'L2Npc', 'npc', 40, 3862, 7.500, 1493, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 1335, 470, 780, 382, 278, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9772, 1568, 'Deseloph', '', 'LineageNPC2.br_pet_rose_lover_m_b', 24.30, 13.60, 70, 'male', 'L2Npc', 'npc', 40, 3862, 7.500, 1493, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 1335, 470, 780, 382, 278, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9773, 1569, 'Hyum', '', 'LineageNPC2.br_pet_rose_lover_m_b', 24.30, 13.60, 70, 'male', 'L2Npc', 'npc', 40, 3862, 7.500, 1493, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 1335, 470, 780, 382, 278, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9774, 1570, 'Rekang', '', 'LineageNPC2.br_pet_rose_lover_m_b', 24.30, 13.60, 70, 'male', 'L2Npc', 'npc', 40, 3862, 7.500, 1493, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 1335, 470, 780, 382, 278, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9775, 1571, 'Lilias', '', 'LineageNPC2.br_pet_rose_lover_f_b', 22.70, 14.30, 70, 'female', 'L2Npc', 'npc', 40, 3862, 7.500, 1493, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 1335, 470, 780, 382, 278, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9776, 1572, 'Lapham', '', 'LineageNPC2.br_pet_rose_lover_f_b', 22.70, 14.30, 70, 'female', 'L2Npc', 'npc', 40, 3862, 7.500, 1493, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 1335, 470, 780, 382, 278, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9777, 1573, 'Mafum', '', 'LineageNPC2.br_pet_rose_lover_f_b', 22.70, 14.30, 70, 'female', 'L2Npc', 'npc', 40, 3862, 7.500, 1493, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 1335, 470, 780, 382, 278, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9778, 32782, 'Lionel', 'Transmitter', 'LineageNpcEV.riding_control_unit', 19.00, 28.00, 70, 'etc', 'L2Npc', 'npc', 40, 3862, 7.500, 1493, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 1335, 470, 780, 382, 278, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9778, 16073, 'Rudolph Agathion', '', 'LineageNpc2.Agathion_rd', 0.01, 5.50, 1, 'male', 'L2Npc', 'npc', 40, 3862, 7.500, 1493, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 1335, 470, 780, 382, 278, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9778, 13285, 'Santa Claus', 'Event manager', 'LineageNPC2.santa_claus_120p', 12.00, 25.00, 70, 'male', 'L2Npc', 'npc', 40, 3862, 7.500, 1493, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 1335, 470, 780, 382, 278, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9778, 4306, 'Steve Shyagel', 'Eva\'s High Priest', 'LineageNPC2.br_archbishop_of_eva', 8.00, 26.50, 70, 'male', 'L2Npc', 'npc', 40, 3862, 7.500, 1493, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 1335, 470, 780, 382, 278, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9778, 1574, 'Phoenix', '', 'LineageNPC2.br_aga_china_phoenix', 0.01, 5.50, 1, 'male', 'L2Npc', 'npc', 40, 3862, 7.500, 1493, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 1335, 470, 780, 382, 278, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0),
	(9778, 32, 'Jet Bike', '', 'LineageNPC2.br_z_bike', 21.50, 27.00, 1, 'male', 'L2Npc', 'npc', 40, 3862, 7.500, 1493, 2.700, 40, 43, 30, 21, 20, 10, 0, 0, 1335, 470, 780, 382, 278, 0, 253, 0, 0, 0, 30, 120, '', 0, 0, 0, 0, 7, 30, 4, 4, 0, 0, 0.52, 'false', 'NONE', 0, 0);
